-- Information about category:
-- Only one drop will be given per category, except in the cases when category is -1.
-- Category -1 is used for SPOIL/SWEEP drops only!  Do NOT change this.
-- In general, category 0 is for adena and 1 seal stone color (each seal stone color should be in a different category).
-- In general, category 1 is for full drops and parts of equipable items.  However, you can change this.
-- In general, category 2 is for all other items.  However, you can change this.
-- In general, more categories are only used for RBs who have 1 item per category (i.e. do not really drop categorized),
-- You can create more categories as you see fit.  Just make sure the "category" number is non-negative!!
-- Also, it is NOT a problem if category numbers are skipped (so you can have -1, 1, 5, 10 as your categories).
--
-- If you wish to allow more than one item to be given from the same category, you can
-- split them up over several categories.
-- In addition, RBs and Grandbosses (mainly) may have the exact same item repeated in multiple categories.
-- This allows mobs to give 1 copy of the drop to each of several people (if they are lucky enough to get the drops).
-- Calculation for each drop, when in categories, is equivallent in chance as when outside of categories.
-- First, the sum of chances for each category is calculated as category chance.  If the category is selected
-- for drops (i.e. its chance is successful), then exactly 1 item from that category will be selected, with 
-- such a chance that the overall probability is maintained unchanged. 
--
-- Category Explanation (non-RaidBoss & non-GrandBoss)
--   -1 is sweep
--    0 is adena and one of the seal stones (your choice)
--    1 is any item that is in weapon.sql, any item in armor.sql, and some of the items from etcitem. Before dropping the column, I had those marked in etcitem.sql. However, you can recognize them easily. If they are parts unique for crafting equipable items, it's category 1.
--    2 is almost all of the other items except:
--    3 and 4 are used for the other two seal stones (1 category each).
--
-- Category Explanation (RaidBoss & their minions)
--    0 is full armor and armor mats
--    1 is full weapon and weapon mats
--    2 is anything else (scrolls,arrows,etc)
--
-- Category Explanation (GrandBoss)
--    0+ is defined catagories
--    Any other mobs within this range (minions, etc) use the default drop categories (most often 2)

DROP TABLE IF EXISTS `droplist`;
CREATE TABLE `droplist` (
  `mobId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `itemId` smallint(5) unsigned NOT NULL DEFAULT '0',
  `min` int(8) unsigned NOT NULL DEFAULT '0',
  `max` int(8) unsigned NOT NULL DEFAULT '0',
  `category` smallint(3) NOT NULL DEFAULT '0',
  `chance` decimal(30,15) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mobId`,`itemId`,`category`),
  KEY `key_mobId` (`mobId`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8;

INSERT INTO `droplist` VALUES
(20003,1871,1,1,-1,56617),-- [charcoal]
(20003,116,1,1,-1,452932),-- [magic_ring]
(20003,1786,1,1,-1,45293),-- [rp_broad_sword]
(20003,57,30,42,0,700000),-- [adena]
(20003,112,1,1,1,102689.2683),-- [apprentice's_earing]
(20003,118,1,1,1,76513.51329),-- [necklace_of_magic]
(20003,116,1,1,1,156087.21841),-- [magic_ring]
(20003,1864,1,1,2,19511.058856),-- [stem]
(20003,1865,1,1,2,9755.529428),-- [varnish]
(20003,1866,1,1,2,6503.663956),-- [suede]
(20003,1873,1,1,2,3902.184976),-- [silver_nugget]
(20003,1868,1,1,2,19511.058856),-- [thread]
(20003,1788,1,1,2,7804.503928),-- [rp_bow]
(20004,1866,1,1,-1,51827),-- [suede]
(20004,2006,1,1,-1,5553),-- [willow_staff_head]
(20004,2005,1,1,-1,5553),-- [broad_sword_blade]
(20004,57,41,58,0,700000),-- [adena]
(20004,1122,1,1,1,6514.326819),-- [cotton_shoes]
(20004,1129,1,1,1,6514.326819),-- [crude_leather_shoes]
(20004,1119,1,1,1,6514.346362),-- [short_leather_gloves]
(20004,1871,1,1,2,15309),-- [charcoal]
(20004,1866,1,1,2,10205.989794),-- [suede]
(20004,1666,1,1,2,5103.010206),-- [rp_wooden_arrow]
(20005,1060,1,1,-1,216259),-- [lesser_healing_potion]
(20005,1866,1,1,-1,64878),-- [suede]
(20005,1666,1,1,-1,32439),-- [rp_wooden_arrow]
(20005,57,51,72,0,700000),-- [adena]
(20005,19,1,1,1,11732.93531),-- [small_shield]
(20005,42,1,1,1,8213.06469),-- [leather_cap]
(20005,1870,1,1,2,14372.907594),-- [coal]
(20005,1865,1,1,2,14372.907594),-- [varnish]
(20005,1789,1,1,2,2656.750109),-- [rp_cedar_staff]
(20005,17,10,30,2,71864.434703),-- [wooden_arrow]
(20006,1060,1,1,-1,285245),-- [lesser_healing_potion]
(20006,113,1,1,-1,41407),-- [mage_earing]
(20006,2006,1,1,-1,9169),-- [willow_staff_head]
(20006,57,69,94,0,700000),-- [adena]
(20006,14,1,1,1,789.869388),-- [bow]
(20006,2007,1,1,1,2708.130612),-- [bow_shaft]
(20006,1866,1,1,2,16851.42),-- [suede]
(20006,1871,1,1,2,25277.13),-- [charcoal]
(20006,2136,1,1,2,7434.45),-- [rp_cokes]
(20007,1866,1,1,-1,99228),-- [suede]
(20007,1122,1,1,-1,63337),-- [cotton_shoes]
(20007,1875,1,1,-1,9923),-- [stone_of_purity]
(20007,57,80,108,0,700000),-- [adena]
(20007,22,1,1,1,4702.317224),-- [leather_shirt]
(20007,29,1,1,1,7515.682776),-- [leather_pants]
(20007,1864,1,1,2,58620.9312),-- [stem]
(20007,1869,1,1,2,29310.528),-- [iron_ore]
(20007,1796,1,1,2,36868.5408),-- [rp_leather_tunic]
(20008,1793,1,1,-1,16388),-- [rp_sword_of_reflexion]
(20008,1871,1,1,-1,222882),-- [charcoal]
(20008,1870,1,1,-1,222882),-- [coal]
(20008,57,114,168,0,700000),-- [adena]
(20008,2371,1,1,1,675.404192),-- [fist_of_butcher]
(20008,255,1,1,1,316.595808),-- [fox's_nail]
(20008,1870,1,1,2,43890.42816),-- [coal]
(20008,1865,1,1,2,43890.42816),-- [varnish]
(20008,1792,1,1,2,3227.14368),-- [rp_short_spear]
(20009,1870,1,1,-1,222882),-- [coal]
(20009,43,1,1,-1,14567),-- [wooden_helmet]
(20009,1831,1,1,-1,594351),-- [antidote]
(20009,57,114,168,0,700000),-- [adena]
(20009,2371,1,1,1,675.404192),-- [fist_of_butcher]
(20009,255,1,1,1,316.595808),-- [fox's_nail]
(20009,1866,1,1,2,29260.278432),-- [suede]
(20009,1871,1,1,2,43890.417648),-- [charcoal]
(20009,736,1,1,2,21945.30392),-- [scroll_of_escape]
(20010,1833,1,1,-1,617635),-- [bandage]
(20010,1896,1,1,-1,98141),-- [necklace_of_anguish_chain]
(20010,1792,1,1,-1,17030),-- [rp_short_spear]
(20010,57,116,177,0,700000),-- [adena]
(20010,271,1,1,1,658),-- [hunting_bow]
(20010,1871,1,1,2,45609.893496),-- [charcoal]
(20010,1866,1,1,2,30406.595664),-- [suede]
(20010,1798,1,1,2,44715.51084),-- [rp_leather_helmet]
(20011,1792,1,1,-1,17541),-- [rp_short_spear]
(20011,1921,1,1,-1,153911),-- [leather_shoes_texture]
(20011,1867,1,1,-1,318082),-- [animal_skin]
(20011,57,120,182,0,700000),-- [adena]
(20011,271,1,1,1,678),-- [hunting_bow]
(20011,1867,1,1,2,62637.833517),-- [animal_skin]
(20011,1872,1,1,2,62637.833517),-- [animal_bone]
(20011,1799,1,1,2,69597.332966),-- [rp_leather_gloves]
(20012,1865,1,1,-1,242317),-- [varnish]
(20012,734,1,1,-1,40386),-- [quick_step_potion]
(20012,1897,1,1,-1,57694),-- [necklace_of_wisdom_chain]
(20012,57,120,187,0,700000),-- [adena]
(20012,1101,1,1,1,917.695683),-- [tunic_of_devotion]
(20012,1104,1,1,1,1465.304317),-- [hose_of_devotion]
(20012,1865,1,1,2,35788.225837),-- [varnish]
(20012,1870,1,1,2,35788.225837),-- [coal]
(20012,1800,1,1,2,11254.203324),-- [rp_piece_bone_breastplate]
(20012,6035,1,1,2,2982.345002),-- [potion_of_acumen2]
(20013,1866,1,1,-1,143423),-- [suede]
(20013,1896,1,1,-1,91159),-- [necklace_of_anguish_chain]
(20013,1922,1,1,-1,54881),-- [leather_tunic_pattern]
(20013,57,113,160,0,700000),-- [adena]
(20013,9,1,1,1,203.6982),-- [cedar_staff]
(20013,2008,1,1,1,1648.6036),-- [cedar_staff_head]
(20013,154,1,1,1,203.6982),-- [dwarven_mace]
(20013,1870,1,1,2,42365.00815),-- [coal]
(20013,1865,1,1,2,42365.00815),-- [varnish]
(20013,1792,1,1,2,3114.9837),-- [rp_short_spear]
(20014,2254,1,1,-1,10085),-- [rp_composition_bow]
(20014,1867,1,1,-1,328104),-- [animal_skin]
(20014,57,120,193,0,700000),-- [adena]
(20014,2,1,1,1,69.237785),-- [long_sword]
(20014,120,1,1,1,69.237785),-- [sword_of_reflexion]
(20014,2012,1,1,1,757.286645),-- [sword_of_reflexion_blade]
(20014,121,1,1,1,69.237785),-- [sword_of_watershadow]
(20014,1867,1,1,2,64611.193477),-- [animal_skin]
(20014,1872,1,1,2,64611.193477),-- [animal_bone]
(20014,1800,1,1,2,15238.613046),-- [rp_piece_bone_breastplate]
(20015,1798,1,1,-1,237113),-- [rp_leather_helmet]
(20015,1871,1,1,-1,241855),-- [charcoal]
(20015,1864,1,1,-1,483710),-- [stem]
(20015,57,127,180,0,700000),-- [adena]
(20015,9,1,1,1,228.962325),-- [cedar_staff]
(20015,2008,1,1,1,1853.07535),-- [cedar_staff_head]
(20015,154,1,1,1,228.962325),-- [dwarven_mace]
(20015,1864,1,1,2,95253.418299),-- [stem]
(20015,1869,1,1,2,47626.803936),-- [iron_ore]
(20015,1798,1,1,2,46692.777765),-- [rp_leather_helmet]
(20016,1865,1,1,-1,241855),-- [varnish]
(20016,37,1,1,-1,23711),-- [leather_shoes]
(20016,1833,1,1,-1,644946),-- [bandage]
(20016,57,127,180,0,700000),-- [adena]
(20016,271,1,1,1,687),-- [hunting_bow]
(20016,1871,1,1,2,47626.567758),-- [charcoal]
(20016,1866,1,1,2,31751.045172),-- [suede]
(20016,736,1,1,2,23813.38707),-- [scroll_of_escape]
(20017,1870,1,1,-1,251000),-- [coal]
(20017,1897,1,1,-1,59762),-- [necklace_of_wisdom_chain]
(20017,57,122,197,0,700000),-- [adena]
(20017,2,1,1,1,70.601016),-- [long_sword]
(20017,120,1,1,1,70.601016),-- [sword_of_reflexion]
(20017,2012,1,1,1,772.196952),-- [sword_of_reflexion_blade]
(20017,121,1,1,1,70.601016),-- [sword_of_watershadow]
(20017,1870,1,1,2,37070.571302),-- [coal]
(20017,1865,1,1,2,37070.571302),-- [varnish]
(20017,1817,1,1,2,7414.130868),-- [rp_cord]
(20017,5268,1,1,2,1482.726528),-- [rp_adv_comp_soulshot_d]
(20019,1864,1,1,-1,445764),-- [stem]
(20019,1923,1,1,-1,91345),-- [leather_hose_pattern]
(20019,1792,1,1,-1,16388),-- [rp_short_spear]
(20019,57,114,168,0,700000),-- [adena]
(20019,429,1,1,1,1075.736025),-- [leather_tunic]
(20019,1922,1,1,1,8397.233676),-- [leather_tunic_pattern]
(20019,464,1,1,1,1723.39947),-- [leather_hose]
(20019,1923,1,1,1,13490.630829),-- [leather_hose_pattern]
(20019,1871,1,1,2,43890.464944),-- [charcoal]
(20019,1866,1,1,2,29260.335422),-- [suede]
(20019,1793,1,1,2,3227.199634),-- [rp_sword_of_reflexion]
(20020,1831,1,1,-1,668170),-- [antidote]
(20020,1799,1,1,-1,371205),-- [rp_leather_gloves]
(20020,1896,1,1,-1,106171),-- [necklace_of_anguish_chain]
(20020,57,128,189,0,700000),-- [adena]
(20020,37,1,1,1,4837.383828),-- [leather_shoes]
(20020,1921,1,1,1,31833.190836),-- [leather_shoes_texture]
(20020,49,1,1,1,4837.425336),-- [gloves]
(20020,1865,1,1,2,49341.52597),-- [varnish]
(20020,1870,1,1,2,49341.52597),-- [coal]
(20020,1794,1,1,2,3627.94806),-- [rp_bow_of_forest]
(20021,1792,1,1,-1,16388),-- [rp_short_spear]
(20021,1921,1,1,-1,143795),-- [leather_shoes_texture]
(20021,1793,1,1,-1,16388),-- [rp_sword_of_reflexion]
(20021,57,114,168,0,700000),-- [adena]
(20021,9,1,1,1,211.02975),-- [cedar_staff]
(20021,2008,1,1,1,1707.9405),-- [cedar_staff_head]
(20021,154,1,1,1,211.02975),-- [dwarven_mace]
(20021,1865,1,1,2,32917.863649),-- [varnish]
(20021,1870,1,1,2,32917.863649),-- [coal]
(20021,1798,1,1,2,32272.388478),-- [rp_leather_helmet]
(20021,1060,1,1,2,73150.884224),-- [lesser_healing_potion]
(20022,1872,1,1,-1,252599),-- [animal_bone]
(20022,1831,1,1,-1,505199),-- [antidote]
(20022,1921,1,1,-1,122225),-- [leather_shoes_texture]
(20022,57,97,143,0,700000),-- [adena]
(20022,20,1,1,1,5229.661794),-- [buckler]
(20022,43,1,1,1,3657.338206),-- [wooden_helmet]
(20022,1864,1,1,2,74614.166671),-- [stem]
(20022,1869,1,1,2,37306.99974),-- [iron_ore]
(20022,1799,1,1,2,55269.833589),-- [rp_leather_gloves]
(20023,1868,1,1,-1,463226),-- [thread]
(20023,1922,1,1,-1,59085),-- [leather_tunic_pattern]
(20023,1831,1,1,-1,617635),-- [antidote]
(20023,57,116,177,0,700000),-- [adena]
(20023,429,1,1,1,1117.87305),-- [leather_tunic]
(20023,1922,1,1,1,8726.156792),-- [leather_tunic_pattern]
(20023,464,1,1,1,1790.90574),-- [leather_hose]
(20023,1923,1,1,1,14019.064418),-- [leather_hose_pattern]
(20023,1868,1,1,2,68414.79603),-- [thread]
(20023,1873,1,1,2,13682.959206),-- [silver_nugget]
(20023,1803,1,1,2,28745.708796),-- [rp_necklace_of_wisdom]
(20023,735,1,1,2,2850.535968),-- [swift_attack_potion]
(20024,1864,1,1,-1,501999),-- [stem]
(20024,734,1,1,-1,41833),-- [quick_step_potion]
(20024,1897,1,1,-1,59762),-- [necklace_of_wisdom_chain]
(20024,57,122,197,0,700000),-- [adena]
(20024,2,1,1,1,70.601016),-- [long_sword]
(20024,120,1,1,1,70.601016),-- [sword_of_reflexion]
(20024,2012,1,1,1,772.196952),-- [sword_of_reflexion_blade]
(20024,121,1,1,1,70.601016),-- [sword_of_watershadow]
(20024,1864,1,1,2,98855.505408),-- [stem]
(20024,1869,1,1,2,49427.752704),-- [iron_ore]
(20024,1801,1,1,2,24900.741888),-- [rp_piece_bone_gaiters]
(20025,1799,1,1,-1,349993),-- [rp_leather_gloves]
(20025,1869,1,1,-1,236245),-- [iron_ore]
(20025,1866,1,1,-1,157497),-- [suede]
(20025,57,119,180,0,700000),-- [adena]
(20025,429,1,1,1,1140.2706),-- [leather_tunic]
(20025,1922,1,1,1,8900.992864),-- [leather_tunic_pattern]
(20025,464,1,1,1,1826.78808),-- [leather_hose]
(20025,1923,1,1,1,14299.948456),-- [leather_hose_pattern]
(20025,1866,1,1,2,31014.738216),-- [suede]
(20025,1871,1,1,2,46522.107324),-- [charcoal]
(20025,736,1,1,2,23261.15446),-- [scroll_of_escape]
(20026,1866,1,1,-1,173586),-- [suede]
(20026,1923,1,1,-1,106713),-- [leather_hose_pattern]
(20026,1865,1,1,-1,260379),-- [varnish]
(20026,57,131,199,0,700000),-- [adena]
(20026,37,1,1,1,5026.879494),-- [leather_shoes]
(20026,1921,1,1,1,33080.197878),-- [leather_shoes_texture]
(20026,49,1,1,1,5026.922628),-- [gloves]
(20026,1870,1,1,2,51274.9464),-- [coal]
(20026,1865,1,1,2,51274.9464),-- [varnish]
(20026,1792,1,1,2,3770.1072),-- [rp_short_spear]
(20027,1800,1,1,-1,74706),-- [rp_piece_bone_breastplate]
(20027,1924,1,1,-1,76634),-- [leather_helmet_design]
(20027,1801,1,1,-1,119680),-- [rp_piece_bone_gaiters]
(20027,57,118,183,0,700000),-- [adena]
(20027,176,1,1,1,133.5),-- [apprentice's_staff]
(20027,2501,1,1,1,133.5),-- [bone_club]
(20027,1865,1,1,2,35086.53225),-- [varnish]
(20027,1870,1,1,2,35086.53225),-- [coal]
(20027,1800,1,1,2,11033.47421),-- [rp_piece_bone_breastplate]
(20027,5158,1,1,2,1403.46129),-- [rp_comp_spiritshot_d]
(20028,1801,1,1,-1,119680),-- [rp_piece_bone_gaiters]
(20028,1868,1,1,-1,475131),-- [thread]
(20028,734,1,1,-1,39594),-- [quick_step_potion]
(20028,57,118,183,0,700000),-- [adena]
(20028,845,1,1,1,1025.902512),-- [cat'seye_earing]
(20028,908,1,1,1,769.432728),-- [necklace_of_wisdom]
(20028,1897,1,1,1,8353.810992),-- [necklace_of_wisdom_chain]
(20028,877,1,1,1,1538.853768),-- [ring_of_wisdom]
(20028,1869,1,1,2,46782.1875),-- [iron_ore]
(20028,1864,1,1,2,93564.375),-- [stem]
(20028,1817,1,1,2,9356.4375),-- [rp_cord]
(20029,1864,1,1,-1,534142),-- [stem]
(20029,2013,1,1,-1,5764),-- [bow_of_forest_shaft]
(20029,1897,1,1,-1,63588),-- [necklace_of_wisdom_chain]
(20029,57,132,206,0,700000),-- [adena]
(20029,15,1,1,1,150.26895),-- [short_spear]
(20029,2011,1,1,1,1799.73105),-- [short_spear_edge]
(20029,1870,1,1,2,39444.234295),-- [coal]
(20029,1865,1,1,2,39444.234295),-- [varnish]
(20029,2139,1,1,2,7888.86453),-- [rp_steel_mold]
(20029,5268,1,1,2,1577.66688),-- [rp_adv_comp_soulshot_d]
(20030,1831,1,1,-1,617635),-- [antidote]
(20030,1798,1,1,-1,227072),-- [rp_leather_helmet]
(20030,1794,1,1,-1,17030),-- [rp_bow_of_forest]
(20030,57,116,177,0,700000),-- [adena]
(20030,216,1,1,1,328.91945),-- [dirk]
(20030,2009,1,1,1,2426.08055),-- [dirk_blade]
(20030,1870,1,1,2,45610.20298),-- [coal]
(20030,1865,1,1,2,45610.20298),-- [varnish]
(20030,1793,1,1,2,3353.59404),-- [rp_sword_of_reflexion]
(20031,1865,1,1,-1,205065),-- [varnish]
(20031,24,1,1,-1,2629),-- [bone_breastplate]
(20031,1924,1,1,-1,66150),-- [leather_helmet_design]
(20031,57,100,161,0,700000),-- [adena]
(20031,24,1,1,1,388.37335),-- [bone_breastplate]
(20031,390,1,1,1,388.37335),-- [tights_shirt]
(20031,31,1,1,1,620.12665),-- [bone_gaiters]
(20031,412,1,1,1,620.12665),-- [tights_pants]
(20031,1865,1,1,2,30286.636218),-- [varnish]
(20031,1870,1,1,2,30286.636218),-- [coal]
(20031,2140,1,1,2,6057.340812),-- [rp_high_grade_suede]
(20031,5273,1,1,2,1211.386752),-- [rp_adv_comp_spiritshot_d]
(20032,734,1,1,-1,41013),-- [quick_step_potion]
(20032,1868,1,1,-1,492156),-- [thread]
(20032,1800,1,1,-1,77383),-- [rp_piece_bone_breastplate]
(20032,57,120,193,0,700000),-- [adena]
(20032,24,1,1,1,465.971),-- [bone_breastplate]
(20032,390,1,1,1,465.971),-- [tights_shirt]
(20032,31,1,1,1,744.029),-- [bone_gaiters]
(20032,412,1,1,1,744.029),-- [tights_pants]
(20032,1870,1,1,2,48458.587905),-- [coal]
(20032,1865,1,1,2,48458.587905),-- [varnish]
(20032,2141,1,1,2,9691.82419),-- [rp_silver_mold]
(20033,2139,1,1,-1,41013),-- [rp_steel_mold]
(20033,1924,1,1,-1,66150),-- [leather_helmet_design]
(20033,1925,1,1,-1,134469),-- [leather_gloves_lining]
(20033,57,100,161,0,700000),-- [adena]
(20033,845,1,1,1,885.551886),-- [cat'seye_earing]
(20033,908,1,1,1,664.168959),-- [necklace_of_wisdom]
(20033,1897,1,1,1,7210.951326),-- [necklace_of_wisdom_chain]
(20033,877,1,1,1,1328.327829),-- [ring_of_wisdom]
(20033,1870,1,1,2,30286.636218),-- [coal]
(20033,1865,1,1,2,30286.636218),-- [varnish]
(20033,2142,1,1,2,6057.340812),-- [rp_varnish_of_purity]
(20033,5158,1,1,2,1211.386752),-- [rp_comp_spiritshot_d]
(20034,1868,1,1,-1,501999),-- [thread]
(20034,2254,1,1,-1,10287),-- [rp_composition_bow]
(20034,1873,1,1,-1,100400),-- [silver_nugget]
(20034,57,122,197,0,700000),-- [adena]
(20034,256,1,1,1,282),-- [cestus]
(20034,1873,1,1,2,14828.241164),-- [silver_nugget]
(20034,1868,1,1,2,74141.404766),-- [thread]
(20034,2143,1,1,2,7414.120582),-- [rp_synthesis_cokes]
(20034,6035,1,1,2,3089.233488),-- [potion_of_acumen2]
(20035,2140,1,1,-1,49216),-- [rp_high_grade_suede]
(20035,1925,1,1,-1,161363),-- [leather_gloves_lining]
(20035,1868,1,1,-1,492156),-- [thread]
(20035,57,120,193,0,700000),-- [adena]
(20035,38,1,1,1,1860.220285),-- [low_boots]
(20035,50,1,1,1,1860.220285),-- [leather_gloves]
(20035,1925,1,1,1,31776.55943),-- [leather_gloves_lining]
(20035,1868,1,1,2,72687.902048),-- [thread]
(20035,1873,1,1,2,14537.56122),-- [silver_nugget]
(20035,1817,1,1,2,7268.828584),-- [rp_cord]
(20035,5268,1,1,2,1453.708148),-- [rp_adv_comp_soulshot_d]
(20036,1873,1,1,-1,103328),-- [silver_nugget]
(20036,2175,1,1,-1,210017),-- [rp_boots]
(20036,735,1,1,-1,21527),-- [swift_attack_potion]
(20036,57,124,204,0,700000),-- [adena]
(20036,845,1,1,1,1115.519766),-- [cat'seye_earing]
(20036,908,1,1,1,836.646179),-- [necklace_of_wisdom]
(20036,1897,1,1,1,9083.554406),-- [necklace_of_wisdom_chain]
(20036,877,1,1,1,1673.279649),-- [ring_of_wisdom]
(20036,1864,1,1,2,76303.90936),-- [stem]
(20036,1869,1,1,2,38151.95468),-- [iron_ore]
(20036,1878,1,1,2,15260.781872),-- [braided_hemp]
(20036,2173,1,1,2,10339.354088),-- [rp_hard_leather_shirt]
(20038,2174,1,1,-1,121122),-- [rp_hard_leather_gaiters]
(20038,1868,1,1,-1,557163),-- [thread]
(20038,2011,1,1,-1,6355),-- [short_spear_edge]
(20038,57,133,220,0,700000),-- [adena]
(20038,217,1,1,1,156.5),-- [shining_knife]
(20038,218,1,1,1,156.5),-- [throw_knife]
(20038,1869,1,1,2,20572.111932),-- [iron_ore]
(20038,1870,1,1,2,20572.111932),-- [coal]
(20038,1871,1,1,2,20572.111932),-- [charcoal]
(20038,1872,1,1,2,27429.482576),-- [animal_bone]
(20038,1867,1,1,2,27429.482576),-- [animal_skin]
(20038,2174,1,1,2,8944.443762),-- [rp_hard_leather_gaiters]
(20038,5273,1,1,2,822.833741),-- [rp_adv_comp_spiritshot_d]
(20038,1831,1,1,2,54858.421549),-- [antidote]
(20039,1872,1,1,-1,337674),-- [animal_bone]
(20039,2011,1,1,-1,5777),-- [short_spear_edge]
(20039,1801,1,1,-1,127585),-- [rp_piece_bone_gaiters]
(20039,57,121,200,0,700000),-- [adena]
(20039,945,1,1,1,2833.69248),-- [skeleton_buckler]
(20039,102,1,1,1,1367.637272),-- [round_shield]
(20039,44,1,1,1,956.638184),-- [leather_helmet]
(20039,1924,1,1,1,12066.032064),-- [leather_helmet_design]
(20039,1864,1,1,2,42747.3024),-- [stem]
(20039,1865,1,1,2,21373.6512),-- [varnish]
(20039,1866,1,1,2,14249.1008),-- [suede]
(20039,1873,1,1,2,8549.40095),-- [silver_nugget]
(20039,1868,1,1,2,42747.3024),-- [thread]
(20039,2175,1,1,2,17376.955825),-- [rp_boots]
(20039,735,1,1,2,1781.286425),-- [swift_attack_potion]
(20040,2175,1,1,-1,171583),-- [rp_boots]
(20040,2140,1,1,-1,42209),-- [rp_high_grade_suede]
(20040,2012,1,1,-1,4397),-- [sword_of_reflexion_blade]
(20040,57,101,167,0,700000),-- [adena]
(20040,945,1,1,1,2361.35556),-- [skeleton_buckler]
(20040,102,1,1,1,1139.671259),-- [round_shield]
(20040,44,1,1,1,797.179973),-- [leather_helmet]
(20040,1924,1,1,1,10054.793208),-- [leather_helmet_design]
(20040,1868,1,1,2,62339.799824),-- [thread]
(20040,1873,1,1,2,12467.929032),-- [silver_nugget]
(20040,2252,1,1,2,1277.447308),-- [rp_iron_hammer]
(20040,5158,1,1,2,1246.823836),-- [rp_comp_spiritshot_d]
(20041,1880,1,1,-1,23726),-- [steel]
(20041,2012,1,1,-1,4943),-- [sword_of_reflexion_blade]
(20041,1817,1,1,-1,47452),-- [rp_cord]
(20041,57,114,187,0,700000),-- [adena]
(20041,217,1,1,1,133.5),-- [shining_knife]
(20041,218,1,1,1,133.5),-- [throw_knife]
(20041,1866,1,1,2,31147.6736),-- [suede]
(20041,1871,1,1,2,46721.5104),-- [charcoal]
(20041,2253,1,1,2,1914.816),-- [rp_sword_breaker]
(20042,734,1,1,-1,43053),-- [quick_step_potion]
(20042,2013,1,1,-1,5575),-- [bow_of_forest_shaft]
(20042,57,124,204,0,700000),-- [adena]
(20042,309,1,1,1,145.5),-- [tears_of_eva]
(20042,310,1,1,1,145.5),-- [relic_of_saints]
(20042,1867,1,1,2,40695.344685),-- [animal_skin]
(20042,1872,1,1,2,40695.344685),-- [animal_bone]
(20042,1882,1,1,2,6782.60277),-- [leather]
(20042,2254,1,1,2,1250.901),-- [rp_composition_bow]
(20042,5268,1,1,2,1220.80686),-- [rp_adv_comp_soulshot_d]
(20043,1817,1,1,-1,58608),-- [rp_cord]
(20043,1924,1,1,-1,94529),-- [leather_helmet_design]
(20043,1864,1,1,-1,586082),-- [stem]
(20043,57,137,234,0,700000),-- [adena]
(20043,2,1,1,1,82.439601),-- [long_sword]
(20043,120,1,1,1,82.439601),-- [sword_of_reflexion]
(20043,2012,1,1,1,901.681197),-- [sword_of_reflexion_blade]
(20043,121,1,1,1,82.439601),-- [sword_of_watershadow]
(20043,1864,1,1,2,43279.866706),-- [stem]
(20043,1865,1,1,2,21639.836262),-- [varnish]
(20043,1866,1,1,2,14426.557508),-- [suede]
(20043,1873,1,1,2,8656.051014),-- [silver_nugget]
(20043,1868,1,1,2,43279.866706),-- [thread]
(20043,2143,1,1,2,4327.928416),-- [rp_synthesis_cokes]
(20043,5158,1,1,2,865.663356),-- [rp_comp_spiritshot_d]
(20043,1831,1,1,2,57706.230032),-- [antidote]
(20044,1865,1,1,-1,266401),-- [varnish]
(20044,2142,1,1,-1,53280),-- [rp_varnish_of_purity]
(20044,1872,1,1,-1,355202),-- [animal_bone]
(20044,57,125,213,0,700000),-- [adena]
(20044,309,1,1,1,150),-- [tears_of_eva]
(20044,310,1,1,1,150),-- [relic_of_saints]
(20044,1872,1,1,2,52460.391984),-- [animal_bone]
(20044,1867,1,1,2,52460.391984),-- [animal_skin]
(20044,1881,1,1,2,5245.991984),-- [coarse_bone_powder]
(20044,2144,1,1,2,7869.224048),-- [rp_compound_braid]
(20045,734,1,1,-1,44835),-- [quick_step_potion]
(20045,1925,1,1,-1,176402),-- [leather_gloves_lining]
(20045,57,126,215,0,700000),-- [adena]
(20045,217,1,1,1,151.5),-- [shining_knife]
(20045,218,1,1,1,151.5),-- [throw_knife]
(20045,1871,1,1,2,39731.163947),-- [charcoal]
(20045,1866,1,1,2,26487.413811),-- [suede]
(20045,2150,1,1,2,18653.09614),-- [rp_blue_diamond_necklace]
(20045,5268,1,1,2,1589.326102),-- [rp_adv_comp_soulshot_d]
(20046,2139,1,1,-1,48936),-- [rp_steel_mold]
(20046,735,1,1,-1,20390),-- [swift_attack_potion]
(20046,1897,1,1,-1,58257),-- [necklace_of_wisdom_chain]
(20046,57,115,195,0,700000),-- [adena]
(20046,845,1,1,1,1056.623412),-- [cat'seye_earing]
(20046,908,1,1,1,792.473578),-- [necklace_of_wisdom]
(20046,1897,1,1,1,8603.967892),-- [necklace_of_wisdom_chain]
(20046,877,1,1,1,1584.935118),-- [ring_of_wisdom]
(20046,1867,1,1,2,48183.04145),-- [animal_skin]
(20046,1872,1,1,2,48183.04145),-- [animal_bone]
(20046,1882,1,1,2,8030.52594),-- [leather]
(20046,2173,1,1,2,9793.39116),-- [rp_hard_leather_shirt]
(20047,1869,1,1,-1,222001),-- [iron_ore]
(20047,38,1,1,-1,8522),-- [low_boots]
(20047,2139,1,1,-1,44400),-- [rp_steel_mold]
(20047,57,104,177,0,700000),-- [adena]
(20047,24,1,1,1,420.33665),-- [bone_breastplate]
(20047,390,1,1,1,420.33665),-- [tights_shirt]
(20047,31,1,1,1,671.16335),-- [bone_gaiters]
(20047,412,1,1,1,671.16335),-- [tights_pants]
(20047,1864,1,1,2,43716.99248),-- [stem]
(20047,1869,1,1,2,21858.49624),-- [iron_ore]
(20047,1878,1,1,2,8743.36316),-- [braided_hemp]
(20047,2174,1,1,2,9503.70554),-- [rp_hard_leather_gaiters]
(20047,5273,1,1,2,874.30098),-- [rp_adv_comp_spiritshot_d]
(20047,734,1,1,2,3643.1416),-- [quick_step_potion]
(20048,2144,1,1,-1,45937),-- [rp_compound_braid]
(20048,50,1,1,-1,8817),-- [leather_gloves]
(20048,1924,1,1,-1,74091),-- [leather_helmet_design]
(20048,57,106,184,0,700000),-- [adena]
(20048,256,1,1,1,258),-- [cestus]
(20048,1868,1,1,2,90460.027138),-- [thread]
(20048,1873,1,1,2,18091.981908),-- [silver_nugget]
(20048,2142,1,1,2,9045.990954),-- [rp_varnish_of_purity]
(20049,1882,1,1,-1,61249),-- [leather]
(20049,1924,1,1,-1,88910),-- [leather_helmet_design]
(20049,2140,1,1,-1,55124),-- [rp_high_grade_suede]
(20049,57,127,221,0,700000),-- [adena]
(20049,256,1,1,1,310),-- [cestus]
(20049,1872,1,1,2,43420.565404),-- [animal_bone]
(20049,1867,1,1,2,43420.565404),-- [animal_skin]
(20049,1881,1,1,2,4342.09614),-- [coarse_bone_powder]
(20049,2143,1,1,2,6513.045211),-- [rp_synthesis_cokes]
(20049,5158,1,1,2,1302.727841),-- [rp_comp_spiritshot_d]
(20050,735,1,1,-1,25265),-- [swift_attack_potion]
(20050,1866,1,1,-1,202121),-- [suede]
(20050,1925,1,1,-1,198808),-- [leather_gloves_lining]
(20050,57,140,243,0,700000),-- [adena]
(20050,15,1,1,1,170.613054),-- [short_spear]
(20050,2011,1,1,1,2043.386946),-- [short_spear_edge]
(20050,1866,1,1,2,29851.800528),-- [suede]
(20050,1871,1,1,2,44777.599296),-- [charcoal]
(20050,2144,1,1,2,8955.601056),-- [rp_compound_braid]
(20050,1831,1,1,2,119406.99912),-- [antidote]
(20051,2254,1,1,-1,11407),-- [rp_composition_bow]
(20051,1925,1,1,-1,182506),-- [leather_gloves_lining]
(20051,1867,1,1,-1,371096),-- [animal_skin]
(20051,57,129,223,0,700000),-- [adena]
(20051,272,1,1,1,156.6041),-- [bow_of_forest]
(20051,2013,1,1,1,1774.3959),-- [bow_of_forest_shaft]
(20051,1872,1,1,2,43846.562656),-- [animal_bone]
(20051,1867,1,1,2,43846.562656),-- [animal_skin]
(20051,1881,1,1,2,4384.623616),-- [coarse_bone_powder]
(20051,2150,1,1,2,15438.90752),-- [rp_blue_diamond_necklace]
(20051,5268,1,1,2,1315.343552),-- [rp_adv_comp_soulshot_d]
(20052,1866,1,1,-1,193642),-- [suede]
(20052,1868,1,1,-1,580926),-- [thread]
(20052,1869,1,1,-1,290463),-- [iron_ore]
(20052,57,132,236,0,700000),-- [adena]
(20052,219,1,1,1,91.30743),-- [sword_breaker]
(20052,2015,1,1,1,1046.69257),-- [sword_breaker_edge]
(20052,1869,1,1,2,34319.45224),-- [iron_ore]
(20052,1864,1,1,2,68639.013616),-- [stem]
(20052,1880,1,1,2,3431.999792),-- [steel]
(20052,1804,1,1,2,1372.821744),-- [rp_soulshot_d]
(20052,5158,1,1,2,1372.712608),-- [rp_comp_spiritshot_d]
(20053,2015,1,1,-1,4292),-- [sword_breaker_edge]
(20053,1926,1,1,-1,35553),-- [piece_bone_breastplate_fragment]
(20053,1898,1,1,-1,36155),-- [blue_diamond_necklace_gem]
(20053,57,160,286,0,700000),-- [adena]
(20053,39,1,1,1,1459.212084),-- [boots]
(20053,1930,1,1,1,17772.555141),-- [boots_lining]
(20053,51,1,1,1,1459.232775),-- [bracer]
(20053,1864,1,1,2,83174.087694),-- [stem]
(20053,1869,1,1,2,41587.043847),-- [iron_ore]
(20053,1878,1,1,2,16634.75594),-- [braided_hemp]
(20053,2151,1,1,2,11584.116331),-- [rp_necklace_of_devotion]
(20053,5437,1,1,2,1016.996188),-- [rp_heavy_sword]
(20054,1880,1,1,-1,34172),-- [steel]
(20054,3032,1,1,-1,13669),-- [rp_spiritshot_d]
(20054,1804,1,1,-1,13669),-- [rp_soulshot_d]
(20054,57,156,278,0,700000),-- [adena]
(20054,39,1,1,1,1416.686112),-- [boots]
(20054,1930,1,1,1,17254.607688),-- [boots_lining]
(20054,51,1,1,1,1416.7062),-- [bracer]
(20054,1867,1,1,2,53834.08194),-- [animal_skin]
(20054,1872,1,1,2,53834.08194),-- [animal_bone]
(20054,1882,1,1,2,8972.301132),-- [leather]
(20054,2176,1,1,2,19318.416228),-- [rp_leather_boots]
(20054,5268,1,1,2,1615.11876),-- [rp_adv_comp_soulshot_d]
(20055,2176,1,1,-1,163503),-- [rp_leather_boots]
(20055,1928,1,1,-1,49777),-- [piece_bone_gaiters_fragment]
(20055,1926,1,1,-1,34517),-- [piece_bone_breastplate_fragment]
(20055,57,156,278,0,700000),-- [adena]
(20055,219,1,1,1,107.35443),-- [sword_breaker]
(20055,2015,1,1,1,1230.64557),-- [sword_breaker_edge]
(20055,1869,1,1,2,40375.716636),-- [iron_ore]
(20055,1864,1,1,2,80751.433272),-- [stem]
(20055,1880,1,1,2,4037.515092),-- [steel]
(20055,2177,1,1,2,12899.597661),-- [rp_bone_helmet]
(20055,735,1,1,2,3364.737339),-- [swift_attack_potion]
(20056,1926,1,1,-1,34201),-- [piece_bone_breastplate_fragment]
(20056,5163,1,1,-1,13543),-- [rp_comp_bspiritshot_d]
(20056,2151,1,1,-1,94314),-- [rp_necklace_of_devotion]
(20056,57,154,276,0,700000),-- [adena]
(20056,27,1,1,1,352.163077),-- [hard_leather_shirt]
(20056,1927,1,1,1,3989.348954),-- [hard_leather_shirt_pattern]
(20056,33,1,1,1,565.042096),-- [hard_leather_gaiters]
(20056,1929,1,1,1,6452.445873),-- [hard_leather_gaiters_material]
(20056,1868,1,1,2,100013.252364),-- [thread]
(20056,1873,1,1,2,20002.702302),-- [silver_nugget]
(20056,2256,1,1,2,1222.650828),-- [rp_assassin_knife]
(20056,734,1,1,2,8334.394506),-- [quick_step_potion]
(20057,2176,1,1,-1,147276),-- [rp_leather_boots]
(20057,2258,1,1,-1,7526),-- [rp_temptation_of_abyss]
(20057,1927,1,1,-1,24556),-- [hard_leather_shirt_pattern]
(20057,57,140,251,0,700000),-- [adena]
(20057,1102,1,1,1,640.425264),-- [tunic_of_magicpower]
(20057,1105,1,1,1,1027.574736),-- [hose_of_magicpower]
(20057,1870,1,1,2,45460.579741),-- [coal]
(20057,1865,1,1,2,45460.579741),-- [varnish]
(20057,2257,1,1,2,1111.477393),-- [rp_trident]
(20057,5273,1,1,2,1818.363125),-- [rp_adv_comp_spiritshot_d]
(20058,1873,1,1,-1,144850),-- [silver_nugget]
(20058,1926,1,1,-1,36578),-- [piece_bone_breastplate_fragment]
(20058,1865,1,1,-1,362125),-- [varnish]
(20058,57,164,295,0,700000),-- [adena]
(20058,16,1,1,1,228),-- [long_spear]
(20058,1865,1,1,2,53483.196944),-- [varnish]
(20058,1870,1,1,2,53483.196944),-- [coal]
(20058,1879,1,1,2,8913.90522),-- [cokes]
(20058,2258,1,1,2,1307.700892),-- [rp_temptation_of_abyss]
(20059,2177,1,1,-1,115695),-- [rp_bone_helmet]
(20059,32,1,1,-1,4734),-- [piece_bone_gaiters]
(20059,1879,1,1,-1,60354),-- [cokes]
(20059,57,164,295,0,700000),-- [adena]
(20059,625,1,1,1,2160.640404),-- [bone_shield]
(20059,1148,1,1,1,1506.359596),-- [hard_leather_helmet]
(20059,1870,1,1,2,53483.147405),-- [coal]
(20059,1865,1,1,2,53483.147405),-- [varnish]
(20059,3032,1,1,2,2139.352595),-- [rp_spiritshot_d]
(20059,5158,1,1,2,2139.352595),-- [rp_comp_spiritshot_d]
(20060,1869,1,1,-1,369368),-- [iron_ore]
(20060,1928,1,1,-1,53805),-- [piece_bone_gaiters_fragment]
(20060,57,168,301,0,700000),-- [adena]
(20060,87,1,1,1,58.02444),-- [iron_hammer]
(20060,2014,1,1,1,626.927481),-- [iron_hammer_head]
(20060,155,1,1,1,58.02444),-- [buzdygan]
(20060,177,1,1,1,58.023639),-- [mage_staff]
(20060,1870,1,1,2,43642.188839),-- [coal]
(20060,1865,1,1,2,43642.188839),-- [varnish]
(20060,3953,1,1,2,1745.709363),-- [rp_blessed_spiritshot_d]
(20060,6666,1,1,2,43642.188839),-- [key_of_treasure_box2]
(20060,735,1,1,2,3636.72412),-- [swift_attack_potion]
(20061,1880,1,1,-1,38571),-- [steel]
(20061,1927,1,1,-1,30770),-- [hard_leather_shirt_pattern]
(20061,2176,1,1,-1,184549),-- [rp_leather_boots]
(20061,57,177,312,0,700000),-- [adena]
(20061,273,1,1,1,121.177056),-- [composition_bow]
(20061,2016,1,1,1,1334.822944),-- [composition_bow_shaft]
(20061,1866,1,1,2,30381.9065),-- [suede]
(20061,1871,1,1,2,45572.984215),-- [charcoal]
(20061,2257,1,1,2,1114.21068),-- [rp_trident]
(20061,5268,1,1,2,1822.91439),-- [rp_adv_comp_soulshot_d]
(20061,6666,1,1,2,45572.984215),-- [key_of_treasure_box2]
(20062,2257,1,1,-1,9246),-- [rp_trident]
(20062,27,1,1,-1,2663),-- [hard_leather_shirt]
(20062,1929,1,1,-1,48793),-- [hard_leather_gaiters_material]
(20062,57,173,305,0,700000),-- [adena]
(20062,219,1,1,1,118.828035),-- [sword_breaker]
(20062,2015,1,1,1,1362.171965),-- [sword_breaker_edge]
(20062,1872,1,1,2,59572.137482),-- [animal_bone]
(20062,1867,1,1,2,59572.137482),-- [animal_skin]
(20062,1881,1,1,2,5957.145399),-- [coarse_bone_powder]
(20062,2258,1,1,2,1092.391089),-- [rp_temptation_of_abyss]
(20062,6666,1,1,2,44679.188548),-- [key_of_treasure_box2]
(20063,2176,1,1,-1,196828),-- [rp_leather_boots]
(20063,34,1,1,-1,3486),-- [bronze_gaiters]
(20063,2177,1,1,-1,131428),-- [rp_bone_helmet]
(20063,57,183,337,0,700000),-- [adena]
(20063,273,1,1,1,129.249978),-- [composition_bow]
(20063,2016,1,1,1,1423.750022),-- [composition_bow_shaft]
(20063,1867,1,1,2,54005.375768),-- [animal_skin]
(20063,1872,1,1,2,54005.375768),-- [animal_bone]
(20063,1882,1,1,2,9000.842586),-- [leather]
(20063,1804,1,1,2,1620.154868),-- [rp_soulshot_d]
(20063,6666,1,1,2,40504.031826),-- [key_of_treasure_box2]
(20063,8294,1,1,2,990.219184),-- [rp_iron_sword]
(20064,1873,1,1,-1,162950),-- [silver_nugget]
(20064,1926,1,1,-1,41149),-- [piece_bone_breastplate_fragment]
(20064,1930,1,1,-1,104455),-- [boots_lining]
(20064,57,181,334,0,700000),-- [adena]
(20064,27,1,1,1,423.718001),-- [hard_leather_shirt]
(20064,1927,1,1,1,4799.932402),-- [hard_leather_shirt_pattern]
(20064,33,1,1,1,679.851248),-- [hard_leather_gaiters]
(20064,1929,1,1,1,7763.498349),-- [hard_leather_gaiters_material]
(20064,1866,1,1,2,32088.633729),-- [suede]
(20064,1871,1,1,2,48132.893994),-- [charcoal]
(20064,2179,1,1,2,23030.110152),-- [rp_excellence_leather_gloves]
(20064,5273,1,1,2,1925.288592),-- [rp_adv_comp_spiritshot_d]
(20064,734,1,1,2,8022.073533),-- [quick_step_potion]
(20066,1865,1,1,-1,445204),-- [varnish]
(20066,347,1,1,-1,1387),-- [ring_breastplate]
(20066,1873,1,1,-1,178082),-- [silver_nugget]
(20066,57,196,367,0,700000),-- [adena]
(20066,347,1,1,1,389.044172),-- [ring_breastplate]
(20066,376,1,1,1,622.955828),-- [iron_plate_gaiters]
(20066,1868,1,1,2,99945.297768),-- [thread]
(20066,1873,1,1,2,19989.005894),-- [silver_nugget]
(20066,5549,1,1,2,4997.318548),-- [iron_thread]
(20066,2178,1,1,2,7995.682847),-- [rp_dark_hose]
(20066,8294,1,1,2,1221.694943),-- [rp_iron_sword]
(20067,2180,1,1,-1,31555),-- [rp_scale_mail]
(20067,2020,1,1,-1,7347),-- [temptation_of_abyss_piece]
(20067,1869,1,1,-1,419687),-- [iron_ore]
(20067,57,185,346,0,700000),-- [adena]
(20067,847,1,1,1,568.9424),-- [red_cresent_earing]
(20067,910,1,1,1,426.7068),-- [necklace_of_devotion]
(20067,1899,1,1,1,9200.92615),-- [necklace_of_devotion_chain]
(20067,890,1,1,1,853.42465),-- [ring_of_devotion]
(20067,1864,1,1,2,117770.806104),-- [stem]
(20067,1869,1,1,2,58885.403052),-- [iron_ore]
(20067,1878,1,1,2,23554.243076),-- [braided_hemp]
(20067,2180,1,1,2,4427.547768),-- [rp_scale_mail]
(20068,2261,1,1,-1,7002),-- [rp_conjure_staff]
(20068,391,1,1,-1,1871),-- [puma_skin_shirt]
(20068,1899,1,1,-1,70456),-- [necklace_of_devotion_chain]
(20068,57,196,374,0,700000),-- [adena]
(20068,101,1,1,1,32.150125),-- [scroll_of_wisdom]
(20068,312,1,1,1,32.150125),-- [branch_of_life]
(20068,313,1,1,1,32.150125),-- [temptation_of_abyss]
(20068,2020,1,1,1,886.40153),-- [temptation_of_abyss_piece]
(20068,314,1,1,1,32.148095),-- [proof_of_revenge]
(20068,1864,1,1,2,126533.87649),-- [stem]
(20068,1869,1,1,2,63267.04629),-- [iron_ore]
(20068,1878,1,1,2,25306.73208),-- [braided_hemp]
(20068,2262,1,1,2,982.34514),-- [rp_elven_bow]
(20070,1872,1,1,-1,621523),-- [animal_bone]
(20070,2182,1,1,-1,55959),-- [rp_scale_gaiters]
(20070,2152,1,1,-1,82067),-- [rp_enchanted_necklace]
(20070,57,201,388,0,700000),-- [adena]
(20070,40,1,1,1,812.471808),-- [leather_boots]
(20070,1931,1,1,1,8549.528192),-- [leather_boots_lining]
(20070,604,1,1,1,812.471808),-- [excellence_leather_gloves]
(20070,1934,1,1,1,8549.528192),-- [excellence_leather_gloves_lining]
(20070,1872,1,1,2,69763.43844),-- [animal_bone]
(20070,1867,1,1,2,69763.43844),-- [animal_skin]
(20070,1881,1,1,2,6976.343844),-- [coarse_bone_powder]
(20070,1875,1,1,2,3488.247324),-- [stone_of_purity]
(20070,2263,1,1,2,812.531952),-- [rp_dwarven_trident]
(20072,2263,1,1,-1,7608),-- [rp_dwarven_trident]
(20072,3953,1,1,-1,19599),-- [rp_blessed_spiritshot_d]
(20072,1931,1,1,-1,64050),-- [leather_boots_lining]
(20072,57,210,411,0,700000),-- [adena]
(20072,626,1,1,1,1084.75878),-- [bronze_shield]
(20072,45,1,1,1,760.678815),-- [bone_helmet]
(20072,1932,1,1,1,14549.562405),-- [bone_helmet_design]
(20072,1866,1,1,2,26189.970019),-- [suede]
(20072,1871,1,1,2,39285.011773),-- [charcoal]
(20072,5220,1,1,2,1571.368694),-- [reinforcing_agent]
(20072,1885,1,1,2,3273.703694),-- [high_grade_suede]
(20072,2262,1,1,2,610.003375),-- [rp_elven_bow]
(20072,6666,1,1,2,39285.011773),-- [key_of_treasure_box2]
(20072,6035,1,1,2,3273.930672),-- [potion_of_acumen2]
(20074,1869,1,1,-1,507790),-- [iron_ore]
(20074,1061,1,1,-1,307751),-- [healing_potion]
(20074,1900,1,1,-1,55557),-- [enchanted_necklace_chain]
(20074,57,215,426,0,700000),-- [adena]
(20074,1123,1,1,1,1084),-- [blue_buckskin_boots]
(20074,605,1,1,1,1084),-- [leather_gauntlet]
(20074,1869,1,1,2,46247.94342),-- [iron_ore]
(20074,1864,1,1,2,92495.88684),-- [stem]
(20074,1880,1,1,2,4624.83948),-- [steel]
(20074,5550,1,1,2,616.58508),-- [reinforcing_plate]
(20074,737,1,1,2,4624.83948),-- [scroll_of_resurrection]
(20074,6387,1,1,2,1849.9057),-- [blessed_scroll_of_resurrection_pet]
(20075,1061,1,1,-1,282105),-- [healing_potion]
(20075,348,1,1,-1,908),-- [scale_mail]
(20075,2153,1,1,-1,72391),-- [rp_tiger'seye_earing]
(20075,57,197,391,0,700000),-- [adena]
(20075,848,1,1,1,387.77028),-- [enchanted_earing]
(20075,911,1,1,1,291.04554),-- [enchanted_necklace]
(20075,1900,1,1,1,6957.75324),-- [enchanted_necklace_chain]
(20075,879,1,1,1,583.43094),-- [enchanted_ring]
(20075,1871,1,1,2,42393.94416),-- [charcoal]
(20075,1866,1,1,2,28262.62944),-- [suede]
(20075,1877,1,1,2,1695.796016),-- [admantite_nugget]
(20075,955,1,1,2,169.636976),-- [scrl_of_ench_wp_d]
(20075,2193,1,1,2,5675.2844),-- [rp_boots_of_power]
(20075,1831,1,1,2,113050.709008),-- [antidote]
(20076,2250,1,1,-1,134666),-- [rp_bone_arrow]
(20076,1880,1,1,-1,53866),-- [steel]
(20076,1900,1,1,-1,58935),-- [enchanted_necklace_chain]
(20076,57,228,452,0,700000),-- [adena]
(20076,1123,1,1,1,1150),-- [blue_buckskin_boots]
(20076,605,1,1,1,1150),-- [leather_gauntlet]
(20076,1869,1,1,2,49059.738825),-- [iron_ore]
(20076,1864,1,1,2,98119.47765),-- [stem]
(20076,1880,1,1,2,4906.0203),-- [steel]
(20076,5550,1,1,2,654.1773),-- [reinforcing_plate]
(20076,956,1,1,2,1635.288525),-- [scrl_of_ench_am_d]
(20076,2274,1,1,2,350.2974),-- [rp_skull_breaker]
(20077,2153,1,1,-1,82578),-- [rp_tiger'seye_earing]
(20077,1933,1,1,-1,62468),-- [dark_hose_fabric]
(20077,2183,1,1,-1,34933),-- [rp_mithril_banded_mail]
(20077,57,224,448,0,700000),-- [adena]
(20077,627,1,1,1,1078.49287),-- [aspis]
(20077,46,1,1,1,755.50713),-- [bronze_helmet]
(20077,1870,1,1,2,72539.884816),-- [coal]
(20077,1865,1,1,2,72539.884816),-- [varnish]
(20077,1874,1,1,2,4836.032376),-- [oriharukon_ore]
(20077,955,1,1,2,290.197992),-- [scrl_of_ench_wp_d]
(20078,2024,1,1,-1,7564),-- [elven_bow_shaft]
(20078,2023,1,1,-1,6580),-- [conjure_staff_head]
(20078,1900,1,1,-1,58094),-- [enchanted_necklace_chain]
(20078,57,224,448,0,700000),-- [adena]
(20078,433,1,1,1,94.332676),-- [elven_tunic]
(20078,434,1,1,1,94.332676),-- [white_tunic]
(20078,1936,1,1,1,2968.270564),-- [white_tunic_pattern]
(20078,435,1,1,1,94.332676),-- [mage's_tunic]
(20078,466,1,1,1,151.133176),-- [elven_hose]
(20078,467,1,1,1,151.133176),-- [dark_hose]
(20078,1933,1,1,1,4267.323908),-- [dark_hose_fabric]
(20078,468,1,1,1,151.141148),-- [mage's_hose]
(20078,1868,1,1,2,116063.493736),-- [thread]
(20078,1873,1,1,2,23212.73434),-- [silver_nugget]
(20078,5549,1,1,2,5803.228076),-- [iron_thread]
(20078,1889,1,1,2,3868.759396),-- [compound_braid]
(20078,736,1,1,2,29015.784452),-- [scroll_of_escape]
(20079,1866,1,1,-1,353985),-- [suede]
(20079,2266,1,1,-1,5491),-- [rp_knife_o'_silenus]
(20079,1881,1,1,-1,70797),-- [coarse_bone_powder]
(20079,57,224,448,0,700000),-- [adena]
(20079,848,1,1,1,442.303424),-- [enchanted_earing]
(20079,911,1,1,1,331.976032),-- [enchanted_necklace]
(20079,1900,1,1,1,7936.240192),-- [enchanted_necklace_chain]
(20079,879,1,1,1,665.480352),-- [enchanted_ring]
(20079,1872,1,1,2,55268.379684),-- [animal_bone]
(20079,1867,1,1,2,55268.379684),-- [animal_skin]
(20079,1881,1,1,2,5526.88206),-- [coarse_bone_powder]
(20079,1875,1,1,2,2763.367544),-- [stone_of_purity]
(20079,2183,1,1,2,2727.06546),-- [rp_mithril_banded_mail]
(20079,2278,1,1,2,296.14858),-- [rp_strengthening_long_bow]
(20079,1061,1,1,2,25121.776988),-- [healing_potion]
(20080,2268,1,1,-1,5950),-- [rp_tome_of_blood]
(20080,2021,1,1,-1,7264),-- [spinebone_sword_blade]
(20080,1878,1,1,-1,230138),-- [braided_hemp]
(20080,57,243,485,0,700000),-- [adena]
(20080,259,1,1,1,127),-- [single-edged_jamadhr]
(20080,1864,1,1,2,104801.321735),-- [stem]
(20080,1869,1,1,2,52400.76974),-- [iron_ore]
(20080,1878,1,1,2,20960.351445),-- [braided_hemp]
(20080,1884,1,1,2,32246.510285),-- [cord]
(20080,737,1,1,2,5240.033425),-- [scroll_of_resurrection]
(20080,6387,1,1,2,2096.01337),-- [blessed_scroll_of_resurrection_pet]
(20081,1061,1,1,-1,583400),-- [healing_potion]
(20081,1933,1,1,-1,113248),-- [dark_hose_fabric]
(20081,57,406,814,0,700000),-- [adena]
(20081,848,1,1,1,801.863652),-- [enchanted_earing]
(20081,911,1,1,1,601.848186),-- [enchanted_necklace]
(20081,1900,1,1,1,14387.821116),-- [enchanted_necklace_chain]
(20081,879,1,1,1,1206.467046),-- [enchanted_ring]
(20081,1874,1,1,2,5009.78334),-- [oriharukon_ore]
(20081,1878,1,1,2,30058.609398),-- [braided_hemp]
(20081,1884,1,1,2,46244.098128),-- [cord]
(20081,1889,1,1,2,5009.78334),-- [compound_braid]
(20081,5220,1,1,2,3005.870004),-- [reinforcing_agent]
(20081,2267,1,1,2,777.073866),-- [rp_gastraphetes]
(20081,2274,1,1,2,536.781924),-- [rp_skull_breaker]
(20082,1884,1,1,-1,357298),-- [cord]
(20082,2275,1,1,-1,4147),-- [rp_heavy_bone_club]
(20082,1901,1,1,-1,80195),-- [tiger'seye_earing_stone]
(20082,57,245,491,0,700000),-- [adena]
(20082,553,1,1,1,225.588736),-- [iron_boots]
(20082,1940,1,1,1,6582.467584),-- [iron_boots_design]
(20082,2422,1,1,1,225.588736),-- [reinforce_leather_boots]
(20082,2423,1,1,1,225.588736),-- [boots_of_knowledge]
(20082,63,1,1,1,225.588736),-- [gauntlet]
(20082,2446,1,1,1,225.588736),-- [reinforce_leather_gloves]
(20082,2447,1,1,1,225.588736),-- [gloves_of_knowledge]
(20082,1875,1,1,2,2572.555764),-- [stone_of_purity]
(20082,1879,1,1,2,6431.289876),-- [cokes]
(20082,1885,1,1,2,3215.678116),-- [high_grade_suede]
(20082,5550,1,1,2,514.524424),-- [reinforcing_plate]
(20082,5549,1,1,2,3858.800468),-- [iron_thread]
(20082,2154,1,1,2,4131.457272),-- [rp_elven_earing]
(20082,2190,1,1,2,2756.295528),-- [rp_mithril_hose]
(20082,1832,1,1,2,42875.398552),-- [advanced_antidote]
(20083,2987,1,1,-1,69132),-- [rp_plate_shield]
(20083,2975,1,1,-1,63577),-- [rp_brigandine_helmet]
(20083,2154,1,1,-1,76237),-- [rp_elven_earing]
(20083,57,301,602,0,700000),-- [adena]
(20083,393,1,1,1,107.856888),-- [mithril_banded_mail]
(20083,1938,1,1,1,4241.629608),-- [mithril_banded_mail_material]
(20083,394,1,1,1,107.856888),-- [reinforce_leather_shirt]
(20083,415,1,1,1,172.393104),-- [mithril_banded_gaiters]
(20083,1939,1,1,1,5541.880752),-- [mithril_banded_gaiters_material]
(20083,416,1,1,1,172.38276),-- [reinforce_leather_gaiters]
(20083,1874,1,1,2,3154.944515),-- [oriharukon_ore]
(20083,1878,1,1,2,18929.66709),-- [braided_hemp]
(20083,1884,1,1,2,29122.575362),-- [cord]
(20083,1889,1,1,2,3154.944515),-- [compound_braid]
(20083,5220,1,1,2,1892.966709),-- [reinforcing_agent]
(20083,2155,1,1,2,7596.138292),-- [rp_elven_ring]
(20083,2286,1,1,2,262.917789),-- [rp_bonebreaker]
(20083,2985,1,1,2,4838.845728),-- [rp_plate_boots]
(20084,1885,1,1,-1,55207),-- [high_grade_suede]
(20084,2978,1,1,-1,88686),-- [rp_elven_mithril_boots]
(20084,1938,1,1,-1,44537),-- [mithril_banded_mail_material]
(20084,57,280,558,0,700000),-- [adena]
(20084,628,1,1,1,858.99538),-- [hoplon]
(20084,47,1,1,1,601.00462),-- [helmet]
(20084,1876,1,1,2,8805.965454),-- [mithril_ore]
(20084,1880,1,1,2,4402.982727),-- [steel]
(20084,1877,1,1,2,1761.157079),-- [admantite_nugget]
(20084,1881,1,1,2,5870.643636),-- [coarse_bone_powder]
(20084,1882,1,1,2,9784.40606),-- [leather]
(20084,2269,1,1,2,314.563073),-- [rp_morning_star]
(20084,2971,1,1,2,2354.451484),-- [rp_mithril_scale_gaiters]
(20084,1341,10,30,2,146764.830487),-- [bone_arrow]
(20085,2278,1,1,-1,5472),-- [rp_strengthening_long_bow]
(20085,2422,1,1,-1,3918),-- [reinforce_leather_boots]
(20085,2155,1,1,-1,122961),-- [rp_elven_ring]
(20085,57,324,645,0,700000),-- [adena]
(20085,553,1,1,1,297.62022),-- [iron_boots]
(20085,1940,1,1,1,8684.27868),-- [iron_boots_design]
(20085,2422,1,1,1,297.62022),-- [reinforce_leather_boots]
(20085,2423,1,1,1,297.62022),-- [boots_of_knowledge]
(20085,63,1,1,1,297.62022),-- [gauntlet]
(20085,2446,1,1,1,297.62022),-- [reinforce_leather_gloves]
(20085,2447,1,1,1,297.62022),-- [gloves_of_knowledge]
(20085,1870,1,1,2,67883.652096),-- [coal]
(20085,1865,1,1,2,67883.652096),-- [varnish]
(20085,1874,1,1,2,4525.517568),-- [oriharukon_ore]
(20085,2270,1,1,2,484.866304),-- [rp_goathead_staff]
(20085,2293,1,1,2,377.200512),-- [rp_glaive]
(20085,2986,1,1,2,6941.111424),-- [rp_sage's_worn_gloves]
(20086,1868,1,3,-1,588224),-- [thread]
(20086,469,1,1,-1,1607),-- [hose_of_knowledge]
(20086,1939,1,1,-1,51667),-- [mithril_banded_gaiters_material]
(20086,57,248,496,0,700000),-- [adena]
(20086,436,1,1,1,267.47631),-- [tunic_of_knowledge]
(20086,469,1,1,1,427.52369),-- [hose_of_knowledge]
(20086,1874,1,1,2,2978.613478),-- [oriharukon_ore]
(20086,1878,1,1,2,17871.56923),-- [braided_hemp]
(20086,1884,1,1,2,27494.709011),-- [cord]
(20086,1889,1,1,2,2978.613478),-- [compound_braid]
(20086,5220,1,1,2,1787.156923),-- [reinforcing_agent]
(20086,2972,1,1,2,2389.220657),-- [rp_brigandine_gaiters]
(20086,8307,1,1,2,319.117223),-- [rp_mace_of_priest]
(20087,2191,1,1,-1,188912),-- [rp_gauntlet_of_repose_of_the_soul]
(20087,1940,1,1,-1,210623),-- [iron_boots_design]
(20087,1866,1,1,-1,940782),-- [suede]
(20087,57,596,1189,0,700000),-- [adena]
(20087,393,1,1,1,213.763927),-- [mithril_banded_mail]
(20087,1938,1,1,1,8406.578557),-- [mithril_banded_mail_material]
(20087,394,1,1,1,213.763927),-- [reinforce_leather_shirt]
(20087,415,1,1,1,341.669666),-- [mithril_banded_gaiters]
(20087,1939,1,1,1,10983.574758),-- [mithril_banded_gaiters_material]
(20087,416,1,1,1,341.649165),-- [reinforce_leather_gaiters]
(20087,1871,1,1,2,93788.817808),-- [charcoal]
(20087,1866,1,1,2,62525.7801),-- [suede]
(20087,1877,1,1,2,3751.694464),-- [admantite_nugget]
(20087,2975,1,1,2,8373.980496),-- [rp_brigandine_helmet]
(20087,2984,1,1,2,9589.796468),-- [rp_slamander_skin_boots]
(20087,3020,1,1,2,520.937424),-- [rp_elven_long_sword]
(20087,2980,1,1,2,12555.35974),-- [rp_brigandine_gauntlet]
(20087,1832,1,1,2,104209.6335),-- [advanced_antidote]
(20088,2149,1,1,-1,112102),-- [rp_metallic_fiber]
(20088,1895,1,1,-1,448410),-- [metallic_fiber]
(20088,1875,1,1,-1,104629),-- [stone_of_purity]
(20088,57,662,1326,0,700000),-- [adena]
(20088,293,1,1,1,112),-- [war_hammer]
(20088,296,1,1,1,112),-- [dwarven_pike]
(20088,1872,1,1,2,185434.842315),-- [animal_bone]
(20088,1867,1,1,2,185434.842315),-- [animal_skin]
(20088,1881,1,1,2,18543.684457),-- [coarse_bone_powder]
(20088,1875,1,1,2,9271.642003),-- [stone_of_purity]
(20088,2270,1,1,2,993.518931),-- [rp_goathead_staff]
(20088,2288,1,1,2,772.469979),-- [rp_ghost_staff]
(20089,1884,1,1,-1,402384),-- [cord]
(20089,2159,1,1,-1,40363),-- [rp_necklace_of_darkness]
(20089,1902,1,1,-1,66249),-- [elven_earing_beads]
(20089,57,276,551,0,700000),-- [adena]
(20089,395,1,1,1,98.256501),-- [manticor_skin_shirt]
(20089,1942,1,1,1,4310.137062),-- [manticor_skin_shirt_texture]
(20089,417,1,1,1,156.919455),-- [manticor_skin_gaiters]
(20089,1943,1,1,1,6711.686982),-- [manticor_skin_gaiters_pattern]
(20089,1875,1,1,2,2816.692902),-- [stone_of_purity]
(20089,1879,1,1,2,7041.719876),-- [cokes]
(20089,1885,1,1,2,3520.859938),-- [high_grade_suede]
(20089,5550,1,1,2,563.343532),-- [reinforcing_plate]
(20089,5549,1,1,2,4225.026974),-- [iron_thread]
(20089,1825,1,1,2,3017.87641),-- [rp_oriharukon]
(20089,2205,1,1,2,1337.031032),-- [rp_chain_gaiters]
(20089,2989,1,1,2,2235.449336),-- [rp_chain_hood]
(20090,2197,1,1,-1,30160),-- [rp_slamander_skin_mail]
(20090,1868,1,7,-1,719317),-- [thread]
(20090,1825,1,1,-1,102760),-- [rp_oriharukon]
(20090,57,608,1214,0,700000),-- [adena]
(20090,352,1,1,1,107.918108),-- [brigandine]
(20090,1941,1,1,1,4929.057129),-- [brigandine_temper]
(20090,2377,1,1,1,172.624777),-- [mithril_scale_gaiters]
(20090,2918,1,1,1,7353.397649),-- [mithril_scale_gaiters_material]
(20090,2378,1,1,1,172.624777),-- [brigandine_gaiters]
(20090,2919,1,1,1,7353.37756),-- [brigandine_gaiters_material]
(20090,1876,1,1,2,18591.570984),-- [mithril_ore]
(20090,1880,1,1,2,9295.785492),-- [steel]
(20090,1877,1,1,2,3718.47126),-- [admantite_nugget]
(20090,1881,1,1,2,12394.24977),-- [coarse_bone_powder]
(20090,1882,1,1,2,20656.952064),-- [leather]
(20090,2158,1,1,2,11504.486742),-- [rp_mithril_ring]
(20090,5472,1,1,2,6639.84678),-- [rp_iron_thread]
(20090,1341,10,30,2,309856.636908),-- [bone_arrow]
(20092,1666,1,1,-1,49062),-- [rp_wooden_arrow]
(20092,1866,1,1,-1,98124),-- [suede]
(20092,2005,1,1,-1,10513),-- [broad_sword_blade]
(20092,57,79,107,0,700000),-- [adena]
(20092,113,1,1,1,9349.784408),-- [mage_earing]
(20092,906,1,1,1,6984.16868),-- [necklace_of_knowledge]
(20092,875,1,1,1,13802.046912),-- [ring_of_knowledge]
(20092,1869,1,1,2,14492.038992),-- [iron_ore]
(20092,1870,1,1,2,14492.038992),-- [coal]
(20092,1871,1,1,2,14492.038992),-- [charcoal]
(20092,1872,1,1,2,19322.718656),-- [animal_bone]
(20092,1867,1,1,2,19322.718656),-- [animal_skin]
(20092,2137,1,1,2,4262.445712),-- [rp_steel]
(20093,1867,1,1,-1,242609),-- [animal_skin]
(20093,2007,1,1,-1,12997),-- [bow_shaft]
(20093,1666,1,1,-1,60652),-- [rp_wooden_arrow]
(20093,57,98,132,0,700000),-- [adena]
(20093,3,1,1,1,1119.771954),-- [broad_sword]
(20093,2005,1,1,1,3839.228046),-- [broad_sword_blade]
(20093,1872,1,1,2,35831.462786),-- [animal_bone]
(20093,1867,1,1,2,35831.462786),-- [animal_skin]
(20093,2138,1,1,2,7904.062642),-- [rp_coarse_bone_powder]
(20093,1060,1,1,2,59719.011786),-- [lesser_healing_potion]
(20095,1864,1,1,-1,297315),-- [stem]
(20095,2006,1,1,-1,10618),-- [willow_staff_head]
(20095,57,80,108,0,700000),-- [adena]
(20095,428,1,1,1,2348.272102),-- [feriotic_tunic]
(20095,1100,1,1,1,2348.272102),-- [cotton_tunic]
(20095,463,1,1,1,3753.227898),-- [feriotic_hose]
(20095,1103,1,1,1,3753.227898),-- [cotton_hose]
(20095,1864,1,1,2,58547.899942),-- [stem]
(20095,1869,1,1,2,29273.949971),-- [iron_ore]
(20095,1789,1,1,2,5411.150087),-- [rp_cedar_staff]
(20096,1799,1,1,-1,298635),-- [rp_leather_gloves]
(20096,1921,1,1,-1,130051),-- [leather_shoes_texture]
(20096,1792,1,1,-1,14822),-- [rp_short_spear]
(20096,57,109,147,0,700000),-- [adena]
(20096,37,1,1,1,3891.653613),-- [leather_shoes]
(20096,1921,1,1,1,25609.659381),-- [leather_shoes_texture]
(20096,49,1,1,1,3891.687006),-- [gloves]
(20096,1869,1,1,2,19847.655828),-- [iron_ore]
(20096,1870,1,1,2,19847.655828),-- [coal]
(20096,1871,1,1,2,19847.655828),-- [charcoal]
(20096,1872,1,1,2,26463.541104),-- [animal_bone]
(20096,1867,1,1,2,26463.541104),-- [animal_skin]
(20096,736,1,1,2,9923.950308),-- [scroll_of_escape]
(20097,1864,1,1,-1,335964),-- [stem]
(20097,1793,1,1,-1,12352),-- [rp_sword_of_reflexion]
(20097,1872,1,1,-1,223976),-- [animal_bone]
(20097,57,91,122,0,700000),-- [adena]
(20097,23,1,1,1,1081.06461),-- [wooden_breastplate]
(20097,30,1,1,1,1731.967695),-- [hard_leather_pants]
(20097,2386,1,1,1,1731.967695),-- [wooden_gaiters]
(20097,1872,1,1,2,44105.829452),-- [animal_bone]
(20097,1867,1,1,2,44105.829452),-- [animal_skin]
(20097,1792,1,1,2,2432.341096),-- [rp_short_spear]
(20098,1867,1,1,-1,292047),-- [animal_skin]
(20098,1870,1,1,-1,219036),-- [coal]
(20098,1896,1,1,-1,92812),-- [necklace_of_anguish_chain]
(20098,57,117,161,0,700000),-- [adena]
(20098,66,1,1,1,207.363975),-- [gladius]
(20098,1333,1,1,1,207.363975),-- [brandish]
(20098,2010,1,1,1,1678.27205),-- [brandish_blade]
(20098,1865,1,1,2,43133.26426),-- [varnish]
(20098,1870,1,1,2,43133.26426),-- [coal]
(20098,1793,1,1,2,3171.47148),-- [rp_sword_of_reflexion]
(20099,2009,1,1,-1,6303),-- [dirk_blade]
(20099,1831,1,1,-1,473949),-- [antidote]
(20099,1896,1,1,-1,75310),-- [necklace_of_anguish_chain]
(20099,57,95,131,0,700000),-- [adena]
(20099,66,1,1,1,168.22935),-- [gladius]
(20099,1333,1,1,1,168.22935),-- [brandish]
(20099,2010,1,1,1,1361.5413),-- [brandish_blade]
(20099,1864,1,1,2,34999.480344),-- [stem]
(20099,1865,1,1,2,17499.740172),-- [varnish]
(20099,1866,1,1,2,11666.493448),-- [suede]
(20099,1873,1,1,2,6999.853088),-- [silver_nugget]
(20099,1868,1,1,2,34999.480344),-- [thread]
(20099,1794,1,1,2,1286.952604),-- [rp_bow_of_forest]
(20100,1833,1,1,-1,502269),-- [bandage]
(20100,1866,1,1,-1,125567),-- [suede]
(20100,1792,1,1,-1,13849),-- [rp_short_spear]
(20100,57,99,140,0,700000),-- [adena]
(20100,271,1,1,1,535),-- [hunting_bow]
(20100,1866,1,1,2,24727.163755),-- [suede]
(20100,1871,1,1,2,37090.687249),-- [charcoal]
(20100,1799,1,1,2,54949.148996),-- [rp_leather_gloves]
(20101,20,1,1,-1,23417),-- [buckler]
(20101,1921,1,1,-1,161654),-- [leather_shoes_texture]
(20101,1793,1,1,-1,18424),-- [rp_sword_of_reflexion]
(20101,57,128,189,0,700000),-- [adena]
(20101,114,1,1,1,2192.993905),-- [earing_of_strength]
(20101,115,1,1,1,2192.993905),-- [earing_of_wisdom]
(20101,907,1,1,1,1644.750895),-- [necklace_of_anguish]
(20101,1896,1,1,1,12544.73764),-- [necklace_of_anguish_chain]
(20101,876,1,1,1,3289.523655),-- [ring_of_anguish]
(20101,1864,1,1,2,49341.773522),-- [stem]
(20101,1865,1,1,2,24670.971962),-- [varnish]
(20101,1866,1,1,2,16447.20104),-- [suede]
(20101,1873,1,1,2,9868.320624),-- [silver_nugget]
(20101,1868,1,1,2,49341.773522),-- [thread]
(20101,1803,1,1,2,20731.95933),-- [rp_necklace_of_wisdom]
(20102,1866,1,1,-1,127538),-- [suede]
(20102,1922,1,1,-1,48803),-- [leather_tunic_pattern]
(20102,1793,1,1,-1,14067),-- [rp_sword_of_reflexion]
(20102,57,98,145,0,700000),-- [adena]
(20102,271,1,1,1,543),-- [hunting_bow]
(20102,1864,1,1,2,75345.199366),-- [stem]
(20102,1869,1,1,2,37672.533756),-- [iron_ore]
(20102,736,1,1,2,18836.266878),-- [scroll_of_escape]
(20103,1803,1,1,-1,198526),-- [rp_necklace_of_wisdom]
(20103,1871,1,1,-1,236245),-- [charcoal]
(20103,1921,1,1,-1,152416),-- [leather_shoes_texture]
(20103,57,119,180,0,700000),-- [adena]
(20103,37,1,1,1,4560.948576),-- [leather_shoes]
(20103,1921,1,1,1,30014.063712),-- [leather_shoes_texture]
(20103,49,1,1,1,4560.987712),-- [gloves]
(20103,1867,1,1,2,46522.183748),-- [animal_skin]
(20103,1872,1,1,2,46522.183748),-- [animal_bone]
(20103,1794,1,1,2,2565.646),-- [rp_bow_of_forest]
(20103,17,10,30,2,174457.986504),-- [wooden_arrow]
(20104,1869,1,1,-1,193011),-- [iron_ore]
(20104,1868,1,1,-1,386022),-- [thread]
(20104,57,97,147,0,700000),-- [adena]
(20104,271,1,1,1,548),-- [hunting_bow]
(20104,1873,1,1,2,11402.500967),-- [silver_nugget]
(20104,1868,1,1,2,57012.504835),-- [thread]
(20104,736,1,1,2,14253.069909),-- [scroll_of_escape]
(20104,17,10,30,2,142530.924289),-- [wooden_arrow]
(20105,734,1,1,-1,39986),-- [quick_step_potion]
(20105,1801,1,1,-1,120865),-- [rp_piece_bone_gaiters]
(20105,1872,1,1,-1,319890),-- [animal_bone]
(20105,57,119,185,0,700000),-- [adena]
(20105,15,1,1,1,135.010872),-- [short_spear]
(20105,2011,1,1,1,1616.989128),-- [short_spear_edge]
(20105,1867,1,1,2,47245.15581),-- [animal_skin]
(20105,1872,1,1,2,47245.15581),-- [animal_bone]
(20105,2140,1,1,2,7086.82041),-- [rp_high_grade_suede]
(20105,735,1,1,2,2952.86797),-- [swift_attack_potion]
(20106,2150,1,1,-1,111533),-- [rp_blue_diamond_necklace]
(20106,1897,1,1,-1,56563),-- [necklace_of_wisdom_chain]
(20106,734,1,1,-1,39594),-- [quick_step_potion]
(20106,57,118,183,0,700000),-- [adena]
(20106,38,1,1,1,1795.866945),-- [low_boots]
(20106,50,1,1,1,1795.866945),-- [leather_gloves]
(20106,1925,1,1,1,30677.26611),-- [leather_gloves_lining]
(20106,1867,1,1,2,46782.15126),-- [animal_skin]
(20106,1872,1,1,2,46782.15126),-- [animal_bone]
(20106,2141,1,1,2,7017.281895),-- [rp_silver_mold]
(20106,5273,1,1,2,1403.415585),-- [rp_adv_comp_spiritshot_d]
(20107,1869,1,1,-1,197971),-- [iron_ore]
(20107,734,1,1,-1,32995),-- [quick_step_potion]
(20107,1897,1,1,-1,47136),-- [necklace_of_wisdom_chain]
(20107,57,98,153,0,700000),-- [adena]
(20107,217,1,1,1,111.5),-- [shining_knife]
(20107,218,1,1,1,111.5),-- [throw_knife]
(20107,1865,1,1,2,29238.818472),-- [varnish]
(20107,1870,1,1,2,29238.818472),-- [coal]
(20107,2142,1,1,2,5847.750342),-- [rp_varnish_of_purity]
(20107,6035,1,1,2,2436.612714),-- [potion_of_acumen2]
(20108,1866,1,1,-1,167333),-- [suede]
(20108,734,1,1,-1,41833),-- [quick_step_potion]
(20108,1800,1,1,-1,78931),-- [rp_piece_bone_breastplate]
(20108,57,122,197,0,700000),-- [adena]
(20108,38,1,1,1,1897.427835),-- [low_boots]
(20108,50,1,1,1,1897.427835),-- [leather_gloves]
(20108,1925,1,1,1,32412.14433),-- [leather_gloves_lining]
(20108,1872,1,1,2,49427.752743),-- [animal_bone]
(20108,1867,1,1,2,49427.752743),-- [animal_skin]
(20108,2144,1,1,2,7414.212123),-- [rp_compound_braid]
(20108,735,1,1,2,3089.282391),-- [swift_attack_potion]
(20109,1865,1,1,-1,401928),-- [varnish]
(20109,845,1,1,-1,11752),-- [cat'seye_earing]
(20109,1924,1,1,-1,129654),-- [leather_helmet_design]
(20109,57,196,315,0,700000),-- [adena]
(20109,24,1,1,1,760.9576),-- [bone_breastplate]
(20109,390,1,1,1,760.9576),-- [tights_shirt]
(20109,31,1,1,1,1215.0424),-- [bone_gaiters]
(20109,412,1,1,1,1215.0424),-- [tights_pants]
(20109,1864,1,1,2,67841.751901),-- [stem]
(20109,1865,1,1,2,33920.987485),-- [varnish]
(20109,1866,1,1,2,22613.842944),-- [suede]
(20109,1873,1,1,2,13568.394994),-- [silver_nugget]
(20109,1868,1,1,2,67841.751901),-- [thread]
(20109,2150,1,1,2,15925.342048),-- [rp_blue_diamond_necklace]
(20109,5273,1,1,2,1356.928727),-- [rp_adv_comp_spiritshot_d]
(20110,734,1,1,-1,64842),-- [quick_step_potion]
(20110,1897,1,1,-1,92631),-- [necklace_of_wisdom_chain]
(20110,1801,1,1,-1,195995),-- [rp_piece_bone_gaiters]
(20110,57,190,305,0,700000),-- [adena]
(20110,24,1,1,1,736.6963),-- [bone_breastplate]
(20110,390,1,1,1,736.6963),-- [tights_shirt]
(20110,31,1,1,1,1176.3037),-- [bone_gaiters]
(20110,412,1,1,1,1176.3037),-- [tights_pants]
(20110,1871,1,1,2,76612.6698),-- [charcoal]
(20110,1866,1,1,2,51075.1132),-- [suede]
(20110,2173,1,1,2,20762.217),-- [rp_hard_leather_shirt]
(20112,1800,1,1,-1,123442),-- [rp_piece_bone_breastplate]
(20112,1924,1,1,-1,126628),-- [leather_helmet_design]
(20112,1801,1,1,-1,197756),-- [rp_piece_bone_gaiters]
(20112,57,188,310,0,700000),-- [adena]
(20112,1101,1,1,1,1486.48986),-- [tunic_of_devotion]
(20112,1104,1,1,1,2373.51014),-- [hose_of_devotion]
(20112,1864,1,1,2,92761.67314),-- [stem]
(20112,1869,1,1,2,46380.83657),-- [iron_ore]
(20112,1878,1,1,2,18552.37063),-- [braided_hemp]
(20112,1800,1,1,2,14585.13024),-- [rp_piece_bone_breastplate]
(20112,734,1,1,2,7729.98942),-- [quick_step_potion]
(20113,1925,1,1,-1,262556),-- [leather_gloves_lining]
(20113,1870,1,1,-1,400397),-- [coal]
(20113,1879,1,1,-1,66733),-- [cokes]
(20113,57,192,316,0,700000),-- [adena]
(20113,24,1,1,1,758.06935),-- [bone_breastplate]
(20113,390,1,1,1,758.06935),-- [tights_shirt]
(20113,31,1,1,1,1210.43065),-- [bone_gaiters]
(20113,412,1,1,1,1210.43065),-- [tights_pants]
(20113,1865,1,1,2,47308.454061),-- [varnish]
(20113,1870,1,1,2,47308.454061),-- [coal]
(20113,1879,1,1,2,7884.806457),-- [cokes]
(20113,1801,1,1,2,23833.039582),-- [rp_piece_bone_gaiters]
(20113,5273,1,1,2,1892.245839),-- [rp_adv_comp_spiritshot_d]
(20114,735,1,1,-1,33735),-- [swift_attack_potion]
(20114,2011,1,1,-1,9235),-- [short_spear_edge]
(20114,1817,1,1,-1,80965),-- [rp_cord]
(20114,57,190,323,0,700000),-- [adena]
(20114,845,1,1,1,1748.194758),-- [cat'seye_earing]
(20114,908,1,1,1,1311.156027),-- [necklace_of_wisdom]
(20114,1897,1,1,1,14235.357078),-- [necklace_of_wisdom_chain]
(20114,877,1,1,1,2622.292137),-- [ring_of_wisdom]
(20114,1866,1,1,2,39859.7892),-- [suede]
(20114,1871,1,1,2,59789.80039),-- [charcoal]
(20114,1817,1,1,2,11957.93676),-- [rp_cord]
(20114,6035,1,1,2,4982.47365),-- [potion_of_acumen2]
(20115,2012,1,1,-1,8603),-- [sword_of_reflexion_blade]
(20115,2139,1,1,-1,82584),-- [rp_steel_mold]
(20115,2013,1,1,-1,8912),-- [bow_of_forest_shaft]
(20115,57,194,330,0,700000),-- [adena]
(20115,38,1,1,1,3121.45142),-- [low_boots]
(20115,50,1,1,1,3121.45142),-- [leather_gloves]
(20115,1925,1,1,1,53321.09716),-- [leather_gloves_lining]
(20115,1869,1,1,2,34848.712),-- [iron_ore]
(20115,1870,1,1,2,34848.712),-- [coal]
(20115,1871,1,1,2,34848.712),-- [charcoal]
(20115,1872,1,1,2,46465.08656),-- [animal_bone]
(20115,1867,1,1,2,46465.08656),-- [animal_skin]
(20115,2139,1,1,2,6969.7424),-- [rp_steel_mold]
(20115,5158,1,1,2,1393.94848),-- [rp_comp_spiritshot_d]
(20117,1868,1,1,-1,505303),-- [thread]
(20117,734,1,1,-1,42109),-- [quick_step_potion]
(20117,1925,1,1,-1,165673),-- [leather_gloves_lining]
(20117,57,117,203,0,700000),-- [adena]
(20117,176,1,1,1,142),-- [apprentice's_staff]
(20117,2501,1,1,1,142),-- [bone_club]
(20117,1867,1,1,2,39802.316208),-- [animal_skin]
(20117,1872,1,1,2,39802.316208),-- [animal_bone]
(20117,1882,1,1,2,6633.735504),-- [leather]
(20117,2173,1,1,2,8089.94496),-- [rp_hard_leather_shirt]
(20117,735,1,1,2,2487.68712),-- [swift_attack_potion]
(20118,1866,1,1,-1,193642),-- [suede]
(20118,846,1,1,-1,4723),-- [coral_earing]
(20118,5549,1,1,-1,29046),-- [iron_thread]
(20118,57,132,236,0,700000),-- [adena]
(20118,87,1,1,1,45.6372),-- [iron_hammer]
(20118,2014,1,1,1,493.08903),-- [iron_hammer_head]
(20118,155,1,1,1,45.6372),-- [buzdygan]
(20118,177,1,1,1,45.63657),-- [mage_staff]
(20118,1868,1,1,2,85798.4332),-- [thread]
(20118,1873,1,1,2,17159.6616),-- [silver_nugget]
(20118,2179,1,1,2,20525.914),-- [rp_excellence_leather_gloves]
(20118,5273,1,1,2,1715.9912),-- [rp_adv_comp_spiritshot_d]
(20120,1787,1,1,-1,30885),-- [rp_willow_staff]
(20120,1864,1,1,-1,77212),-- [stem]
(20120,1874,1,1,-1,2574),-- [oriharukon_ore]
(20120,57,19,29,0,700000),-- [adena]
(20120,13,1,1,1,13530),-- [short_bow]
(20120,1870,1,1,2,9978.249995),-- [coal]
(20120,1865,1,1,2,9978.249995),-- [varnish]
(20120,1786,1,1,2,7982.599996),-- [rp_broad_sword]
(20120,1060,1,1,2,22173.900014),-- [lesser_healing_potion]
(20121,1788,1,1,-1,45293),-- [rp_bow]
(20121,1864,1,1,-1,113233),-- [stem]
(20121,1786,1,1,-1,45293),-- [rp_broad_sword]
(20121,57,30,42,0,700000),-- [adena]
(20121,4,1,1,1,9921),-- [club]
(20121,7,1,1,1,9921),-- [apprentice's_rod]
(20121,1871,1,1,2,14633.216469),-- [charcoal]
(20121,1866,1,1,2,9755.477646),-- [suede]
(20121,1786,1,1,2,11706.551323),-- [rp_broad_sword]
(20121,17,10,30,2,73165.754562),-- [wooden_arrow]
(20130,1666,1,1,-1,25914),-- [rp_wooden_arrow]
(20130,1060,1,1,-1,172757),-- [lesser_healing_potion]
(20130,2005,1,1,-1,5553),-- [broad_sword_blade]
(20130,57,41,58,0,700000),-- [adena]
(20130,1122,1,1,1,6514.326819),-- [cotton_shoes]
(20130,1129,1,1,1,6514.326819),-- [crude_leather_shoes]
(20130,1119,1,1,1,6514.346362),-- [short_leather_gloves]
(20130,1864,1,1,2,30618),-- [stem]
(20130,1869,1,1,2,15309),-- [iron_ore]
(20130,1666,1,1,2,5103),-- [rp_wooden_arrow]
(20131,1789,1,1,-1,17988),-- [rp_cedar_staff]
(20131,2006,1,1,-1,6951),-- [willow_staff_head]
(20131,1666,1,1,-1,32439),-- [rp_wooden_arrow]
(20131,57,51,72,0,700000),-- [adena]
(20131,19,1,1,1,11732.93531),-- [small_shield]
(20131,42,1,1,1,8213.06469),-- [leather_cap]
(20131,1865,1,1,2,19163.735248),-- [varnish]
(20131,1870,1,1,2,19163.735248),-- [coal]
(20131,1797,1,1,2,38714.529504),-- [rp_leather_hose]
(20132,1060,1,1,-1,330759),-- [lesser_healing_potion]
(20132,2006,1,1,-1,10632),-- [willow_staff_head]
(20132,57,80,108,0,700000),-- [adena]
(20132,254,1,1,1,1832),-- [iron_glove]
(20132,1872,1,1,2,29310.335516),-- [animal_bone]
(20132,1867,1,1,2,29310.335516),-- [animal_skin]
(20132,1797,1,1,2,44409.563702),-- [rp_leather_hose]
(20132,734,1,1,2,3663.765266),-- [quick_step_potion]
(20134,947,1,1,-1,832),-- [scrl_of_ench_wp_b]
(20134,356,1,1,-1,233),-- [full_plate_armor]
(20134,1871,1,5,-1,693087),-- [charcoal]
(20134,57,821,1673,0,700000),-- [adena]
(20134,357,1,1,1,9.6201),-- [shrnoen's_breastplate]
(20134,4056,1,1,1,1389.919174),-- [shrnoen's_breastplate_part]
(20134,2376,1,1,1,9.6201),-- [avadon_breastplate]
(20134,4064,1,1,1,1389.919174),-- [avadon_breastplate_part]
(20134,383,1,1,1,15.39216),-- [shrnoen's_gaiters]
(20134,4057,1,1,1,2148.06144),-- [shrnoen's_gaiters_material]
(20134,2379,1,1,1,15.39216),-- [avadon_gaiters]
(20134,4065,1,1,1,2148.075692),-- [avadon_gaiters_material]
(20134,1866,1,1,2,34121.337873),-- [suede]
(20134,1871,1,1,2,51182.053734),-- [charcoal]
(20134,5220,1,1,2,2047.315935),-- [reinforcing_agent]
(20134,1885,1,1,2,4265.155503),-- [high_grade_suede]
(20134,4041,1,1,2,445.031958),-- [mold_hardener]
(20134,947,1,1,2,20.459082),-- [scrl_of_ench_wp_b]
(20134,4993,1,1,2,636.577767),-- [rp_doom_gloves_i]
(20134,4192,1,1,2,39.041184),-- [rp_sword_of_damascus]
(20134,8728,1,1,2,852.993561),-- [general_61_b]
(20134,8738,1,1,2,213.224928),-- [special_61_b]
(20134,8748,1,1,2,21.303723),-- [rare_61_b]
(20134,8758,1,1,2,4.504752),-- [unique_61_b]
(20135,2038,1,1,-1,9877),-- [maingauche_edge]
(20135,5231,1,1,-1,66770),-- [rp_reinforcing_agent]
(20135,1882,1,1,-1,207728),-- [leather]
(20135,57,390,779,0,700000),-- [adena]
(20135,261,1,1,1,44.994933),-- [bich'hwa]
(20135,2039,1,1,1,2446.005067),-- [bich'hwa_edge]
(20135,1867,1,1,2,92039.390346),-- [animal_skin]
(20135,1872,1,1,2,92039.390346),-- [animal_bone]
(20135,1882,1,1,2,15340.003224),-- [leather]
(20135,1894,1,1,2,2422.061632),-- [crafted_leather]
(20135,2296,1,1,2,383.479114),-- [rp_atuba_mace]
(20135,2286,1,1,2,383.479114),-- [rp_bonebreaker]
(20135,2985,1,1,2,7058.196224),-- [rp_plate_boots]
(20136,1914,1,1,-1,257308),-- [earing_of_binding_gemstone]
(20136,4601,1,1,-1,10178),-- [dye_s3c3_c]
(20136,1539,1,3,-1,508898),-- [greater_healing_potion]
(20136,57,1812,3683,0,700000),-- [adena]
(20136,75,1,1,1,9.554158),-- [caliburs]
(20136,2089,1,1,1,860.114248),-- [caliburs_edge]
(20136,76,1,1,1,9.554158),-- [sword_of_delusion]
(20136,2090,1,1,1,860.114248),-- [sword_of_delusion_blade]
(20136,77,1,1,1,9.554158),-- [tsurugi]
(20136,2091,1,1,1,860.114248),-- [tsurugi_blade]
(20136,84,1,1,1,9.554158),-- [homunkulus's_sword]
(20136,2092,1,1,1,860.114248),-- [homunkulus's_sword_blade]
(20136,134,1,1,1,9.554158),-- [sword_of_nightmare]
(20136,2095,1,1,1,860.114248),-- [sword_of_nightmare_blade]
(20136,145,1,1,1,9.554158),-- [deathbreath_sword]
(20136,2096,1,1,1,860.103812),-- [deathbreath_sword_blade]
(20136,1869,1,1,2,172185.330568),-- [iron_ore]
(20136,1864,1,3,2,172185.330568),-- [stem]
(20136,1880,1,1,2,17218.646992),-- [steel]
(20136,5550,1,1,2,2295.79428),-- [reinforcing_plate]
(20136,4043,1,1,2,5739.675592),-- [asofe]
(20136,2169,1,1,2,3047.386816),-- [rp_necklace_of_binding]
(20136,2232,1,1,2,989.717104),-- [rp_drake_leather_mail]
(20136,8725,1,1,2,4782.999696),-- [general_52_c]
(20136,8735,1,1,2,1195.560032),-- [special_52_c]
(20136,8745,1,1,2,119.63196),-- [rare_52_c]
(20136,8755,1,1,2,23.926392),-- [unique_52_c]
(20137,2961,1,1,-1,106305),-- [full_plate_boots_part]
(20137,1877,1,1,-1,78092),-- [admantite_nugget]
(20137,4049,1,1,-1,102402),-- [adamantite_earing_gemstone]
(20137,57,770,1572,0,700000),-- [adena]
(20137,11889,1,1,1,55.00082),-- [great_sword_low]
(20137,4104,1,1,1,550.013594),-- [great_sword_blade]
(20137,11916,1,1,1,55.00082),-- [kshanberk_low]
(20137,4107,1,1,1,541.491074),-- [kshanberk_blade]
(20137,11900,1,1,1,55.00082),-- [sword_of_valhalla_low]
(20137,4108,1,1,1,541.492872),-- [sword_of_valhalla_blade]
(20137,1869,1,1,2,44359.859222),-- [iron_ore]
(20137,1864,1,1,2,88719.565991),-- [stem]
(20137,1880,1,1,2,4435.924941),-- [steel]
(20137,5550,1,1,2,591.51764),-- [reinforcing_plate]
(20137,4043,1,1,2,1478.641647),-- [asofe]
(20137,4952,1,1,2,570.17422),-- [rp_avadon_circlet_i]
(20137,4999,1,1,2,551.727407),-- [rp_doom_boots_i]
(20137,4163,1,1,2,293.776931),-- [rp_blue_wolve's_hose]
(20137,6669,1,1,2,10316.189604),-- [key_of_treasure_box5]
(20137,8727,1,1,2,887.124007),-- [general_58_b]
(20137,8737,1,1,2,221.819115),-- [special_58_b]
(20137,8747,1,1,2,22.105685),-- [rare_58_b]
(20137,8757,1,1,2,4.57359),-- [unique_58_b]
(20143,1872,1,1,-1,284370),-- [animal_bone]
(20143,1867,1,1,-1,284370),-- [animal_skin]
(20143,1792,1,1,-1,15682),-- [rp_short_spear]
(20143,57,114,157,0,700000),-- [adena]
(20143,20,1,1,1,5887.56231),-- [buckler]
(20143,43,1,1,1,4117.43769),-- [wooden_helmet]
(20143,1866,1,1,2,20999.590341),-- [suede]
(20143,1871,1,1,2,31499.505951),-- [charcoal]
(20143,1798,1,1,2,30881.892195),-- [rp_leather_helmet]
(20143,17,10,30,2,157498.011513),-- [wooden_arrow]
(20144,1880,1,1,-1,71999),-- [steel]
(20144,2272,1,1,-1,5143),-- [rp_sword_of_revolution]
(20144,1901,1,1,-1,99446),-- [tiger'seye_earing_stone]
(20144,57,304,607,0,700000),-- [adena]
(20144,393,1,1,1,109.06642),-- [mithril_banded_mail]
(20144,1938,1,1,1,4289.19622),-- [mithril_banded_mail_material]
(20144,394,1,1,1,109.06642),-- [reinforce_leather_shirt]
(20144,415,1,1,1,174.32636),-- [mithril_banded_gaiters]
(20144,1939,1,1,1,5604.02868),-- [mithril_banded_gaiters_material]
(20144,416,1,1,1,174.3159),-- [reinforce_leather_gaiters]
(20144,1875,1,1,2,2552.070594),-- [stone_of_purity]
(20144,1879,1,1,2,6380.176485),-- [cokes]
(20144,1885,1,1,2,3189.999592),-- [high_grade_suede]
(20144,5550,1,1,2,510.449579),-- [reinforcing_plate]
(20144,5549,1,1,2,3828.105891),-- [iron_thread]
(20144,2976,1,1,2,5124.530803),-- [rp_manticor_skin_boots]
(20144,2274,1,1,2,273.398142),-- [rp_skull_breaker]
(20144,2985,1,1,2,3914.274177),-- [rp_plate_boots]
(20144,6667,1,1,2,23925.528843),-- [key_of_treasure_box3]
(20144,1341,10,30,2,127602.465894),-- [bone_arrow]
(20145,2183,1,1,-1,39675),-- [rp_mithril_banded_mail]
(20145,2268,1,1,-1,6236),-- [rp_tome_of_blood]
(20145,2153,1,1,-1,93789),-- [rp_tiger'seye_earing]
(20145,57,254,510,0,700000),-- [adena]
(20145,848,1,1,1,502.355926),-- [enchanted_earing]
(20145,911,1,1,1,377.049143),-- [enchanted_necklace]
(20145,1900,1,1,1,9013.760858),-- [enchanted_necklace_chain]
(20145,879,1,1,1,755.834073),-- [enchanted_ring]
(20145,1868,1,1,2,109850.451315),-- [thread]
(20145,1873,1,1,2,21970.11865),-- [silver_nugget]
(20145,5549,1,1,2,5492.458695),-- [iron_thread]
(20145,1889,1,1,2,3661.63913),-- [compound_braid]
(20145,2268,1,1,2,568.02387),-- [rp_tome_of_blood]
(20145,2276,1,1,2,392.30834),-- [rp_maingauche]
(20146,1915,1,1,-1,130858),-- [ring_of_ages_gemstone]
(20146,1869,1,3,-1,742616),-- [iron_ore]
(20146,1914,1,1,-1,83440),-- [earing_of_binding_gemstone]
(20146,57,587,1194,0,700000),-- [adena]
(20146,103,1,1,1,77.434918),-- [tower_shield]
(20146,1978,1,1,1,4921.495953),-- [tower_shield_fragment]
(20146,107,1,1,1,77.434918),-- [composite_shield]
(20146,4055,1,1,1,4921.495953),-- [composite_shield_fragment]
(20146,517,1,1,1,54.22802),-- [composite_helmet]
(20146,2957,1,1,1,3367.341109),-- [composite_helmet_design]
(20146,1149,1,1,1,54.22802),-- [shining_circlet]
(20146,1983,1,1,1,3367.341109),-- [shining_circlet_pattern]
(20146,1871,1,1,2,47246.417626),-- [charcoal]
(20146,1866,1,1,2,31497.640505),-- [suede]
(20146,1877,1,1,2,1889.849804),-- [admantite_nugget]
(20146,4041,1,1,2,410.870669),-- [mold_hardener]
(20146,4040,1,1,2,944.924902),-- [mold_lubricant]
(20146,2170,1,1,2,1114.345434),-- [rp_nassen's_earing]
(20146,4609,1,1,2,104.982071),-- [dye_m3i3_c]
(20146,3014,1,1,2,1319.737637),-- [rp_full_plate_boots]
(20146,4188,1,1,2,54.431953),-- [rp_hell_knife]
(20146,8725,1,1,2,1312.405282),-- [general_52_c]
(20146,8735,1,1,2,328.058189),-- [special_52_c]
(20146,8745,1,1,2,32.77994),-- [rare_52_c]
(20146,8755,1,1,2,6.555988),-- [unique_52_c]
(20147,1870,1,1,-1,341721),-- [coal]
(20147,1876,1,1,-1,68344),-- [mithril_ore]
(20147,57,156,278,0,700000),-- [adena]
(20147,27,1,1,1,355.418392),-- [hard_leather_shirt]
(20147,1927,1,1,1,4026.225584),-- [hard_leather_shirt_pattern]
(20147,33,1,1,1,570.265216),-- [hard_leather_gaiters]
(20147,1929,1,1,1,6512.090808),-- [hard_leather_gaiters_material]
(20147,1873,1,1,2,20187.870617),-- [silver_nugget]
(20147,1868,1,1,2,100939.353085),-- [thread]
(20147,2255,1,1,2,1234.01334),-- [rp_saber]
(20147,6666,1,1,2,50469.762958),-- [key_of_treasure_box2]
(20153,1831,1,1,-1,537542),-- [antidote]
(20153,30,1,1,-1,10554),-- [hard_leather_pants]
(20153,1867,1,1,-1,268771),-- [animal_skin]
(20153,57,109,147,0,700000),-- [adena]
(20153,429,1,1,1,972.9426),-- [leather_tunic]
(20153,1922,1,1,1,7594.824544),-- [leather_tunic_pattern]
(20153,464,1,1,1,1558.71768),-- [leather_hose]
(20153,1923,1,1,1,12201.515176),-- [leather_hose_pattern]
(20153,1867,1,1,2,52927.092659),-- [animal_skin]
(20153,1872,1,1,2,52927.092659),-- [animal_bone]
(20153,1793,1,1,2,2918.814682),-- [rp_sword_of_reflexion]
(20154,2178,1,1,-1,54675),-- [rp_dark_hose]
(20154,1929,1,1,-1,44093),-- [hard_leather_gaiters_material]
(20154,1898,1,1,-1,35102),-- [blue_diamond_necklace_gem]
(20154,57,156,278,0,700000),-- [adena]
(20154,846,1,1,1,820.594371),-- [coral_earing]
(20154,909,1,1,1,615.447741),-- [blue_diamond_necklace]
(20154,1898,1,1,1,5184.054555),-- [blue_diamond_necklace_gem]
(20154,878,1,1,1,1230.903333),-- [blue_coral_ring]
(20154,1868,1,1,2,100939.3452),-- [thread]
(20154,1873,1,1,2,20187.86904),-- [silver_nugget]
(20154,2256,1,1,2,1233.97398),-- [rp_assassin_knife]
(20154,5158,1,1,2,2018.81178),-- [rp_comp_spiritshot_d]
(20155,1865,1,1,-1,385707),-- [varnish]
(20155,1898,1,1,-1,39621),-- [blue_diamond_necklace_gem]
(20155,1804,1,1,-1,15428),-- [rp_soulshot_d]
(20155,57,177,312,0,700000),-- [adena]
(20155,846,1,1,1,926.265102),-- [coral_earing]
(20155,909,1,1,1,694.701042),-- [blue_diamond_necklace]
(20155,1898,1,1,1,5851.62291),-- [blue_diamond_necklace_gem]
(20155,878,1,1,1,1389.410946),-- [blue_coral_ring]
(20155,1869,1,1,2,32551.95924),-- [iron_ore]
(20155,1864,1,1,2,65103.91848),-- [stem]
(20155,1880,1,1,2,3255.22368),-- [steel]
(20155,3032,1,1,2,1302.03396),-- [rp_spiritshot_d]
(20155,5273,1,1,2,1302.03396),-- [rp_adv_comp_spiritshot_d]
(20155,6666,1,1,2,32551.95924),-- [key_of_treasure_box2]
(20155,735,1,1,2,2712.87144),-- [swift_attack_potion]
(20156,2181,1,1,-1,42851),-- [rp_white_tunic]
(20156,1899,1,1,-1,66888),-- [necklace_of_devotion_chain]
(20156,57,188,353,0,700000),-- [adena]
(20156,847,1,1,1,580.321248),-- [red_cresent_earing]
(20156,910,1,1,1,435.240936),-- [necklace_of_devotion]
(20156,1899,1,1,1,9384.944673),-- [necklace_of_devotion_chain]
(20156,890,1,1,1,870.493143),-- [ring_of_devotion]
(20156,1876,1,1,2,6864.288338),-- [mithril_ore]
(20156,1880,1,1,2,3432.144169),-- [steel]
(20156,1877,1,1,2,1372.838424),-- [admantite_nugget]
(20156,1881,1,1,2,4576.176189),-- [coarse_bone_powder]
(20156,1882,1,1,2,7627.008424),-- [leather]
(20156,2181,1,1,2,3435.608017),-- [rp_white_tunic]
(20156,1061,1,1,2,20800.936439),-- [healing_potion]
(20157,1879,1,1,-1,102726),-- [cokes]
(20157,2024,1,1,-1,8780),-- [elven_bow_shaft]
(20157,2153,1,1,-1,95856),-- [rp_tiger'seye_earing]
(20157,57,261,517,0,700000),-- [adena]
(20157,86,1,1,1,13.597838),-- [tomahawk]
(20157,179,1,1,1,13.597838),-- [mace_of_prayer]
(20157,180,1,1,1,13.597838),-- [mace_of_judgment]
(20157,2022,1,1,1,524.75379),-- [mace_of_judgment_head]
(20157,181,1,1,1,13.597838),-- [mace_of_miracle]
(20157,182,1,1,1,13.597838),-- [doom_hammer]
(20157,183,1,1,1,13.597838),-- [mystic_staff]
(20157,184,1,1,1,13.597838),-- [conjure_staff]
(20157,2023,1,1,1,417.462455),-- [conjure_staff_head]
(20157,185,1,1,1,13.598889),-- [staff_of_mana]
(20157,1864,1,1,2,84203.507106),-- [stem]
(20157,1869,1,1,2,42101.753553),-- [iron_ore]
(20157,1878,1,1,2,16840.616616),-- [braided_hemp]
(20157,1884,1,1,2,25908.836652),-- [cord]
(20157,1829,1,1,2,16840.616616),-- [scroll_of_escape_to_agit]
(20157,2274,1,1,2,300.634434),-- [rp_skull_breaker]
(20157,2282,1,1,2,300.634434),-- [rp_cursed_maingauche]
(20157,1061,1,1,2,25516.400589),-- [healing_potion]
(20158,1876,1,1,-1,136283),-- [mithril_ore]
(20158,1939,1,1,-1,59852),-- [mithril_banded_gaiters_material]
(20158,1901,1,1,-1,94118),-- [tiger'seye_earing_stone]
(20158,57,288,574,0,700000),-- [adena]
(20158,436,1,1,1,309.81069),-- [tunic_of_knowledge]
(20158,469,1,1,1,495.18931),-- [hose_of_knowledge]
(20158,1869,1,1,2,60383.782575),-- [iron_ore]
(20158,1864,1,1,2,120767.373495),-- [stem]
(20158,1880,1,1,2,6038.28243),-- [steel]
(20158,5550,1,1,2,805.142655),-- [reinforcing_plate]
(20158,2271,1,1,2,431.22375),-- [rp_winged_spear]
(20158,2972,1,1,2,3229.195095),-- [rp_brigandine_gaiters]
(20160,2152,1,1,-1,87127),-- [rp_enchanted_necklace]
(20160,2261,1,1,-1,7685),-- [rp_conjure_staff]
(20160,1874,1,1,-1,32992),-- [oriharukon_ore]
(20160,57,212,415,0,700000),-- [adena]
(20160,258,1,1,1,176),-- [bagh-nakh]
(20160,1874,1,1,2,3086.021248),-- [oriharukon_ore]
(20160,1878,1,1,2,18516.190664),-- [braided_hemp]
(20160,1884,1,1,2,28486.437456),-- [cord]
(20160,1889,1,1,2,3086.021248),-- [compound_braid]
(20160,5220,1,1,2,1851.625384),-- [reinforcing_agent]
(20160,2152,1,1,2,8149.704),-- [rp_enchanted_necklace]
(20161,1984,1,1,-1,34800),-- [theca_leather_mail_pattern]
(20161,1806,1,1,-1,3247),-- [rp_soulshot_b]
(20161,1872,1,5,-1,721517),-- [animal_bone]
(20161,57,643,1305,0,700000),-- [adena]
(20161,266,1,1,1,12.713712),-- [great_pata]
(20161,2120,1,1,1,1439.286288),-- [great_pata_blade]
(20161,1867,1,1,2,53281.330256),-- [animal_skin]
(20161,1872,1,1,2,53281.330256),-- [animal_bone]
(20161,1882,1,1,2,8880.17746),-- [leather]
(20161,1894,1,1,2,1402.084376),-- [crafted_leather]
(20161,4042,1,1,2,665.996716),-- [enria]
(20161,1806,1,1,2,79.914296),-- [rp_soulshot_b]
(20161,5165,1,1,2,79.914296),-- [rp_comp_bspiritshot_b]
(20161,4180,1,1,2,4440.155104),-- [rp_silver_arrow]
(20161,3955,1,1,2,79.914296),-- [rp_blessed_spiritshot_b]
(20161,5280,1,1,2,79.914296),-- [rp_adv_comp_bspiritshot_b]
(20161,6669,1,1,2,9293.289236),-- [key_of_treasure_box5]
(20161,8726,1,1,2,924.988064),-- [general_55_c]
(20161,8736,1,1,2,231.247016),-- [special_55_c]
(20161,8746,1,1,2,23.098152),-- [rare_55_c]
(20161,8756,1,1,2,4.64618),-- [unique_55_c]
(20168,1877,1,1,-1,21239),-- [admantite_nugget]
(20168,1061,1,1,-1,321804),-- [healing_potion]
(20168,955,1,1,-1,2124),-- [scrl_of_ench_wp_d]
(20168,57,224,448,0,700000),-- [adena]
(20168,627,1,1,1,1078.49287),-- [aspis]
(20168,46,1,1,1,755.50713),-- [bronze_helmet]
(20168,1865,1,1,2,48359.887005),-- [varnish]
(20168,1870,1,1,2,48359.887005),-- [coal]
(20168,1879,1,1,2,8060.037882),-- [cokes]
(20168,1875,1,1,2,3223.992467),-- [stone_of_purity]
(20168,2184,1,1,2,5079.804336),-- [rp_mithril_banded_gaiters]
(20168,2274,1,1,2,345.391305),-- [rp_skull_breaker]
(20171,1880,1,1,-1,45092),-- [steel]
(20171,2019,1,1,-1,9697),-- [trident_edge]
(20171,1899,1,1,-1,70456),-- [necklace_of_devotion_chain]
(20171,57,196,374,0,700000),-- [adena]
(20171,101,1,1,1,32.150125),-- [scroll_of_wisdom]
(20171,312,1,1,1,32.150125),-- [branch_of_life]
(20171,313,1,1,1,32.150125),-- [temptation_of_abyss]
(20171,2020,1,1,1,886.40153),-- [temptation_of_abyss_piece]
(20171,314,1,1,1,32.148095),-- [proof_of_revenge]
(20171,1875,1,1,2,2811.846308),-- [stone_of_purity]
(20171,1879,1,1,2,7029.61577),-- [cokes]
(20171,5549,1,1,2,4217.769462),-- [iron_thread]
(20171,2263,1,1,2,654.932122),-- [rp_dwarven_trident]
(20171,6666,1,1,2,42177.612166),-- [key_of_treasure_box2]
(20171,1061,1,1,2,25562.224172),-- [healing_potion]
(20176,1873,1,1,-1,287994),-- [silver_nugget]
(20176,2273,1,1,-1,5143),-- [rp_tarbar]
(20176,2154,1,1,-1,77086),-- [rp_elven_earing]
(20176,57,304,607,0,700000),-- [adena]
(20176,553,1,1,1,279.740266),-- [iron_boots]
(20176,1940,1,1,1,8162.558404),-- [iron_boots_design]
(20176,2422,1,1,1,279.740266),-- [reinforce_leather_boots]
(20176,2423,1,1,1,279.740266),-- [boots_of_knowledge]
(20176,63,1,1,1,279.740266),-- [gauntlet]
(20176,2446,1,1,1,279.740266),-- [reinforce_leather_gloves]
(20176,2447,1,1,1,279.740266),-- [gloves_of_knowledge]
(20176,1867,1,1,2,72916.469689),-- [animal_skin]
(20176,1872,1,1,2,72916.469689),-- [animal_bone]
(20176,1882,1,1,2,12152.774702),-- [leather]
(20176,2977,1,1,2,7320.871184),-- [rp_brigandine_boots]
(20176,2286,1,1,2,303.846146),-- [rp_bonebreaker]
(20176,2985,1,1,2,5591.697406),-- [rp_plate_boots]
(20176,2981,1,1,2,7320.871184),-- [rp_elven_mithril_gloves]
(20190,1864,1,3,-1,533484),-- [stem]
(20190,2025,1,1,-1,7389),-- [dwarven_trident_edge]
(20190,1900,1,1,-1,58368),-- [enchanted_necklace_chain]
(20190,57,226,448,0,700000),-- [adena]
(20190,275,1,1,1,39.230345),-- [long_bow]
(20190,276,1,1,1,39.230345),-- [elven_bow]
(20190,2024,1,1,1,1384.53931),-- [elven_bow_shaft]
(20190,1866,1,1,2,38870.431145),-- [suede]
(20190,1871,1,1,2,58305.703435),-- [charcoal]
(20190,5220,1,1,2,2332.2236),-- [reinforcing_agent]
(20190,1885,1,1,2,4858.761355),-- [high_grade_suede]
(20190,2153,1,1,2,9067.880465),-- [rp_tiger'seye_earing]
(20191,2264,1,1,-1,5601),-- [rp_two-handed_sword]
(20191,1900,1,1,-1,59256),-- [enchanted_necklace_chain]
(20191,2153,1,1,-1,84230),-- [rp_tiger'seye_earing]
(20191,57,228,457,0,700000),-- [adena]
(20191,1123,1,1,1,1156),-- [blue_buckskin_boots]
(20191,605,1,1,1,1156),-- [leather_gauntlet]
(20191,1867,1,1,2,56373.602805),-- [animal_skin]
(20191,1872,1,1,2,56373.602805),-- [animal_bone]
(20191,1882,1,1,2,9395.679215),-- [leather]
(20191,2185,1,1,2,8322.823275),-- [rp_iron_boots]
(20191,2274,1,1,2,302.07541),-- [rp_skull_breaker]
(20191,2279,1,1,2,302.07541),-- [rp_hammer_in_flames]
(20191,6667,1,1,2,26425.14108),-- [key_of_treasure_box3]
(20192,2146,1,1,-1,50419),-- [rp_artisan's_frame]
(20192,2447,1,1,-1,3611),-- [gloves_of_knowledge]
(20192,1901,1,1,-1,97496),-- [tiger'seye_earing_stone]
(20192,57,298,595,0,700000),-- [adena]
(20192,223,1,1,1,20.19948),-- [kukuri]
(20192,238,1,1,1,20.19948),-- [dagger_of_mana]
(20192,239,1,1,1,20.19948),-- [mystic_knife]
(20192,241,1,1,1,20.19948),-- [knife_o'_silenus]
(20192,2028,1,1,1,892.20208),-- [knife_o'_silenus_edge]
(20192,1864,1,1,2,107229.801952),-- [stem]
(20192,1869,1,1,2,53614.900976),-- [iron_ore]
(20192,1878,1,1,2,21446.062932),-- [braided_hemp]
(20192,1884,1,1,2,32993.785216),-- [cord]
(20192,2978,1,1,2,7177.399292),-- [rp_elven_mithril_boots]
(20192,6667,1,1,2,33509.31311),-- [key_of_treasure_box3]
(20192,8307,1,1,2,382.736522),-- [rp_mace_of_priest]
(20193,1874,1,1,-1,50678),-- [oriharukon_ore]
(20193,2027,1,1,-1,9958),-- [spike_club_head]
(20193,1882,1,1,-1,168925),-- [leather]
(20193,57,320,642,0,700000),-- [adena]
(20193,628,1,1,1,986.079628),-- [hoplon]
(20193,47,1,1,1,689.920372),-- [helmet]
(20193,1867,1,1,2,76985.489672),-- [animal_skin]
(20193,1872,1,1,2,76985.489672),-- [animal_bone]
(20193,1882,1,1,2,12830.854608),-- [leather]
(20193,1894,1,1,2,2025.886304),-- [crafted_leather]
(20193,2271,1,1,2,412.345336),-- [rp_winged_spear]
(20193,2286,1,1,2,320.753264),-- [rp_bonebreaker]
(20193,1341,10,30,2,192463.181144),-- [bone_arrow]
(20197,2259,1,1,-1,7096),-- [rp_spinebone_sword]
(20197,2020,1,1,-1,8000),-- [temptation_of_abyss_piece]
(20197,1876,1,1,-1,91400),-- [mithril_ore]
(20197,57,197,380,0,700000),-- [adena]
(20197,847,1,1,1,619.503616),-- [red_cresent_earing]
(20197,910,1,1,1,464.627712),-- [necklace_of_devotion]
(20197,1899,1,1,1,10018.601216),-- [necklace_of_devotion_chain]
(20197,890,1,1,1,929.267456),-- [ring_of_devotion]
(20197,1876,1,1,2,6412.072376),-- [mithril_ore]
(20197,1880,1,1,2,3206.036188),-- [steel]
(20197,1877,1,1,2,1282.468508),-- [admantite_nugget]
(20197,1881,1,1,2,4274.804972),-- [coarse_bone_powder]
(20197,1882,1,1,2,7124.629926),-- [leather]
(20197,2178,1,1,2,5129.73895),-- [rp_dark_hose]
(20197,8294,1,1,2,783.880846),-- [rp_iron_sword]
(20197,1341,10,30,2,106868.368234),-- [bone_arrow]
(20198,1832,1,1,-1,575495),-- [advanced_antidote]
(20198,57,220,435,0,700000),-- [adena]
(20198,259,1,1,1,114),-- [single-edged_jamadhr]
(20198,1874,1,1,2,2358.65935),-- [oriharukon_ore]
(20198,1878,1,1,2,14152.00525),-- [braided_hemp]
(20198,1884,1,1,2,21772.31955),-- [cord]
(20198,1889,1,1,2,2358.65935),-- [compound_braid]
(20198,5220,1,1,2,1415.2251),-- [reinforcing_agent]
(20198,2183,1,1,2,2327.6457),-- [rp_mithril_banded_mail]
(20198,2274,1,1,2,252.7293),-- [rp_skull_breaker]
(20198,2982,1,1,2,4512.7564),-- [rp_brigandine_shield]
(20199,1882,1,1,-1,140414),-- [leather]
(20199,1834,1,1,-1,702070),-- [emergency_dressing]
(20199,1900,1,1,-1,69132),-- [enchanted_necklace_chain]
(20199,57,267,533,0,700000),-- [adena]
(20199,1123,1,1,1,1349),-- [blue_buckskin_boots]
(20199,605,1,1,1,1349),-- [leather_gauntlet]
(20199,1867,1,1,2,92076.804567),-- [animal_skin]
(20199,1872,1,1,2,92076.804567),-- [animal_bone]
(20199,1882,1,1,2,15346.245354),-- [leather]
(20199,2250,1,1,2,17264.359134),-- [rp_bone_arrow]
(20199,6035,1,1,2,5754.786378),-- [potion_of_acumen2]
(20200,1877,1,1,-1,22339),-- [admantite_nugget]
(20200,1061,1,1,-1,338473),-- [healing_potion]
(20200,2183,1,1,-1,36742),-- [rp_mithril_banded_mail]
(20200,57,236,471,0,700000),-- [adena]
(20200,433,1,1,1,99.219705),-- [elven_tunic]
(20200,434,1,1,1,99.219705),-- [white_tunic]
(20200,1936,1,1,1,3122.045745),-- [white_tunic_pattern]
(20200,435,1,1,1,99.219705),-- [mage's_tunic]
(20200,466,1,1,1,158.96283),-- [elven_hose]
(20200,467,1,1,1,158.96283),-- [dark_hose]
(20200,1933,1,1,1,4488.398265),-- [dark_hose_fabric]
(20200,468,1,1,1,158.971215),-- [mage's_hose]
(20200,1875,1,1,2,2260.643151),-- [stone_of_purity]
(20200,1879,1,1,2,5651.721894),-- [cokes]
(20200,1885,1,1,2,2825.860947),-- [high_grade_suede]
(20200,5550,1,1,2,452.113428),-- [reinforcing_plate]
(20200,5549,1,1,2,3391.002732),-- [iron_thread]
(20200,955,1,1,2,135.603624),-- [scrl_of_ench_wp_d]
(20200,2188,1,1,2,2422.166526),-- [rp_manticor_skin_gaiters]
(20200,6667,1,1,2,21193.843086),-- [key_of_treasure_box3]
(20200,1834,1,1,2,37678.044612),-- [emergency_dressing]
(20201,1870,1,1,-1,664672),-- [coal]
(20201,466,1,1,-1,2769),-- [elven_hose]
(20201,1933,1,1,-1,78197),-- [dark_hose_fabric]
(20201,57,280,562,0,700000),-- [adena]
(20201,392,1,1,1,472.313303),-- [lion_skin_shirt]
(20201,414,1,1,1,756.686697),-- [lion_skin_gaiters]
(20201,1876,1,1,2,10377.53951),-- [mithril_ore]
(20201,1880,1,1,2,5188.769755),-- [steel]
(20201,1877,1,1,2,2075.49056),-- [admantite_nugget]
(20201,1881,1,1,2,6918.33077),-- [coarse_bone_powder]
(20201,1882,1,1,2,11530.565735),-- [leather]
(20201,737,1,1,2,5188.769755),-- [scroll_of_resurrection]
(20201,6387,1,1,2,2075.533915),-- [blessed_scroll_of_resurrection_pet]
(20202,2198,1,1,-1,13867),-- [rp_sage's_rag]
(20202,1872,1,1,-1,881920),-- [animal_bone]
(20202,2154,1,1,-1,70818),-- [rp_elven_earing]
(20202,57,279,557,0,700000),-- [adena]
(20202,849,1,1,1,355.947735),-- [tiger'seye_earing]
(20202,1901,1,1,1,12143.396694),-- [tiger'seye_earing_stone]
(20202,912,1,1,1,266.817837),-- [near_forest_necklace]
(20202,880,1,1,1,532.837734),-- [black_pearl_ring]
(20202,1874,1,1,2,3349.348063),-- [oriharukon_ore]
(20202,1878,1,1,2,20096.027939),-- [braided_hemp]
(20202,1884,1,1,2,30916.96606),-- [cord]
(20202,1889,1,1,2,3349.348063),-- [compound_braid]
(20202,5220,1,1,2,2009.59675),-- [reinforcing_agent]
(20202,2272,1,1,2,358.886782),-- [rp_sword_of_revolution]
(20202,2274,1,1,2,358.826343),-- [rp_skull_breaker]
(20203,1882,1,1,-1,59453),-- [leather]
(20203,1897,1,1,-1,63700),-- [necklace_of_wisdom_chain]
(20203,57,124,215,0,700000),-- [adena]
(20203,176,1,1,1,150.5),-- [apprentice's_staff]
(20203,2501,1,1,1,150.5),-- [bone_club]
(20203,1867,1,1,2,42147.964968),-- [animal_skin]
(20203,1872,1,1,2,42147.964968),-- [animal_bone]
(20203,1882,1,1,2,7024.625385),-- [leather]
(20203,2174,1,1,2,13743.873882),-- [rp_hard_leather_gaiters]
(20203,5273,1,1,2,1264.570797),-- [rp_adv_comp_spiritshot_d]
(20204,1868,1,1,-1,823680),-- [thread]
(20204,2014,1,1,-1,4734),-- [iron_hammer_head]
(20204,1867,1,1,-1,549120),-- [animal_skin]
(20204,57,188,333,0,700000),-- [adena]
(20204,846,1,1,1,989.082223),-- [coral_earing]
(20204,909,1,1,1,741.814033),-- [blue_diamond_necklace]
(20204,1898,1,1,1,6248.466215),-- [blue_diamond_necklace_gem]
(20204,878,1,1,1,1483.637529),-- [blue_coral_ring]
(20204,1867,1,1,2,64880.682372),-- [animal_skin]
(20204,1872,1,1,2,64880.682372),-- [animal_bone]
(20204,1882,1,1,2,10813.447062),-- [leather]
(20204,3953,1,1,2,1946.551167),-- [rp_blessed_spiritshot_d]
(20204,1831,1,1,2,129761.637027),-- [antidote]
(20205,1871,1,1,-1,407376),-- [charcoal]
(20205,1928,1,1,-1,59341),-- [piece_bone_gaiters_fragment]
(20205,1868,1,1,-1,814752),-- [thread]
(20205,57,181,334,0,700000),-- [adena]
(20205,257,1,1,1,256),-- [viper's_canine]
(20205,1868,1,1,2,120332.806902),-- [thread]
(20205,1873,1,1,2,24066.614621),-- [silver_nugget]
(20205,2255,1,1,2,1471.037778),-- [rp_saber]
(20205,6037,1,1,2,120332.540699),-- [scroll_of_awake]
(20206,2182,1,1,-1,49884),-- [rp_scale_gaiters]
(20206,376,1,1,-1,2072),-- [iron_plate_gaiters]
(20206,1899,1,1,-1,64927),-- [necklace_of_devotion_chain]
(20206,57,183,343,0,700000),-- [adena]
(20206,391,1,1,1,483.983521),-- [puma_skin_shirt]
(20206,413,1,1,1,775.016479),-- [puma_skin_gaiters]
(20206,1869,1,1,2,46641.861084),-- [iron_ore]
(20206,1864,1,1,2,93283.722168),-- [stem]
(20206,1880,1,1,2,4664.107376),-- [steel]
(20206,2182,1,1,2,5599.251457),-- [rp_scale_gaiters]
(20206,6666,1,1,2,46642.057915),-- [key_of_treasure_box2]
(20207,2263,1,1,-1,12768),-- [rp_dwarven_trident]
(20207,2181,1,1,-1,82308),-- [rp_white_tunic]
(20207,2152,1,1,-1,144764),-- [rp_enchanted_necklace]
(20207,57,357,682,0,700000),-- [adena]
(20207,220,1,1,1,293),-- [handiwork_dagger]
(20207,1865,1,1,2,92295.187125),-- [varnish]
(20207,1870,1,1,2,92295.187125),-- [coal]
(20207,1879,1,1,2,15382.56825),-- [cokes]
(20207,1875,1,1,2,6153.11625),-- [stone_of_purity]
(20207,2152,1,1,2,16248.94125),-- [rp_enchanted_necklace]
(20208,1869,1,1,-1,858524),-- [iron_ore]
(20208,1872,1,3,-1,572349),-- [animal_bone]
(20208,1931,1,1,-1,112225),-- [leather_boots_lining]
(20208,57,371,714,0,700000),-- [adena]
(20208,626,1,1,1,1900.693228),-- [bronze_shield]
(20208,45,1,1,1,1332.846619),-- [bone_helmet]
(20208,1932,1,1,1,25493.460153),-- [bone_helmet_design]
(20208,1866,1,1,2,53536.648342),-- [suede]
(20208,1871,1,1,2,80304.972513),-- [charcoal]
(20208,5220,1,1,2,3212.272529),-- [reinforcing_agent]
(20208,1885,1,1,2,6692.138565),-- [high_grade_suede]
(20208,2180,1,1,2,6037.995538),-- [rp_scale_mail]
(20208,6666,1,1,2,80304.972513),-- [key_of_treasure_box2]
(20209,1889,1,1,-1,61967),-- [compound_braid]
(20209,45,1,1,-1,7714),-- [bone_helmet]
(20209,2178,1,1,-1,148721),-- [rp_dark_hose]
(20209,57,398,780,0,700000),-- [adena]
(20209,274,1,1,1,331),-- [strengthening_bow]
(20209,1867,1,1,2,139111.405868),-- [animal_skin]
(20209,1872,1,1,2,139111.405868),-- [animal_bone]
(20209,1882,1,1,2,23185.1072),-- [leather]
(20209,2178,1,1,2,16693.277184),-- [rp_dark_hose]
(20209,1061,1,1,2,63232.80388),-- [healing_potion]
(20210,2183,1,1,-1,62137),-- [rp_mithril_banded_mail]
(20210,377,1,1,-1,2947),-- [scale_gaiters]
(20210,1900,1,1,-1,103336),-- [enchanted_necklace_chain]
(20210,57,400,793,0,700000),-- [adena]
(20210,348,1,1,1,251.775363),-- [scale_mail]
(20210,1935,1,1,1,7208.843866),-- [scale_mail_fragment]
(20210,377,1,1,1,402.609403),-- [scale_gaiters]
(20210,1937,1,1,1,11085.771368),-- [scale_gaiters_fragment]
(20210,1868,1,1,2,172042.475982),-- [thread]
(20210,1873,1,1,2,34408.541284),-- [silver_nugget]
(20210,5549,1,1,2,8602.020102),-- [iron_thread]
(20210,1889,1,1,2,5734.680068),-- [compound_braid]
(20210,2184,1,1,2,9035.934856),-- [rp_mithril_banded_gaiters]
(20210,2274,1,1,2,614.347708),-- [rp_skull_breaker]
(20211,1869,1,3,-1,503685),-- [iron_ore]
(20211,1865,1,3,-1,503685),-- [varnish]
(20211,57,425,850,0,700000),-- [adena]
(20211,86,1,1,1,22.214546),-- [tomahawk]
(20211,179,1,1,1,22.214546),-- [mace_of_prayer]
(20211,180,1,1,1,22.214546),-- [mace_of_judgment]
(20211,2022,1,1,1,857.28093),-- [mace_of_judgment_head]
(20211,181,1,1,1,22.214546),-- [mace_of_miracle]
(20211,182,1,1,1,22.214546),-- [doom_hammer]
(20211,183,1,1,1,22.214546),-- [mystic_staff]
(20211,184,1,1,1,22.214546),-- [conjure_staff]
(20211,2023,1,1,1,682.000985),-- [conjure_staff_head]
(20211,185,1,1,1,22.216263),-- [staff_of_mana]
(20211,1869,1,1,2,91748.128035),-- [iron_ore]
(20211,1864,1,1,2,183496.543317),-- [stem]
(20211,1880,1,1,2,9174.956427),-- [steel]
(20211,5550,1,1,2,1223.384973),-- [reinforcing_plate]
(20211,2264,1,1,2,948.776841),-- [rp_two-handed_sword]
(20211,2280,1,1,2,655.210407),-- [rp_crucifix_of_blood]
(20213,2292,1,1,-1,18643),-- [rp_cyclone_bow]
(20213,1894,1,1,-1,117742),-- [crafted_leather]
(20213,1884,1,5,-1,688339),-- [cord]
(20213,57,1401,2796,0,700000),-- [adena]
(20213,352,1,1,1,251.721176),-- [brigandine]
(20213,1941,1,1,1,11497.125738),-- [brigandine_temper]
(20213,2377,1,1,1,402.650794),-- [mithril_scale_gaiters]
(20213,2918,1,1,1,17151.949178),-- [mithril_scale_gaiters_material]
(20213,2378,1,1,1,402.650794),-- [brigandine_gaiters]
(20213,2919,1,1,1,17151.90232),-- [brigandine_gaiters_material]
(20213,1864,9,27,2,24091.834679),-- [stem]
(20213,1869,2,6,2,43365.144373),-- [iron_ore]
(20213,1878,1,1,2,86730.683869),-- [braided_hemp]
(20213,1884,1,1,2,133431.851731),-- [cord]
(20213,2983,1,1,2,14749.94159),-- [rp_plate_helmet]
(20213,2286,1,1,2,1204.730027),-- [rp_bonebreaker]
(20213,2290,1,1,2,1204.730027),-- [rp_mithril_dagger]
(20213,1341,80,240,2,90344.083704),-- [bone_arrow]
(20214,1877,1,1,-1,87132),-- [admantite_nugget]
(20214,2997,1,1,-1,172880),-- [rp_karmian_gloves]
(20214,1879,1,1,-1,363049),-- [cokes]
(20214,57,883,1766,0,700000),-- [adena]
(20214,851,1,1,1,390.795928),-- [onyxbeast'seye_earing]
(20214,1905,1,1,1,17733.578136),-- [onyxbeast'seye_earing_gemstone]
(20214,914,1,1,1,293.08276),-- [necklace_of_darkness]
(20214,1907,1,1,1,12681.830048),-- [necklace_of_darkness_gem]
(20214,882,1,1,1,586.16552),-- [mithril_ring]
(20214,1906,1,1,1,25058.547608),-- [mithril_ring_wire]
(20214,1865,1,1,2,182306.425014),-- [varnish]
(20214,1870,1,1,2,182306.425014),-- [coal]
(20214,1879,1,1,2,30384.47223),-- [cokes]
(20214,1875,1,1,2,12153.788892),-- [stone_of_purity]
(20214,1805,1,1,2,607.648608),-- [rp_soulshot_c]
(20214,5269,1,1,2,607.240242),-- [rp_adv_comp_soulshot_c]
(20215,1872,1,7,-1,839007),-- [animal_bone]
(20215,2206,1,1,-1,66412),-- [rp_tempered_mithril_shirt]
(20215,4469,1,1,-1,14383),-- [dye_s1c1_d]
(20215,57,1014,2049,0,700000),-- [adena]
(20215,297,1,1,1,91.13338),-- [glaive]
(20215,2055,1,1,1,5225.86662),-- [glaive_edge]
(20215,1866,1,1,2,105327.600752),-- [suede]
(20215,1871,1,1,2,157991.098612),-- [charcoal]
(20215,5220,1,1,2,6319.55924),-- [reinforcing_agent]
(20215,1885,1,1,2,13165.798836),-- [high_grade_suede]
(20215,2212,1,1,2,5662.797004),-- [rp_plate_leather_gaiters]
(20215,2205,1,1,2,4999.681932),-- [rp_chain_gaiters]
(20215,2989,1,1,2,8359.424628),-- [rp_chain_hood]
(20215,2299,1,1,2,690.038996),-- [rp_big_hammer]
(20216,2297,1,1,-1,9822),-- [rp_flamberge]
(20216,2933,1,1,-1,251030),-- [sage's_worn_gloves_lining]
(20216,1905,1,1,-1,218797),-- [onyxbeast'seye_earing_gemstone]
(20216,57,889,1806,0,700000),-- [adena]
(20216,1125,1,1,1,250.323507),-- [assault_boots]
(20216,1957,1,1,1,10505.133471),-- [assault_boots_part]
(20216,2427,1,1,1,250.323507),-- [slamander_skin_boots]
(20216,2931,1,1,1,10505.133471),-- [slamander_skin_boots_lining]
(20216,2428,1,1,1,250.323507),-- [plate_boots]
(20216,2932,1,1,1,10505.133471),-- [plate_boots_design]
(20216,61,1,1,1,250.323507),-- [mithril_glove]
(20216,1949,1,1,1,10505.133471),-- [mithril_glove_design]
(20216,607,1,1,1,250.323507),-- [ogre_power_gauntlet]
(20216,1963,1,1,1,10505.133471),-- [ogre_power_gauntlet_part]
(20216,2451,1,1,1,250.323507),-- [sage's_worn_gloves]
(20216,2933,1,1,1,10505.391603),-- [sage's_worn_gloves_lining]
(20216,1867,1,3,2,125495.644209),-- [animal_skin]
(20216,1872,1,1,2,250991.288418),-- [animal_bone]
(20216,1882,1,1,2,41831.881403),-- [leather]
(20216,1894,1,1,2,6604.944143),-- [crafted_leather]
(20216,2314,1,1,2,822.047144),-- [rp_body_slasher]
(20216,5269,1,1,2,627.194683),-- [rp_adv_comp_soulshot_c]
(20217,1873,1,3,-1,524276),-- [silver_nugget]
(20217,2075,1,1,-1,20560),-- [orcish_glaive_blade]
(20217,2163,1,1,-1,133744),-- [rp_earing_of_protection]
(20217,57,1032,2115,0,700000),-- [adena]
(20217,62,1,1,1,141.768462),-- [mithril_boots]
(20217,1958,1,1,1,6186.891876),-- [mithril_boots_design]
(20217,2429,1,1,1,141.768462),-- [chain_boots]
(20217,2937,1,1,1,6186.891876),-- [chain_boots_part]
(20217,2430,1,1,1,141.768462),-- [karmian_boots]
(20217,2938,1,1,1,6186.891876),-- [karmian_boots_fabric]
(20217,2431,1,1,1,141.768462),-- [plate_leather_boots]
(20217,2939,1,1,1,6186.891876),-- [plate_leather_boots_lining]
(20217,2432,1,1,1,141.768462),-- [dwarven_chain_boots]
(20217,2940,1,1,1,6186.891876),-- [dwarven_chain_boots_part]
(20217,2433,1,1,1,141.768462),-- [boots_of_seal]
(20217,2941,1,1,1,6186.891876),-- [boots_of_seal_pattern]
(20217,2452,1,1,1,141.768462),-- [reinforce_mithril_gloves]
(20217,2942,1,1,1,6186.891876),-- [reinforce_mithril_gloves_design]
(20217,2453,1,1,1,141.768462),-- [chain_gloves]
(20217,2943,1,1,1,6186.891876),-- [chain_gloves_design]
(20217,2454,1,1,1,141.768462),-- [karmian_gloves]
(20217,2944,1,1,1,6186.948834),-- [karmian_gloves_fabric]
(20217,1868,1,1,2,206484.46107),-- [thread]
(20217,1873,1,1,2,41297.00361),-- [silver_nugget]
(20217,5549,1,1,2,10324.18128),-- [iron_thread]
(20217,1889,1,1,2,6882.88035),-- [compound_braid]
(20217,2163,1,1,2,5267.35986),-- [rp_earing_of_protection]
(20217,2225,1,1,2,2244.35091),-- [rp_demon's_hose]
(20217,2321,1,1,2,359.80908),-- [rp_stiletto]
(20217,5279,1,1,2,344.21364),-- [rp_adv_comp_bspiritshot_c]
(20217,8723,1,1,2,4129.72821),-- [general_46_c]
(20217,8733,1,1,2,1032.36243),-- [special_46_c]
(20217,8743,1,1,2,103.31979),-- [rare_46_c]
(20217,8753,1,1,2,20.32977),-- [unique_46_c]
(20218,1876,1,1,-1,545172),-- [mithril_ore]
(20218,2073,1,1,-1,21069),-- [chakram_edge]
(20218,1908,1,1,-1,258131),-- [moonstone_earing_wire]
(20218,57,1078,2190,0,700000),-- [adena]
(20218,631,1,1,1,421.00704),-- [eldarake]
(20218,1964,1,1,1,17349.669162),-- [eldarake_temper]
(20218,2495,1,1,1,421.00704),-- [chain_shield]
(20218,2945,1,1,1,17349.669162),-- [chain_shield_fragment]
(20218,2413,1,1,1,294.704928),-- [chain_hood]
(20218,2936,1,1,1,15757.942668),-- [chain_hood_pattern]
(20218,1864,1,1,2,214713.70785),-- [stem]
(20218,1869,1,1,2,107356.853925),-- [iron_ore]
(20218,1878,1,1,2,42942.74157),-- [braided_hemp]
(20218,1884,1,1,2,66065.82507),-- [cord]
(20218,4039,1,1,2,3578.487255),-- [mold_glue]
(20218,2320,1,1,2,373.90518),-- [rp_cursed_staff]
(20218,2319,1,1,2,373.90518),-- [rp_raid_sword]
(20218,2217,1,1,2,6352.362765),-- [rp_knight_shield]
(20218,8723,1,1,2,4294.095255),-- [general_46_c]
(20218,8733,1,1,2,1073.412),-- [special_46_c]
(20218,8743,1,1,2,107.3412),-- [rare_46_c]
(20218,8753,1,1,2,22.36275),-- [unique_46_c]
(20219,1873,1,3,-1,614037),-- [silver_nugget]
(20219,2060,1,1,-1,24378),-- [stormbringer_blade]
(20219,2164,1,1,-1,236168),-- [rp_ring_of_protection]
(20219,57,1209,2473,0,700000),-- [adena]
(20219,281,1,1,1,82.309065),-- [crystallized_ice_bow]
(20219,2074,1,1,1,5138.690935),-- [crystallized_ice_bow_shaft]
(20219,1870,1,1,2,131910.492938),-- [coal]
(20219,1865,1,1,2,131910.492938),-- [varnish]
(20219,1874,1,1,2,8793.896979),-- [oriharukon_ore]
(20219,4043,1,1,2,4397.094079),-- [asofe]
(20219,4039,1,1,2,4397.094079),-- [mold_glue]
(20219,2230,1,1,2,2556.260441),-- [rp_theca_leather_gaiters]
(20219,2326,1,1,2,459.480462),-- [rp_horn_of_glory]
(20219,8723,1,1,2,5276.454659),-- [general_46_c]
(20219,8733,1,1,2,1319.04087),-- [special_46_c]
(20219,8743,1,1,2,131.904087),-- [rare_46_c]
(20219,8753,1,1,2,26.788468),-- [unique_46_c]
(20220,1895,1,1,-1,883618),-- [metallic_fiber]
(20220,2944,1,1,-1,277992),-- [karmian_gloves_fabric]
(20220,1911,1,1,-1,230023),-- [earing_of_protection_gemstone]
(20220,57,1221,2490,0,700000),-- [adena]
(20220,1126,1,1,1,184.3264),-- [crimson_boots]
(20220,1974,1,1,1,9603.23888),-- [crimson_boots_fabric]
(20220,2434,1,1,1,184.3264),-- [rind_leather_boots]
(20220,2948,1,1,1,9603.23888),-- [rind_leather_boots_lining]
(20220,2455,1,1,1,199.5944),-- [plate_leather_gloves]
(20220,2946,1,1,1,6382.46816),-- [plate_leather_gloves_design]
(20220,2456,1,1,1,184.3264),-- [dwarven_chain_gloves]
(20220,2949,1,1,1,9603.23888),-- [dwarven_chain_gloves_design]
(20220,2457,1,1,1,184.3264),-- [gloves_of_seal]
(20220,2950,1,1,1,9603.23888),-- [gloves_of_seal_pattern]
(20220,2458,1,1,1,184.3264),-- [rind_leather_gloves]
(20220,2951,1,1,1,9603.34992),-- [rind_leather_gloves_design]
(20220,1871,1,1,2,114190.721286),-- [charcoal]
(20220,1866,1,1,2,76127.147524),-- [suede]
(20220,1877,1,1,2,4567.571795),-- [admantite_nugget]
(20220,4041,1,1,2,992.985829),-- [mold_hardener]
(20220,4040,1,1,2,2283.887784),-- [mold_lubricant]
(20220,951,1,1,2,207.644687),-- [scrl_of_ench_wp_c]
(20220,2343,1,1,2,265.516219),-- [rp_mace_of_underworld]
(20220,2345,1,1,2,265.516219),-- [rp_dark_screamer]
(20220,8724,1,1,2,3806.275867),-- [general_49_c]
(20220,8734,1,1,2,951.61991),-- [special_49_c]
(20220,8744,1,1,2,95.161991),-- [rare_49_c]
(20220,8754,1,1,2,18.950889),-- [unique_49_c]
(20221,2352,1,1,-1,9326),-- [rp_widow_maker]
(20221,2073,1,1,-1,34456),-- [chakram_edge]
(20221,951,1,1,-1,8105),-- [scrl_of_ench_wp_c]
(20221,57,1763,3583,0,700000),-- [adena]
(20221,1126,1,1,1,265.68964),-- [crimson_boots]
(20221,1974,1,1,1,13842.190163),-- [crimson_boots_fabric]
(20221,2434,1,1,1,265.68964),-- [rind_leather_boots]
(20221,2948,1,1,1,13842.190163),-- [rind_leather_boots_lining]
(20221,2455,1,1,1,287.697065),-- [plate_leather_gloves]
(20221,2946,1,1,1,9199.743866),-- [plate_leather_gloves_design]
(20221,2456,1,1,1,265.68964),-- [dwarven_chain_gloves]
(20221,2949,1,1,1,13842.190163),-- [dwarven_chain_gloves_design]
(20221,2457,1,1,1,265.68964),-- [gloves_of_seal]
(20221,2950,1,1,1,13842.190163),-- [gloves_of_seal_pattern]
(20221,2458,1,1,1,265.68964),-- [rind_leather_gloves]
(20221,2951,1,1,1,13842.350217),-- [rind_leather_gloves_design]
(20221,1872,1,1,2,188107.597296),-- [animal_bone]
(20221,1867,1,1,2,188107.597296),-- [animal_skin]
(20221,1881,1,1,2,18810.859689),-- [coarse_bone_powder]
(20221,1875,1,1,2,9405.179946),-- [stone_of_purity]
(20221,4041,1,1,2,1227.001635),-- [mold_hardener]
(20221,2334,1,1,2,327.866832),-- [rp_deathbreath_sword]
(20221,2351,1,1,2,295.380027),-- [rp_scorpion]
(20221,3005,1,1,2,5758.161237),-- [rp_demon's_boots]
(20221,6668,1,1,2,50386.034961),-- [key_of_treasure_box4]
(20221,8724,1,1,2,4702.589973),-- [general_49_c]
(20221,8734,1,1,2,1175.522544),-- [special_49_c]
(20221,8744,1,1,2,117.452295),-- [rare_49_c]
(20221,8754,1,1,2,23.490459),-- [unique_49_c]
(20221,1539,1,1,2,31352.26581),-- [greater_healing_potion]
(20222,1876,1,1,-1,679016),-- [mithril_ore]
(20222,2168,1,1,-1,86389),-- [rp_necklace_of_mermaid]
(20222,1895,1,3,-1,485011),-- [metallic_fiber]
(20222,57,1340,2733,0,700000),-- [adena]
(20222,2496,1,1,1,417.505968),-- [dwarven_chain_shield]
(20222,2947,1,1,1,17907.400368),-- [dwarven_chain_shield_fragment]
(20222,632,1,1,1,385.419408),-- [knight_shield]
(20222,1972,1,1,1,20056.27536),-- [knight_shield_fragment]
(20222,500,1,1,1,269.853408),-- [great_helmet]
(20222,1971,1,1,1,15347.545488),-- [great_helmet_material]
(20222,1873,1,1,2,50142.783922),-- [silver_nugget]
(20222,1868,1,1,2,250714.725492),-- [thread]
(20222,1876,1,1,2,25071.391961),-- [mithril_ore]
(20222,1895,1,1,2,35816.216667),-- [metallic_fiber]
(20222,4042,1,1,2,2089.249085),-- [enria]
(20222,3006,1,1,2,5116.544818),-- [rp_demon's_gloves]
(20222,2222,1,1,2,783.317304),-- [rp_composite_armor]
(20222,8724,1,1,2,4178.49817),-- [general_49_c]
(20222,8734,1,1,2,1044.826013),-- [special_49_c]
(20222,8744,1,1,2,104.361719),-- [rare_49_c]
(20222,8754,1,1,2,20.952932),-- [unique_49_c]
(20222,1539,1,1,2,27858.131917),-- [greater_healing_potion]
(20223,734,1,1,-1,49539),-- [quick_step_potion]
(20223,2011,1,1,-1,6781),-- [short_spear_edge]
(20223,1864,1,1,-1,594474),-- [stem]
(20223,57,137,239,0,700000),-- [adena]
(20223,845,1,1,1,1283.606976),-- [cat'seye_earing]
(20223,908,1,1,1,962.712544),-- [necklace_of_wisdom]
(20223,1897,1,1,1,10452.270016),-- [necklace_of_wisdom_chain]
(20223,877,1,1,1,1925.410464),-- [ring_of_wisdom]
(20223,1864,1,1,2,87798.98928),-- [stem]
(20223,1869,1,1,2,43899.49464),-- [iron_ore]
(20223,1878,1,1,2,17559.797856),-- [braided_hemp]
(20223,2175,1,1,2,35690.718224),-- [rp_boots]
(20224,2178,1,1,-1,74717),-- [rp_dark_hose]
(20224,1865,1,1,-1,466983),-- [varnish]
(20224,1898,1,1,-1,47969),-- [blue_diamond_necklace_gem]
(20224,57,212,381,0,700000),-- [adena]
(20224,27,1,1,1,485.692998),-- [hard_leather_shirt]
(20224,1927,1,1,1,5501.993196),-- [hard_leather_shirt_pattern]
(20224,33,1,1,1,779.289504),-- [hard_leather_gaiters]
(20224,1929,1,1,1,8899.024302),-- [hard_leather_gaiters_material]
(20224,1872,1,1,2,73567.598478),-- [animal_bone]
(20224,1867,1,1,2,73567.598478),-- [animal_skin]
(20224,1881,1,1,2,7356.712176),-- [coarse_bone_powder]
(20224,5153,1,1,2,2207.045434),-- [rp_comp_soulshot_d]
(20224,5268,1,1,2,2207.045434),-- [rp_adv_comp_soulshot_d]
(20225,2259,1,1,-1,6517),-- [rp_spinebone_sword]
(20225,1931,1,1,-1,54861),-- [leather_boots_lining]
(20225,2152,1,1,-1,73889),-- [rp_enchanted_necklace]
(20225,57,185,346,0,700000),-- [adena]
(20225,40,1,1,1,731.502336),-- [leather_boots]
(20225,1931,1,1,1,7697.497664),-- [leather_boots_lining]
(20225,604,1,1,1,731.502336),-- [excellence_leather_gloves]
(20225,1934,1,1,1,7697.497664),-- [excellence_leather_gloves_lining]
(20225,1865,1,1,2,39256.835541),-- [varnish]
(20225,1870,1,1,2,39256.835541),-- [coal]
(20225,1879,1,1,2,6542.761302),-- [cokes]
(20225,1875,1,1,2,2617.140218),-- [stone_of_purity]
(20225,2259,1,1,2,609.618933),-- [rp_spinebone_sword]
(20225,5437,1,1,2,959.808465),-- [rp_heavy_sword]
(20226,1868,1,1,-1,884148),-- [thread]
(20226,413,1,1,-1,2937),-- [puma_skin_gaiters]
(20226,1899,1,1,-1,69074),-- [necklace_of_devotion_chain]
(20226,57,192,367,0,700000),-- [adena]
(20226,123,1,1,1,39.373776),-- [saber]
(20226,2017,1,1,1,824.082984),-- [saber_blade]
(20226,5285,1,1,1,39.373776),-- [heavy_sword]
(20226,5531,1,1,1,1041.169464),-- [heavy_sword_edge]
(20226,1866,1,1,2,41351.087969),-- [suede]
(20226,1871,1,1,2,62026.574062),-- [charcoal]
(20226,5220,1,1,2,2481.113907),-- [reinforcing_agent]
(20226,2178,1,1,2,9924.224062),-- [rp_dark_hose]
(20227,2260,1,1,-1,7238),-- [rp_mace_of_judgment]
(20227,1899,1,1,-1,72835),-- [necklace_of_devotion_chain]
(20227,2178,1,1,-1,74583),-- [rp_dark_hose]
(20227,57,201,388,0,700000),-- [adena]
(20227,391,1,1,1,542.799628),-- [puma_skin_shirt]
(20227,413,1,1,1,869.200372),-- [puma_skin_gaiters]
(20227,1867,1,1,2,69763.474464),-- [animal_skin]
(20227,1872,1,1,2,69763.474464),-- [animal_bone]
(20227,1882,1,1,2,11627.19216),-- [leather]
(20227,2181,1,1,2,5237.460912),-- [rp_white_tunic]
(20227,6035,1,1,2,4360.398),-- [potion_of_acumen2]
(20228,2180,1,1,-1,40128),-- [rp_scale_mail]
(20228,1884,1,1,-1,328429),-- [cord]
(20228,1931,1,1,-1,69764),-- [leather_boots_lining]
(20228,57,229,448,0,700000),-- [adena]
(20228,847,1,1,1,723.509376),-- [red_cresent_earing]
(20228,910,1,1,1,542.632032),-- [necklace_of_devotion]
(20228,1899,1,1,1,11700.580476),-- [necklace_of_devotion_chain]
(20228,890,1,1,1,1085.278116),-- [ring_of_devotion]
(20228,1868,1,1,2,99842.559024),-- [thread]
(20228,1873,1,1,2,19968.617808),-- [silver_nugget]
(20228,5549,1,1,2,4992.220704),-- [iron_thread]
(20228,1889,1,1,2,3327.970464),-- [compound_braid]
(20228,2180,1,1,2,3753.573312),-- [rp_scale_mail]
(20228,1831,1,1,2,133123.058688),-- [antidote]
(20229,1061,1,1,-1,357490),-- [healing_potion]
(20229,414,1,1,-1,2458),-- [lion_skin_gaiters]
(20229,1864,1,3,-1,589858),-- [stem]
(20229,57,249,498,0,700000),-- [adena]
(20229,848,1,1,1,491.364384),-- [enchanted_earing]
(20229,911,1,1,1,368.799312),-- [enchanted_necklace]
(20229,1900,1,1,1,8816.539872),-- [enchanted_necklace_chain]
(20229,879,1,1,1,739.296432),-- [enchanted_ring]
(20229,1869,1,1,2,46047.720602),-- [iron_ore]
(20229,1864,1,1,2,92095.441204),-- [stem]
(20229,1880,1,1,2,4604.732994),-- [steel]
(20229,5550,1,1,2,613.925333),-- [reinforcing_plate]
(20229,2265,1,1,2,476.216978),-- [rp_spike_club]
(20229,2274,1,1,2,328.937404),-- [rp_skull_breaker]
(20229,1832,1,1,2,51164.025485),-- [advanced_antidote]
(20230,1834,1,1,-1,745819),-- [emergency_dressing]
(20230,434,1,1,-1,1746),-- [white_tunic]
(20230,1870,1,1,-1,671237),-- [coal]
(20230,57,284,566,0,700000),-- [adena]
(20230,292,1,1,1,148),-- [pike]
(20230,1870,1,1,2,91701.33687),-- [coal]
(20230,1865,1,1,2,91701.33687),-- [varnish]
(20230,1874,1,1,2,6113.422458),-- [oriharukon_ore]
(20230,956,1,1,2,3056.903802),-- [scrl_of_ench_am_d]
(20231,1832,1,1,-1,722627),-- [advanced_antidote]
(20231,2282,1,1,-1,4645),-- [rp_cursed_maingauche]
(20231,1877,1,1,-1,26015),-- [admantite_nugget]
(20231,57,274,550,0,700000),-- [adena]
(20231,1123,1,1,1,1388.5),-- [blue_buckskin_boots]
(20231,605,1,1,1,1388.5),-- [leather_gauntlet]
(20231,1871,1,1,2,59233.240472),-- [charcoal]
(20231,1866,1,1,2,39488.771126),-- [suede]
(20231,1877,1,1,2,2369.38324),-- [admantite_nugget]
(20231,955,1,1,2,236.938324),-- [scrl_of_ench_wp_d]
(20231,2277,1,1,2,423.10415),-- [rp_bich'hwa]
(20231,1832,1,1,2,65814.562688),-- [advanced_antidote]
(20232,2147,1,1,-1,45242),-- [rp_blacksmith's_frame]
(20232,2027,1,1,-1,8298),-- [spike_club_head]
(20232,1901,1,1,-1,87485),-- [tiger'seye_earing_stone]
(20232,57,268,535,0,700000),-- [adena]
(20232,628,1,1,1,821.340788),-- [hoplon]
(20232,47,1,1,1,574.659212),-- [helmet]
(20232,1872,1,1,2,74837.606625),-- [animal_bone]
(20232,1867,1,1,2,74837.606625),-- [animal_skin]
(20232,1881,1,1,2,7483.847115),-- [coarse_bone_powder]
(20232,1875,1,1,2,3741.837105),-- [stone_of_purity]
(20232,2156,1,1,2,4490.34285),-- [rp_elven_necklace]
(20232,2191,1,1,2,7513.75968),-- [rp_gauntlet_of_repose_of_the_soul]
(20233,2280,1,1,-1,5301),-- [rp_crucifix_of_blood]
(20233,955,1,1,-1,2969),-- [scrl_of_ench_wp_d]
(20233,2154,1,1,-1,79458),-- [rp_elven_earing]
(20233,57,313,625,0,700000),-- [adena]
(20233,849,1,1,1,399.38733),-- [tiger'seye_earing]
(20233,1901,1,1,1,13625.367732),-- [tiger'seye_earing_stone]
(20233,912,1,1,1,299.380086),-- [near_forest_necklace]
(20233,880,1,1,1,597.864852),-- [black_pearl_ring]
(20233,1873,1,1,2,22547.825456),-- [silver_nugget]
(20233,1868,1,1,2,112739.12728),-- [thread]
(20233,1876,1,1,2,11273.912728),-- [mithril_ore]
(20233,2273,1,1,2,402.539904),-- [rp_tarbar]
(20233,2274,1,1,2,402.539904),-- [rp_skull_breaker]
(20233,2975,1,1,2,5033.038992),-- [rp_brigandine_helmet]
(20233,1832,1,1,2,62633.015736),-- [advanced_antidote]
(20234,1879,1,1,-1,124798),-- [cokes]
(20234,2971,1,1,-1,40042),-- [rp_mithril_scale_gaiters]
(20234,1938,1,1,-1,50339),-- [mithril_banded_mail_material]
(20234,57,316,631,0,700000),-- [adena]
(20234,293,1,1,1,53.5),-- [war_hammer]
(20234,296,1,1,1,53.5),-- [dwarven_pike]
(20234,1873,1,1,2,31849.943364),-- [silver_nugget]
(20234,1868,1,1,2,159250.163564),-- [thread]
(20234,1876,1,1,2,15925.083368),-- [mithril_ore]
(20234,2979,1,1,2,10659.31184),-- [rp_manticor_skin_gloves]
(20234,2188,1,1,2,5687.497864),-- [rp_manticor_skin_gaiters]
(20235,2074,1,1,-1,8417),-- [crystallized_ice_bow_shaft]
(20235,2340,1,1,-1,2764),-- [rp_paagrio_hammer]
(20235,2163,1,1,-1,60630),-- [rp_earing_of_protection]
(20235,57,470,955,0,700000),-- [adena]
(20235,96,1,1,1,10.618202),-- [scythe]
(20235,2062,1,1,1,734.04772),-- [scythe_edge]
(20235,298,1,1,1,10.618202),-- [orcish_glaive]
(20235,2075,1,1,1,734.04772),-- [orcish_glaive_blade]
(20235,302,1,1,1,10.618202),-- [body_slasher]
(20235,2076,1,1,1,734.049954),-- [body_slasher_blade]
(20235,1870,1,1,2,56163.066915),-- [coal]
(20235,1865,1,1,2,56163.066915),-- [varnish]
(20235,1874,1,1,2,3744.204461),-- [oriharukon_ore]
(20235,4043,1,1,2,1872.164736),-- [asofe]
(20235,4039,1,1,2,1872.164736),-- [mold_glue]
(20235,2216,1,1,2,2320.829215),-- [rp_great_helmet]
(20235,8723,1,1,2,2246.572681),-- [general_46_c]
(20235,8733,1,1,2,561.674423),-- [special_46_c]
(20235,8743,1,1,2,56.129939),-- [rare_46_c]
(20235,8753,1,1,2,11.125979),-- [unique_46_c]
(20236,2219,1,1,-1,76370),-- [rp_crimson_boots]
(20236,3021,1,1,-1,4284),-- [rp_dwarven_warhammer]
(20236,1908,1,1,-1,116435),-- [moonstone_earing_wire]
(20236,57,484,990,0,700000),-- [adena]
(20236,62,1,1,1,66.496124),-- [mithril_boots]
(20236,1958,1,1,1,2901.945352),-- [mithril_boots_design]
(20236,2429,1,1,1,66.496124),-- [chain_boots]
(20236,2937,1,1,1,2901.945352),-- [chain_boots_part]
(20236,2430,1,1,1,66.496124),-- [karmian_boots]
(20236,2938,1,1,1,2901.945352),-- [karmian_boots_fabric]
(20236,2431,1,1,1,66.496124),-- [plate_leather_boots]
(20236,2939,1,1,1,2901.945352),-- [plate_leather_boots_lining]
(20236,2432,1,1,1,66.496124),-- [dwarven_chain_boots]
(20236,2940,1,1,1,2901.945352),-- [dwarven_chain_boots_part]
(20236,2433,1,1,1,66.496124),-- [boots_of_seal]
(20236,2941,1,1,1,2901.945352),-- [boots_of_seal_pattern]
(20236,2452,1,1,1,66.496124),-- [reinforce_mithril_gloves]
(20236,2942,1,1,1,2901.945352),-- [reinforce_mithril_gloves_design]
(20236,2453,1,1,1,66.496124),-- [chain_gloves]
(20236,2943,1,1,1,2901.945352),-- [chain_gloves_design]
(20236,2454,1,1,1,66.496124),-- [karmian_gloves]
(20236,2944,1,1,1,2901.972068),-- [karmian_gloves_fabric]
(20236,1870,1,1,2,58110.63069),-- [coal]
(20236,1865,1,1,2,58110.63069),-- [varnish]
(20236,1874,1,1,2,3874.042046),-- [oriharukon_ore]
(20236,4043,1,1,2,1937.085696),-- [asofe]
(20236,4039,1,1,2,1937.085696),-- [mold_glue]
(20236,2216,1,1,2,2401.30849),-- [rp_great_helmet]
(20236,8723,1,1,2,2324.476966),-- [general_46_c]
(20236,8733,1,1,2,581.151578),-- [special_46_c]
(20236,8743,1,1,2,58.076354),-- [rare_46_c]
(20236,8753,1,1,2,11.511794),-- [unique_46_c]
(20237,2329,1,1,-1,3846),-- [rp_tsurugi]
(20237,3010,1,1,-1,44939),-- [rp_composite_helmet]
(20237,951,1,1,-1,3007),-- [scrl_of_ench_wp_c]
(20237,57,653,1332,0,700000),-- [adena]
(20237,282,1,1,1,16.581576),-- [elemental_bow]
(20237,2085,1,1,1,1267.418424),-- [elemental_bow_shaft]
(20237,285,1,1,1,16.581576),-- [noble_elven_bow]
(20237,2086,1,1,1,1267.418424),-- [noble_elven_bow_shaft]
(20237,1869,1,1,2,61061.755032),-- [iron_ore]
(20237,1864,1,1,2,122123.510064),-- [stem]
(20237,1880,1,1,2,6106.30305),-- [steel]
(20237,5550,1,1,2,814.067451),-- [reinforcing_plate]
(20237,4043,1,1,2,2035.328061),-- [asofe]
(20237,952,1,1,2,814.067451),-- [scrl_of_ench_am_c]
(20237,2230,1,1,2,1183.315437),-- [rp_theca_leather_gaiters]
(20237,8724,1,1,2,2035.328061),-- [general_49_c]
(20237,8734,1,1,2,508.911732),-- [special_49_c]
(20237,8744,1,1,2,51.01872),-- [rare_49_c]
(20237,8754,1,1,2,10.203744),-- [unique_49_c]
(20237,1342,10,30,2,122123.191197),-- [fine_steel_arrow]
(20238,2357,1,1,-1,2599),-- [rp_crystal_dagger]
(20238,1877,1,1,-1,63734),-- [admantite_nugget]
(20238,4041,1,1,-1,13855),-- [mold_hardener]
(20238,57,630,1281,0,700000),-- [adena]
(20238,355,1,1,1,71.23571),-- [dwarven_chain_mail_shirt]
(20238,1968,1,1,1,4252.67124),-- [dwarven_chain_mail_shirt_material]
(20238,382,1,1,1,113.977136),-- [dwarven_chain_gaiters]
(20238,1969,1,1,1,6745.115914),-- [dwarven_chain_gaiters_material]
(20238,1871,1,1,2,58830.987264),-- [charcoal]
(20238,1866,1,1,2,39220.658176),-- [suede]
(20238,1877,1,1,2,2353.224384),-- [admantite_nugget]
(20238,4041,1,1,2,511.608832),-- [mold_hardener]
(20238,4040,1,1,2,1176.675136),-- [mold_lubricant]
(20238,2335,1,1,2,136.840256),-- [rp_war_axe]
(20238,2348,1,1,2,136.840256),-- [rp_heathen's_book]
(20238,6668,1,1,2,21011.084864),-- [key_of_treasure_box4]
(20238,8724,1,1,2,1961.083264),-- [general_49_c]
(20238,8734,1,1,2,490.207872),-- [special_49_c]
(20238,8744,1,1,2,48.970432),-- [rare_49_c]
(20238,8754,1,1,2,9.819264),-- [unique_49_c]
(20239,3007,1,1,-1,61644),-- [rp_theca_leather_boots]
(20239,2079,1,1,-1,11647),-- [bech_de_corbin_blade]
(20239,1867,1,5,-1,753426),-- [animal_skin]
(20239,57,669,1365,0,700000),-- [adena]
(20239,73,1,1,1,8.49744),-- [shamshir]
(20239,2077,1,1,1,623.75256),-- [shamshir_blade]
(20239,74,1,1,1,8.49744),-- [katana]
(20239,2078,1,1,1,623.75256),-- [katana_blade]
(20239,131,1,1,1,8.49744),-- [spirits_sword]
(20239,2080,1,1,1,623.75256),-- [spirits_sword_blade]
(20239,133,1,1,1,8.49744),-- [raid_sword]
(20239,2081,1,1,1,623.75256),-- [raid_sword_blade]
(20239,1872,1,1,2,83456.462368),-- [animal_bone]
(20239,1867,1,1,2,83456.462368),-- [animal_skin]
(20239,1881,1,1,2,8345.627648),-- [coarse_bone_powder]
(20239,1875,1,1,2,4172.813824),-- [stone_of_purity]
(20239,4041,1,1,2,544.280064),-- [mold_hardener]
(20239,3007,1,1,2,2276.012672),-- [rp_theca_leather_boots]
(20239,2351,1,1,2,130.865152),-- [rp_scorpion]
(20239,952,1,1,2,834.63712),-- [scrl_of_ench_am_c]
(20239,8724,1,1,2,2086.406912),-- [general_49_c]
(20239,8734,1,1,2,521.601728),-- [special_49_c]
(20239,8744,1,1,2,52.234528),-- [rare_49_c]
(20239,8754,1,1,2,10.595616),-- [unique_49_c]
(20240,2092,1,1,-1,9934),-- [homunkulus's_sword_blade]
(20240,2353,1,1,-1,2974),-- [rp_samurai_longsword]
(20240,4601,1,1,-1,4051),-- [dye_s3c3_c]
(20240,57,722,1466,0,700000),-- [adena]
(20240,265,1,1,1,22.817308),-- [fist_blade]
(20240,2108,1,1,1,2019.182692),-- [fist_blade_piece]
(20240,1864,1,1,2,137054.470422),-- [stem]
(20240,1869,1,1,2,68527.235211),-- [iron_ore]
(20240,1878,1,1,2,27410.950449),-- [braided_hemp]
(20240,1884,1,1,2,42170.584605),-- [cord]
(20240,4039,1,1,2,2284.175415),-- [mold_glue]
(20240,3022,1,1,2,111.883731),-- [rp_yaksa_mace]
(20240,3019,1,1,2,1827.340332),-- [rp_full_plate_shield]
(20240,8725,1,1,2,1903.432542),-- [general_52_c]
(20240,8735,1,1,2,475.999047),-- [special_52_c]
(20240,8745,1,1,2,47.628087),-- [rare_52_c]
(20240,8755,1,1,2,9.300159),-- [unique_52_c]
(20241,2100,1,1,-1,10217),-- [paradia_staff_head]
(20241,3015,1,1,-1,50627),-- [rp_drake_leather_gloves]
(20241,1539,1,1,-1,402767),-- [greater_healing_potion]
(20241,57,720,1455,0,700000),-- [adena]
(20241,854,1,1,1,110.257488),-- [earing_of_binding]
(20241,1914,1,1,1,7017.33344),-- [earing_of_binding_gemstone]
(20241,917,1,1,1,82.69904),-- [necklace_of_mermaid]
(20241,1916,1,1,1,5315.24976),-- [necklace_of_mermaid_teardrop]
(20241,885,1,1,1,165.326992),-- [ring_of_ages]
(20241,1915,1,1,1,11005.13328),-- [ring_of_ages_gemstone]
(20241,1872,1,1,2,76873.44124),-- [animal_bone]
(20241,1867,1,1,2,76873.44124),-- [animal_skin]
(20241,1881,1,1,2,7687.41204),-- [coarse_bone_powder]
(20241,1875,1,1,2,3843.70602),-- [stone_of_purity]
(20241,4041,1,1,2,501.38987),-- [mold_hardener]
(20241,4604,1,1,2,128.19145),-- [dye_c3c3_c]
(20241,4609,1,1,2,128.19145),-- [dye_m3i3_c]
(20241,3014,1,1,2,1610.45815),-- [rp_full_plate_boots]
(20241,2359,1,1,2,94.06366),-- [rp_eminence_bow]
(20241,8725,1,1,2,1601.45928),-- [general_52_c]
(20241,8735,1,1,2,400.36482),-- [special_52_c]
(20241,8745,1,1,2,40.07044),-- [rare_52_c]
(20241,8755,1,1,2,7.81034),-- [unique_52_c]
(20242,1985,1,1,-1,66727),-- [theca_leather_gaiters_pattern]
(20242,1868,1,9,-1,774035),-- [thread]
(20242,1918,1,1,-1,83806),-- [nassen's_earing_gemstone]
(20242,57,766,1556,0,700000),-- [adena]
(20242,400,1,1,1,37.508306),-- [theca_leather_mail]
(20242,1984,1,1,1,2552.652421),-- [theca_leather_mail_pattern]
(20242,401,1,1,1,17.757597),-- [drake_leather_mail]
(20242,1987,1,1,1,1816.790316),-- [drake_leather_mail_texture]
(20242,420,1,1,1,60.033908),-- [theca_leather_gaiters]
(20242,1985,1,1,1,4106.257452),-- [theca_leather_gaiters_pattern]
(20242,1872,1,1,2,68047.178448),-- [animal_bone]
(20242,1867,1,1,2,68047.178448),-- [animal_skin]
(20242,1881,1,1,2,6804.750186),-- [coarse_bone_powder]
(20242,1875,1,1,2,3402.29424),-- [stone_of_purity]
(20242,4041,1,1,2,443.721264),-- [mold_hardener]
(20242,3034,1,1,2,102.036486),-- [rp_spiritshot_b]
(20242,5270,1,1,2,102.036486),-- [rp_adv_comp_soulshot_b]
(20242,4959,1,1,2,983.334186),-- [rp_avadon_boots_i]
(20242,4941,1,1,2,392.622168),-- [rp_shrnoen's_gaiters_i]
(20242,6669,1,1,2,11868.735282),-- [key_of_treasure_box5]
(20242,8726,1,1,2,1181.424036),-- [general_55_c]
(20242,8736,1,1,2,295.275156),-- [special_55_c]
(20242,8746,1,1,2,29.592198),-- [rare_55_c]
(20242,8756,1,1,2,5.821416),-- [unique_55_c]
(20243,4599,1,1,-1,5751),-- [dye_w2i2_c]
(20243,1873,1,1,-1,690175),-- [silver_nugget]
(20243,1806,1,1,-1,3451),-- [rp_soulshot_b]
(20243,57,682,1388,0,700000),-- [adena]
(20243,203,1,1,1,3.463976),-- [paagrio_axe]
(20243,2112,1,1,1,308.507784),-- [paagrio_axe_blade]
(20243,204,1,1,1,2.703032),-- [deadman's_staff]
(20243,2116,1,1,1,299.73248),-- [deadman's_staff_head]
(20243,205,1,1,1,2.703032),-- [ghoul's_staff]
(20243,2117,1,1,1,299.73248),-- [ghoul's_staff_head]
(20243,206,1,1,1,2.703032),-- [demon's_staff]
(20243,2118,1,1,1,299.73248),-- [demon's_staff_head]
(20243,2503,1,1,1,2.703032),-- [yaksa_mace]
(20243,2969,1,1,1,306.018672),-- [yaksa_mace_head]
(20243,1869,1,1,2,53090.529408),-- [iron_ore]
(20243,1864,1,1,2,106180.889472),-- [stem]
(20243,1880,1,1,2,5309.103744),-- [steel]
(20243,5550,1,1,2,707.85792),-- [reinforcing_plate]
(20243,4043,1,1,2,1769.6448),-- [asofe]
(20243,4144,1,1,2,545.626368),-- [rp_shrnoen's_leather_gaiters]
(20243,4184,1,1,2,61.133184),-- [rp_sprite's_staff]
(20243,5155,1,1,2,106.178688),-- [rp_comp_soulshot_b]
(20243,8726,1,1,2,1228.929408),-- [general_55_c]
(20243,8736,1,1,2,307.190016),-- [special_55_c]
(20243,8746,1,1,2,30.651264),-- [rare_55_c]
(20243,8756,1,1,2,6.265728),-- [unique_55_c]
(20244,3955,1,1,-1,3548),-- [rp_blessed_spiritshot_b]
(20244,2117,1,1,-1,8346),-- [ghoul's_staff_head]
(20244,4592,1,1,-1,5913),-- [dye_c2c2_c]
(20244,57,701,1428,0,700000),-- [adena]
(20244,400,1,1,1,34.38225),-- [theca_leather_mail]
(20244,1984,1,1,1,2339.906625),-- [theca_leather_mail_pattern]
(20244,401,1,1,1,16.277625),-- [drake_leather_mail]
(20244,1987,1,1,1,1665.3735),-- [drake_leather_mail_texture]
(20244,420,1,1,1,55.0305),-- [theca_leather_gaiters]
(20244,1985,1,1,1,3764.0295),-- [theca_leather_gaiters_pattern]
(20244,1872,1,1,2,72778.24202),-- [animal_bone]
(20244,1867,1,1,2,72778.24202),-- [animal_skin]
(20244,1881,1,1,2,7277.84008),-- [coarse_bone_powder]
(20244,1875,1,1,2,3638.92004),-- [stone_of_purity]
(20244,4041,1,1,2,474.59342),-- [mold_hardener]
(20244,4185,1,1,2,62.87688),-- [rp_kshanberk]
(20244,5436,1,1,2,89.07558),-- [rp_berserker_blade]
(20244,8322,1,1,2,62.87688),-- [rp_ice_storm_hammer_i]
(20244,8726,1,1,2,1263.57124),-- [general_55_c]
(20244,8736,1,1,2,315.81342),-- [special_55_c]
(20244,8746,1,1,2,31.59722),-- [rare_55_c]
(20244,8756,1,1,2,6.3512),-- [unique_55_c]
(20245,1895,1,1,-1,526594),-- [metallic_fiber]
(20245,4071,1,1,-1,33383),-- [avadon_robe_fabric]
(20245,4129,1,1,-1,19947),-- [rp_earing_of_black_ore]
(20245,57,727,1485,0,700000),-- [adena]
(20245,12159,1,1,1,621.488992),-- [shrnoen's_shield_low]
(20245,4101,1,1,1,3945.07984),-- [shrnoen's_shield_fragment]
(20245,12171,1,1,1,621.488992),-- [avadon_shield_low]
(20245,4439,1,1,1,4693.284928),-- [avadon_shield_fragment]
(20245,12160,1,1,1,434.83824),-- [shrnoen's_helmet_low]
(20245,4102,1,1,1,3056.481952),-- [shrnoen's_helmet_design]
(20245,12170,1,1,1,434.83824),-- [avadon_circlet_low]
(20245,4072,1,1,1,3056.498816),-- [avadon_circlet_pattern]
(20245,1864,1,1,2,83756.319034),-- [stem]
(20245,1869,1,1,2,41878.159517),-- [iron_ore]
(20245,1878,1,1,2,16751.298423),-- [braided_hemp]
(20245,1884,1,1,2,25771.241657),-- [cord]
(20245,4039,1,1,2,1395.898265),-- [mold_glue]
(20245,4945,1,1,2,322.103741),-- [rp_avadon_gaiters_i]
(20245,4999,1,1,2,520.800729),-- [rp_doom_boots_i]
(20245,8322,1,1,2,48.289599),-- [rp_ice_storm_hammer_i]
(20245,8726,1,1,2,969.426681),-- [general_55_c]
(20245,8736,1,1,2,242.3134),-- [special_55_c]
(20245,8746,1,1,2,24.23134),-- [rare_55_c]
(20245,8756,1,1,2,4.846268),-- [unique_55_c]
(20245,6036,1,1,2,1396.071346),-- [potion_of_acumen3]
(20246,2964,1,1,-1,128620),-- [blessed_gloves_pattern]
(20246,4049,1,1,-1,123897),-- [adamantite_earing_gemstone]
(20246,947,1,1,-1,945),-- [scrl_of_ench_wp_b]
(20246,57,933,1900,0,700000),-- [adena]
(20246,12338,1,1,1,953.195154),-- [adamantite_earing_low]
(20246,4049,1,1,1,6099.582939),-- [adamantite_earing_gemstone]
(20246,12339,1,1,1,715.618071),-- [adamantite_necklace_low]
(20246,4051,1,1,1,4509.92721),-- [adamantite_necklace_chain]
(20246,12340,1,1,1,1435.67097),-- [adamantite_ring_low]
(20246,4050,1,1,1,7205.005656),-- [adamantite_ring_wire]
(20246,1869,1,1,2,58144.104144),-- [iron_ore]
(20246,1864,1,1,2,116288.208288),-- [stem]
(20246,1880,1,1,2,5814.44752),-- [steel]
(20246,5550,1,1,2,775.321512),-- [reinforcing_plate]
(20246,4043,1,1,2,1938.211016),-- [asofe]
(20246,4969,1,1,2,66.975608),-- [rp_hell_knife_i]
(20246,4176,1,1,2,723.188144),-- [rp_doom_boots]
(20246,4157,1,1,2,289.238152),-- [rp_blue_wolve's_gaiters]
(20246,8727,1,1,2,1162.889504),-- [general_58_b]
(20246,8737,1,1,2,290.722376),-- [special_58_b]
(20246,8747,1,1,2,29.127896),-- [rare_58_b]
(20246,8757,1,1,2,5.56584),-- [unique_58_b]
(20248,2250,1,1,-1,141016),-- [rp_bone_arrow]
(20248,955,1,1,-1,2256),-- [scrl_of_ench_wp_d]
(20248,1865,1,1,-1,564065),-- [varnish]
(20248,57,239,476,0,700000),-- [adena]
(20248,86,1,1,1,12.446356),-- [tomahawk]
(20248,179,1,1,1,12.446356),-- [mace_of_prayer]
(20248,180,1,1,1,12.446356),-- [mace_of_judgment]
(20248,2022,1,1,1,480.31698),-- [mace_of_judgment_head]
(20248,181,1,1,1,12.446356),-- [mace_of_miracle]
(20248,182,1,1,1,12.446356),-- [doom_hammer]
(20248,183,1,1,1,12.446356),-- [mystic_staff]
(20248,184,1,1,1,12.446356),-- [conjure_staff]
(20248,2023,1,1,1,382.11121),-- [conjure_staff_head]
(20248,185,1,1,1,12.447318),-- [staff_of_mana]
(20248,1870,1,1,2,51373.471374),-- [coal]
(20248,1865,1,1,2,51373.471374),-- [varnish]
(20248,1874,1,1,2,3424.951548),-- [oriharukon_ore]
(20248,1829,1,1,2,20549.442006),-- [scroll_of_escape_to_agit]
(20248,2274,1,1,2,366.978186),-- [rp_skull_breaker]
(20248,2192,1,1,2,6552.685512),-- [rp_kite_shield]
(20249,1873,1,1,-1,480668),-- [silver_nugget]
(20249,1865,1,3,-1,600835),-- [varnish]
(20249,57,508,1015,0,700000),-- [adena]
(20249,260,1,1,1,172),-- [triple-edged_jamadhr]
(20249,1868,1,1,2,182548.216557),-- [thread]
(20249,1873,1,1,2,36509.73261),-- [silver_nugget]
(20249,5549,1,1,2,9127.209906),-- [iron_thread]
(20249,1889,1,1,2,6084.806604),-- [compound_braid]
(20249,2186,1,1,2,3052.672641),-- [rp_brigandine]
(20249,6667,1,1,2,57046.178145),-- [key_of_treasure_box3]
(20249,1341,20,60,2,152124.183537),-- [bone_arrow]
(20250,1884,1,1,-1,281232),-- [cord]
(20250,2259,1,1,-1,7096),-- [rp_spinebone_sword]
(20250,1899,1,1,-1,71407),-- [necklace_of_devotion_chain]
(20250,57,197,380,0,700000),-- [adena]
(20250,847,1,1,1,619.503616),-- [red_cresent_earing]
(20250,910,1,1,1,464.627712),-- [necklace_of_devotion]
(20250,1899,1,1,1,10018.601216),-- [necklace_of_devotion_chain]
(20250,890,1,1,1,929.267456),-- [ring_of_devotion]
(20250,1870,1,1,2,51296.9085),-- [coal]
(20250,1865,1,1,2,51296.9085),-- [varnish]
(20250,1874,1,1,2,3419.7939),-- [oriharukon_ore]
(20250,2182,1,1,2,6158.124392),-- [rp_scale_gaiters]
(20250,5437,1,1,2,1254.264708),-- [rp_heavy_sword]
(20251,1880,1,1,-1,48038),-- [steel]
(20251,2017,1,1,-1,6384),-- [saber_blade]
(20251,2152,1,1,-1,84573),-- [rp_enchanted_necklace]
(20251,57,206,403,0,700000),-- [adena]
(20251,123,1,1,1,42.796702),-- [saber]
(20251,2017,1,1,1,895.723943),-- [saber_blade]
(20251,5285,1,1,1,42.796702),-- [heavy_sword]
(20251,5531,1,1,1,1131.682653),-- [heavy_sword_edge]
(20251,1871,1,1,2,67400.525075),-- [charcoal]
(20251,1866,1,1,2,44933.642791),-- [suede]
(20251,1877,1,1,2,2696.021003),-- [admantite_nugget]
(20251,2181,1,1,2,6746.811131),-- [rp_white_tunic]
(20252,1865,1,1,-1,502762),-- [varnish]
(20252,1900,1,1,-1,55007),-- [enchanted_necklace_chain]
(20252,1061,1,1,-1,304704),-- [healing_potion]
(20252,57,213,422,0,700000),-- [adena]
(20252,1123,1,1,1,1073),-- [blue_buckskin_boots]
(20252,605,1,1,1,1073),-- [leather_gauntlet]
(20252,1872,1,1,2,45790.07202),-- [animal_bone]
(20252,1867,1,1,2,45790.07202),-- [animal_skin]
(20252,1881,1,1,2,4578.95067),-- [coarse_bone_powder]
(20252,1875,1,1,2,2289.546),-- [stone_of_purity]
(20252,2185,1,1,2,6760.37922),-- [rp_iron_boots]
(20252,2274,1,1,2,245.34888),-- [rp_skull_breaker]
(20252,2187,1,1,2,1533.14784),-- [rp_manticor_skin_shirt]
(20252,6666,1,1,2,34342.48335),-- [key_of_treasure_box2]
(20253,2265,1,1,-1,5545),-- [rp_spike_club]
(20253,2153,1,1,-1,83396),-- [rp_tiger'seye_earing]
(20253,1900,1,1,-1,58669),-- [enchanted_necklace_chain]
(20253,57,226,452,0,700000),-- [adena]
(20253,348,1,1,1,142.941546),-- [scale_mail]
(20253,1935,1,1,1,4092.708972),-- [scale_mail_fragment]
(20253,377,1,1,1,228.575226),-- [scale_gaiters]
(20253,1937,1,1,1,6293.774256),-- [scale_gaiters_fragment]
(20253,1873,1,1,2,23442.52872),-- [silver_nugget]
(20253,1868,1,1,2,117212.955834),-- [thread]
(20253,1876,1,1,2,11721.26436),-- [mithril_ore]
(20253,2266,1,1,2,606.046194),-- [rp_knife_o'_silenus]
(20253,2971,1,1,2,3134.204892),-- [rp_mithril_scale_gaiters]
(20254,2181,1,1,-1,49538),-- [rp_white_tunic]
(20254,2262,1,1,-1,7685),-- [rp_elven_bow]
(20254,1899,1,1,-1,77326),-- [necklace_of_devotion_chain]
(20254,57,212,415,0,700000),-- [adena]
(20254,291,1,1,1,88.181775),-- [trident]
(20254,2019,1,1,1,2986.818225),-- [trident_edge]
(20254,1876,1,1,2,9258.167835),-- [mithril_ore]
(20254,1880,1,1,2,4629.102795),-- [steel]
(20254,1877,1,1,2,1851.618465),-- [admantite_nugget]
(20254,1881,1,1,2,6172.11189),-- [coarse_bone_powder]
(20254,1882,1,1,2,10286.87832),-- [leather]
(20254,2182,1,1,2,5557.120695),-- [rp_scale_gaiters]
(20265,1866,1,1,-1,449035),-- [suede]
(20265,2015,1,1,-1,8214),-- [sword_breaker_edge]
(20265,1872,1,1,-1,898071),-- [animal_bone]
(20265,57,306,549,0,700000),-- [adena]
(20265,219,1,1,1,211.65993),-- [sword_breaker]
(20265,2015,1,1,1,2426.34007),-- [sword_breaker_edge]
(20265,1867,1,1,2,106110.762776),-- [animal_skin]
(20265,1872,1,1,2,106110.762776),-- [animal_bone]
(20265,1882,1,1,2,17685.048784),-- [leather]
(20265,5158,1,1,2,3183.327584),-- [rp_comp_spiritshot_d]
(20265,8294,1,1,2,1946.09808),-- [rp_iron_sword]
(20266,1866,1,1,-1,279792),-- [suede]
(20266,2180,1,1,-1,31555),-- [rp_scale_mail]
(20266,1878,1,1,-1,167875),-- [braided_hemp]
(20266,57,185,346,0,700000),-- [adena]
(20266,432,1,1,1,488.596549),-- [cursed_tunic]
(20266,465,1,1,1,782.403451),-- [cursed_hose]
(20266,1874,1,1,2,3925.7295),-- [oriharukon_ore]
(20266,1878,1,1,2,23554.4385),-- [braided_hemp]
(20266,5220,1,1,2,2355.45),-- [reinforcing_agent]
(20266,2260,1,1,2,914.382),-- [rp_mace_of_judgment]
(20267,2203,1,1,-1,122890),-- [rp_mithril_boots]
(20267,1882,1,1,-1,125348),-- [leather]
(20267,1061,1,1,-1,341857),-- [healing_potion]
(20267,57,239,476,0,700000),-- [adena]
(20267,69,1,1,1,24.885154),-- [bastard_sword]
(20267,125,1,1,1,24.885154),-- [spinebone_sword]
(20267,2021,1,1,1,778.457628),-- [spinebone_sword_blade]
(20267,126,1,1,1,24.885154),-- [artisan's_sword]
(20267,128,1,1,1,24.88691),-- [knight's_sword]
(20267,1873,1,1,2,24659.133856),-- [silver_nugget]
(20267,1868,1,1,2,123295.498968),-- [thread]
(20267,1876,1,1,2,12329.566928),-- [mithril_ore]
(20267,2153,1,1,2,9587.543728),-- [rp_tiger'seye_earing]
(20267,2274,1,1,2,440.25652),-- [rp_skull_breaker]
(20268,1878,1,1,-1,308026),-- [braided_hemp]
(20268,1900,1,1,-1,84252),-- [enchanted_necklace_chain]
(20268,57,324,651,0,700000),-- [adena]
(20268,275,1,1,1,56.606465),-- [long_bow]
(20268,276,1,1,1,56.606465),-- [elven_bow]
(20268,2024,1,1,1,1997.78707),-- [elven_bow_shaft]
(20268,1872,1,1,2,112216.0639),-- [animal_bone]
(20268,1867,1,1,2,112216.0639),-- [animal_skin]
(20268,1881,1,1,2,11221.60639),-- [coarse_bone_powder]
(20268,1875,1,1,2,5610.92523),-- [stone_of_purity]
(20268,956,1,1,2,2805.34058),-- [scrl_of_ench_am_d]
(20269,1879,1,1,-1,111342),-- [cokes]
(20269,2029,1,1,-1,7969),-- [gastraphetes_shaft]
(20269,2154,1,1,-1,71526),-- [rp_elven_earing]
(20269,57,282,563,0,700000),-- [adena]
(20269,157,1,1,1,31.85426),-- [spike_club]
(20269,2027,1,1,1,1551.29148),-- [spike_club_head]
(20269,186,1,1,1,31.85426),-- [staff_of_magicpower]
(20269,1875,1,1,2,2959.9682),-- [stone_of_purity]
(20269,1879,1,1,2,7399.873095),-- [cokes]
(20269,1885,1,1,2,3699.96025),-- [high_grade_suede]
(20269,5550,1,1,2,591.99364),-- [reinforcing_plate]
(20269,5549,1,1,2,4439.904895),-- [iron_thread]
(20269,2275,1,1,2,317.13945),-- [rp_heavy_bone_club]
(20269,2286,1,1,2,246.648215),-- [rp_bonebreaker]
(20269,6667,1,1,2,27749.512255),-- [key_of_treasure_box3]
(20270,2972,1,1,-1,50438),-- [rp_brigandine_gaiters]
(20270,2976,1,1,-1,126263),-- [rp_manticor_skin_boots]
(20270,1901,1,1,-1,130274),-- [tiger'seye_earing_stone]
(20270,57,398,795,0,700000),-- [adena]
(20270,393,1,1,1,142.870754),-- [mithril_banded_mail]
(20270,1938,1,1,1,5618.601014),-- [mithril_banded_mail_material]
(20270,394,1,1,1,142.870754),-- [reinforce_leather_shirt]
(20270,415,1,1,1,228.357532),-- [mithril_banded_gaiters]
(20270,1939,1,1,1,7340.956116),-- [mithril_banded_gaiters_material]
(20270,416,1,1,1,228.34383),-- [reinforce_leather_gaiters]
(20270,1870,1,1,2,100296.588195),-- [coal]
(20270,1865,1,1,2,100296.588195),-- [varnish]
(20270,1874,1,1,2,6686.439213),-- [oriharukon_ore]
(20270,2980,1,1,2,13426.404072),-- [rp_brigandine_gauntlet]
(20270,1341,20,60,2,167160.980325),-- [bone_arrow]
(20271,1882,1,1,-1,170847),-- [leather]
(20271,2271,1,1,-1,5492),-- [rp_winged_spear]
(20271,2155,1,1,-1,123405),-- [rp_elven_ring]
(20271,57,325,650,0,700000),-- [adena]
(20271,849,1,1,1,413.73337),-- [tiger'seye_earing]
(20271,1901,1,1,1,14114.792548),-- [tiger'seye_earing_stone]
(20271,912,1,1,1,310.133854),-- [near_forest_necklace]
(20271,880,1,1,1,619.340228),-- [black_pearl_ring]
(20271,1874,1,1,2,3406.418838),-- [oriharukon_ore]
(20271,1878,1,1,2,20438.513028),-- [braided_hemp]
(20271,1884,1,1,2,31443.890685),-- [cord]
(20271,1889,1,1,2,3406.418838),-- [compound_braid]
(20271,5220,1,1,2,2043.838569),-- [reinforcing_agent]
(20271,2187,1,1,2,2281.069263),-- [rp_manticor_skin_shirt]
(20271,2293,1,1,2,283.900071),-- [rp_glaive]
(20271,2269,1,1,2,364.950708),-- [rp_morning_star]
(20291,1879,1,1,-1,69130),-- [cokes]
(20291,2255,1,1,-1,10141),-- [rp_saber]
(20291,1898,1,1,-1,42607),-- [blue_diamond_necklace_gem]
(20291,57,189,337,0,700000),-- [adena]
(20291,27,1,1,1,431.406745),-- [hard_leather_shirt]
(20291,1927,1,1,1,4887.03149),-- [hard_leather_shirt_pattern]
(20291,33,1,1,1,692.18776),-- [hard_leather_gaiters]
(20291,1929,1,1,1,7904.374005),-- [hard_leather_gaiters_material]
(20291,1864,1,1,2,98016.33842),-- [stem]
(20291,1869,1,1,2,49008.16921),-- [iron_ore]
(20291,1878,1,1,2,19603.267684),-- [braided_hemp]
(20291,2257,1,1,2,1198.167152),-- [rp_trident]
(20291,734,1,1,2,8168.057534),-- [quick_step_potion]
(20292,2150,1,1,-1,144749),-- [rp_blue_diamond_necklace]
(20292,2139,1,1,-1,61663),-- [rp_steel_mold]
(20292,5220,1,1,-1,12333),-- [reinforcing_agent]
(20292,57,142,248,0,700000),-- [adena]
(20292,845,1,1,1,1331.443806),-- [cat'seye_earing]
(20292,908,1,1,1,998.590439),-- [necklace_of_wisdom]
(20292,1897,1,1,1,10841.800046),-- [necklace_of_wisdom_chain]
(20292,877,1,1,1,1997.165709),-- [ring_of_wisdom]
(20292,1871,1,1,2,45536.009457),-- [charcoal]
(20292,1866,1,1,2,30357.366165),-- [suede]
(20292,2252,1,1,2,1866.254031),-- [rp_iron_hammer]
(20292,5158,1,1,2,1821.370347),-- [rp_comp_spiritshot_d]
(20307,2137,1,1,-1,43777),-- [rp_steel]
(20307,1867,1,1,-1,198456),-- [animal_skin]
(20307,1060,1,1,-1,330759),-- [lesser_healing_potion]
(20307,57,80,108,0,700000),-- [adena]
(20307,152,1,1,1,709.063155),-- [heavy_chisel]
(20307,5,1,1,1,457.936155),-- [mace]
(20307,8,1,1,1,457.936155),-- [willow_staff]
(20307,2006,1,1,1,1570.064535),-- [willow_staff_head]
(20307,1864,1,1,2,29310.4816),-- [stem]
(20307,1865,1,1,2,14655.2408),-- [varnish]
(20307,1866,1,1,2,9770.200675),-- [suede]
(20307,1873,1,1,2,5862.04815),-- [silver_nugget]
(20307,1868,1,1,2,29310.4816),-- [thread]
(20307,1802,1,1,2,31516.547175),-- [rp_necklace_of_anguish]
(20308,1868,1,1,-1,475131),-- [thread]
(20308,1924,1,1,-1,76634),-- [leather_helmet_design]
(20308,1897,1,1,-1,56563),-- [necklace_of_wisdom_chain]
(20308,57,118,183,0,700000),-- [adena]
(20308,38,1,1,1,1795.866945),-- [low_boots]
(20308,50,1,1,1,1795.866945),-- [leather_gloves]
(20308,1925,1,1,1,30677.26611),-- [leather_gloves_lining]
(20308,1868,1,1,2,70173.507304),-- [thread]
(20308,1873,1,1,2,14034.682935),-- [silver_nugget]
(20308,2143,1,1,2,7017.387782),-- [rp_synthesis_cokes]
(20308,5158,1,1,2,1403.421979),-- [rp_comp_spiritshot_d]
(20310,735,1,1,-1,19993),-- [swift_attack_potion]
(20310,1872,1,1,-1,319890),-- [animal_bone]
(20310,1800,1,1,-1,75446),-- [rp_piece_bone_breastplate]
(20310,57,119,185,0,700000),-- [adena]
(20310,38,1,1,1,1813.63224),-- [low_boots]
(20310,50,1,1,1,1813.63224),-- [leather_gloves]
(20310,1925,1,1,1,30980.73552),-- [leather_gloves_lining]
(20310,1865,1,1,2,47245.4073),-- [varnish]
(20310,1870,1,1,2,47245.4073),-- [coal]
(20310,2144,1,1,2,9449.1854),-- [rp_compound_braid]
(20311,1060,1,1,-1,172757),-- [lesser_healing_potion]
(20311,2005,1,1,-1,5553),-- [broad_sword_blade]
(20311,57,41,58,0,700000),-- [adena]
(20311,1122,1,1,1,6514.326819),-- [cotton_shoes]
(20311,1129,1,1,1,6514.326819),-- [crude_leather_shoes]
(20311,1119,1,1,1,6514.346362),-- [short_leather_gloves]
(20311,1873,1,1,2,4592.664723),-- [silver_nugget]
(20311,1868,1,1,2,22963.268422),-- [thread]
(20311,1789,1,1,2,2122.281236),-- [rp_cedar_staff]
(20311,1060,1,1,2,25514.785619),-- [lesser_healing_potion]
(20312,1866,1,1,-1,64878),-- [suede]
(20312,2136,1,1,-1,28622),-- [rp_cokes]
(20312,1666,1,1,-1,32439),-- [rp_wooden_arrow]
(20312,57,51,72,0,700000),-- [adena]
(20312,19,1,1,1,11732.93531),-- [small_shield]
(20312,42,1,1,1,8213.06469),-- [leather_cap]
(20312,1869,1,1,2,14372.985256),-- [iron_ore]
(20312,1864,1,1,2,28745.970512),-- [stem]
(20312,1802,1,1,2,30909.610376),-- [rp_necklace_of_anguish]
(20312,734,1,1,2,2395.433856),-- [quick_step_potion]
(20313,1814,1,1,-1,95767),-- [rp_leather]
(20313,22,1,1,-1,19461),-- [leather_shirt]
(20313,2006,1,1,-1,12997),-- [willow_staff_head]
(20313,57,98,132,0,700000),-- [adena]
(20313,428,1,1,1,2874.194224),-- [feriotic_tunic]
(20313,1100,1,1,1,2874.194224),-- [cotton_tunic]
(20313,463,1,1,1,4593.805776),-- [feriotic_hose]
(20313,1103,1,1,1,4593.805776),-- [cotton_hose]
(20313,1864,1,1,2,53747.0829),-- [stem]
(20313,1869,1,1,2,26873.54145),-- [iron_ore]
(20313,1790,1,1,2,4967.432085),-- [rp_dirk]
(20313,6037,1,1,2,53746.943565),-- [scroll_of_awake]
(20314,1874,1,1,-1,57718),-- [oriharukon_ore]
(20314,4472,1,1,-1,4947),-- [dye_c1d1_d]
(20314,1869,1,1,-1,865765),-- [iron_ore]
(20314,57,349,705,0,700000),-- [adena]
(20314,70,1,1,1,15.669267),-- [claymore]
(20314,2047,1,1,1,955.292883),-- [claymore_blade]
(20314,2499,1,1,1,15.669267),-- [elven_long_sword]
(20314,2967,1,1,1,942.368583),-- [elven_long_sword_blade]
(20314,1864,1,1,2,124213.539318),-- [stem]
(20314,1869,1,1,2,62106.769659),-- [iron_ore]
(20314,1878,1,1,2,24842.605348),-- [braided_hemp]
(20314,1884,1,1,2,38219.609703),-- [cord]
(20314,2205,1,1,2,1965.480341),-- [rp_chain_gaiters]
(20314,2299,1,1,2,271.153762),-- [rp_big_hammer]
(20314,2209,1,1,2,4669.841869),-- [rp_eldarake]
(20316,1803,1,1,-1,169394),-- [rp_necklace_of_wisdom]
(20316,1864,1,1,-1,403157),-- [stem]
(20316,1792,1,1,-1,14822),-- [rp_short_spear]
(20316,57,109,147,0,700000),-- [adena]
(20316,23,1,1,1,1297.277532),-- [wooden_breastplate]
(20316,30,1,1,1,2078.361234),-- [hard_leather_pants]
(20316,2386,1,1,1,2078.361234),-- [wooden_gaiters]
(20316,1865,1,1,2,29771.467966),-- [varnish]
(20316,1870,1,1,2,29771.467966),-- [coal]
(20316,1794,1,1,2,2189.097162),-- [rp_bow_of_forest]
(20316,734,1,1,2,4961.966906),-- [quick_step_potion]
(20317,1867,1,1,-1,51475),-- [animal_skin]
(20317,1786,1,1,-1,30885),-- [rp_broad_sword]
(20317,57,19,29,0,700000),-- [adena]
(20317,1,1,1,1,13530),-- [small_sword]
(20317,1869,1,1,2,6652.105863),-- [iron_ore]
(20317,1870,1,1,2,6652.105863),-- [coal]
(20317,1871,1,1,2,6652.105863),-- [charcoal]
(20317,1872,1,1,2,8869.503162),-- [animal_bone]
(20317,1867,1,1,2,8869.503162),-- [animal_skin]
(20317,1787,1,1,2,5321.676087),-- [rp_willow_staff]
(20318,1866,1,1,-1,51314),-- [suede]
(20318,1060,1,1,-1,171046),-- [lesser_healing_potion]
(20318,2005,1,1,-1,5498),-- [broad_sword_blade]
(20318,57,41,58,0,700000),-- [adena]
(20318,3,1,1,1,473.740988),-- [broad_sword]
(20318,2005,1,1,1,1624.259012),-- [broad_sword_blade]
(20318,1866,1,1,2,15157.2),-- [suede]
(20318,1871,1,1,2,22735.8),-- [charcoal]
(20319,1865,1,1,-1,56617),-- [varnish]
(20319,1787,1,1,-1,45293),-- [rp_willow_staff]
(20319,57,30,42,0,700000),-- [adena]
(20319,112,1,1,1,102689.2683),-- [apprentice's_earing]
(20319,118,1,1,1,76513.51329),-- [necklace_of_magic]
(20319,116,1,1,1,156087.21841),-- [magic_ring]
(20319,1864,1,1,2,19511.058856),-- [stem]
(20319,1865,1,1,2,9755.529428),-- [varnish]
(20319,1866,1,1,2,6503.663956),-- [suede]
(20319,1873,1,1,2,3902.184976),-- [silver_nugget]
(20319,1868,1,1,2,19511.058856),-- [thread]
(20319,1787,1,1,2,7804.503928),-- [rp_willow_staff]
(20320,1831,1,1,-1,557587),-- [antidote]
(20320,2010,1,1,-1,8136),-- [brandish_blade]
(20320,1867,1,1,-1,278794),-- [animal_skin]
(20320,57,112,154,0,700000),-- [adena]
(20320,216,1,1,1,296.92293),-- [dirk]
(20320,2009,1,1,1,2190.07707),-- [dirk_blade]
(20320,1867,1,1,2,54901.037487),-- [animal_skin]
(20320,1872,1,1,2,54901.037487),-- [animal_bone]
(20320,1799,1,1,2,61000.925026),-- [rp_leather_gloves]
(20321,1870,1,1,-1,178389),-- [coal]
(20321,2005,1,1,-1,12742),-- [broad_sword_blade]
(20321,1060,1,1,-1,396420),-- [lesser_healing_potion]
(20321,57,96,130,0,700000),-- [adena]
(20321,152,1,1,1,849.98807),-- [heavy_chisel]
(20321,5,1,1,1,548.95007),-- [mace]
(20321,8,1,1,1,548.95007),-- [willow_staff]
(20321,2006,1,1,1,1882.11179),-- [willow_staff_head]
(20321,1864,1,1,2,30110.403165),-- [stem]
(20321,1865,1,1,2,15055.268715),-- [varnish]
(20321,1866,1,1,2,10036.84581),-- [suede]
(20321,1873,1,1,2,6022.05378),-- [silver_nugget]
(20321,1868,1,1,2,30110.403165),-- [thread]
(20321,1791,1,1,2,2782.910655),-- [rp_brandish]
(20321,1833,1,1,2,40147.11471),-- [bandage]
(20322,1796,1,1,-1,156757),-- [rp_leather_tunic]
(20322,1870,1,1,-1,124622),-- [coal]
(20322,2005,1,1,-1,8902),-- [broad_sword_blade]
(20322,57,67,91,0,700000),-- [adena]
(20322,12,1,1,1,767),-- [knife]
(20322,215,1,1,1,767),-- [doomed_dagger]
(20322,1872,1,1,2,24540.844224),-- [animal_bone]
(20322,1867,1,1,2,24540.844224),-- [animal_skin]
(20322,2137,1,1,2,5413.438758),-- [rp_steel]
(20322,17,10,30,2,92027.872794),-- [wooden_arrow]
(20323,1869,1,1,-1,227339),-- [iron_ore]
(20323,1865,1,1,-1,227339),-- [varnish]
(20323,1792,1,1,-1,16716),-- [rp_short_spear]
(20323,57,116,172,0,700000),-- [adena]
(20323,216,1,1,1,322.83056),-- [dirk]
(20323,2009,1,1,1,2381.16944),-- [dirk_blade]
(20323,1871,1,1,2,33576.357012),-- [charcoal]
(20323,1866,1,1,2,22384.238008),-- [suede]
(20323,1792,1,1,2,2468.816538),-- [rp_short_spear]
(20323,6037,1,1,2,67152.588442),-- [scroll_of_awake]
(20324,1791,1,1,-1,33633),-- [rp_brandish]
(20324,1871,1,1,-1,181957),-- [charcoal]
(20324,2006,1,1,-1,12997),-- [willow_staff_head]
(20324,57,98,132,0,700000),-- [adena]
(20324,152,1,1,1,866.854674),-- [heavy_chisel]
(20324,5,1,1,1,559.843074),-- [mace]
(20324,8,1,1,1,559.843074),-- [willow_staff]
(20324,2006,1,1,1,1919.459178),-- [willow_staff_head]
(20324,1869,1,1,2,17915.77177),-- [iron_ore]
(20324,1870,1,1,2,17915.77177),-- [coal]
(20324,1871,1,1,2,17915.77177),-- [charcoal]
(20324,1872,1,1,2,23887.75207),-- [animal_bone]
(20324,1867,1,1,2,23887.75207),-- [animal_skin]
(20324,1795,1,1,2,67607.18055),-- [rp_leather_shoes]
(20325,1787,1,1,-1,45293),-- [rp_willow_staff]
(20325,118,1,1,-1,222026),-- [necklace_of_magic]
(20325,1786,1,1,-1,45293),-- [rp_broad_sword]
(20325,57,30,42,0,700000),-- [adena]
(20325,112,1,1,1,102689.2683),-- [apprentice's_earing]
(20325,118,1,1,1,76513.51329),-- [necklace_of_magic]
(20325,116,1,1,1,156087.21841),-- [magic_ring]
(20325,1865,1,1,2,11706.54543),-- [varnish]
(20325,1870,1,1,2,11706.54543),-- [coal]
(20325,1788,1,1,2,9365.236344),-- [rp_bow]
(20325,6037,1,1,2,23413.09086),-- [scroll_of_awake]
(20325,1060,1,1,2,26014.581936),-- [lesser_healing_potion]
(20326,2135,1,1,-1,36653),-- [rp_braided_hemp]
(20326,2006,1,1,-1,8902),-- [willow_staff_head]
(20326,2007,1,1,-1,8902),-- [bow_shaft]
(20326,57,67,91,0,700000),-- [adena]
(20326,22,1,1,1,3937.19964),-- [leather_shirt]
(20326,29,1,1,1,6292.80036),-- [leather_pants]
(20326,1864,1,1,2,24541.02735),-- [stem]
(20326,1865,1,1,2,12270.47465),-- [varnish]
(20326,1866,1,1,2,8180.34245),-- [suede]
(20326,1873,1,1,2,4908.17425),-- [silver_nugget]
(20326,1868,1,1,2,24541.02735),-- [thread]
(20326,2138,1,1,2,3608.95395),-- [rp_coarse_bone_powder]
(20327,1870,1,1,-1,56617),-- [coal]
(20327,1865,1,1,-1,56617),-- [varnish]
(20327,1872,1,1,-1,75489),-- [animal_bone]
(20327,57,30,42,0,700000),-- [adena]
(20327,112,1,1,1,102689.2683),-- [apprentice's_earing]
(20327,118,1,1,1,76513.51329),-- [necklace_of_magic]
(20327,116,1,1,1,156087.21841),-- [magic_ring]
(20327,1867,1,1,2,26014.58937),-- [animal_skin]
(20327,1872,1,1,2,26014.58937),-- [animal_bone]
(20327,1786,1,1,2,15608.82126),-- [rp_broad_sword]
(20328,1865,1,1,-1,124622),-- [varnish]
(20328,2137,1,1,-1,36653),-- [rp_steel]
(20328,1869,1,1,-1,124622),-- [iron_ore]
(20328,57,67,91,0,700000),-- [adena]
(20328,12,1,1,1,767),-- [knife]
(20328,215,1,1,1,767),-- [doomed_dagger]
(20328,1869,1,1,2,10517.505694),-- [iron_ore]
(20328,1870,1,1,2,10517.505694),-- [coal]
(20328,1871,1,1,2,10517.505694),-- [charcoal]
(20328,1872,1,1,2,14023.283274),-- [animal_bone]
(20328,1867,1,1,2,14023.283274),-- [animal_skin]
(20328,1666,1,1,2,3505.864057),-- [rp_wooden_arrow]
(20328,1060,1,1,2,23372.052313),-- [lesser_healing_potion]
(20329,1869,1,1,-1,287587),-- [iron_ore]
(20329,1880,1,1,-1,28759),-- [steel]
(20329,1898,1,1,-1,29542),-- [blue_diamond_necklace_gem]
(20329,57,131,234,0,700000),-- [adena]
(20329,16,1,1,1,181),-- [long_spear]
(20329,1869,1,1,2,24271.177086),-- [iron_ore]
(20329,1870,1,1,2,24271.177086),-- [coal]
(20329,1871,1,1,2,24271.177086),-- [charcoal]
(20329,1872,1,1,2,32361.569448),-- [animal_bone]
(20329,1867,1,1,2,32361.569448),-- [animal_skin]
(20329,2258,1,1,2,593.404866),-- [rp_temptation_of_abyss]
(20329,5268,1,1,2,970.92498),-- [rp_adv_comp_soulshot_d]
(20330,1866,1,1,-1,111988),-- [suede]
(20330,1896,1,1,-1,71179),-- [necklace_of_anguish_chain]
(20330,1792,1,1,-1,12352),-- [rp_short_spear]
(20330,57,91,122,0,700000),-- [adena]
(20330,37,1,1,1,3243.102948),-- [leather_shoes]
(20330,1921,1,1,1,21341.766276),-- [leather_shoes_texture]
(20330,49,1,1,1,3243.130776),-- [gloves]
(20330,1864,1,1,2,66158.800747),-- [stem]
(20330,1869,1,1,2,33079.466208),-- [iron_ore]
(20330,1798,1,1,2,32430.733045),-- [rp_leather_helmet]
(20331,1871,1,1,-1,148657),-- [charcoal]
(20331,2007,1,1,-1,10618),-- [bow_shaft]
(20331,2005,1,1,-1,10618),-- [broad_sword_blade]
(20331,57,80,108,0,700000),-- [adena]
(20331,113,1,1,1,9443.170561),-- [mage_earing]
(20331,906,1,1,1,7053.926935),-- [necklace_of_knowledge]
(20331,875,1,1,1,13939.902504),-- [ring_of_knowledge]
(20331,1865,1,1,2,21955.431057),-- [varnish]
(20331,1870,1,1,2,21955.431057),-- [coal]
(20331,1796,1,1,2,27616.861783),-- [rp_leather_tunic]
(20331,734,1,1,2,3659.276103),-- [quick_step_potion]
(20333,1792,1,1,-1,17783),-- [rp_short_spear]
(20333,2008,1,1,-1,9411),-- [cedar_staff_head]
(20333,1798,1,1,-1,237113),-- [rp_leather_helmet]
(20333,57,127,180,0,700000),-- [adena]
(20333,2371,1,1,1,732.595676),-- [fist_of_butcher]
(20333,255,1,1,1,343.404324),-- [fox's_nail]
(20333,1868,1,1,2,71439.890148),-- [thread]
(20333,1873,1,1,2,14287.95369),-- [silver_nugget]
(20333,1803,1,1,2,30016.8117),-- [rp_necklace_of_wisdom]
(20333,734,1,1,2,5953.344462),-- [quick_step_potion]
(20335,1867,1,1,-1,324856),-- [animal_skin]
(20335,734,1,1,-1,40607),-- [quick_step_potion]
(20335,1897,1,1,-1,58010),-- [necklace_of_wisdom_chain]
(20335,57,119,191,0,700000),-- [adena]
(20335,2,1,1,1,68.520295),-- [long_sword]
(20335,120,1,1,1,68.520295),-- [sword_of_reflexion]
(20335,2012,1,1,1,749.439115),-- [sword_of_reflexion_blade]
(20335,121,1,1,1,68.520295),-- [sword_of_watershadow]
(20335,1867,1,1,2,47978.755186),-- [animal_skin]
(20335,1872,1,1,2,47978.755186),-- [animal_bone]
(20335,2174,1,1,2,15645.238884),-- [rp_hard_leather_gaiters]
(20335,5158,1,1,2,1439.250744),-- [rp_comp_spiritshot_d]
(20336,1802,1,1,-1,268004),-- [rp_necklace_of_anguish]
(20336,29,1,1,-1,21303),-- [leather_pants]
(20336,1060,1,1,-1,276937),-- [lesser_healing_potion]
(20336,57,67,91,0,700000),-- [adena]
(20336,428,1,1,1,1968.59982),-- [feriotic_tunic]
(20336,1100,1,1,1,1968.59982),-- [cotton_tunic]
(20336,463,1,1,1,3146.40018),-- [feriotic_hose]
(20336,1103,1,1,1,3146.40018),-- [cotton_hose]
(20336,1864,1,1,2,24540.973407),-- [stem]
(20336,1865,1,1,2,12270.448349),-- [varnish]
(20336,1866,1,1,2,8180.324469),-- [suede]
(20336,1873,1,1,2,4908.225365),-- [silver_nugget]
(20336,1868,1,1,2,24540.973407),-- [thread]
(20336,1789,1,1,2,2268.055003),-- [rp_cedar_staff]
(20338,3032,1,1,-1,12654),-- [rp_spiritshot_d]
(20338,1927,1,1,-1,25237),-- [hard_leather_shirt_pattern]
(20338,1898,1,1,-1,32496),-- [blue_diamond_necklace_gem]
(20338,57,144,257,0,700000),-- [adena]
(20338,16,1,1,1,199),-- [long_spear]
(20338,1868,1,1,2,93443.755485),-- [thread]
(20338,1873,1,1,2,18688.751097),-- [silver_nugget]
(20338,3032,1,1,2,1868.898969),-- [rp_spiritshot_d]
(20338,1831,1,1,2,124591.594449),-- [antidote]
(20340,1792,1,1,-1,13068),-- [rp_short_spear]
(20340,57,95,131,0,700000),-- [adena]
(20340,2371,1,1,1,538.553141),-- [fist_of_butcher]
(20340,255,1,1,1,252.446859),-- [fox's_nail]
(20340,1870,1,1,2,34999.37811),-- [coal]
(20340,1865,1,1,2,34999.37811),-- [varnish]
(20340,1803,1,1,2,29411.24378),-- [rp_necklace_of_wisdom]
(20341,2141,1,1,-1,48936),-- [rp_silver_mold]
(20341,2143,1,1,-1,48936),-- [rp_synthesis_cokes]
(20341,1897,1,1,-1,58257),-- [necklace_of_wisdom_chain]
(20341,57,115,195,0,700000),-- [adena]
(20341,945,1,1,1,2737.6128),-- [skeleton_buckler]
(20341,102,1,1,1,1321.26592),-- [round_shield]
(20341,44,1,1,1,924.20224),-- [leather_helmet]
(20341,1924,1,1,1,11656.91904),-- [leather_helmet_design]
(20341,1866,1,1,2,32122.168108),-- [suede]
(20341,1871,1,1,2,48183.371641),-- [charcoal]
(20341,2175,1,1,2,39173.460251),-- [rp_boots]
(20342,1870,1,1,-1,213277),-- [coal]
(20342,429,1,1,-1,6970),-- [leather_tunic]
(20342,1793,1,1,-1,15682),-- [rp_sword_of_reflexion]
(20342,57,114,157,0,700000),-- [adena]
(20342,2371,1,1,1,646.127599),-- [fist_of_butcher]
(20342,255,1,1,1,302.872401),-- [fox's_nail]
(20342,1869,1,1,2,41999.100858),-- [iron_ore]
(20342,1864,1,1,2,83998.348713),-- [stem]
(20342,736,1,1,2,20999.550429),-- [scroll_of_escape]
(20343,1060,1,1,-1,404348),-- [lesser_healing_potion]
(20343,1795,1,1,-1,686629),-- [rp_leather_shoes]
(20343,2005,1,1,-1,12997),-- [broad_sword_blade]
(20343,57,98,132,0,700000),-- [adena]
(20343,113,1,1,1,11558.475515),-- [mage_earing]
(20343,906,1,1,1,8634.032525),-- [necklace_of_knowledge]
(20343,875,1,1,1,17062.49196),-- [ring_of_knowledge]
(20343,1869,1,1,2,35831.395795),-- [iron_ore]
(20343,1864,1,1,2,71662.79159),-- [stem]
(20343,1797,1,1,2,72386.812615),-- [rp_leather_hose]
(20345,2174,1,1,-1,96576),-- [rp_hard_leather_gaiters]
(20345,1925,1,1,-1,145655),-- [leather_gloves_lining]
(20345,5220,1,1,-1,8885),-- [reinforcing_agent]
(20345,57,110,171,0,700000),-- [adena]
(20345,24,1,1,1,420.5292),-- [bone_breastplate]
(20345,390,1,1,1,420.5292),-- [tights_shirt]
(20345,31,1,1,1,671.4708),-- [bone_gaiters]
(20345,412,1,1,1,671.4708),-- [tights_pants]
(20345,1866,1,1,2,17496.46539),-- [suede]
(20345,1871,1,1,2,26244.7596),-- [charcoal]
(20345,1800,1,1,2,8253.09846),-- [rp_piece_bone_breastplate]
(20345,5268,1,1,2,1049.81499),-- [rp_adv_comp_soulshot_d]
(20345,1831,1,1,2,69985.86156),-- [antidote]
(20346,1869,1,1,-1,201546),-- [iron_ore]
(20346,1803,1,1,-1,169366),-- [rp_necklace_of_wisdom]
(20346,1831,1,1,-1,537455),-- [antidote]
(20346,57,106,150,0,700000),-- [adena]
(20346,20,1,1,1,5563.90821),-- [buckler]
(20346,43,1,1,1,3891.09179),-- [wooden_helmet]
(20346,1866,1,1,2,26459.358156),-- [suede]
(20346,1871,1,1,2,39689.037234),-- [charcoal]
(20346,736,1,1,2,19844.60461),-- [scroll_of_escape]
(20348,1794,1,1,-1,14192),-- [rp_bow_of_forest]
(20348,1831,1,1,-1,514696),-- [antidote]
(20348,1896,1,1,-1,81784),-- [necklace_of_anguish_chain]
(20348,57,97,147,0,700000),-- [adena]
(20348,66,1,1,1,182.6943),-- [gladius]
(20348,1333,1,1,1,182.6943),-- [brandish]
(20348,2010,1,1,1,1478.6114),-- [brandish_blade]
(20348,1871,1,1,2,38008.369432),-- [charcoal]
(20348,1866,1,1,2,25338.95284),-- [suede]
(20348,1799,1,1,2,56308.677728),-- [rp_leather_gloves]
(20349,2009,1,1,-1,6357),-- [dirk_blade]
(20349,1794,1,1,-1,13182),-- [rp_bow_of_forest]
(20349,1921,1,1,-1,115664),-- [leather_shoes_texture]
(20349,57,94,133,0,700000),-- [adena]
(20349,23,1,1,1,1153.849158),-- [wooden_breastplate]
(20349,30,1,1,1,1848.575421),-- [hard_leather_pants]
(20349,2386,1,1,1,1848.575421),-- [wooden_gaiters]
(20349,1872,1,1,2,47072.526003),-- [animal_bone]
(20349,1867,1,1,2,47072.526003),-- [animal_skin]
(20349,1792,1,1,2,2595.947994),-- [rp_short_spear]
(20350,1866,1,1,-1,134620),-- [suede]
(20350,2150,1,1,-1,94803),-- [rp_blue_diamond_necklace]
(20350,1800,1,1,-1,63500),-- [rp_piece_bone_breastplate]
(20350,57,100,156,0,700000),-- [adena]
(20350,845,1,1,1,872.03469),-- [cat'seye_earing]
(20350,908,1,1,1,654.030985),-- [necklace_of_wisdom]
(20350,1897,1,1,1,7100.88229),-- [necklace_of_wisdom_chain]
(20350,877,1,1,1,1308.052035),-- [ring_of_wisdom]
(20350,1873,1,1,2,11929.468554),-- [silver_nugget]
(20350,1868,1,1,2,59647.252221),-- [thread]
(20350,2150,1,1,2,14001.682419),-- [rp_blue_diamond_necklace]
(20350,734,1,1,2,4970.596806),-- [quick_step_potion]
(20351,2173,1,1,-1,62245),-- [rp_hard_leather_shirt]
(20351,735,1,1,-1,19140),-- [swift_attack_potion]
(20351,1897,1,1,-1,54686),-- [necklace_of_wisdom_chain]
(20351,57,106,184,0,700000),-- [adena]
(20351,272,1,1,1,129.1923),-- [bow_of_forest]
(20351,2013,1,1,1,1463.8077),-- [bow_of_forest_shaft]
(20351,1864,1,1,2,67845.117483),-- [stem]
(20351,1869,1,1,2,33922.617105),-- [iron_ore]
(20351,1878,1,1,2,13569.046842),-- [braided_hemp]
(20351,2253,1,1,2,1390.21857),-- [rp_sword_breaker]
(20352,1878,1,1,-1,135435),-- [braided_hemp]
(20352,26,1,1,-1,1791),-- [bronze_breastplate]
(20352,57,154,276,0,700000),-- [adena]
(20352,68,1,1,1,106.5),-- [falchion]
(20352,5284,1,1,1,106.5),-- [zweihander]
(20352,1864,1,1,2,80010.969147),-- [stem]
(20352,1869,1,1,2,40005.414964),-- [iron_ore]
(20352,1878,1,1,2,16002.249517),-- [braided_hemp]
(20352,5163,1,1,2,1600.183186),-- [rp_comp_bspiritshot_d]
(20352,5273,1,1,2,1600.183186),-- [rp_adv_comp_spiritshot_d]
(20353,1878,1,1,-1,116185),-- [braided_hemp]
(20353,2256,1,1,-1,7102),-- [rp_assassin_knife]
(20353,1864,1,1,-1,580926),-- [stem]
(20353,57,132,236,0,700000),-- [adena]
(20353,16,1,1,1,183),-- [long_spear]
(20353,1864,1,1,2,68638.548303),-- [stem]
(20353,1869,1,1,2,34319.214436),-- [iron_ore]
(20353,1878,1,1,2,13727.757433),-- [braided_hemp]
(20353,3953,1,1,2,1372.739914),-- [rp_blessed_spiritshot_d]
(20353,5273,1,1,2,1372.739914),-- [rp_adv_comp_spiritshot_d]
(20356,1899,1,1,-1,66888),-- [necklace_of_devotion_chain]
(20356,1868,1,1,-1,856162),-- [thread]
(20356,1873,1,1,-1,171232),-- [silver_nugget]
(20356,57,188,353,0,700000),-- [adena]
(20356,220,1,1,1,153),-- [handiwork_dagger]
(20356,1868,1,1,2,120126.36384),-- [thread]
(20356,1873,1,1,2,24025.272768),-- [silver_nugget]
(20356,5549,1,1,2,6006.318192),-- [iron_thread]
(20356,2178,1,1,2,9610.0452),-- [rp_dark_hose]
(20357,1898,1,1,-1,37198),-- [blue_diamond_necklace_gem]
(20357,1804,1,1,-1,14485),-- [rp_soulshot_d]
(20357,1926,1,1,-1,36578),-- [piece_bone_breastplate_fragment]
(20357,57,164,295,0,700000),-- [adena]
(20357,68,1,1,1,114),-- [falchion]
(20357,5284,1,1,1,114),-- [zweihander]
(20357,1869,1,1,2,53483.185212),-- [iron_ore]
(20357,1864,1,1,2,106966.370424),-- [stem]
(20357,1880,1,1,2,5348.33766),-- [steel]
(20357,2176,1,1,2,25590.106704),-- [rp_leather_boots]
(20358,2140,1,1,-1,50651),-- [rp_high_grade_suede]
(20358,1924,1,1,-1,81695),-- [leather_helmet_design]
(20358,2141,1,1,-1,50651),-- [rp_silver_mold]
(20358,57,121,200,0,700000),-- [adena]
(20358,217,1,1,1,142.5),-- [shining_knife]
(20358,218,1,1,1,142.5),-- [throw_knife]
(20358,1871,1,1,2,49871.999886),-- [charcoal]
(20358,1866,1,1,2,33247.999924),-- [suede]
(20358,1800,1,1,2,15683.00019),-- [rp_piece_bone_breastplate]
(20359,1872,1,1,-1,348237),-- [animal_bone]
(20359,44,1,1,-1,6680),-- [leather_helmet]
(20359,1924,1,1,-1,84251),-- [leather_helmet_design]
(20359,57,122,208,0,700000),-- [adena]
(20359,176,1,1,1,147),-- [apprentice's_staff]
(20359,2501,1,1,1,147),-- [bone_club]
(20359,1870,1,1,2,38574.067424),-- [coal]
(20359,1865,1,1,2,38574.067424),-- [varnish]
(20359,2252,1,1,2,1580.876768),-- [rp_iron_hammer]
(20359,5268,1,1,2,1542.988384),-- [rp_adv_comp_soulshot_d]
(20360,2175,1,1,-1,193143),-- [rp_boots]
(20360,908,1,1,-1,5210),-- [necklace_of_wisdom]
(20360,1801,1,1,-1,119680),-- [rp_piece_bone_gaiters]
(20360,57,118,183,0,700000),-- [adena]
(20360,945,1,1,1,2658.14964),-- [skeleton_buckler]
(20360,102,1,1,1,1282.914271),-- [round_shield]
(20360,44,1,1,1,897.375937),-- [leather_helmet]
(20360,1924,1,1,1,11318.560152),-- [leather_helmet_design]
(20360,1872,1,1,2,46781.949852),-- [animal_bone]
(20360,1867,1,1,2,46781.949852),-- [animal_skin]
(20360,2173,1,1,2,9508.569712),-- [rp_hard_leather_shirt]
(20360,5273,1,1,2,1403.530584),-- [rp_adv_comp_spiritshot_d]
(20361,1790,1,1,-1,28303),-- [rp_dirk]
(20361,42,1,1,-1,43748),-- [leather_cap]
(20361,2005,1,1,-1,10937),-- [broad_sword_blade]
(20361,57,82,111,0,700000),-- [adena]
(20361,14,1,1,1,942.288438),-- [bow]
(20361,2007,1,1,1,3230.711562),-- [bow_shaft]
(20361,1864,1,1,2,45228.43336),-- [stem]
(20361,1869,1,1,2,22614.21668),-- [iron_ore]
(20361,1802,1,1,2,48632.82204),-- [rp_necklace_of_anguish]
(20361,735,1,1,2,1884.52792),-- [swift_attack_potion]
(20362,1799,1,1,-1,263305),-- [rp_leather_gloves]
(20362,1867,1,1,-1,236975),-- [animal_skin]
(20362,1792,1,1,-1,13068),-- [rp_short_spear]
(20362,57,95,131,0,700000),-- [adena]
(20362,37,1,1,1,3431.316663),-- [leather_shoes]
(20362,1921,1,1,1,22580.337231),-- [leather_shoes_texture]
(20362,49,1,1,1,3431.346106),-- [gloves]
(20362,1869,1,1,2,26249.586141),-- [iron_ore]
(20362,1864,1,1,2,52499.033271),-- [stem]
(20362,1792,1,1,2,1930.167735),-- [rp_short_spear]
(20362,1060,1,1,2,58332.212853),-- [lesser_healing_potion]
(20363,1867,1,1,-1,198456),-- [animal_skin]
(20363,2005,1,1,-1,10632),-- [broad_sword_blade]
(20363,2006,1,1,-1,10632),-- [willow_staff_head]
(20363,57,80,108,0,700000),-- [adena]
(20363,254,1,1,1,1832),-- [iron_glove]
(20363,1869,1,1,2,21982.72725),-- [iron_ore]
(20363,1864,1,1,2,43965.4545),-- [stem]
(20363,1814,1,1,2,11569.8648),-- [rp_leather]
(20363,735,1,1,2,1831.95345),-- [swift_attack_potion]
(20364,1867,1,1,-1,303119),-- [animal_skin]
(20364,2008,1,1,-1,8846),-- [cedar_staff_head]
(20364,1896,1,1,-1,96330),-- [necklace_of_anguish_chain]
(20364,57,116,172,0,700000),-- [adena]
(20364,2371,1,1,1,689.021212),-- [fist_of_butcher]
(20364,255,1,1,1,322.978788),-- [fox's_nail]
(20364,1870,1,1,2,44768.15956),-- [coal]
(20364,1865,1,1,2,44768.15956),-- [varnish]
(20364,1793,1,1,2,3291.68088),-- [rp_sword_of_reflexion]
(20365,1866,1,1,-1,83081),-- [suede]
(20365,1864,1,1,-1,249244),-- [stem]
(20365,1871,1,1,-1,124622),-- [charcoal]
(20365,57,67,91,0,700000),-- [adena]
(20365,22,1,1,1,3937.19964),-- [leather_shirt]
(20365,29,1,1,1,6292.80036),-- [leather_pants]
(20365,1871,1,1,2,24541),-- [charcoal]
(20365,1866,1,1,2,16360.650306),-- [suede]
(20365,1666,1,1,2,8180.349694),-- [rp_wooden_arrow]
(20367,1864,1,1,-1,459366),-- [stem]
(20367,1831,1,1,-1,612488),-- [antidote]
(20367,1896,1,1,-1,97323),-- [necklace_of_anguish_chain]
(20367,57,106,184,0,700000),-- [adena]
(20367,945,1,1,1,2569.8024),-- [skeleton_buckler]
(20367,102,1,1,1,1240.27486),-- [round_shield]
(20367,44,1,1,1,867.55042),-- [leather_helmet]
(20367,1924,1,1,1,10942.37232),-- [leather_helmet_design]
(20367,1864,1,1,2,54275.848704),-- [stem]
(20367,1869,1,1,2,27137.924352),-- [iron_ore]
(20367,1878,1,1,2,10855.188864),-- [braided_hemp]
(20367,5153,1,1,2,1085.528448),-- [rp_comp_soulshot_d]
(20367,735,1,1,2,2261.509632),-- [swift_attack_potion]
(20368,1873,1,1,-1,80618),-- [silver_nugget]
(20368,1833,1,1,-1,537455),-- [bandage]
(20368,1793,1,1,-1,14820),-- [rp_sword_of_reflexion]
(20368,57,106,150,0,700000),-- [adena]
(20368,271,1,1,1,572),-- [hunting_bow]
(20368,1866,1,1,2,26459.498633),-- [suede]
(20368,1871,1,1,2,39689.213416),-- [charcoal]
(20368,1793,1,1,2,2918.287951),-- [rp_sword_of_reflexion]
(20369,2143,1,1,-1,48728),-- [rp_synthesis_cokes]
(20369,390,1,1,-1,3124),-- [tights_shirt]
(20369,1897,1,1,-1,58010),-- [necklace_of_wisdom_chain]
(20369,57,119,191,0,700000),-- [adena]
(20369,1101,1,1,1,922.701996),-- [tunic_of_devotion]
(20369,1104,1,1,1,1473.298004),-- [hose_of_devotion]
(20369,1868,1,1,2,95957.48532),-- [thread]
(20369,1873,1,1,2,19191.497064),-- [silver_nugget]
(20369,2175,1,1,2,39007.017616),-- [rp_boots]
(20370,1864,1,1,-1,418191),-- [stem]
(20370,1922,1,1,-1,53341),-- [leather_tunic_pattern]
(20370,1794,1,1,-1,15375),-- [rp_bow_of_forest]
(20370,57,112,154,0,700000),-- [adena]
(20370,23,1,1,1,1345.562706),-- [wooden_breastplate]
(20370,30,1,1,1,2155.718647),-- [hard_leather_pants]
(20370,2386,1,1,1,2155.718647),-- [wooden_gaiters]
(20370,1864,1,1,2,82351.61649),-- [stem]
(20370,1869,1,1,2,41175.808245),-- [iron_ore]
(20370,1793,1,1,2,3027.575265),-- [rp_sword_of_reflexion]
(20371,1869,1,1,-1,196871),-- [iron_ore]
(20371,114,1,1,-1,14583),-- [earing_of_strength]
(20371,1896,1,1,-1,83420),-- [necklace_of_anguish_chain]
(20371,57,99,150,0,700000),-- [adena]
(20371,429,1,1,1,950.19645),-- [leather_tunic]
(20371,1922,1,1,1,7417.267288),-- [leather_tunic_pattern]
(20371,464,1,1,1,1522.27686),-- [leather_hose]
(20371,1923,1,1,1,11916.259402),-- [leather_hose_pattern]
(20371,1866,1,1,2,25845.756946),-- [suede]
(20371,1871,1,1,2,38768.635419),-- [charcoal]
(20371,1803,1,1,2,32578.607635),-- [rp_necklace_of_wisdom]
(20372,1870,1,1,-1,151631),-- [coal]
(20372,1864,1,1,-1,303261),-- [stem]
(20372,57,81,110,0,700000),-- [adena]
(20372,3,1,1,1,933.030392),-- [broad_sword]
(20372,2005,1,1,1,3198.969608),-- [broad_sword_blade]
(20372,1869,1,1,2,29859.483108),-- [iron_ore]
(20372,1864,1,1,2,59718.966216),-- [stem]
(20372,1814,1,1,2,15715.550676),-- [rp_leather]
(20373,1793,1,1,-1,12352),-- [rp_sword_of_reflexion]
(20373,1871,1,1,-1,167982),-- [charcoal]
(20373,1869,1,1,-1,167982),-- [iron_ore]
(20373,57,91,122,0,700000),-- [adena]
(20373,2371,1,1,1,508.595697),-- [fist_of_butcher]
(20373,255,1,1,1,238.404303),-- [fox's_nail]
(20373,1869,1,1,2,33079.61244),-- [iron_ore]
(20373,1864,1,1,2,66159.373126),-- [stem]
(20373,1799,1,1,2,49007.014434),-- [rp_leather_gloves]
(20374,2255,1,1,-1,9821),-- [rp_saber]
(20374,1871,1,1,-1,401688),-- [charcoal]
(20374,1898,1,1,-1,41262),-- [blue_diamond_necklace_gem]
(20374,57,182,327,0,700000),-- [adena]
(20374,257,1,1,1,252),-- [viper's_canine]
(20374,1873,1,1,2,23730.43641),-- [silver_nugget]
(20374,1868,1,1,2,118652.476308),-- [thread]
(20374,5273,1,1,2,2373.043641),-- [rp_adv_comp_spiritshot_d]
(20374,5158,1,1,2,2373.043641),-- [rp_comp_spiritshot_d]
(20375,2257,1,1,-1,7102),-- [rp_trident]
(20375,2014,1,1,-1,3339),-- [iron_hammer_head]
(20375,1804,1,1,-1,11619),-- [rp_soulshot_d]
(20375,57,132,236,0,700000),-- [adena]
(20375,16,1,1,1,183),-- [long_spear]
(20375,1865,1,1,2,34319.298816),-- [varnish]
(20375,1870,1,1,2,34319.298816),-- [coal]
(20375,1879,1,1,2,5719.883136),-- [cokes]
(20375,5158,1,1,2,1372.759616),-- [rp_comp_spiritshot_d]
(20378,1831,1,1,-1,537455),-- [antidote]
(20378,49,1,1,-1,19759),-- [gloves]
(20378,1896,1,1,-1,85401),-- [necklace_of_anguish_chain]
(20378,57,106,150,0,700000),-- [adena]
(20378,114,1,1,1,1763.923339),-- [earing_of_strength]
(20378,115,1,1,1,1763.923339),-- [earing_of_wisdom]
(20378,907,1,1,1,1322.946901),-- [necklace_of_anguish]
(20378,1896,1,1,1,10090.295032),-- [necklace_of_anguish_chain]
(20378,876,1,1,1,2645.911389),-- [ring_of_anguish]
(20378,1866,1,1,2,26459.358156),-- [suede]
(20378,1871,1,1,2,39689.037234),-- [charcoal]
(20378,736,1,1,2,19844.60461),-- [scroll_of_escape]
(20379,1792,1,1,-1,18424),-- [rp_short_spear]
(20379,1871,1,1,-1,250564),-- [charcoal]
(20379,1872,1,1,-1,334085),-- [animal_bone]
(20379,57,128,189,0,700000),-- [adena]
(20379,114,1,1,1,2192.993905),-- [earing_of_strength]
(20379,115,1,1,1,2192.993905),-- [earing_of_wisdom]
(20379,907,1,1,1,1644.750895),-- [necklace_of_anguish]
(20379,1896,1,1,1,12544.73764),-- [necklace_of_anguish_chain]
(20379,876,1,1,1,3289.523655),-- [ring_of_anguish]
(20379,1872,1,1,2,65788.941098),-- [animal_bone]
(20379,1867,1,1,2,65788.941098),-- [animal_skin]
(20379,1794,1,1,2,3628.117804),-- [rp_bow_of_forest]
(20380,1869,1,1,-1,267071),-- [iron_ore]
(20380,1873,1,1,-1,106828),-- [silver_nugget]
(20380,1866,1,1,-1,178047),-- [suede]
(20380,57,132,206,0,700000),-- [adena]
(20380,176,1,1,1,150.5),-- [apprentice's_staff]
(20380,2501,1,1,1,150.5),-- [bone_club]
(20380,1871,1,1,2,52592.26824),-- [charcoal]
(20380,1866,1,1,2,35061.47532),-- [suede]
(20380,2174,1,1,2,22866.25644),-- [rp_hard_leather_gaiters]
(20381,1867,1,1,-1,198210),-- [animal_skin]
(20381,2006,1,1,-1,10618),-- [willow_staff_head]
(20381,1875,1,1,-1,9910),-- [stone_of_purity]
(20381,57,80,108,0,700000),-- [adena]
(20381,99,1,1,1,1830),-- [apprentice's_spellbook]
(20381,1865,1,1,2,29273.970726),-- [varnish]
(20381,1870,1,1,2,29273.970726),-- [coal]
(20381,2136,1,1,2,8610.058548),-- [rp_cokes]
(20382,1870,1,1,-1,167982),-- [coal]
(20382,2008,1,1,-1,6536),-- [cedar_staff_head]
(20382,1831,1,1,-1,447952),-- [antidote]
(20382,57,91,122,0,700000),-- [adena]
(20382,20,1,1,1,4637.08056),-- [buckler]
(20382,43,1,1,1,3242.91944),-- [wooden_helmet]
(20382,1866,1,1,2,22052.91146),-- [suede]
(20382,1871,1,1,2,33079.36719),-- [charcoal]
(20382,1803,1,1,2,27797.72135),-- [rp_necklace_of_wisdom]
(20385,1060,1,1,-1,285245),-- [lesser_healing_potion]
(20385,2005,1,1,-1,9169),-- [broad_sword_blade]
(20385,57,69,94,0,700000),-- [adena]
(20385,14,1,1,1,789.869388),-- [bow]
(20385,2007,1,1,1,2708.130612),-- [bow_shaft]
(20385,1873,1,1,2,10110.924824),-- [silver_nugget]
(20385,1868,1,1,2,50554.689458),-- [thread]
(20385,1790,1,1,2,4672.385718),-- [rp_dirk]
(20386,1060,1,1,-1,404348),-- [lesser_healing_potion]
(20386,1796,1,1,-1,228876),-- [rp_leather_tunic]
(20386,1666,1,1,-1,60652),-- [rp_wooden_arrow]
(20386,57,98,132,0,700000),-- [adena]
(20386,3,1,1,1,1119.771954),-- [broad_sword]
(20386,2005,1,1,1,3839.228046),-- [broad_sword_blade]
(20386,1869,1,1,2,26873.64),-- [iron_ore]
(20386,1864,1,1,2,53747.28),-- [stem]
(20386,1666,1,1,2,8957.88),-- [rp_wooden_arrow]
(20386,17,10,30,2,134368.2),-- [wooden_arrow]
(20387,1833,1,1,-1,568739),-- [bandage]
(20387,1794,1,1,-1,15682),-- [rp_bow_of_forest]
(20387,1896,1,1,-1,90372),-- [necklace_of_anguish_chain]
(20387,57,114,157,0,700000),-- [adena]
(20387,66,1,1,1,201.91485),-- [gladius]
(20387,1333,1,1,1,201.91485),-- [brandish]
(20387,2010,1,1,1,1634.1703),-- [brandish_blade]
(20387,1869,1,1,2,41999.291874),-- [iron_ore]
(20387,1864,1,1,2,83998.583748),-- [stem]
(20387,1794,1,1,2,3088.124378),-- [rp_bow_of_forest]
(20388,1833,1,1,-1,537542),-- [bandage]
(20388,1880,1,1,-1,20158),-- [steel]
(20388,57,109,147,0,700000),-- [adena]
(20388,37,1,1,1,3891.653613),-- [leather_shoes]
(20388,1921,1,1,1,25609.659381),-- [leather_shoes_texture]
(20388,49,1,1,1,3891.687006),-- [gloves]
(20388,1869,1,1,2,29771.46667),-- [iron_ore]
(20388,1864,1,1,2,59542.93334),-- [stem]
(20388,736,1,1,2,14885.733335),-- [scroll_of_escape]
(20388,735,1,1,2,2480.866655),-- [swift_attack_potion]
(20389,734,1,1,-1,32995),-- [quick_step_potion]
(20389,2011,1,1,-1,4516),-- [short_spear_edge]
(20389,1872,1,1,-1,263962),-- [animal_bone]
(20389,57,98,153,0,700000),-- [adena]
(20389,945,1,1,1,2215.09728),-- [skeleton_buckler]
(20389,102,1,1,1,1069.081992),-- [round_shield]
(20389,44,1,1,1,747.804024),-- [leather_helmet]
(20389,1924,1,1,1,9432.016704),-- [leather_helmet_design]
(20389,1867,1,1,2,38985.053753),-- [animal_skin]
(20389,1872,1,1,2,38985.053753),-- [animal_bone]
(20389,2175,1,1,2,23771.41189),-- [rp_boots]
(20389,5158,1,1,2,1169.480604),-- [rp_comp_spiritshot_d]
(20390,1881,1,1,-1,28140),-- [coarse_bone_powder]
(20390,1897,1,1,-1,50249),-- [necklace_of_wisdom_chain]
(20390,1873,1,1,-1,84419),-- [silver_nugget]
(20390,57,101,167,0,700000),-- [adena]
(20390,2,1,1,1,59.336423),-- [long_sword]
(20390,120,1,1,1,59.336423),-- [sword_of_reflexion]
(20390,2012,1,1,1,648.990731),-- [sword_of_reflexion_blade]
(20390,121,1,1,1,59.336423),-- [sword_of_watershadow]
(20390,1868,1,1,2,49871.97819),-- [thread]
(20390,1873,1,1,2,9974.395638),-- [silver_nugget]
(20390,1801,1,1,2,12562.174206),-- [rp_piece_bone_gaiters]
(20390,5158,1,1,2,997.44732),-- [rp_comp_spiritshot_d]
(20390,734,1,1,2,4156.004646),-- [quick_step_potion]
(20392,1798,1,1,-1,227072),-- [rp_leather_helmet]
(20392,1833,1,1,-1,617635),-- [bandage]
(20392,1831,1,1,-1,617635),-- [antidote]
(20392,57,116,177,0,700000),-- [adena]
(20392,23,1,1,1,1490.418228),-- [wooden_breastplate]
(20392,30,1,1,1,2387.790886),-- [hard_leather_pants]
(20392,2386,1,1,1,2387.790886),-- [wooden_gaiters]
(20392,1869,1,1,2,34207.459451),-- [iron_ore]
(20392,1864,1,1,2,68415.114645),-- [stem]
(20392,736,1,1,2,17103.827597),-- [scroll_of_escape]
(20392,1060,1,1,2,76016.598307),-- [lesser_healing_potion]
(20393,2252,1,1,-1,9736),-- [rp_iron_hammer]
(20393,1897,1,1,-1,56563),-- [necklace_of_wisdom_chain]
(20393,57,118,183,0,700000),-- [adena]
(20393,217,1,1,1,133.5),-- [shining_knife]
(20393,218,1,1,1,133.5),-- [throw_knife]
(20393,1867,1,1,2,62376.36144),-- [animal_skin]
(20393,1872,1,1,2,62376.36144),-- [animal_bone]
(20393,2252,1,1,2,1917.27712),-- [rp_iron_hammer]
(20400,1803,1,1,-1,175710),-- [rp_necklace_of_wisdom]
(20400,1923,1,1,-1,85695),-- [leather_hose_pattern]
(20400,1921,1,1,-1,134900),-- [leather_shoes_texture]
(20400,57,112,154,0,700000),-- [adena]
(20400,114,1,1,1,1830.019062),-- [earing_of_strength]
(20400,115,1,1,1,1830.019062),-- [earing_of_wisdom]
(20400,907,1,1,1,1372.518858),-- [necklace_of_anguish]
(20400,1896,1,1,1,10468.387056),-- [necklace_of_anguish_chain]
(20400,876,1,1,1,2745.055962),-- [ring_of_anguish]
(20400,1864,1,1,2,82351.173385),-- [stem]
(20400,1869,1,1,2,41175.66864),-- [iron_ore]
(20400,1798,1,1,2,40368.157975),-- [rp_leather_helmet]
(20401,2151,1,1,-1,105333),-- [rp_necklace_of_devotion]
(20401,1873,1,1,-1,151258),-- [silver_nugget]
(20401,1866,1,1,-1,252096),-- [suede]
(20401,57,173,305,0,700000),-- [adena]
(20401,87,1,1,1,59.4008),-- [iron_hammer]
(20401,2014,1,1,1,641.79842),-- [iron_hammer_head]
(20401,155,1,1,1,59.4008),-- [buzdygan]
(20401,177,1,1,1,59.39998),-- [mage_staff]
(20401,1866,1,1,2,37232.78645),-- [suede]
(20401,1871,1,1,2,55849.22845),-- [charcoal]
(20401,5153,1,1,2,2233.99255),-- [rp_comp_soulshot_d]
(20401,5158,1,1,2,2233.99255),-- [rp_comp_spiritshot_d]
(20402,2179,1,1,-1,194917),-- [rp_excellence_leather_gloves]
(20402,1880,1,1,-1,40738),-- [steel]
(20402,1871,1,1,-1,407376),-- [charcoal]
(20402,57,181,334,0,700000),-- [adena]
(20402,25,1,1,1,327.716196),-- [piece_bone_breastplate]
(20402,1926,1,1,1,4051.787503),-- [piece_bone_breastplate_fragment]
(20402,26,1,1,1,212.127426),-- [bronze_breastplate]
(20402,32,1,1,1,524.352693),-- [piece_bone_gaiters]
(20402,1928,1,1,1,5843.074468),-- [piece_bone_gaiters_fragment]
(20402,34,1,1,1,339.941714),-- [bronze_gaiters]
(20402,1866,1,1,2,40110.92374),-- [suede]
(20402,1871,1,1,2,60166.38561),-- [charcoal]
(20402,2256,1,1,2,1471.08522),-- [rp_assassin_knife]
(20402,5158,1,1,2,2406.60543),-- [rp_comp_spiritshot_d]
(20403,1868,1,1,-1,475131),-- [thread]
(20403,2012,1,1,-1,4949),-- [sword_of_reflexion_blade]
(20403,734,1,1,-1,39594),-- [quick_step_potion]
(20403,57,118,183,0,700000),-- [adena]
(20403,38,1,1,1,1795.866945),-- [low_boots]
(20403,50,1,1,1,1795.866945),-- [leather_gloves]
(20403,1925,1,1,1,30677.26611),-- [leather_gloves_lining]
(20403,1867,1,1,2,37425.875256),-- [animal_skin]
(20403,1872,1,1,2,37425.875256),-- [animal_bone]
(20403,2253,1,1,2,1150.400328),-- [rp_sword_breaker]
(20403,5268,1,1,2,1122.746856),-- [rp_adv_comp_soulshot_d]
(20403,735,1,1,2,2339.102304),-- [swift_attack_potion]
(20404,2253,1,1,-1,8276),-- [rp_sword_breaker]
(20404,735,1,1,-1,16828),-- [swift_attack_potion]
(20404,1897,1,1,-1,48079),-- [necklace_of_wisdom_chain]
(20404,57,100,156,0,700000),-- [adena]
(20404,1101,1,1,1,764.810586),-- [tunic_of_devotion]
(20404,1104,1,1,1,1221.189414),-- [hose_of_devotion]
(20404,1866,1,1,2,19882.56029),-- [suede]
(20404,1871,1,1,2,29823.813728),-- [charcoal]
(20404,2254,1,1,2,1222.272562),-- [rp_composition_bow]
(20404,6035,1,1,2,2485.35342),-- [potion_of_acumen2]
(20410,1868,1,1,-1,472491),-- [thread]
(20410,2009,1,1,-1,8377),-- [dirk_blade]
(20410,1792,1,1,-1,17371),-- [rp_short_spear]
(20410,57,119,180,0,700000),-- [adena]
(20410,9,1,1,1,223.71135),-- [cedar_staff]
(20410,2008,1,1,1,1810.5773),-- [cedar_staff_head]
(20410,154,1,1,1,223.71135),-- [dwarven_mace]
(20410,1867,1,1,2,62029.60084),-- [animal_skin]
(20410,1872,1,1,2,62029.60084),-- [animal_bone]
(20410,1793,1,1,2,3420.79832),-- [rp_sword_of_reflexion]
(20411,735,1,1,-1,21105),-- [swift_attack_potion]
(20411,2141,1,1,-1,50651),-- [rp_silver_mold]
(20411,1897,1,1,-1,60299),-- [necklace_of_wisdom_chain]
(20411,57,121,200,0,700000),-- [adena]
(20411,217,1,1,1,142.5),-- [shining_knife]
(20411,218,1,1,1,142.5),-- [throw_knife]
(20411,1864,1,1,2,59846.45251),-- [stem]
(20411,1869,1,1,2,29923.14247),-- [iron_ore]
(20411,1878,1,1,2,11969.35753),-- [braided_hemp]
(20411,1817,1,1,2,5984.59498),-- [rp_cord]
(20411,6037,1,1,2,59846.45251),-- [scroll_of_awake]
(20415,2144,1,1,-1,45114),-- [rp_compound_braid]
(20415,1865,1,1,-1,225572),-- [varnish]
(20415,735,1,1,-1,18798),-- [swift_attack_potion]
(20415,57,110,177,0,700000),-- [adena]
(20415,309,1,1,1,127),-- [tears_of_eva]
(20415,310,1,1,1,127),-- [relic_of_saints]
(20415,1864,1,1,2,44420.332616),-- [stem]
(20415,1865,1,1,2,22210.166308),-- [varnish]
(20415,1866,1,1,2,14806.822756),-- [suede]
(20415,1873,1,1,2,8884.120784),-- [silver_nugget]
(20415,1868,1,1,2,44420.332616),-- [thread]
(20415,2253,1,1,2,910.22492),-- [rp_sword_breaker]
(20416,2254,1,1,-1,9514),-- [rp_composition_bow]
(20416,102,1,1,-1,8488),-- [round_shield]
(20416,1924,1,1,-1,74887),-- [leather_helmet_design]
(20416,57,111,183,0,700000),-- [adena]
(20416,1101,1,1,1,879.185583),-- [tunic_of_devotion]
(20416,1104,1,1,1,1403.814417),-- [hose_of_devotion]
(20416,1866,1,1,2,22858.0191),-- [suede]
(20416,1871,1,1,2,34287.094024),-- [charcoal]
(20416,2139,1,1,2,6857.40573),-- [rp_steel_mold]
(20416,5268,1,1,2,1371.481146),-- [rp_adv_comp_soulshot_d]
(20418,1872,1,1,-1,334331),-- [animal_bone]
(20418,1800,1,1,-1,78852),-- [rp_piece_bone_breastplate]
(20418,1925,1,1,-1,164425),-- [leather_gloves_lining]
(20418,57,120,198,0,700000),-- [adena]
(20418,845,1,1,1,1082.867838),-- [cat'seye_earing]
(20418,908,1,1,1,812.157047),-- [necklace_of_wisdom]
(20418,1897,1,1,1,8817.673358),-- [necklace_of_wisdom_chain]
(20418,877,1,1,1,1624.301757),-- [ring_of_wisdom]
(20418,1867,1,1,2,49378.310415),-- [animal_skin]
(20418,1872,1,1,2,49378.310415),-- [animal_bone]
(20418,1882,1,1,2,8229.661206),-- [leather]
(20418,2140,1,1,2,7406.717964),-- [rp_high_grade_suede]
(20420,1868,1,1,-1,580926),-- [thread]
(20420,1866,1,1,-1,193642),-- [suede]
(20420,1804,1,1,-1,11619),-- [rp_soulshot_d]
(20420,57,132,236,0,700000),-- [adena]
(20420,1102,1,1,1,604.334152),-- [tunic_of_magicpower]
(20420,1105,1,1,1,969.665848),-- [hose_of_magicpower]
(20420,1864,1,1,2,57198.813617),-- [stem]
(20420,1865,1,1,2,28599.319485),-- [varnish]
(20420,1866,1,1,2,19066.21299),-- [suede]
(20420,1873,1,1,2,11439.727794),-- [silver_nugget]
(20420,1868,1,1,2,57198.813617),-- [thread]
(20420,5163,1,1,2,1144.112497),-- [rp_comp_bspiritshot_d]
(20421,1866,1,1,-1,205204),-- [suede]
(20421,1929,1,1,-1,39717),-- [hard_leather_gaiters_material]
(20421,1898,1,1,-1,31619),-- [blue_diamond_necklace_gem]
(20421,57,140,251,0,700000),-- [adena]
(20421,273,1,1,1,96.708612),-- [composition_bow]
(20421,2016,1,1,1,1065.291388),-- [composition_bow_shaft]
(20421,1869,1,1,2,30307.070768),-- [iron_ore]
(20421,1870,1,1,2,30307.070768),-- [coal]
(20421,1871,1,1,2,30307.070768),-- [charcoal]
(20421,1872,1,1,2,40409.37004),-- [animal_bone]
(20421,1867,1,1,2,40409.37004),-- [animal_skin]
(20421,5278,1,1,2,1212.047616),-- [rp_adv_comp_bspiritshot_d]
(20422,1869,1,1,-1,248908),-- [iron_ore]
(20422,2013,1,1,-1,5372),-- [bow_of_forest_shaft]
(20422,1864,1,1,-1,497816),-- [stem]
(20422,57,121,195,0,700000),-- [adena]
(20422,176,1,1,1,140),-- [apprentice's_staff]
(20422,2501,1,1,1,140),-- [bone_club]
(20422,1869,1,1,2,36761.673864),-- [iron_ore]
(20422,1864,1,1,2,73523.234466),-- [stem]
(20422,2254,1,1,2,1506.611124),-- [rp_composition_bow]
(20422,5273,1,1,2,1470.480546),-- [rp_adv_comp_spiritshot_d]
(20423,1792,1,1,-1,14067),-- [rp_short_spear]
(20423,1921,1,1,-1,123424),-- [leather_shoes_texture]
(20423,1793,1,1,-1,14067),-- [rp_sword_of_reflexion]
(20423,57,98,145,0,700000),-- [adena]
(20423,271,1,1,1,543),-- [hunting_bow]
(20423,1872,1,1,2,75345.5),-- [animal_bone]
(20423,1867,1,1,2,75345.5),-- [animal_skin]
(20424,2142,1,1,-1,45599),-- [rp_varnish_of_purity]
(20424,1880,1,1,-1,22799),-- [steel]
(20424,1870,1,1,-1,227995),-- [coal]
(20424,57,107,182,0,700000),-- [adena]
(20424,2,1,1,1,64.143606),-- [long_sword]
(20424,120,1,1,1,64.143606),-- [sword_of_reflexion]
(20424,2012,1,1,1,701.569182),-- [sword_of_reflexion_blade]
(20424,121,1,1,1,64.143606),-- [sword_of_watershadow]
(20424,1870,1,1,2,44897.4846),-- [coal]
(20424,1865,1,1,2,44897.4846),-- [varnish]
(20424,2253,1,1,2,1840.0308),-- [rp_sword_breaker]
(20425,1869,1,1,-1,177731),-- [iron_ore]
(20425,1831,1,1,-1,473949),-- [antidote]
(20425,57,95,131,0,700000),-- [adena]
(20425,66,1,1,1,168.22935),-- [gladius]
(20425,1333,1,1,1,168.22935),-- [brandish]
(20425,2010,1,1,1,1361.5413),-- [brandish_blade]
(20425,1871,1,1,2,34999.299401),-- [charcoal]
(20425,1866,1,1,2,23332.902995),-- [suede]
(20425,1799,1,1,2,51850.797604),-- [rp_leather_gloves]
(20426,1796,1,1,-1,224389),-- [rp_leather_tunic]
(20426,2005,1,1,-1,12742),-- [broad_sword_blade]
(20426,57,96,130,0,700000),-- [adena]
(20426,113,1,1,1,11331.990825),-- [mage_earing]
(20426,906,1,1,1,8464.851375),-- [necklace_of_knowledge]
(20426,875,1,1,1,16728.1578),-- [ring_of_knowledge]
(20426,1873,1,1,2,10538.69033),-- [silver_nugget]
(20426,1868,1,1,2,52693.71071),-- [thread]
(20426,2137,1,1,2,7749.13225),-- [rp_steel]
(20426,1060,1,1,2,58548.46671),-- [lesser_healing_potion]
(20427,1866,1,1,-1,99105),-- [suede]
(20427,1060,1,1,-1,330350),-- [lesser_healing_potion]
(20427,1666,1,1,-1,49552),-- [rp_wooden_arrow]
(20427,57,80,108,0,700000),-- [adena]
(20427,254,1,1,1,1830),-- [iron_glove]
(20427,1864,1,1,2,58548.013776),-- [stem]
(20427,1869,1,1,2,29273.958672),-- [iron_ore]
(20427,2138,1,1,2,8610.027552),-- [rp_coarse_bone_powder]
(20428,1831,1,1,-1,594351),-- [antidote]
(20428,1864,1,1,-1,445764),-- [stem]
(20428,1896,1,1,-1,94441),-- [necklace_of_anguish_chain]
(20428,57,114,168,0,700000),-- [adena]
(20428,114,1,1,1,1950.676353),-- [earing_of_strength]
(20428,115,1,1,1,1950.676353),-- [earing_of_wisdom]
(20428,907,1,1,1,1463.012127),-- [necklace_of_anguish]
(20428,1896,1,1,1,11158.591464),-- [necklace_of_anguish_chain]
(20428,876,1,1,1,2926.043703),-- [ring_of_anguish]
(20428,1864,1,1,2,37620.446542),-- [stem]
(20428,1865,1,1,2,18810.223271),-- [varnish]
(20428,1866,1,1,2,12540.212895),-- [suede]
(20428,1873,1,1,2,7524.127737),-- [silver_nugget]
(20428,1868,1,1,2,37620.446542),-- [thread]
(20428,1799,1,1,2,27867.075719),-- [rp_leather_gloves]
(20428,1833,1,1,2,50160.467294),-- [bandage]
(20429,2009,1,1,-1,6586),-- [dirk_blade]
(20429,1792,1,1,-1,13657),-- [rp_short_spear]
(20429,1921,1,1,-1,119829),-- [leather_shoes_texture]
(20429,57,95,140,0,700000),-- [adena]
(20429,429,1,1,1,896.468475),-- [leather_tunic]
(20429,1922,1,1,1,6997.864804),-- [leather_tunic_pattern]
(20429,464,1,1,1,1436.20113),-- [leather_hose]
(20429,1923,1,1,1,11242.465591),-- [leather_hose_pattern]
(20429,1868,1,1,2,73151.06274),-- [thread]
(20429,1873,1,1,2,14630.212548),-- [silver_nugget]
(20429,1803,1,1,2,30735.724712),-- [rp_necklace_of_wisdom]
(20432,1871,1,1,-1,15920),-- [charcoal]
(20432,1873,1,1,-1,6368),-- [silver_nugget]
(20432,57,8,12,0,700000),-- [adena]
(20432,11,1,1,1,5579),-- [bone_dagger]
(20432,1864,1,1,2,4702.406639),-- [stem]
(20432,1865,1,1,2,2351.21727),-- [varnish]
(20432,1866,1,1,2,1567.47818),-- [suede]
(20432,1873,1,1,2,940.486908),-- [silver_nugget]
(20432,1868,1,1,2,4702.406639),-- [thread]
(20432,1787,1,1,2,1880.973816),-- [rp_willow_staff]
(20432,17,10,30,2,11756.030548),-- [wooden_arrow]
(20433,1864,1,1,-1,430270),-- [stem]
(20433,1865,1,1,-1,215135),-- [varnish]
(20433,1921,1,1,-1,138797),-- [leather_shoes_texture]
(20433,57,113,160,0,700000),-- [adena]
(20433,429,1,1,1,1038.348675),-- [leather_tunic]
(20433,1922,1,1,1,8105.386692),-- [leather_tunic_pattern]
(20433,464,1,1,1,1663.50249),-- [leather_hose]
(20433,1923,1,1,1,13021.762143),-- [leather_hose_pattern]
(20433,1870,1,1,2,31773.902352),-- [coal]
(20433,1865,1,1,2,31773.902352),-- [varnish]
(20433,1794,1,1,2,2336.324412),-- [rp_bow_of_forest]
(20433,735,1,1,2,2647.870884),-- [swift_attack_potion]
(20435,1871,1,1,-1,194922),-- [charcoal]
(20435,1793,1,1,-1,14332),-- [rp_sword_of_reflexion]
(20435,1833,1,1,-1,519792),-- [bandage]
(20435,57,98,149,0,700000),-- [adena]
(20435,216,1,1,1,276.86541),-- [dirk]
(20435,2009,1,1,1,2042.13459),-- [dirk_blade]
(20435,1872,1,1,2,51179.286523),-- [animal_bone]
(20435,1867,1,1,2,51179.286523),-- [animal_skin]
(20435,1794,1,1,2,2822.426954),-- [rp_bow_of_forest]
(20436,1869,1,1,-1,378144),-- [iron_ore]
(20436,2016,1,1,-1,4431),-- [composition_bow_shaft]
(20436,1898,1,1,-1,38844),-- [blue_diamond_necklace_gem]
(20436,57,173,305,0,700000),-- [adena]
(20436,16,1,1,1,238),-- [long_spear]
(20436,1870,1,1,2,74465.184164),-- [coal]
(20436,1865,1,1,2,74465.184164),-- [varnish]
(20436,5158,1,1,2,2978.631672),-- [rp_comp_spiritshot_d]
(20437,2258,1,1,-1,8355),-- [rp_temptation_of_abyss]
(20437,2016,1,1,-1,4004),-- [composition_bow_shaft]
(20437,1804,1,1,-1,13669),-- [rp_soulshot_d]
(20437,57,156,278,0,700000),-- [adena]
(20437,39,1,1,1,1416.686112),-- [boots]
(20437,1930,1,1,1,17254.607688),-- [boots_lining]
(20437,51,1,1,1,1416.7062),-- [bracer]
(20437,1871,1,1,2,50469.751278),-- [charcoal]
(20437,1866,1,1,2,33646.500852),-- [suede]
(20437,5268,1,1,2,2018.748114),-- [rp_adv_comp_soulshot_d]
(20437,5437,1,1,2,1233.999756),-- [rp_heavy_sword]
(20438,1865,1,1,-1,450915),-- [varnish]
(20438,1869,1,1,-1,450915),-- [iron_ore]
(20438,1899,1,1,-1,70456),-- [necklace_of_devotion_chain]
(20438,57,196,374,0,700000),-- [adena]
(20438,291,1,1,1,80.352954),-- [trident]
(20438,2019,1,1,1,2721.647046),-- [trident_edge]
(20438,1875,1,1,2,3374.22699),-- [stone_of_purity]
(20438,1879,1,1,2,8435.53183),-- [cokes]
(20438,5549,1,1,2,5061.30484),-- [iron_thread]
(20438,2180,1,1,2,3805.53149),-- [rp_scale_mail]
(20438,6666,1,1,2,50613.40485),-- [key_of_treasure_box2]
(20439,2255,1,1,-1,9765),-- [rp_saber]
(20439,2015,1,1,-1,4871),-- [sword_breaker_edge]
(20439,2151,1,1,-1,111250),-- [rp_necklace_of_devotion]
(20439,57,177,327,0,700000),-- [adena]
(20439,25,1,1,1,321.277308),-- [piece_bone_breastplate]
(20439,1926,1,1,1,3972.178969),-- [piece_bone_breastplate_fragment]
(20439,26,1,1,1,207.959598),-- [bronze_breastplate]
(20439,32,1,1,1,514.050339),-- [piece_bone_gaiters]
(20439,1928,1,1,1,5728.271164),-- [piece_bone_gaiters_fragment]
(20439,34,1,1,1,333.262622),-- [bronze_gaiters]
(20439,1873,1,1,2,31459.53048),-- [silver_nugget]
(20439,1868,1,1,2,157297.46172),-- [thread]
(20439,2257,1,1,2,1923.0078),-- [rp_trident]
(20442,1786,1,1,-1,44845),-- [rp_broad_sword]
(20442,1864,1,1,-1,112112),-- [stem]
(20442,5549,1,1,-1,5606),-- [iron_thread]
(20442,57,30,42,0,700000),-- [adena]
(20442,4,1,1,1,9822.5),-- [club]
(20442,7,1,1,1,9822.5),-- [apprentice's_rod]
(20442,1868,1,1,2,28976.533208),-- [thread]
(20442,1873,1,1,2,5795.25912),-- [silver_nugget]
(20442,1787,1,1,2,11590.637044),-- [rp_willow_staff]
(20442,17,10,30,2,72441.570628),-- [wooden_arrow]
(20446,1870,1,1,-1,77741),-- [coal]
(20446,2007,1,1,-1,5553),-- [bow_shaft]
(20446,1869,1,1,-1,77741),-- [iron_ore]
(20446,57,41,58,0,700000),-- [adena]
(20446,22,1,1,1,2455.842708),-- [leather_shirt]
(20446,29,1,1,1,3925.157292),-- [leather_pants]
(20446,1869,1,1,2,15308.750172),-- [iron_ore]
(20446,1864,1,1,2,30617.500344),-- [stem]
(20446,1791,1,1,2,2829.749484),-- [rp_brandish]
(20447,1797,1,1,-1,259314),-- [rp_leather_hose]
(20447,2138,1,1,-1,37753),-- [rp_coarse_bone_powder]
(20447,1060,1,1,-1,285245),-- [lesser_healing_potion]
(20447,57,69,94,0,700000),-- [adena]
(20447,14,1,1,1,789.869388),-- [bow]
(20447,2007,1,1,1,2708.130612),-- [bow_shaft]
(20447,1873,1,1,2,10110.924824),-- [silver_nugget]
(20447,1868,1,1,2,50554.689458),-- [thread]
(20447,1791,1,1,2,4672.385718),-- [rp_brandish]
(20448,1666,1,1,-1,32439),-- [rp_wooden_arrow]
(20448,2006,1,1,-1,6951),-- [willow_staff_head]
(20448,1789,1,1,-1,17988),-- [rp_cedar_staff]
(20448,57,51,72,0,700000),-- [adena]
(20448,3,1,1,1,598.837512),-- [broad_sword]
(20448,2005,1,1,1,2053.162488),-- [broad_sword_blade]
(20448,1866,1,1,2,19164),-- [suede]
(20448,1871,1,1,2,28746),-- [charcoal]
(20449,1873,1,1,-1,92414),-- [silver_nugget]
(20449,115,1,1,-1,17114),-- [earing_of_wisdom]
(20449,1896,1,1,-1,97896),-- [necklace_of_anguish_chain]
(20449,57,116,177,0,700000),-- [adena]
(20449,429,1,1,1,1115.08425),-- [leather_tunic]
(20449,1922,1,1,1,8704.38732),-- [leather_tunic_pattern]
(20449,464,1,1,1,1786.4379),-- [leather_hose]
(20449,1923,1,1,1,13984.09053),-- [leather_hose_pattern]
(20449,1873,1,1,2,18198.408555),-- [silver_nugget]
(20449,1868,1,1,2,90992.350365),-- [thread]
(20449,1798,1,1,2,44604.24108),-- [rp_leather_helmet]
(20450,1870,1,1,-1,124035),-- [coal]
(20450,1666,1,1,-1,41345),-- [rp_wooden_arrow]
(20450,57,67,90,0,700000),-- [adena]
(20450,152,1,1,1,590.996927),-- [heavy_chisel]
(20450,5,1,1,1,381.685127),-- [mace]
(20450,8,1,1,1,381.685127),-- [willow_staff]
(20450,2006,1,1,1,1308.632819),-- [willow_staff_head]
(20450,1869,1,1,2,24425.32266),-- [iron_ore]
(20450,1864,1,1,2,48850.72578),-- [stem]
(20450,2135,1,1,2,7183.95156),-- [rp_braided_hemp]
(20455,1869,1,1,-1,189449),-- [iron_ore]
(20455,1794,1,1,-1,13930),-- [rp_bow_of_forest]
(20455,1896,1,1,-1,80275),-- [necklace_of_anguish_chain]
(20455,57,97,143,0,700000),-- [adena]
(20455,20,1,1,1,5229.661794),-- [buckler]
(20455,43,1,1,1,3657.338206),-- [wooden_helmet]
(20455,1868,1,1,2,74613.77445),-- [thread]
(20455,1873,1,1,2,14922.75489),-- [silver_nugget]
(20455,736,1,1,2,18653.47066),-- [scroll_of_escape]
(20456,1872,1,1,-1,51475),-- [animal_bone]
(20456,1788,1,1,-1,30885),-- [rp_bow]
(20456,1868,1,1,-1,77212),-- [thread]
(20456,57,19,29,0,700000),-- [adena]
(20456,308,1,1,1,13530),-- [buffalo_horn]
(20456,1868,1,1,2,19956.305542),-- [thread]
(20456,1873,1,1,2,3991.22838),-- [silver_nugget]
(20456,1788,1,1,2,7982.538581),-- [rp_bow]
(20456,17,10,30,2,49890.927497),-- [wooden_arrow]
(20457,1866,1,1,-1,195744),-- [suede]
(20457,2013,1,1,-1,6337),-- [bow_of_forest_shaft]
(20457,1864,1,1,-1,587232),-- [stem]
(20457,57,138,234,0,700000),-- [adena]
(20457,15,1,1,1,165.218784),-- [short_spear]
(20457,2011,1,1,1,1978.781216),-- [short_spear_edge]
(20457,1869,1,1,2,34691.766272),-- [iron_ore]
(20457,1864,1,1,2,69383.532544),-- [stem]
(20457,1880,1,1,2,3469.198698),-- [steel]
(20457,2254,1,1,2,1421.800936),-- [rp_composition_bow]
(20457,5273,1,1,2,1387.70155),-- [rp_adv_comp_spiritshot_d]
(20458,2256,1,1,-1,10153),-- [rp_assassin_knife]
(20458,2176,1,1,-1,198681),-- [rp_leather_boots]
(20458,1898,1,1,-1,42655),-- [blue_diamond_necklace_gem]
(20458,57,188,339,0,700000),-- [adena]
(20458,846,1,1,1,997.234861),-- [coral_earing]
(20458,909,1,1,1,747.928531),-- [blue_diamond_necklace]
(20458,1898,1,1,1,6299.970005),-- [blue_diamond_necklace_gem]
(20458,878,1,1,1,1495.866603),-- [blue_coral_ring]
(20458,1869,1,1,2,35044.738992),-- [iron_ore]
(20458,1864,1,1,2,70089.477984),-- [stem]
(20458,1880,1,1,2,3504.429696),-- [steel]
(20458,1804,1,1,2,1401.830816),-- [rp_soulshot_d]
(20458,5437,1,1,2,856.80536),-- [rp_heavy_sword]
(20458,5268,1,1,2,1401.830816),-- [rp_adv_comp_soulshot_d]
(20458,6666,1,1,2,35044.886336),-- [key_of_treasure_box2]
(20460,1833,1,1,-1,629988),-- [bandage]
(20460,1866,1,1,-1,157497),-- [suede]
(20460,1792,1,1,-1,17371),-- [rp_short_spear]
(20460,57,119,180,0,700000),-- [adena]
(20460,66,1,1,1,223.71135),-- [gladius]
(20460,1333,1,1,1,223.71135),-- [brandish]
(20460,2010,1,1,1,1810.5773),-- [brandish_blade]
(20460,1867,1,1,2,62029.689849),-- [animal_skin]
(20460,1872,1,1,2,62029.689849),-- [animal_bone]
(20460,1799,1,1,2,68921.620302),-- [rp_leather_gloves]
(20461,1803,1,1,-1,165438),-- [rp_necklace_of_wisdom]
(20461,2010,1,1,-1,7660),-- [brandish_blade]
(20461,1896,1,1,-1,83420),-- [necklace_of_anguish_chain]
(20461,57,99,150,0,700000),-- [adena]
(20461,66,1,1,1,186.360075),-- [gladius]
(20461,1333,1,1,1,186.360075),-- [brandish]
(20461,2010,1,1,1,1508.27985),-- [brandish_blade]
(20461,1867,1,1,2,51691.284512),-- [animal_skin]
(20461,1872,1,1,2,51691.284512),-- [animal_bone]
(20461,1803,1,1,2,32578.430976),-- [rp_necklace_of_wisdom]
(20462,1865,1,1,-1,209166),-- [varnish]
(20462,1872,1,1,-1,278888),-- [animal_bone]
(20462,1800,1,1,-1,65776),-- [rp_piece_bone_breastplate]
(20462,57,102,164,0,700000),-- [adena]
(20462,256,1,1,1,235),-- [cestus]
(20462,1867,1,1,2,54919.581544),-- [animal_skin]
(20462,1872,1,1,2,54919.581544),-- [animal_bone]
(20462,1800,1,1,2,12952.836912),-- [rp_piece_bone_breastplate]
(20463,2010,1,1,-1,7185),-- [brandish_blade]
(20463,1921,1,1,-1,119134),-- [leather_shoes_texture]
(20463,1799,1,1,-1,273567),-- [rp_leather_gloves]
(20463,57,97,137,0,700000),-- [adena]
(20463,271,1,1,1,524),-- [hunting_bow]
(20463,1864,1,1,2,72726.49462),-- [stem]
(20463,1869,1,1,2,36363.31968),-- [iron_ore]
(20463,1798,1,1,2,35650.1857),-- [rp_leather_helmet]
(20464,464,1,1,-1,9305),-- [leather_hose]
(20464,1874,1,1,-1,11849),-- [oriharukon_ore]
(20464,1870,1,1,-1,177731),-- [coal]
(20464,57,95,131,0,700000),-- [adena]
(20464,9,1,1,1,168.22935),-- [cedar_staff]
(20464,2008,1,1,1,1361.5413),-- [cedar_staff_head]
(20464,154,1,1,1,168.22935),-- [dwarven_mace]
(20464,1870,1,1,2,34999.37811),-- [coal]
(20464,1865,1,1,2,34999.37811),-- [varnish]
(20464,1803,1,1,2,29411.24378),-- [rp_necklace_of_wisdom]
(20466,1868,1,1,-1,501999),-- [thread]
(20466,1897,1,1,-1,59762),-- [necklace_of_wisdom_chain]
(20466,734,1,1,-1,41833),-- [quick_step_potion]
(20466,57,122,197,0,700000),-- [adena]
(20466,24,1,1,1,475.2134),-- [bone_breastplate]
(20466,390,1,1,1,475.2134),-- [tights_shirt]
(20466,31,1,1,1,758.7866),-- [bone_gaiters]
(20466,412,1,1,1,758.7866),-- [tights_pants]
(20466,1867,1,1,2,49427.823354),-- [animal_skin]
(20466,1872,1,1,2,49427.823354),-- [animal_bone]
(20466,1801,1,1,2,18675.557866),-- [rp_piece_bone_gaiters]
(20466,5158,1,1,2,1482.795426),-- [rp_comp_spiritshot_d]
(20468,1814,1,1,-1,40916),-- [rp_leather]
(20468,1790,1,1,-1,14370),-- [rp_dirk]
(20468,2005,1,1,-1,5553),-- [broad_sword_blade]
(20468,57,41,58,0,700000),-- [adena]
(20468,99,1,1,1,957),-- [apprentice's_spellbook]
(20468,1869,1,1,2,15308.847872),-- [iron_ore]
(20468,1864,1,1,2,30617.79944),-- [stem]
(20468,1795,1,1,2,57769.352688),-- [rp_leather_shoes]
(20469,1864,1,1,-1,256721),-- [stem]
(20469,2007,1,1,-1,9169),-- [bow_shaft]
(20469,1666,1,1,-1,42787),-- [rp_wooden_arrow]
(20469,57,69,94,0,700000),-- [adena]
(20469,14,1,1,1,789.869388),-- [bow]
(20469,2007,1,1,1,2708.130612),-- [bow_shaft]
(20469,1873,1,1,2,7583.157568),-- [silver_nugget]
(20469,1868,1,1,2,37915.452658),-- [thread]
(20469,1795,1,1,2,71538.564624),-- [rp_leather_shoes]
(20469,1833,1,1,2,50553.82515),-- [bandage]
(20470,1791,1,1,-1,17988),-- [rp_brandish]
(20470,1060,1,1,-1,216259),-- [lesser_healing_potion]
(20470,2006,1,1,-1,6951),-- [willow_staff_head]
(20470,57,51,72,0,700000),-- [adena]
(20470,19,1,1,1,11732.93531),-- [small_shield]
(20470,42,1,1,1,8213.06469),-- [leather_cap]
(20470,1869,1,1,2,14372.956064),-- [iron_ore]
(20470,1864,1,1,2,28745.960672),-- [stem]
(20470,2135,1,1,2,4227.357152),-- [rp_braided_hemp]
(20470,735,1,1,2,1197.726112),-- [swift_attack_potion]
(20471,1797,1,1,-1,367589),-- [rp_leather_hose]
(20471,428,1,1,-1,19461),-- [feriotic_tunic]
(20471,1869,1,1,-1,181957),-- [iron_ore]
(20471,57,98,132,0,700000),-- [adena]
(20471,3,1,1,1,1119.771954),-- [broad_sword]
(20471,2005,1,1,1,3839.228046),-- [broad_sword_blade]
(20471,1869,1,1,2,35831.4),-- [iron_ore]
(20471,1864,1,1,2,71662.8),-- [stem]
(20471,1666,1,1,2,11943.8),-- [rp_wooden_arrow]
(20472,1867,1,1,-1,284370),-- [animal_skin]
(20472,1864,1,1,-1,426554),-- [stem]
(20472,1922,1,1,-1,54407),-- [leather_tunic_pattern]
(20472,57,114,157,0,700000),-- [adena]
(20472,66,1,1,1,201.91485),-- [gladius]
(20472,1333,1,1,1,201.91485),-- [brandish]
(20472,2010,1,1,1,1634.1703),-- [brandish_blade]
(20472,1869,1,1,2,41999.100858),-- [iron_ore]
(20472,1864,1,1,2,83998.348713),-- [stem]
(20472,736,1,1,2,20999.550429),-- [scroll_of_escape]
(20473,23,1,1,-1,6588),-- [wooden_breastplate]
(20473,1831,1,1,-1,537542),-- [antidote]
(20473,1896,1,1,-1,85415),-- [necklace_of_anguish_chain]
(20473,57,109,147,0,700000),-- [adena]
(20473,9,1,1,1,190.81845),-- [cedar_staff]
(20473,2008,1,1,1,1544.3631),-- [cedar_staff_head]
(20473,154,1,1,1,190.81845),-- [dwarven_mace]
(20473,1869,1,1,2,39695.424795),-- [iron_ore]
(20473,1864,1,1,2,79390.84959),-- [stem]
(20473,1792,1,1,2,2918.725615),-- [rp_short_spear]
(20474,1866,1,1,-1,154409),-- [suede]
(20474,1799,1,1,-1,343131),-- [rp_leather_gloves]
(20474,1792,1,1,-1,17030),-- [rp_short_spear]
(20474,57,116,177,0,700000),-- [adena]
(20474,216,1,1,1,328.91945),-- [dirk]
(20474,2009,1,1,1,2426.08055),-- [dirk_blade]
(20474,1869,1,1,2,22805.004222),-- [iron_ore]
(20474,1870,1,1,2,22805.004222),-- [coal]
(20474,1871,1,1,2,22805.004222),-- [charcoal]
(20474,1872,1,1,2,30406.672296),-- [animal_bone]
(20474,1867,1,1,2,30406.672296),-- [animal_skin]
(20474,736,1,1,2,11402.642742),-- [scroll_of_escape]
(20475,426,1,1,-1,68329),-- [tunic]
(20475,1786,1,1,-1,30885),-- [rp_broad_sword]
(20475,1873,1,1,-1,15442),-- [silver_nugget]
(20475,57,19,29,0,700000),-- [adena]
(20475,253,1,1,1,13530),-- [spike_glove]
(20475,1868,1,1,2,26608.75),-- [thread]
(20475,1873,1,1,2,5321.75),-- [silver_nugget]
(20475,1786,1,1,2,10643.5),-- [rp_broad_sword]
(20476,1866,1,1,-1,158377),-- [suede]
(20476,945,1,1,-1,17997),-- [skeleton_buckler]
(20476,5549,1,1,-1,23757),-- [iron_thread]
(20476,57,118,183,0,700000),-- [adena]
(20476,2,1,1,1,66.798319),-- [long_sword]
(20476,120,1,1,1,66.798319),-- [sword_of_reflexion]
(20476,2012,1,1,1,730.605043),-- [sword_of_reflexion_blade]
(20476,121,1,1,1,66.798319),-- [sword_of_watershadow]
(20476,1868,1,1,2,70173.35463),-- [thread]
(20476,1873,1,1,2,14034.690255),-- [silver_nugget]
(20476,1800,1,1,2,11033.57307),-- [rp_piece_bone_breastplate]
(20476,5273,1,1,2,1403.382045),-- [rp_adv_comp_spiritshot_d]
(20477,1872,1,1,-1,102628),-- [animal_bone]
(20477,906,1,1,-1,18547),-- [necklace_of_knowledge]
(20477,1060,1,1,-1,171046),-- [lesser_healing_potion]
(20477,57,41,58,0,700000),-- [adena]
(20477,12,1,1,1,473.5),-- [knife]
(20477,215,1,1,1,473.5),-- [doomed_dagger]
(20477,1866,1,1,2,7578.695835),-- [suede]
(20477,1871,1,1,2,11368.075533),-- [charcoal]
(20477,1796,1,1,2,14299.445292),-- [rp_leather_tunic]
(20477,1833,1,1,2,30314.78334),-- [bandage]
(20478,1801,1,1,-1,136366),-- [rp_piece_bone_gaiters]
(20478,735,1,1,-1,22557),-- [swift_attack_potion]
(20478,1897,1,1,-1,64449),-- [necklace_of_wisdom_chain]
(20478,57,132,212,0,700000),-- [adena]
(20478,217,1,1,1,152.5),-- [shining_knife]
(20478,218,1,1,1,152.5),-- [throw_knife]
(20478,1869,1,1,2,26652.16661),-- [iron_ore]
(20478,1864,1,1,2,53304.33322),-- [stem]
(20478,1817,1,1,2,5330.390945),-- [rp_cord]
(20478,6037,1,1,2,53304.33322),-- [scroll_of_awake]
(20478,735,1,1,2,2220.97857),-- [swift_attack_potion]
(20478,1831,1,1,2,71072.797435),-- [antidote]
(20479,1793,1,1,-1,17199),-- [rp_sword_of_reflexion]
(20479,1922,1,1,-1,59670),-- [leather_tunic_pattern]
(20479,1792,1,1,-1,17199),-- [rp_short_spear]
(20479,57,118,179,0,700000),-- [adena]
(20479,9,1,1,1,221.432625),-- [cedar_staff]
(20479,2008,1,1,1,1792.13475),-- [cedar_staff_head]
(20479,154,1,1,1,221.432625),-- [dwarven_mace]
(20479,1872,1,1,2,46061.6742),-- [animal_bone]
(20479,1867,1,1,2,46061.6742),-- [animal_skin]
(20479,1792,1,1,2,2540.116413),-- [rp_short_spear]
(20479,1833,1,1,2,92123.535187),-- [bandage]
(20480,1864,1,1,-1,356778),-- [stem]
(20480,2007,1,1,-1,12742),-- [bow_shaft]
(20480,2005,1,1,-1,12742),-- [broad_sword_blade]
(20480,57,96,130,0,700000),-- [adena]
(20480,22,1,1,1,5635.622124),-- [leather_shirt]
(20480,29,1,1,1,9007.377876),-- [leather_pants]
(20480,1864,1,1,2,70257.73112),-- [stem]
(20480,1869,1,1,2,35128.86556),-- [iron_ore]
(20480,1789,1,1,2,6493.40332),-- [rp_cedar_staff]
(20481,1788,1,1,-1,12736),-- [rp_bow]
(20481,1786,1,1,-1,12736),-- [rp_broad_sword]
(20481,1868,1,1,-1,31839),-- [thread]
(20481,57,8,12,0,700000),-- [adena]
(20481,426,1,1,1,14565.04902),-- [tunic]
(20481,462,1,1,1,23180.95098),-- [hose]
(20481,1868,1,1,2,8229.25348),-- [thread]
(20481,1873,1,1,2,1645.8372),-- [silver_nugget]
(20481,1786,1,1,2,3291.70814),-- [rp_broad_sword]
(20481,17,10,30,2,20573.20118),-- [wooden_arrow]
(20483,1868,1,1,-1,490926),-- [thread]
(20483,1833,1,1,-1,654568),-- [bandage]
(20483,57,120,192,0,700000),-- [adena]
(20483,845,1,1,1,1060.046598),-- [cat'seye_earing]
(20483,908,1,1,1,795.040987),-- [necklace_of_wisdom]
(20483,1897,1,1,1,8631.842518),-- [necklace_of_wisdom_chain]
(20483,877,1,1,1,1590.069897),-- [ring_of_wisdom]
(20483,1864,1,1,2,41432.064125),-- [stem]
(20483,1865,1,1,2,20715.966738),-- [varnish]
(20483,1866,1,1,2,13810.644492),-- [suede]
(20483,1873,1,1,2,8286.412825),-- [silver_nugget]
(20483,1868,1,1,2,41432.064125),-- [thread]
(20483,2139,1,1,2,4143.141088),-- [rp_steel_mold]
(20483,5268,1,1,2,828.706607),-- [rp_adv_comp_soulshot_d]
(20487,2136,1,1,-1,58227),-- [rp_cokes]
(20487,1060,1,1,-1,439936),-- [lesser_healing_potion]
(20487,1897,1,1,-1,47136),-- [necklace_of_wisdom_chain]
(20487,57,98,153,0,700000),-- [adena]
(20487,217,1,1,1,111.5),-- [shining_knife]
(20487,218,1,1,1,111.5),-- [throw_knife]
(20487,1870,1,1,2,38985.22495),-- [coal]
(20487,1865,1,1,2,38985.22495),-- [varnish]
(20487,1800,1,1,2,12259.5501),-- [rp_piece_bone_breastplate]
(20488,734,1,1,-1,34178),-- [quick_step_potion]
(20488,412,1,1,-1,4198),-- [tights_pants]
(20488,1800,1,1,-1,64486),-- [rp_piece_bone_breastplate]
(20488,57,100,161,0,700000),-- [adena]
(20488,256,1,1,1,231),-- [cestus]
(20488,1869,1,1,2,40382.1875),-- [iron_ore]
(20488,1864,1,1,2,80764.375),-- [stem]
(20488,2140,1,1,2,8076.4375),-- [rp_high_grade_suede]
(20489,1060,1,1,-1,433160),-- [lesser_healing_potion]
(20489,1872,1,1,-1,259896),-- [animal_bone]
(20489,1896,1,1,-1,82594),-- [necklace_of_anguish_chain]
(20489,57,98,149,0,700000),-- [adena]
(20489,429,1,1,1,940.78425),-- [leather_tunic]
(20489,1922,1,1,1,7343.79532),-- [leather_tunic_pattern]
(20489,464,1,1,1,1507.1979),-- [leather_hose]
(20489,1923,1,1,1,11798.22253),-- [leather_hose_pattern]
(20489,1868,1,1,2,76769.632706),-- [thread]
(20489,1873,1,1,2,15353.907552),-- [silver_nugget]
(20489,1793,1,1,2,2822.459742),-- [rp_sword_of_reflexion]
(20491,1794,1,1,-1,14476),-- [rp_bow_of_forest]
(20491,876,1,1,-1,21875),-- [ring_of_anguish]
(20491,1803,1,1,-1,165438),-- [rp_necklace_of_wisdom]
(20491,57,99,150,0,700000),-- [adena]
(20491,37,1,1,1,3800.868174),-- [leather_shoes]
(20491,1921,1,1,1,25012.231038),-- [leather_shoes_texture]
(20491,49,1,1,1,3800.900788),-- [gloves]
(20491,1866,1,1,2,25845.774035),-- [suede]
(20491,1871,1,1,2,38768.62732),-- [charcoal]
(20491,1794,1,1,2,2850.598645),-- [rp_bow_of_forest]
(20492,1879,1,1,-1,47461),-- [cokes]
(20492,25,1,1,-1,2327),-- [piece_bone_breastplate]
(20492,1865,1,1,-1,284768),-- [varnish]
(20492,57,130,231,0,700000),-- [adena]
(20492,27,1,1,1,296.171659),-- [hard_leather_shirt]
(20492,1927,1,1,1,3355.070918),-- [hard_leather_shirt_pattern]
(20492,33,1,1,1,475.204432),-- [hard_leather_gaiters]
(20492,1929,1,1,1,5426.552991),-- [hard_leather_gaiters_material]
(20492,1865,1,1,2,33646.376214),-- [varnish]
(20492,1870,1,1,2,33646.376214),-- [coal]
(20492,1879,1,1,2,5607.729369),-- [cokes]
(20492,5278,1,1,2,1345.837032),-- [rp_adv_comp_bspiritshot_d]
(20492,5437,1,1,2,822.681171),-- [rp_heavy_sword]
(20494,1881,1,1,-1,99048),-- [coarse_bone_powder]
(20494,2179,1,1,-1,355437),-- [rp_excellence_leather_gloves]
(20494,1804,1,1,-1,29714),-- [rp_soulshot_d]
(20494,57,330,609,0,700000),-- [adena]
(20494,257,1,1,1,467),-- [viper's_canine]
(20494,1871,1,1,2,87772.020798),-- [charcoal]
(20494,1866,1,1,2,58514.733618),-- [suede]
(20494,2258,1,1,2,2146.00155),-- [rp_temptation_of_abyss]
(20494,5268,1,1,2,3510.84261),-- [rp_adv_comp_soulshot_d]
(20494,735,1,1,2,7314.401424),-- [swift_attack_potion]
(20495,2267,1,1,-1,11668),-- [rp_gastraphetes]
(20495,1936,1,1,-1,92328),-- [white_tunic_pattern]
(20495,1900,1,1,-1,123441),-- [enchanted_necklace_chain]
(20495,57,476,952,0,700000),-- [adena]
(20495,69,1,1,1,49.770308),-- [bastard_sword]
(20495,125,1,1,1,49.770308),-- [spinebone_sword]
(20495,2021,1,1,1,1556.915256),-- [spinebone_sword_blade]
(20495,126,1,1,1,49.770308),-- [artisan's_sword]
(20495,128,1,1,1,49.77382),-- [knight's_sword]
(20495,1875,1,1,2,4566.991248),-- [stone_of_purity]
(20495,1879,1,1,2,11417.438544),-- [cokes]
(20495,1885,1,1,2,5708.679696),-- [high_grade_suede]
(20495,5550,1,1,2,913.41408),-- [reinforcing_plate]
(20495,5549,1,1,2,6850.447296),-- [iron_thread]
(20495,955,1,1,2,274.024224),-- [scrl_of_ench_wp_d]
(20495,2274,1,1,2,489.317664),-- [rp_skull_breaker]
(20495,2975,1,1,2,6116.4708),-- [rp_brigandine_helmet]
(20495,6667,1,1,2,42815.216448),-- [key_of_treasure_box3]
(20496,1885,1,1,-1,74420),-- [high_grade_suede]
(20496,465,1,1,-1,5934),-- [cursed_hose]
(20496,2152,1,1,-1,157224),-- [rp_enchanted_necklace]
(20496,57,386,743,0,700000),-- [adena]
(20496,274,1,1,1,318),-- [strengthening_bow]
(20496,1876,1,1,2,14319.932005),-- [mithril_ore]
(20496,1880,1,1,2,7160.027259),-- [steel]
(20496,1877,1,1,2,2863.986401),-- [admantite_nugget]
(20496,1881,1,1,2,9546.580499),-- [coarse_bone_powder]
(20496,1882,1,1,2,15911.008336),-- [leather]
(20496,2260,1,1,2,1111.805475),-- [rp_mace_of_judgment]
(20496,6666,1,1,2,71599.660025),-- [key_of_treasure_box2]
(20497,2259,1,1,-1,14293),-- [rp_spinebone_sword]
(20497,2018,1,1,-1,12232),-- [assassin_knife_edge]
(20497,1899,1,1,-1,143825),-- [necklace_of_devotion_chain]
(20497,57,395,773,0,700000),-- [adena]
(20497,391,1,1,1,1071.760172),-- [puma_skin_shirt]
(20497,413,1,1,1,1716.239828),-- [puma_skin_gaiters]
(20497,1874,1,1,2,5740.05696),-- [oriharukon_ore]
(20497,1878,1,1,2,34440.134388),-- [braided_hemp]
(20497,1884,1,1,2,52984.790232),-- [cord]
(20497,1889,1,1,2,5740.05696),-- [compound_braid]
(20497,5220,1,1,2,3444.034176),-- [reinforcing_agent]
(20497,2261,1,1,2,1336.927284),-- [rp_conjure_staff]
(20498,2262,1,1,-1,13331),-- [rp_elven_bow]
(20498,3953,1,1,-1,34341),-- [rp_blessed_spiritshot_d]
(20498,1885,1,1,-1,71544),-- [high_grade_suede]
(20498,57,371,714,0,700000),-- [adena]
(20498,626,1,1,1,1900.693228),-- [bronze_shield]
(20498,45,1,1,1,1332.846619),-- [bone_helmet]
(20498,1932,1,1,1,25493.460153),-- [bone_helmet_design]
(20498,1875,1,1,2,5353.64103),-- [stone_of_purity]
(20498,1879,1,1,2,13384.120464),-- [cokes]
(20498,1885,1,1,2,6692.060232),-- [high_grade_suede]
(20498,5550,1,1,2,1070.728206),-- [reinforcing_plate]
(20498,5549,1,1,2,8030.479434),-- [iron_thread]
(20498,2261,1,1,2,1246.970634),-- [rp_conjure_staff]
(20499,1870,1,1,-1,822258),-- [coal]
(20499,2017,1,1,-1,10927),-- [saber_blade]
(20499,1880,1,1,-1,82226),-- [steel]
(20499,57,357,682,0,700000),-- [adena]
(20499,40,1,1,1,1433.150976),-- [leather_boots]
(20499,1931,1,1,1,15080.849024),-- [leather_boots_lining]
(20499,604,1,1,1,1433.150976),-- [excellence_leather_gloves]
(20499,1934,1,1,1,15080.849024),-- [excellence_leather_gloves_lining]
(20499,1876,1,1,2,15382.46241),-- [mithril_ore]
(20499,1880,1,1,2,7691.26257),-- [steel]
(20499,1877,1,1,2,3076.46739),-- [admantite_nugget]
(20499,1881,1,1,2,10254.97494),-- [coarse_bone_powder]
(20499,1882,1,1,2,17091.66672),-- [leather]
(20499,2182,1,1,2,9233.16597),-- [rp_scale_gaiters]
(20500,1867,1,3,-1,520412),-- [animal_skin]
(20500,1932,1,1,-1,123908),-- [bone_helmet_design]
(20500,1931,1,1,-1,102042),-- [leather_boots_lining]
(20500,57,344,644,0,700000),-- [adena]
(20500,847,1,1,1,1058.232864),-- [red_cresent_earing]
(20500,910,1,1,1,793.674648),-- [necklace_of_devotion]
(20500,1899,1,1,1,17113.722639),-- [necklace_of_devotion_chain]
(20500,890,1,1,1,1587.369849),-- [ring_of_devotion]
(20500,1874,1,1,2,7301.729204),-- [oriharukon_ore]
(20500,1878,1,1,2,43810.489612),-- [braided_hemp]
(20500,5220,1,1,2,4381.0604),-- [reinforcing_agent]
(20500,2262,1,1,2,1700.720784),-- [rp_elven_bow]
(20501,1870,1,1,-1,944489),-- [coal]
(20501,1933,1,1,-1,111116),-- [dark_hose_fabric]
(20501,2153,1,1,-1,146888),-- [rp_tiger'seye_earing]
(20501,57,400,793,0,700000),-- [adena]
(20501,433,1,1,1,167.79194),-- [elven_tunic]
(20501,434,1,1,1,167.79194),-- [white_tunic]
(20501,1936,1,1,1,5279.73866),-- [white_tunic_pattern]
(20501,435,1,1,1,167.79194),-- [mage's_tunic]
(20501,466,1,1,1,268.82444),-- [elven_hose]
(20501,467,1,1,1,268.82444),-- [dark_hose]
(20501,1933,1,1,1,7590.39802),-- [dark_hose_fabric]
(20501,468,1,1,1,268.83862),-- [mage's_hose]
(20501,1875,1,1,2,4915.479114),-- [stone_of_purity]
(20501,1879,1,1,2,12288.714282),-- [cokes]
(20501,1885,1,1,2,6144.340644),-- [high_grade_suede]
(20501,5550,1,1,2,983.089224),-- [reinforcing_plate]
(20501,5549,1,1,2,7373.235168),-- [iron_thread]
(20501,2264,1,1,2,762.49134),-- [rp_two-handed_sword]
(20501,2274,1,1,2,526.650228),-- [rp_skull_breaker]
(20502,1871,1,1,-1,233906),-- [charcoal]
(20502,1896,1,1,-1,99113),-- [necklace_of_anguish_chain]
(20502,1923,1,1,-1,95863),-- [leather_hose_pattern]
(20502,57,118,179,0,700000),-- [adena]
(20502,23,1,1,1,1505.165424),-- [wooden_breastplate]
(20502,30,1,1,1,2411.417288),-- [hard_leather_pants]
(20502,2386,1,1,1,2411.417288),-- [wooden_gaiters]
(20502,1868,1,1,2,92122.987782),-- [thread]
(20502,1873,1,1,2,18424.535274),-- [silver_nugget]
(20502,1798,1,1,2,45158.476944),-- [rp_leather_helmet]
(20504,2010,1,1,-1,7372),-- [brandish_blade]
(20504,1792,1,1,-1,13930),-- [rp_short_spear]
(20504,1921,1,1,-1,122225),-- [leather_shoes_texture]
(20504,57,97,143,0,700000),-- [adena]
(20504,20,1,1,1,5229.661794),-- [buckler]
(20504,43,1,1,1,3657.338206),-- [wooden_helmet]
(20504,1870,1,1,2,37306.96039),-- [coal]
(20504,1865,1,1,2,37306.96039),-- [varnish]
(20504,1792,1,1,2,2743.07922),-- [rp_short_spear]
(20505,734,1,1,-1,45036),-- [quick_step_potion]
(20505,1800,1,1,-1,84973),-- [rp_piece_bone_breastplate]
(20505,1869,1,1,-1,270215),-- [iron_ore]
(20505,57,125,217,0,700000),-- [adena]
(20505,217,1,1,1,152),-- [shining_knife]
(20505,218,1,1,1,152),-- [throw_knife]
(20505,1864,1,1,2,63853.898514),-- [stem]
(20505,1869,1,1,2,31926.89115),-- [iron_ore]
(20505,1878,1,1,2,12770.75646),-- [braided_hemp]
(20505,1817,1,1,2,6385.37823),-- [rp_cord]
(20505,5273,1,1,2,1277.075646),-- [rp_adv_comp_spiritshot_d]
(20506,2150,1,1,-1,115530),-- [rp_blue_diamond_necklace]
(20506,1924,1,1,-1,79380),-- [leather_helmet_design]
(20506,1864,1,1,-1,492156),-- [stem]
(20506,57,120,193,0,700000),-- [adena]
(20506,24,1,1,1,465.971),-- [bone_breastplate]
(20506,390,1,1,1,465.971),-- [tights_shirt]
(20506,31,1,1,1,744.029),-- [bone_gaiters]
(20506,412,1,1,1,744.029),-- [tights_pants]
(20506,1864,1,1,2,72687.660136),-- [stem]
(20506,1869,1,1,2,36343.830068),-- [iron_ore]
(20506,2141,1,1,2,7268.718912),-- [rp_silver_mold]
(20506,5273,1,1,2,1453.790884),-- [rp_adv_comp_spiritshot_d]
(20507,3032,1,1,-1,13942),-- [rp_spiritshot_d]
(20507,1866,1,1,-1,232371),-- [suede]
(20507,1898,1,1,-1,35804),-- [blue_diamond_necklace_gem]
(20507,57,159,283,0,700000),-- [adena]
(20507,273,1,1,1,109.525416),-- [composition_bow]
(20507,2016,1,1,1,1206.474584),-- [composition_bow_shaft]
(20507,1864,1,1,2,82366.143021),-- [stem]
(20507,1869,1,1,2,41182.999852),-- [iron_ore]
(20507,1878,1,1,2,16473.285931),-- [braided_hemp]
(20507,1804,1,1,2,1647.285598),-- [rp_soulshot_d]
(20507,5273,1,1,2,1647.285598),-- [rp_adv_comp_spiritshot_d]
(20508,1866,1,1,-1,167333),-- [suede]
(20508,1800,1,1,-1,78931),-- [rp_piece_bone_breastplate]
(20508,57,122,197,0,700000),-- [adena]
(20508,1101,1,1,1,950.429268),-- [tunic_of_devotion]
(20508,1104,1,1,1,1517.570732),-- [hose_of_devotion]
(20508,1867,1,1,2,65903.681388),-- [animal_skin]
(20508,1872,1,1,2,65903.681388),-- [animal_bone]
(20508,2142,1,1,2,9885.637224),-- [rp_varnish_of_purity]
(20509,1060,1,1,-1,330759),-- [lesser_healing_potion]
(20509,1129,1,1,-1,63337),-- [crude_leather_shoes]
(20509,2005,1,1,-1,10632),-- [broad_sword_blade]
(20509,57,80,108,0,700000),-- [adena]
(20509,428,1,1,1,2351.158612),-- [feriotic_tunic]
(20509,1100,1,1,1,2351.158612),-- [cotton_tunic]
(20509,463,1,1,1,3757.841388),-- [feriotic_hose]
(20509,1103,1,1,1,3757.841388),-- [cotton_hose]
(20509,1864,1,1,2,43965.66228),-- [stem]
(20509,1869,1,1,2,21982.739976),-- [iron_ore]
(20509,2136,1,1,2,6465.533208),-- [rp_cokes]
(20509,17,10,30,2,109914.064536),-- [wooden_arrow]
(20510,1798,1,1,-1,202966),-- [rp_leather_helmet]
(20510,1923,1,1,-1,84846),-- [leather_hose_pattern]
(20510,1792,1,1,-1,15222),-- [rp_short_spear]
(20510,57,110,152,0,700000),-- [adena]
(20510,23,1,1,1,1332.242658),-- [wooden_breastplate]
(20510,30,1,1,1,2134.378671),-- [hard_leather_pants]
(20510,2386,1,1,1,2134.378671),-- [wooden_gaiters]
(20510,1868,1,1,2,81536.099801),-- [thread]
(20510,1873,1,1,2,16307.199792),-- [silver_nugget]
(20510,1792,1,1,2,2997.700407),-- [rp_short_spear]
(20511,734,1,1,-1,40780),-- [quick_step_potion]
(20511,2144,1,1,-1,48936),-- [rp_compound_braid]
(20511,1897,1,1,-1,58257),-- [necklace_of_wisdom_chain]
(20511,57,115,195,0,700000),-- [adena]
(20511,176,1,1,1,137.5),-- [apprentice's_staff]
(20511,2501,1,1,1,137.5),-- [bone_club]
(20511,1869,1,1,2,20649.965745),-- [iron_ore]
(20511,1870,1,1,2,20649.965745),-- [coal]
(20511,1871,1,1,2,20649.965745),-- [charcoal]
(20511,1872,1,1,2,27533.28766),-- [animal_bone]
(20511,1867,1,1,2,27533.28766),-- [animal_skin]
(20511,1800,1,1,2,6493.728274),-- [rp_piece_bone_breastplate]
(20511,735,1,1,2,1720.799171),-- [swift_attack_potion]
(20514,1872,1,1,-1,308818),-- [animal_bone]
(20514,1870,1,1,-1,231613),-- [coal]
(20514,57,116,177,0,700000),-- [adena]
(20514,20,1,1,1,6393.63963),-- [buckler]
(20514,43,1,1,1,4471.36037),-- [wooden_helmet]
(20514,1870,1,1,2,34207.532928),-- [coal]
(20514,1865,1,1,2,34207.532928),-- [varnish]
(20514,1799,1,1,2,50677.720254),-- [rp_leather_gloves]
(20514,734,1,1,2,5701.21389),-- [quick_step_potion]
(20515,735,1,1,-1,19797),-- [swift_attack_potion]
(20515,2013,1,1,-1,5127),-- [bow_of_forest_shaft]
(20515,1865,1,1,-1,237565),-- [varnish]
(20515,57,118,183,0,700000),-- [adena]
(20515,15,1,1,1,133.700835),-- [short_spear]
(20515,2011,1,1,1,1601.299165),-- [short_spear_edge]
(20515,1870,1,1,2,35086.782348),-- [coal]
(20515,1865,1,1,2,35086.782348),-- [varnish]
(20515,1801,1,1,2,17675.931879),-- [rp_piece_bone_gaiters]
(20515,5158,1,1,2,1403.503425),-- [rp_comp_spiritshot_d]
(20517,1831,1,1,-1,473949),-- [antidote]
(20517,1921,1,1,-1,114665),-- [leather_shoes_texture]
(20517,1869,1,1,-1,177731),-- [iron_ore]
(20517,57,95,131,0,700000),-- [adena]
(20517,271,1,1,1,505),-- [hunting_bow]
(20517,1869,1,1,2,26249.44017),-- [iron_ore]
(20517,1864,1,1,2,52498.88034),-- [stem]
(20517,1793,1,1,2,1930.17237),-- [rp_sword_of_reflexion]
(20517,1833,1,1,2,69998.50712),-- [bandage]
(20518,1866,1,1,-1,123105),-- [suede]
(20518,1864,1,1,-1,369315),-- [stem]
(20518,1831,1,1,-1,492420),-- [antidote]
(20518,57,97,137,0,700000),-- [adena]
(20518,271,1,1,1,524),-- [hunting_bow]
(20518,1870,1,1,2,36363.249932),-- [coal]
(20518,1865,1,1,2,36363.249932),-- [varnish]
(20518,1799,1,1,2,53871.500136),-- [rp_leather_gloves]
(20521,2143,1,1,-1,50113),-- [rp_synthesis_cokes]
(20521,1897,1,1,-1,59658),-- [necklace_of_wisdom_chain]
(20521,1896,1,1,-1,106171),-- [necklace_of_anguish_chain]
(20521,57,128,189,0,700000),-- [adena]
(20521,9,1,1,1,237.18555),-- [cedar_staff]
(20521,2008,1,1,1,1919.6289),-- [cedar_staff_head]
(20521,154,1,1,1,237.18555),-- [dwarven_mace]
(20521,1866,1,1,2,24670.861524),-- [suede]
(20521,1871,1,1,2,37006.362852),-- [charcoal]
(20521,1793,1,1,2,2721.02496),-- [rp_sword_of_reflexion]
(20521,734,1,1,2,6167.750664),-- [quick_step_potion]
(20525,1867,1,1,-1,51475),-- [animal_skin]
(20525,1872,1,1,-1,51475),-- [animal_bone]
(20525,5549,1,1,-1,3861),-- [iron_thread]
(20525,57,19,29,0,700000),-- [adena]
(20525,1,1,1,1,13530),-- [small_sword]
(20525,1868,1,1,2,19956.368608),-- [thread]
(20525,1873,1,1,2,3991.25208),-- [silver_nugget]
(20525,1787,1,1,2,7982.558264),-- [rp_willow_staff]
(20525,1060,1,1,2,22173.821048),-- [lesser_healing_potion]
(20526,1833,1,1,-1,694345),-- [bandage]
(20526,1921,1,1,-1,167987),-- [leather_shoes_texture]
(20526,5220,1,1,-1,10415),-- [reinforcing_agent]
(20526,57,131,199,0,700000),-- [adena]
(20526,114,1,1,1,2278.848137),-- [earing_of_strength]
(20526,115,1,1,1,2278.848137),-- [earing_of_wisdom]
(20526,907,1,1,1,1709.141783),-- [necklace_of_anguish]
(20526,1896,1,1,1,13035.855656),-- [necklace_of_anguish_chain]
(20526,876,1,1,1,3418.306287),-- [ring_of_anguish]
(20526,1866,1,1,2,34183.209412),-- [suede]
(20526,1871,1,1,2,51274.814118),-- [charcoal]
(20526,1803,1,1,2,43087.97647),-- [rp_necklace_of_wisdom]
(20528,1833,1,1,-1,568013),-- [bandage]
(20528,1922,1,1,-1,54338),-- [leather_tunic_pattern]
(20528,57,112,158,0,700000),-- [adena]
(20528,216,1,1,1,302.53426),-- [dirk]
(20528,2009,1,1,1,2231.46574),-- [dirk_blade]
(20528,1865,1,1,2,41945.73894),-- [varnish]
(20528,1870,1,1,2,41945.73894),-- [coal]
(20528,1803,1,1,2,35248.52212),-- [rp_necklace_of_wisdom]
(20529,1867,1,1,-1,21226),-- [animal_skin]
(20529,1121,1,1,-1,636783),-- [apprentice's_shoes]
(20529,1786,1,1,-1,12736),-- [rp_broad_sword]
(20529,57,8,12,0,700000),-- [adena]
(20529,1121,1,1,1,164584.052902),-- [apprentice's_shoes]
(20529,35,1,1,1,29389.982366),-- [cloth_shoes]
(20529,36,1,1,1,29389.982366),-- [leather_sandals]
(20529,48,1,1,1,29389.982366),-- [short_gloves]
(20529,1868,1,1,2,10972.5),-- [thread]
(20529,1873,1,1,2,2194.5),-- [silver_nugget]
(20529,1788,1,1,2,4389),-- [rp_bow]
(20530,1867,1,1,-1,21226),-- [animal_skin]
(20530,1787,1,1,-1,12736),-- [rp_willow_staff]
(20530,1868,1,1,-1,31839),-- [thread]
(20530,57,8,12,0,700000),-- [adena]
(20530,426,1,1,1,14565.04902),-- [tunic]
(20530,462,1,1,1,23180.95098),-- [hose]
(20530,1868,1,1,2,8229.08812),-- [thread]
(20530,1873,1,1,2,1645.8087),-- [silver_nugget]
(20530,1786,1,1,2,3291.63971),-- [rp_broad_sword]
(20530,1060,1,1,2,9143.46347),-- [lesser_healing_potion]
(20531,1872,1,1,-1,21226),-- [animal_bone]
(20531,1873,1,1,-1,6368),-- [silver_nugget]
(20531,1788,1,1,-1,12736),-- [rp_bow]
(20531,57,8,12,0,700000),-- [adena]
(20531,426,1,1,1,14565.04902),-- [tunic]
(20531,462,1,1,1,23180.95098),-- [hose]
(20531,1868,1,1,2,10972.5),-- [thread]
(20531,1873,1,1,2,2194.5),-- [silver_nugget]
(20531,1787,1,1,2,4389),-- [rp_willow_staff]
(20532,1787,1,1,-1,14332),-- [rp_willow_staff]
(20532,35,1,1,-1,127969),-- [cloth_shoes]
(20532,1786,1,1,-1,14332),-- [rp_broad_sword]
(20532,57,8,13,0,700000),-- [adena]
(20532,18,1,1,1,61739.96472),-- [leather_shield]
(20532,41,1,1,1,44100.03528),-- [cloth_cap]
(20532,1868,1,1,2,12348.125),-- [thread]
(20532,1873,1,1,2,2469.625),-- [silver_nugget]
(20532,1786,1,1,2,4939.25),-- [rp_broad_sword]
(20533,1872,1,1,-1,23887),-- [animal_bone]
(20533,5549,1,1,-1,1792),-- [iron_thread]
(20533,57,8,13,0,700000),-- [adena]
(20533,13,1,1,1,6279),-- [short_bow]
(20533,1868,1,1,2,9261.136016),-- [thread]
(20533,1873,1,1,2,1852.21716),-- [silver_nugget]
(20533,1787,1,1,2,3704.459428),-- [rp_willow_staff]
(20533,1060,1,1,2,10290.187396),-- [lesser_healing_potion]
(20534,1786,1,1,-1,14332),-- [rp_broad_sword]
(20534,1868,1,1,-1,35831),-- [thread]
(20534,57,8,13,0,700000),-- [adena]
(20534,21,1,1,1,16390.98586),-- [shirt]
(20534,28,1,1,1,26087.01414),-- [pants]
(20534,1868,1,1,2,12348.125),-- [thread]
(20534,1873,1,1,2,2469.625),-- [silver_nugget]
(20534,1788,1,1,2,4939.25),-- [rp_bow]
(20535,1867,1,1,-1,23887),-- [animal_skin]
(20535,36,1,1,-1,127969),-- [leather_sandals]
(20535,1787,1,1,-1,14332),-- [rp_willow_staff]
(20535,57,8,13,0,700000),-- [adena]
(20535,21,1,1,1,16390.98586),-- [shirt]
(20535,28,1,1,1,26087.01414),-- [pants]
(20535,1870,1,1,2,4630.50819),-- [coal]
(20535,1865,1,1,2,4630.50819),-- [varnish]
(20535,1786,1,1,2,3704.406552),-- [rp_broad_sword]
(20535,17,10,30,2,23152.577068),-- [wooden_arrow]
(20536,1871,1,1,-1,27106),-- [charcoal]
(20536,18,1,1,-1,180709),-- [leather_shield]
(20536,1788,1,1,-1,21685),-- [rp_bow]
(20536,57,13,20,0,700000),-- [adena]
(20536,13,1,1,1,9500),-- [short_bow]
(20536,1869,1,1,2,9341.319526),-- [iron_ore]
(20536,1864,1,1,2,18682.639052),-- [stem]
(20536,1787,1,1,2,7473.041422),-- [rp_willow_staff]
(20537,1788,1,1,-1,21685),-- [rp_bow]
(20537,1867,1,1,-1,36142),-- [animal_skin]
(20537,1864,1,1,-1,54213),-- [stem]
(20537,57,13,20,0,700000),-- [adena]
(20537,308,1,1,1,9500),-- [buffalo_horn]
(20537,1869,1,1,2,7005.899932),-- [iron_ore]
(20537,1864,1,1,2,14011.757673),-- [stem]
(20537,1788,1,1,2,5604.694631),-- [rp_bow]
(20537,1060,1,1,2,15568.647764),-- [lesser_healing_potion]
(20538,1865,1,1,-1,27106),-- [varnish]
(20538,1786,1,1,-1,21685),-- [rp_broad_sword]
(20538,1869,1,1,-1,27106),-- [iron_ore]
(20538,57,13,20,0,700000),-- [adena]
(20538,1,1,1,1,9500),-- [small_sword]
(20538,1869,1,1,2,9341.319526),-- [iron_ore]
(20538,1864,1,1,2,18682.639052),-- [stem]
(20538,1786,1,1,2,7473.041422),-- [rp_broad_sword]
(20539,41,1,1,-1,129078),-- [cloth_cap]
(20539,1786,1,1,-1,21685),-- [rp_broad_sword]
(20539,1787,1,1,-1,21685),-- [rp_willow_staff]
(20539,57,13,20,0,700000),-- [adena]
(20539,253,1,1,1,9500),-- [spike_glove]
(20539,1869,1,1,2,7006.000308),-- [iron_ore]
(20539,1864,1,1,2,14012.062269),-- [stem]
(20539,1787,1,1,2,5604.812577),-- [rp_willow_staff]
(20539,17,10,30,2,35030.124846),-- [wooden_arrow]
(20540,1873,1,1,-1,69008),-- [silver_nugget]
(20540,1831,1,1,-1,460056),-- [antidote]
(20540,1896,1,1,-1,73102),-- [necklace_of_anguish_chain]
(20540,57,92,127,0,700000),-- [adena]
(20540,23,1,1,1,1110.321144),-- [wooden_breastplate]
(20540,30,1,1,1,1778.839428),-- [hard_leather_pants]
(20540,2386,1,1,1,1778.839428),-- [wooden_gaiters]
(20540,1873,1,1,2,13589.375913),-- [silver_nugget]
(20540,1868,1,1,2,67946.879565),-- [thread]
(20540,736,1,1,2,16986.744522),-- [scroll_of_escape]
(20541,2173,1,1,-1,55023),-- [rp_hard_leather_shirt]
(20541,1925,1,1,-1,133138),-- [leather_gloves_lining]
(20541,1897,1,1,-1,48342),-- [necklace_of_wisdom_chain]
(20541,57,99,159,0,700000),-- [adena]
(20541,272,1,1,1,114.2699),-- [bow_of_forest]
(20541,2013,1,1,1,1294.7301),-- [bow_of_forest_shaft]
(20541,1864,1,1,2,29986.73072),-- [stem]
(20541,1865,1,1,2,14993.36536),-- [varnish]
(20541,1866,1,1,2,9995.609259),-- [suede]
(20541,1873,1,1,2,5997.346144),-- [silver_nugget]
(20541,1868,1,1,2,29986.73072),-- [thread]
(20541,2143,1,1,2,2998.673072),-- [rp_synthesis_cokes]
(20541,5158,1,1,2,599.715203),-- [rp_comp_spiritshot_d]
(20541,734,1,1,2,2498.829522),-- [quick_step_potion]
(20542,1878,1,1,-1,90559),-- [braided_hemp]
(20542,734,1,1,-1,37733),-- [quick_step_potion]
(20542,1869,1,1,-1,226397),-- [iron_ore]
(20542,57,106,181,0,700000),-- [adena]
(20542,272,1,1,1,127.4081),-- [bow_of_forest]
(20542,2013,1,1,1,1443.5919),-- [bow_of_forest_shaft]
(20542,1864,1,1,2,53499.46836),-- [stem]
(20542,1869,1,1,2,26749.73418),-- [iron_ore]
(20542,1878,1,1,2,10699.93587),-- [braided_hemp]
(20542,1801,1,1,2,13475.9313),-- [rp_piece_bone_gaiters]
(20542,5158,1,1,2,1069.93029),-- [rp_comp_spiritshot_d]
(20543,2252,1,1,-1,9320),-- [rp_iron_hammer]
(20543,908,1,1,-1,4987),-- [necklace_of_wisdom]
(20543,1882,1,1,-1,50535),-- [leather]
(20543,57,105,183,0,700000),-- [adena]
(20543,309,1,1,1,128),-- [tears_of_eva]
(20543,310,1,1,1,128),-- [relic_of_saints]
(20543,1867,1,1,2,35825.538606),-- [animal_skin]
(20543,1872,1,1,2,35825.538606),-- [animal_bone]
(20543,1882,1,1,2,5970.900312),-- [leather]
(20543,2139,1,1,2,5373.782934),-- [rp_steel_mold]
(20543,6037,1,1,2,53738.239542),-- [scroll_of_awake]
(20544,1870,1,1,-1,27106),-- [coal]
(20544,1872,1,1,-1,36142),-- [animal_bone]
(20544,1788,1,1,-1,21685),-- [rp_bow]
(20544,57,13,20,0,700000),-- [adena]
(20544,21,1,1,1,24799.8649),-- [shirt]
(20544,28,1,1,1,39470.1351),-- [pants]
(20544,1869,1,1,2,9341.319526),-- [iron_ore]
(20544,1864,1,1,2,18682.639052),-- [stem]
(20544,1788,1,1,2,7473.041422),-- [rp_bow]
(20545,21,1,1,-1,28176),-- [shirt]
(20545,1786,1,1,-1,12736),-- [rp_broad_sword]
(20545,1873,1,1,-1,6368),-- [silver_nugget]
(20545,57,8,12,0,700000),-- [adena]
(20545,18,1,1,1,54861.301984),-- [leather_shield]
(20545,41,1,1,1,39186.698016),-- [cloth_cap]
(20545,1868,1,1,2,6583.31885),-- [thread]
(20545,1873,1,1,2,1316.6772),-- [silver_nugget]
(20545,1788,1,1,2,2633.320825),-- [rp_bow]
(20545,6037,1,1,2,6583.31885),-- [scroll_of_awake]
(20545,17,10,30,2,16458.364275),-- [wooden_arrow]
(20546,2279,1,1,-1,4867),-- [rp_hammer_in_flames]
(20546,2979,1,1,-1,91220),-- [rp_manticor_skin_gloves]
(20546,1877,1,1,-1,27257),-- [admantite_nugget]
(20546,57,288,574,0,700000),-- [adena]
(20546,849,1,1,1,366.707265),-- [tiger'seye_earing]
(20546,1901,1,1,1,12510.465306),-- [tiger'seye_earing_stone]
(20546,912,1,1,1,274.883163),-- [near_forest_necklace]
(20546,880,1,1,1,548.944266),-- [black_pearl_ring]
(20546,1876,1,1,2,9057.60408),-- [mithril_ore]
(20546,1880,1,1,2,4528.80204),-- [steel]
(20546,1877,1,1,2,1811.5361),-- [admantite_nugget]
(20546,1881,1,1,2,6038.40272),-- [coarse_bone_powder]
(20546,1882,1,1,2,10064.01727),-- [leather]
(20546,2276,1,1,2,323.48586),-- [rp_maingauche]
(20546,2274,1,1,2,323.48586),-- [rp_skull_breaker]
(20546,2976,1,1,2,6062.66607),-- [rp_manticor_skin_boots]
(20547,2151,1,1,-1,105333),-- [rp_necklace_of_devotion]
(20547,1804,1,1,-1,15126),-- [rp_soulshot_d]
(20547,1898,1,1,-1,38844),-- [blue_diamond_necklace_gem]
(20547,57,173,305,0,700000),-- [adena]
(20547,39,1,1,1,1567.677996),-- [boots]
(20547,1930,1,1,1,19093.621779),-- [boots_lining]
(20547,51,1,1,1,1567.700225),-- [bracer]
(20547,1870,1,1,2,44679.094416),-- [coal]
(20547,1865,1,1,2,44679.094416),-- [varnish]
(20547,5163,1,1,2,1787.147716),-- [rp_comp_bspiritshot_d]
(20547,5268,1,1,2,1787.147716),-- [rp_adv_comp_soulshot_d]
(20547,734,1,1,2,7446.515736),-- [quick_step_potion]
(20548,1865,1,1,-1,385707),-- [varnish]
(20548,1930,1,1,-1,98899),-- [boots_lining]
(20548,1804,1,1,-1,15428),-- [rp_soulshot_d]
(20548,57,177,312,0,700000),-- [adena]
(20548,625,1,1,1,2301.462072),-- [bone_shield]
(20548,1148,1,1,1,1604.537928),-- [hard_leather_helmet]
(20548,1869,1,1,2,56965.863183),-- [iron_ore]
(20548,1864,1,1,2,113931.905239),-- [stem]
(20548,1880,1,1,2,5696.568431),-- [steel]
(20548,5268,1,1,2,2278.663147),-- [rp_adv_comp_soulshot_d]
(20549,1880,1,1,-1,140167),-- [steel]
(20549,1938,1,1,-1,94230),-- [mithril_banded_mail_material]
(20549,1901,1,1,-1,193601),-- [tiger'seye_earing_stone]
(20549,57,592,1181,0,700000),-- [adena]
(20549,83,1,1,1,45.0906),-- [sword_of_magic]
(20549,144,1,1,1,45.0906),-- [sword_of_occult]
(20549,124,1,1,1,33.40344),-- [two-handed_sword]
(20549,2026,1,1,1,1494.606795),-- [two-handed_sword_edge]
(20549,127,1,1,1,33.40344),-- [crimson_sword]
(20549,130,1,1,1,33.405125),-- [elven_sword]
(20549,1871,1,1,2,124209.598502),-- [charcoal]
(20549,1866,1,1,2,82806.564841),-- [suede]
(20549,1877,1,1,2,4968.224734),-- [admantite_nugget]
(20549,2277,1,1,2,887.076377),-- [rp_bich'hwa]
(20549,6667,1,1,2,77630.874684),-- [key_of_treasure_box3]
(20549,1341,20,60,2,207016.660862),-- [bone_arrow]
(20550,2276,1,1,-1,5536),-- [rp_maingauche]
(20550,394,1,1,-1,1325),-- [reinforce_leather_shirt]
(20550,2154,1,1,-1,82984),-- [rp_elven_earing]
(20550,57,327,655,0,700000),-- [adena]
(20550,393,1,1,1,117.40802),-- [mithril_banded_mail]
(20550,1938,1,1,1,4617.24182),-- [mithril_banded_mail_material]
(20550,394,1,1,1,117.40802),-- [reinforce_leather_shirt]
(20550,415,1,1,1,187.65916),-- [mithril_banded_gaiters]
(20550,1939,1,1,1,6032.63508),-- [mithril_banded_gaiters_material]
(20550,416,1,1,1,187.6479),-- [reinforce_leather_gaiters]
(20550,1868,1,1,2,117742.435811),-- [thread]
(20550,1873,1,1,2,23548.518392),-- [silver_nugget]
(20550,5549,1,1,2,5887.129598),-- [iron_thread]
(20550,1889,1,1,2,3924.805115),-- [compound_braid]
(20550,2272,1,1,2,420.509257),-- [rp_sword_of_revolution]
(20550,2274,1,1,2,420.509257),-- [rp_skull_breaker]
(20550,2148,1,1,2,4205.09257),-- [rp_crafted_leather]
(20551,1874,1,1,-1,52310),-- [oriharukon_ore]
(20551,2034,1,1,-1,8290),-- [sword_of_revolution_blade]
(20551,1902,1,1,-1,79498),-- [elven_earing_beads]
(20551,57,332,662,0,700000),-- [adena]
(20551,850,1,1,1,188.03786),-- [elven_earing]
(20551,1902,1,1,1,6848.930925),-- [elven_earing_beads]
(20551,913,1,1,1,141.128575),-- [elven_necklace]
(20551,1904,1,1,1,6308.810455),-- [elven_necklace_beads]
(20551,881,1,1,1,282.25715),-- [elven_ring]
(20551,1903,1,1,1,11275.835035),-- [elven_ring_piece]
(20551,1872,1,1,2,77257.841813),-- [animal_bone]
(20551,1867,1,1,2,77257.841813),-- [animal_skin]
(20551,1881,1,1,2,7725.80127),-- [coarse_bone_powder]
(20551,1875,1,1,2,3862.900635),-- [stone_of_purity]
(20551,2145,1,1,2,4138.88314),-- [rp_mithirl_alloy]
(20551,2288,1,1,2,321.951108),-- [rp_ghost_staff]
(20551,2287,1,1,2,321.780221),-- [rp_atuba_hammer]
(20552,1902,1,1,-1,170992),-- [elven_earing_beads]
(20552,1825,1,1,-1,120549),-- [rp_oriharukon]
(20552,1903,1,1,-1,281516),-- [elven_ring_piece]
(20552,57,714,1424,0,700000),-- [adena]
(20552,129,1,1,1,81.2308),-- [sword_of_revolution]
(20552,2034,1,1,1,4608.7692),-- [sword_of_revolution_blade]
(20552,1864,1,3,2,145400.811275),-- [stem]
(20552,1869,1,1,2,145400.811275),-- [iron_ore]
(20552,1878,1,1,2,58160.32451),-- [braided_hemp]
(20552,1884,1,1,2,89477.457255),-- [cord]
(20552,2285,1,1,2,807.870585),-- [rp_claymore]
(20552,2208,1,1,2,14867.7251),-- [rp_ogre_power_gauntlet]
(20553,2145,1,1,-1,62124),-- [rp_mithirl_alloy]
(20553,1904,1,1,-1,81170),-- [elven_necklace_beads]
(20553,1865,1,1,-1,869731),-- [varnish]
(20553,57,368,733,0,700000),-- [adena]
(20553,318,1,1,1,41.858726),-- [crucifix_of_blood]
(20553,2042,1,1,1,2077.141274),-- [crucifix_of_blood_piece]
(20553,1865,1,1,2,74930.706489),-- [varnish]
(20553,1870,1,1,2,74930.706489),-- [coal]
(20553,1879,1,1,2,12488.36337),-- [cokes]
(20553,1875,1,1,2,4995.345348),-- [stone_of_purity]
(20553,2285,1,1,2,416.278779),-- [rp_claymore]
(20553,2208,1,1,2,7661.599525),-- [rp_ogre_power_gauntlet]
(20554,1941,1,1,-1,40488),-- [brigandine_temper]
(20554,2146,1,1,-1,72720),-- [rp_artisan's_frame]
(20554,1902,1,1,-1,103148),-- [elven_earing_beads]
(20554,57,425,848,0,700000),-- [adena]
(20554,224,1,1,1,24.49914),-- [maingauche]
(20554,2038,1,1,1,1390.00086),-- [maingauche_edge]
(20554,1660,1,1,1,24.49914),-- [cursed_maingauche]
(20554,2044,1,1,1,1390.00086),-- [cursed_maingauche_edge]
(20554,1869,1,1,2,75180.860924),-- [iron_ore]
(20554,1864,1,1,2,150361.472222),-- [stem]
(20554,1880,1,1,2,7517.986242),-- [steel]
(20554,5550,1,1,2,1002.498016),-- [reinforcing_plate]
(20554,5473,1,1,2,5369.954512),-- [rp_reinforcing_plate]
(20554,2208,1,1,2,7687.23267),-- [rp_ogre_power_gauntlet]
(20554,6036,1,1,2,2505.995414),-- [potion_of_acumen3]
(20555,1903,1,1,-1,152869),-- [elven_ring_piece]
(20555,2296,1,1,-1,5091),-- [rp_atuba_mace]
(20555,1878,1,1,-1,366579),-- [braided_hemp]
(20555,57,383,764,0,700000),-- [adena]
(20555,395,1,1,1,137.708965),-- [manticor_skin_shirt]
(20555,1942,1,1,1,6040.76583),-- [manticor_skin_shirt_texture]
(20555,417,1,1,1,219.926575),-- [manticor_skin_gaiters]
(20555,1943,1,1,1,9406.59863),-- [manticor_skin_gaiters_pattern]
(20555,1869,1,1,2,78955.380156),-- [iron_ore]
(20555,1864,1,1,2,157910.500785),-- [stem]
(20555,1880,1,1,2,7895.589921),-- [steel]
(20555,5550,1,1,2,1052.641512),-- [reinforcing_plate]
(20555,5473,1,1,2,5639.781237),-- [rp_reinforcing_plate]
(20555,2208,1,1,2,8073.106389),-- [rp_ogre_power_gauntlet]
(20556,2305,1,1,-1,4246),-- [rp_crystal_staff]
(20556,1957,1,1,-1,108518),-- [assault_boots_part]
(20556,1874,1,1,-1,64821),-- [oriharukon_ore]
(20556,57,394,788,0,700000),-- [adena]
(20556,438,1,1,1,133.188891),-- [sage's_rag]
(20556,1953,1,1,1,7819.811109),-- [sage's_rag_lining]
(20556,1870,1,1,2,81375.725358),-- [coal]
(20556,1865,1,1,2,81375.725358),-- [varnish]
(20556,1874,1,1,2,5424.977848),-- [oriharukon_ore]
(20556,2160,1,1,2,5250.115032),-- [rp_moonstone_earing]
(20556,2205,1,1,2,2575.172257),-- [rp_chain_gaiters]
(20556,5154,1,1,2,271.284147),-- [rp_comp_soulshot_c]
(20557,2055,1,1,-1,8505),-- [glaive_edge]
(20557,3954,1,1,-1,3429),-- [rp_blessed_spiritshot_c]
(20557,4469,1,1,-1,5878),-- [dye_s1c1_d]
(20557,57,414,837,0,700000),-- [adena]
(20557,297,1,1,1,37.24522),-- [glaive]
(20557,2055,1,1,1,2135.75478),-- [glaive_edge]
(20557,1871,1,1,2,73789.958951),-- [charcoal]
(20557,1866,1,1,2,49193.253063),-- [suede]
(20557,1877,1,1,2,2951.585661),-- [admantite_nugget]
(20557,2297,1,1,2,322.18739),-- [rp_flamberge]
(20557,5154,1,1,2,246.00515),-- [rp_comp_soulshot_c]
(20557,2994,1,1,2,5856.350987),-- [rp_boots_of_seal]
(20557,6668,1,1,2,26353.658798),-- [key_of_treasure_box4]
(20558,2932,1,1,-1,118674),-- [plate_boots_design]
(20558,2310,1,1,-1,4643),-- [rp_darkelven_dagger]
(20558,1905,1,1,-1,103435),-- [onyxbeast'seye_earing_gemstone]
(20558,57,420,854,0,700000),-- [adena]
(20558,851,1,1,1,190.763013),-- [onyxbeast'seye_earing]
(20558,1905,1,1,1,8656.463781),-- [onyxbeast'seye_earing_gemstone]
(20558,914,1,1,1,143.065335),-- [necklace_of_darkness]
(20558,1907,1,1,1,6190.504908),-- [necklace_of_darkness_gem]
(20558,882,1,1,1,286.13067),-- [mithril_ring]
(20558,1906,1,1,1,12232.072293),-- [mithril_ring_wire]
(20558,1875,1,1,2,4449.576105),-- [stone_of_purity]
(20558,1879,1,1,2,11124.02291),-- [cokes]
(20558,1885,1,1,2,5562.011455),-- [high_grade_suede]
(20558,5550,1,1,2,889.94828),-- [reinforcing_plate]
(20558,5549,1,1,2,6674.446805),-- [iron_thread]
(20558,2988,1,1,2,2816.130915),-- [rp_tempered_mithril_gaiters]
(20558,2303,1,1,2,291.415085),-- [rp_skull_graver]
(20558,1342,10,30,2,133487.448445),-- [fine_steel_arrow]
(20559,2164,1,1,-1,96165),-- [rp_ring_of_protection]
(20559,1873,1,1,-1,500056),-- [silver_nugget]
(20559,2163,1,1,-1,63783),-- [rp_earing_of_protection]
(20559,57,492,1009,0,700000),-- [adena]
(20559,71,1,1,1,16.754325),-- [flamberge]
(20559,2059,1,1,1,1096.923506),-- [flamberge_blade]
(20559,72,1,1,1,16.754325),-- [stormbringer]
(20559,2060,1,1,1,1172.567844),-- [stormbringer_blade]
(20559,1895,1,1,2,21101.178213),-- [metallic_fiber]
(20559,2164,1,1,2,5681.076912),-- [rp_ring_of_protection]
(20559,5154,1,1,2,246.186135),-- [rp_comp_soulshot_c]
(20559,2219,1,1,2,4587.203421),-- [rp_crimson_boots]
(20559,8723,1,1,2,2954.162826),-- [general_46_c]
(20559,8733,1,1,2,738.558405),-- [special_46_c]
(20559,8743,1,1,2,73.838142),-- [rare_46_c]
(20559,8753,1,1,2,14.795946),-- [unique_46_c]
(20560,2165,1,1,-1,44638),-- [rp_necklace_of_protection]
(20560,2320,1,1,-1,4059),-- [rp_cursed_staff]
(20560,1908,1,1,-1,110326),-- [moonstone_earing_wire]
(20560,57,461,936,0,700000),-- [adena]
(20560,852,1,1,1,153.844505),-- [moonstone_earing]
(20560,1908,1,1,1,8690.69005),-- [moonstone_earing_wire]
(20560,915,1,1,1,115.433245),-- [aquastone_necklace]
(20560,1910,1,1,1,6910.66439),-- [aquastone_necklace_chain]
(20560,883,1,1,1,230.86649),-- [aquastone_ring]
(20560,1909,1,1,1,12393.50132),-- [aquastone_ring_wire]
(20560,1864,1,1,2,84710.585259),-- [stem]
(20560,1865,1,1,2,42355.424115),-- [varnish]
(20560,1866,1,1,2,28236.774096),-- [suede]
(20560,1873,1,1,2,16942.169646),-- [silver_nugget]
(20560,1868,1,1,2,84710.585259),-- [thread]
(20560,2323,1,1,2,147.526731),-- [rp_elemental_bow]
(20560,2225,1,1,2,920.661471),-- [rp_demon's_hose]
(20560,2321,1,1,2,147.526731),-- [rp_stiletto]
(20560,3003,1,1,2,2630.761884),-- [rp_gloves_of_seal]
(20560,8723,1,1,2,1694.322153),-- [general_46_c]
(20560,8733,1,1,2,423.646281),-- [special_46_c]
(20560,8743,1,1,2,42.338331),-- [rare_46_c]
(20560,8753,1,1,2,8.678043),-- [unique_46_c]
(20561,1880,1,1,-1,137957),-- [steel]
(20561,2940,1,1,-1,124006),-- [dwarven_chain_boots_part]
(20561,2164,1,1,-1,106120),-- [rp_ring_of_protection]
(20561,57,543,1111,0,700000),-- [adena]
(20561,96,1,1,1,12.329282),-- [scythe]
(20561,2062,1,1,1,852.33652),-- [scythe_edge]
(20561,298,1,1,1,12.329282),-- [orcish_glaive]
(20561,2075,1,1,1,852.33652),-- [orcish_glaive_blade]
(20561,302,1,1,1,12.329282),-- [body_slasher]
(20561,2076,1,1,1,852.339114),-- [body_slasher_blade]
(20561,1866,1,1,2,36222.406578),-- [suede]
(20561,1871,1,1,2,54333.46539),-- [charcoal]
(20561,5220,1,1,2,2173.223034),-- [reinforcing_agent]
(20561,1885,1,1,2,4527.90918),-- [high_grade_suede]
(20561,4041,1,1,2,472.43979),-- [mold_hardener]
(20561,6037,1,1,2,108667.219734),-- [scroll_of_awake]
(20561,6668,1,1,2,19404.70587),-- [key_of_treasure_box4]
(20561,8723,1,1,2,2173.223034),-- [general_46_c]
(20561,8733,1,1,2,543.23352),-- [special_46_c]
(20561,8743,1,1,2,54.323352),-- [rare_46_c]
(20561,8753,1,1,2,10.980252),-- [unique_46_c]
(20561,1832,1,1,2,60370.870266),-- [advanced_antidote]
(20562,1867,1,3,-1,885212),-- [animal_skin]
(20562,2346,1,1,-1,3088),-- [rp_fist_blade]
(20562,440,1,1,-1,440),-- [robe_of_seal]
(20562,57,524,1069,0,700000),-- [adena]
(20562,853,1,1,1,130.303378),-- [earing_of_protection]
(20562,1911,1,1,1,7293.4976),-- [earing_of_protection_gemstone]
(20562,916,1,1,1,97.763904),-- [necklace_of_protection]
(20562,1913,1,1,1,5962.967722),-- [necklace_of_protection_gemstone]
(20562,884,1,1,1,195.527808),-- [ring_of_protection]
(20562,1912,1,1,1,10566.939588),-- [ring_of_protection_gemstone]
(20562,1869,1,1,2,45255.831726),-- [iron_ore]
(20562,1864,1,1,2,90511.663452),-- [stem]
(20562,1880,1,1,2,4525.559262),-- [steel]
(20562,5550,1,1,2,603.503544),-- [reinforcing_plate]
(20562,4043,1,1,2,1508.519754),-- [asofe]
(20562,2166,1,1,2,1534.104096),-- [rp_earing_of_binding]
(20562,2230,1,1,2,877.040808),-- [rp_theca_leather_gaiters]
(20562,2226,1,1,2,1847.09385),-- [rp_mithril_gauntlet]
(20562,8724,1,1,2,1508.519754),-- [general_49_c]
(20562,8734,1,1,2,377.070162),-- [special_49_c]
(20562,8744,1,1,2,37.778748),-- [rare_49_c]
(20562,8754,1,1,2,7.651392),-- [unique_49_c]
(20562,1342,10,30,2,90511.663452),-- [fine_steel_arrow]
(20563,1825,1,1,-1,77898),-- [rp_oriharukon]
(20563,1941,1,1,-1,43371),-- [brigandine_temper]
(20563,1864,1,5,-1,727049),-- [stem]
(20563,57,455,909,0,700000),-- [adena]
(20563,1124,1,1,1,122.767366),-- [boots_of_power]
(20563,1948,1,1,1,4761.357634),-- [boots_of_power_pattern]
(20563,2424,1,1,1,122.767366),-- [manticor_skin_boots]
(20563,2923,1,1,1,4761.357634),-- [manticor_skin_boots_lining]
(20563,2425,1,1,1,122.767366),-- [brigandine_boots]
(20563,2924,1,1,1,4761.357634),-- [brigandine_boots_design]
(20563,2426,1,1,1,122.767366),-- [elven_mithril_boots]
(20563,2925,1,1,1,4761.357634),-- [elven_mithril_boots_design]
(20563,606,1,1,1,122.767366),-- [gauntlet_of_repose_of_the_soul]
(20563,1946,1,1,1,4761.357634),-- [gauntlet_of_repose_of_the_soul_pattern]
(20563,2448,1,1,1,122.767366),-- [manticor_skin_gloves]
(20563,2926,1,1,1,4761.357634),-- [manticor_skin_gloves_linging]
(20563,2449,1,1,1,122.767366),-- [brigandine_gauntlet]
(20563,2927,1,1,1,4761.357634),-- [brigandine_gauntlet_pattern]
(20563,2450,1,1,1,122.767366),-- [elven_mithril_gloves]
(20563,2928,1,1,1,4761.357634),-- [elven_mithril_gloves_design]
(20563,1870,1,1,2,93956.963796),-- [coal]
(20563,1865,1,1,2,93956.963796),-- [varnish]
(20563,1874,1,1,2,6263.716176),-- [oriharukon_ore]
(20563,2160,1,1,2,6061.818384),-- [rp_moonstone_earing]
(20563,2205,1,1,2,2973.311334),-- [rp_chain_gaiters]
(20563,5154,1,1,2,313.226514),-- [rp_comp_soulshot_c]
(20564,1885,1,1,-1,82647),-- [high_grade_suede]
(20564,2306,1,1,-1,4331),-- [rp_stick_of_faith]
(20564,1864,1,5,-1,661179),-- [stem]
(20564,57,402,804,0,700000),-- [adena]
(20564,630,1,1,1,210.139151),-- [square_shield]
(20564,1956,1,1,1,9421.286455),-- [square_shield_fragment]
(20564,2494,1,1,1,210.139151),-- [plate_shield]
(20564,2934,1,1,1,9421.286455),-- [plate_shield_fragment]
(20564,2412,1,1,1,147.157438),-- [plate_helmet]
(20564,2930,1,1,1,6690.99135),-- [plate_helmet_design]
(20564,1871,1,1,2,71145.919102),-- [charcoal]
(20564,1866,1,1,2,47430.561726),-- [suede]
(20564,1877,1,1,2,2845.824522),-- [admantite_nugget]
(20564,2297,1,1,2,310.64278),-- [rp_flamberge]
(20564,5154,1,1,2,237.1903),-- [rp_comp_soulshot_c]
(20564,2994,1,1,2,5646.506374),-- [rp_boots_of_seal]
(20564,6668,1,1,2,25409.355196),-- [key_of_treasure_box4]
(20565,1865,1,3,-1,572525),-- [varnish]
(20565,3954,1,1,-1,3817),-- [rp_blessed_spiritshot_c]
(20565,4470,1,1,-1,6543),-- [dye_s1d1_d]
(20565,57,461,932,0,700000),-- [adena]
(20565,262,1,1,1,41.46166),-- [scallop_jamadhr]
(20565,2053,1,1,1,2377.53834),-- [scallop_jamadhr_edge]
(20565,1875,1,1,2,5476.173086),-- [stone_of_purity]
(20565,1879,1,1,2,13690.452288),-- [cokes]
(20565,1885,1,1,2,6845.226144),-- [high_grade_suede]
(20565,5550,1,1,2,1095.226788),-- [reinforcing_plate]
(20565,5549,1,1,2,8214.279202),-- [iron_thread]
(20565,2988,1,1,2,3465.947694),-- [rp_tempered_mithril_gaiters]
(20565,2303,1,1,2,358.694798),-- [rp_skull_graver]
(20566,2995,1,1,-1,95820),-- [rp_reinforce_mithril_gloves]
(20566,3000,1,1,-1,77393),-- [rp_dwarven_chain_shield]
(20566,1905,1,1,-1,117445),-- [onyxbeast'seye_earing_gemstone]
(20566,57,477,970,0,700000),-- [adena]
(20566,630,1,1,1,255.812474),-- [square_shield]
(20566,1956,1,1,1,11468.98417),-- [square_shield_fragment]
(20566,2494,1,1,1,255.812474),-- [plate_shield]
(20566,2934,1,1,1,11468.98417),-- [plate_shield_fragment]
(20566,2412,1,1,1,179.141812),-- [plate_helmet]
(20566,2930,1,1,1,8145.2649),-- [plate_helmet_design]
(20566,1895,1,1,2,21652.597538),-- [metallic_fiber]
(20566,2164,1,1,2,5829.535712),-- [rp_ring_of_protection]
(20566,5154,1,1,2,252.61951),-- [rp_comp_soulshot_c]
(20566,2219,1,1,2,4707.076946),-- [rp_crimson_boots]
(20566,8723,1,1,2,3031.361476),-- [general_46_c]
(20566,8733,1,1,2,757.85853),-- [special_46_c]
(20566,8743,1,1,2,75.767692),-- [rare_46_c]
(20566,8753,1,1,2,15.182596),-- [unique_46_c]
(20567,2061,1,1,-1,10331),-- [big_hammer_head]
(20567,3004,1,1,-1,83015),-- [rp_rind_leather_gloves]
(20567,2165,1,1,-1,51209),-- [rp_necklace_of_protection]
(20567,57,526,1078,0,700000),-- [adena]
(20567,263,1,1,1,35.829805),-- [chakram]
(20567,2073,1,1,1,2441.170195),-- [chakram_edge]
(20567,1864,1,1,2,97180.198849),-- [stem]
(20567,1865,1,1,2,48590.250265),-- [varnish]
(20567,1866,1,1,2,32393.299056),-- [suede]
(20567,1873,1,1,2,19436.100106),-- [silver_nugget]
(20567,1868,1,1,2,97180.198849),-- [thread]
(20567,2323,1,1,2,169.243041),-- [rp_elemental_bow]
(20567,2225,1,1,2,1056.185181),-- [rp_demon's_hose]
(20567,2321,1,1,2,169.243041),-- [rp_stiletto]
(20567,3003,1,1,2,3018.016724),-- [rp_gloves_of_seal]
(20567,8723,1,1,2,1943.730683),-- [general_46_c]
(20567,8733,1,1,2,486.008091),-- [special_46_c]
(20567,8743,1,1,2,48.570641),-- [rare_46_c]
(20567,8753,1,1,2,9.955473),-- [unique_46_c]
(20568,1961,1,1,-1,37654),-- [tempered_mithril_shirt_fabric]
(20568,1884,1,1,-1,724122),-- [cord]
(20568,1908,1,1,-1,111430),-- [moonstone_earing_wire]
(20568,57,465,945,0,700000),-- [adena]
(20568,89,1,1,1,3.942464),-- [big_hammer]
(20568,2061,1,1,1,268.608336),-- [big_hammer_head]
(20568,160,1,1,1,3.942464),-- [battle_axe]
(20568,2063,1,1,1,268.608336),-- [battle_axe_head]
(20568,161,1,1,1,3.942464),-- [war_pick]
(20568,2064,1,1,1,268.608336),-- [war_pick_head]
(20568,173,1,1,1,3.942464),-- [skull_graver]
(20568,2065,1,1,1,268.608336),-- [skull_graver_head]
(20568,191,1,1,1,3.942464),-- [heavy_doom_hammer]
(20568,2066,1,1,1,272.557256),-- [heavy_doom_hammer_head]
(20568,192,1,1,1,3.942464),-- [crystal_staff]
(20568,2067,1,1,1,250.458368),-- [crystal_staff_head]
(20568,193,1,1,1,3.942464),-- [stick_of_faith]
(20568,2068,1,1,1,250.458368),-- [stick_of_faith_shaft]
(20568,194,1,1,1,3.942464),-- [heavy_doom_axe]
(20568,2069,1,1,1,272.552952),-- [heavy_doom_axe_blade]
(20568,1864,1,1,2,101113.780967),-- [stem]
(20568,1865,1,1,2,50557.04531),-- [varnish]
(20568,1866,1,1,2,33704.490438),-- [suede]
(20568,1873,1,1,2,20222.818124),-- [silver_nugget]
(20568,1868,1,1,2,101113.780967),-- [thread]
(20568,2324,1,1,2,176.192557),-- [rp_noble_elven_bow]
(20568,2321,1,1,2,176.192557),-- [rp_stiletto]
(20568,8723,1,1,2,2022.343743),-- [general_46_c]
(20568,8733,1,1,2,505.663349),-- [special_46_c]
(20568,8743,1,1,2,50.473439),-- [rare_46_c]
(20568,8753,1,1,2,10.218549),-- [unique_46_c]
(20569,3001,1,1,-1,79425),-- [rp_rind_leather_boots]
(20569,1961,1,1,-1,40920),-- [tempered_mithril_shirt_fabric]
(20569,2213,1,1,-1,19856),-- [rp_dwarven_chain_mail_shirt]
(20569,57,504,1030,0,700000),-- [adena]
(20569,631,1,1,1,197.50464),-- [eldarake]
(20569,1964,1,1,1,8139.151692),-- [eldarake_temper]
(20569,2495,1,1,1,197.50464),-- [chain_shield]
(20569,2945,1,1,1,8139.151692);-- [chain_shield_fragment]

INSERT INTO `droplist` VALUES
(20569,2413,1,1,1,138.253248),-- [chain_hood]
(20569,2936,1,1,1,7392.434088),-- [chain_hood_pattern]
(20569,1865,1,1,2,50362.6134),-- [varnish]
(20569,1870,1,1,2,50362.6134),-- [coal]
(20569,1879,1,1,2,8393.82225),-- [cokes]
(20569,1875,1,1,2,3357.5289),-- [stone_of_purity]
(20569,4040,1,1,2,1007.19465),-- [mold_lubricant]
(20569,2508,1,1,2,41968.9512),-- [cursed_bone]
(20569,2230,1,1,2,975.9849),-- [rp_theca_leather_gaiters]
(20569,2220,1,1,2,1042.72575),-- [rp_rind_leather_mail]
(20569,8723,1,1,2,2014.54935),-- [general_46_c]
(20569,8733,1,1,2,503.67735),-- [special_46_c]
(20569,8743,1,1,2,50.41575),-- [rare_46_c]
(20569,8753,1,1,2,9.9231),-- [unique_46_c]
(20570,3008,1,1,-1,46633),-- [rp_theca_leather_gloves]
(20570,2216,1,1,-1,52993),-- [rp_great_helmet]
(20570,1911,1,1,-1,95383),-- [earing_of_protection_gemstone]
(20570,57,506,1033,0,700000),-- [adena]
(20570,355,1,1,1,57.33637),-- [dwarven_chain_mail_shirt]
(20570,1968,1,1,1,3422.90028),-- [dwarven_chain_mail_shirt_material]
(20570,382,1,1,1,91.738192),-- [dwarven_chain_gaiters]
(20570,1969,1,1,1,5429.025158),-- [dwarven_chain_gaiters_material]
(20570,1866,1,1,2,34436.948304),-- [suede]
(20570,1871,1,1,2,51655.471392),-- [charcoal]
(20570,5220,1,1,2,2066.175792),-- [reinforcing_agent]
(20570,1885,1,1,2,4304.606304),-- [high_grade_suede]
(20570,4041,1,1,2,449.134608),-- [mold_hardener]
(20570,2167,1,1,2,2635.497216),-- [rp_ring_of_ages]
(20570,2343,1,1,2,120.088944),-- [rp_mace_of_underworld]
(20570,8724,1,1,2,1721.862096),-- [general_49_c]
(20570,8734,1,1,2,430.441056),-- [special_49_c]
(20570,8744,1,1,2,43.06368),-- [rare_49_c]
(20570,8754,1,1,2,8.710608),-- [unique_49_c]
(20571,2335,1,1,-1,3525),-- [rp_war_axe]
(20571,2968,1,1,-1,10228),-- [dwarven_warhammer_head]
(20571,951,1,1,-1,2756),-- [scrl_of_ench_wp_c]
(20571,57,599,1219,0,700000),-- [adena]
(20571,73,1,1,1,7.60032),-- [shamshir]
(20571,2077,1,1,1,557.89968),-- [shamshir_blade]
(20571,74,1,1,1,7.60032),-- [katana]
(20571,2078,1,1,1,557.89968),-- [katana_blade]
(20571,131,1,1,1,7.60032),-- [spirits_sword]
(20571,2080,1,1,1,557.89968),-- [spirits_sword_blade]
(20571,133,1,1,1,7.60032),-- [raid_sword]
(20571,2081,1,1,1,557.89968),-- [raid_sword_blade]
(20571,1866,1,1,2,34445.326013),-- [suede]
(20571,1871,1,1,2,51667.910581),-- [charcoal]
(20571,5220,1,1,2,2066.697598),-- [reinforcing_agent]
(20571,1885,1,1,2,4305.646142),-- [high_grade_suede]
(20571,4041,1,1,2,449.295728),-- [mold_hardener]
(20571,2336,1,1,2,120.167782),-- [rp_nirvana_axe]
(20571,2508,1,1,2,43056.618297),-- [cursed_bone]
(20571,2351,1,1,2,108.088253),-- [rp_scorpion]
(20571,6668,1,1,2,18452.814002),-- [key_of_treasure_box4]
(20571,8724,1,1,2,1722.195706),-- [general_49_c]
(20571,8734,1,1,2,430.627365),-- [special_49_c]
(20571,8744,1,1,2,42.984298),-- [rare_49_c]
(20571,8754,1,1,2,8.628235),-- [unique_49_c]
(20572,2950,1,1,-1,139779),-- [gloves_of_seal_pattern]
(20572,4125,1,1,-1,73865),-- [rp_maestro_mold]
(20572,1894,1,1,-1,58315),-- [crafted_leather]
(20572,57,656,1338,0,700000),-- [adena]
(20572,94,1,1,1,33.326689),-- [bech_de_corbin]
(20572,2079,1,1,1,2529.673311),-- [bech_de_corbin_blade]
(20572,1867,1,1,2,75526.054989),-- [animal_skin]
(20572,1872,1,1,2,75526.054989),-- [animal_bone]
(20572,1882,1,1,2,12587.842113),-- [leather]
(20572,1894,1,1,2,1987.396488),-- [crafted_leather]
(20572,4042,1,1,2,944.146357),-- [enria]
(20572,3009,1,1,2,2311.977976),-- [rp_composite_boots]
(20572,2508,1,1,2,47203.659657),-- [cursed_bone]
(20572,2224,1,1,2,769.550782),-- [rp_demon's_tunic]
(20572,8724,1,1,2,1888.292714),-- [general_49_c]
(20572,8734,1,1,2,471.906897),-- [special_49_c]
(20572,8744,1,1,2,47.223946),-- [rare_49_c]
(20572,8754,1,1,2,9.311764),-- [unique_49_c]
(20572,1342,10,30,2,113289.581328),-- [fine_steel_arrow]
(20573,2119,1,1,-1,5433),-- [crystal_dagger_blade]
(20573,4122,1,1,-1,52996),-- [rp_maestro_holder]
(20573,5549,1,1,-1,119240),-- [iron_thread]
(20573,57,472,959,0,700000),-- [adena]
(20573,64,1,1,1,130.58758),-- [composite_boots]
(20573,2956,1,1,1,7251.41242),-- [composite_boots_part]
(20573,608,1,1,1,130.58758),-- [mithril_gauntlet]
(20573,1981,1,1,1,7251.41242),-- [mithril_gauntlet_design]
(20573,1868,1,1,2,75862.170244),-- [thread]
(20573,1873,1,1,2,15172.469662),-- [silver_nugget]
(20573,5549,1,1,2,3793.161932),-- [iron_thread]
(20573,1889,1,1,2,2528.715266),-- [compound_braid]
(20573,4044,1,1,2,1264.446666),-- [thons]
(20573,2231,1,1,2,163.464588),-- [rp_full_plate_armor]
(20573,3014,1,1,2,1059.4927),-- [rp_full_plate_boots]
(20573,3019,1,1,2,1011.41488),-- [rp_full_plate_shield]
(20573,8725,1,1,2,1053.616522),-- [general_52_c]
(20573,8735,1,1,2,263.359614),-- [special_52_c]
(20573,8745,1,1,2,26.353768),-- [rare_52_c]
(20573,8755,1,1,2,5.34198),-- [unique_52_c]
(20573,1342,10,30,2,75861.992178),-- [fine_steel_arrow]
(20574,1867,1,3,-1,836382),-- [animal_skin]
(20574,1539,1,1,-1,278794),-- [greater_healing_potion]
(20574,4601,1,1,-1,2788),-- [dye_s3c3_c]
(20574,57,497,1009,0,700000),-- [adena]
(20574,75,1,1,1,2.616499),-- [caliburs]
(20574,2089,1,1,1,235.550644),-- [caliburs_edge]
(20574,76,1,1,1,2.616499),-- [sword_of_delusion]
(20574,2090,1,1,1,235.550644),-- [sword_of_delusion_blade]
(20574,77,1,1,1,2.616499),-- [tsurugi]
(20574,2091,1,1,1,235.550644),-- [tsurugi_blade]
(20574,84,1,1,1,2.616499),-- [homunkulus's_sword]
(20574,2092,1,1,1,235.550644),-- [homunkulus's_sword_blade]
(20574,134,1,1,1,2.616499),-- [sword_of_nightmare]
(20574,2095,1,1,1,235.550644),-- [sword_of_nightmare_blade]
(20574,145,1,1,1,2.616499),-- [deathbreath_sword]
(20574,2096,1,1,1,235.547786),-- [deathbreath_sword_blade]
(20574,1869,1,1,2,39908.739234),-- [iron_ore]
(20574,1864,1,1,2,79817.338965),-- [stem]
(20574,1880,1,1,2,3990.901824),-- [steel]
(20574,5550,1,1,2,532.064442),-- [reinforcing_plate]
(20574,4043,1,1,2,1330.300608),-- [asofe]
(20574,4122,1,1,2,1773.780645),-- [rp_maestro_holder]
(20574,4609,1,1,2,88.723908),-- [dye_m3i3_c]
(20574,4123,1,1,2,1773.780645),-- [rp_maestro_anvil_lock]
(20574,8725,1,1,2,1108.630341),-- [general_52_c]
(20574,8735,1,1,2,277.192461),-- [special_52_c]
(20574,8745,1,1,2,27.761097),-- [rare_52_c]
(20574,8755,1,1,2,5.58012),-- [unique_52_c]
(20574,1539,1,1,2,8868.20571),-- [greater_healing_potion]
(20575,4598,1,1,-1,4711),-- [dye_m2w2_c]
(20575,1806,1,1,-1,2826),-- [rp_soulshot_b]
(20575,1870,1,3,-1,706598),-- [coal]
(20575,57,558,1137,0,700000),-- [adena]
(20575,135,1,1,1,5.534095),-- [samurai_longsword]
(20575,2115,1,1,1,597.588114),-- [samurai_longsword_blade]
(20575,5286,1,1,1,5.534095),-- [berserker_blade]
(20575,5530,1,1,1,598.343696),-- [berserker_blade_edge]
(20575,1870,1,1,2,40137.885173),-- [coal]
(20575,1865,1,1,2,40137.885173),-- [varnish]
(20575,1874,1,1,2,2675.846801),-- [oriharukon_ore]
(20575,4043,1,1,2,1337.96919),-- [asofe]
(20575,4039,1,1,2,1337.96919),-- [mold_glue]
(20575,4145,1,1,2,176.014838),-- [rp_avadon_leather_mail]
(20575,4184,1,1,2,46.247395),-- [rp_sprite's_staff]
(20575,5165,1,1,2,80.314783),-- [rp_comp_bspiritshot_b]
(20575,4180,1,1,2,4459.805721),-- [rp_silver_arrow]
(20575,8726,1,1,2,929.160534),-- [general_55_c]
(20575,8736,1,1,2,232.244344),-- [special_55_c]
(20575,8746,1,1,2,23.261066),-- [rare_55_c]
(20575,8756,1,1,2,4.395792),-- [unique_55_c]
(20576,2119,1,1,-1,12928),-- [crystal_dagger_blade]
(20576,4145,1,1,-1,12443),-- [rp_avadon_leather_mail]
(20576,4591,1,1,-1,9457),-- [dye_c2s2_c]
(20576,57,1121,2284,0,700000),-- [adena]
(20576,855,1,1,1,107.178066),-- [nassen's_earing]
(20576,1918,1,1,1,7561.673208),-- [nassen's_earing_gemstone]
(20576,119,1,1,1,80.395506),-- [necklace_of_binding]
(20576,1920,1,1,1,5974.304355),-- [necklace_of_binding_chain]
(20576,886,1,1,1,160.767099),-- [ring_of_binding]
(20576,2917,1,1,1,10028.681766),-- [ring_of_binding_gemstone]
(20576,1865,1,1,2,80579.603656),-- [varnish]
(20576,1870,1,1,2,80579.603656),-- [coal]
(20576,1879,1,1,2,13429.995894),-- [cokes]
(20576,1875,1,1,2,5371.924016),-- [stone_of_purity]
(20576,4040,1,1,2,1611.540034),-- [mold_lubricant]
(20576,4187,1,1,2,92.741146),-- [rp_kris]
(20576,5155,1,1,2,161.135418),-- [rp_comp_soulshot_b]
(20576,5275,1,1,2,161.135418),-- [rp_adv_comp_spiritshot_b]
(20576,4178,1,1,2,1478.46857),-- [rp_shrnoen's_shield]
(20576,8726,1,1,2,1865.230744),-- [general_55_c]
(20576,8736,1,1,2,466.307686),-- [special_55_c]
(20576,8746,1,1,2,46.649354),-- [rare_55_c]
(20576,8756,1,1,2,9.664408),-- [unique_55_c]
(20577,351,1,1,-1,904),-- [blast_plate]
(20577,2030,1,1,-1,8256),-- [tome_of_blood_page]
(20577,2154,1,1,-1,75575),-- [rp_elven_earing]
(20577,57,298,595,0,700000),-- [adena]
(20577,849,1,1,1,379.875645),-- [tiger'seye_earing]
(20577,1901,1,1,1,12959.713458),-- [tiger'seye_earing_stone]
(20577,912,1,1,1,284.754159),-- [near_forest_necklace]
(20577,880,1,1,1,568.656738),-- [black_pearl_ring]
(20577,1872,1,1,2,71486.457854),-- [animal_bone]
(20577,1867,1,1,2,71486.457854),-- [animal_skin]
(20577,1881,1,1,2,7148.693846),-- [coarse_bone_powder]
(20577,1875,1,1,2,3574.266822),-- [stone_of_purity]
(20577,2154,1,1,2,5740.358064),-- [rp_elven_earing]
(20577,2274,1,1,2,382.88278),-- [rp_skull_breaker]
(20577,2270,1,1,2,382.88278),-- [rp_goathead_staff]
(20578,1882,1,1,-1,170581),-- [leather]
(20578,1939,1,1,-1,67424),-- [mithril_banded_gaiters_material]
(20578,1901,1,1,-1,106024),-- [tiger'seye_earing_stone]
(20578,57,324,649,0,700000),-- [adena]
(20578,278,1,1,1,54.892406),-- [gastraphetes]
(20578,2029,1,1,1,2434.107594),-- [gastraphetes_shaft]
(20578,1868,1,1,2,136045.376456),-- [thread]
(20578,1873,1,1,2,27208.950842),-- [silver_nugget]
(20578,5549,1,1,2,6802.393272),-- [iron_thread]
(20578,1889,1,1,2,4534.928848),-- [compound_braid]
(20578,2273,1,1,2,485.974126),-- [rp_tarbar]
(20578,6037,1,1,2,136045.376456),-- [scroll_of_awake]
(20579,1943,1,1,-1,63570),-- [manticor_skin_gaiters_pattern]
(20579,1946,1,1,-1,108154),-- [gauntlet_of_repose_of_the_soul_pattern]
(20579,1889,1,1,-1,53356),-- [compound_braid]
(20579,57,338,675,0,700000),-- [adena]
(20579,1124,1,1,1,90.093708),-- [boots_of_power]
(20579,1948,1,1,1,3494.156292),-- [boots_of_power_pattern]
(20579,2424,1,1,1,90.093708),-- [manticor_skin_boots]
(20579,2923,1,1,1,3494.156292),-- [manticor_skin_boots_lining]
(20579,2425,1,1,1,90.093708),-- [brigandine_boots]
(20579,2924,1,1,1,3494.156292),-- [brigandine_boots_design]
(20579,2426,1,1,1,90.093708),-- [elven_mithril_boots]
(20579,2925,1,1,1,3494.156292),-- [elven_mithril_boots_design]
(20579,606,1,1,1,90.093708),-- [gauntlet_of_repose_of_the_soul]
(20579,1946,1,1,1,3494.156292),-- [gauntlet_of_repose_of_the_soul_pattern]
(20579,2448,1,1,1,90.093708),-- [manticor_skin_gloves]
(20579,2926,1,1,1,3494.156292),-- [manticor_skin_gloves_linging]
(20579,2449,1,1,1,90.093708),-- [brigandine_gauntlet]
(20579,2927,1,1,1,3494.156292),-- [brigandine_gauntlet_pattern]
(20579,2450,1,1,1,90.093708),-- [elven_mithril_gloves]
(20579,2928,1,1,1,3494.156292),-- [elven_mithril_gloves_design]
(20579,1868,1,1,2,118204.00097),-- [thread]
(20579,1873,1,1,2,23640.800194),-- [silver_nugget]
(20579,5549,1,1,2,5910.288725),-- [iron_thread]
(20579,1889,1,1,2,3940.074248),-- [compound_braid]
(20579,2146,1,1,2,4221.533459),-- [rp_artisan's_frame]
(20579,2286,1,1,2,328.280403),-- [rp_bonebreaker]
(20579,6668,1,1,2,21108.022001),-- [key_of_treasure_box4]
(20580,2031,1,1,-1,15545),-- [morning_star_head]
(20580,1881,1,1,-1,204752),-- [coarse_bone_powder]
(20580,1868,1,7,-1,767821),-- [thread]
(20580,57,649,1296,0,700000),-- [adena]
(20580,395,1,1,1,230.755092),-- [manticor_skin_shirt]
(20580,1942,1,1,1,10122.343704),-- [manticor_skin_shirt_texture]
(20580,417,1,1,1,368.52486),-- [manticor_skin_gaiters]
(20580,1943,1,1,1,15762.376344),-- [manticor_skin_gaiters_pattern]
(20580,1868,1,1,2,264603.200807),-- [thread]
(20580,1873,1,1,2,52920.569394),-- [silver_nugget]
(20580,5549,1,1,2,13230.319267),-- [iron_thread]
(20580,1889,1,1,2,8820.094899),-- [compound_braid]
(20580,2194,1,1,2,13527.896184),-- [rp_mithril_glove]
(20580,2288,1,1,2,734.919449),-- [rp_ghost_staff]
(20581,2202,1,1,-1,88930),-- [rp_assault_boots]
(20581,2036,1,1,-1,8804),-- [skull_breaker_head]
(20581,1902,1,1,-1,88119),-- [elven_earing_beads]
(20581,57,368,733,0,700000),-- [adena]
(20581,279,1,1,1,41.86512),-- [strengthening_long_bow]
(20581,2040,1,1,1,2601.13488),-- [strengthening_long_bow_shaft]
(20581,1875,1,1,2,3330.25374),-- [stone_of_purity]
(20581,1879,1,1,2,8325.729148),-- [cokes]
(20581,1885,1,1,2,4162.769776),-- [high_grade_suede]
(20581,5550,1,1,2,666.050748),-- [reinforcing_plate]
(20581,5549,1,1,2,4995.475408),-- [iron_thread]
(20581,2287,1,1,2,277.568544),-- [rp_atuba_hammer]
(20581,2293,1,1,2,277.568544),-- [rp_glaive]
(20581,2198,1,1,2,1047.328304),-- [rp_sage's_rag]
(20581,1341,10,30,2,166513.255788),-- [bone_arrow]
(20582,1942,1,1,-1,88686),-- [manticor_skin_shirt_texture]
(20582,1894,1,1,-1,61006),-- [crafted_leather]
(20582,1825,1,1,-1,124192),-- [rp_oriharukon]
(20582,57,726,1449,0,700000),-- [adena]
(20582,629,1,1,1,496.832448),-- [kite_shield]
(20582,1947,1,1,1,21567.794024),-- [kite_shield_fragment]
(20582,2493,1,1,1,496.832448),-- [brigandine_shield]
(20582,2929,1,1,1,21567.794024),-- [brigandine_shield_fragment]
(20582,2411,1,1,1,347.95355),-- [brigandine_helmet]
(20582,2922,1,1,1,5768.793506),-- [brigandine_helmet_design]
(20582,1869,1,1,2,128395.14093),-- [iron_ore]
(20582,1864,1,3,2,85596.76062),-- [stem]
(20582,1880,1,1,2,12839.286236),-- [steel]
(20582,5550,1,1,2,1712.117498),-- [reinforcing_plate]
(20582,2987,1,1,2,12465.600756),-- [rp_plate_shield]
(20582,3020,1,1,2,713.19241),-- [rp_elven_long_sword]
(20582,1341,20,60,2,213991.90155),-- [bone_arrow]
(20583,1944,1,1,-1,46746),-- [mithril_tunic_fabric]
(20583,2157,1,1,-1,75739),-- [rp_onyxbeast'seye_earing]
(20583,1903,1,1,-1,152869),-- [elven_ring_piece]
(20583,57,383,764,0,700000),-- [adena]
(20583,261,1,1,1,44.109846),-- [bich'hwa]
(20583,2039,1,1,1,2397.890154),-- [bich'hwa_edge]
(20583,1870,1,1,2,78955.31538),-- [coal]
(20583,1865,1,1,2,78955.31538),-- [varnish]
(20583,1874,1,1,2,5263.61928),-- [oriharukon_ore]
(20583,2160,1,1,2,5093.95752),-- [rp_moonstone_earing]
(20583,2205,1,1,2,2498.57727),-- [rp_chain_gaiters]
(20583,5154,1,1,2,263.21517),-- [rp_comp_soulshot_c]
(20584,2988,1,1,-1,52906),-- [rp_tempered_mithril_gaiters]
(20584,2211,1,1,-1,28114),-- [rp_plate_leather]
(20584,1805,1,1,-1,4180),-- [rp_soulshot_c]
(20584,57,508,1017,0,700000),-- [adena]
(20584,280,1,1,1,45.401225),-- [cyclone_bow]
(20584,2054,1,1,1,2679.598775),-- [cyclone_bow_shaft]
(20584,1871,1,1,2,89948.031909),-- [charcoal]
(20584,1866,1,1,2,59965.290117),-- [suede]
(20584,1877,1,1,2,3597.905799),-- [admantite_nugget]
(20584,2297,1,1,2,392.73801),-- [rp_flamberge]
(20584,5154,1,1,2,299.87385),-- [rp_comp_soulshot_c]
(20584,2994,1,1,2,7138.738833),-- [rp_boots_of_seal]
(20584,6668,1,1,2,32124.421482),-- [key_of_treasure_box4]
(20585,2204,1,1,-1,24481),-- [rp_chain_mail_shirt]
(20585,2308,1,1,-1,5399),-- [rp_cursed_dagger]
(20585,1905,1,1,-1,120264),-- [onyxbeast'seye_earing_gemstone]
(20585,57,498,1006,0,700000),-- [adena]
(20585,159,1,1,1,8.951877),-- [bonebreaker]
(20585,2048,1,1,1,513.264114),-- [bonebreaker_head]
(20585,187,1,1,1,8.951877),-- [atuba_hammer]
(20585,2049,1,1,1,513.264114),-- [atuba_hammer_head]
(20585,188,1,1,1,8.951877),-- [ghost_staff]
(20585,2050,1,1,1,544.225473),-- [ghost_staff_head]
(20585,189,1,1,1,8.951877),-- [life_stick]
(20585,2051,1,1,1,544.225473),-- [life_stick_shaft]
(20585,190,1,1,1,8.951877),-- [atuba_mace]
(20585,2058,1,1,1,513.261441),-- [atuba_mace_head]
(20585,1875,1,1,2,5912.493115),-- [stone_of_purity]
(20585,1879,1,1,2,14781.25392),-- [cokes]
(20585,1885,1,1,2,7390.62696),-- [high_grade_suede]
(20585,5550,1,1,2,1182.49017),-- [reinforcing_plate]
(20585,5549,1,1,2,8868.760805),-- [iron_thread]
(20585,2988,1,1,2,3742.100835),-- [rp_tempered_mithril_gaiters]
(20585,2303,1,1,2,387.274195),-- [rp_skull_graver]
(20586,3954,1,1,-1,3974),-- [rp_blessed_spiritshot_c]
(20586,2314,1,1,-1,5206),-- [rp_body_slasher]
(20586,1884,1,1,-1,733590),-- [cord]
(20586,57,471,957,0,700000),-- [adena]
(20586,70,1,1,1,21.582811),-- [claymore]
(20586,2047,1,1,1,1315.818139),-- [claymore_blade]
(20586,2499,1,1,1,21.582811),-- [elven_long_sword]
(20586,2967,1,1,1,1298.016239),-- [elven_long_sword_blade]
(20586,1895,1,1,2,21378.974327),-- [metallic_fiber]
(20586,2164,1,1,2,5755.868048),-- [rp_ring_of_protection]
(20586,5154,1,1,2,249.427165),-- [rp_comp_soulshot_c]
(20586,2219,1,1,2,4647.593759),-- [rp_crimson_boots]
(20586,8723,1,1,2,2993.054254),-- [general_46_c]
(20586,8733,1,1,2,748.281495),-- [special_46_c]
(20586,8743,1,1,2,74.810218),-- [rare_46_c]
(20586,8753,1,1,2,14.990734),-- [unique_46_c]
(20587,2062,1,1,-1,8809),-- [scythe_edge]
(20587,1953,1,1,-1,35975),-- [sage's_rag_lining]
(20587,1875,1,1,-1,74876),-- [stone_of_purity]
(20587,57,442,906,0,700000),-- [adena]
(20587,89,1,1,1,3.762928),-- [big_hammer]
(20587,2061,1,1,1,256.376172),-- [big_hammer_head]
(20587,160,1,1,1,3.762928),-- [battle_axe]
(20587,2063,1,1,1,256.376172),-- [battle_axe_head]
(20587,161,1,1,1,3.762928),-- [war_pick]
(20587,2064,1,1,1,256.376172),-- [war_pick_head]
(20587,173,1,1,1,3.762928),-- [skull_graver]
(20587,2065,1,1,1,256.376172),-- [skull_graver_head]
(20587,191,1,1,1,3.762928),-- [heavy_doom_hammer]
(20587,2066,1,1,1,260.145262),-- [heavy_doom_hammer_head]
(20587,192,1,1,1,3.762928),-- [crystal_staff]
(20587,2067,1,1,1,239.052736),-- [crystal_staff_head]
(20587,193,1,1,1,3.762928),-- [stick_of_faith]
(20587,2068,1,1,1,239.052736),-- [stick_of_faith_shaft]
(20587,194,1,1,1,3.762928),-- [heavy_doom_axe]
(20587,2069,1,1,1,260.141154),-- [heavy_doom_axe_blade]
(20587,1864,1,1,2,81664.211306),-- [stem]
(20587,1865,1,1,2,40832.23241),-- [varnish]
(20587,1866,1,1,2,27221.319264),-- [suede]
(20587,1873,1,1,2,16332.892964),-- [silver_nugget]
(20587,1868,1,1,2,81664.211306),-- [thread]
(20587,2323,1,1,2,142.221354),-- [rp_elemental_bow]
(20587,2225,1,1,2,887.552514),-- [rp_demon's_hose]
(20587,2321,1,1,2,142.221354),-- [rp_stiletto]
(20587,3003,1,1,2,2536.154056),-- [rp_gloves_of_seal]
(20587,8723,1,1,2,1633.390702),-- [general_46_c]
(20587,8733,1,1,2,408.411054),-- [special_46_c]
(20587,8743,1,1,2,40.815754),-- [rare_46_c]
(20587,8753,1,1,2,8.365962),-- [unique_46_c]
(20588,1959,1,1,-1,59745),-- [chain_mail_shirt_material]
(20588,2324,1,1,-1,7728),-- [rp_noble_elven_bow]
(20588,57,585,1188,0,700000),-- [adena]
(20588,71,1,1,1,19.824375),-- [flamberge]
(20588,2059,1,1,1,1297.92295),-- [flamberge_blade]
(20588,72,1,1,1,19.824375),-- [stormbringer]
(20588,2060,1,1,1,1387.4283),-- [stormbringer_blade]
(20588,1868,1,1,2,127063.620066),-- [thread]
(20588,1873,1,1,2,25412.65443),-- [silver_nugget]
(20588,5549,1,1,2,6353.120118),-- [iron_thread]
(20588,1889,1,1,2,4235.529384),-- [compound_braid]
(20588,4044,1,1,2,2117.764692),-- [thons]
(20588,3003,1,1,2,3946.063272),-- [rp_gloves_of_seal]
(20588,2214,1,1,2,1576.407396),-- [rp_dwarven_chain_gaiters]
(20588,8723,1,1,2,2541.352422),-- [general_46_c]
(20588,8733,1,1,2,635.294616),-- [special_46_c]
(20588,8743,1,1,2,63.49467),-- [rare_46_c]
(20588,8753,1,1,2,12.698934),-- [unique_46_c]
(20589,1961,1,1,-1,70730),-- [tempered_mithril_shirt_fabric]
(20589,1962,1,1,-1,70730),-- [karmian_tunic_pattern]
(20589,1908,1,1,-1,209311),-- [moonstone_earing_wire]
(20589,57,874,1776,0,700000),-- [adena]
(20589,439,1,1,1,179.491936),-- [karmian_tunic]
(20589,1962,1,1,1,8357.661397),-- [karmian_tunic_pattern]
(20589,471,1,1,1,286.860088),-- [karmian_hose]
(20589,1954,1,1,1,13884.986579),-- [karmian_hose_pattern]
(20589,1868,1,1,2,189933.663237),-- [thread]
(20589,1873,1,1,2,37986.628635),-- [silver_nugget]
(20589,5549,1,1,2,9496.592151),-- [iron_thread]
(20589,1889,1,1,2,6331.234788),-- [compound_braid]
(20589,4044,1,1,2,3165.617394),-- [thons]
(20589,3003,1,1,2,5898.543204),-- [rp_gloves_of_seal]
(20589,2214,1,1,2,2356.400922),-- [rp_dwarven_chain_gaiters]
(20589,8723,1,1,2,3798.792879),-- [general_46_c]
(20589,8733,1,1,2,949.633212),-- [special_46_c]
(20589,8743,1,1,2,94.911315),-- [rare_46_c]
(20589,8753,1,1,2,18.982263),-- [unique_46_c]
(20590,2935,1,1,-1,121583),-- [tempered_mithril_gaiters_fragment]
(20590,2068,1,1,-1,16483),-- [stick_of_faith_shaft]
(20590,2163,1,1,-1,116683),-- [rp_earing_of_protection]
(20590,57,901,1842,0,700000),-- [adena]
(20590,354,1,1,1,139.06922),-- [chain_mail_shirt]
(20590,1959,1,1,1,7278.06059),-- [chain_mail_shirt_material]
(20590,381,1,1,1,222.47484),-- [chain_gaiters]
(20590,1960,1,1,1,14805.39535),-- [chain_gaiters_part]
(20590,1867,1,1,2,131013.650376),-- [animal_skin]
(20590,1872,1,1,2,131013.650376),-- [animal_bone]
(20590,1882,1,1,2,21835.707138),-- [leather]
(20590,1894,1,1,2,3447.774414),-- [crafted_leather]
(20590,4042,1,1,2,1637.537328),-- [enria]
(20590,2230,1,1,2,1904.140728),-- [rp_theca_leather_gaiters]
(20590,2320,1,1,2,342.437256),-- [rp_cursed_staff]
(20590,8723,1,1,2,3930.326568),-- [general_46_c]
(20590,8733,1,1,2,982.581642),-- [special_46_c]
(20590,8743,1,1,2,98.347032),-- [rare_46_c]
(20590,8753,1,1,2,19.847142),-- [unique_46_c]
(20591,2947,1,1,-1,191540),-- [dwarven_chain_shield_fragment]
(20591,951,1,1,-1,4876),-- [scrl_of_ench_wp_c]
(20591,1911,1,1,-1,199446),-- [earing_of_protection_gemstone]
(20591,57,1058,2159,0,700000),-- [adena]
(20591,94,1,1,1,53.767405),-- [bech_de_corbin]
(20591,2079,1,1,1,4081.232595),-- [bech_de_corbin_blade]
(20591,1867,1,1,2,144016.564776),-- [animal_skin]
(20591,1872,1,1,2,144016.564776),-- [animal_bone]
(20591,1882,1,1,2,24002.869338),-- [leather]
(20591,1894,1,1,2,3789.961014),-- [crafted_leather]
(20591,4042,1,1,2,1800.060528),-- [enria]
(20591,2230,1,1,2,2093.123928),-- [rp_theca_leather_gaiters]
(20591,2320,1,1,2,376.423656),-- [rp_cursed_staff]
(20591,8723,1,1,2,4320.405768),-- [general_46_c]
(20591,8733,1,1,2,1080.101442),-- [special_46_c]
(20591,8743,1,1,2,108.107832),-- [rare_46_c]
(20591,8753,1,1,2,21.816942),-- [unique_46_c]
(20592,1880,1,1,-1,368745),-- [steel]
(20592,2951,1,1,-1,310131),-- [rind_leather_gloves_design]
(20592,2166,1,1,-1,124998),-- [rp_earing_of_binding]
(20592,57,1458,2964,0,700000),-- [adena]
(20592,195,1,1,1,36.971484),-- [cursed_staff]
(20592,2082,1,1,1,2879.003028),-- [cursed_staff_head]
(20592,2502,1,1,1,36.971484),-- [dwarven_warhammer]
(20592,2968,1,1,1,2756.054004),-- [dwarven_warhammer_head]
(20592,1871,1,1,2,148529.640306),-- [charcoal]
(20592,1866,1,1,2,99019.85037),-- [suede]
(20592,1877,1,1,2,5941.218072),-- [admantite_nugget]
(20592,4041,1,1,2,1291.62795),-- [mold_hardener]
(20592,4040,1,1,2,2970.609036),-- [mold_lubricant]
(20592,2340,1,1,2,345.425946),-- [rp_paagrio_hammer]
(20592,3006,1,1,2,6062.401176),-- [rp_demon's_gloves]
(20592,8724,1,1,2,4950.924894),-- [general_49_c]
(20592,8734,1,1,2,1237.798848),-- [special_49_c]
(20592,8744,1,1,2,123.888084),-- [rare_49_c]
(20592,8754,1,1,2,24.615318),-- [unique_49_c]
(20593,2083,1,1,-1,26308),-- [stiletto_edge]
(20593,2341,1,1,-1,9208),-- [rp_sage's_staff]
(20593,1912,1,1,-1,426659),-- [ring_of_protection_gemstone]
(20593,57,1563,3187,0,700000),-- [adena]
(20593,398,1,1,1,127.866228),-- [plate_leather]
(20593,1966,1,1,1,8005.832895),-- [plate_leather_fragment]
(20593,399,1,1,1,117.910106),-- [rind_leather_mail]
(20593,1975,1,1,1,7202.472588),-- [rind_leather_mail_design]
(20593,418,1,1,1,204.47077),-- [plate_leather_gaiters]
(20593,1967,1,1,1,11959.606418),-- [plate_leather_gaiters_material]
(20593,419,1,1,1,188.796049),-- [rind_leather_gaiters]
(20593,1976,1,1,1,13334.044946),-- [rind_leather_gaiters_material]
(20593,1871,1,1,2,159483.576359),-- [charcoal]
(20593,1866,1,1,2,106322.481055),-- [suede]
(20593,1877,1,1,2,6379.377908),-- [admantite_nugget]
(20593,4041,1,1,2,1386.884425),-- [mold_hardener]
(20593,4040,1,1,2,3189.688954),-- [mold_lubricant]
(20593,2340,1,1,2,370.900819),-- [rp_paagrio_hammer]
(20593,3006,1,1,2,6509.498164),-- [rp_demon's_gloves]
(20593,8724,1,1,2,5316.051441),-- [general_49_c]
(20593,8734,1,1,2,1329.085472),-- [special_49_c]
(20593,8744,1,1,2,133.024726),-- [rare_49_c]
(20593,8754,1,1,2,26.430677),-- [unique_49_c]
(20594,1978,1,1,-1,173613),-- [tower_shield_fragment]
(20594,1871,1,5,-1,902788),-- [charcoal]
(20594,1895,1,1,-1,773819),-- [metallic_fiber]
(20594,57,1071,2178,0,700000),-- [adena]
(20594,231,1,1,1,16.948312),-- [grace_dagger]
(20594,2106,1,1,1,1526.051688),-- [grace_dagger_edge]
(20594,233,1,1,1,16.948312),-- [dark_screamer]
(20594,2107,1,1,1,1526.051688),-- [dark_screamer_edge]
(20594,1867,1,1,2,114873.23559),-- [animal_skin]
(20594,1872,1,1,2,114873.23559),-- [animal_bone]
(20594,1882,1,1,2,19145.400232),-- [leather]
(20594,1894,1,1,2,3022.855486),-- [crafted_leather]
(20594,4042,1,1,2,1435.932824),-- [enria]
(20594,2234,1,1,2,1284.108788),-- [rp_divine_hose]
(20594,4609,1,1,2,191.587474),-- [dye_m3i3_c]
(20594,2356,1,1,2,140.42333),-- [rp_demon's_staff]
(20594,6669,1,1,2,20036.04563),-- [key_of_treasure_box5]
(20594,8725,1,1,2,2393.314062),-- [general_52_c]
(20594,8735,1,1,2,598.398032),-- [special_52_c]
(20594,8745,1,1,2,59.78419),-- [rare_52_c]
(20594,8755,1,1,2,11.678772),-- [unique_52_c]
(20595,2096,1,1,-1,15374),-- [deathbreath_sword_blade]
(20595,2354,1,1,-1,4602),-- [rp_deadman's_staff]
(20595,1894,1,1,-1,98988),-- [crafted_leather]
(20595,57,1117,2270,0,700000),-- [adena]
(20595,231,1,1,1,17.651288),-- [grace_dagger]
(20595,2106,1,1,1,1589.348712),-- [grace_dagger_edge]
(20595,233,1,1,1,17.651288),-- [dark_screamer]
(20595,2107,1,1,1,1589.348712),-- [dark_screamer_edge]
(20595,1870,1,1,2,106059.604608),-- [coal]
(20595,1865,1,1,2,106059.604608),-- [varnish]
(20595,1874,1,1,2,7070.62446),-- [oriharukon_ore]
(20595,4043,1,1,2,3535.431084),-- [asofe]
(20595,4039,1,1,2,3535.431084),-- [mold_glue]
(20595,4125,1,1,2,4713.74964),-- [rp_maestro_mold]
(20595,3014,1,1,2,2962.554804),-- [rp_full_plate_boots]
(20595,8725,1,1,2,2946.152952),-- [general_52_c]
(20595,8735,1,1,2,736.419384),-- [special_52_c]
(20595,8745,1,1,2,73.68948),-- [rare_52_c]
(20595,8755,1,1,2,14.737896),-- [unique_52_c]
(20596,1875,1,1,-1,199596),-- [stone_of_purity]
(20596,1539,1,1,-1,665319),-- [greater_healing_potion]
(20596,4609,1,1,-1,6653),-- [dye_m3i3_c]
(20596,57,1189,2403,0,700000),-- [adena]
(20596,162,1,1,1,4.683114),-- [war_axe]
(20596,2097,1,1,1,414.443528),-- [war_axe_blade]
(20596,174,1,1,1,4.683114),-- [nirvana_axe]
(20596,2098,1,1,1,414.443528),-- [nirvana_axe_blade]
(20596,196,1,1,1,4.683114),-- [stick_of_eternity]
(20596,2099,1,1,1,436.170558),-- [stick_of_eternity_shaft]
(20596,197,1,1,1,4.683114),-- [paradia_staff]
(20596,2100,1,1,1,436.170558),-- [paradia_staff_head]
(20596,199,1,1,1,4.683114),-- [paagrio_hammer]
(20596,2102,1,1,1,420.525718),-- [paagrio_hammer_head]
(20596,200,1,1,1,4.683114),-- [sage's_staff]
(20596,2103,1,1,1,436.170558),-- [sage's_staff_head]
(20596,201,1,1,1,4.683114),-- [club_of_nature]
(20596,2104,1,1,1,436.170558),-- [club_of_nature_head]
(20596,202,1,1,1,4.683114),-- [mace_of_underworld]
(20596,2105,1,1,1,414.440082),-- [mace_of_underworld_head]
(20596,1873,1,1,2,35374.5169),-- [silver_nugget]
(20596,1868,1,1,2,176872.0131),-- [thread]
(20596,1876,1,1,2,17687.1156),-- [mithril_ore]
(20596,1895,1,1,2,25267.308),-- [metallic_fiber]
(20596,4042,1,1,2,1473.9263),-- [enria]
(20596,4608,1,1,2,196.5616),-- [dye_i3w3_c]
(20596,3017,1,1,2,2470.1622),-- [rp_blessed_gloves]
(20596,5155,1,1,2,176.8483),-- [rp_comp_soulshot_b]
(20596,6669,1,1,2,20566.4002),-- [key_of_treasure_box5]
(20596,8725,1,1,2,2456.4486),-- [general_52_c]
(20596,8735,1,1,2,614.255),-- [special_52_c]
(20596,8745,1,1,2,61.4255),-- [rare_52_c]
(20596,8755,1,1,2,12.8565),-- [unique_52_c]
(20597,3034,1,1,-1,9970),-- [rp_spiritshot_b]
(20597,2113,1,1,-1,24141),-- [scorpion_blade]
(20597,1918,1,1,-1,215903),-- [nassen's_earing_gemstone]
(20597,57,1973,4008,0,700000),-- [adena]
(20597,442,1,1,1,111.55485),-- [divine_tunic]
(20597,1988,1,1,1,8841.906414),-- [divine_tunic_fabric]
(20597,473,1,1,1,178.441758),-- [divine_hose]
(20597,1989,1,1,1,13869.096978),-- [divine_hose_pattern]
(20597,1870,1,1,2,153390.651687),-- [coal]
(20597,1865,1,1,2,153390.651687),-- [varnish]
(20597,1874,1,1,2,10226.110776),-- [oriharukon_ore]
(20597,4043,1,1,2,5113.055388),-- [asofe]
(20597,4039,1,1,2,5113.055388),-- [mold_glue]
(20597,4133,1,1,2,737.602341),-- [rp_shrnoen's_breastplate]
(20597,4959,1,1,2,2955.459129),-- [rp_avadon_boots_i]
(20597,4941,1,1,2,1179.961755),-- [rp_shrnoen's_gaiters_i]
(20597,8726,1,1,2,3550.658097),-- [general_55_c]
(20597,8736,1,1,2,887.748687),-- [special_55_c]
(20597,8746,1,1,2,88.875864),-- [rare_55_c]
(20597,8756,1,1,2,17.169201),-- [unique_55_c]
(20598,4180,1,1,-1,512556),-- [rp_silver_arrow]
(20598,2120,1,1,-1,22159),-- [great_pata_blade]
(20598,1806,1,1,-1,9226),-- [rp_soulshot_b]
(20598,57,1822,3711,0,700000),-- [adena]
(20598,442,1,1,1,103.2274),-- [divine_tunic]
(20598,1988,1,1,1,8181.867576),-- [divine_tunic_fabric]
(20598,473,1,1,1,165.121272),-- [divine_hose]
(20598,1989,1,1,1,12833.783752),-- [divine_hose_pattern]
(20598,1864,1,3,2,141938.691444),-- [stem]
(20598,1869,1,1,2,141938.691444),-- [iron_ore]
(20598,1878,1,1,2,56775.740571),-- [braided_hemp]
(20598,1884,1,1,2,87347.056269),-- [cord]
(20598,4039,1,1,2,4731.201717),-- [mold_glue]
(20598,4178,1,1,2,2604.294891),-- [rp_shrnoen's_shield]
(20598,4184,1,1,2,163.675908),-- [rp_sprite's_staff]
(20598,5160,1,1,2,283.792905),-- [rp_comp_spiritshot_b]
(20598,8726,1,1,2,3285.837852),-- [general_55_c]
(20598,8736,1,1,2,821.459463),-- [special_55_c]
(20598,8746,1,1,2,82.277943),-- [rare_55_c]
(20598,8756,1,1,2,16.279593),-- [unique_55_c]
(20599,2120,1,1,-1,23008),-- [great_pata_blade]
(20599,4146,1,1,-1,30703),-- [rp_tunic_of_shrnoen]
(20599,4590,1,1,-1,15966),-- [dye_s2d2_c]
(20599,57,1893,3856,0,700000),-- [adena]
(20599,2436,1,1,1,119.39733),-- [theca_leather_boots]
(20599,2954,1,1,1,7996.6068),-- [theca_leather_boots_texture]
(20599,2437,1,1,1,91.85982),-- [drake_leather_boots]
(20599,2960,1,1,1,6879.72831),-- [drake_leather_boots_design]
(20599,2438,1,1,1,91.85982),-- [full_plate_boots]
(20599,2961,1,1,1,6879.72831),-- [full_plate_boots_part]
(20599,2460,1,1,1,119.39733),-- [theca_leather_gloves]
(20599,2955,1,1,1,7996.6068),-- [theca_leather_gloves_texture]
(20599,2461,1,1,1,91.85982),-- [drake_leather_gloves]
(20599,2962,1,1,1,6879.72831),-- [drake_leather_gloves_design]
(20599,2462,1,1,1,91.85982),-- [full_plate_gauntlet]
(20599,2963,1,1,1,6879.72831),-- [full_plate_gauntlet_part]
(20599,2463,1,1,1,91.85982),-- [blessed_gloves]
(20599,2964,1,1,1,6879.7794),-- [blessed_gloves_pattern]
(20599,1864,1,3,2,147375.724428),-- [stem]
(20599,1869,1,1,2,147375.724428),-- [iron_ore]
(20599,1878,1,1,2,58950.563877),-- [braided_hemp]
(20599,1884,1,1,2,90692.929203),-- [cord]
(20599,4039,1,1,2,4912.432779),-- [mold_glue]
(20599,4178,1,1,2,2704.053717),-- [rp_shrnoen's_shield]
(20599,4184,1,1,2,169.945596),-- [rp_sprite's_staff]
(20599,5160,1,1,2,294.663735),-- [rp_comp_spiritshot_b]
(20599,8726,1,1,2,3411.703524),-- [general_55_c]
(20599,8736,1,1,2,852.925881),-- [special_55_c]
(20599,8746,1,1,2,85.429641),-- [rare_55_c]
(20599,8756,1,1,2,16.903191),-- [unique_55_c]
(20600,1945,1,1,-1,85765),-- [mithril_hose_design]
(20600,1873,1,1,-1,431910),-- [silver_nugget]
(20600,1825,1,1,-1,77127),-- [rp_oriharukon]
(20600,57,451,900,0,700000),-- [adena]
(20600,629,1,1,1,308.545152),-- [kite_shield]
(20600,1947,1,1,1,13394.129776),-- [kite_shield_fragment]
(20600,2493,1,1,1,308.545152),-- [brigandine_shield]
(20600,2929,1,1,1,13394.129776),-- [brigandine_shield_fragment]
(20600,2411,1,1,1,216.0877),-- [brigandine_helmet]
(20600,2922,1,1,1,3582.562444),-- [brigandine_helmet_design]
(20600,1868,1,1,2,186053.4229),-- [thread]
(20600,1873,1,1,2,37210.68458),-- [silver_nugget]
(20600,5549,1,1,2,9302.54818),-- [iron_thread]
(20600,1889,1,1,2,6201.86274),-- [compound_braid]
(20600,5231,1,1,2,6644.78267),-- [rp_reinforcing_agent]
(20600,2286,1,1,2,516.69893),-- [rp_bonebreaker]
(20601,1880,1,1,-1,97232),-- [steel]
(20601,2304,1,1,-1,4246),-- [rp_heavy_doom_hammer]
(20601,1905,1,1,-1,94584),-- [onyxbeast'seye_earing_gemstone]
(20601,57,394,788,0,700000),-- [adena]
(20601,353,1,1,1,81.160755),-- [half_plate]
(20601,1950,1,1,1,3961.994595),-- [half_plate_temper]
(20601,380,1,1,1,129.859275),-- [plate_gaiters]
(20601,1951,1,1,1,6161.985375),-- [plate_gaiters_part]
(20601,1869,1,1,2,81375.90135),-- [iron_ore]
(20601,1864,1,1,2,162751.8027),-- [stem]
(20601,1880,1,1,2,8137.590135),-- [steel]
(20601,5550,1,1,2,1085.029155),-- [reinforcing_plate]
(20601,2199,1,1,2,3433.483635),-- [rp_karmian_hose]
(20601,5269,1,1,2,271.193025),-- [rp_adv_comp_soulshot_c]
(20602,1889,1,1,-1,87565),-- [compound_braid]
(20602,2999,1,1,-1,88153),-- [rp_plate_leather_gloves]
(20602,1873,1,1,-1,525391),-- [silver_nugget]
(20602,57,529,1069,0,700000),-- [adena]
(20602,280,1,1,1,47.550494),-- [cyclone_bow]
(20602,2054,1,1,1,2806.449506),-- [cyclone_bow_shaft]
(20602,1873,1,1,2,32978.3484),-- [silver_nugget]
(20602,1868,1,1,2,164892.22504),-- [thread]
(20602,1876,1,1,2,16489.29496),-- [mithril_ore]
(20602,1895,1,1,2,23555.92864),-- [metallic_fiber]
(20602,2300,1,1,2,360.10632),-- [rp_scythe]
(20602,2205,1,1,2,2609.14056),-- [rp_chain_gaiters]
(20602,5154,1,1,2,274.84976),-- [rp_comp_soulshot_c]
(20602,2311,1,1,2,360.10632),-- [rp_chakram]
(20603,1952,1,1,-1,34740),-- [slamander_skin_mail_texture]
(20603,2311,1,1,-1,4736),-- [rp_chakram]
(20603,1872,1,3,-1,723055),-- [animal_bone]
(20603,57,429,871,0,700000),-- [adena]
(20603,1125,1,1,1,120.706722),-- [assault_boots]
(20603,1957,1,1,1,5065.605866),-- [assault_boots_part]
(20603,2427,1,1,1,120.706722),-- [slamander_skin_boots]
(20603,2931,1,1,1,5065.605866),-- [slamander_skin_boots_lining]
(20603,2428,1,1,1,120.706722),-- [plate_boots]
(20603,2932,1,1,1,5065.605866),-- [plate_boots_design]
(20603,61,1,1,1,120.706722),-- [mithril_glove]
(20603,1949,1,1,1,5065.605866),-- [mithril_glove_design]
(20603,607,1,1,1,120.706722),-- [ogre_power_gauntlet]
(20603,1963,1,1,1,5065.605866),-- [ogre_power_gauntlet_part]
(20603,2451,1,1,1,120.706722),-- [sage's_worn_gloves]
(20603,2933,1,1,1,5065.730338),-- [sage's_worn_gloves_lining]
(20603,1872,1,1,2,103738.405455),-- [animal_bone]
(20603,1867,1,1,2,103738.405455),-- [animal_skin]
(20603,1881,1,1,2,10373.969175),-- [coarse_bone_powder]
(20603,1875,1,1,2,5186.855958),-- [stone_of_purity]
(20603,2991,1,1,2,6174.987777),-- [rp_karmian_boots]
(20603,5279,1,1,2,259.317072),-- [rp_adv_comp_bspiritshot_c]
(20603,6668,1,1,2,27787.059108),-- [key_of_treasure_box4]
(20604,2323,1,1,-1,4611),-- [rp_elemental_bow]
(20604,2322,1,1,-1,4611),-- [rp_dagger_of_magicflame]
(20604,4553,1,1,-1,5293),-- [dye_s1c1_c]
(20604,57,521,1068,0,700000),-- [adena]
(20604,852,1,1,1,174.744034),-- [moonstone_earing]
(20604,1908,1,1,1,9871.30634),-- [moonstone_earing_wire]
(20604,915,1,1,1,131.114666),-- [aquastone_necklace]
(20604,1910,1,1,1,7849.467052),-- [aquastone_necklace_chain]
(20604,883,1,1,1,262.229332),-- [aquastone_ring]
(20604,1909,1,1,1,14077.138576),-- [aquastone_ring_wire]
(20604,1872,1,1,2,119127.041145),-- [animal_bone]
(20604,1867,1,1,2,119127.041145),-- [animal_skin]
(20604,1881,1,1,2,11912.851825),-- [coarse_bone_powder]
(20604,1875,1,1,2,5956.278202),-- [stone_of_purity]
(20604,2991,1,1,2,7090.990263),-- [rp_karmian_boots]
(20604,5279,1,1,2,297.784368),-- [rp_adv_comp_bspiritshot_c]
(20604,6668,1,1,2,31909.013052),-- [key_of_treasure_box4]
(20605,2059,1,1,-1,8915),-- [flamberge_blade]
(20605,1867,1,3,-1,800154),-- [animal_skin]
(20605,1908,1,1,-1,113658),-- [moonstone_earing_wire]
(20605,57,475,964,0,700000),-- [adena]
(20605,439,1,1,1,97.464224),-- [karmian_tunic]
(20605,1962,1,1,1,4538.214923),-- [karmian_tunic_pattern]
(20605,471,1,1,1,155.765192),-- [karmian_hose]
(20605,1954,1,1,1,7539.555661),-- [karmian_hose_pattern]
(20605,1868,1,1,2,103136.2924),-- [thread]
(20605,1873,1,1,2,20627.202),-- [silver_nugget]
(20605,5549,1,1,2,5156.7652),-- [iron_thread]
(20605,1889,1,1,2,3437.9376),-- [compound_braid]
(20605,4044,1,1,2,1718.9688),-- [thons]
(20605,3003,1,1,2,3202.9808),-- [rp_gloves_of_seal]
(20605,2214,1,1,2,1279.5544),-- [rp_dwarven_chain_gaiters]
(20605,8723,1,1,2,2062.7908),-- [general_46_c]
(20605,8733,1,1,2,515.6624),-- [special_46_c]
(20605,8743,1,1,2,51.538),-- [rare_46_c]
(20605,8753,1,1,2,10.3076),-- [unique_46_c]
(20606,2260,1,1,-1,12244),-- [rp_mace_of_judgment]
(20606,1932,1,1,-1,125162),-- [bone_helmet_design]
(20606,2152,1,1,-1,138824),-- [rp_enchanted_necklace]
(20606,57,340,656,0,700000),-- [adena]
(20606,220,1,1,1,281),-- [handiwork_dagger]
(20606,1869,1,1,2,88508.21265),-- [iron_ore]
(20606,1864,1,1,2,177016.4253),-- [stem]
(20606,1880,1,1,2,8850.95973),-- [steel]
(20606,5550,1,1,2,1179.99873),-- [reinforcing_plate]
(20606,2262,1,1,2,1374.40359),-- [rp_elven_bow]
(20607,626,1,1,-1,9809),-- [bronze_shield]
(20607,2020,1,1,-1,14509),-- [temptation_of_abyss_piece]
(20607,1899,1,1,-1,129508),-- [necklace_of_devotion_chain]
(20607,57,355,696,0,700000),-- [adena]
(20607,101,1,1,1,59.073875),-- [scroll_of_wisdom]
(20607,312,1,1,1,59.073875),-- [branch_of_life]
(20607,313,1,1,1,59.073875),-- [temptation_of_abyss]
(20607,2020,1,1,1,1628.70823),-- [temptation_of_abyss_piece]
(20607,314,1,1,1,59.070145),-- [proof_of_revenge]
(20607,1870,1,1,2,116293.764398),-- [coal]
(20607,1865,1,1,2,116293.764398),-- [varnish]
(20607,1874,1,1,2,7753.030628),-- [oriharukon_ore]
(20607,2262,1,1,2,1805.440576),-- [rp_elven_bow]
(20608,1874,1,1,-1,55672),-- [oriharukon_ore]
(20608,2022,1,1,-1,13008),-- [mace_of_judgment_head]
(20608,2153,1,1,-1,129874),-- [rp_tiger'seye_earing]
(20608,57,354,701,0,700000),-- [adena]
(20608,315,1,1,1,184),-- [divine_tome]
(20608,1872,1,1,2,86922.24825),-- [animal_bone]
(20608,1867,1,1,2,86922.24825),-- [animal_skin]
(20608,1881,1,1,2,8692.224825),-- [coarse_bone_powder]
(20608,1875,1,1,2,4346.207879),-- [stone_of_purity]
(20608,2265,1,1,2,674.184423),-- [rp_spike_club]
(20608,2274,1,1,2,465.685587),-- [rp_skull_breaker]
(20608,2189,1,1,2,2910.200786),-- [rp_mithril_tunic]
(20609,2265,1,1,-1,8969),-- [rp_spike_club]
(20609,433,1,1,-1,2256),-- [elven_tunic]
(20609,1900,1,1,-1,94887),-- [enchanted_necklace_chain]
(20609,57,366,732,0,700000),-- [adena]
(20609,259,1,1,1,191),-- [single-edged_jamadhr]
(20609,1866,1,1,2,52658.392072),-- [suede]
(20609,1871,1,1,2,78987.588108),-- [charcoal]
(20609,5220,1,1,2,3159.573144),-- [reinforcing_agent]
(20609,1885,1,1,2,6582.347356),-- [high_grade_suede]
(20609,956,1,1,2,2632.97762),-- [scrl_of_ench_am_d]
(20609,6667,1,1,2,49367.1217),-- [key_of_treasure_box3]
(20610,2025,1,1,-1,12109),-- [dwarven_trident_edge]
(20610,2267,1,1,-1,9041),-- [rp_gastraphetes]
(20610,1864,1,3,-1,874300),-- [stem]
(20610,57,370,737,0,700000),-- [adena]
(20610,292,1,1,1,193),-- [pike]
(20610,1864,1,1,2,119442.817208),-- [stem]
(20610,1865,1,1,2,59721.408604),-- [varnish]
(20610,1866,1,1,2,39814.117002),-- [suede]
(20610,1873,1,1,2,23888.656682),-- [silver_nugget]
(20610,1868,1,1,2,119442.817208),-- [thread]
(20610,2183,1,1,2,3929.150456),-- [rp_mithril_banded_mail]
(20610,2270,1,1,2,426.57483),-- [rp_goathead_staff]
(20610,1341,20,60,2,99536.45801),-- [bone_arrow]
(20611,2153,1,1,-1,143948),-- [rp_tiger'seye_earing]
(20611,467,1,1,-1,3857),-- [dark_hose]
(20611,1884,1,1,-1,569592),-- [cord]
(20611,57,390,782,0,700000),-- [adena]
(20611,86,1,1,1,20.416164),-- [tomahawk]
(20611,179,1,1,1,20.416164),-- [mace_of_prayer]
(20611,180,1,1,1,20.416164),-- [mace_of_judgment]
(20611,2022,1,1,1,787.87962),-- [mace_of_judgment_head]
(20611,181,1,1,1,20.416164),-- [mace_of_miracle]
(20611,182,1,1,1,20.416164),-- [doom_hammer]
(20611,183,1,1,1,20.416164),-- [mystic_staff]
(20611,184,1,1,1,20.416164),-- [conjure_staff]
(20611,2023,1,1,1,626.78949),-- [conjure_staff_head]
(20611,185,1,1,1,20.417742),-- [staff_of_mana]
(20611,1864,1,1,2,144513.606),-- [stem]
(20611,1869,1,1,2,72256.803),-- [iron_ore]
(20611,1878,1,1,2,28902.803),-- [braided_hemp]
(20611,1884,1,1,2,44465.662),-- [cord]
(20611,1829,1,1,2,28902.803),-- [scroll_of_escape_to_agit]
(20611,2193,1,1,2,9672.85),-- [rp_boots_of_power]
(20611,1834,1,1,2,80285.473),-- [emergency_dressing]
(20612,349,1,1,-1,1496),-- [compound_scale_mail]
(20612,1869,1,3,-1,527615),-- [iron_ore]
(20612,1885,1,1,-1,87936),-- [high_grade_suede]
(20612,57,446,892,0,700000),-- [adena]
(20612,436,1,1,1,479.533068),-- [tunic_of_knowledge]
(20612,469,1,1,1,766.466932),-- [hose_of_knowledge]
(20612,1866,1,1,2,53433.989025),-- [suede]
(20612,1871,1,1,2,80151.10295),-- [charcoal]
(20612,5220,1,1,2,3205.9868),-- [reinforcing_agent]
(20612,1885,1,1,2,6679.218775),-- [high_grade_suede]
(20612,2188,1,1,2,5725.1129),-- [rp_manticor_skin_gaiters]
(20612,2274,1,1,2,572.463525),-- [rp_skull_breaker]
(20612,1832,1,1,2,89057.126025),-- [advanced_antidote]
(20613,40,1,1,-1,9795),-- [leather_boots]
(20613,1934,1,1,-1,103074),-- [excellence_leather_gloves_lining]
(20613,1899,1,1,-1,123206),-- [necklace_of_devotion_chain]
(20613,57,340,656,0,700000),-- [adena]
(20613,432,1,1,1,917.992572),-- [cursed_tunic]
(20613,465,1,1,1,1470.007428),-- [cursed_hose]
(20613,1864,1,1,2,126440.201944),-- [stem]
(20613,1865,1,1,2,63220.100972),-- [varnish]
(20613,1866,1,1,2,42146.577711),-- [suede]
(20613,1873,1,1,2,25288.134151),-- [silver_nugget]
(20613,1868,1,1,2,126440.201944),-- [thread]
(20613,2263,1,1,2,981.690234),-- [rp_dwarven_trident]
(20613,1831,1,3,2,84294.093044),-- [antidote]
(20614,1869,1,1,-1,774589),-- [iron_ore]
(20614,1899,1,1,-1,121030),-- [necklace_of_devotion_chain]
(20614,2152,1,1,-1,136371),-- [rp_enchanted_necklace]
(20614,57,332,650,0,700000),-- [adena]
(20614,220,1,1,1,276),-- [handiwork_dagger]
(20614,1870,1,1,2,86944.667355),-- [coal]
(20614,1865,1,1,2,86944.667355),-- [varnish]
(20614,1874,1,1,2,5796.311157),-- [oriharukon_ore]
(20614,2263,1,1,2,1350.168183),-- [rp_dwarven_trident]
(20614,1834,1,1,2,96605.18595),-- [emergency_dressing]
(20615,2185,1,1,-1,175902),-- [rp_iron_boots]
(20615,392,1,1,-1,2324),-- [lion_skin_shirt]
(20615,1900,1,1,-1,97766),-- [enchanted_necklace_chain]
(20615,57,379,750,0,700000),-- [adena]
(20615,627,1,1,1,1815.325785),-- [aspis]
(20615,46,1,1,1,1271.674215),-- [bronze_helmet]
(20615,1875,1,1,2,4650.55716),-- [stone_of_purity]
(20615,1879,1,1,2,11626.501128),-- [cokes]
(20615,1885,1,1,2,5813.250564),-- [high_grade_suede]
(20615,5550,1,1,2,930.111432),-- [reinforcing_plate]
(20615,5549,1,1,2,6975.943968),-- [iron_thread]
(20615,2266,1,1,2,721.447848),-- [rp_knife_o'_silenus]
(20615,1834,1,1,2,77510.1879),-- [emergency_dressing]
(20616,1874,1,1,-1,61682),-- [oriharukon_ore]
(20616,1937,1,1,-1,79487),-- [scale_gaiters_fragment]
(20616,2153,1,1,-1,143893),-- [rp_tiger'seye_earing]
(20616,57,390,781,0,700000),-- [adena]
(20616,433,1,1,1,164.372203),-- [elven_tunic]
(20616,434,1,1,1,164.372203),-- [white_tunic]
(20616,1936,1,1,1,5172.133267),-- [white_tunic_pattern]
(20616,435,1,1,1,164.372203),-- [mage's_tunic]
(20616,466,1,1,1,263.345578),-- [elven_hose]
(20616,467,1,1,1,263.345578),-- [dark_hose]
(20616,1933,1,1,1,7435.699499),-- [dark_hose_fabric]
(20616,468,1,1,1,263.359469),-- [mage's_hose]
(20616,1872,1,1,2,84267.395842),-- [animal_bone]
(20616,1867,1,1,2,84267.395842),-- [animal_skin]
(20616,1881,1,1,2,8426.833947),-- [coarse_bone_powder]
(20616,1875,1,1,2,4213.29902),-- [stone_of_purity]
(20616,737,1,1,2,6319.94853),-- [scroll_of_resurrection]
(20616,2274,1,1,2,451.525998),-- [rp_skull_breaker]
(20616,2976,1,1,2,8460.568648),-- [rp_manticor_skin_boots]
(20616,6667,1,1,2,39500.032173),-- [key_of_treasure_box3]
(20617,435,1,1,-1,2296),-- [mage's_tunic]
(20617,1875,1,1,-1,58864),-- [stone_of_purity]
(20617,1933,1,1,-1,103877),-- [dark_hose_fabric]
(20617,57,373,744,0,700000),-- [adena]
(20617,392,1,1,1,627.573331),-- [lion_skin_shirt]
(20617,414,1,1,1,1005.426669),-- [lion_skin_gaiters]
(20617,1872,1,1,2,128667.265196),-- [animal_bone]
(20617,1867,1,1,2,128667.265196),-- [animal_skin]
(20617,1881,1,1,2,12866.841228),-- [coarse_bone_powder]
(20617,1875,1,1,2,6433.420614),-- [stone_of_purity]
(20617,2184,1,1,2,10136.207766),-- [rp_mithril_banded_gaiters]
(20618,1885,1,1,-1,81279),-- [high_grade_suede]
(20618,1935,1,1,-1,54489),-- [scale_mail_fragment]
(20618,955,1,1,-1,3901),-- [scrl_of_ench_wp_d]
(20618,57,411,824,0,700000),-- [adena]
(20618,315,1,1,1,215),-- [divine_tome]
(20618,1875,1,1,2,5922.148167),-- [stone_of_purity]
(20618,1879,1,1,2,14805.344411),-- [cokes]
(20618,1885,1,1,2,7402.646199),-- [high_grade_suede]
(20618,5550,1,1,2,1184.440036),-- [reinforcing_plate]
(20618,5549,1,1,2,8883.196244),-- [iron_thread]
(20618,2153,1,1,2,13815.224943),-- [rp_tiger'seye_earing]
(20619,2981,1,1,-1,134055),-- [rp_elven_mithril_gloves]
(20619,2270,1,1,-1,7153),-- [rp_goathead_staff]
(20619,1867,1,3,-1,667594),-- [animal_skin]
(20619,57,423,846,0,700000),-- [adena]
(20619,157,1,1,1,47.73208),-- [spike_club]
(20619,2027,1,1,1,2324.53584),-- [spike_club_head]
(20619,186,1,1,1,47.73208),-- [staff_of_magicpower]
(20619,1872,1,1,2,118318.290624),-- [animal_bone]
(20619,1867,1,1,2,118318.290624),-- [animal_skin]
(20619,1881,1,1,2,11831.93487),-- [coarse_bone_powder]
(20619,1875,1,1,2,5915.967435),-- [stone_of_purity]
(20619,2154,1,1,2,9500.993442),-- [rp_elven_earing]
(20619,2278,1,1,2,633.523005),-- [rp_strengthening_long_bow]
(20620,4051,1,1,-1,204462),-- [adamantite_necklace_chain]
(20620,948,1,1,-1,13180),-- [scrl_of_ench_am_b]
(20620,4039,1,1,-1,175735),-- [mold_glue]
(20620,57,2089,4237,0,700000),-- [adena]
(20620,78,1,1,1,7.771049),-- [great_sword]
(20620,4104,1,1,1,1485.236753),-- [great_sword_blade]
(20620,142,1,1,1,7.771049),-- [kshanberk]
(20620,4107,1,1,1,1462.22505),-- [kshanberk_blade]
(20620,148,1,1,1,7.771049),-- [sword_of_valhalla]
(20620,4108,1,1,1,1462.22505),-- [sword_of_valhalla_blade]
(20620,1894,1,1,2,4967.418016),-- [crafted_leather]
(20620,4039,1,1,2,4719.04816),-- [mold_glue]
(20620,4041,1,1,2,1231.046048),-- [mold_hardener]
(20620,4044,1,1,2,4719.04816),-- [thons]
(20620,4614,1,1,2,195.27312),-- [dye_s4d4_c]
(20620,4402,1,1,2,283.1408),-- [blue_dimension_stone]
(20620,4999,1,1,2,1760.843232),-- [rp_doom_boots_i]
(20620,8728,1,1,2,2359.513632),-- [general_61_b]
(20620,8738,1,1,2,589.873184),-- [special_61_b]
(20620,8748,1,1,2,58.989408),-- [rare_61_b]
(20620,8758,1,1,2,11.80624),-- [unique_61_b]
(20621,4199,1,1,-1,4349),-- [rp_hazard_bow]
(20621,4052,1,1,-1,201691),-- [earing_of_black_ore_piece]
(20621,5230,1,1,-1,7596),-- [rp_mithril_arrow]
(20621,57,2259,4576,0,700000),-- [adena]
(20621,2391,1,1,1,27.888624),-- [blue_wolve's_leather_mail]
(20621,4082,1,1,1,4754.111376),-- [blue_wolve's_leather_mail_texture]
(20621,2392,1,1,1,27.888624),-- [leather_mail_of_doom]
(20621,4083,1,1,1,4754.111376),-- [leather_mail_of_doom_design]
(20621,1873,1,1,2,61190.3327),-- [silver_nugget]
(20621,1868,1,1,2,305951.6635),-- [thread]
(20621,1876,1,1,2,30595.38986),-- [mithril_ore]
(20621,1895,1,1,2,43707.3805),-- [metallic_fiber]
(20621,4042,1,1,2,2549.80208),-- [enria]
(20621,4623,1,1,2,210.99344),-- [dye_w4i4_c]
(20621,5276,1,1,2,203.84112),-- [rp_adv_comp_spiritshot_a]
(20621,8729,1,1,2,2039.75226),-- [general_64_a]
(20621,8739,1,1,2,510.04982),-- [special_64_a]
(20621,8749,1,1,2,50.96028),-- [rare_64_a]
(20621,8759,1,1,2,9.83444),-- [unique_64_a]
(20622,4044,1,1,-1,203292),-- [thons]
(20622,4042,1,1,-1,101646),-- [enria]
(20622,4053,1,1,-1,261413),-- [ring_of_black_ore_gemstone]
(20622,57,2419,4898,0,700000),-- [adena]
(20622,864,1,1,1,84.45667),-- [earing_of_black_ore]
(20622,4052,1,1,1,10629.36916),-- [earing_of_black_ore_piece]
(20622,926,1,1,1,63.349924),-- [necklace_of_black_ore]
(20622,4054,1,1,1,5913.4512),-- [necklace_of_black_ore_beads]
(20622,895,1,1,1,126.670162),-- [ring_of_black_ore]
(20622,4053,1,1,1,12868.702884),-- [ring_of_black_ore_gemstone]
(20622,1867,1,1,2,200165.035026),-- [animal_skin]
(20622,1872,1,1,2,200165.035026),-- [animal_bone]
(20622,1882,1,1,2,33361.07434),-- [leather]
(20622,1894,1,1,2,5267.315262),-- [crafted_leather]
(20622,4042,1,1,2,2502.19816),-- [enria]
(20622,4988,1,1,2,994.294532),-- [rp_blue_wolve's_hose_i]
(20622,4401,1,1,2,300.075644),-- [green_dimension_stone]
(20622,6670,1,1,2,25020.570586),-- [key_of_treasure_box6]
(20622,8729,1,1,2,2001.758528),-- [general_64_a]
(20622,8739,1,1,2,500.439632),-- [special_64_a]
(20622,8749,1,1,2,49.855828),-- [rare_64_a]
(20622,8759,1,1,2,10.347436),-- [unique_64_a]
(20623,4039,1,1,-1,271715),-- [mold_glue]
(20623,4040,1,1,-1,163029),-- [mold_lubricant]
(20623,5230,1,1,-1,10869),-- [rp_mithril_arrow]
(20623,57,3236,6545,0,700000),-- [adena]
(20623,110,1,1,1,123.516382),-- [doom_shield]
(20623,4077,1,1,1,18053.98595),-- [doom_shield_fragment]
(20623,2416,1,1,1,86.466336),-- [blue_wolve's_helmet]
(20623,4088,1,1,1,15167.782498),-- [blue_wolve's_helmet_design]
(20623,2417,1,1,1,86.466336),-- [doom_helmet]
(20623,4089,1,1,1,15167.782498),-- [doom_helmet_pattern]
(20623,1868,1,3,2,218891.932928),-- [thread]
(20623,1873,1,1,2,87556.701409),-- [silver_nugget]
(20623,5549,1,1,2,21889.265055),-- [iron_thread]
(20623,1889,1,1,2,14592.84337),-- [compound_braid]
(20623,4044,1,1,2,7296.421685),-- [thons]
(20623,4177,1,1,2,4217.464494),-- [rp_shrnoen's_gauntlet]
(20623,5332,1,1,2,630.789738),-- [rp_sealed_dark_crystal_leather_mail_i]
(20623,8729,1,1,2,2918.568674),-- [general_64_a]
(20623,8739,1,1,2,729.462763),-- [special_64_a]
(20623,8749,1,1,2,72.838633),-- [rare_64_a]
(20623,8759,1,1,2,14.711251),-- [unique_64_a]
(20624,1877,1,1,-1,332612),-- [admantite_nugget]
(20624,4054,1,1,-1,163784),-- [necklace_of_black_ore_beads]
(20624,4052,1,1,-1,294399),-- [earing_of_black_ore_piece]
(20624,57,3295,6681,0,700000),-- [adena]
(20624,79,1,1,1,8.113194),-- [sword_of_damascus]
(20624,4114,1,1,1,1792.222368),-- [sword_of_damascus_blade]
(20624,7883,1,1,1,8.113194),-- [guardians_sword]
(20624,8330,1,1,1,1789.210284),-- [guardians_sword_blade]
(20624,7889,1,1,1,8.113194),-- [tears_of_wizard]
(20624,8336,1,1,1,1792.227766),-- [tears_of_wizard_blade]
(20624,1873,1,1,2,75575.770128),-- [silver_nugget]
(20624,1868,1,3,2,188939.42532),-- [thread]
(20624,1876,1,1,2,37787.885064),-- [mithril_ore]
(20624,1895,1,1,2,53982.588264),-- [metallic_fiber]
(20624,4042,1,1,2,3149.17362),-- [enria]
(20624,4154,1,1,2,2236.114788),-- [rp_doom_shield]
(20624,4403,1,1,2,377.754276),-- [red_dimension_stone]
(20624,5281,1,1,2,252.080448),-- [rp_adv_comp_bspiritshot_a]
(20624,5340,1,1,2,870.556896),-- [rp_sealed_legging_of_dark_crystal_i]
(20624,8729,1,1,2,2519.338896),-- [general_64_a]
(20624,8739,1,1,2,629.834724),-- [special_64_a]
(20624,8749,1,1,2,63.020112),-- [rare_64_a]
(20624,8759,1,1,2,12.457464),-- [unique_64_a]
(20625,4043,1,1,-1,277527),-- [asofe]
(20625,4044,1,1,-1,277527),-- [thons]
(20625,5230,1,1,-1,11101),-- [rp_mithril_arrow]
(20625,57,3298,6689,0,700000),-- [adena]
(20625,268,1,1,1,24.37197),-- [bellion_cestus]
(20625,4120,1,1,1,5373.62803),-- [bellion_cestus_edge]
(20625,1894,1,1,2,8629.183836),-- [crafted_leather]
(20625,4039,1,1,2,8197.7103),-- [mold_glue]
(20625,4041,1,1,2,2138.528964),-- [mold_hardener]
(20625,4044,1,1,2,8197.7103),-- [thons]
(20625,4192,1,1,2,187.74964),-- [rp_sword_of_damascus]
(20625,5276,1,1,2,327.908412),-- [rp_adv_comp_spiritshot_a]
(20625,8729,1,1,2,3279.08412),-- [general_64_a]
(20625,8739,1,1,2,819.786968),-- [special_64_a]
(20625,8749,1,1,2,81.985072),-- [rare_64_a]
(20625,8759,1,1,2,16.352388),-- [unique_64_a]
(20626,1875,1,1,-1,685963),-- [stone_of_purity]
(20626,4053,1,1,-1,441039),-- [ring_of_black_ore_gemstone]
(20626,5230,1,1,-1,13719),-- [rp_mithril_arrow]
(20626,57,4056,8290,0,700000),-- [adena]
(20626,358,1,1,1,40.93388),-- [blue_wolve's_breastplate]
(20626,4078,1,1,1,7399.831335),-- [blue_wolve's_breastplate_part]
(20626,2381,1,1,1,25.19361),-- [doom_plate_armor]
(20626,4081,1,1,1,4993.038505),-- [doom_plate_armor_temper]
(20626,2380,1,1,1,65.48503),-- [blue_wolve's_gaiters]
(20626,4080,1,1,1,10420.51764),-- [blue_wolve's_gaiters_material]
(20626,1872,1,3,2,168852.683584),-- [animal_bone]
(20626,1867,1,3,2,112568.342644),-- [animal_skin]
(20626,1881,1,1,2,33770.604564),-- [coarse_bone_powder]
(20626,1875,1,1,2,16885.132664),-- [stone_of_purity]
(20626,4041,1,1,2,2202.320112),-- [mold_hardener]
(20626,4615,1,1,2,349.41308),-- [dye_c4s4_c]
(20626,4402,1,1,2,506.479348),-- [blue_dimension_stone]
(20626,5334,1,1,2,498.67692),-- [rp_sealed_tallum_leather_mail_i]
(20626,8730,1,1,2,2814.301856),-- [general_67_a]
(20626,8740,1,1,2,703.575464),-- [special_67_a]
(20626,8750,1,1,2,70.221852),-- [rare_67_a]
(20626,8760,1,1,2,14.247912),-- [unique_67_a]
(20627,1877,1,1,-1,413122),-- [admantite_nugget]
(20627,5478,1,1,-1,86849),-- [sealed_dark_crystal_leather_mail_pattern]
(20627,57,4085,8305,0,700000),-- [adena]
(20627,5291,1,1,1,85.696149),-- [sealed_dark_crystal_boots]
(20627,5496,1,1,1,8942.553851),-- [sealed_dark_crystal_boots_lining]
(20627,5296,1,1,1,85.696149),-- [sealed_tallum_boots]
(20627,5497,1,1,1,8942.553851),-- [sealed_tallum_boots_lining]
(20627,5290,1,1,1,85.696149),-- [sealed_dark_crystal_gloves]
(20627,5508,1,1,1,8942.553851),-- [sealed_dark_crystal_gloves_design]
(20627,5295,1,1,1,85.696149),-- [sealed_tallum_gloves]
(20627,5509,1,1,1,8942.553851),-- [sealed_tallum_gloves_design]
(20627,1871,1,1,2,254229.140691),-- [charcoal]
(20627,1866,1,1,2,169485.766956),-- [suede]
(20627,1877,1,1,2,10169.400951),-- [admantite_nugget]
(20627,4041,1,1,2,2210.568813),-- [mold_hardener]
(20627,4040,1,1,2,5084.455347),-- [mold_lubricant]
(20627,4973,1,1,2,2751.322284),-- [rp_earing_of_black_ore_i]
(20627,3956,1,1,2,338.767587),-- [rp_blessed_spiritshot_a]
(20627,6670,1,1,2,42371.441739),-- [key_of_treasure_box6]
(20627,8730,1,1,2,2824.860834),-- [general_67_a]
(20627,8740,1,1,2,705.97008),-- [special_67_a]
(20627,8750,1,1,2,70.597008),-- [rare_67_a]
(20627,8760,1,1,2,14.70771),-- [unique_67_a]
(20628,1807,1,1,-1,14876),-- [rp_soulshot_a]
(20628,5479,1,1,-1,66016),-- [sealed_tallum_leather_mail_pattern]
(20628,1895,1,7,-1,796908),-- [metallic_fiber]
(20628,57,4416,8967,0,700000),-- [adena]
(20628,5304,1,1,1,41.126553),-- [sealed_tallum_tunic]
(20628,5485,1,1,1,4618.266393),-- [sealed_tallum_tunic_texture]
(20628,5308,1,1,1,25.298091),-- [sealed_dark_crystal_robe]
(20628,5486,1,1,1,3249.729639),-- [sealed_dark_crystal_robe_fabric]
(20628,5305,1,1,1,65.768937),-- [sealed_tallum_hose]
(20628,5489,1,1,1,7248.810387),-- [sealed_tallum_hose_fabric]
(20628,1895,1,1,2,94157.83821),-- [metallic_fiber]
(20628,4040,1,1,2,6591.05616),-- [mold_lubricant]
(20628,4042,1,1,2,5492.588385),-- [enria]
(20628,4043,1,1,2,10985.052015),-- [asofe]
(20628,4988,1,1,2,2182.46397),-- [rp_blue_wolve's_hose_i]
(20628,4401,1,1,2,659.080665),-- [green_dimension_stone]
(20628,8730,1,1,2,3661.684005),-- [general_67_a]
(20628,8740,1,1,2,915.45219),-- [special_67_a]
(20628,8750,1,1,2,91.57017),-- [rare_67_a]
(20628,8760,1,1,2,18.21423),-- [unique_67_a]
(20629,4077,1,1,-1,589396),-- [doom_shield_fragment]
(20629,4078,1,1,-1,191386),-- [blue_wolve's_breastplate_part]
(20629,3035,1,1,-1,17470),-- [rp_spiritshot_a]
(20629,57,5182,10542,0,700000),-- [adena]
(20629,5292,1,1,1,137.97336),-- [sealed_dark_crystal_shield]
(20629,5494,1,1,1,13545.568435),-- [sealed_dark_crystal_shield_fragment]
(20629,5289,1,1,1,96.547535),-- [sealed_dark_crystal_helmet]
(20629,5525,1,1,1,9970.198476),-- [sealed_dark_crystal_helmet_design]
(20629,5294,1,1,1,96.547535),-- [sealed_tallum_bonnet]
(20629,5526,1,1,1,9970.164659),-- [sealed_tallum_bonnet_design]
(20629,1873,1,1,2,154808.395587),-- [silver_nugget]
(20629,1868,3,9,2,129006.754299),-- [thread]
(20629,1876,1,1,2,77403.95577),-- [mithril_ore]
(20629,1895,1,1,2,110577.632868),-- [metallic_fiber]
(20629,4042,1,1,2,6450.410322),-- [enria]
(20629,5006,1,1,2,295.26867),-- [rp_bellion_cestus_i]
(20629,8730,1,1,2,4300.273548),-- [general_67_a]
(20629,8740,1,1,2,1075.068387),-- [special_67_a]
(20629,8750,1,1,2,107.458434),-- [rare_67_a]
(20629,8760,1,1,2,21.782115),-- [unique_67_a]
(20630,2291,1,1,-1,5091),-- [rp_scallop_jamadhr]
(20630,1943,1,1,-1,72792),-- [manticor_skin_gaiters_pattern]
(20630,1902,1,1,-1,92852),-- [elven_earing_beads]
(20630,57,383,764,0,700000),-- [adena]
(20630,629,1,1,1,261.873792),-- [kite_shield]
(20630,1947,1,1,1,11368.098096),-- [kite_shield_fragment]
(20630,2493,1,1,1,261.873792),-- [brigandine_shield]
(20630,2929,1,1,1,11368.098096),-- [brigandine_shield_fragment]
(20630,2411,1,1,1,183.4017),-- [brigandine_helmet]
(20630,2922,1,1,1,3040.654524),-- [brigandine_helmet_design]
(20630,1866,1,1,2,45117.507951),-- [suede]
(20630,1871,1,1,2,67676.195466),-- [charcoal]
(20630,5220,1,1,2,2707.069086),-- [reinforcing_agent]
(20630,1885,1,1,2,5639.705109),-- [high_grade_suede]
(20630,5472,1,1,2,4834.070928),-- [rp_iron_thread]
(20630,2286,1,1,2,376.033509),-- [rp_bonebreaker]
(20630,2987,1,1,2,6570.417951),-- [rp_plate_shield]
(20631,2998,1,1,-1,94276),-- [rp_chain_shield]
(20631,2996,1,1,-1,99513),-- [rp_chain_gloves]
(20631,1873,1,1,-1,501547),-- [silver_nugget]
(20631,57,508,1017,0,700000),-- [adena]
(20631,1125,1,1,1,139.547025),-- [assault_boots]
(20631,1957,1,1,1,5856.262325),-- [assault_boots_part]
(20631,2427,1,1,1,139.547025),-- [slamander_skin_boots]
(20631,2931,1,1,1,5856.262325),-- [slamander_skin_boots_lining]
(20631,2428,1,1,1,139.547025),-- [plate_boots]
(20631,2932,1,1,1,5856.262325),-- [plate_boots_design]
(20631,61,1,1,1,139.547025),-- [mithril_glove]
(20631,1949,1,1,1,5856.262325),-- [mithril_glove_design]
(20631,607,1,1,1,139.547025),-- [ogre_power_gauntlet]
(20631,1963,1,1,1,5856.262325),-- [ogre_power_gauntlet_part]
(20631,2451,1,1,1,139.547025),-- [sage's_worn_gloves]
(20631,2933,1,1,1,5856.406225),-- [sage's_worn_gloves_lining]
(20631,1868,1,1,2,157408.598016),-- [thread]
(20631,1873,1,1,2,31481.568768),-- [silver_nugget]
(20631,5549,1,1,2,7870.580736),-- [iron_thread]
(20631,1889,1,1,2,5246.802432),-- [compound_braid]
(20631,2203,1,1,2,17146.945536),-- [rp_mithril_boots]
(20631,5274,1,1,2,262.453248),-- [rp_adv_comp_spiritshot_c]
(20631,5164,1,1,2,262.453248),-- [rp_comp_bspiritshot_c]
(20631,1342,10,30,2,157408.598016),-- [fine_steel_arrow]
(20632,1951,1,1,-1,63026),-- [plate_gaiters_part]
(20632,1873,1,1,-1,499421),-- [silver_nugget]
(20632,1880,1,1,-1,124855),-- [steel]
(20632,57,503,1016,0,700000),-- [adena]
(20632,353,1,1,1,104.217163),-- [half_plate]
(20632,1950,1,1,1,5087.530747),-- [half_plate_temper]
(20632,380,1,1,1,166.750115),-- [plate_gaiters]
(20632,1951,1,1,1,7912.501975),-- [plate_gaiters_part]
(20632,1869,1,1,2,78370.714305),-- [iron_ore]
(20632,1864,1,1,2,156741.153543),-- [stem]
(20632,1880,1,1,2,7836.933897),-- [steel]
(20632,5550,1,1,2,1044.979533),-- [reinforcing_plate]
(20632,2301,1,1,2,342.183348),-- [rp_battle_axe]
(20632,2205,1,1,2,2480.004072),-- [rp_chain_gaiters]
(20632,5274,1,1,2,261.31365),-- [rp_adv_comp_spiritshot_c]
(20632,6668,1,1,2,27989.717652),-- [key_of_treasure_box4]
(20633,2313,1,1,-1,5351),-- [rp_orcish_glaive]
(20633,2212,1,1,-1,43920),-- [rp_plate_leather_gaiters]
(20633,4469,1,1,-1,7002),-- [dye_s1c1_d]
(20633,57,485,984,0,700000),-- [adena]
(20633,851,1,1,1,219.839927),-- [onyxbeast'seye_earing]
(20633,1905,1,1,1,9975.918999),-- [onyxbeast'seye_earing_gemstone]
(20633,914,1,1,1,164.871965),-- [necklace_of_darkness]
(20633,1907,1,1,1,7134.088132),-- [necklace_of_darkness_gem]
(20633,882,1,1,1,329.74393),-- [mithril_ring]
(20633,1906,1,1,1,14096.537047),-- [mithril_ring_wire]
(20633,1873,1,1,2,35161.574252),-- [silver_nugget]
(20633,1868,1,1,2,175807.87126),-- [thread]
(20633,1876,1,1,2,17580.787126),-- [mithril_ore]
(20633,1895,1,1,2,25115.41018),-- [metallic_fiber]
(20633,2992,1,1,2,6976.473616),-- [rp_plate_leather_boots]
(20633,5159,1,1,2,293.14019),-- [rp_comp_spiritshot_c]
(20633,2211,1,1,2,1970.743376),-- [rp_plate_leather]
(20634,2213,1,1,-1,36467),-- [rp_dwarven_chain_mail_shirt]
(20634,1880,1,1,-1,234850),-- [steel]
(20634,1908,1,1,-1,222396),-- [moonstone_earing_wire]
(20634,57,925,1895,0,700000),-- [adena]
(20634,354,1,1,1,142.811604),-- [chain_mail_shirt]
(20634,1959,1,1,1,7473.914838),-- [chain_mail_shirt_material]
(20634,381,1,1,1,228.461688),-- [chain_gaiters]
(20634,1960,1,1,1,15203.81187),-- [chain_gaiters_part]
(20634,1872,1,1,2,123326.177326),-- [animal_bone]
(20634,1867,1,1,2,123326.177326),-- [animal_skin]
(20634,1881,1,1,2,12332.646614),-- [coarse_bone_powder]
(20634,1875,1,1,2,6166.1789),-- [stone_of_purity]
(20634,2215,1,1,2,1178.36112),-- [rp_robe_of_seal]
(20634,2225,1,1,2,2010.723068),-- [rp_demon's_hose]
(20634,2321,1,1,2,322.316424),-- [rp_stiletto]
(20634,2251,1,1,2,15415.736064),-- [rp_fine_steel_arrow]
(20634,8723,1,1,2,3699.70734),-- [general_46_c]
(20634,8733,1,1,2,925.071242),-- [special_46_c]
(20634,8743,1,1,2,92.42048),-- [rare_46_c]
(20634,8753,1,1,2,18.484096),-- [unique_46_c]
(20635,2215,1,1,-1,15138),-- [rp_robe_of_seal]
(20635,1959,1,1,-1,32009),-- [chain_mail_shirt_material]
(20635,2163,1,1,-1,60630),-- [rp_earing_of_protection]
(20635,57,470,955,0,700000),-- [adena]
(20635,263,1,1,1,31.85193),-- [chakram]
(20635,2073,1,1,1,2170.14807),-- [chakram_edge]
(20635,1866,1,1,2,34038.436182),-- [suede]
(20635,1871,1,1,2,51057.70467),-- [charcoal]
(20635,5220,1,1,2,2042.288028),-- [reinforcing_agent]
(20635,1885,1,1,2,4254.817122),-- [high_grade_suede]
(20635,4041,1,1,2,443.99757),-- [mold_hardener]
(20635,3004,1,1,2,3171.281622),-- [rp_rind_leather_gloves]
(20635,3002,1,1,2,3171.281622),-- [rp_dwarven_chain_gloves]
(20635,8723,1,1,2,2042.288028),-- [general_46_c]
(20635,8733,1,1,2,510.622404),-- [special_46_c]
(20635,8743,1,1,2,51.102558),-- [rare_46_c]
(20635,8753,1,1,2,10.180194),-- [unique_46_c]
(20636,2163,1,1,-1,67491),-- [rp_earing_of_protection]
(20636,2214,1,1,-1,32824),-- [rp_dwarven_chain_gaiters]
(20636,1909,1,1,-1,178638),-- [aquastone_ring_wire]
(20636,57,521,1066,0,700000),-- [adena]
(20636,89,1,1,1,4.43344),-- [big_hammer]
(20636,2061,1,1,1,302.05956),-- [big_hammer_head]
(20636,160,1,1,1,4.43344),-- [battle_axe]
(20636,2063,1,1,1,302.05956),-- [battle_axe_head]
(20636,161,1,1,1,4.43344),-- [war_pick]
(20636,2064,1,1,1,302.05956),-- [war_pick_head]
(20636,173,1,1,1,4.43344),-- [skull_graver]
(20636,2065,1,1,1,302.05956),-- [skull_graver_head]
(20636,191,1,1,1,4.43344),-- [heavy_doom_hammer]
(20636,2066,1,1,1,306.50026),-- [heavy_doom_hammer_head]
(20636,192,1,1,1,4.43344),-- [crystal_staff]
(20636,2067,1,1,1,281.64928),-- [crystal_staff_head]
(20636,193,1,1,1,4.43344),-- [stick_of_faith]
(20636,2068,1,1,1,281.64928),-- [stick_of_faith_shaft]
(20636,194,1,1,1,4.43344),-- [heavy_doom_axe]
(20636,2069,1,1,1,306.49542),-- [heavy_doom_axe_blade]
(20636,1867,1,1,2,75780.012116),-- [animal_skin]
(20636,1872,1,1,2,75780.012116),-- [animal_bone]
(20636,1882,1,1,2,12630.059133),-- [leather]
(20636,1894,1,1,2,1994.237899),-- [crafted_leather]
(20636,4042,1,1,2,947.173048),-- [enria]
(20636,2230,1,1,2,1101.379948),-- [rp_theca_leather_gaiters]
(20636,2320,1,1,2,198.070196),-- [rp_cursed_staff]
(20636,8723,1,1,2,2273.352388),-- [general_46_c]
(20636,8733,1,1,2,568.338097),-- [special_46_c]
(20636,8743,1,1,2,56.885212),-- [rare_46_c]
(20636,8753,1,1,2,11.479847),-- [unique_46_c]
(20637,2337,1,1,-1,3209),-- [rp_stick_of_eternity]
(20637,2338,1,1,-1,3209),-- [rp_paradia_staff]
(20637,440,1,1,-1,457),-- [robe_of_seal]
(20637,57,545,1111,0,700000),-- [adena]
(20637,1126,1,1,1,82.22976),-- [crimson_boots]
(20637,1974,1,1,1,4284.096192),-- [crimson_boots_fabric]
(20637,2434,1,1,1,82.22976),-- [rind_leather_boots]
(20637,2948,1,1,1,4284.096192),-- [rind_leather_boots_lining]
(20637,2455,1,1,1,89.04096),-- [plate_leather_gloves]
(20637,2946,1,1,1,2847.279744),-- [plate_leather_gloves_design]
(20637,2456,1,1,1,82.22976),-- [dwarven_chain_gloves]
(20637,2949,1,1,1,4284.096192),-- [dwarven_chain_gloves_design]
(20637,2457,1,1,1,82.22976),-- [gloves_of_seal]
(20637,2950,1,1,1,4284.096192),-- [gloves_of_seal_pattern]
(20637,2458,1,1,1,82.22976),-- [rind_leather_gloves]
(20637,2951,1,1,1,4284.145728),-- [rind_leather_gloves_design]
(20637,1869,1,1,2,50942.36372),-- [iron_ore]
(20637,1864,1,1,2,101884.919745),-- [stem]
(20637,1880,1,1,2,5094.15945),-- [steel]
(20637,5550,1,1,2,679.22126),-- [reinforcing_plate]
(20637,4043,1,1,2,1698.05315),-- [asofe]
(20637,2222,1,1,2,318.45708),-- [rp_composite_armor]
(20637,6668,1,1,2,18193.783745),-- [key_of_treasure_box4]
(20637,8724,1,1,2,1698.05315),-- [general_49_c]
(20637,8734,1,1,2,424.60944),-- [special_49_c]
(20637,8744,1,1,2,42.499405),-- [rare_49_c]
(20637,8754,1,1,2,8.46142),-- [unique_49_c]
(20637,1539,1,1,2,11320.418435),-- [greater_healing_potion]
(20638,1873,1,1,-1,576200),-- [silver_nugget]
(20638,2946,1,1,-1,80520),-- [plate_leather_gloves_design]
(20638,1911,1,1,-1,107140),-- [earing_of_protection_gemstone]
(20638,57,570,1158,0,700000),-- [adena]
(20638,282,1,1,1,14.444309),-- [elemental_bow]
(20638,2085,1,1,1,1104.055691),-- [elemental_bow_shaft]
(20638,285,1,1,1,14.444309),-- [noble_elven_bow]
(20638,2086,1,1,1,1104.055691),-- [noble_elven_bow_shaft]
(20638,1867,1,1,2,65461.79647),-- [animal_skin]
(20638,1872,1,1,2,65461.79647),-- [animal_bone]
(20638,1882,1,1,2,10910.24963),-- [leather]
(20638,1894,1,1,2,1722.694575),-- [crafted_leather]
(20638,4042,1,1,2,818.261255),-- [enria]
(20638,2338,1,1,2,114.248925),-- [rp_paradia_staff]
(20638,2351,1,1,2,102.74936),-- [rp_scorpion]
(20638,3005,1,1,2,2003.91121),-- [rp_demon's_boots]
(20638,952,1,1,2,654.579135),-- [scrl_of_ench_am_c]
(20638,8724,1,1,2,1636.52251),-- [general_49_c]
(20638,8734,1,1,2,409.2053),-- [special_49_c]
(20638,8744,1,1,2,40.92053),-- [rare_49_c]
(20638,8754,1,1,2,8.06463),-- [unique_49_c]
(20639,2342,1,1,-1,7048),-- [rp_club_of_nature]
(20639,2334,1,1,-1,7048),-- [rp_deathbreath_sword]
(20639,951,1,1,-1,5510),-- [scrl_of_ench_wp_c]
(20639,57,1196,2440,0,700000),-- [adena]
(20639,227,1,1,1,30.383318),-- [stiletto]
(20639,2083,1,1,1,2230.616682),-- [stiletto_edge]
(20639,242,1,1,1,30.383318),-- [dagger_of_magicflame]
(20639,2084,1,1,1,2230.616682),-- [dagger_of_magicflame_blade]
(20639,1868,1,1,2,223801.838579),-- [thread]
(20639,1873,1,1,2,44760.29966),-- [silver_nugget]
(20639,5549,1,1,2,11190.074915),-- [iron_thread]
(20639,1889,1,1,2,7459.936517),-- [compound_braid]
(20639,4044,1,1,2,3730.138398),-- [thons]
(20639,4132,1,1,2,4337.196134),-- [rp_composite_shield]
(20639,2328,1,1,2,260.313435),-- [rp_sword_of_delusion]
(20639,6668,1,1,2,39964.747713),-- [key_of_treasure_box4]
(20639,8724,1,1,2,3730.138398),-- [general_49_c]
(20639,8734,1,1,2,932.36446),-- [special_49_c]
(20639,8744,1,1,2,93.236446),-- [rare_49_c]
(20639,8754,1,1,2,18.715345),-- [unique_49_c]
(20640,1868,1,7,-1,728055),-- [thread]
(20640,1539,1,1,-1,323580),-- [greater_healing_potion]
(20640,1870,1,3,-1,728055),-- [coal]
(20640,57,576,1171,0,700000),-- [adena]
(20640,283,1,1,1,18.22008),-- [akat_long_bow]
(20640,2109,1,1,1,1687.77992),-- [akat_long_bow_shaft]
(20640,1865,1,1,2,46319.687274),-- [varnish]
(20640,1870,1,1,2,46319.687274),-- [coal]
(20640,1879,1,1,2,7719.927852),-- [cokes]
(20640,1875,1,1,2,3087.923076),-- [stone_of_purity]
(20640,4040,1,1,2,926.44902),-- [mold_lubricant]
(20640,2233,1,1,2,432.943686),-- [rp_divine_tunic]
(20640,3014,1,1,2,1293.904416),-- [rp_full_plate_boots]
(20640,2970,1,1,2,1642.494378),-- [rp_ring_of_binding]
(20640,6669,1,1,2,10772.042652),-- [key_of_treasure_box5]
(20640,8725,1,1,2,1286.694696),-- [general_52_c]
(20640,8735,1,1,2,321.673674),-- [special_52_c]
(20640,8745,1,1,2,32.203416),-- [rare_52_c]
(20640,8755,1,1,2,6.368586),-- [unique_52_c]
(20641,2097,1,1,-1,9668),-- [war_axe_blade]
(20641,2355,1,1,-1,2944),-- [rp_ghoul's_staff]
(20641,4042,1,1,-1,30082),-- [enria]
(20641,57,715,1452,0,700000),-- [adena]
(20641,854,1,1,1,109.796841),-- [earing_of_binding]
(20641,1914,1,1,1,6988.01558),-- [earing_of_binding_gemstone]
(20641,917,1,1,1,82.35353),-- [necklace_of_mermaid]
(20641,1916,1,1,1,5293.04307),-- [necklace_of_mermaid_teardrop]
(20641,885,1,1,1,164.636269),-- [ring_of_ages]
(20641,1915,1,1,1,10959.15471),-- [ring_of_ages_gemstone]
(20641,1867,1,1,2,82934.40647),-- [animal_skin]
(20641,1872,1,1,2,82934.40647),-- [animal_bone]
(20641,1882,1,1,2,13822.369724),-- [leather]
(20641,1894,1,1,2,2182.449726),-- [crafted_leather]
(20641,4042,1,1,2,1036.762386),-- [enria]
(20641,4124,1,1,2,2764.51157),-- [rp_craftsman_mold]
(20641,4609,1,1,2,138.27261),-- [dye_m3i3_c]
(20641,2353,1,1,2,101.399914),-- [rp_samurai_longsword]
(20641,8725,1,1,2,1727.749184),-- [general_52_c]
(20641,8735,1,1,2,431.937296),-- [special_52_c]
(20641,8745,1,1,2,43.26898),-- [rare_52_c]
(20641,8755,1,1,2,8.46567),-- [unique_52_c]
(20642,2103,1,1,-1,9533),-- [sage's_staff_head]
(20642,2358,1,1,-1,2759),-- [rp_great_pata]
(20642,4602,1,1,-1,3758),-- [dye_s3d3_c]
(20642,57,672,1357,0,700000),-- [adena]
(20642,283,1,1,1,21.16776),-- [akat_long_bow]
(20642,2109,1,1,1,1960.83224),-- [akat_long_bow_shaft]
(20642,1873,1,1,2,18648.809658),-- [silver_nugget]
(20642,1868,1,1,2,93244.04829),-- [thread]
(20642,1876,1,1,2,9324.241698),-- [mithril_ore]
(20642,1895,1,1,2,13320.624936),-- [metallic_fiber]
(20642,4042,1,1,2,777.156084),-- [enria]
(20642,4606,1,1,2,103.751316),-- [dye_d3c3_c]
(20642,3017,1,1,2,1302.437904),-- [rp_blessed_gloves]
(20642,5155,1,1,2,93.310932),-- [rp_comp_soulshot_b]
(20642,3015,1,1,2,1302.437904),-- [rp_drake_leather_gloves]
(20642,8725,1,1,2,1294.933878),-- [general_52_c]
(20642,8735,1,1,2,323.651904),-- [special_52_c]
(20642,8745,1,1,2,32.299938),-- [rare_52_c]
(20642,8755,1,1,2,6.52524),-- [unique_52_c]
(20642,1342,10,30,2,93244.04829),-- [fine_steel_arrow]
(20643,3955,1,1,-1,3483),-- [rp_blessed_spiritshot_b]
(20643,2114,1,1,-1,8434),-- [widow_maker_head]
(20643,1918,1,1,-1,75426),-- [nassen's_earing_gemstone]
(20643,57,689,1400,0,700000),-- [adena]
(20643,2497,1,1,1,111.328191),-- [full_plate_shield]
(20643,2966,1,1,1,8796.905481),-- [full_plate_shield_fragment]
(20643,2414,1,1,1,77.928279),-- [full_plate_helmet]
(20643,2959,1,1,1,5560.838049),-- [full_plate_helmet_design]
(20643,1894,1,1,2,1880.22975),-- [crafted_leather]
(20643,4039,1,1,2,1786.228796),-- [mold_glue]
(20643,4041,1,1,2,465.959906),-- [mold_hardener]
(20643,4044,1,1,2,1786.228796),-- [thons]
(20643,4126,1,1,2,884.266258),-- [rp_adamantite_earing]
(20643,5270,1,1,2,107.167829),-- [rp_adv_comp_soulshot_b]
(20643,5275,1,1,2,107.167829),-- [rp_adv_comp_spiritshot_b]
(20643,6669,1,1,2,12461.994247),-- [key_of_treasure_box5]
(20643,8726,1,1,2,1240.42496),-- [general_55_c]
(20643,8736,1,1,2,310.10624),-- [special_55_c]
(20643,8746,1,1,2,31.010624),-- [rare_55_c]
(20643,8756,1,1,2,6.214765),-- [unique_55_c]
(20644,1865,1,3,-1,854261),-- [varnish]
(20644,1987,1,1,-1,26066),-- [drake_leather_mail_texture]
(20644,1806,1,1,-1,3417),-- [rp_soulshot_b]
(20644,57,675,1374,0,700000),-- [adena]
(20644,442,1,1,1,38.23255),-- [divine_tunic]
(20644,1988,1,1,1,3030.335562),-- [divine_tunic_fabric]
(20644,473,1,1,1,61.156314),-- [divine_hose]
(20644,1989,1,1,1,4753.275574),-- [divine_hose_pattern]
(20644,1864,1,1,2,97052.069108),-- [stem]
(20644,1869,1,1,2,48526.034554),-- [iron_ore]
(20644,1878,1,1,2,19410.493394),-- [braided_hemp]
(20644,1884,1,1,2,29862.129203),-- [cord]
(20644,4039,1,1,2,1617.507961),-- [mold_glue]
(20644,4147,1,1,2,498.720017),-- [rp_hose_of_shrnoen]
(20644,4184,1,1,2,55.899611),-- [rp_sprite's_staff]
(20644,5160,1,1,2,97.078328),-- [rp_comp_spiritshot_b]
(20644,4142,1,1,2,373.194556),-- [rp_avadon_gaiters]
(20644,8726,1,1,2,1123.363357),-- [general_55_c]
(20644,8736,1,1,2,280.890572),-- [special_55_c]
(20644,8746,1,1,2,28.049271),-- [rare_55_c]
(20644,8756,1,1,2,5.570068),-- [unique_55_c]
(20645,2121,1,1,-1,17683),-- [eminence_bow_shaft]
(20645,1885,1,1,-1,320445),-- [high_grade_suede]
(20645,1920,1,1,-1,131577),-- [necklace_of_binding_chain]
(20645,57,1520,3096,0,700000),-- [adena]
(20645,286,1,1,1,30.126185),-- [eminence_bow]
(20645,2121,1,1,1,3264.873815),-- [eminence_bow_shaft]
(20645,1870,1,1,2,118317.975663),-- [coal]
(20645,1865,1,1,2,118317.975663),-- [varnish]
(20645,1874,1,1,2,7887.985356),-- [oriharukon_ore]
(20645,4043,1,1,2,3943.992678),-- [asofe]
(20645,4039,1,1,2,3943.992678),-- [mold_glue]
(20645,4189,1,1,2,136.382019),-- [rp_arthro_nail]
(20645,5275,1,1,2,236.670498),-- [rp_adv_comp_spiritshot_b]
(20645,4179,1,1,2,1520.827089),-- [rp_shrnoen's_helmet]
(20645,8726,1,1,2,2738.726253),-- [general_55_c]
(20645,8736,1,1,2,684.746016),-- [special_55_c]
(20645,8746,1,1,2,68.577726),-- [rare_55_c]
(20645,8756,1,1,2,13.148361),-- [unique_55_c]
(20646,4044,1,1,-1,96583),-- [thons]
(20646,2122,1,1,-1,13225),-- [orcish_poleaxe_blade]
(20646,3034,1,1,-1,5795),-- [rp_spiritshot_b]
(20646,57,1145,2333,0,700000),-- [adena]
(20646,301,1,1,1,9.696768),-- [scorpion]
(20646,2113,1,1,1,863.5542),-- [scorpion_blade]
(20646,303,1,1,1,9.696768),-- [widow_maker]
(20646,2114,1,1,1,863.5542),-- [widow_maker_head]
(20646,299,1,1,1,7.565328),-- [orcish_poleaxe]
(20646,2122,1,1,1,813.932736),-- [orcish_poleaxe_blade]
(20646,1864,1,1,2,178306.774196),-- [stem]
(20646,1869,1,1,2,89153.387098),-- [iron_ore]
(20646,1878,1,1,2,35661.500432),-- [braided_hemp]
(20646,1884,1,1,2,54863.734824),-- [cord]
(20646,4039,1,1,2,2971.91303),-- [mold_glue]
(20646,4190,1,1,2,102.642924),-- [rp_dark_elven_long_bow]
(20646,4186,1,1,2,102.642924),-- [rp_sword_of_valhalla]
(20646,5165,1,1,2,178.35118),-- [rp_comp_bspiritshot_b]
(20646,8726,1,1,2,2063.77794),-- [general_55_c]
(20646,8736,1,1,2,515.762494),-- [special_55_c]
(20646,8746,1,1,2,51.685444),-- [rare_55_c]
(20646,8756,1,1,2,9.827514),-- [unique_55_c]
(20647,2960,1,1,-1,158666),-- [drake_leather_boots_design]
(20647,4049,1,1,-1,152841),-- [adamantite_earing_gemstone]
(20647,947,1,1,-1,1166),-- [scrl_of_ench_wp_b]
(20647,57,1150,2348,0,700000),-- [adena]
(20647,554,1,1,1,53.916544),-- [shrnoen's_boots]
(20647,4097,1,1,1,5600.083456),-- [shrnoen's_boots_design]
(20647,600,1,1,1,53.916544),-- [avadon_boots]
(20647,4098,1,1,1,5600.083456),-- [avadon_boots_design]
(20647,612,1,1,1,53.916544),-- [shrnoen's_gauntlet]
(20647,4100,1,1,1,5600.083456),-- [shrnoen's_gauntlet_part]
(20647,2464,1,1,1,53.916544),-- [avadon_gloves]
(20647,4073,1,1,1,5600.083456),-- [avadon_gloves_part]
(20647,1865,1,1,2,71726.827744),-- [varnish]
(20647,1870,1,1,2,71726.827744),-- [coal]
(20647,1879,1,1,2,11954.526276),-- [cokes]
(20647,1875,1,1,2,4781.744528),-- [stone_of_purity]
(20647,4040,1,1,2,1434.457376),-- [mold_lubricant]
(20647,4946,1,1,2,459.732372),-- [rp_shrnoen's_leather_shirts_i]
(20647,5280,1,1,2,143.51172),-- [rp_adv_comp_bspiritshot_b]
(20647,4176,1,1,2,892.082048),-- [rp_doom_boots]
(20647,8727,1,1,2,1434.457376),-- [general_58_b]
(20647,8737,1,1,2,358.614344),-- [special_58_b]
(20647,8747,1,1,2,35.795452),-- [rare_58_b]
(20647,8757,1,1,2,7.42302),-- [unique_58_b]
(20648,4191,1,1,-1,3620),-- [rp_great_axe]
(20648,2963,1,1,-1,171074),-- [full_plate_gauntlet_part]
(20648,1868,1,13,-1,897647),-- [thread]
(20648,57,1239,2531,0,700000),-- [adena]
(20648,554,1,1,1,58.131456),-- [shrnoen's_boots]
(20648,4097,1,1,1,6037.868544),-- [shrnoen's_boots_design]
(20648,600,1,1,1,58.131456),-- [avadon_boots]
(20648,4098,1,1,1,6037.868544),-- [avadon_boots_design]
(20648,612,1,1,1,58.131456),-- [shrnoen's_gauntlet]
(20648,4100,1,1,1,6037.868544),-- [shrnoen's_gauntlet_part]
(20648,2464,1,1,1,58.131456),-- [avadon_gloves]
(20648,4073,1,1,1,6037.868544),-- [avadon_gloves_part]
(20648,1873,1,1,2,30934.28802),-- [silver_nugget]
(20648,1868,1,1,2,154671.193297),-- [thread]
(20648,1876,1,1,2,15467.14401),-- [mithril_ore]
(20648,1895,1,1,2,22095.778984),-- [metallic_fiber]
(20648,4042,1,1,2,1288.805266),-- [enria]
(20648,4961,1,1,2,1419.11725),-- [rp_shrnoen's_shield_i]
(20648,4999,1,1,2,961.791291),-- [rp_doom_boots_i]
(20648,6669,1,1,2,17985.028216),-- [key_of_treasure_box5]
(20648,8727,1,1,2,1546.714401),-- [general_58_b]
(20648,8737,1,1,2,386.740301),-- [special_58_b]
(20648,8747,1,1,2,38.748071),-- [rare_58_b]
(20648,8757,1,1,2,7.650893),-- [unique_58_b]
(20649,2112,1,1,-1,16014),-- [paagrio_axe_blade]
(20649,4133,1,1,-1,15899),-- [rp_shrnoen's_breastplate]
(20649,5549,1,1,-1,330694),-- [iron_thread]
(20649,57,1306,2660,0,700000),-- [adena]
(20649,78,1,1,1,4.87334),-- [great_sword]
(20649,4104,1,1,1,931.41398),-- [great_sword_blade]
(20649,142,1,1,1,4.87334),-- [kshanberk]
(20649,4107,1,1,1,916.983),-- [kshanberk_blade]
(20649,148,1,1,1,4.87334),-- [sword_of_valhalla]
(20649,4108,1,1,1,916.983),-- [sword_of_valhalla_blade]
(20649,1868,1,1,2,150280.240366),-- [thread]
(20649,1873,1,1,2,30055.935682),-- [silver_nugget]
(20649,5549,1,1,2,7513.913676),-- [iron_thread]
(20649,1889,1,1,2,5009.275784),-- [compound_braid]
(20649,4044,1,1,2,2504.637892),-- [thons]
(20649,4970,1,1,2,86.541224),-- [rp_arthro_nail_i]
(20649,4194,1,1,2,57.319512),-- [rp_deadman's_glory]
(20649,8311,1,1,2,57.319512),-- [rp_bone_of_kaim_vanul]
(20649,8727,1,1,2,1502.670344),-- [general_58_b]
(20649,8737,1,1,2,375.667586),-- [special_58_b]
(20649,8747,1,1,2,37.651052),-- [rare_58_b]
(20649,8757,1,1,2,7.586406),-- [unique_58_b]
(20649,1832,1,1,2,83489.240964),-- [advanced_antidote]
(20650,4049,1,1,-1,188177),-- [adamantite_earing_gemstone]
(20650,4195,1,1,-1,2739),-- [rp_art_of_battle_axe]
(20650,4613,1,1,-1,4948),-- [dye_s4c4_c]
(20650,57,1417,2887,0,700000),-- [adena]
(20650,856,1,1,1,75.817654),-- [adamantite_earing]
(20650,4049,1,1,1,9263.677808),-- [adamantite_earing_gemstone]
(20650,918,1,1,1,56.870066),-- [adamantite_necklace]
(20650,4051,1,1,1,6849.416552),-- [adamantite_necklace_chain]
(20650,887,1,1,1,113.71283),-- [adamantite_ring]
(20650,4050,1,1,1,10942.50509),-- [adamantite_ring_wire]
(20650,1867,1,1,2,117746.485692),-- [animal_skin]
(20650,1872,1,1,2,117746.485692),-- [animal_bone]
(20650,1882,1,1,2,19624.414282),-- [leather]
(20650,1894,1,1,2,3098.702882),-- [crafted_leather]
(20650,4042,1,1,2,1471.738675),-- [enria]
(20650,948,1,1,2,220.694804),-- [scrl_of_ench_am_b]
(20650,4167,1,1,2,1098.458229),-- [rp_blue_wolve's_boots]
(20650,4168,1,1,2,1098.458229),-- [rp_doom_gloves]
(20650,8728,1,1,2,1471.738675),-- [general_61_b]
(20650,8738,1,1,2,368.000666),-- [special_61_b]
(20650,8748,1,1,2,36.694471),-- [rare_61_b]
(20650,8758,1,1,2,7.127703),-- [unique_61_b]
(20651,4050,1,1,-1,206850),-- [adamantite_ring_wire]
(20651,4196,1,1,-1,2549),-- [rp_staff_of_evil_sprit]
(20651,57,1320,2684,0,700000),-- [adena]
(20651,78,1,1,1,4.920671),-- [great_sword]
(20651,4104,1,1,1,940.460087),-- [great_sword_blade]
(20651,142,1,1,1,4.920671),-- [kshanberk]
(20651,4107,1,1,1,925.88895),-- [kshanberk_blade]
(20651,148,1,1,1,4.920671),-- [sword_of_valhalla]
(20651,4108,1,1,1,925.88895),-- [sword_of_valhalla_blade]
(20651,1867,1,1,2,109573.022592),-- [animal_skin]
(20651,1872,1,1,2,109573.022592),-- [animal_bone]
(20651,1882,1,1,2,18262.170432),-- [leather]
(20651,1894,1,1,2,2883.604032),-- [crafted_leather]
(20651,4042,1,1,2,1369.5768),-- [enria]
(20651,948,1,1,2,205.375104),-- [scrl_of_ench_am_b]
(20651,4167,1,1,2,1022.207904),-- [rp_blue_wolve's_boots]
(20651,4168,1,1,2,1022.207904),-- [rp_doom_gloves]
(20651,8728,1,1,2,1369.5768),-- [general_61_b]
(20651,8738,1,1,2,342.455616),-- [special_61_b]
(20651,8748,1,1,2,34.147296),-- [rare_61_b]
(20651,8758,1,1,2,6.632928),-- [unique_61_b]
(20652,4042,1,1,-1,58802),-- [enria]
(20652,4043,1,1,-1,117603),-- [asofe]
(20652,4129,1,1,-1,38183),-- [rp_earing_of_black_ore]
(20652,57,1398,2835,0,700000),-- [adena]
(20652,2384,1,1,1,29.021255),-- [shrnoen's_leather_shirts]
(20652,4066,1,1,1,4095.94146),-- [shrnoen's_leather_shirts_fabric]
(20652,2390,1,1,1,17.851935),-- [avadon_leather_mail]
(20652,4068,1,1,1,3146.698365),-- [avadon_leather_mail_lining]
(20652,2388,1,1,1,46.43943),-- [shrnoen's_leather_gaiters]
(20652,4067,1,1,1,6219.047555),-- [shrnoen's_leather_gaiters_texture]
(20652,1869,1,1,2,86845.277172),-- [iron_ore]
(20652,1864,1,1,2,173690.554344),-- [stem]
(20652,1880,1,1,2,8684.472236),-- [steel]
(20652,5550,1,1,2,1157.892644),-- [reinforcing_plate]
(20652,4043,1,1,2,2894.73161),-- [asofe]
(20652,4615,1,1,2,119.839392),-- [dye_c4s4_c]
(20652,4998,1,1,2,1080.218964),-- [rp_blue_wolve's_gloves_i]
(20652,4173,1,1,2,1080.218964),-- [rp_blue_wolve's_gloves]
(20652,8728,1,1,2,1447.504508),-- [general_61_b]
(20652,8738,1,1,2,361.737424),-- [special_61_b]
(20652,8748,1,1,2,36.06278),-- [rare_61_b]
(20652,8758,1,1,2,7.489962),-- [unique_61_b]
(20654,4064,1,1,-1,119042),-- [avadon_breastplate_part]
(20654,4052,1,1,-1,232857),-- [earing_of_black_ore_piece]
(20654,5230,1,1,-1,8769),-- [rp_mithril_arrow]
(20654,57,2608,5284,0,700000),-- [adena]
(20654,2398,1,1,1,26.155129),-- [blue_wolve's_tunic]
(20654,4084,1,1,1,4221.905376),-- [blue_wolve's_tunic_fabric]
(20654,2399,1,1,1,26.155129),-- [tunic_of_doom]
(20654,4085,1,1,1,4221.905376),-- [tunic_of_doom_pattern]
(20654,2403,1,1,1,41.880176),-- [blue_wolve's_hose]
(20654,4086,1,1,1,5700.539338),-- [blue_wolve's_hose_pattern]
(20654,2404,1,1,1,41.880176),-- [hose_of_doom]
(20654,4087,1,1,1,5700.5793),-- [hose_of_doom_pattern]
(20654,1894,1,1,2,6197.111536),-- [crafted_leather]
(20654,4039,1,1,2,5887.22996),-- [mold_glue]
(20654,4041,1,1,2,1535.801632),-- [mold_hardener]
(20654,4044,1,1,2,5887.22996),-- [thons]
(20654,4624,1,1,2,243.612504),-- [dye_w4m4_c]
(20654,5276,1,1,2,235.494976),-- [rp_adv_comp_spiritshot_a]
(20654,8729,1,1,2,2354.891984),-- [general_64_a]
(20654,8739,1,1,2,588.73744),-- [special_64_a]
(20654,8749,1,1,2,58.873744),-- [rare_64_a]
(20654,8759,1,1,2,11.786304),-- [unique_64_a]
(20654,6036,1,1,2,5887.22996),-- [potion_of_acumen3]
(20655,4067,1,1,-1,212287),-- [shrnoen's_leather_gaiters_texture]
(20655,4160,1,1,-1,16800),-- [rp_leather_mail_of_doom]
(20655,4053,1,1,-1,254190),-- [ring_of_black_ore_gemstone]
(20655,57,2352,4762,0,700000),-- [adena]
(20655,110,1,1,1,89.858003),-- [doom_shield]
(20655,4077,1,1,1,13134.250675),-- [doom_shield_fragment]
(20655,2416,1,1,1,62.904144),-- [blue_wolve's_helmet]
(20655,4088,1,1,1,11034.541517),-- [blue_wolve's_helmet_design]
(20655,2417,1,1,1,62.904144),-- [doom_helmet]
(20655,4089,1,1,1,11034.541517),-- [doom_helmet_pattern]
(20655,1870,1,1,2,134746.353792),-- [coal]
(20655,1865,1,1,2,134746.353792),-- [varnish]
(20655,1874,1,1,2,8983.17216),-- [oriharukon_ore]
(20655,4043,1,1,2,4491.381312),-- [asofe]
(20655,4039,1,1,2,4491.381312),-- [mold_glue]
(20655,4989,1,1,2,892.378944),-- [rp_hose_of_doom_i]
(20655,5276,1,1,2,179.786304),-- [rp_adv_comp_spiritshot_a]
(20655,6670,1,1,2,22457.725632),-- [key_of_treasure_box6]
(20655,8729,1,1,2,1796.634432),-- [general_64_a]
(20655,8739,1,1,2,449.260992),-- [special_64_a]
(20655,8749,1,1,2,45.04896),-- [rare_64_a]
(20655,8759,1,1,2,9.009792),-- [unique_64_a]
(20655,1343,20,60,2,96247.512576),-- [silver_arrow]
(20656,4069,1,1,-1,134666),-- [tunic_of_shrnoen_fabric]
(20656,4040,1,1,-1,114237),-- [mold_lubricant]
(20656,57,2265,4587,0,700000),-- [adena]
(20656,2398,1,1,1,22.713768),-- [blue_wolve's_tunic]
(20656,4084,1,1,1,3666.408192),-- [blue_wolve's_tunic_fabric]
(20656,2399,1,1,1,22.713768),-- [tunic_of_doom]
(20656,4085,1,1,1,3666.408192),-- [tunic_of_doom_pattern]
(20656,2403,1,1,1,36.369792),-- [blue_wolve's_hose]
(20656,4086,1,1,1,4950.490896),-- [blue_wolve's_hose_pattern]
(20656,2404,1,1,1,36.369792),-- [hose_of_doom]
(20656,4087,1,1,1,4950.5256),-- [hose_of_doom_pattern]
(20656,1895,1,1,2,48205.247259),-- [metallic_fiber]
(20656,4040,1,1,2,3374.407044),-- [mold_lubricant]
(20656,4042,1,1,2,2812.00587),-- [enria]
(20656,4043,1,1,2,5623.919331),-- [asofe]
(20656,4990,1,1,2,1394.359401),-- [rp_blue_wolve's_helmet_i]
(20656,6670,1,1,2,28119.689064),-- [key_of_treasure_box6]
(20656,8729,1,1,2,2249.604696),-- [general_64_a]
(20656,8739,1,1,2,562.401174),-- [special_64_a]
(20656,8749,1,1,2,56.277081),-- [rare_64_a]
(20656,8759,1,1,2,11.08908),-- [unique_64_a]
(20657,1920,1,1,-1,144429),-- [necklace_of_binding_chain]
(20657,1914,1,1,-1,237131),-- [earing_of_binding_gemstone]
(20657,1877,1,1,-1,168837),-- [admantite_nugget]
(20657,57,1676,3389,0,700000),-- [adena]
(20657,2398,1,1,1,16.785307),-- [blue_wolve's_tunic]
(20657,4084,1,1,1,2709.448608),-- [blue_wolve's_tunic_fabric]
(20657,2399,1,1,1,16.785307),-- [tunic_of_doom]
(20657,4085,1,1,1,2709.448608),-- [tunic_of_doom_pattern]
(20657,2403,1,1,1,26.877008),-- [blue_wolve's_hose]
(20657,4086,1,1,1,3658.376254),-- [blue_wolve's_hose_pattern]
(20657,2404,1,1,1,26.877008),-- [hose_of_doom]
(20657,4087,1,1,1,3658.4019),-- [hose_of_doom_pattern]
(20657,1871,1,1,2,103899.577968),-- [charcoal]
(20657,1866,1,1,2,69266.385312),-- [suede]
(20657,1877,1,1,2,4155.931522),-- [admantite_nugget]
(20657,4041,1,1,2,903.495422),-- [mold_hardener]
(20657,4040,1,1,2,2078.057898),-- [mold_lubricant]
(20657,4960,1,1,2,2001.952736),-- [rp_shrnoen's_gauntlet_i]
(20657,5276,1,1,2,138.574048),-- [rp_adv_comp_spiritshot_a]
(20657,8300,1,1,2,56.756392),-- [rp_inferno_master_i]
(20657,8729,1,1,2,1385.371932),-- [general_64_a]
(20657,8739,1,1,2,346.250846),-- [special_64_a]
(20657,8749,1,1,2,34.643512),-- [rare_64_a]
(20657,8759,1,1,2,7.002412),-- [unique_64_a]
(20658,2220,1,1,-1,84264),-- [rp_rind_leather_mail]
(20658,1960,1,1,-1,223012),-- [chain_gaiters_part]
(20658,4054,1,1,-1,80165),-- [necklace_of_black_ore_beads]
(20658,57,1613,3270,0,700000),-- [adena]
(20658,864,1,1,1,56.362295),-- [earing_of_black_ore]
(20658,4052,1,1,1,7093.52666),-- [earing_of_black_ore_piece]
(20658,926,1,1,1,42.276674),-- [necklace_of_black_ore]
(20658,4054,1,1,1,3946.3512),-- [necklace_of_black_ore_beads]
(20658,895,1,1,1,84.533537),-- [ring_of_black_ore]
(20658,4053,1,1,1,8587.949634),-- [ring_of_black_ore_gemstone]
(20658,1866,1,1,2,66789.15416),-- [suede]
(20658,1871,1,1,2,100183.73124),-- [charcoal]
(20658,5220,1,1,2,4007.32576),-- [reinforcing_agent]
(20658,1885,1,1,2,8348.79108),-- [high_grade_suede]
(20658,4041,1,1,2,871.17054),-- [mold_hardener]
(20658,4155,1,1,2,311.2372),-- [rp_blue_wolve's_breastplate]
(20658,730,1,1,2,83.38808),-- [scrl_of_ench_am_a]
(20658,8729,1,1,2,1335.67738),-- [general_64_a]
(20658,8739,1,1,2,333.84594),-- [special_64_a]
(20658,8749,1,1,2,33.47268),-- [rare_64_a]
(20658,8759,1,1,2,6.75326),-- [unique_64_a]
(20658,1832,1,1,2,111315.45268),-- [advanced_antidote]
(20659,2062,1,1,-1,10273),-- [scythe_edge]
(20659,1885,1,1,-1,109145),-- [high_grade_suede]
(20659,2163,1,1,-1,66824),-- [rp_earing_of_protection]
(20659,57,518,1052,0,700000),-- [adena]
(20659,631,1,1,1,202.2864),-- [eldarake]
(20659,1964,1,1,1,8336.20767),-- [eldarake_temper]
(20659,2495,1,1,1,202.2864),-- [chain_shield]
(20659,2945,1,1,1,8336.20767),-- [chain_shield_fragment]
(20659,2413,1,1,1,141.60048),-- [chain_hood]
(20659,2936,1,1,1,7571.41138),-- [chain_hood_pattern]
(20659,1868,1,1,2,95232.000732),-- [thread]
(20659,1873,1,1,2,19046.425789),-- [silver_nugget]
(20659,5549,1,1,2,4761.574394),-- [iron_thread]
(20659,1889,1,1,2,3174.425667),-- [compound_braid]
(20659,4044,1,1,2,1587.148727),-- [thons]
(20659,3021,1,1,2,165.907622),-- [rp_dwarven_warhammer]
(20659,2225,1,1,2,1035.191762),-- [rp_demon's_hose]
(20659,2321,1,1,2,165.907622),-- [rp_stiletto]
(20659,2215,1,1,2,606.575703),-- [rp_robe_of_seal]
(20659,8723,1,1,2,1904.604115),-- [general_46_c]
(20659,8733,1,1,2,476.183082),-- [special_46_c]
(20659,8743,1,1,2,47.567023),-- [rare_46_c]
(20659,8753,1,1,2,9.487762),-- [unique_46_c]
(20660,2330,1,1,-1,3761),-- [rp_homunkulus's_sword]
(20660,2084,1,1,-1,10746),-- [dagger_of_magicflame_blade]
(20660,1908,1,1,-1,153154),-- [moonstone_earing_wire]
(20660,57,637,1303,0,700000),-- [adena]
(20660,439,1,1,1,131.332864),-- [karmian_tunic]
(20660,1962,1,1,1,6115.236328),-- [karmian_tunic_pattern]
(20660,471,1,1,1,209.893312),-- [karmian_hose]
(20660,1954,1,1,1,10159.537496),-- [karmian_hose_pattern]
(20660,1869,1,1,2,76436.092936),-- [iron_ore]
(20660,1864,1,1,2,152871.93754),-- [stem]
(20660,1880,1,1,2,7643.65896),-- [steel]
(20660,5550,1,1,2,1019.154528),-- [reinforcing_plate]
(20660,4043,1,1,2,2547.88632),-- [asofe]
(20660,2163,1,1,2,3899.805728),-- [rp_earing_of_protection]
(20660,8723,1,1,2,3057.463584),-- [general_46_c]
(20660,8733,1,1,2,764.365896),-- [special_46_c]
(20660,8743,1,1,2,76.486256),-- [rare_46_c]
(20660,8753,1,1,2,15.148252),-- [unique_46_c]
(20661,2223,1,1,-1,59150),-- [rp_tower_shield]
(20661,2347,1,1,-1,3549),-- [rp_akat_long_bow]
(20661,2166,1,1,-1,51732),-- [rp_earing_of_binding]
(20661,57,602,1229,0,700000),-- [adena]
(20661,2496,1,1,1,187.671942),-- [dwarven_chain_shield]
(20661,2947,1,1,1,8049.505542),-- [dwarven_chain_shield_fragment]
(20661,632,1,1,1,173.248802),-- [knight_shield]
(20661,1972,1,1,1,9015.44034),-- [knight_shield_fragment]
(20661,500,1,1,1,121.301052),-- [great_helmet]
(20661,1971,1,1,1,6898.832322),-- [great_helmet_material]
(20661,1873,1,1,2,19319.157744),-- [silver_nugget]
(20661,1868,1,1,2,96595.322192),-- [thread]
(20661,1876,1,1,2,9659.46224),-- [mithril_ore]
(20661,1895,1,1,2,13799.431712),-- [metallic_fiber]
(20661,4042,1,1,2,804.994064),-- [enria]
(20661,2223,1,1,2,1871.9436),-- [rp_tower_shield]
(20661,2230,1,1,2,936.088432),-- [rp_theca_leather_gaiters]
(20661,3005,1,1,2,1971.314064),-- [rp_demon's_boots]
(20661,6668,1,1,2,17249.173008),-- [key_of_treasure_box4]
(20661,8724,1,1,2,1609.988128),-- [general_49_c]
(20661,8734,1,1,2,402.3804),-- [special_49_c]
(20661,8744,1,1,2,40.354672),-- [rare_49_c]
(20661,8754,1,1,2,8.16424),-- [unique_49_c]
(20661,1343,10,30,2,68996.225504),-- [silver_arrow]
(20662,951,1,1,-1,2897),-- [scrl_of_ench_wp_c]
(20662,1873,1,1,-1,637338),-- [silver_nugget]
(20662,1911,1,1,-1,118508),-- [earing_of_protection_gemstone]
(20662,57,630,1281,0,700000),-- [adena]
(20662,73,1,1,1,7.98672),-- [shamshir]
(20662,2077,1,1,1,586.26328),-- [shamshir_blade]
(20662,74,1,1,1,7.98672),-- [katana]
(20662,2078,1,1,1,586.26328),-- [katana_blade]
(20662,131,1,1,1,7.98672),-- [spirits_sword]
(20662,2080,1,1,1,586.26328),-- [spirits_sword_blade]
(20662,133,1,1,1,7.98672),-- [raid_sword]
(20662,2081,1,1,1,586.26328),-- [raid_sword_blade]
(20662,1871,1,1,2,58831.182362),-- [charcoal]
(20662,1866,1,1,2,39220.660784),-- [suede]
(20662,1877,1,1,2,2353.308474),-- [admantite_nugget]
(20662,4041,1,1,2,511.613736),-- [mold_hardener]
(20662,4040,1,1,2,1176.558644),-- [mold_lubricant]
(20662,2340,1,1,2,136.889176),-- [rp_paagrio_hammer]
(20662,3006,1,1,2,2401.29616),-- [rp_demon's_gloves]
(20662,8724,1,1,2,1960.994802),-- [general_49_c]
(20662,8734,1,1,2,490.200904),-- [special_49_c]
(20662,8744,1,1,2,48.943616),-- [rare_49_c]
(20662,8754,1,1,2,9.750486),-- [unique_49_c]
(20662,1343,10,30,2,84044.600856),-- [silver_arrow]
(20663,1981,1,1,-1,82154),-- [mithril_gauntlet_design]
(20663,4123,1,1,-1,62072),-- [rp_maestro_anvil_lock]
(20663,951,1,1,-1,2539),-- [scrl_of_ench_wp_c]
(20663,57,551,1124,0,700000),-- [adena]
(20663,853,1,1,1,137.053122),-- [earing_of_protection]
(20663,1911,1,1,1,7671.3024),-- [earing_of_protection_gemstone]
(20663,916,1,1,1,102.828096),-- [necklace_of_protection]
(20663,1913,1,1,1,6271.850778),-- [necklace_of_protection_gemstone]
(20663,884,1,1,1,205.656192),-- [ring_of_protection]
(20663,1912,1,1,1,11114.309412),-- [ring_of_protection_gemstone]
(20663,1871,1,1,2,56254.98765),-- [charcoal]
(20663,1866,1,1,2,37503.35925),-- [suede]
(20663,1877,1,1,2,2250.2118),-- [admantite_nugget]
(20663,4041,1,1,2,489.19875),-- [mold_hardener]
(20663,4040,1,1,2,1125.1059),-- [mold_lubricant]
(20663,2340,1,1,2,130.82865),-- [rp_paagrio_hammer]
(20663,3006,1,1,2,2296.1094),-- [rp_demon's_gloves]
(20663,8724,1,1,2,1875.14235),-- [general_49_c]
(20663,8734,1,1,2,468.8112),-- [special_49_c]
(20663,8744,1,1,2,46.9221),-- [rare_49_c]
(20663,8754,1,1,2,9.32295),-- [unique_49_c]
(20664,2098,1,1,-1,7876),-- [nirvana_axe_blade]
(20664,1865,1,3,-1,735264),-- [varnish]
(20664,1867,1,5,-1,653568),-- [animal_skin]
(20664,57,582,1182,0,700000),-- [adena]
(20664,64,1,1,1,161.04976),-- [composite_boots]
(20664,2956,1,1,1,8942.95024),-- [composite_boots_part]
(20664,608,1,1,1,161.04976),-- [mithril_gauntlet]
(20664,1981,1,1,1,8942.95024),-- [mithril_gauntlet_design]
(20664,1867,1,1,2,57916.315041),-- [animal_skin]
(20664,1872,1,1,2,57916.315041),-- [animal_bone]
(20664,1882,1,1,2,9652.694199),-- [leather]
(20664,1894,1,1,2,1524.093837),-- [crafted_leather]
(20664,4042,1,1,2,723.910857),-- [enria]
(20664,2234,1,1,2,647.33904),-- [rp_divine_hose]
(20664,4609,1,1,2,96.501468),-- [dye_m3i3_c]
(20664,2356,1,1,2,70.877631),-- [rp_demon's_staff]
(20664,6669,1,1,2,10101.635811),-- [key_of_treasure_box5]
(20664,8725,1,1,2,1206.568044),-- [general_52_c]
(20664,8735,1,1,2,301.642011),-- [special_52_c]
(20664,8745,1,1,2,30.119247),-- [rare_52_c]
(20664,8755,1,1,2,5.99388),-- [unique_52_c]
(20664,1539,1,1,2,9652.993893),-- [greater_healing_potion]
(20665,2104,1,1,-1,10174),-- [club_of_nature_head]
(20665,2359,1,1,-1,2944),-- [rp_eminence_bow]
(20665,4043,1,1,-1,60164),-- [asofe]
(20665,57,715,1452,0,700000),-- [adena]
(20665,162,1,1,1,2.824002),-- [war_axe]
(20665,2097,1,1,1,249.916904),-- [war_axe_blade]
(20665,174,1,1,1,2.824002),-- [nirvana_axe]
(20665,2098,1,1,1,249.916904),-- [nirvana_axe_blade]
(20665,196,1,1,1,2.824002),-- [stick_of_eternity]
(20665,2099,1,1,1,263.018694),-- [stick_of_eternity_shaft]
(20665,197,1,1,1,2.824002),-- [paradia_staff]
(20665,2100,1,1,1,263.018694),-- [paradia_staff_head]
(20665,199,1,1,1,2.824002),-- [paagrio_hammer]
(20665,2102,1,1,1,253.584574),-- [paagrio_hammer_head]
(20665,200,1,1,1,2.824002),-- [sage's_staff]
(20665,2103,1,1,1,263.018694),-- [sage's_staff_head]
(20665,201,1,1,1,2.824002),-- [club_of_nature]
(20665,2104,1,1,1,263.018694),-- [club_of_nature_head]
(20665,202,1,1,1,2.824002),-- [mace_of_underworld]
(20665,2105,1,1,1,249.914826),-- [mace_of_underworld_head]
(20665,1870,1,1,2,67855.338432),-- [coal]
(20665,1865,1,1,2,67855.338432),-- [varnish]
(20665,1874,1,1,2,4523.67909),-- [oriharukon_ore]
(20665,4043,1,1,2,2261.915586),-- [asofe]
(20665,4039,1,1,2,2261.915586),-- [mold_glue]
(20665,4125,1,1,2,3015.78606),-- [rp_maestro_mold]
(20665,3014,1,1,2,1895.397966),-- [rp_full_plate_boots]
(20665,8725,1,1,2,1884.904308),-- [general_52_c]
(20665,8735,1,1,2,471.150036),-- [special_52_c]
(20665,8745,1,1,2,47.14542),-- [rare_52_c]
(20665,8755,1,1,2,9.429084),-- [unique_52_c]
(20666,1977,1,1,-1,27780),-- [composite_armor_temper]
(20666,1884,1,3,-1,577821),-- [cord]
(20666,4606,1,1,-1,4173),-- [dye_d3c3_c]
(20666,57,746,1507,0,700000),-- [adena]
(20666,64,1,1,1,205.66394),-- [composite_boots]
(20666,2956,1,1,1,11420.33606),-- [composite_boots_part]
(20666,608,1,1,1,205.66394),-- [mithril_gauntlet]
(20666,1981,1,1,1,11420.33606),-- [mithril_gauntlet_design]
(20666,1870,1,1,2,59737.700113),-- [coal]
(20666,1865,1,1,2,59737.700113),-- [varnish]
(20666,1874,1,1,2,3982.452642),-- [oriharukon_ore]
(20666,4043,1,1,2,1991.226321),-- [asofe]
(20666,4039,1,1,2,1991.226321),-- [mold_glue]
(20666,4607,1,1,2,132.800449),-- [dye_i3m3_c]
(20666,4609,1,1,2,132.800449),-- [dye_m3i3_c]
(20666,3955,1,1,2,119.533411),-- [rp_blessed_spiritshot_b]
(20666,5280,1,1,2,119.533411),-- [rp_adv_comp_bspiritshot_b]
(20666,8725,1,1,2,1659.420302),-- [general_52_c]
(20666,8735,1,1,2,414.790041),-- [special_52_c]
(20666,8745,1,1,2,41.492011),-- [rare_52_c]
(20666,8755,1,1,2,8.324416),-- [unique_52_c]
(20667,1988,1,1,-1,37181),-- [divine_tunic_fabric]
(20667,4141,1,1,-1,9303),-- [rp_avadon_breastplate]
(20667,4604,1,1,-1,4300),-- [dye_c3c3_c]
(20667,57,766,1556,0,700000),-- [adena]
(20667,301,1,1,1,6.47584),-- [scorpion]
(20667,2113,1,1,1,576.711625),-- [scorpion_blade]
(20667,303,1,1,1,6.47584),-- [widow_maker]
(20667,2114,1,1,1,576.711625),-- [widow_maker_head]
(20667,299,1,1,1,5.05239),-- [orcish_poleaxe]
(20667,2122,1,1,1,543.57268),-- [orcish_poleaxe_blade]
(20667,1875,1,1,2,3664.03052),-- [stone_of_purity]
(20667,1879,1,1,2,9160.0763),-- [cokes]
(20667,1885,1,1,2,4580.03815),-- [high_grade_suede]
(20667,5550,1,1,2,732.811485),-- [reinforcing_plate]
(20667,5549,1,1,2,5496.04578),-- [iron_thread]
(20667,4127,1,1,2,1360.397515),-- [rp_adamantite_ring]
(20667,4184,1,1,2,63.307465),-- [rp_sprite's_staff]
(20667,5155,1,1,2,109.93383),-- [rp_comp_soulshot_b]
(20667,5165,1,1,2,109.93383),-- [rp_comp_bspiritshot_b]
(20667,8726,1,1,2,1272.22983),-- [general_55_c]
(20667,8736,1,1,2,318.07091),-- [special_55_c]
(20667,8746,1,1,2,31.80171),-- [rare_55_c]
(20667,8756,1,1,2,6.322675),-- [unique_55_c]
(20668,4147,1,1,-1,17733),-- [rp_hose_of_shrnoen]
(20668,2917,1,1,-1,99106),-- [ring_of_binding_gemstone]
(20668,1806,1,1,-1,3451),-- [rp_soulshot_b]
(20668,57,682,1388,0,700000),-- [adena]
(20668,203,1,1,1,3.463976),-- [paagrio_axe]
(20668,2112,1,1,1,308.507784),-- [paagrio_axe_blade]
(20668,204,1,1,1,2.703032),-- [deadman's_staff]
(20668,2116,1,1,1,299.73248),-- [deadman's_staff_head]
(20668,205,1,1,1,2.703032),-- [ghoul's_staff]
(20668,2117,1,1,1,299.73248),-- [ghoul's_staff_head]
(20668,206,1,1,1,2.703032),-- [demon's_staff]
(20668,2118,1,1,1,299.73248),-- [demon's_staff_head]
(20668,2503,1,1,1,2.703032),-- [yaksa_mace]
(20668,2969,1,1,1,306.018672),-- [yaksa_mace_head]
(20668,1866,1,1,2,35393.71655),-- [suede]
(20668,1871,1,1,2,53090.574825),-- [charcoal]
(20668,5220,1,1,2,2123.64266),-- [reinforcing_agent]
(20668,1885,1,1,2,4424.189985),-- [high_grade_suede]
(20668,4041,1,1,2,461.682825),-- [mold_hardener]
(20668,4148,1,1,2,232.85728),-- [rp_avadon_robe]
(20668,4936,1,1,2,974.10651),-- [rp_avadon_shield_i]
(20668,8309,1,1,2,61.16437),-- [rp_spell_breaker]
(20668,8726,1,1,2,1228.99083),-- [general_55_c]
(20668,8736,1,1,2,307.19854),-- [special_55_c]
(20668,8746,1,1,2,30.68052),-- [rare_55_c]
(20668,8756,1,1,2,6.195105),-- [unique_55_c]
(20669,4057,1,1,-1,60231),-- [shrnoen's_gaiters_material]
(20669,4198,1,1,-1,1644),-- [rp_bellion_cestus]
(20669,4589,1,1,-1,7177),-- [dye_s2c2_c]
(20669,57,851,1734,0,700000),-- [adena]
(20669,286,1,1,1,16.868835),-- [eminence_bow]
(20669,2121,1,1,1,1828.131165),-- [eminence_bow_shaft]
(20669,1871,1,1,2,56789.027286),-- [charcoal]
(20669,1866,1,1,2,37859.351524),-- [suede]
(20669,1877,1,1,2,2271.615714),-- [admantite_nugget]
(20669,4041,1,1,2,493.765183),-- [mold_hardener]
(20669,4040,1,1,2,1135.807857),-- [mold_lubricant]
(20669,4191,1,1,2,65.433275),-- [rp_great_axe]
(20669,4186,1,1,2,65.433275),-- [rp_sword_of_valhalla]
(20669,5160,1,1,2,113.569406),-- [rp_comp_spiritshot_b]
(20669,5275,1,1,2,113.569406),-- [rp_adv_comp_spiritshot_b]
(20669,6669,1,1,2,13206.710835),-- [key_of_treasure_box5]
(20669,8726,1,1,2,1314.582944),-- [general_55_c]
(20669,8736,1,1,2,328.645736),-- [special_55_c]
(20669,8746,1,1,2,32.887333),-- [rare_55_c]
(20669,8756,1,1,2,6.600226),-- [unique_55_c]
(20670,4065,1,1,-1,62421),-- [avadon_gaiters_material]
(20670,948,1,1,-1,5579),-- [scrl_of_ench_am_b]
(20670,4129,1,1,-1,24151),-- [rp_earing_of_black_ore]
(20670,57,884,1793,0,700000),-- [adena]
(20670,12159,1,1,1,752.464554),-- [shrnoen's_shield_low]
(20670,4101,1,1,1,4776.48483),-- [shrnoen's_shield_fragment]
(20670,12171,1,1,1,752.464554),-- [avadon_shield_low]
(20670,4439,1,1,1,5682.370236),-- [avadon_shield_fragment]
(20670,12160,1,1,1,526.47813),-- [shrnoen's_helmet_low]
(20670,4102,1,1,1,3700.619574),-- [shrnoen's_helmet_design]
(20670,12170,1,1,1,526.47813),-- [avadon_circlet_low]
(20670,4072,1,1,1,3700.639992),-- [avadon_circlet_pattern]
(20670,1869,1,1,2,54930.624519),-- [iron_ore]
(20670,1864,1,1,2,109861.249038),-- [stem]
(20670,1880,1,1,2,5493.009909),-- [steel]
(20670,5550,1,1,2,732.448026),-- [reinforcing_plate]
(20670,4043,1,1,2,1830.944922),-- [asofe]
(20670,4616,1,1,2,75.836919),-- [dye_c4c4_c]
(20670,4168,1,1,2,683.232843),-- [rp_doom_gloves]
(20670,4164,1,1,2,363.772011),-- [rp_hose_of_doom]
(20670,8728,1,1,2,915.472461),-- [general_61_b]
(20670,8738,1,1,2,228.911901),-- [special_61_b]
(20670,8748,1,1,2,22.943733),-- [rare_61_b]
(20670,8758,1,1,2,4.553718),-- [unique_61_b]
(20671,2098,1,1,-1,12502),-- [nirvana_axe_blade]
(20671,947,1,1,-1,934),-- [scrl_of_ench_wp_b]
(20671,4052,1,1,-1,82640),-- [earing_of_black_ore_piece]
(20671,57,926,1875,0,700000),-- [adena]
(20671,358,1,1,1,9.28572),-- [blue_wolve's_breastplate]
(20671,4078,1,1,1,1678.628115),-- [blue_wolve's_breastplate_part]
(20671,2381,1,1,1,5.71509),-- [doom_plate_armor]
(20671,4081,1,1,1,1132.654845),-- [doom_plate_armor_temper]
(20671,2380,1,1,1,14.85507),-- [blue_wolve's_gaiters]
(20671,4080,1,1,1,2363.86116),-- [blue_wolve's_gaiters_material]
(20671,1869,1,1,2,57456.624701),-- [iron_ore]
(20671,1864,1,1,2,114913.249402),-- [stem]
(20671,1880,1,1,2,5745.607511),-- [steel]
(20671,5550,1,1,2,766.129854),-- [reinforcing_plate]
(20671,4043,1,1,2,1915.141438),-- [asofe]
(20671,4616,1,1,2,79.324301),-- [dye_c4c4_c]
(20671,4168,1,1,2,714.651497),-- [rp_doom_gloves]
(20671,4164,1,1,2,380.500169),-- [rp_hose_of_doom]
(20671,8728,1,1,2,957.570719),-- [general_61_b]
(20671,8738,1,1,2,239.438479),-- [special_61_b]
(20671,8748,1,1,2,23.998807),-- [rare_61_b]
(20671,8758,1,1,2,4.763122),-- [unique_61_b]
(20672,4070,1,1,-1,84802),-- [hose_of_shrnoen_fabric]
(20672,4154,1,1,-1,28035),-- [rp_doom_shield]
(20672,4052,1,1,-1,83872),-- [earing_of_black_ore_piece]
(20672,57,940,1902,0,700000),-- [adena]
(20672,601,1,1,1,28.27034),-- [doom_boots]
(20672,4099,1,1,1,3926.72966),-- [doom_boots_part]
(20672,2439,1,1,1,28.27034),-- [blue_wolve's_boots]
(20672,4090,1,1,1,3926.72966),-- [blue_wolve's_boots_design]
(20672,2475,1,1,1,28.27034),-- [doom_gloves]
(20672,4091,1,1,1,3926.72966),-- [doom_gloves_part]
(20672,2487,1,1,1,28.27034),-- [blue_wolve's_gloves]
(20672,4096,1,1,1,3926.72966),-- [blue_wolve's_gloves_fabric]
(20672,1868,1,1,2,127227.524824),-- [thread]
(20672,1873,1,1,2,25445.438128),-- [silver_nugget]
(20672,5549,1,1,2,6361.359532),-- [iron_thread]
(20672,1889,1,1,2,4240.962052),-- [compound_braid]
(20672,4044,1,1,2,2120.39748),-- [thons]
(20672,4991,1,1,2,525.671432),-- [rp_doom_helmet_i]
(20672,5276,1,1,2,84.882736),-- [rp_adv_comp_spiritshot_a]
(20672,8729,1,1,2,848.158992),-- [general_64_a]
(20672,8739,1,1,2,212.039748),-- [special_64_a]
(20672,8749,1,1,2,21.220684),-- [rare_64_a]
(20672,8759,1,1,2,4.344392),-- [unique_64_a]
(20673,4052,1,1,-1,87623),-- [earing_of_black_ore_piece]
(20673,4041,1,1,-1,21521),-- [mold_hardener]
(20673,5230,1,1,-1,3300),-- [rp_mithril_arrow]
(20673,57,983,1987,0,700000),-- [adena]
(20673,79,1,1,1,2.415321),-- [sword_of_damascus]
(20673,4114,1,1,1,533.549712),-- [sword_of_damascus_blade]
(20673,7883,1,1,1,2.415321),-- [guardians_sword]
(20673,8330,1,1,1,532.653006),-- [guardians_sword_blade]
(20673,7889,1,1,1,2.415321),-- [tears_of_wizard]
(20673,8336,1,1,1,533.551319),-- [tears_of_wizard_blade]
(20673,1872,1,1,2,88612.199847),-- [animal_bone]
(20673,1867,1,1,2,88612.199847),-- [animal_skin]
(20673,1881,1,1,2,8861.187342),-- [coarse_bone_powder]
(20673,1875,1,1,2,4430.593671),-- [stone_of_purity]
(20673,4041,1,1,2,577.77579),-- [mold_hardener]
(20673,4150,1,1,2,1280.573121),-- [rp_avadon_gloves]
(20673,6037,1,1,2,132918.136557),-- [scroll_of_awake]
(20673,8729,1,1,2,886.249305),-- [general_64_a]
(20673,8739,1,1,2,221.643933),-- [special_64_a]
(20673,8749,1,1,2,22.197036),-- [rare_64_a]
(20673,8759,1,1,2,4.243551),-- [unique_64_a]
(20674,2089,1,1,-1,19453),-- [caliburs_edge]
(20674,4124,1,1,-1,158653),-- [rp_craftsman_mold]
(20674,4053,1,1,-1,153008),-- [ring_of_black_ore_gemstone]
(20674,57,1415,2868,0,700000),-- [adena]
(20674,601,1,1,1,42.600293),-- [doom_boots]
(20674,4099,1,1,1,5917.149707),-- [doom_boots_part]
(20674,2439,1,1,1,42.600293),-- [blue_wolve's_boots]
(20674,4090,1,1,1,5917.149707),-- [blue_wolve's_boots_design]
(20674,2475,1,1,1,42.600293),-- [doom_gloves]
(20674,4091,1,1,1,5917.149707),-- [doom_gloves_part]
(20674,2487,1,1,1,42.600293),-- [blue_wolve's_gloves]
(20674,4096,1,1,1,5917.149707),-- [blue_wolve's_gloves_fabric]
(20674,1872,1,1,2,117158.902704),-- [animal_bone]
(20674,1867,1,1,2,117158.902704),-- [animal_skin]
(20674,1881,1,1,2,11715.839322),-- [coarse_bone_powder]
(20674,1875,1,1,2,5858.047032),-- [stone_of_purity]
(20674,4041,1,1,2,763.971258),-- [mold_hardener]
(20674,4157,1,1,2,437.137272),-- [rp_blue_wolve's_gaiters]
(20674,5276,1,1,2,117.18132),-- [rp_adv_comp_spiritshot_a]
(20674,8316,1,1,2,32.606976),-- [rp_dragon_flame_head_i]
(20674,8729,1,1,2,1171.558458),-- [general_64_a]
(20674,8739,1,1,2,292.9533),-- [special_64_a]
(20674,8749,1,1,2,29.29533),-- [rare_64_a]
(20674,8759,1,1,2,5.604324),-- [unique_64_a]
(20675,4042,1,1,-1,25482),-- [enria]
(20675,1539,1,1,-1,339759),-- [greater_healing_potion]
(20675,4602,1,1,-1,3398),-- [dye_s3d3_c]
(20675,57,605,1229,0,700000),-- [adena]
(20675,60,1,1,1,51.530472),-- [composite_armor]
(20675,1977,1,1,1,4676.469528),-- [composite_armor_temper]
(20675,1872,1,1,2,70251.79075),-- [animal_bone]
(20675,1867,1,1,2,70251.79075),-- [animal_skin]
(20675,1881,1,1,2,7025.117625),-- [coarse_bone_powder]
(20675,1875,1,1,2,3512.635625),-- [stone_of_purity]
(20675,4041,1,1,2,458.10975),-- [mold_hardener]
(20675,2353,1,1,2,85.876375),-- [rp_samurai_longsword]
(20675,4184,1,1,2,60.681875),-- [rp_sprite's_staff]
(20675,5155,1,1,2,105.38675),-- [rp_comp_soulshot_b]
(20675,8725,1,1,2,1463.585375),-- [general_52_c]
(20675,8735,1,1,2,365.93475),-- [special_52_c]
(20675,8745,1,1,2,36.56275),-- [rare_52_c]
(20675,8755,1,1,2,7.527625),-- [unique_52_c]
(20676,5478,1,1,-1,21536),-- [sealed_dark_crystal_leather_mail_pattern]
(20676,1807,1,1,-1,3415),-- [rp_soulshot_a]
(20676,5479,1,1,-1,15155),-- [sealed_tallum_leather_mail_pattern]
(20676,57,1015,2058,0,700000),-- [adena]
(20676,12341,1,1,1,585.074805),-- [earing_of_black_ore_low]
(20676,4052,1,1,1,4463.954738),-- [earing_of_black_ore_piece]
(20676,12342,1,1,1,438.560274),-- [necklace_of_black_ore_low]
(20676,4054,1,1,1,2483.436264),-- [necklace_of_black_ore_beads]
(20676,12343,1,1,1,875.58144),-- [ring_of_black_ore_low]
(20676,4053,1,1,1,5404.392479),-- [ring_of_black_ore_gemstone]
(20676,1867,1,1,2,100868.629675),-- [animal_skin]
(20676,1872,1,1,2,100868.629675),-- [animal_bone]
(20676,1882,1,1,2,16811.475992),-- [leather]
(20676,1894,1,1,2,2654.455487),-- [crafted_leather]
(20676,4042,1,1,2,1260.815444),-- [enria]
(20676,8729,1,1,2,1008.742866),-- [general_64_a]
(20676,8739,1,1,2,252.072578),-- [special_64_a]
(20676,8749,1,1,2,25.116747),-- [rare_64_a]
(20676,8759,1,1,2,4.978094),-- [unique_64_a]
(20676,6036,1,1,2,2522.083442),-- [potion_of_acumen3]
(20677,3035,1,1,-1,3845),-- [rp_spiritshot_a]
(20677,5482,1,1,-1,38058),-- [sealed_legging_of_dark_crystal_design]
(20677,5230,1,1,-1,3845),-- [rp_mithril_arrow]
(20677,57,1142,2317,0,700000),-- [adena]
(20677,11944,1,1,1,139.117392),-- [hazard_bow_low]
(20677,4121,1,1,1,1854.882608),-- [hazard_bow_shaft]
(20677,1869,1,1,2,85174.1275),-- [iron_ore]
(20677,1864,1,1,2,170348.5245),-- [stem]
(20677,1880,1,1,2,8517.5475),-- [steel]
(20677,5550,1,1,2,1135.673),-- [reinforcing_plate]
(20677,4043,1,1,2,2839.1825),-- [asofe]
(20677,8316,1,1,2,31.5315),-- [rp_dragon_flame_head_i]
(20677,8729,1,1,2,1135.673),-- [general_64_a]
(20677,8739,1,1,2,283.7835),-- [special_64_a]
(20677,8749,1,1,2,28.2975),-- [rare_64_a]
(20677,8759,1,1,2,5.6595),-- [unique_64_a]
(20678,1989,1,1,-1,49499),-- [divine_hose_pattern]
(20678,4142,1,1,-1,12634),-- [rp_avadon_gaiters]
(20678,1918,1,1,-1,71130),-- [nassen's_earing_gemstone]
(20678,57,650,1321,0,700000),-- [adena]
(20678,266,1,1,1,12.862564),-- [great_pata]
(20678,2120,1,1,1,1456.137436),-- [great_pata_blade]
(20678,1895,1,1,2,15750.9734),-- [metallic_fiber]
(20678,4040,1,1,2,1102.5614),-- [mold_lubricant]
(20678,4042,1,1,2,918.81614),-- [enria]
(20678,4043,1,1,2,1837.60982),-- [asofe]
(20678,4128,1,1,2,682.28988),-- [rp_adamantite_necklace]
(20678,5280,1,1,2,110.25614),-- [rp_adv_comp_bspiritshot_b]
(20678,4134,1,1,2,424.06726),-- [rp_shrnoen's_gaiters]
(20678,8726,1,1,2,1276.10982),-- [general_55_c]
(20678,8736,1,1,2,319.02184),-- [special_55_c]
(20678,8746,1,1,2,31.8932),-- [rare_55_c]
(20678,8756,1,1,2,6.4011),-- [unique_55_c]
(20679,4148,1,1,-1,7419),-- [rp_avadon_robe]
(20679,1806,1,1,-1,3383),-- [rp_soulshot_b]
(20679,1920,1,1,-1,57882),-- [necklace_of_binding_chain]
(20679,57,668,1361,0,700000),-- [adena]
(20679,203,1,1,1,3.395966),-- [paagrio_axe]
(20679,2112,1,1,1,302.450694),-- [paagrio_axe_blade]
(20679,204,1,1,1,2.649962),-- [deadman's_staff]
(20679,2116,1,1,1,293.84768),-- [deadman's_staff_head]
(20679,205,1,1,1,2.649962),-- [ghoul's_staff]
(20679,2117,1,1,1,293.84768),-- [ghoul's_staff_head]
(20679,206,1,1,1,2.649962),-- [demon's_staff]
(20679,2118,1,1,1,293.84768),-- [demon's_staff_head]
(20679,2503,1,1,1,2.649962),-- [yaksa_mace]
(20679,2969,1,1,1,300.010452),-- [yaksa_mace_head]
(20679,1869,1,1,2,48045.55767),-- [iron_ore]
(20679,1870,1,1,2,48045.55767),-- [coal]
(20679,1871,1,1,2,48045.55767),-- [charcoal]
(20679,1872,1,1,2,64060.651974),-- [animal_bone]
(20679,1867,1,1,2,64060.651974),-- [animal_skin]
(20679,4149,1,1,2,617.655984),-- [rp_avadon_circlet]
(20679,4186,1,1,2,55.226358),-- [rp_sword_of_valhalla]
(20679,5160,1,1,2,96.1653),-- [rp_comp_spiritshot_b]
(20679,4143,1,1,2,308.003718),-- [rp_shrnoen's_leather_shirts]
(20679,8726,1,1,2,1112.220384),-- [general_55_c]
(20679,8736,1,1,2,278.055096),-- [special_55_c]
(20679,8746,1,1,2,27.750558),-- [rare_55_c]
(20679,8756,1,1,2,4.945644),-- [unique_55_c]
(20680,1873,1,1,-1,716613),-- [silver_nugget]
(20680,1876,1,1,-1,358306),-- [mithril_ore]
(20680,3034,1,1,-1,3583),-- [rp_spiritshot_b]
(20680,57,708,1442,0,700000),-- [adena]
(20680,301,1,1,1,5.996288),-- [scorpion]
(20680,2113,1,1,1,534.0047),-- [scorpion_blade]
(20680,303,1,1,1,5.996288),-- [widow_maker]
(20680,2114,1,1,1,534.0047),-- [widow_maker_head]
(20680,299,1,1,1,4.678248),-- [orcish_poleaxe]
(20680,2122,1,1,1,503.319776),-- [orcish_poleaxe_blade]
(20680,1874,1,1,2,3674.942988),-- [oriharukon_ore]
(20680,1878,1,1,2,22049.589604),-- [braided_hemp]
(20680,1884,1,1,2,33922.456056),-- [cord]
(20680,1889,1,1,2,3674.942988),-- [compound_braid]
(20680,5220,1,1,2,2204.952128),-- [reinforcing_agent]
(20680,4441,1,1,2,1011.468496),-- [rp_avadon_shield]
(20680,5280,1,1,2,110.274936),-- [rp_adv_comp_bspiritshot_b]
(20680,8311,1,1,2,42.087584),-- [rp_bone_of_kaim_vanul]
(20680,8726,1,1,2,1276.019024),-- [general_55_c]
(20680,8736,1,1,2,319.004756),-- [special_55_c]
(20680,8746,1,1,2,31.907308),-- [rare_55_c]
(20680,8756,1,1,2,6.354132),-- [unique_55_c]
(20681,1873,1,1,-1,494213),-- [silver_nugget]
(20681,2063,1,1,-1,9550),-- [battle_axe_head]
(20681,1908,1,1,-1,117001),-- [moonstone_earing_wire]
(20681,57,489,993,0,700000),-- [adena]
(20681,71,1,1,1,16.565175),-- [flamberge]
(20681,2059,1,1,1,1084.539654),-- [flamberge_blade]
(20681,72,1,1,1,16.565175),-- [stormbringer]
(20681,2060,1,1,1,1159.329996),-- [stormbringer_blade]
(20681,1866,1,1,2,32440.80671),-- [suede]
(20681,1871,1,1,2,48661.11865),-- [charcoal]
(20681,5220,1,1,2,1946.40818),-- [reinforcing_agent]
(20681,1885,1,1,2,4055.077985),-- [high_grade_suede]
(20681,4041,1,1,2,423.160035),-- [mold_hardener]
(20681,4440,1,1,2,169.574825),-- [rp_knuckle_dust]
(20681,2225,1,1,2,1057.85438),-- [rp_demon's_hose]
(20681,2321,1,1,2,169.574825),-- [rp_stiletto]
(20681,8723,1,1,2,1946.40818),-- [general_46_c]
(20681,8733,1,1,2,486.602045),-- [special_46_c]
(20681,8743,1,1,2,48.63278),-- [rare_46_c]
(20681,8753,1,1,2,9.781405),-- [unique_46_c]
(20682,951,1,1,-1,2236),-- [scrl_of_ench_wp_c]
(20682,1876,1,1,-1,245912),-- [mithril_ore]
(20682,4039,1,1,-1,40985),-- [mold_glue]
(20682,57,484,990,0,700000),-- [adena]
(20682,397,1,1,1,99.843328),-- [tempered_mithril_shirt]
(20682,1961,1,1,1,4648.992856),-- [tempered_mithril_shirt_fabric]
(20682,2387,1,1,1,159.567424),-- [tempered_mithril_gaiters]
(20682,2935,1,1,1,7723.596392),-- [tempered_mithril_gaiters_fragment]
(20682,1870,1,1,2,58110.629145),-- [coal]
(20682,1865,1,1,2,58110.629145),-- [varnish]
(20682,1874,1,1,2,3874.041943),-- [oriharukon_ore]
(20682,4043,1,1,2,1936.957398),-- [asofe]
(20682,4039,1,1,2,1936.957398),-- [mold_glue]
(20682,2323,1,1,2,202.418024),-- [rp_elemental_bow]
(20682,8723,1,1,2,2324.374307),-- [general_46_c]
(20682,8733,1,1,2,581.06179),-- [special_46_c]
(20682,8743,1,1,2,58.106179),-- [rare_46_c]
(20682,8753,1,1,2,11.824671),-- [unique_46_c]
(20683,2336,1,1,-1,3717),-- [rp_nirvana_axe]
(20683,1974,1,1,-1,134435),-- [crimson_boots_fabric]
(20683,1889,1,1,-1,106562),-- [compound_braid]
(20683,57,631,1287,0,700000),-- [adena]
(20683,227,1,1,1,16.024815),-- [stiletto]
(20683,2083,1,1,1,1176.475185),-- [stiletto_edge]
(20683,242,1,1,1,16.024815),-- [dagger_of_magicflame]
(20683,2084,1,1,1,1176.475185),-- [dagger_of_magicflame_blade]
(20683,1868,1,1,2,118037.87411),-- [thread]
(20683,1873,1,1,2,23607.574822),-- [silver_nugget]
(20683,5549,1,1,2,5901.933786),-- [iron_thread]
(20683,1889,1,1,2,3934.622524),-- [compound_braid]
(20683,4044,1,1,2,1967.311262),-- [thons]
(20683,2224,1,1,2,801.930644),-- [rp_demon's_tunic]
(20683,2230,1,1,2,1143.737148),-- [rp_theca_leather_gaiters]
(20683,3005,1,1,2,2408.998372),-- [rp_demon's_boots]
(20683,8724,1,1,2,1967.311262),-- [general_49_c]
(20683,8734,1,1,2,491.867896),-- [special_49_c]
(20683,8744,1,1,2,49.218854),-- [rare_49_c]
(20683,8754,1,1,2,9.61932),-- [unique_49_c]
(20684,1876,1,1,-1,334736),-- [mithril_ore]
(20684,2078,1,1,-1,11121),-- [katana_blade]
(20684,1966,1,1,-1,61106),-- [plate_leather_fragment]
(20684,57,662,1345,0,700000),-- [adena]
(20684,398,1,1,1,54.051228),-- [plate_leather]
(20684,1966,1,1,1,3384.201645),-- [plate_leather_fragment]
(20684,399,1,1,1,49.842606),-- [rind_leather_mail]
(20684,1975,1,1,1,3044.607588),-- [rind_leather_mail_design]
(20684,418,1,1,1,86.43327),-- [plate_leather_gaiters]
(20684,1967,1,1,1,5055.528918),-- [plate_leather_gaiters_material]
(20684,419,1,1,1,79.807299),-- [rind_leather_gaiters]
(20684,1976,1,1,1,5636.527446),-- [rind_leather_gaiters_material]
(20684,1871,1,1,2,61797.572675),-- [charcoal]
(20684,1866,1,1,2,41198.333175),-- [suede]
(20684,1877,1,1,2,2471.879575),-- [admantite_nugget]
(20684,4041,1,1,2,537.365125),-- [mold_hardener]
(20684,4040,1,1,2,1236.0127),-- [mold_lubricant]
(20684,2341,1,1,2,143.78345),-- [rp_sage's_staff]
(20684,6668,1,1,2,22070.61375),-- [key_of_treasure_box4]
(20684,8724,1,1,2,2059.92395),-- [general_49_c]
(20684,8734,1,1,2,514.908075),-- [special_49_c]
(20684,8744,1,1,2,51.476225),-- [rare_49_c]
(20684,8754,1,1,2,10.353575),-- [unique_49_c]
(20684,1539,1,1,2,13732.777725),-- [greater_healing_potion]
(20685,2090,1,1,-1,7611),-- [sword_of_delusion_blade]
(20685,1970,1,1,-1,31188),-- [robe_of_seal_fabric]
(20685,2166,1,1,-1,47343),-- [rp_earing_of_binding]
(20685,57,551,1124,0,700000),-- [adena]
(20685,195,1,1,1,14.001112),-- [cursed_staff]
(20685,2082,1,1,1,1090.279304),-- [cursed_staff_head]
(20685,2502,1,1,1,14.001112),-- [dwarven_warhammer]
(20685,2968,1,1,1,1043.718472),-- [dwarven_warhammer_head]
(20685,1872,1,1,2,75007.060317),-- [animal_bone]
(20685,1867,1,1,2,75007.060317),-- [animal_skin]
(20685,1881,1,1,2,7500.722472),-- [coarse_bone_powder]
(20685,1875,1,1,2,3750.361236),-- [stone_of_purity]
(20685,4041,1,1,2,489.098925),-- [mold_hardener]
(20685,2351,1,1,2,117.712548),-- [rp_scorpion]
(20685,2330,1,1,2,130.864788),-- [rp_homunkulus's_sword]
(20685,8724,1,1,2,1875.180618),-- [general_49_c]
(20685,8734,1,1,2,468.712953),-- [special_49_c]
(20685,8744,1,1,2,46.854855),-- [rare_49_c]
(20685,8754,1,1,2,9.370971),-- [unique_49_c]
(20686,2231,1,1,-1,12559),-- [rp_full_plate_armor]
(20686,1880,1,1,-1,291368),-- [steel]
(20686,2169,1,1,-1,51570),-- [rp_necklace_of_binding]
(20686,57,1152,2343,0,700000),-- [adena]
(20686,326,1,1,1,36.468759),-- [heathen's_book]
(20686,2110,1,1,1,3396.531241),-- [heathen's_book_page]
(20686,1871,1,1,2,100409.59008),-- [charcoal]
(20686,1866,1,1,2,66939.72672),-- [suede]
(20686,1877,1,1,2,4016.312256),-- [admantite_nugget]
(20686,4041,1,1,2,873.11136),-- [mold_hardener]
(20686,4040,1,1,2,2008.245312),-- [mold_lubricant]
(20686,2354,1,1,2,163.741824),-- [rp_deadman's_staff]
(20686,4609,1,1,2,223.138368),-- [dye_m3i3_c]
(20686,2358,1,1,2,163.741824),-- [rp_great_pata]
(20686,8725,1,1,2,2789.140416),-- [general_52_c]
(20686,8735,1,1,2,697.240512),-- [special_52_c]
(20686,8745,1,1,2,69.741888),-- [rare_52_c]
(20686,8755,1,1,2,14.26944),-- [unique_52_c]
(20745,848,1,1,-1,6478),-- [enchanted_earing]
(20745,1832,1,3,-1,590229),-- [advanced_antidote]
(20745,1901,1,1,-1,146742),-- [tiger'seye_earing_stone]
(20745,57,449,895,0,700000),-- [adena]
(20745,393,1,1,1,160.930318),-- [mithril_banded_mail]
(20745,1938,1,1,1,6328.819738),-- [mithril_banded_mail_material]
(20745,394,1,1,1,160.930318),-- [reinforce_leather_shirt]
(20745,415,1,1,1,257.223044),-- [mithril_banded_gaiters]
(20745,1939,1,1,1,8268.888972),-- [mithril_banded_gaiters_material]
(20745,416,1,1,1,257.20761),-- [reinforce_leather_gaiters]
(20745,1867,1,1,2,150633.733232),-- [animal_skin]
(20745,1872,1,1,2,150633.733232),-- [animal_bone]
(20745,1882,1,1,2,25105.734278),-- [leather]
(20745,2156,1,1,2,9037.876058),-- [rp_elven_necklace]
(20745,2272,1,1,2,806.9232),-- [rp_sword_of_revolution]
(20746,2153,1,1,-1,129445),-- [rp_tiger'seye_earing]
(20746,1900,1,1,-1,91065),-- [enchanted_necklace_chain]
(20746,1061,1,1,-1,504445),-- [healing_potion]
(20746,57,352,702,0,700000),-- [adena]
(20746,259,1,1,1,184),-- [single-edged_jamadhr]
(20746,1865,1,1,2,75806.272725),-- [varnish]
(20746,1870,1,1,2,75806.272725),-- [coal]
(20746,1879,1,1,2,12634.46769),-- [cokes]
(20746,1875,1,1,2,5053.751515),-- [stone_of_purity]
(20746,2184,1,1,2,7962.81912),-- [rp_mithril_banded_gaiters]
(20746,2272,1,1,2,541.416225),-- [rp_sword_of_revolution]
(20747,2024,1,1,-1,16676),-- [elven_bow_shaft]
(20747,2203,1,1,-1,255050),-- [rp_mithril_boots]
(20747,1900,1,1,-1,128083),-- [enchanted_necklace_chain]
(20747,57,493,989,0,700000),-- [adena]
(20747,627,1,1,1,2378.09442),-- [aspis]
(20747,46,1,1,1,1665.90558),-- [bronze_helmet]
(20747,1872,1,1,2,121853.866008),-- [animal_bone]
(20747,1867,1,1,2,121853.866008),-- [animal_skin]
(20747,1881,1,1,2,12185.467392),-- [coarse_bone_powder]
(20747,1875,1,1,2,6092.733696),-- [stone_of_purity]
(20747,2183,1,1,2,6012.481104),-- [rp_mithril_banded_mail]
(20747,2274,1,1,2,652.792896),-- [rp_skull_breaker]
(20747,2282,1,1,2,652.792896),-- [rp_cursed_maingauche]
(20748,1866,1,1,-1,734952),-- [suede]
(20748,1871,1,3,-1,551214),-- [charcoal]
(20748,1061,1,1,-1,668138),-- [healing_potion]
(20748,57,467,925,0,700000),-- [adena]
(20748,275,1,1,1,81.061745),-- [long_bow]
(20748,276,1,1,1,81.061745),-- [elven_bow]
(20748,2024,1,1,1,2860.87651),-- [elven_bow_shaft]
(20748,1866,1,1,2,57374.698598),-- [suede]
(20748,1871,1,1,2,86062.24418),-- [charcoal]
(20748,5220,1,1,2,3442.411254),-- [reinforcing_agent]
(20748,1885,1,1,2,7171.788254),-- [high_grade_suede]
(20748,956,1,1,2,2868.872328),-- [scrl_of_ench_am_d]
(20748,2190,1,1,2,6147.190994),-- [rp_mithril_hose]
(20748,1831,1,1,2,229498.794392),-- [antidote]
(20749,2025,1,1,-1,16214),-- [dwarven_trident_edge]
(20749,1871,1,3,-1,585341),-- [charcoal]
(20749,2153,1,1,-1,182066),-- [rp_tiger'seye_earing]
(20749,57,493,989,0,700000),-- [adena]
(20749,627,1,1,1,2378.09442),-- [aspis]
(20749,46,1,1,1,1665.90558),-- [bronze_helmet]
(20749,1871,1,1,2,159932.96268),-- [charcoal]
(20749,1866,1,1,2,106622.071704),-- [suede]
(20749,1877,1,1,2,6397.434408),-- [admantite_nugget]
(20749,2184,1,1,2,16799.531208),-- [rp_mithril_banded_gaiters]
(20750,1933,1,1,-1,134288),-- [dark_hose_fabric]
(20750,2183,1,1,-1,75095),-- [rp_mithril_banded_mail]
(20750,1935,1,1,-1,63768),-- [scale_mail_fragment]
(20750,57,484,958,0,700000),-- [adena]
(20750,222,1,1,1,252),-- [poniard_dagger]
(20750,1867,1,3,2,55445.058376),-- [animal_skin]
(20750,1872,1,1,2,166334.709391),-- [animal_bone]
(20750,1882,1,1,2,27722.529188),-- [leather]
(20750,1829,1,1,2,49900.459391),-- [scroll_of_escape_to_agit]
(20750,1831,1,3,2,166334.243654),-- [antidote]
(20751,2161,1,1,-1,423261),-- [rp_aquastone_ring]
(20751,1949,1,1,-1,486561),-- [mithril_glove_design]
(20751,1894,1,1,-1,152968),-- [crafted_leather]
(20751,57,1716,3517,0,700000),-- [adena]
(20751,62,1,1,1,235.770525),-- [mithril_boots]
(20751,1958,1,1,1,10289.21895),-- [mithril_boots_design]
(20751,2429,1,1,1,235.770525),-- [chain_boots]
(20751,2937,1,1,1,10289.21895),-- [chain_boots_part]
(20751,2430,1,1,1,235.770525),-- [karmian_boots]
(20751,2938,1,1,1,10289.21895),-- [karmian_boots_fabric]
(20751,2431,1,1,1,235.770525),-- [plate_leather_boots]
(20751,2939,1,1,1,10289.21895),-- [plate_leather_boots_lining]
(20751,2432,1,1,1,235.770525),-- [dwarven_chain_boots]
(20751,2940,1,1,1,10289.21895),-- [dwarven_chain_boots_part]
(20751,2433,1,1,1,235.770525),-- [boots_of_seal]
(20751,2941,1,1,1,10289.21895),-- [boots_of_seal_pattern]
(20751,2452,1,1,1,235.770525),-- [reinforce_mithril_gloves]
(20751,2942,1,1,1,10289.21895),-- [reinforce_mithril_gloves_design]
(20751,2453,1,1,1,235.770525),-- [chain_gloves]
(20751,2943,1,1,1,10289.21895),-- [chain_gloves_design]
(20751,2454,1,1,1,235.770525),-- [karmian_gloves]
(20751,2944,1,1,1,10289.313675),-- [karmian_gloves_fabric]
(20751,1894,1,1,2,9036.767322),-- [crafted_leather]
(20751,2216,1,1,2,10642.50075),-- [rp_great_helmet]
(20751,2225,1,1,2,5598.890242),-- [rp_demon's_hose]
(20751,2321,1,1,2,897.374876),-- [rp_stiletto]
(20751,8723,1,1,2,10301.940726),-- [general_46_c]
(20751,8733,1,1,2,2575.495022),-- [special_46_c]
(20751,8743,1,1,2,257.545566),-- [rare_46_c]
(20751,8753,1,1,2,51.485496),-- [unique_46_c]
(20752,1805,1,1,-1,7711),-- [rp_soulshot_c]
(20752,1905,1,1,-1,225036),-- [onyxbeast'seye_earing_gemstone]
(20752,5549,1,1,-1,231337),-- [iron_thread]
(20752,57,932,1883,0,700000),-- [adena]
(20752,353,1,1,1,193.097417),-- [half_plate]
(20752,1950,1,1,1,9426.365273),-- [half_plate_temper]
(20752,380,1,1,1,308.960785),-- [plate_gaiters]
(20752,1951,1,1,1,14660.576525),-- [plate_gaiters_part]
(20752,1868,1,1,2,331904.637384),-- [thread]
(20752,1873,1,1,2,66380.839891),-- [silver_nugget]
(20752,5549,1,1,2,16595.319455),-- [iron_thread]
(20752,1889,1,1,2,11063.400327),-- [compound_braid]
(20752,2160,1,1,2,10706.488192),-- [rp_moonstone_earing]
(20752,5159,1,1,2,553.104327),-- [rp_comp_spiritshot_c]
(20752,2312,1,1,2,725.210424),-- [rp_crystallized_ice_bow]
(20753,1874,1,1,-1,250765),-- [oriharukon_ore]
(20753,1875,1,1,-1,250765),-- [stone_of_purity]
(20753,4601,1,1,-1,8359),-- [dye_s3c3_c]
(20753,57,1488,3024,0,700000),-- [adena]
(20753,75,1,1,1,7.845835),-- [caliburs]
(20753,2089,1,1,1,706.32226),-- [caliburs_edge]
(20753,76,1,1,1,7.845835),-- [sword_of_delusion]
(20753,2090,1,1,1,706.32226),-- [sword_of_delusion_blade]
(20753,77,1,1,1,7.845835),-- [tsurugi]
(20753,2091,1,1,1,706.32226),-- [tsurugi_blade]
(20753,84,1,1,1,7.845835),-- [homunkulus's_sword]
(20753,2092,1,1,1,706.32226),-- [homunkulus's_sword_blade]
(20753,134,1,1,1,7.845835),-- [sword_of_nightmare]
(20753,2095,1,1,1,706.32226),-- [sword_of_nightmare_blade]
(20753,145,1,1,1,7.845835),-- [deathbreath_sword]
(20753,2096,1,1,1,706.31369),-- [deathbreath_sword_blade]
(20753,1868,1,3,2,119654.817944),-- [thread]
(20753,1873,1,1,2,47861.751712),-- [silver_nugget]
(20753,5549,1,1,2,11965.437928),-- [iron_thread]
(20753,1889,1,1,2,7977.10484),-- [compound_braid]
(20753,4044,1,1,2,3988.333088),-- [thons]
(20753,2355,1,1,2,195.20548),-- [rp_ghoul's_staff]
(20753,4609,1,1,2,265.830384),-- [dye_m3i3_c]
(20753,3019,1,1,2,3190.841936),-- [rp_full_plate_shield]
(20753,8725,1,1,2,3323.757128),-- [general_52_c]
(20753,8735,1,1,2,830.829616),-- [special_52_c]
(20753,8745,1,1,2,82.907496),-- [rare_52_c]
(20753,8755,1,1,2,16.669232),-- [unique_52_c]
(20753,1342,10,30,2,239310.513216),-- [fine_steel_arrow]
(20754,1869,1,9,-1,826759),-- [iron_ore]
(20754,1911,1,1,-1,307460),-- [earing_of_protection_gemstone]
(20754,1967,1,1,-1,225459),-- [plate_leather_gaiters_material]
(20754,57,1634,3323,0,700000),-- [adena]
(20754,94,1,1,1,82.894125),-- [bech_de_corbin]
(20754,2079,1,1,1,6292.105875),-- [bech_de_corbin_blade]
(20754,1869,1,1,2,166508.151876),-- [iron_ore]
(20754,1864,1,3,2,166508.151876),-- [stem]
(20754,1880,1,1,2,16650.739221),-- [steel]
(20754,5550,1,1,2,2220.123885),-- [reinforcing_plate]
(20754,4043,1,1,2,5550.119796),-- [asofe]
(20754,2167,1,1,2,8495.344878),-- [rp_ring_of_ages]
(20754,3009,1,1,2,6796.351869),-- [rp_composite_boots]
(20754,8724,1,1,2,5550.119796),-- [general_49_c]
(20754,8734,1,1,2,1387.529949),-- [special_49_c]
(20754,8744,1,1,2,138.639045),-- [rare_49_c]
(20754,8754,1,1,2,27.727809),-- [unique_49_c]
(20755,2184,1,1,-1,83948),-- [rp_mithril_banded_gaiters]
(20755,1900,1,1,-1,87438),-- [enchanted_necklace_chain]
(20755,1061,1,1,-1,484352),-- [healing_potion]
(20755,57,337,674,0,700000),-- [adena]
(20755,222,1,1,1,176),-- [poniard_dagger]
(20755,1876,1,1,2,10918.05411),-- [mithril_ore]
(20755,1880,1,1,2,5459.148138),-- [steel]
(20755,1877,1,1,2,2183.610822),-- [admantite_nugget]
(20755,1881,1,1,2,7278.783462),-- [coarse_bone_powder]
(20755,1882,1,1,2,12131.30577),-- [leather]
(20755,1829,1,1,2,21836.350386),-- [scroll_of_escape_to_agit]
(20755,2274,1,1,2,389.88726),-- [rp_skull_breaker]
(20755,1341,10,30,2,181968.860052),-- [bone_arrow]
(20756,1932,1,1,-1,123147),-- [bone_helmet_design]
(20756,2262,1,1,-1,12047),-- [rp_elven_bow]
(20756,1899,1,1,-1,121223),-- [necklace_of_devotion_chain]
(20756,57,333,651,0,700000),-- [adena]
(20756,274,1,1,1,276),-- [strengthening_bow]
(20756,1873,1,1,2,34833.58923),-- [silver_nugget]
(20756,1868,1,1,2,174167.94615),-- [thread]
(20756,1876,1,1,2,17416.794615),-- [mithril_ore]
(20756,2152,1,1,2,15331.609997),-- [rp_enchanted_necklace]
(20756,6035,1,1,2,7257.060008),-- [potion_of_acumen2]
(20757,1868,1,3,-1,572349),-- [thread]
(20757,847,1,1,-1,5530),-- [red_cresent_earing]
(20757,2180,1,1,-1,43034),-- [rp_scale_mail]
(20757,57,247,476,0,700000),-- [adena]
(20757,291,1,1,1,101.975412),-- [trident]
(20757,2019,1,1,1,3454.024588),-- [trident_edge]
(20757,1875,1,1,2,3569.092446),-- [stone_of_purity]
(20757,1879,1,1,2,8922.714892),-- [cokes]
(20757,1885,1,1,2,4461.357446),-- [high_grade_suede]
(20757,5550,1,1,2,713.812),-- [reinforcing_plate]
(20757,5549,1,1,2,5353.622446),-- [iron_thread]
(20757,2152,1,1,2,9425.40077),-- [rp_enchanted_necklace]
(20758,2946,1,1,-1,117499),-- [plate_leather_gloves_design]
(20758,2167,1,1,-1,107248),-- [rp_ring_of_ages]
(20758,57,830,1692,0,700000),-- [adena]
(20758,853,1,1,1,206.286364),-- [earing_of_protection]
(20758,1911,1,1,1,11546.5088),-- [earing_of_protection_gemstone]
(20758,916,1,1,1,154.772352),-- [necklace_of_protection]
(20758,1913,1,1,1,9440.115436),-- [necklace_of_protection_gemstone]
(20758,884,1,1,1,309.544704),-- [ring_of_protection]
(20758,1912,1,1,1,16728.772344),-- [ring_of_protection_gemstone]
(20758,1872,1,1,2,124182.965169),-- [animal_bone]
(20758,1867,1,1,2,124182.965169),-- [animal_skin]
(20758,1881,1,1,2,12418.269215),-- [coarse_bone_powder]
(20758,1875,1,1,2,6209.271117),-- [stone_of_purity]
(20758,4041,1,1,2,809.774354),-- [mold_hardener]
(20758,952,1,1,2,1241.963431),-- [scrl_of_ench_am_c]
(20758,8724,1,1,2,3104.499049),-- [general_49_c]
(20758,8734,1,1,2,776.193017),-- [special_49_c]
(20758,8744,1,1,2,77.537396),-- [rare_49_c]
(20758,8754,1,1,2,15.562083),-- [unique_49_c]
(20759,2166,1,1,-1,66974),-- [rp_earing_of_binding]
(20759,1912,1,1,-1,212904),-- [ring_of_protection_gemstone]
(20759,2167,1,1,-1,100803),-- [rp_ring_of_ages]
(20759,57,781,1588,0,700000),-- [adena]
(20759,398,1,1,1,63.804132),-- [plate_leather]
(20759,1966,1,1,1,3994.840755),-- [plate_leather_fragment]
(20759,399,1,1,1,58.836114),-- [rind_leather_mail]
(20759,1975,1,1,1,3593.970972),-- [rind_leather_mail_design]
(20759,418,1,1,1,102.02913),-- [plate_leather_gaiters]
(20759,1967,1,1,1,5967.739242),-- [plate_leather_gaiters_material]
(20759,419,1,1,1,94.207581),-- [rind_leather_gaiters]
(20759,1976,1,1,1,6653.572074),-- [rind_leather_gaiters_material]
(20759,1870,1,1,2,79582.602096),-- [coal]
(20759,1865,1,1,2,79582.602096),-- [varnish]
(20759,1874,1,1,2,5305.542058),-- [oriharukon_ore]
(20759,4043,1,1,2,2652.6829),-- [asofe]
(20759,4039,1,1,2,2652.6829),-- [mold_glue]
(20759,2168,1,1,2,2025.028162),-- [rp_necklace_of_mermaid]
(20759,952,1,1,2,1061.07316),-- [scrl_of_ench_am_c]
(20759,8724,1,1,2,2652.6829),-- [general_49_c]
(20759,8734,1,1,2,663.258854),-- [special_49_c]
(20759,8744,1,1,2,66.273008),-- [rare_49_c]
(20759,8754,1,1,2,13.571866),-- [unique_49_c]
(20760,1911,1,1,-1,152522),-- [earing_of_protection_gemstone]
(20760,951,1,1,-1,3728),-- [scrl_of_ench_wp_c]
(20760,1871,1,5,-1,683553),-- [charcoal]
(20760,57,809,1651,0,700000),-- [adena]
(20760,398,1,1,1,66.225264),-- [plate_leather]
(20760,1966,1,1,1,4146.43026),-- [plate_leather_fragment]
(20760,399,1,1,1,61.068728),-- [rind_leather_mail]
(20760,1975,1,1,1,3730.348944),-- [rind_leather_mail_design]
(20760,418,1,1,1,105.90076),-- [plate_leather_gaiters]
(20760,1967,1,1,1,6194.192984),-- [plate_leather_gaiters_material]
(20760,419,1,1,1,97.782412),-- [rind_leather_gaiters]
(20760,1976,1,1,1,6906.050648),-- [rind_leather_gaiters_material]
(20760,1871,1,1,2,75716.574312),-- [charcoal]
(20760,1866,1,1,2,50477.716208),-- [suede]
(20760,1877,1,1,2,3028.62514),-- [admantite_nugget]
(20760,4041,1,1,2,658.420268),-- [mold_hardener]
(20760,4040,1,1,2,1514.380128),-- [mold_lubricant]
(20760,951,1,1,2,137.683204),-- [scrl_of_ench_wp_c]
(20760,2343,1,1,2,176.056148),-- [rp_mace_of_underworld]
(20760,2327,1,1,2,176.056148),-- [rp_caliburs]
(20760,8724,1,1,2,2523.831764),-- [general_49_c]
(20760,8734,1,1,2,630.99172),-- [special_49_c]
(20760,8744,1,1,2,63.099172),-- [rare_49_c]
(20760,8754,1,1,2,12.565788),-- [unique_49_c]
(20761,1875,1,1,-1,553373),-- [stone_of_purity]
(20761,1874,1,1,-1,553373),-- [oriharukon_ore]
(20761,1807,1,1,-1,11067),-- [rp_soulshot_a]
(20761,57,3285,6671,0,700000),-- [adena]
(20761,5287,1,1,1,22.945393),-- [sealed_dark_crystal_breastplate]
(20761,5520,1,1,1,2635.436141),-- [sealed_dark_crystal_breastplate_pattern]
(20761,5293,1,1,1,14.124871),-- [sealed_tallum_plate_armor]
(20761,5521,1,1,1,1859.668652),-- [sealed_tallum_plate_armor_pattern]
(20761,5288,1,1,1,36.717787),-- [sealed_dark_crystal_gaiters]
(20761,5524,1,1,1,4028.107156),-- [sealed_dark_crystal_gaiters_pattern]
(20761,1868,1,3,2,204322.463928),-- [thread]
(20761,1873,1,1,2,81728.852832),-- [silver_nugget]
(20761,5549,1,1,2,20432.213208),-- [iron_thread]
(20761,1889,1,1,2,13621.364856),-- [compound_braid]
(20761,4044,1,1,2,6810.848352),-- [thons]
(20761,4989,1,1,2,1353.276144),-- [rp_hose_of_doom_i]
(20761,4403,1,1,2,408.504888),-- [red_dimension_stone]
(20761,5338,1,1,2,264.482856),-- [rp_sealed_majestic_leather_mail_i]
(20761,8730,1,1,2,2270.172168),-- [general_67_a]
(20761,8740,1,1,2,567.46008),-- [special_67_a]
(20761,8750,1,1,2,56.746008),-- [rare_67_a]
(20761,8760,1,1,2,11.61468),-- [unique_67_a]
(20762,5478,1,1,-1,49132),-- [sealed_dark_crystal_leather_mail_pattern]
(20762,1807,1,1,-1,7790),-- [rp_soulshot_a]
(20762,57,2311,4698,0,700000),-- [adena]
(20762,5297,1,1,1,21.538242),-- [sealed_dark_crystal_leather_mail]
(20762,5478,1,1,1,2418.616002),-- [sealed_dark_crystal_leather_mail_pattern]
(20762,5301,1,1,1,13.248774),-- [sealed_tallum_leather_mail]
(20762,5479,1,1,1,1701.904446),-- [sealed_tallum_leather_mail_pattern]
(20762,5298,1,1,1,34.443618),-- [sealed_legging_of_dark_crystal]
(20762,5482,1,1,1,3796.248918),-- [sealed_legging_of_dark_crystal_design]
(20762,1872,1,1,2,209195.749232),-- [animal_bone]
(20762,1867,1,1,2,209195.749232),-- [animal_skin]
(20762,1881,1,1,2,20919.665679),-- [coarse_bone_powder]
(20762,1875,1,1,2,10459.60595),-- [stone_of_purity]
(20762,4041,1,1,2,1364.513453),-- [mold_hardener]
(20762,1807,1,1,2,209.192119),-- [rp_soulshot_a]
(20762,5336,1,1,2,202.839213),-- [rp_sealed_leather_mail_of_nightmare_i]
(20762,8730,1,1,2,1743.418918),-- [general_67_a]
(20762,8740,1,1,2,435.62784),-- [special_67_a]
(20762,8750,1,1,2,43.562784),-- [rare_67_a]
(20762,8760,1,1,2,9.07558),-- [unique_67_a]
(20763,1941,1,1,-1,60607),-- [brigandine_temper]
(20763,1873,1,1,-1,609587),-- [silver_nugget]
(20763,1902,1,1,-1,154404),-- [elven_earing_beads]
(20763,57,636,1270,0,700000),-- [adena]
(20763,129,1,1,1,73.3502),-- [sword_of_revolution]
(20763,2034,1,1,1,4161.6498),-- [sword_of_revolution_blade]
(20763,1872,1,1,2,175060.96524),-- [animal_bone]
(20763,1867,1,1,2,175060.96524),-- [animal_skin]
(20763,1881,1,1,2,17506.25298),-- [coarse_bone_powder]
(20763,1875,1,1,2,8752.93092),-- [stone_of_purity]
(20763,2146,1,1,2,9378.36378),-- [rp_artisan's_frame]
(20763,2196,1,1,2,5380.52184),-- [rp_plate_gaiters]
(20764,1902,1,1,-1,137744),-- [elven_earing_beads]
(20764,1825,1,1,-1,97110),-- [rp_oriharukon]
(20764,1903,1,1,-1,226779),-- [elven_ring_piece]
(20764,57,575,1146,0,700000),-- [adena]
(20764,437,1,1,1,204.293711),-- [mithril_tunic]
(20764,1944,1,1,1,8961.584082),-- [mithril_tunic_fabric]
(20764,470,1,1,1,326.265005),-- [mithril_hose]
(20764,1945,1,1,1,13954.857202),-- [mithril_hose_design]
(20764,1872,1,1,2,156172.667152),-- [animal_bone]
(20764,1867,1,1,2,156172.667152),-- [animal_skin]
(20764,1881,1,1,2,15617.337216),-- [coarse_bone_powder]
(20764,1875,1,1,2,7808.668608),-- [stone_of_purity]
(20764,2149,1,1,2,8366.329936),-- [rp_metallic_fiber]
(20764,5473,1,1,2,8366.329936),-- [rp_reinforcing_plate]
(20765,2145,1,1,-1,84024),-- [rp_mithirl_alloy]
(20765,1904,1,1,-1,109784),-- [elven_necklace_beads]
(20765,1873,1,1,-1,470534),-- [silver_nugget]
(20765,57,497,993,0,700000),-- [adena]
(20765,850,1,1,1,281.910384),-- [elven_earing]
(20765,1902,1,1,1,10268.06382),-- [elven_earing_beads]
(20765,913,1,1,1,211.58298),-- [elven_necklace]
(20765,1904,1,1,1,9458.303652),-- [elven_necklace_beads]
(20765,881,1,1,1,423.16596),-- [elven_ring]
(20765,1903,1,1,1,16904.973204),-- [elven_ring_piece]
(20765,1873,1,1,2,40538.354184),-- [silver_nugget]
(20765,1868,1,1,2,202691.77092),-- [thread]
(20765,1876,1,1,2,20269.177092),-- [mithril_ore]
(20765,1895,1,1,2,28955.922669),-- [metallic_fiber]
(20765,2145,1,1,2,7238.902608),-- [rp_mithirl_alloy]
(20765,2158,1,1,2,12542.872527),-- [rp_mithril_ring]
(20766,1869,1,3,-1,525817),-- [iron_ore]
(20766,1901,1,1,-1,145253),-- [tiger'seye_earing_stone]
(20766,2154,1,1,-1,112595),-- [rp_elven_earing]
(20766,57,443,889,0,700000),-- [adena]
(20766,553,1,1,1,408.595324),-- [iron_boots]
(20766,1940,1,1,1,11922.428056),-- [iron_boots_design]
(20766,2422,1,1,1,408.595324),-- [reinforce_leather_boots]
(20766,2423,1,1,1,408.595324),-- [boots_of_knowledge]
(20766,63,1,1,1,408.595324),-- [gauntlet]
(20766,2446,1,1,1,408.595324),-- [reinforce_leather_gloves]
(20766,2447,1,1,1,408.595324),-- [gloves_of_knowledge]
(20766,1864,1,1,2,159755.92243),-- [stem]
(20766,1869,1,1,2,79878.132346),-- [iron_ore]
(20766,1878,1,1,2,31951.184486),-- [braided_hemp]
(20766,1884,1,1,2,49155.66844),-- [cord]
(20766,2155,1,1,2,12821.476782),-- [rp_elven_ring]
(20766,2195,1,1,2,2042.961878),-- [rp_half_plate]
(20766,6035,1,1,2,6656.653638),-- [potion_of_acumen2]
(20767,2076,1,1,-1,15046),-- [body_slasher_blade]
(20767,2220,1,1,-1,39718),-- [rp_rind_leather_mail]
(20767,1879,1,1,-1,319728),-- [cokes]
(20767,57,759,1541,0,700000),-- [adena]
(20767,281,1,1,1,51.42543),-- [crystallized_ice_bow]
(20767,2074,1,1,1,3210.57457),-- [crystallized_ice_bow_shaft]
(20767,1865,1,1,2,75554.064168),-- [varnish]
(20767,1870,1,1,2,75554.064168),-- [coal]
(20767,1879,1,1,2,12592.285266),-- [cokes]
(20767,1875,1,1,2,5037.019878),-- [stone_of_purity]
(20767,4040,1,1,2,1511.123592),-- [mold_lubricant]
(20767,2225,1,1,2,1642.456662),-- [rp_demon's_hose]
(20767,2321,1,1,2,263.194998),-- [rp_stiletto]
(20767,2322,1,1,2,263.194998),-- [rp_dagger_of_magicflame]
(20767,8723,1,1,2,3022.247184),-- [general_46_c]
(20767,8733,1,1,2,755.561796),-- [special_46_c]
(20767,8743,1,1,2,75.626694),-- [rare_46_c]
(20767,8753,1,1,2,15.160596),-- [unique_46_c]
(20768,1908,1,1,-1,174999),-- [moonstone_earing_wire]
(20768,2163,1,1,-1,94285),-- [rp_earing_of_protection]
(20768,1909,1,1,-1,249560),-- [aquastone_ring_wire]
(20768,57,727,1491,0,700000),-- [adena]
(20768,631,1,1,1,285.42048),-- [eldarake]
(20768,1964,1,1,1,11762.156994),-- [eldarake_temper]
(20768,2495,1,1,1,285.42048),-- [chain_shield]
(20768,2945,1,1,1,11762.156994),-- [chain_shield_fragment]
(20768,2413,1,1,1,199.794336),-- [chain_hood]
(20768,2936,1,1,1,10683.050716),-- [chain_hood_pattern]
(20768,1865,1,1,2,72782.4462),-- [varnish]
(20768,1870,1,1,2,72782.4462),-- [coal]
(20768,1879,1,1,2,12130.323912),-- [cokes]
(20768,1875,1,1,2,4852.079292),-- [stone_of_purity]
(20768,2163,1,1,2,3713.400372),-- [rp_earing_of_protection]
(20768,2315,1,1,2,253.626276),-- [rp_shamshir]
(20768,2319,1,1,2,253.626276),-- [rp_raid_sword]
(20768,8723,1,1,2,2911.297848),-- [general_46_c]
(20768,8733,1,1,2,727.950144),-- [special_46_c]
(20768,8743,1,1,2,72.89556),-- [rare_46_c]
(20768,8753,1,1,2,14.579112),-- [unique_46_c]
(20768,1832,1,1,2,80869.328808),-- [advanced_antidote]
(20769,5220,1,1,-1,58852),-- [reinforcing_agent]
(20769,1885,1,1,-1,122609),-- [high_grade_suede]
(20769,4469,1,1,-1,8407),-- [dye_s1c1_d]
(20769,57,582,1182,0,700000),-- [adena]
(20769,70,1,1,1,26.635317),-- [claymore]
(20769,2047,1,1,1,1623.849333),-- [claymore_blade]
(20769,2499,1,1,1,26.635317),-- [elven_long_sword]
(20769,2967,1,1,1,1601.880033),-- [elven_long_sword_blade]
(20769,1866,1,1,2,70364.177896),-- [suede]
(20769,1871,1,1,2,105546.466832),-- [charcoal]
(20769,5220,1,1,2,4221.946668),-- [reinforcing_agent]
(20769,1885,1,1,2,8795.47224),-- [high_grade_suede]
(20769,2161,1,1,2,10247.185132),-- [rp_aquastone_ring]
(20769,5269,1,1,2,351.778892),-- [rp_adv_comp_soulshot_c]
(20769,2297,1,1,2,460.97234),-- [rp_flamberge]
(20770,1905,1,1,-1,167101),-- [onyxbeast'seye_earing_gemstone]
(20770,1805,1,1,-1,5726),-- [rp_soulshot_c]
(20770,1906,1,1,-1,236124),-- [mithril_ring_wire]
(20770,57,696,1393,0,700000),-- [adena]
(20770,159,1,1,1,12.438186),-- [bonebreaker]
(20770,2048,1,1,1,713.154852),-- [bonebreaker_head]
(20770,187,1,1,1,12.438186),-- [atuba_hammer]
(20770,2049,1,1,1,713.154852),-- [atuba_hammer_head]
(20770,188,1,1,1,12.438186),-- [ghost_staff]
(20770,2050,1,1,1,756.174114),-- [ghost_staff_head]
(20770,189,1,1,1,12.438186),-- [life_stick]
(20770,2051,1,1,1,756.174114),-- [life_stick_shaft]
(20770,190,1,1,1,12.438186),-- [atuba_mace]
(20770,2058,1,1,1,713.151138),-- [atuba_mace_head]
(20770,1867,1,1,2,164304.797622),-- [animal_skin]
(20770,1872,1,1,2,164304.797622),-- [animal_bone]
(20770,1882,1,1,2,27384.012378),-- [leather]
(20770,1894,1,1,2,4323.848535),-- [crafted_leather]
(20770,1805,1,1,2,410.865072),-- [rp_soulshot_c]
(20770,2298,1,1,2,538.175376),-- [rp_stormbringer]
(20770,5269,1,1,2,410.503395),-- [rp_adv_comp_soulshot_c]
(20771,1875,1,1,-1,357372),-- [stone_of_purity]
(20771,948,1,1,-1,13401),-- [scrl_of_ench_am_b]
(20771,4042,1,1,-1,89343),-- [enria]
(20771,57,2128,4304,0,700000),-- [adena]
(20771,171,1,1,1,5.230248),-- [deadman's_glory]
(20771,4116,1,1,1,1152.969252),-- [deadman's_glory_stone]
(20771,175,1,1,1,5.230248),-- [art_of_battle_axe]
(20771,4117,1,1,1,1152.969252),-- [art_of_battle_axe_blade]
(20771,210,1,1,1,5.230248),-- [staff_of_evil_sprit]
(20771,4118,1,1,1,1092.370752),-- [staff_of_evil_sprit_head]
(20771,1895,1,1,2,45241.35158),-- [metallic_fiber]
(20771,4040,1,1,2,3166.88589),-- [mold_lubricant]
(20771,4042,1,1,2,2639.10272),-- [enria]
(20771,4043,1,1,2,5278.14315),-- [asofe]
(20771,4953,1,1,2,3050.9642),-- [rp_avadon_gloves_i]
(20771,5276,1,1,2,211.10081),-- [rp_adv_comp_spiritshot_a]
(20771,8729,1,1,2,2111.25726),-- [general_64_a]
(20771,8739,1,1,2,527.84546),-- [special_64_a]
(20771,8749,1,1,2,52.75963),-- [rare_64_a]
(20771,8759,1,1,2,10.5893),-- [unique_64_a]
(20772,1875,1,1,-1,344772),-- [stone_of_purity]
(20772,1986,1,1,-1,54648),-- [full_plate_armor_temper]
(20772,4613,1,1,-1,7133),-- [dye_s4c4_c]
(20772,57,2049,4156,0,700000),-- [adena]
(20772,300,1,1,1,22.864152),-- [great_axe]
(20772,4113,1,1,1,3930.135848),-- [great_axe_head]
(20772,1872,1,1,2,169733.487288),-- [animal_bone]
(20772,1867,1,1,2,169733.487288),-- [animal_skin]
(20772,1881,1,1,2,16973.385864),-- [coarse_bone_powder]
(20772,1875,1,1,2,8486.507256),-- [stone_of_purity]
(20772,4041,1,1,2,1107.000312),-- [mold_hardener]
(20772,4618,1,1,2,175.649496),-- [dye_d4c4_c]
(20772,4999,1,1,2,1583.444928),-- [rp_doom_boots_i]
(20772,4163,1,1,2,842.96904),-- [rp_blue_wolve's_hose]
(20772,8728,1,1,2,2121.533976),-- [general_61_b]
(20772,8738,1,1,2,530.290656),-- [special_61_b]
(20772,8748,1,1,2,53.103336),-- [rare_61_b]
(20772,8758,1,1,2,11.14056),-- [unique_61_b]
(20773,5478,1,1,-1,29805),-- [sealed_dark_crystal_leather_mail_pattern]
(20773,1807,1,1,-1,4726),-- [rp_soulshot_a]
(20773,5479,1,1,-1,20973),-- [sealed_tallum_leather_mail_pattern]
(20773,57,1748,3569,0,700000),-- [adena]
(20773,6324,1,1,1,43.406603),-- [sealed_phoenix's_earing]
(20773,6341,1,1,1,6032.61631),-- [sealed_phoenix's_earing_gemstone]
(20773,6323,1,1,1,32.550157),-- [sealed_phoenix's_necklace]
(20773,6343,1,1,1,4663.438168),-- [sealed_phoenix's_necklace_beads]
(20773,6325,1,1,1,65.100314),-- [sealed_phoenix's_ring]
(20773,6345,1,1,1,8343.888448),-- [sealed_phoenix's_ring_gemstone]
(20773,1868,1,1,2,237949.17195),-- [thread]
(20773,1873,1,1,2,47589.83439),-- [silver_nugget]
(20773,5549,1,1,2,11897.302739),-- [iron_thread]
(20773,1889,1,1,2,7931.639065),-- [compound_braid]
(20773,4044,1,1,2,3965.663674),-- [thons]
(20773,4157,1,1,2,591.950583),-- [rp_blue_wolve's_gaiters]
(20773,730,1,1,2,99.126006),-- [scrl_of_ench_am_a]
(20773,8730,1,1,2,1321.991797),-- [general_67_a]
(20773,8740,1,1,2,330.42002),-- [special_67_a]
(20773,8750,1,1,2,33.042002),-- [rare_67_a]
(20773,8760,1,1,2,6.857774),-- [unique_67_a]
(20774,1807,1,1,-1,6216),-- [rp_soulshot_a]
(20774,5478,1,1,-1,39204),-- [sealed_dark_crystal_leather_mail_pattern]
(20774,1889,1,1,-1,310807),-- [compound_braid]
(20774,57,1844,3751,0,700000),-- [adena]
(20774,5291,1,1,1,38.682273),-- [sealed_dark_crystal_boots]
(20774,5496,1,1,1,4036.567727),-- [sealed_dark_crystal_boots_lining]
(20774,5296,1,1,1,38.682273),-- [sealed_tallum_boots]
(20774,5497,1,1,1,4036.567727),-- [sealed_tallum_boots_lining]
(20774,5290,1,1,1,38.682273),-- [sealed_dark_crystal_gloves]
(20774,5508,1,1,1,4036.567727),-- [sealed_dark_crystal_gloves_design]
(20774,5295,1,1,1,38.682273),-- [sealed_tallum_gloves]
(20774,5509,1,1,1,4036.567727),-- [sealed_tallum_gloves_design]
(20774,1873,1,1,2,55084.610222),-- [silver_nugget]
(20774,1868,1,1,2,275423.452944),-- [thread]
(20774,1876,1,1,2,27542.506028),-- [mithril_ore]
(20774,1895,1,1,2,39346.379778),-- [metallic_fiber]
(20774,4042,1,1,2,2295.275808),-- [enria]
(20774,5271,1,1,2,183.638138),-- [rp_adv_comp_soulshot_a]
(20774,8730,1,1,2,1530.183872),-- [general_67_a]
(20774,8740,1,1,2,382.545968),-- [special_67_a]
(20774,8750,1,1,2,38.17423),-- [rare_67_a]
(20774,8760,1,1,2,7.233012),-- [unique_67_a]
(20775,2253,1,1,-1,9985),-- [rp_sword_breaker]
(20775,1897,1,1,-1,58010),-- [necklace_of_wisdom_chain]
(20775,1800,1,1,-1,76617),-- [rp_piece_bone_breastplate]
(20775,57,119,191,0,700000),-- [adena]
(20775,15,1,1,1,137.091519),-- [short_spear]
(20775,2011,1,1,1,1641.908481),-- [short_spear_edge]
(20775,1873,1,1,2,19191.51927),-- [silver_nugget]
(20775,1868,1,1,2,95957.721095),-- [thread]
(20775,2144,1,1,2,9595.759635),-- [rp_compound_braid]
(20776,1865,1,1,-1,297237),-- [varnish]
(20776,1866,1,1,-1,198158),-- [suede]
(20776,1897,1,1,-1,70771),-- [necklace_of_wisdom_chain]
(20776,57,137,239,0,700000),-- [adena]
(20776,1101,1,1,1,1125.650223),-- [tunic_of_devotion]
(20776,1104,1,1,1,1797.349777),-- [hose_of_devotion]
(20776,1869,1,1,2,19510.9902),-- [iron_ore]
(20776,1870,1,1,2,19510.9902),-- [coal]
(20776,1871,1,1,2,19510.9902),-- [charcoal]
(20776,1872,1,1,2,26014.6536),-- [animal_bone]
(20776,1867,1,1,2,26014.6536),-- [animal_skin]
(20776,2140,1,1,2,3902.2656),-- [rp_high_grade_suede]
(20776,5158,1,1,2,780.4869),-- [rp_comp_spiritshot_d]
(20776,735,1,1,2,1625.8314),-- [swift_attack_potion]
(20776,1831,1,1,2,52029.1383),-- [antidote]
(20777,1831,1,1,-1,594351),-- [antidote]
(20777,1896,1,1,-1,94441),-- [necklace_of_anguish_chain]
(20777,1792,1,1,-1,16388),-- [rp_short_spear]
(20777,57,114,168,0,700000),-- [adena]
(20777,37,1,1,1,4303.043343),-- [leather_shoes]
(20777,1921,1,1,1,28316.876391),-- [leather_shoes_texture]
(20777,49,1,1,1,4303.080266),-- [gloves]
(20777,1868,1,1,2,87781.424965),-- [thread]
(20777,1873,1,1,2,17556.26328),-- [silver_nugget]
(20777,1794,1,1,2,3227.311755),-- [rp_bow_of_forest]
(20778,2290,1,1,-1,5412),-- [rp_mithril_dagger]
(20778,1903,1,1,-1,162485),-- [elven_ring_piece]
(20778,1902,1,1,-1,98693),-- [elven_earing_beads]
(20778,57,412,821,0,700000),-- [adena]
(20778,352,1,1,1,73.069944),-- [brigandine]
(20778,1941,1,1,1,3337.400322),-- [brigandine_temper]
(20778,2377,1,1,1,116.881986),-- [mithril_scale_gaiters]
(20778,2918,1,1,1,4978.889682),-- [mithril_scale_gaiters_material]
(20778,2378,1,1,1,116.881986),-- [brigandine_gaiters]
(20778,2919,1,1,1,4978.87608),-- [brigandine_gaiters_material]
(20778,1871,1,1,2,83922.320522),-- [charcoal]
(20778,1866,1,1,2,55948.264595),-- [suede]
(20778,1877,1,1,2,3356.941698),-- [admantite_nugget]
(20778,2289,1,1,2,466.165532),-- [rp_life_stick]
(20778,2288,1,1,2,466.165532),-- [rp_ghost_staff]
(20778,2202,1,1,2,8581.142121),-- [rp_assault_boots]
(20779,2158,1,1,-1,107640),-- [rp_mithril_ring]
(20779,1904,1,1,-1,81170),-- [elven_necklace_beads]
(20779,1866,1,1,-1,579821),-- [suede]
(20779,57,368,733,0,700000),-- [adena]
(20779,318,1,1,1,41.858726),-- [crucifix_of_blood]
(20779,2042,1,1,1,2077.141274),-- [crucifix_of_blood_piece]
(20779,1871,1,1,2,89916.679179),-- [charcoal]
(20779,1866,1,1,2,59944.452786),-- [suede]
(20779,1877,1,1,2,3596.685702),-- [admantite_nugget]
(20779,2290,1,1,2,499.513938),-- [rp_mithril_dagger]
(20779,2286,1,1,2,499.668395),-- [rp_bonebreaker]
(20780,2980,1,1,-1,95429),-- [rp_brigandine_gauntlet]
(20780,1901,1,1,-1,98461),-- [tiger'seye_earing_stone]
(20780,1877,1,1,-1,28514),-- [admantite_nugget]
(20780,57,301,601,0,700000),-- [adena]
(20780,157,1,1,1,33.984452),-- [spike_club]
(20780,2027,1,1,1,1655.031096),-- [spike_club_head]
(20780,186,1,1,1,33.984452),-- [staff_of_magicpower]
(20780,1871,1,1,2,94755.45226),-- [charcoal]
(20780,1866,1,1,2,63170.246545),-- [suede]
(20780,1877,1,1,2,3790.211495),-- [admantite_nugget]
(20780,2186,1,1,2,3169.0897),-- [rp_brigandine]
(20781,2192,1,1,-1,90034),-- [rp_kite_shield]
(20781,1938,1,1,-1,47453),-- [mithril_banded_mail_material]
(20781,1901,1,1,-1,97496),-- [tiger'seye_earing_stone]
(20781,57,298,595,0,700000),-- [adena]
(20781,436,1,1,1,320.586714),-- [tunic_of_knowledge]
(20781,469,1,1,1,512.413286),-- [hose_of_knowledge]
(20781,1875,1,1,2,3127.529982),-- [stone_of_purity]
(20781,1879,1,1,2,7818.876878),-- [cokes]
(20781,1885,1,1,2,3909.438439),-- [high_grade_suede]
(20781,5550,1,1,2,625.516381),-- [reinforcing_plate]
(20781,5549,1,1,2,4691.346896),-- [iron_thread]
(20781,2187,1,1,2,2094.366128),-- [rp_manticor_skin_shirt]
(20781,2273,1,1,2,335.111042),-- [rp_tarbar]
(20781,6667,1,1,2,29320.814254),-- [key_of_treasure_box3]
(20782,1801,1,1,-1,126448),-- [rp_piece_bone_gaiters]
(20782,1924,1,1,-1,80968),-- [leather_helmet_design]
(20782,1800,1,1,-1,78931),-- [rp_piece_bone_breastplate]
(20782,57,122,197,0,700000),-- [adena]
(20782,256,1,1,1,282),-- [cestus]
(20782,1872,1,1,2,49427.50289),-- [animal_bone]
(20782,1867,1,1,2,49427.50289),-- [animal_skin]
(20782,2150,1,1,2,17404.03373),-- [rp_blue_diamond_necklace]
(20782,5268,1,1,2,1482.96049),-- [rp_adv_comp_soulshot_d]
(20783,2203,1,1,-1,70587),-- [rp_mithril_boots]
(20783,1935,1,1,-1,18100),-- [scale_mail_fragment]
(20783,1900,1,1,-1,35448),-- [enchanted_necklace_chain]
(20783,57,137,273,0,700000),-- [adena]
(20783,316,1,1,1,15.435576),-- [blood_of_saints]
(20783,317,1,1,1,15.435576),-- [tome_of_blood]
(20783,2030,1,1,1,671.128848),-- [tome_of_blood_page]
(20783,1874,1,1,2,1435.544052),-- [oriharukon_ore]
(20783,1878,1,1,2,8613.23233),-- [braided_hemp]
(20783,1884,1,1,2,13251.10206),-- [cord]
(20783,1889,1,1,2,1435.544052),-- [compound_braid]
(20783,5220,1,1,2,861.307242),-- [reinforcing_agent]
(20783,2153,1,1,2,3348.83522),-- [rp_tiger'seye_earing]
(20783,2977,1,1,2,2882.601624),-- [rp_brigandine_boots]
(20783,8307,1,1,2,153.83342),-- [rp_mace_of_priest]
(20784,2021,1,1,-1,4623),-- [spinebone_sword_blade]
(20784,2184,1,1,-1,38461),-- [rp_mithril_banded_gaiters]
(20784,2153,1,1,-1,56945),-- [rp_tiger'seye_earing]
(20784,57,154,309,0,700000),-- [adena]
(20784,83,1,1,1,11.7744),-- [sword_of_magic]
(20784,144,1,1,1,11.7744),-- [sword_of_occult]
(20784,124,1,1,1,8.72256),-- [two-handed_sword]
(20784,2026,1,1,1,390.28308),-- [two-handed_sword_edge]
(20784,127,1,1,1,8.72256),-- [crimson_sword]
(20784,130,1,1,1,8.723),-- [elven_sword]
(20784,1875,1,1,2,2163.132496),-- [stone_of_purity]
(20784,1879,1,1,2,5407.842272),-- [cokes]
(20784,1885,1,1,2,2703.921136),-- [high_grade_suede]
(20784,5550,1,1,2,432.630912),-- [reinforcing_plate]
(20784,5549,1,1,2,3244.709776),-- [iron_thread]
(20784,2250,1,1,2,8111.763408),-- [rp_bone_arrow]
(20785,2022,1,1,-1,5500),-- [mace_of_judgment_head]
(20785,1933,1,1,-1,41540),-- [dark_hose_fabric]
(20785,1875,1,1,-1,23539),-- [stone_of_purity]
(20785,57,149,298,0,700000),-- [adena]
(20785,1124,1,1,1,39.7463),-- [boots_of_power]
(20785,1948,1,1,1,1541.5037),-- [boots_of_power_pattern]
(20785,2424,1,1,1,39.7463),-- [manticor_skin_boots]
(20785,2923,1,1,1,1541.5037),-- [manticor_skin_boots_lining]
(20785,2425,1,1,1,39.7463),-- [brigandine_boots]
(20785,2924,1,1,1,1541.5037),-- [brigandine_boots_design]
(20785,2426,1,1,1,39.7463),-- [elven_mithril_boots]
(20785,2925,1,1,1,1541.5037),-- [elven_mithril_boots_design]
(20785,606,1,1,1,39.7463),-- [gauntlet_of_repose_of_the_soul]
(20785,1946,1,1,1,1541.5037),-- [gauntlet_of_repose_of_the_soul_pattern]
(20785,2448,1,1,1,39.7463),-- [manticor_skin_gloves]
(20785,2926,1,1,1,1541.5037),-- [manticor_skin_gloves_linging]
(20785,2449,1,1,1,39.7463),-- [brigandine_gauntlet]
(20785,2927,1,1,1,1541.5037),-- [brigandine_gauntlet_pattern]
(20785,2450,1,1,1,39.7463),-- [elven_mithril_gloves]
(20785,2928,1,1,1,1541.5037),-- [elven_mithril_gloves_design]
(20785,1875,1,1,2,1352.00395),-- [stone_of_purity]
(20785,1879,1,1,2,3380.009875),-- [cokes]
(20785,1885,1,1,2,1690.052725),-- [high_grade_suede]
(20785,5550,1,1,2,270.381675),-- [reinforcing_plate]
(20785,5549,1,1,2,2028.005925),-- [iron_thread]
(20785,2185,1,1,2,3992.16775),-- [rp_iron_boots]
(20785,2982,1,1,2,2586.737375),-- [rp_brigandine_shield]
(20785,6667,1,1,2,12675.060925),-- [key_of_treasure_box3]
(20785,1341,10,30,2,67600.5798),-- [bone_arrow]
(20786,2026,1,1,-1,4711),-- [two-handed_sword_edge]
(20786,2155,1,1,-1,62822),-- [rp_elven_ring]
(20786,5550,1,1,-1,5218),-- [reinforcing_plate]
(20786,57,166,330,0,700000),-- [adena]
(20786,395,1,1,1,58.81275),-- [manticor_skin_shirt]
(20786,1942,1,1,1,2579.8905),-- [manticor_skin_shirt_texture]
(20786,417,1,1,1,93.92625),-- [manticor_skin_gaiters]
(20786,1943,1,1,1,4017.3705),-- [manticor_skin_gaiters_pattern]
(20786,1875,1,1,2,1685.957287),-- [stone_of_purity]
(20786,1879,1,1,2,4214.885927),-- [cokes]
(20786,1885,1,1,2,2107.450254),-- [high_grade_suede]
(20786,5550,1,1,2,337.185625),-- [reinforcing_plate]
(20786,5549,1,1,2,2528.92864),-- [iron_thread]
(20786,2278,1,1,2,180.644009),-- [rp_strengthening_long_bow]
(20786,2286,1,1,2,140.502516),-- [rp_bonebreaker]
(20786,2977,1,1,2,3385.445742),-- [rp_brigandine_boots]
(20787,1870,1,1,-1,476736),-- [coal]
(20787,2029,1,1,-1,5687),-- [gastraphetes_shaft]
(20787,5549,1,1,-1,47674),-- [iron_thread]
(20787,57,199,397,0,700000),-- [adena]
(20787,850,1,1,1,114.249236),-- [elven_earing]
(20787,1902,1,1,1,4161.316905),-- [elven_earing_beads]
(20787,913,1,1,1,85.747795),-- [elven_necklace]
(20787,1904,1,1,1,3833.147083),-- [elven_necklace_beads]
(20787,881,1,1,1,171.49559),-- [elven_ring]
(20787,1903,1,1,1,6851.043391),-- [elven_ring_piece]
(20787,1875,1,1,2,1825.447782),-- [stone_of_purity]
(20787,1879,1,1,2,4563.688148),-- [cokes]
(20787,1885,1,1,2,2281.844074),-- [high_grade_suede]
(20787,5550,1,1,2,365.034602),-- [reinforcing_plate]
(20787,5549,1,1,2,2738.240366),-- [iron_thread]
(20787,2188,1,1,2,1955.827096),-- [rp_manticor_skin_gaiters]
(20787,5473,1,1,2,1955.827096),-- [rp_reinforcing_plate]
(20787,1832,1,1,2,30424.954016),-- [advanced_antidote]
(20787,1341,10,30,2,91275.13682),-- [bone_arrow]
(20788,2186,1,1,-1,28093),-- [rp_brigandine]
(20788,1901,1,1,-1,116020),-- [tiger'seye_earing_stone]
(20788,57,355,708,0,700000),-- [adena]
(20788,260,1,1,1,120),-- [triple-edged_jamadhr]
(20788,1874,1,1,2,3721.759626),-- [oriharukon_ore]
(20788,1878,1,1,2,22330.557756),-- [braided_hemp]
(20788,1884,1,1,2,34354.730995),-- [cord]
(20788,1889,1,1,2,3721.759626),-- [compound_braid]
(20788,5220,1,1,2,2233.041863),-- [reinforcing_agent]
(20788,2189,1,1,2,2492.233601),-- [rp_mithril_tunic]
(20788,2293,1,1,2,310.181417),-- [rp_glaive]
(20788,2275,1,1,2,398.735116),-- [rp_heavy_bone_club]
(20789,2030,1,1,-1,9246),-- [tome_of_blood_page]
(20789,2188,1,1,-1,56469),-- [rp_manticor_skin_gaiters]
(20789,2154,1,1,-1,84644),-- [rp_elven_earing]
(20789,57,333,668,0,700000),-- [adena]
(20789,393,1,1,1,119.754095),-- [mithril_banded_mail]
(20789,1938,1,1,1,4709.504645),-- [mithril_banded_mail_material]
(20789,394,1,1,1,119.754095),-- [reinforce_leather_shirt]
(20789,415,1,1,1,191.40901),-- [mithril_banded_gaiters]
(20789,1939,1,1,1,6153.18063),-- [mithril_banded_gaiters_material]
(20789,416,1,1,1,191.397525),-- [reinforce_leather_gaiters]
(20789,1874,1,1,2,3502.836657),-- [oriharukon_ore]
(20789,1878,1,1,2,21016.771461),-- [braided_hemp]
(20789,1884,1,1,2,32333.590125),-- [cord]
(20789,1889,1,1,2,3502.836657),-- [compound_braid]
(20789,5220,1,1,2,2101.652298),-- [reinforcing_agent]
(20789,2275,1,1,2,375.20631),-- [rp_heavy_bone_club]
(20789,1661,1,1,2,10508.509971),-- [key_of_thief]
(20789,1341,10,30,2,175139.596521),-- [bone_arrow]
(20790,2039,1,1,-1,10243),-- [bich'hwa_edge]
(20790,1868,1,5,-1,674568),-- [thread]
(20790,1902,1,1,-1,102518),-- [elven_earing_beads]
(20790,57,428,853,0,700000),-- [adena]
(20790,224,1,1,1,24.35192),-- [maingauche]
(20790,2038,1,1,1,1381.64808),-- [maingauche_edge]
(20790,1660,1,1,1,24.35192),-- [cursed_maingauche]
(20790,2044,1,1,1,1381.64808),-- [cursed_maingauche_edge]
(20790,1874,1,1,2,3486.998377),-- [oriharukon_ore]
(20790,1878,1,1,2,20921.154519),-- [braided_hemp]
(20790,1884,1,1,2,32186.412997),-- [cord]
(20790,1889,1,1,2,3486.998377),-- [compound_braid]
(20790,5220,1,1,2,2092.14331),-- [reinforcing_agent]
(20790,2147,1,1,2,3736.049791),-- [rp_blacksmith's_frame]
(20790,2984,1,1,2,5347.919457),-- [rp_slamander_skin_boots]
(20790,2289,1,1,2,290.559983),-- [rp_life_stick]
(20790,6667,1,1,2,32689.530283),-- [key_of_treasure_box3]
(20790,1341,10,30,2,174343.232906),-- [bone_arrow]
(20791,2196,1,1,-1,71256),-- [rp_plate_gaiters]
(20791,2041,1,1,-1,19395),-- [hammer_in_flames_head]
(20791,1825,1,1,-1,124190),-- [rp_oriharukon]
(20791,57,735,1467,0,700000),-- [adena]
(20791,352,1,1,1,130.421416),-- [brigandine]
(20791,1941,1,1,1,5956.874358),-- [brigandine_temper]
(20791,2377,1,1,1,208.620854),-- [mithril_scale_gaiters]
(20791,2918,1,1,1,8886.743398),-- [mithril_scale_gaiters_material]
(20791,2378,1,1,1,208.620854),-- [brigandine_gaiters]
(20791,2919,1,1,1,8886.71912),-- [brigandine_gaiters_material]
(20791,1876,1,1,2,25678.72309),-- [mithril_ore]
(20791,1880,1,1,2,12839.4079),-- [steel]
(20791,1877,1,1,2,5135.76316),-- [admantite_nugget]
(20791,1881,1,1,2,17119.17963),-- [coarse_bone_powder]
(20791,1882,1,1,2,28531.96605),-- [leather]
(20791,2198,1,1,2,2691.64943),-- [rp_sage's_rag]
(20791,3020,1,1,2,713.31074),-- [rp_elven_long_sword]
(20792,2035,1,1,-1,16376),-- [tarbar_head]
(20792,2202,1,1,-1,165409),-- [rp_assault_boots]
(20792,1903,1,1,-1,269842),-- [elven_ring_piece]
(20792,57,684,1363,0,700000),-- [adena]
(20792,88,1,1,1,15.571536),-- [morning_star]
(20792,2031,1,1,1,846.382452),-- [morning_star_head]
(20792,90,1,1,1,15.571536),-- [goathead_staff]
(20792,2032,1,1,1,772.62522),-- [goathead_staff_head]
(20792,158,1,1,1,15.571536),-- [tarbar]
(20792,2035,1,1,1,846.382452),-- [tarbar_head]
(20792,169,1,1,1,15.571536),-- [skull_breaker]
(20792,2036,1,1,1,846.382452),-- [skull_breaker_head]
(20792,172,1,1,1,15.571536),-- [heavy_bone_club]
(20792,2037,1,1,1,846.369744),-- [heavy_bone_club_head]
(20792,1876,1,1,2,23892.20854),-- [mithril_ore]
(20792,1880,1,1,2,11946.1474),-- [steel]
(20792,1877,1,1,2,4778.45896),-- [admantite_nugget]
(20792,1881,1,1,2,15928.16778),-- [coarse_bone_powder]
(20792,1882,1,1,2,26546.9463),-- [leather]
(20792,2198,1,1,2,2504.38658),-- [rp_sage's_rag]
(20792,3020,1,1,2,663.68444),-- [rp_elven_long_sword]
(20793,2037,1,1,-1,17953),-- [heavy_bone_club_head]
(20793,1877,1,1,-1,70938),-- [admantite_nugget]
(20793,1881,1,1,-1,236461),-- [coarse_bone_powder]
(20793,57,740,1478,0,700000),-- [adena]
(20793,93,1,1,1,42.67558),-- [winged_spear]
(20793,2033,1,1,1,2556.32442),-- [winged_spear_blade]
(20793,294,1,1,1,42.67558),-- [hammer_in_flames]
(20793,2041,1,1,1,2556.32442),-- [hammer_in_flames_head]
(20793,1876,1,1,2,22918.530082),-- [mithril_ore]
(20793,1880,1,1,2,11459.501788),-- [steel]
(20793,1877,1,1,2,4583.895414),-- [admantite_nugget]
(20793,1881,1,1,2,15279.177886),-- [coarse_bone_powder]
(20793,1882,1,1,2,25464.980814),-- [leather]
(20793,2147,1,1,2,8185.290778),-- [rp_blacksmith's_frame]
(20793,2205,1,1,2,3626.490546),-- [rp_chain_gaiters]
(20793,1341,10,30,2,381976.132692),-- [bone_arrow]
(20794,2991,1,1,-1,132768),-- [rp_karmian_boots]
(20794,1952,1,1,-1,53584),-- [slamander_skin_mail_texture]
(20794,1866,1,3,-1,557627),-- [suede]
(20794,57,678,1356,0,700000),-- [adena]
(20794,225,1,1,1,60.562565),-- [mithril_dagger]
(20794,2052,1,1,1,3642.437435),-- [mithril_dagger_blade]
(20794,1866,1,1,2,80004.198474),-- [suede]
(20794,1871,1,1,2,120006.40714),-- [charcoal]
(20794,5220,1,1,2,4800.212514),-- [reinforcing_agent]
(20794,1885,1,1,2,10000.497452),-- [high_grade_suede]
(20794,2206,1,1,2,3166.437544),-- [rp_tempered_mithril_shirt]
(20794,4556,1,1,2,479.955594),-- [dye_c1c1_c]
(20794,5274,1,1,2,400.291282),-- [rp_adv_comp_spiritshot_c]
(20795,2161,1,1,-1,153276),-- [rp_aquastone_ring]
(20795,2047,1,1,-1,13879),-- [claymore_blade]
(20795,4469,1,1,-1,9021),-- [dye_s1c1_d]
(20795,57,636,1285,0,700000),-- [adena]
(20795,851,1,1,1,283.234762),-- [onyxbeast'seye_earing]
(20795,1905,1,1,1,12852.656394),-- [onyxbeast'seye_earing_gemstone]
(20795,914,1,1,1,212.41579),-- [necklace_of_darkness]
(20795,1907,1,1,1,9191.331992),-- [necklace_of_darkness_gem]
(20795,882,1,1,1,424.83158),-- [mithril_ring]
(20795,1906,1,1,1,18161.529482),-- [mithril_ring_wire]
(20795,1867,1,1,2,151004.48972),-- [animal_skin]
(20795,1872,1,1,2,151004.48972),-- [animal_bone]
(20795,1882,1,1,2,25167.544542),-- [leather]
(20795,1894,1,1,2,3973.966052),-- [crafted_leather]
(20795,2304,1,1,2,494.510352),-- [rp_heavy_doom_hammer]
(20795,736,1,1,2,56626.878028),-- [scroll_of_escape]
(20795,2303,1,1,2,494.121586),-- [rp_skull_graver]
(20796,2199,1,1,-1,71642),-- [rp_karmian_hose]
(20796,2930,1,1,-1,136873),-- [plate_helmet_design]
(20796,1905,1,1,-1,165167),-- [onyxbeast'seye_earing_gemstone]
(20796,57,671,1364,0,700000),-- [adena]
(20796,396,1,1,1,232.565589),-- [slamander_skin_mail]
(20796,1952,1,1,1,13654.434411),-- [slamander_skin_mail_texture]
(20796,1868,1,1,2,170522.522904),-- [thread]
(20796,1873,1,1,2,34104.451554),-- [silver_nugget]
(20796,5549,1,1,2,8526.179172),-- [iron_thread]
(20796,1889,1,1,2,5684.207826),-- [compound_braid]
(20796,2998,1,1,2,6410.674986),-- [rp_chain_shield]
(20796,737,1,1,2,8526.179172),-- [scroll_of_resurrection]
(20796,4557,1,1,2,340.962324),-- [dye_d1s1_c]
(20796,3033,1,1,2,284.223648),-- [rp_spiritshot_c]
(20796,3954,1,1,2,284.223648),-- [rp_blessed_spiritshot_c]
(20796,6668,1,1,2,30450.374766),-- [key_of_treasure_box4]
(20797,4440,1,1,-1,8981),-- [rp_knuckle_dust]
(20797,1908,1,1,-1,244093),-- [moonstone_earing_wire]
(20797,2163,1,1,-1,131511),-- [rp_earing_of_protection]
(20797,57,1015,2079,0,700000),-- [adena]
(20797,397,1,1,1,209.313728),-- [tempered_mithril_shirt]
(20797,1961,1,1,1,9746.249906),-- [tempered_mithril_shirt_fabric]
(20797,2387,1,1,1,334.520624),-- [tempered_mithril_gaiters]
(20797,2935,1,1,1,16191.915742),-- [tempered_mithril_gaiters_fragment]
(20797,1869,1,1,2,110747.736582),-- [iron_ore]
(20797,1864,1,1,2,221495.473164),-- [stem]
(20797,1880,1,1,2,11074.702548),-- [steel]
(20797,5550,1,1,2,1476.603303),-- [reinforcing_plate]
(20797,2220,1,1,2,2292.948399),-- [rp_rind_leather_mail]
(20797,2225,1,1,2,2407.435821),-- [rp_demon's_hose]
(20797,2321,1,1,2,385.772835),-- [rp_stiletto]
(20797,8723,1,1,2,4429.809909),-- [general_46_c]
(20797,8733,1,1,2,1107.541365),-- [special_46_c]
(20797,8743,1,1,2,110.576361),-- [rare_46_c]
(20797,8753,1,1,2,22.399713),-- [unique_46_c]
(20798,4042,1,1,-1,34793),-- [enria]
(20798,4043,1,1,-1,69587),-- [asofe]
(20798,1908,1,1,-1,197690),-- [moonstone_earing_wire]
(20798,57,826,1677,0,700000),-- [adena]
(20798,71,1,1,1,27.97965),-- [flamberge]
(20798,2059,1,1,1,1831.857492),-- [flamberge_blade]
(20798,72,1,1,1,27.97965),-- [stormbringer]
(20798,2060,1,1,1,1958.183208),-- [stormbringer_blade]
(20798,1869,1,1,2,89694.045238),-- [iron_ore]
(20798,1864,1,1,2,179388.090476),-- [stem]
(20798,1880,1,1,2,8969.346932),-- [steel]
(20798,5550,1,1,2,1195.893727),-- [reinforcing_plate]
(20798,2220,1,1,2,1857.047591),-- [rp_rind_leather_mail]
(20798,2225,1,1,2,1949.770389),-- [rp_demon's_hose]
(20798,2321,1,1,2,312.435515),-- [rp_stiletto]
(20798,8723,1,1,2,3587.681181),-- [general_46_c]
(20798,8733,1,1,2,896.992285),-- [special_46_c]
(20798,8743,1,1,2,89.555249),-- [rare_46_c]
(20798,8753,1,1,2,18.141417),-- [unique_46_c]
(20799,2317,1,1,-1,7323),-- [rp_bech_de_corbin]
(20799,2065,1,1,-1,16244),-- [skull_graver_head]
(20799,2164,1,1,-1,161662),-- [rp_ring_of_protection]
(20799,57,828,1693,0,700000),-- [adena]
(20799,354,1,1,1,127.798696),-- [chain_mail_shirt]
(20799,1959,1,1,1,6688.228012),-- [chain_mail_shirt_material]
(20799,381,1,1,1,204.444912),-- [chain_gaiters]
(20799,1960,1,1,1,13605.52838),-- [chain_gaiters_part]
(20799,1871,1,1,2,90295.964824),-- [charcoal]
(20799,1866,1,1,2,60197.364344),-- [suede]
(20799,1877,1,1,2,3611.766704),-- [admantite_nugget]
(20799,4041,1,1,2,785.223504),-- [mold_hardener]
(20799,4040,1,1,2,1805.883352),-- [mold_lubricant]
(20799,2230,1,1,2,1749.84264),-- [rp_theca_leather_gaiters]
(20799,2326,1,1,2,314.677584),-- [rp_horn_of_glory]
(20799,8723,1,1,2,3611.766704),-- [general_46_c]
(20799,8733,1,1,2,903.023368),-- [special_46_c]
(20799,8743,1,1,2,90.351352),-- [rare_46_c]
(20799,8753,1,1,2,18.135624),-- [unique_46_c]
(20800,2223,1,1,-1,76282),-- [rp_tower_shield]
(20800,1966,1,1,-1,71854),-- [plate_leather_fragment]
(20800,1911,1,1,-1,146379),-- [earing_of_protection_gemstone]
(20800,57,777,1585,0,700000),-- [adena]
(20800,355,1,1,1,87.99518),-- [dwarven_chain_mail_shirt]
(20800,1968,1,1,1,5253.18792),-- [dwarven_chain_mail_shirt_material]
(20800,382,1,1,1,140.792288),-- [dwarven_chain_gaiters]
(20800,1969,1,1,1,8332.024612),-- [dwarven_chain_gaiters_material]
(20800,1872,1,1,2,105697.749824),-- [animal_bone]
(20800,1867,1,1,2,105697.749824),-- [animal_skin]
(20800,1881,1,1,2,10569.728034),-- [coarse_bone_powder]
(20800,1875,1,1,2,5284.981388),-- [stone_of_purity]
(20800,4041,1,1,2,689.437254),-- [mold_hardener]
(20800,2226,1,1,2,3235.683728),-- [rp_mithril_gauntlet]
(20800,2333,1,1,2,184.27247),-- [rp_sword_of_nightmare]
(20800,8724,1,1,2,2642.490694),-- [general_49_c]
(20800,8734,1,1,2,660.563988),-- [special_49_c]
(20800,8744,1,1,2,65.962502),-- [rare_49_c]
(20800,8754,1,1,2,13.380294),-- [unique_49_c]
(20801,2946,1,1,-1,132781),-- [plate_leather_gloves_design]
(20801,2330,1,1,-1,5524),-- [rp_homunkulus's_sword]
(20801,951,1,1,-1,4319),-- [scrl_of_ench_wp_c]
(20801,57,939,1909,0,700000),-- [adena]
(20801,4233,1,1,1,47.634132),-- [knuckle_dust]
(20801,4438,1,1,1,3753.365868),-- [knuckle_dust_edge]
(20801,1873,1,1,2,30071.557296),-- [silver_nugget]
(20801,1868,1,1,2,150357.519144),-- [thread]
(20801,1876,1,1,2,15035.778648),-- [mithril_ore]
(20801,1895,1,1,2,21479.645592),-- [metallic_fiber]
(20801,4042,1,1,2,1253.003832),-- [enria]
(20801,2347,1,1,2,174.837744),-- [rp_akat_long_bow]
(20801,2351,1,1,2,157.193568),-- [rp_scorpion]
(20801,3010,1,1,2,2042.981712),-- [rp_composite_helmet]
(20801,6668,1,1,2,26849.623824),-- [key_of_treasure_box4]
(20801,8724,1,1,2,2506.007664),-- [general_49_c]
(20801,8734,1,1,2,626.368248),-- [special_49_c]
(20801,8744,1,1,2,62.556624),-- [rare_49_c]
(20801,8754,1,1,2,12.564792),-- [unique_49_c]
(20801,1539,1,1,2,16706.361312),-- [greater_healing_potion]
(20802,2333,1,1,-1,5213),-- [rp_sword_of_nightmare]
(20802,1975,1,1,-1,73621),-- [rind_leather_mail_design]
(20802,4039,1,1,-1,74713),-- [mold_glue]
(20802,57,885,1804,0,700000),-- [adena]
(20802,325,1,1,1,44.93792),-- [horn_of_glory]
(20802,2088,1,1,1,3499.06208),-- [horn_of_glory_fragment]
(20802,1894,1,1,2,3167.794125),-- [crafted_leather]
(20802,4039,1,1,2,3009.373875),-- [mold_glue]
(20802,4041,1,1,2,784.974375),-- [mold_hardener]
(20802,4044,1,1,2,3009.373875),-- [thons]
(20802,737,1,1,2,9028.121625),-- [scroll_of_resurrection]
(20802,2334,1,1,2,209.937375),-- [rp_deathbreath_sword]
(20802,8724,1,1,2,3009.373875),-- [general_49_c]
(20802,8734,1,1,2,752.394375),-- [special_49_c]
(20802,8744,1,1,2,75.137625),-- [rare_49_c]
(20802,8754,1,1,2,15.06825),-- [unique_49_c]
(20802,1342,10,30,2,180563.450625),-- [fine_steel_arrow]
(20803,4044,1,1,-1,140295),-- [thons]
(20803,4042,1,1,-1,70147),-- [enria]
(20803,4043,1,1,-1,140295),-- [asofe]
(20803,57,1665,3384,0,700000),-- [adena]
(20803,231,1,1,1,26.339632),-- [grace_dagger]
(20803,2106,1,1,1,2371.660368),-- [grace_dagger_edge]
(20803,233,1,1,1,26.339632),-- [dark_screamer]
(20803,2107,1,1,1,2371.660368),-- [dark_screamer_edge]
(20803,1895,1,1,2,45208.083492),-- [metallic_fiber]
(20803,4040,1,1,2,3164.556486),-- [mold_lubricant]
(20803,4042,1,1,2,2637.141546),-- [enria]
(20803,4043,1,1,2,5274.283092),-- [asofe]
(20803,2356,1,1,2,258.092406),-- [rp_demon's_staff]
(20803,3014,1,1,2,4419.790674),-- [rp_full_plate_boots]
(20803,2360,1,1,2,258.092406),-- [rp_orcish_poleaxe]
(20803,8725,1,1,2,4395.258192),-- [general_52_c]
(20803,8735,1,1,2,1098.814548),-- [special_52_c]
(20803,8745,1,1,2,109.894824),-- [rare_52_c]
(20803,8755,1,1,2,21.992334),-- [unique_52_c]
(20804,2160,1,1,-1,132104),-- [rp_moonstone_earing]
(20804,1953,1,1,-1,65586),-- [sage's_rag_lining]
(20804,4470,1,1,-1,11701),-- [dye_s1d1_d]
(20804,57,830,1660,0,700000),-- [adena]
(20804,630,1,1,1,433.844237),-- [square_shield]
(20804,1956,1,1,1,19450.782085),-- [square_shield_fragment]
(20804,2494,1,1,1,433.844237),-- [plate_shield]
(20804,2934,1,1,1,19450.782085),-- [plate_shield_fragment]
(20804,2412,1,1,1,303.814906),-- [plate_helmet]
(20804,2930,1,1,1,13813.93245),-- [plate_helmet_design]
(20804,1864,1,3,2,128526.768747),-- [stem]
(20804,1869,1,1,2,128526.768747),-- [iron_ore]
(20804,1878,1,1,2,51410.626969),-- [braided_hemp]
(20804,1884,1,1,2,79093.551017),-- [cord]
(20804,2207,1,1,2,3391.109878),-- [rp_karmian_tunic]
(20804,2298,1,1,2,561.292706),-- [rp_stormbringer]
(20804,5274,1,1,2,428.418536),-- [rp_adv_comp_spiritshot_c]
(20804,735,1,1,2,10710.4634),-- [swift_attack_potion]
(20805,2162,1,1,-1,107039),-- [rp_aquastone_necklace]
(20805,2053,1,1,-1,18321),-- [scallop_jamadhr_edge]
(20805,1905,1,1,-1,215536),-- [onyxbeast'seye_earing_gemstone]
(20805,57,892,1803,0,700000),-- [adena]
(20805,159,1,1,1,16.045059),-- [bonebreaker]
(20805,2048,1,1,1,919.958238),-- [bonebreaker_head]
(20805,187,1,1,1,16.045059),-- [atuba_hammer]
(20805,2049,1,1,1,919.958238),-- [atuba_hammer_head]
(20805,188,1,1,1,16.045059),-- [ghost_staff]
(20805,2050,1,1,1,975.452391),-- [ghost_staff_head]
(20805,189,1,1,1,16.045059),-- [life_stick]
(20805,2051,1,1,1,975.452391),-- [life_stick_shaft]
(20805,190,1,1,1,16.045059),-- [atuba_mace]
(20805,2058,1,1,1,919.953447),-- [atuba_mace_head]
(20805,1895,1,1,2,63578.441477),-- [metallic_fiber]
(20805,2305,1,1,2,971.716607),-- [rp_crystal_staff]
(20805,2205,1,1,2,7041.871309),-- [rp_chain_gaiters]
(20805,5164,1,1,2,741.729002),-- [rp_comp_bspiritshot_c]
(20805,6668,1,1,2,79473.241605),-- [key_of_treasure_box4]
(20806,2204,1,1,-1,42364),-- [rp_chain_mail_shirt]
(20806,2934,1,1,-1,242834),-- [plate_shield_fragment]
(20806,1805,1,1,-1,7131),-- [rp_soulshot_c]
(20806,57,846,1718,0,700000),-- [adena]
(20806,70,1,1,1,38.730464),-- [claymore]
(20806,2047,1,1,1,2361.242336),-- [claymore_blade]
(20806,2499,1,1,1,38.730464),-- [elven_long_sword]
(20806,2967,1,1,1,2329.296736),-- [elven_long_sword_blade]
(20806,1865,1,1,2,153470.305536),-- [varnish]
(20806,1870,1,1,2,153470.305536),-- [coal]
(20806,1879,1,1,2,25578.384256),-- [cokes]
(20806,1875,1,1,2,10231.282856),-- [stone_of_purity]
(20806,2999,1,1,2,10300.003864),-- [rp_plate_leather_gloves]
(20806,5159,1,1,2,511.511008),-- [rp_comp_spiritshot_c]
(20806,2300,1,1,2,670.206944),-- [rp_scythe]
(20807,2164,1,1,-1,172878),-- [rp_ring_of_protection]
(20807,1910,1,1,-1,169233),-- [aquastone_necklace_chain]
(20807,1908,1,1,-1,212824),-- [moonstone_earing_wire]
(20807,57,885,1813,0,700000),-- [adena]
(20807,439,1,1,1,182.50336),-- [karmian_tunic]
(20807,1962,1,1,1,8497.88197),-- [karmian_tunic_pattern]
(20807,471,1,1,1,291.67288),-- [karmian_hose]
(20807,1954,1,1,1,14117.94179),-- [karmian_hose_pattern]
(20807,1866,1,1,2,54469.790136),-- [suede]
(20807,1871,1,1,2,81704.603376),-- [charcoal]
(20807,5220,1,1,2,3268.21032),-- [reinforcing_agent]
(20807,1885,1,1,2,6808.744224),-- [high_grade_suede]
(20807,2221,1,1,2,2705.397336),-- [rp_rind_leather_gaiters]
(20807,737,1,1,2,8170.5258),-- [scroll_of_resurrection]
(20807,2225,1,1,2,1776.158568),-- [rp_demon's_hose]
(20807,2321,1,1,2,284.76144),-- [rp_stiletto]
(20807,2316,1,1,2,284.76144),-- [rp_katana]
(20807,8723,1,1,2,3268.21032),-- [general_46_c]
(20807,8733,1,1,2,816.970752),-- [special_46_c]
(20807,8743,1,1,2,81.664344),-- [rare_46_c]
(20807,8753,1,1,2,16.201944),-- [unique_46_c]
(20808,1954,1,1,-1,148174),-- [karmian_hose_pattern]
(20808,2163,1,1,-1,142201),-- [rp_earing_of_protection]
(20808,1908,1,1,-1,263934),-- [moonstone_earing_wire]
(20808,57,1102,2239,0,700000),-- [adena]
(20808,439,1,1,1,226.33104),-- [karmian_tunic]
(20808,1962,1,1,1,10538.624955),-- [karmian_tunic_pattern]
(20808,471,1,1,1,361.71732),-- [karmian_hose]
(20808,1954,1,1,1,17508.326685),-- [karmian_hose_pattern]
(20808,1894,1,1,2,4621.920054),-- [crafted_leather]
(20808,4039,1,1,2,4390.830931),-- [mold_glue]
(20808,4041,1,1,2,1145.401253),-- [mold_hardener]
(20808,4044,1,1,2,4390.830931),-- [thons]
(20808,2324,1,1,2,458.944787),-- [rp_noble_elven_bow]
(20808,6668,1,1,2,47044.695743),-- [key_of_treasure_box4]
(20808,8723,1,1,2,5269.024636),-- [general_46_c]
(20808,8733,1,1,2,1317.256159),-- [special_46_c]
(20808,8743,1,1,2,131.746255),-- [rare_46_c]
(20808,8753,1,1,2,26.349251),-- [unique_46_c]
(20809,4439,1,1,-1,340912),-- [avadon_shield_fragment]
(20809,4973,1,1,-1,53498),-- [rp_earing_of_black_ore_i]
(20809,4049,1,1,-1,259282),-- [adamantite_earing_gemstone]
(20809,57,1955,3974,0,700000),-- [adena]
(20809,357,1,1,1,22.8717),-- [shrnoen's_breastplate]
(20809,4056,1,1,1,3304.520158),-- [shrnoen's_breastplate_part]
(20809,2376,1,1,1,22.8717),-- [avadon_breastplate]
(20809,4064,1,1,1,3304.520158),-- [avadon_breastplate_part]
(20809,383,1,1,1,36.59472),-- [shrnoen's_gaiters]
(20809,4057,1,1,1,5106.99648),-- [shrnoen's_gaiters_material]
(20809,2379,1,1,1,36.59472),-- [avadon_gaiters]
(20809,4065,1,1,1,5107.030364),-- [avadon_gaiters_material]
(20809,1868,1,1,2,243358.145793),-- [thread]
(20809,1873,1,1,2,48671.757603),-- [silver_nugget]
(20809,5549,1,1,2,12167.859123),-- [iron_thread]
(20809,1889,1,1,2,8111.906082),-- [compound_braid]
(20809,4044,1,1,2,4055.953041),-- [thons]
(20809,4158,1,1,2,258.494355),-- [rp_doom_plate_armor]
(20809,4999,1,1,2,1513.396143),-- [rp_doom_boots_i]
(20809,4981,1,1,2,377.947647),-- [rp_blue_wolve's_breastplate_i]
(20809,8728,1,1,2,2028.137076),-- [general_61_b]
(20809,8738,1,1,2,507.034269),-- [special_61_b]
(20809,8748,1,1,2,50.735538),-- [rare_61_b]
(20809,8758,1,1,2,9.63333),-- [unique_61_b]
(20810,4109,1,1,-1,27849),-- [kris_edge]
(20810,4974,1,1,-1,80247),-- [rp_ring_of_black_ore_i]
(20810,947,1,1,-1,1977),-- [scrl_of_ench_wp_b]
(20810,57,1955,3974,0,700000),-- [adena]
(20810,91,1,1,1,10.92896),-- [heavy_war_axe]
(20810,4105,1,1,1,2088.70585),-- [heavy_war_axe_head]
(20810,92,1,1,1,10.92896),-- [sprite's_staff]
(20810,4106,1,1,1,2054.43623),-- [sprite's_staff_head]
(20810,1874,1,1,2,8849.375712),-- [oriharukon_ore]
(20810,1878,1,1,2,53096.577024),-- [braided_hemp]
(20810,1884,1,1,2,81687.078816),-- [cord]
(20810,1889,1,1,2,8849.375712),-- [compound_braid]
(20810,5220,1,1,2,5309.593152),-- [reinforcing_agent]
(20810,4159,1,1,2,376.00608),-- [rp_blue_wolve's_leather_mail]
(20810,8728,1,1,2,2212.303584),-- [general_61_b]
(20810,8738,1,1,2,553.035552),-- [special_61_b]
(20810,8748,1,1,2,55.351968),-- [rare_61_b]
(20810,8758,1,1,2,11.29632),-- [unique_61_b]
(20811,947,1,1,-1,2337),-- [scrl_of_ench_wp_b]
(20811,1875,1,1,-1,389481),-- [stone_of_purity]
(20811,4040,1,1,-1,116844),-- [mold_lubricant]
(20811,57,2315,4695,0,700000),-- [adena]
(20811,78,1,1,1,8.610736),-- [great_sword]
(20811,4104,1,1,1,1645.721392),-- [great_sword_blade]
(20811,142,1,1,1,8.610736),-- [kshanberk]
(20811,4107,1,1,1,1620.2232),-- [kshanberk_blade]
(20811,148,1,1,1,8.610736),-- [sword_of_valhalla]
(20811,4108,1,1,1,1620.2232),-- [sword_of_valhalla_blade]
(20811,1865,1,1,2,132746.29155),-- [varnish]
(20811,1870,1,1,2,132746.29155),-- [coal]
(20811,1879,1,1,2,22124.327562),-- [cokes]
(20811,1875,1,1,2,8849.861496),-- [stone_of_purity]
(20811,4040,1,1,2,2655.08892),-- [mold_lubricant]
(20811,4619,1,1,2,182.985858),-- [dye_i4m4_c]
(20811,4401,1,1,2,265.508892),-- [green_dimension_stone]
(20811,4167,1,1,2,1651.113036),-- [rp_blue_wolve's_boots]
(20811,6670,1,1,2,22124.327562),-- [key_of_treasure_box6]
(20811,8728,1,1,2,2212.465374),-- [general_61_b]
(20811,8738,1,1,2,553.197888),-- [special_61_b]
(20811,8748,1,1,2,55.45026),-- [rare_61_b]
(20811,8758,1,1,2,11.090052),-- [unique_61_b]
(20812,1875,1,1,-1,384494),-- [stone_of_purity]
(20812,4617,1,1,-1,7955),-- [dye_d4s4_c]
(20812,4613,1,1,-1,7955),-- [dye_s4c4_c]
(20812,57,2285,4635,0,700000),-- [adena]
(20812,284,1,1,1,25.50048),-- [dark_elven_long_bow]
(20812,4112,1,1,1,4822.49952),-- [dark_elven_long_bow_shaft]
(20812,1872,1,1,2,227147.342492),-- [animal_bone]
(20812,1867,1,1,2,227147.342492),-- [animal_skin]
(20812,1881,1,1,2,22714.931736),-- [coarse_bone_powder]
(20812,1875,1,1,2,11357.465868),-- [stone_of_purity]
(20812,4041,1,1,2,1481.151),-- [mold_hardener]
(20812,4620,1,1,2,235.009292),-- [dye_i4w4_c]
(20812,8728,1,1,2,2839.366467),-- [general_61_b]
(20812,8738,1,1,2,709.965046),-- [special_61_b]
(20812,8748,1,1,2,71.095248),-- [rare_61_b]
(20812,8758,1,1,2,13.330359),-- [unique_61_b]
(20813,4982,1,1,-1,26129),-- [rp_blue_wolve's_gaiters_i]
(20813,4052,1,1,-1,185940),-- [earing_of_black_ore_piece]
(20813,5230,1,1,-1,7003),-- [rp_mithril_arrow]
(20813,57,2083,4219,0,700000),-- [adena]
(20813,2398,1,1,1,20.885095),-- [blue_wolve's_tunic]
(20813,4084,1,1,1,3371.22768),-- [blue_wolve's_tunic_fabric]
(20813,2399,1,1,1,20.885095),-- [tunic_of_doom]
(20813,4085,1,1,1,3371.22768),-- [tunic_of_doom_pattern]
(20813,2403,1,1,1,33.44168),-- [blue_wolve's_hose]
(20813,4086,1,1,1,4551.92959),-- [blue_wolve's_hose_pattern]
(20813,2404,1,1,1,33.44168),-- [hose_of_doom]
(20813,4087,1,1,1,4551.9615),-- [hose_of_doom_pattern]
(20813,1872,1,1,2,206843.26846),-- [animal_bone]
(20813,1867,1,1,2,206843.26846),-- [animal_skin]
(20813,1881,1,1,2,20684.50668),-- [coarse_bone_powder]
(20813,1875,1,1,2,10342.25334),-- [stone_of_purity]
(20813,4041,1,1,2,1348.755),-- [mold_hardener]
(20813,4620,1,1,2,214.00246),-- [dye_i4w4_c]
(20813,8728,1,1,2,2585.563335),-- [general_61_b]
(20813,8738,1,1,2,646.50323),-- [special_61_b]
(20813,8748,1,1,2,64.74024),-- [rare_61_b]
(20813,8758,1,1,2,12.138795),-- [unique_61_b]
(20814,948,1,1,-1,15160),-- [scrl_of_ench_am_b]
(20814,4053,1,1,-1,259927),-- [ring_of_black_ore_gemstone]
(20814,5230,1,1,-1,8085),-- [rp_mithril_arrow]
(20814,57,2405,4872,0,700000),-- [adena]
(20814,601,1,1,1,72.368139),-- [doom_boots]
(20814,4099,1,1,1,10051.881861),-- [doom_boots_part]
(20814,2439,1,1,1,72.368139),-- [blue_wolve's_boots]
(20814,4090,1,1,1,10051.881861),-- [blue_wolve's_boots_design]
(20814,2475,1,1,1,72.368139),-- [doom_gloves]
(20814,4091,1,1,1,10051.881861),-- [doom_gloves_part]
(20814,2487,1,1,1,72.368139),-- [blue_wolve's_gloves]
(20814,4096,1,1,1,10051.881861),-- [blue_wolve's_gloves_fabric]
(20814,1871,1,1,2,162840.379804),-- [charcoal]
(20814,1866,1,1,2,108560.157567),-- [suede]
(20814,1877,1,1,2,6513.649621),-- [admantite_nugget]
(20814,4041,1,1,2,1415.886045),-- [mold_hardener]
(20814,4040,1,1,2,3256.681357),-- [mold_lubricant]
(20814,4975,1,1,2,1323.788898),-- [rp_necklace_of_black_ore_i]
(20814,5276,1,1,2,217.188599),-- [rp_adv_comp_spiritshot_a]
(20814,8729,1,1,2,2171.312176),-- [general_64_a]
(20814,8739,1,1,2,542.828044),-- [special_64_a]
(20814,8749,1,1,2,54.225423),-- [rare_64_a]
(20814,8759,1,1,2,10.902466),-- [unique_64_a]
(20815,4984,1,1,-1,21315),-- [rp_blue_wolve's_leather_mail_i]
(20815,4054,1,1,-1,148200),-- [necklace_of_black_ore_beads]
(20815,4052,1,1,-1,266388),-- [earing_of_black_ore_piece]
(20815,57,2984,6042,0,700000),-- [adena]
(20815,2391,1,1,1,36.831996),-- [blue_wolve's_leather_mail]
(20815,4082,1,1,1,6278.668004),-- [blue_wolve's_leather_mail_texture]
(20815,2392,1,1,1,36.831996),-- [leather_mail_of_doom]
(20815,4083,1,1,1,6278.668004),-- [leather_mail_of_doom_design]
(20815,1870,1,1,2,202046.298342),-- [coal]
(20815,1865,1,1,2,202046.298342),-- [varnish]
(20815,1874,1,1,2,13469.971767),-- [oriharukon_ore]
(20815,4043,1,1,2,6734.751729),-- [asofe]
(20815,4039,1,1,2,6734.751729),-- [mold_glue]
(20815,5000,1,1,2,154.073661),-- [rp_sword_of_damascus_i]
(20815,6670,1,1,2,33674.226954),-- [key_of_treasure_box6]
(20815,8729,1,1,2,2694.181677),-- [general_64_a]
(20815,8739,1,1,2,673.428342),-- [special_64_a]
(20815,8749,1,1,2,67.436496),-- [rare_64_a]
(20815,8759,1,1,2,13.580961),-- [unique_64_a]
(20816,947,1,1,-1,2511),-- [scrl_of_ench_wp_b]
(20816,4039,1,1,-1,209252),-- [mold_glue]
(20816,5230,1,1,-1,8370),-- [rp_mithril_arrow]
(20816,57,2490,5041,0,700000),-- [adena]
(20816,2391,1,1,1,30.731724),-- [blue_wolve's_leather_mail]
(20816,4082,1,1,1,5238.768276),-- [blue_wolve's_leather_mail_texture]
(20816,2392,1,1,1,30.731724),-- [leather_mail_of_doom]
(20816,4083,1,1,1,5238.768276),-- [leather_mail_of_doom_design]
(20816,1864,1,3,2,154524.632885),-- [stem]
(20816,1869,1,1,2,154524.632885),-- [iron_ore]
(20816,1878,1,1,2,61809.853154),-- [braided_hemp]
(20816,1884,1,1,2,95092.337207),-- [cord]
(20816,4039,1,1,2,5150.742034),-- [mold_glue]
(20816,5001,1,1,2,118.118877),-- [rp_lancia_i]
(20816,4402,1,1,2,308.816823),-- [blue_dimension_stone]
(20816,5276,1,1,2,205.877882),-- [rp_adv_comp_spiritshot_a]
(20816,8729,1,1,2,2060.201939),-- [general_64_a]
(20816,8739,1,1,2,515.169078),-- [special_64_a]
(20816,8749,1,1,2,51.706657),-- [rare_64_a]
(20816,8759,1,1,2,10.910579),-- [unique_64_a]
(20817,4040,1,1,-1,121827),-- [mold_lubricant]
(20817,4053,1,1,-1,261096),-- [ring_of_black_ore_gemstone]
(20817,5230,1,1,-1,8122),-- [rp_mithril_arrow]
(20817,57,2418,4891,0,700000),-- [adena]
(20817,268,1,1,1,17.829735),-- [bellion_cestus]
(20817,4120,1,1,1,3931.170265),-- [bellion_cestus_edge]
(20817,1865,1,1,2,163572.416002),-- [varnish]
(20817,1870,1,1,2,163572.416002),-- [coal]
(20817,1879,1,1,2,27262.006858),-- [cokes]
(20817,1875,1,1,2,10904.877714),-- [stone_of_purity]
(20817,4040,1,1,2,3271.350858),-- [mold_lubricant]
(20817,4174,1,1,2,3151.772432),-- [rp_shrnoen's_boots]
(20817,4402,1,1,2,327.247542),-- [blue_dimension_stone]
(20817,8729,1,1,2,2180.900572),-- [general_64_a]
(20817,8739,1,1,2,545.41257),-- [special_64_a]
(20817,8749,1,1,2,54.35383),-- [rare_64_a]
(20817,8759,1,1,2,11.24562),-- [unique_64_a]
(20818,4620,1,1,-1,8386),-- [dye_i4w4_c]
(20818,4105,1,1,-1,34790),-- [heavy_war_axe_head]
(20818,4077,1,1,-1,273487),-- [doom_shield_fragment]
(20818,57,2414,4882,0,700000),-- [adena]
(20818,287,1,1,1,17.79384),-- [hazard_bow]
(20818,4121,1,1,1,3910.20616),-- [hazard_bow_shaft]
(20818,1866,1,1,2,92093.780216),-- [suede]
(20818,1871,1,1,2,138140.670324),-- [charcoal]
(20818,5220,1,1,2,5525.636983),-- [reinforcing_agent]
(20818,1885,1,1,2,11511.722527),-- [high_grade_suede]
(20818,4041,1,1,2,1201.335975),-- [mold_hardener]
(20818,4958,1,1,2,2661.753719),-- [rp_shrnoen's_boots_i]
(20818,4401,1,1,2,276.370837),-- [green_dimension_stone]
(20818,5276,1,1,2,184.077724),-- [rp_adv_comp_spiritshot_a]
(20818,5416,1,1,2,298.236423),-- [rp_sealed_dark_crystal_breastplate_i]
(20818,8729,1,1,2,1841.794244),-- [general_64_a]
(20818,8739,1,1,2,460.448561),-- [special_64_a]
(20818,8749,1,1,2,46.019431),-- [rare_64_a]
(20818,8759,1,1,2,9.153036),-- [unique_64_a]
(20819,4053,1,1,-1,259498),-- [ring_of_black_ore_gemstone]
(20819,5230,1,1,-1,8072),-- [rp_mithril_arrow]
(20819,4078,1,1,-1,88433),-- [blue_wolve's_breastplate_part]
(20819,57,2399,4864,0,700000),-- [adena]
(20819,171,1,1,1,5.907392),-- [deadman's_glory]
(20819,4116,1,1,1,1302.240608),-- [deadman's_glory_stone]
(20819,175,1,1,1,5.907392),-- [art_of_battle_axe]
(20819,4117,1,1,1,1302.240608),-- [art_of_battle_axe_blade]
(20819,210,1,1,1,5.907392),-- [staff_of_evil_sprit]
(20819,4118,1,1,1,1233.796608),-- [staff_of_evil_sprit_head]
(20819,1874,1,1,2,9934.89608),-- [oriharukon_ore]
(20819,1878,1,1,2,59609.918088),-- [braided_hemp]
(20819,1884,1,1,2,91707.413528),-- [cord]
(20819,1889,1,1,2,9934.89608),-- [compound_braid]
(20819,5220,1,1,2,5960.937648),-- [reinforcing_agent]
(20819,4159,1,1,2,422.093168),-- [rp_blue_wolve's_leather_mail]
(20819,4402,1,1,2,298.064936),-- [blue_dimension_stone]
(20819,730,1,1,2,124.208768),-- [scrl_of_ench_am_a]
(20819,8729,1,1,2,1986.979216),-- [general_64_a]
(20819,8739,1,1,2,496.835072),-- [special_64_a]
(20819,8749,1,1,2,49.6474),-- [rare_64_a]
(20819,8759,1,1,2,10.110016),-- [unique_64_a]
(20820,4080,1,1,-1,214391),-- [blue_wolve's_gaiters_material]
(20820,5230,1,1,-1,13897),-- [rp_mithril_arrow]
(20820,4054,1,1,-1,205291),-- [necklace_of_black_ore_beads]
(20820,57,4130,8374,0,700000),-- [adena]
(20820,864,1,1,1,144.335385),-- [earing_of_black_ore]
(20820,4052,1,1,1,18165.45798),-- [earing_of_black_ore_piece]
(20820,926,1,1,1,108.264222),-- [necklace_of_black_ore]
(20820,4054,1,1,1,10106.0136),-- [necklace_of_black_ore_beads]
(20820,895,1,1,1,216.477711),-- [ring_of_black_ore]
(20820,4053,1,1,1,21992.451102),-- [ring_of_black_ore_gemstone]
(20820,1867,1,3,2,171038.026143),-- [animal_skin]
(20820,1872,1,3,2,114025.350762),-- [animal_bone]
(20820,1882,1,1,2,57012.675381),-- [leather]
(20820,1894,1,1,2,9002.077521),-- [crafted_leather]
(20820,4042,1,1,2,4275.887358),-- [enria]
(20820,4160,1,1,2,726.633201),-- [rp_leather_mail_of_doom]
(20820,5276,1,1,2,342.157794),-- [rp_adv_comp_spiritshot_a]
(20820,5424,1,1,2,887.584806),-- [rp_sealed_dark_crystal_gaiters_i]
(20820,8729,1,1,2,3420.854562),-- [general_64_a]
(20820,8739,1,1,2,855.032796),-- [special_64_a]
(20820,8749,1,1,2,85.358604),-- [rare_64_a]
(20820,8759,1,1,2,17.361072),-- [unique_64_a]
(20821,4084,1,1,-1,142125),-- [blue_wolve's_tunic_fabric]
(20821,4080,1,1,-1,168217),-- [blue_wolve's_gaiters_material]
(20821,1894,1,1,-1,286943),-- [crafted_leather]
(20821,57,3240,6570,0,700000),-- [adena]
(20821,97,1,1,1,23.935716),-- [lancia]
(20821,4115,1,1,1,5268.064284),-- [lancia_blade]
(20821,1867,1,3,2,146401.197624),-- [animal_skin]
(20821,1872,1,3,2,97600.695624),-- [animal_bone]
(20821,1882,1,1,2,48800.502),-- [leather]
(20821,1894,1,1,2,7705.391112),-- [crafted_leather]
(20821,4042,1,1,2,3660.114744),-- [enria]
(20821,4195,1,1,2,167.756544),-- [rp_art_of_battle_axe]
(20821,5276,1,1,2,292.648824),-- [rp_adv_comp_spiritshot_a]
(20821,8729,1,1,2,2928.03012),-- [general_64_a]
(20821,8739,1,1,2,732.084624),-- [special_64_a]
(20821,8749,1,1,2,73.085112),-- [rare_64_a]
(20821,8759,1,1,2,14.493672),-- [unique_64_a]
(20822,1894,1,1,-1,288329),-- [crafted_leather]
(20822,1889,1,1,-1,547825),-- [compound_braid]
(20822,4077,1,1,-1,369652),-- [doom_shield_fragment]
(20822,57,3255,6602,0,700000),-- [adena]
(20822,97,1,1,1,24.053314),-- [lancia]
(20822,4115,1,1,1,5293.946686),-- [lancia_blade]
(20822,1868,1,3,2,202273.626555),-- [thread]
(20822,1873,1,1,2,80909.450622),-- [silver_nugget]
(20822,5549,1,1,2,20227.181975),-- [iron_thread]
(20822,1889,1,1,2,13484.908437),-- [compound_braid]
(20822,4044,1,1,2,6742.273538),-- [thons]
(20822,4196,1,1,2,154.301147),-- [rp_staff_of_evil_sprit]
(20822,4402,1,1,2,404.72432),-- [blue_dimension_stone]
(20822,6670,1,1,2,33712.090412),-- [key_of_treasure_box6]
(20822,8729,1,1,2,2696.837143),-- [general_64_a]
(20822,8739,1,1,2,674.299626),-- [special_64_a]
(20822,8749,1,1,2,67.574507),-- [rare_64_a]
(20822,8759,1,1,2,13.731718),-- [unique_64_a]
(20823,4088,1,1,-1,343233),-- [blue_wolve's_helmet_design]
(20823,4089,1,1,-1,343233),-- [doom_helmet_pattern]
(20823,5416,1,1,-1,19615),-- [rp_sealed_dark_crystal_breastplate_i]
(20823,57,3580,7317,0,700000),-- [adena]
(20823,2398,1,1,1,36.11531),-- [blue_wolve's_tunic]
(20823,4084,1,1,1,5829.65664),-- [blue_wolve's_tunic_fabric]
(20823,2399,1,1,1,36.11531),-- [tunic_of_doom]
(20823,4085,1,1,1,5829.65664),-- [tunic_of_doom_pattern]
(20823,2403,1,1,1,57.82864),-- [blue_wolve's_hose]
(20823,4086,1,1,1,7871.37182),-- [blue_wolve's_hose_pattern]
(20823,2404,1,1,1,57.82864),-- [hose_of_doom]
(20823,4087,1,1,1,7871.427),-- [hose_of_doom_pattern]
(20823,1869,1,1,2,223555.158436),-- [iron_ore]
(20823,1864,1,3,2,223555.158436),-- [stem]
(20823,1880,1,1,2,22355.467452),-- [steel]
(20823,5550,1,1,2,2980.92256),-- [reinforcing_plate]
(20823,4043,1,1,2,7451.822484),-- [asofe]
(20823,4616,1,1,2,308.254492),-- [dye_c4c4_c]
(20823,4402,1,1,2,447.138384),-- [blue_dimension_stone]
(20823,8316,1,1,2,82.749636),-- [rp_dragon_flame_head_i]
(20823,8730,1,1,2,2483.940828),-- [general_67_a]
(20823,8740,1,1,2,620.864228),-- [special_67_a]
(20823,8750,1,1,2,61.941248),-- [rare_67_a]
(20823,8760,1,1,2,12.581816),-- [unique_67_a]
(20824,4081,1,1,-1,84768),-- [doom_plate_armor_temper]
(20824,5424,1,1,-1,29760),-- [rp_sealed_dark_crystal_gaiters_i]
(20824,4078,1,1,-1,125629),-- [blue_wolve's_breastplate_part]
(20824,57,3391,6929,0,700000),-- [adena]
(20824,864,1,1,1,119.10308),-- [earing_of_black_ore]
(20824,4052,1,1,1,14989.82384),-- [earing_of_black_ore_piece]
(20824,926,1,1,1,89.337776),-- [necklace_of_black_ore]
(20824,4054,1,1,1,8339.3088),-- [necklace_of_black_ore_beads]
(20824,895,1,1,1,178.633688),-- [ring_of_black_ore]
(20824,4053,1,1,1,18147.792816),-- [ring_of_black_ore_gemstone]
(20824,1870,1,1,2,211706.202438),-- [coal]
(20824,1865,1,1,2,211706.202438),-- [varnish]
(20824,1874,1,1,2,14113.931742),-- [oriharukon_ore]
(20824,4043,1,1,2,7056.73473),-- [asofe]
(20824,4039,1,1,2,7056.73473),-- [mold_glue]
(20824,4617,1,1,2,292.162224),-- [dye_d4s4_c]
(20824,5276,1,1,2,282.454302),-- [rp_adv_comp_spiritshot_a]
(20824,8730,1,1,2,2352.090816),-- [general_67_a]
(20824,8740,1,1,2,588.022704),-- [special_67_a]
(20824,8750,1,1,2,58.709814),-- [rare_67_a]
(20824,8760,1,1,2,11.55705),-- [unique_67_a]
(20824,6036,1,1,2,7057.197012),-- [potion_of_acumen3]
(20825,1876,1,3,-1,901136),-- [mithril_ore]
(20825,1807,1,1,-1,12015),-- [rp_soulshot_a]
(20825,57,3565,7246,0,700000),-- [adena]
(20825,5292,1,1,1,94.89672),-- [sealed_dark_crystal_shield]
(20825,5494,1,1,1,9316.508745),-- [sealed_dark_crystal_shield_fragment]
(20825,5289,1,1,1,66.404445),-- [sealed_dark_crystal_helmet]
(20825,5525,1,1,1,6857.404452),-- [sealed_dark_crystal_helmet_design]
(20825,5294,1,1,1,66.404445),-- [sealed_tallum_bonnet]
(20825,5526,1,1,1,6857.381193),-- [sealed_tallum_bonnet_design]
(20825,1871,1,1,2,241983.002954),-- [charcoal]
(20825,1866,1,1,2,161321.860029),-- [suede]
(20825,1877,1,1,2,9679.337151),-- [admantite_nugget]
(20825,4041,1,1,2,2104.407382),-- [mold_hardener]
(20825,4040,1,1,2,4839.455665),-- [mold_lubricant]
(20825,4975,1,1,2,1967.29302),-- [rp_necklace_of_black_ore_i]
(20825,4402,1,1,2,484.158477),-- [blue_dimension_stone]
(20825,8730,1,1,2,2688.633794),-- [general_67_a]
(20825,8740,1,1,2,672.371359),-- [special_67_a]
(20825,8750,1,1,2,67.279718),-- [rare_67_a]
(20825,8760,1,1,2,13.200451),-- [unique_67_a]
(20826,5478,1,1,-1,68984),-- [sealed_dark_crystal_leather_mail_pattern]
(20826,4041,1,1,-1,71335),-- [mold_hardener]
(20826,57,3245,6597,0,700000),-- [adena]
(20826,5287,1,1,1,22.675824),-- [sealed_dark_crystal_breastplate]
(20826,5520,1,1,1,2604.474288),-- [sealed_dark_crystal_breastplate_pattern]
(20826,5293,1,1,1,13.958928),-- [sealed_tallum_plate_armor]
(20826,5521,1,1,1,1837.820736),-- [sealed_tallum_plate_armor_pattern]
(20826,5288,1,1,1,36.286416),-- [sealed_dark_crystal_gaiters]
(20826,5524,1,1,1,3980.783808),-- [sealed_dark_crystal_gaiters_pattern]
(20826,1872,1,3,2,134622.2047),-- [animal_bone]
(20826,1867,1,1,2,269243.924205),-- [animal_skin]
(20826,1881,1,1,2,26924.44094),-- [coarse_bone_powder]
(20826,1875,1,1,2,13462.22047),-- [stone_of_purity]
(20826,4041,1,1,2,1755.920705),-- [mold_hardener]
(20826,4980,1,1,2,2389.585375),-- [rp_doom_shield_i]
(20826,3956,1,1,2,269.283225),-- [rp_blessed_spiritshot_a]
(20826,6670,1,1,2,33655.551175),-- [key_of_treasure_box6]
(20826,8730,1,1,2,2243.54168),-- [general_67_a]
(20826,8740,1,1,2,560.88542),-- [special_67_a]
(20826,8750,1,1,2,56.28262),-- [rare_67_a]
(20826,8760,1,1,2,11.159485),-- [unique_67_a]
(20827,4117,1,1,-1,43680),-- [art_of_battle_axe_blade]
(20827,4118,1,1,-1,41384),-- [staff_of_evil_sprit_head]
(20827,3035,1,1,-1,13328),-- [rp_spiritshot_a]
(20827,57,3956,8034,0,700000),-- [adena]
(20827,5297,1,1,1,36.849111),-- [sealed_dark_crystal_leather_mail]
(20827,5478,1,1,1,4137.935191),-- [sealed_dark_crystal_leather_mail_pattern]
(20827,5301,1,1,1,22.666917),-- [sealed_tallum_leather_mail]
(20827,5479,1,1,1,2911.735593),-- [sealed_tallum_leather_mail_pattern]
(20827,5298,1,1,1,58.928519),-- [sealed_legging_of_dark_crystal]
(20827,5482,1,1,1,6494.884669),-- [sealed_legging_of_dark_crystal_design]
(20827,1873,1,1,2,98421.399072),-- [silver_nugget]
(20827,1868,1,3,2,246053.972032),-- [thread]
(20827,1876,1,1,2,49210.699536),-- [mithril_ore]
(20827,1895,1,1,2,70300.863808),-- [metallic_fiber]
(20827,4042,1,1,2,4100.77304),-- [enria]
(20827,4990,1,1,2,2033.547024),-- [rp_blue_wolve's_helmet_i]
(20827,4402,1,1,2,491.903024),-- [blue_dimension_stone]
(20827,5420,1,1,2,239.073408),-- [rp_sealed_armor_of_nightmare_i]
(20827,8730,1,1,2,2734.164928),-- [general_67_a]
(20827,8740,1,1,2,683.541232),-- [special_67_a]
(20827,8750,1,1,2,68.306688),-- [rare_67_a]
(20827,8760,1,1,2,13.756208),-- [unique_67_a]
(20828,4120,1,1,-1,49809),-- [bellion_cestus_edge]
(20828,4121,1,1,-1,49642),-- [hazard_bow_shaft]
(20828,5479,1,1,-1,67447),-- [sealed_tallum_leather_mail_pattern]
(20828,57,4508,9172,0,700000),-- [adena]
(20828,5304,1,1,1,42.01926),-- [sealed_tallum_tunic]
(20828,5485,1,1,1,4718.51206),-- [sealed_tallum_tunic_texture]
(20828,5308,1,1,1,25.84722),-- [sealed_dark_crystal_robe]
(20828,5486,1,1,1,3320.26938),-- [sealed_dark_crystal_robe_fabric]
(20828,5305,1,1,1,67.19654),-- [sealed_tallum_hose]
(20828,5489,1,1,1,7406.15554),-- [sealed_tallum_hose_fabric]
(20828,1864,3,9,2,112232.24376),-- [stem]
(20828,1869,2,6,2,84174.084064),-- [iron_ore]
(20828,1878,1,1,2,134678.692512),-- [braided_hemp]
(20828,1884,2,6,2,41439.597696),-- [cord]
(20828,4039,1,1,2,11223.421888),-- [mold_glue]
(20828,4177,1,1,2,6487.479152),-- [rp_shrnoen's_gauntlet]
(20828,8730,1,1,2,3741.272304),-- [general_67_a]
(20828,8740,1,1,2,935.416832),-- [special_67_a]
(20828,8750,1,1,2,93.620688),-- [rare_67_a]
(20828,8760,1,1,2,18.171104),-- [unique_67_a]
(20829,1894,1,1,-1,428952),-- [crafted_leather]
(20829,5550,1,1,-1,163002),-- [reinforcing_plate]
(20829,5479,1,1,-1,72338),-- [sealed_tallum_leather_mail_pattern]
(20829,57,6033,12296,0,700000),-- [adena]
(20829,5287,1,1,1,42.242263),-- [sealed_dark_crystal_breastplate]
(20829,5520,1,1,1,4851.814331),-- [sealed_dark_crystal_breastplate_pattern]
(20829,5293,1,1,1,26.003761),-- [sealed_tallum_plate_armor]
(20829,5521,1,1,1,3423.633332),-- [sealed_tallum_plate_armor_pattern]
(20829,5288,1,1,1,67.597117),-- [sealed_dark_crystal_gaiters]
(20829,5524,1,1,1,7415.709196),-- [sealed_dark_crystal_gaiters_pattern]
(20829,1871,1,3,2,205177.152999),-- [charcoal]
(20829,1866,1,3,2,91189.972587),-- [suede]
(20829,1877,1,1,2,16414.370063),-- [admantite_nugget]
(20829,4041,1,1,2,3568.42402),-- [mold_hardener]
(20829,4040,1,1,2,8206.994817),-- [mold_lubricant]
(20829,4129,1,1,2,4441.128146),-- [rp_earing_of_black_ore]
(20829,6671,1,1,2,45594.796079),-- [key_of_treasure_box7]
(20829,8730,1,1,2,4559.441565),-- [general_67_a]
(20829,8740,1,1,2,1139.765284),-- [special_67_a]
(20829,8750,1,1,2,114.1287),-- [rare_67_a]
(20829,8760,1,1,2,22.82574),-- [unique_67_a]
(20832,5231,1,1,-1,77593),-- [rp_reinforcing_agent]
(20832,1902,1,1,-1,110061),-- [elven_earing_beads]
(20832,1825,1,1,-1,77593),-- [rp_oriharukon]
(20832,57,430,872,0,700000),-- [adena]
(20832,1125,1,1,1,120.896793),-- [assault_boots]
(20832,1957,1,1,1,5073.582429),-- [assault_boots_part]
(20832,2427,1,1,1,120.896793),-- [slamander_skin_boots]
(20832,2931,1,1,1,5073.582429),-- [slamander_skin_boots_lining]
(20832,2428,1,1,1,120.896793),-- [plate_boots]
(20832,2932,1,1,1,5073.582429),-- [plate_boots_design]
(20832,61,1,1,1,120.896793),-- [mithril_glove]
(20832,1949,1,1,1,5073.582429),-- [mithril_glove_design]
(20832,607,1,1,1,120.896793),-- [ogre_power_gauntlet]
(20832,1963,1,1,1,5073.582429),-- [ogre_power_gauntlet_part]
(20832,2451,1,1,1,120.896793),-- [sage's_worn_gloves]
(20832,2933,1,1,1,5073.707097),-- [sage's_worn_gloves_lining]
(20832,1865,1,1,2,77927.242414),-- [varnish]
(20832,1870,1,1,2,77927.242414),-- [coal]
(20832,1879,1,1,2,12987.844002),-- [cokes]
(20832,1875,1,1,2,5195.06624),-- [stone_of_purity]
(20832,2162,1,1,2,3764.639004),-- [rp_aquastone_necklace]
(20832,5159,1,1,2,259.753312),-- [rp_comp_spiritshot_c]
(20832,2312,1,1,2,340.212614),-- [rp_crystallized_ice_bow]
(20833,1874,1,1,-1,80465),-- [oriharukon_ore]
(20833,1875,1,1,-1,80465),-- [stone_of_purity]
(20833,1905,1,1,-1,117410),-- [onyxbeast'seye_earing_gemstone]
(20833,57,475,974,0,700000),-- [adena]
(20833,281,1,1,1,32.34978),-- [crystallized_ice_bow]
(20833,2074,1,1,1,2019.65022),-- [crystallized_ice_bow_shaft]
(20833,1872,1,1,2,69143.4744),-- [animal_bone]
(20833,1867,1,1,2,69143.4744),-- [animal_skin]
(20833,1881,1,1,2,6914.34744),-- [coarse_bone_powder]
(20833,1875,1,1,2,3457.17372),-- [stone_of_purity]
(20833,2209,1,1,2,3899.03976),-- [rp_eldarake]
(20833,2205,1,1,2,1641.01476),-- [rp_chain_gaiters]
(20833,2299,1,1,2,226.50936),-- [rp_big_hammer]
(20833,8723,1,1,2,2074.2414),-- [general_46_c]
(20833,8733,1,1,2,518.52108),-- [special_46_c]
(20833,8743,1,1,2,51.8364),-- [rare_46_c]
(20833,8753,1,1,2,10.36728),-- [unique_46_c]
(20834,1878,1,1,-1,714983),-- [braided_hemp]
(20834,1885,1,1,-1,148955),-- [high_grade_suede]
(20834,1805,1,1,-1,5958),-- [rp_soulshot_c]
(20834,57,720,1455,0,700000),-- [adena]
(20834,353,1,1,1,149.199147),-- [half_plate]
(20834,1950,1,1,1,7283.399643),-- [half_plate_temper]
(20834,380,1,1,1,238.722435),-- [plate_gaiters]
(20834,1951,1,1,1,11327.678775),-- [plate_gaiters_part]
(20834,1864,1,3,2,112197.458058),-- [stem]
(20834,1869,1,1,2,112197.458058),-- [iron_ore]
(20834,1878,1,1,2,44879.216118),-- [braided_hemp]
(20834,1884,1,1,2,69044.768724),-- [cord]
(20834,2306,1,1,2,489.855396),-- [rp_stick_of_faith]
(20834,5274,1,1,2,374.184312),-- [rp_adv_comp_spiritshot_c]
(20834,2996,1,1,2,8904.732678),-- [rp_chain_gloves]
(20834,6668,1,1,2,40070.326656),-- [key_of_treasure_box4]
(20835,1871,1,3,-1,495145),-- [charcoal]
(20835,1879,1,1,-1,165048),-- [cokes]
(20835,1906,1,1,-1,136122),-- [mithril_ring_wire]
(20835,57,392,796,0,700000),-- [adena]
(20835,439,1,1,1,80.415296),-- [karmian_tunic]
(20835,1962,1,1,1,3744.367742),-- [karmian_tunic_pattern]
(20835,471,1,1,1,128.517968),-- [karmian_hose]
(20835,1954,1,1,1,6220.698994),-- [karmian_hose_pattern]
(20835,1865,1,1,2,33430.627448),-- [varnish]
(20835,1870,1,1,2,33430.627448),-- [coal]
(20835,1879,1,1,2,5571.743839),-- [cokes]
(20835,1875,1,1,2,2228.713977),-- [stone_of_purity]
(20835,4040,1,1,2,668.589531),-- [mold_lubricant]
(20835,3000,1,1,2,2142.972076),-- [rp_dwarven_chain_shield]
(20835,2303,1,1,2,145.999632),-- [rp_skull_graver]
(20835,2990,1,1,2,2653.230925),-- [rp_chain_boots]
(20835,3033,1,1,2,111.472692),-- [rp_spiritshot_c]
(20835,3954,1,1,2,111.472692),-- [rp_blessed_spiritshot_c]
(20835,8723,1,1,2,1337.261269),-- [general_46_c]
(20835,8733,1,1,2,334.335869),-- [special_46_c]
(20835,8743,1,1,2,33.458249),-- [rare_46_c]
(20835,8753,1,1,2,6.494353),-- [unique_46_c]
(20836,1874,1,1,-1,139288),-- [oriharukon_ore]
(20836,1875,1,1,-1,139288),-- [stone_of_purity]
(20836,57,822,1686,0,700000),-- [adena]
(20836,96,1,1,1,18.669784),-- [scythe]
(20836,2062,1,1,1,1290.66224),-- [scythe_edge]
(20836,298,1,1,1,18.669784),-- [orcish_glaive]
(20836,2075,1,1,1,1290.66224),-- [orcish_glaive_blade]
(20836,302,1,1,1,18.669784),-- [body_slasher]
(20836,2076,1,1,1,1290.666168),-- [body_slasher_blade]
(20836,1872,1,1,2,131658.865024),-- [animal_bone]
(20836,1867,1,1,2,131658.865024),-- [animal_skin]
(20836,1881,1,1,2,13166.008472),-- [coarse_bone_powder]
(20836,1875,1,1,2,6583.004236),-- [stone_of_purity]
(20836,2251,1,1,2,16457.358128),-- [rp_fine_steel_arrow]
(20836,2319,1,1,2,343.954272),-- [rp_raid_sword]
(20836,8723,1,1,2,3949.680572),-- [general_46_c]
(20836,8733,1,1,2,987.343912),-- [special_46_c]
(20836,8743,1,1,2,98.795376),-- [rare_46_c]
(20836,8753,1,1,2,20.124984),-- [unique_46_c]
(20837,2214,1,1,-1,50878),-- [rp_dwarven_chain_gaiters]
(20837,1960,1,1,-1,112350),-- [chain_gaiters_part]
(20837,1895,1,1,-1,585827),-- [metallic_fiber]
(20837,57,811,1647,0,700000),-- [adena]
(20837,62,1,1,1,110.887439),-- [mithril_boots]
(20837,1958,1,1,1,4839.218722),-- [mithril_boots_design]
(20837,2429,1,1,1,110.887439),-- [chain_boots]
(20837,2937,1,1,1,4839.218722),-- [chain_boots_part]
(20837,2430,1,1,1,110.887439),-- [karmian_boots]
(20837,2938,1,1,1,4839.218722),-- [karmian_boots_fabric]
(20837,2431,1,1,1,110.887439),-- [plate_leather_boots]
(20837,2939,1,1,1,4839.218722),-- [plate_leather_boots_lining]
(20837,2432,1,1,1,110.887439),-- [dwarven_chain_boots]
(20837,2940,1,1,1,4839.218722),-- [dwarven_chain_boots_part]
(20837,2433,1,1,1,110.887439),-- [boots_of_seal]
(20837,2941,1,1,1,4839.218722),-- [boots_of_seal_pattern]
(20837,2452,1,1,1,110.887439),-- [reinforce_mithril_gloves]
(20837,2942,1,1,1,4839.218722),-- [reinforce_mithril_gloves_design]
(20837,2453,1,1,1,110.887439),-- [chain_gloves]
(20837,2943,1,1,1,4839.218722),-- [chain_gloves_design]
(20837,2454,1,1,1,110.887439),-- [karmian_gloves]
(20837,2944,1,1,1,4839.263273),-- [karmian_gloves_fabric]
(20837,1873,1,1,2,35238.148158),-- [silver_nugget]
(20837,1868,1,1,2,176190.74079),-- [thread]
(20837,1876,1,1,2,17619.074079),-- [mithril_ore]
(20837,1895,1,1,2,25170.180804),-- [metallic_fiber]
(20837,4042,1,1,2,1468.234305),-- [enria]
(20837,2225,1,1,2,1915.133862),-- [rp_demon's_hose]
(20837,2321,1,1,2,307.03023),-- [rp_stiletto]
(20837,8723,1,1,2,3523.762332),-- [general_46_c]
(20837,8733,1,1,2,880.940583),-- [special_46_c]
(20837,8743,1,1,2,88.172784),-- [rare_46_c]
(20837,8753,1,1,2,17.582073),-- [unique_46_c]
(20838,2216,1,1,-1,79419),-- [rp_great_helmet]
(20838,1964,1,1,-1,155308),-- [eldarake_temper]
(20838,1866,1,3,-1,640646),-- [suede]
(20838,57,760,1544,0,700000),-- [adena]
(20838,852,1,1,1,253.796192),-- [moonstone_earing]
(20838,1908,1,1,1,14336.96992),-- [moonstone_earing_wire]
(20838,915,1,1,1,190.429408),-- [aquastone_necklace]
(20838,1910,1,1,1,11400.474176),-- [aquastone_necklace_chain]
(20838,883,1,1,1,380.858816),-- [aquastone_ring]
(20838,1909,1,1,1,20445.471488),-- [aquastone_ring_wire]
(20838,1866,1,1,2,60555.95695),-- [suede]
(20838,1871,1,1,2,90833.935425),-- [charcoal]
(20838,5220,1,1,2,3633.281),-- [reinforcing_agent]
(20838,1885,1,1,2,7569.4512),-- [high_grade_suede]
(20838,4041,1,1,2,789.8739),-- [mold_hardener]
(20838,3004,1,1,2,5641.832375),-- [rp_rind_leather_gloves]
(20838,8723,1,1,2,3633.281),-- [general_46_c]
(20838,8733,1,1,2,908.32025),-- [special_46_c]
(20838,8743,1,1,2,90.832025),-- [rare_46_c]
(20838,8753,1,1,2,18.235875),-- [unique_46_c]
(20839,2320,1,1,-1,4006),-- [rp_cursed_staff]
(20839,2066,1,1,-1,9017),-- [heavy_doom_hammer_head]
(20839,1908,1,1,-1,108867),-- [moonstone_earing_wire]
(20839,57,453,926,0,700000),-- [adena]
(20839,631,1,1,1,177.5616),-- [eldarake]
(20839,1964,1,1,1,7317.30048),-- [eldarake_temper]
(20839,2495,1,1,1,177.5616),-- [chain_shield]
(20839,2945,1,1,1,7317.30048),-- [chain_shield_fragment]
(20839,2413,1,1,1,124.29312),-- [chain_hood]
(20839,2936,1,1,1,6645.98272),-- [chain_hood_pattern]
(20839,1867,1,1,2,60370.846201),-- [animal_skin]
(20839,1872,1,1,2,60370.846201),-- [animal_bone]
(20839,1882,1,1,2,10061.782255),-- [leather]
(20839,1894,1,1,2,1588.694426),-- [crafted_leather]
(20839,4042,1,1,2,754.652753),-- [enria]
(20839,2230,1,1,2,877.552908),-- [rp_theca_leather_gaiters]
(20839,2326,1,1,2,157.709143),-- [rp_horn_of_glory]
(20839,6668,1,1,2,16170.759649),-- [key_of_treasure_box4]
(20839,8723,1,1,2,1811.136073),-- [general_46_c]
(20839,8733,1,1,2,452.822186),-- [special_46_c]
(20839,8743,1,1,2,45.343287),-- [rare_46_c]
(20839,8753,1,1,2,8.854918),-- [unique_46_c]
(20840,2328,1,1,-1,2759),-- [rp_sword_of_delusion]
(20840,1967,1,1,-1,64698),-- [plate_leather_gaiters_material]
(20840,2166,1,1,-1,40211),-- [rp_earing_of_binding]
(20840,57,468,955,0,700000),-- [adena]
(20840,227,1,1,1,11.89263),-- [stiletto]
(20840,2083,1,1,1,873.10737),-- [stiletto_edge]
(20840,242,1,1,1,11.89263),-- [dagger_of_magicflame]
(20840,2084,1,1,1,873.10737),-- [dagger_of_magicflame_blade]
(20840,1868,1,1,2,95562.358226),-- [thread]
(20840,1873,1,1,2,19112.446148),-- [silver_nugget]
(20840,5549,1,1,2,4778.17528),-- [iron_thread]
(20840,1889,1,1,2,3185.365196),-- [compound_braid]
(20840,4044,1,1,2,1592.682598),-- [thons]
(20840,2229,1,1,2,579.168898),-- [rp_theca_leather_mail]
(20840,952,1,1,2,637.047542),-- [scrl_of_ench_am_c]
(20840,8724,1,1,2,1592.682598),-- [general_49_c]
(20840,8734,1,1,2,398.138778),-- [special_49_c]
(20840,8744,1,1,2,39.775632),-- [rare_49_c]
(20840,8754,1,1,2,8.159104),-- [unique_49_c]
(20841,4438,1,1,-1,8698),-- [knuckle_dust_edge]
(20841,951,1,1,-1,2217),-- [scrl_of_ench_wp_c]
(20841,1911,1,1,-1,90711),-- [earing_of_protection_gemstone]
(20841,57,482,980,0,700000),-- [adena]
(20841,282,1,1,1,12.229558),-- [elemental_bow]
(20841,2085,1,1,1,934.770442),-- [elemental_bow_shaft]
(20841,285,1,1,1,12.229558),-- [noble_elven_bow]
(20841,2086,1,1,1,934.770442),-- [noble_elven_bow_shaft]
(20841,1869,1,1,2,45031.6002),-- [iron_ore]
(20841,1864,1,1,2,90063.05598),-- [stem]
(20841,1880,1,1,2,4503.16002),-- [steel]
(20841,5550,1,1,2,600.35394),-- [reinforcing_plate]
(20841,4043,1,1,2,1501.10148),-- [asofe]
(20841,2348,1,1,2,104.7045),-- [rp_heathen's_book]
(20841,2351,1,1,2,94.16184),-- [rp_scorpion]
(20841,952,1,1,2,600.35394),-- [scrl_of_ench_am_c]
(20841,8724,1,1,2,1501.10148),-- [general_49_c]
(20841,8734,1,1,2,375.20316),-- [special_49_c]
(20841,8744,1,1,2,37.5492),-- [rare_49_c]
(20841,8754,1,1,2,7.65426),-- [unique_49_c]
(20842,2335,1,1,-1,2707),-- [rp_war_axe]
(20842,1976,1,1,-1,70772),-- [rind_leather_gaiters_material]
(20842,2167,1,1,-1,59380),-- [rp_ring_of_ages]
(20842,57,459,937,0,700000),-- [adena]
(20842,853,1,1,1,114.213622),-- [earing_of_protection]
(20842,1911,1,1,1,6392.9024),-- [earing_of_protection_gemstone]
(20842,916,1,1,1,85.692096),-- [necklace_of_protection]
(20842,1913,1,1,1,5226.665278),-- [necklace_of_protection_gemstone]
(20842,884,1,1,1,171.384192),-- [ring_of_protection]
(20842,1912,1,1,1,9262.142412),-- [ring_of_protection_gemstone]
(20842,1870,1,1,2,51567.29048),-- [coal]
(20842,1865,1,1,2,51567.29048),-- [varnish]
(20842,1874,1,1,2,3437.856998),-- [oriharukon_ore]
(20842,4043,1,1,2,1718.87205),-- [asofe]
(20842,4039,1,1,2,1718.87205),-- [mold_glue]
(20842,952,1,1,2,687.54882),-- [scrl_of_ench_am_c]
(20842,8724,1,1,2,1718.87205),-- [general_49_c]
(20842,8734,1,1,2,429.689788),-- [special_49_c]
(20842,8744,1,1,2,43.014138),-- [rare_49_c]
(20842,8754,1,1,2,8.693146),-- [unique_49_c]
(20843,4601,1,1,-1,3273),-- [dye_s3c3_c]
(20843,1539,1,1,-1,327301),-- [greater_healing_potion]
(20843,1914,1,1,-1,82745),-- [earing_of_binding_gemstone]
(20843,57,583,1184,0,700000),-- [adena]
(20843,283,1,1,1,18.43368),-- [akat_long_bow]
(20843,2109,1,1,1,1707.56632),-- [akat_long_bow_shaft]
(20843,1871,1,1,2,50756.73014),-- [charcoal]
(20843,1866,1,1,2,33837.75913),-- [suede]
(20843,1877,1,1,2,2030.26189),-- [admantite_nugget]
(20843,4041,1,1,2,441.405015),-- [mold_hardener]
(20843,4040,1,1,2,1015.130945),-- [mold_lubricant]
(20843,2357,1,1,2,82.757725),-- [rp_crystal_dagger]
(20843,3014,1,1,2,1417.76328),-- [rp_full_plate_boots]
(20843,4188,1,1,2,58.433355),-- [rp_hell_knife]
(20843,8725,1,1,2,1409.89901),-- [general_52_c]
(20843,8735,1,1,2,352.520475),-- [special_52_c]
(20843,8745,1,1,2,35.206325),-- [rare_52_c]
(20843,8755,1,1,2,7.13271),-- [unique_52_c]
(20844,4603,1,1,-1,2922),-- [dye_c3s3_c]
(20844,1539,1,1,-1,292227),-- [greater_healing_potion]
(20844,4041,1,1,-1,11435),-- [mold_hardener]
(20844,57,521,1058,0,700000),-- [adena]
(20844,854,1,1,1,79.994376),-- [earing_of_binding]
(20844,1914,1,1,1,5091.23888),-- [earing_of_binding_gemstone]
(20844,917,1,1,1,60.00008),-- [necklace_of_mermaid]
(20844,1916,1,1,1,3856.33752),-- [necklace_of_mermaid_teardrop]
(20844,885,1,1,1,119.948584),-- [ring_of_ages]
(20844,1915,1,1,1,7984.48056),-- [ring_of_ages_gemstone]
(20844,1872,1,1,2,60423.448572),-- [animal_bone]
(20844,1867,1,1,2,60423.448572),-- [animal_skin]
(20844,1881,1,1,2,6042.318419),-- [coarse_bone_powder]
(20844,1875,1,1,2,3021.225305),-- [stone_of_purity]
(20844,4041,1,1,2,394.061371),-- [mold_hardener]
(20844,4601,1,1,2,100.729542),-- [dye_s3c3_c]
(20844,4609,1,1,2,100.729542),-- [dye_m3i3_c]
(20844,2355,1,1,2,73.894769),-- [rp_ghoul's_staff]
(20844,8725,1,1,2,1258.854893),-- [general_52_c]
(20844,8735,1,1,2,314.746771),-- [special_52_c]
(20844,8745,1,1,2,31.461458),-- [rare_52_c]
(20844,8755,1,1,2,6.080786),-- [unique_52_c]
(20845,2100,1,1,-1,10102),-- [paradia_staff_head]
(20845,2354,1,1,-1,2923),-- [rp_deadman's_staff]
(20845,4042,1,1,-1,29868),-- [enria]
(20845,57,712,1439,0,700000),-- [adena]
(20845,75,1,1,1,3.738902),-- [caliburs]
(20845,2089,1,1,1,336.595112),-- [caliburs_edge]
(20845,76,1,1,1,3.738902),-- [sword_of_delusion]
(20845,2090,1,1,1,336.595112),-- [sword_of_delusion_blade]
(20845,77,1,1,1,3.738902),-- [tsurugi]
(20845,2091,1,1,1,336.595112),-- [tsurugi_blade]
(20845,84,1,1,1,3.738902),-- [homunkulus's_sword]
(20845,2092,1,1,1,336.595112),-- [homunkulus's_sword_blade]
(20845,134,1,1,1,3.738902),-- [sword_of_nightmare]
(20845,2095,1,1,1,336.595112),-- [sword_of_nightmare_blade]
(20845,145,1,1,1,3.738902),-- [deathbreath_sword]
(20845,2096,1,1,1,336.591028),-- [deathbreath_sword_blade]
(20845,1873,1,1,2,21173.94517),-- [silver_nugget]
(20845,1868,1,1,2,105869.38383),-- [thread]
(20845,1876,1,1,2,10586.88708),-- [mithril_ore]
(20845,1895,1,1,2,15124.1244),-- [metallic_fiber]
(20845,4042,1,1,2,882.24059),-- [enria]
(20845,4608,1,1,2,117.65488),-- [dye_i3w3_c]
(20845,3017,1,1,2,1478.55246),-- [rp_blessed_gloves]
(20845,5155,1,1,2,105.85519),-- [rp_comp_soulshot_b]
(20845,6669,1,1,2,12310.32586),-- [key_of_treasure_box5]
(20845,8725,1,1,2,1470.34398),-- [general_52_c]
(20845,8735,1,1,2,367.6715),-- [special_52_c]
(20845,8745,1,1,2,36.76715),-- [rare_52_c]
(20845,8755,1,1,2,7.69545),-- [unique_52_c]
(20846,2955,1,1,-1,100037),-- [theca_leather_gloves_texture]
(20846,4042,1,1,-1,26343),-- [enria]
(20846,1918,1,1,-1,68453),-- [nassen's_earing_gemstone]
(20846,57,626,1271,0,700000),-- [adena]
(20846,400,1,1,1,30.636222),-- [theca_leather_mail]
(20846,1984,1,1,1,2084.968227),-- [theca_leather_mail_pattern]
(20846,401,1,1,1,14.504139),-- [drake_leather_mail]
(20846,1987,1,1,1,1483.927092),-- [drake_leather_mail_texture]
(20846,420,1,1,1,49.034796),-- [theca_leather_gaiters]
(20846,1985,1,1,1,3353.929524),-- [theca_leather_gaiters_pattern]
(20846,1870,1,1,2,48633.326469),-- [coal]
(20846,1865,1,1,2,48633.326469),-- [varnish]
(20846,1874,1,1,2,3242.243112),-- [oriharukon_ore]
(20846,4043,1,1,2,1621.121556),-- [asofe]
(20846,4039,1,1,2,1621.121556),-- [mold_glue]
(20846,4133,1,1,2,233.860767),-- [rp_shrnoen's_breastplate]
(20846,4959,1,1,2,937.044123),-- [rp_avadon_boots_i]
(20846,4941,1,1,2,374.113185),-- [rp_shrnoen's_gaiters_i]
(20846,8726,1,1,2,1125.755139),-- [general_55_c]
(20846,8736,1,1,2,281.465469),-- [special_55_c]
(20846,8746,1,1,2,28.178568),-- [rare_55_c]
(20846,8756,1,1,2,5.443587),-- [unique_55_c]
(20847,1985,1,1,-1,52100),-- [theca_leather_gaiters_pattern]
(20847,4937,1,1,-1,24933),-- [rp_adamantite_earing_i]
(20847,1806,1,1,-1,3022),-- [rp_soulshot_b]
(20847,57,597,1215,0,700000),-- [adena]
(20847,2436,1,1,1,37.663092),-- [theca_leather_boots]
(20847,2954,1,1,1,2522.47632),-- [theca_leather_boots_texture]
(20847,2437,1,1,1,28.976568),-- [drake_leather_boots]
(20847,2960,1,1,1,2170.164444),-- [drake_leather_boots_design]
(20847,2438,1,1,1,28.976568),-- [full_plate_boots]
(20847,2961,1,1,1,2170.164444),-- [full_plate_boots_part]
(20847,2460,1,1,1,37.663092),-- [theca_leather_gloves]
(20847,2955,1,1,1,2522.47632),-- [theca_leather_gloves_texture]
(20847,2461,1,1,1,28.976568),-- [drake_leather_gloves]
(20847,2962,1,1,1,2170.164444),-- [drake_leather_gloves_design]
(20847,2462,1,1,1,28.976568),-- [full_plate_gauntlet]
(20847,2963,1,1,1,2170.164444),-- [full_plate_gauntlet_part]
(20847,2463,1,1,1,28.976568),-- [blessed_gloves]
(20847,2964,1,1,1,2170.18056),-- [blessed_gloves_pattern]
(20847,1864,1,1,2,92979.551623),-- [stem]
(20847,1869,1,1,2,46489.680511),-- [iron_ore]
(20847,1878,1,1,2,18595.986565),-- [braided_hemp]
(20847,1884,1,1,2,28609.019499),-- [cord]
(20847,4039,1,1,2,1549.58613),-- [mold_glue]
(20847,4178,1,1,2,852.939475),-- [rp_shrnoen's_shield]
(20847,4184,1,1,2,53.558881),-- [rp_sprite's_staff]
(20847,5160,1,1,2,93.013288),-- [rp_comp_spiritshot_b]
(20847,8726,1,1,2,1076.133246),-- [general_55_c]
(20847,8736,1,1,2,269.128612),-- [special_55_c]
(20847,8746,1,1,2,26.874741),-- [rare_55_c]
(20847,8756,1,1,2,5.527429),-- [unique_55_c]
(20848,1895,1,1,-1,555409),-- [metallic_fiber]
(20848,1871,1,5,-1,647978),-- [charcoal]
(20848,1908,1,1,-1,184085),-- [moonstone_earing_wire]
(20848,57,766,1566,0,700000),-- [adena]
(20848,96,1,1,1,17.372215),-- [scythe]
(20848,2062,1,1,1,1200.9599),-- [scythe_edge]
(20848,298,1,1,1,17.372215),-- [orcish_glaive]
(20848,2075,1,1,1,1200.9599),-- [orcish_glaive_blade]
(20848,302,1,1,1,17.372215),-- [body_slasher]
(20848,2076,1,1,1,1200.963555),-- [body_slasher_blade]
(20848,1864,1,3,2,91873.219761),-- [stem]
(20848,1865,1,1,2,91873.219761),-- [varnish]
(20848,1866,1,1,2,61248.813174),-- [suede]
(20848,1873,1,1,2,36749.097),-- [silver_nugget]
(20848,1868,1,1,2,183745.962261),-- [thread]
(20848,2164,1,1,2,7067.280888),-- [rp_ring_of_protection]
(20848,8723,1,1,2,3674.9097),-- [general_46_c]
(20848,8733,1,1,2,918.727425),-- [special_46_c]
(20848,8743,1,1,2,92.111373),-- [rare_46_c]
(20848,8753,1,1,2,17.658657),-- [unique_46_c]
(20849,4469,1,1,-1,8784),-- [dye_s1c1_d]
(20849,1956,1,1,-1,174488),-- [square_shield_fragment]
(20849,1805,1,1,-1,5124),-- [rp_soulshot_c]
(20849,57,623,1246,0,700000),-- [adena]
(20849,438,1,1,1,210.560031),-- [sage's_rag]
(20849,1953,1,1,1,12362.439969),-- [sage's_rag_lining]
(20849,1869,1,1,2,85770.187359),-- [iron_ore]
(20849,1870,1,1,2,85770.187359),-- [coal]
(20849,1871,1,1,2,85770.187359),-- [charcoal]
(20849,1872,1,1,2,114360.413559),-- [animal_bone]
(20849,1867,1,1,2,114360.413559),-- [animal_skin]
(20849,2211,1,1,2,1923.208515),-- [rp_plate_leather]
(20849,2205,1,1,2,2714.106525),-- [rp_chain_gaiters]
(20849,5274,1,1,2,285.902262),-- [rp_adv_comp_spiritshot_c]
(20849,5279,1,1,2,286.393503),-- [rp_adv_comp_bspiritshot_c]
(20859,5479,1,1,-1,99083),-- [sealed_tallum_leather_mail_pattern]
(20859,3035,1,1,-1,22327),-- [rp_spiritshot_a]
(20859,57,8257,16860,0,700000),-- [adena]
(20859,5287,1,1,1,57.858582),-- [sealed_dark_crystal_breastplate]
(20859,5520,1,1,1,6645.455934),-- [sealed_dark_crystal_breastplate_pattern]
(20859,5293,1,1,1,35.616954),-- [sealed_tallum_plate_armor]
(20859,5521,1,1,1,4689.298248),-- [sealed_tallum_plate_armor_pattern]
(20859,5288,1,1,1,92.586738),-- [sealed_dark_crystal_gaiters]
(20859,5524,1,1,1,10157.183544),-- [sealed_dark_crystal_gaiters_pattern]
(20859,1872,4,12,2,103046.67411),-- [animal_bone]
(20859,1867,7,21,2,54958.3053),-- [animal_skin]
(20859,1881,1,1,2,82437.45795),-- [coarse_bone_powder]
(20859,1875,1,1,2,41218.728975),-- [stone_of_purity]
(20859,4041,1,1,2,5376.278565),-- [mold_hardener]
(20859,3035,1,1,2,824.404245),-- [rp_spiritshot_a]
(20859,8730,1,1,2,6869.639835),-- [general_67_a]
(20859,8740,1,1,2,1717.335795),-- [special_67_a]
(20859,8750,1,1,2,171.763245),-- [rare_67_a]
(20859,8760,1,1,2,34.41198),-- [unique_67_a]
(20860,5482,1,1,-1,310640),-- [sealed_legging_of_dark_crystal_design]
(20860,5156,1,1,-1,31381),-- [rp_comp_soulshot_a]
(20860,5485,1,1,-1,197912),-- [sealed_tallum_tunic_texture]
(20860,57,11622,23663,0,700000),-- [adena]
(20860,5287,1,1,1,81.321761),-- [sealed_dark_crystal_breastplate]
(20860,5520,1,1,1,9340.363357),-- [sealed_dark_crystal_breastplate_pattern]
(20860,5293,1,1,1,50.060567),-- [sealed_tallum_plate_armor]
(20860,5521,1,1,1,6590.932204),-- [sealed_tallum_plate_armor_pattern]
(20860,5288,1,1,1,130.133099),-- [sealed_dark_crystal_gaiters]
(20860,5524,1,1,1,14276.189012),-- [sealed_dark_crystal_gaiters_pattern]
(20860,1873,2,6,2,86900.8238),-- [silver_nugget]
(20860,1868,15,45,2,57934.13984),-- [thread]
(20860,1876,1,1,2,173802.03356),-- [mithril_ore]
(20860,1895,3,9,2,41381.47332),-- [metallic_fiber]
(20860,4042,1,1,2,14483.53496),-- [enria]
(20860,5271,1,1,2,1158.65192),-- [rp_adv_comp_soulshot_a]
(20860,8731,1,1,2,8046.49408),-- [general_70_a]
(20860,8741,1,1,2,2011.62352),-- [special_70_a]
(20860,8751,1,1,2,201.08516),-- [rare_70_a]
(20860,8761,1,1,2,40.13984),-- [unique_70_a]
(20919,1865,1,1,-1,121597),-- [varnish]
(20919,734,1,1,-1,20266),-- [quick_step_potion]
(20919,5220,1,1,-1,4864),-- [reinforcing_agent]
(20919,57,56,98,0,700000),-- [adena]
(20919,24,1,1,1,230.2898),-- [bone_breastplate]
(20919,390,1,1,1,230.2898),-- [tights_shirt]
(20919,31,1,1,1,367.7102),-- [bone_gaiters]
(20919,412,1,1,1,367.7102),-- [tights_pants]
(20919,1872,1,1,2,23945.309388),-- [animal_bone]
(20919,1867,1,1,2,23945.309388),-- [animal_skin]
(20919,1881,1,1,2,2394.509388),-- [coarse_bone_powder]
(20919,2141,1,1,2,3591.871836),-- [rp_silver_mold]
(20920,2014,1,1,-1,3010),-- [iron_hammer_head]
(20920,5163,1,1,-1,10474),-- [rp_comp_bspiritshot_d]
(20920,1898,1,1,-1,26897),-- [blue_diamond_necklace_gem]
(20920,57,119,213,0,700000),-- [adena]
(20920,273,1,1,1,82.310514),-- [composition_bow]
(20920,2016,1,1,1,906.689486),-- [composition_bow_shaft]
(20920,1865,1,1,2,25780.999642),-- [varnish]
(20920,1870,1,1,2,25780.999642),-- [coal]
(20920,1879,1,1,2,4296.775744),-- [cokes]
(20920,1060,1,1,2,57290.91855),-- [lesser_healing_potion]
(20920,735,1,1,2,2148.387872),-- [swift_attack_potion]
(20921,1864,1,1,-1,366638),-- [stem]
(20921,1928,1,1,-1,26703),-- [piece_bone_gaiters_fragment]
(20921,1804,1,1,-1,7333),-- [rp_soulshot_d]
(20921,57,81,150,0,700000),-- [adena]
(20921,39,1,1,1,759.966624),-- [boots]
(20921,1930,1,1,1,9256.055976),-- [boots_lining]
(20921,51,1,1,1,759.9774),-- [bracer]
(20921,1880,1,1,2,2165.957945),-- [steel]
(20921,1881,1,1,2,2887.933129),-- [coarse_bone_powder]
(20921,1882,1,1,2,4813.211084),-- [leather]
(20921,3032,1,1,2,866.383178),-- [rp_spiritshot_d]
(20921,6666,1,1,2,21659.514664),-- [key_of_treasure_box2]
(20922,1870,1,1,-1,198933),-- [coal]
(20922,1932,1,1,-1,31577),-- [bone_helmet_design]
(20922,1899,1,1,-1,31083),-- [necklace_of_devotion_chain]
(20922,57,86,165,0,700000),-- [adena]
(20922,123,1,1,1,17.72225),-- [saber]
(20922,2017,1,1,1,370.922125),-- [saber_blade]
(20922,5285,1,1,1,17.72225),-- [heavy_sword]
(20922,5531,1,1,1,468.633375),-- [heavy_sword_edge]
(20922,1874,1,1,2,1488.638052),-- [oriharukon_ore]
(20922,1878,1,1,2,8931.70575),-- [braided_hemp]
(20922,5220,1,1,2,893.170575),-- [reinforcing_agent]
(20922,2259,1,1,2,346.727898),-- [rp_spinebone_sword]
(20922,1060,1,1,2,49620.757725),-- [lesser_healing_potion]
(20923,2263,1,1,-1,4453),-- [rp_dwarven_trident]
(20923,2019,1,1,-1,6166),-- [trident_edge]
(20923,2152,1,1,-1,50483),-- [rp_enchanted_necklace]
(20923,57,123,241,0,700000),-- [adena]
(20923,432,1,1,1,334.060111),-- [cursed_tunic]
(20923,465,1,1,1,534.939889),-- [cursed_hose]
(20923,1875,1,1,2,1788.05016),-- [stone_of_purity]
(20923,1879,1,1,2,4470.1254),-- [cokes]
(20923,1885,1,1,2,2235.069584),-- [high_grade_suede]
(20923,5550,1,1,2,357.610032),-- [reinforcing_plate]
(20923,5549,1,1,2,2682.07524),-- [iron_thread]
(20923,735,1,1,2,2235.069584),-- [swift_attack_potion]
(20924,2250,1,1,-1,86656),-- [rp_bone_arrow]
(20924,1937,1,1,-1,29779),-- [scale_gaiters_fragment]
(20924,1900,1,1,-1,37924),-- [enchanted_necklace_chain]
(20924,57,146,292,0,700000),-- [adena]
(20924,259,1,1,1,76),-- [single-edged_jamadhr]
(20924,1876,1,1,2,4735.320325),-- [mithril_ore]
(20924,1880,1,1,2,2367.643666),-- [steel]
(20924,1877,1,1,2,947.064065),-- [admantite_nugget]
(20924,1881,1,1,2,3156.869219),-- [coarse_bone_powder]
(20924,1882,1,1,2,5261.459696),-- [leather]
(20924,2183,1,1,2,1557.665516),-- [rp_mithril_banded_mail]
(20924,2274,1,1,2,169.122118),-- [rp_skull_breaker]
(20924,6667,1,1,2,14797.855395),-- [key_of_treasure_box3]
(20925,2016,1,1,-1,2190),-- [composition_bow_shaft]
(20925,2258,1,1,-1,4570),-- [rp_temptation_of_abyss]
(20925,1874,1,1,-1,12461),-- [oriharukon_ore]
(20925,57,83,153,0,700000),-- [adena]
(20925,846,1,1,1,448.917695),-- [coral_earing]
(20925,909,1,1,1,336.689345),-- [blue_diamond_necklace]
(20925,1898,1,1,1,2836.009975),-- [blue_diamond_necklace_gem]
(20925,878,1,1,1,673.382985),-- [blue_coral_ring]
(20925,1872,1,1,2,24538.382522),-- [animal_bone]
(20925,1867,1,1,2,24538.382522),-- [animal_skin]
(20925,1881,1,1,2,2453.810168),-- [coarse_bone_powder]
(20925,5273,1,1,2,736.180496),-- [rp_adv_comp_spiritshot_d]
(20925,8294,1,1,2,450.002498),-- [rp_iron_sword]
(20925,1060,1,1,2,40897.241794),-- [lesser_healing_potion]
(20926,2018,1,1,-1,2844),-- [assassin_knife_edge]
(20926,1869,1,1,-1,214041),-- [iron_ore]
(20926,1875,1,1,-1,14269),-- [stone_of_purity]
(20926,57,94,177,0,700000),-- [adena]
(20926,156,1,1,1,25.333308),-- [hand_axe]
(20926,167,1,1,1,25.333308),-- [scalpel]
(20926,178,1,1,1,25.333384),-- [bone_staff]
(20926,1875,1,1,2,1144.0568),-- [stone_of_purity]
(20926,1879,1,1,2,2860.142),-- [cokes]
(20926,5549,1,1,2,1716.0852),-- [iron_thread]
(20926,2178,1,1,2,2745.73632),-- [rp_dark_hose]
(20926,5437,1,1,2,419.58578),-- [rp_heavy_sword]
(20926,1834,1,1,2,19067.490475),-- [emergency_dressing]
(20926,1831,1,1,2,45761.903425),-- [antidote]
(20927,1866,1,1,-1,200876),-- [suede]
(20927,1932,1,1,-1,47828),-- [bone_helmet_design]
(20927,1899,1,1,-1,47080),-- [necklace_of_devotion_chain]
(20927,57,130,251,0,700000),-- [adena]
(20927,220,1,1,1,107),-- [handiwork_dagger]
(20927,1876,1,1,2,5636.799558),-- [mithril_ore]
(20927,1880,1,1,2,2818.399779),-- [steel]
(20927,1877,1,1,2,1127.355089),-- [admantite_nugget]
(20927,1881,1,1,2,3757.866372),-- [coarse_bone_powder]
(20927,1882,1,1,2,6263.11062),-- [leather]
(20927,2178,1,1,2,4509.468582),-- [rp_dark_hose]
(20928,2183,1,1,-1,19597),-- [rp_mithril_banded_mail]
(20928,2025,1,1,-1,4126),-- [dwarven_trident_edge]
(20928,2153,1,1,-1,46326),-- [rp_tiger'seye_earing]
(20928,57,126,251,0,700000),-- [adena]
(20928,348,1,1,1,79.403112),-- [scale_mail]
(20928,1935,1,1,1,2273.473584),-- [scale_mail_fragment]
(20928,377,1,1,1,126.972072),-- [scale_gaiters]
(20928,1937,1,1,1,3496.151232),-- [scale_gaiters_fragment]
(20928,1872,1,1,2,27129.856536),-- [animal_bone]
(20928,1867,1,1,2,27129.856536),-- [animal_skin]
(20928,1881,1,1,2,2712.994248),-- [coarse_bone_powder]
(20928,1875,1,1,2,1356.454152),-- [stone_of_purity]
(20928,2184,1,1,2,2137.341336),-- [rp_mithril_banded_gaiters]
(20928,2274,1,1,2,145.331304),-- [rp_skull_breaker]
(20928,2978,1,1,2,2723.909136),-- [rp_elven_mithril_boots]
(20928,1832,1,1,2,22608.256752),-- [advanced_antidote]
(20929,1871,1,1,-1,279467),-- [charcoal]
(20929,1900,1,1,-1,30576),-- [enchanted_necklace_chain]
(20929,956,1,1,-1,9316),-- [scrl_of_ench_am_d]
(20929,57,118,236,0,700000),-- [adena]
(20929,315,1,1,1,62),-- [divine_tome]
(20929,1865,1,1,2,21816.784359),-- [varnish]
(20929,1870,1,1,2,21816.784359),-- [coal]
(20929,1879,1,1,2,3636.182493),-- [cokes]
(20929,1875,1,1,2,1454.431584),-- [stone_of_purity]
(20929,2250,1,1,2,5454.221973),-- [rp_bone_arrow]
(20929,6387,1,1,2,872.679657),-- [blessed_scroll_of_resurrection_pet]
(20929,1060,1,1,2,48481.915575),-- [lesser_healing_potion]
(20930,2028,1,1,-1,5182),-- [knife_o'_silenus_edge]
(20930,2156,1,1,-1,34888),-- [rp_elven_necklace]
(20930,2154,1,1,-1,46692),-- [rp_elven_earing]
(20930,57,184,367,0,700000),-- [adena]
(20930,83,1,1,1,14.02224),-- [sword_of_magic]
(20930,144,1,1,1,14.02224),-- [sword_of_occult]
(20930,124,1,1,1,10.387776),-- [two-handed_sword]
(20930,2026,1,1,1,464.791668),-- [two-handed_sword_edge]
(20930,127,1,1,1,10.387776),-- [crimson_sword]
(20930,130,1,1,1,10.3883),-- [elven_sword]
(20930,1869,1,1,2,33124.743108),-- [iron_ore]
(20930,1864,1,1,2,66249.486216),-- [stem]
(20930,1880,1,1,2,3312.431766),-- [steel]
(20930,5550,1,1,2,441.615024),-- [reinforcing_plate]
(20930,2279,1,1,2,236.65545),-- [rp_hammer_in_flames]
(20930,8317,1,1,2,236.65545),-- [rp_giants_hammer]
(20930,735,1,1,2,2760.412986),-- [swift_attack_potion]
(20931,2271,1,1,-1,3460),-- [rp_winged_spear]
(20931,1940,1,1,-1,72301),-- [iron_boots_design]
(20931,1901,1,1,-1,66909),-- [tiger'seye_earing_stone]
(20931,57,204,409,0,700000),-- [adena]
(20931,293,1,1,1,34.5),-- [war_hammer]
(20931,296,1,1,1,34.5),-- [dwarven_pike]
(20931,1865,1,1,2,36794.475256),-- [varnish]
(20931,1870,1,1,2,36794.475256),-- [coal]
(20931,1879,1,1,2,6132.440347),-- [cokes]
(20931,1875,1,1,2,2452.926091),-- [stone_of_purity]
(20931,2276,1,1,2,262.834363),-- [rp_maingauche]
(20931,2286,1,1,2,204.445263),-- [rp_bonebreaker]
(20931,2197,1,1,2,771.403424),-- [rp_slamander_skin_mail]
(20932,1825,1,1,-1,37742),-- [rp_oriharukon]
(20932,2032,1,1,-1,4883),-- [goathead_staff_head]
(20932,5220,1,1,-1,21136),-- [reinforcing_agent]
(20932,57,223,446,0,700000),-- [adena]
(20932,850,1,1,1,126.629928),-- [elven_earing]
(20932,1902,1,1,1,4612.26069),-- [elven_earing_beads]
(20932,913,1,1,1,95.03991),-- [elven_necklace]
(20932,1904,1,1,1,4248.528534),-- [elven_necklace_beads]
(20932,881,1,1,1,190.07982),-- [elven_ring]
(20932,1903,1,1,1,7593.461118),-- [elven_ring_piece]
(20932,1866,1,1,2,26013.137496),-- [suede]
(20932,1871,1,1,2,39019.706244),-- [charcoal]
(20932,5220,1,1,2,1560.80127),-- [reinforcing_agent]
(20932,1885,1,1,2,3251.642187),-- [high_grade_suede]
(20932,2201,1,1,2,3788.401581),-- [rp_square_shield]
(20932,2159,1,1,2,2408.581647),-- [rp_necklace_of_darkness]
(20932,1060,1,1,2,86710.729575),-- [lesser_healing_potion]
(20933,1879,1,1,-1,101112),-- [cokes]
(20933,1894,1,1,-1,21287),-- [crafted_leather]
(20933,1880,1,1,-1,60667),-- [steel]
(20933,57,253,505,0,700000),-- [adena]
(20933,261,1,1,1,29.207871),-- [bich'hwa]
(20933,2039,1,1,1,1587.792129),-- [bich'hwa_edge]
(20933,1865,1,1,2,52266.939944),-- [varnish]
(20933,1870,1,1,2,52266.939944),-- [coal]
(20933,1879,1,1,2,8711.176688),-- [cokes]
(20933,1875,1,1,2,3484.494712),-- [stone_of_purity]
(20933,2159,1,1,2,3226.33948),-- [rp_necklace_of_darkness]
(20933,2298,1,1,2,228.109232),-- [rp_stormbringer]
(20934,1868,1,1,-1,654152),-- [thread]
(20934,2028,1,1,-1,3886),-- [knife_o'_silenus_edge]
(20934,1938,1,1,-1,21988),-- [mithril_banded_mail_material]
(20934,57,138,276,0,700000),-- [adena]
(20934,436,1,1,1,148.555188),-- [tunic_of_knowledge]
(20934,469,1,1,1,237.444812),-- [hose_of_knowledge]
(20934,1867,1,1,2,46374.15549),-- [animal_skin]
(20934,1872,1,1,2,46374.15549),-- [animal_bone]
(20934,1882,1,1,2,7728.99153),-- [leather]
(20934,2190,1,1,2,2484.281865),-- [rp_mithril_hose]
(20934,3020,1,1,2,193.415625),-- [rp_elven_long_sword]
(20935,1872,1,1,-1,475451),-- [animal_bone]
(20935,2040,1,1,-1,4126),-- [strengthening_long_bow_shaft]
(20935,1825,1,1,-1,25471),-- [rp_oriharukon]
(20935,57,151,301,0,700000),-- [adena]
(20935,629,1,1,1,101.89584),-- [kite_shield]
(20935,1947,1,1,1,4423.35942),-- [kite_shield_fragment]
(20935,2493,1,1,1,101.89584),-- [brigandine_shield]
(20935,2929,1,1,1,4423.35942),-- [brigandine_shield_fragment]
(20935,2411,1,1,1,71.362125),-- [brigandine_helmet]
(20935,2922,1,1,1,1183.127355),-- [brigandine_helmet_design]
(20935,1868,1,1,2,52665.454213),-- [thread]
(20935,1873,1,1,2,10533.105304),-- [silver_nugget]
(20935,5549,1,1,2,2633.276326),-- [iron_thread]
(20935,1889,1,1,2,1755.541653),-- [compound_braid]
(20935,2148,1,1,2,1880.921991),-- [rp_crafted_leather]
(20935,2984,1,1,2,2692.495759),-- [rp_slamander_skin_boots]
(20935,2288,1,1,2,146.204754),-- [rp_ghost_staff]
(20936,1874,1,1,-1,45199),-- [oriharukon_ore]
(20936,1875,1,1,-1,45199),-- [stone_of_purity]
(20936,1902,1,1,-1,68692),-- [elven_earing_beads]
(20936,57,283,565,0,700000),-- [adena]
(20936,437,1,1,1,101.881109),-- [mithril_tunic]
(20936,1944,1,1,1,4469.134758),-- [mithril_tunic_fabric]
(20936,470,1,1,1,162.708095),-- [mithril_hose]
(20936,1945,1,1,1,6959.276038),-- [mithril_hose_design]
(20936,1865,1,1,2,58411.514883),-- [varnish]
(20936,1870,1,1,2,58411.514883),-- [coal]
(20936,1879,1,1,2,9735.274866),-- [cokes]
(20936,1875,1,1,2,3894.136809),-- [stone_of_purity]
(20936,2159,1,1,2,3605.632485),-- [rp_necklace_of_darkness]
(20936,2298,1,1,2,254.926074),-- [rp_stormbringer]
(20937,4480,1,1,-1,5103),-- [dye_w1m1_d]
(20937,2054,1,1,-1,7601),-- [cyclone_bow_shaft]
(20937,1805,1,1,-1,2977),-- [rp_soulshot_c]
(20937,57,360,727,0,700000),-- [adena]
(20937,1125,1,1,1,99.391617),-- [assault_boots]
(20937,1957,1,1,1,4171.091301),-- [assault_boots_part]
(20937,2427,1,1,1,99.391617),-- [slamander_skin_boots]
(20937,2931,1,1,1,4171.091301),-- [slamander_skin_boots_lining]
(20937,2428,1,1,1,99.391617),-- [plate_boots]
(20937,2932,1,1,1,4171.091301),-- [plate_boots_design]
(20937,61,1,1,1,99.391617),-- [mithril_glove]
(20937,1949,1,1,1,4171.091301),-- [mithril_glove_design]
(20937,607,1,1,1,99.391617),-- [ogre_power_gauntlet]
(20937,1963,1,1,1,4171.091301),-- [ogre_power_gauntlet_part]
(20937,2451,1,1,1,99.391617),-- [sage's_worn_gloves]
(20937,2933,1,1,1,4171.193793),-- [sage's_worn_gloves_lining]
(20937,1866,1,1,2,42709.985513),-- [suede]
(20937,1871,1,1,2,64065.036868),-- [charcoal]
(20937,5220,1,1,2,2562.629602),-- [reinforcing_agent]
(20937,1885,1,1,2,5338.792138),-- [high_grade_suede]
(20937,2307,1,1,2,279.749239),-- [rp_heavy_doom_axe]
(20937,2205,1,1,2,2027.390903),-- [rp_chain_gaiters]
(20937,5164,1,1,2,213.415737),-- [rp_comp_bspiritshot_c]
(20938,2323,1,1,-1,3431),-- [rp_elemental_bow]
(20938,2070,1,1,-1,7819),-- [cursed_dagger_blade]
(20938,1908,1,1,-1,93255),-- [moonstone_earing_wire]
(20938,57,388,794,0,700000),-- [adena]
(20938,281,1,1,1,26.406375),-- [crystallized_ice_bow]
(20938,2074,1,1,1,1648.593625),-- [crystallized_ice_bow_shaft]
(20938,1867,1,1,2,56414.7238),-- [animal_skin]
(20938,1872,1,1,2,56414.7238),-- [animal_bone]
(20938,1882,1,1,2,9402.496075),-- [leather]
(20938,1894,1,1,2,1484.5714),-- [crafted_leather]
(20938,2315,1,1,2,147.421275),-- [rp_shamshir]
(20938,2321,1,1,2,147.421275),-- [rp_stiletto]
(20938,2317,1,1,2,147.421275),-- [rp_bech_de_corbin]
(20938,8723,1,1,2,1692.50235),-- [general_46_c]
(20938,8733,1,1,2,423.062425),-- [special_46_c]
(20938,8743,1,1,2,42.318875),-- [rare_46_c]
(20938,8753,1,1,2,8.33745),-- [unique_46_c]
(20939,2067,1,1,-1,7925),-- [crystal_staff_head]
(20939,1873,1,1,-1,439855),-- [silver_nugget]
(20939,1868,1,5,-1,733092),-- [thread]
(20939,57,433,886,0,700000),-- [adena]
(20939,397,1,1,1,89.299392),-- [tempered_mithril_shirt]
(20939,1961,1,1,1,4158.036834),-- [tempered_mithril_shirt_fabric]
(20939,2387,1,1,1,142.716336),-- [tempered_mithril_gaiters]
(20939,2935,1,1,1,6907.947438),-- [tempered_mithril_gaiters_fragment]
(20939,1868,1,1,2,94492.38564),-- [thread]
(20939,1873,1,1,2,18898.477128),-- [silver_nugget]
(20939,5549,1,1,2,4724.556084),-- [iron_thread]
(20939,1889,1,1,2,3149.78832),-- [compound_braid]
(20939,4044,1,1,2,1574.89416),-- [thons]
(20939,2225,1,1,2,1027.093896),-- [rp_demon's_hose]
(20939,2343,1,1,2,109.838124),-- [rp_mace_of_underworld]
(20939,8723,1,1,2,1889.872992),-- [general_46_c]
(20939,8733,1,1,2,472.468248),-- [special_46_c]
(20939,8743,1,1,2,47.272104),-- [rare_46_c]
(20939,8753,1,1,2,9.353304),-- [unique_46_c]
(20940,1970,1,1,-1,36908),-- [robe_of_seal_fabric]
(20940,5550,1,1,-1,22037),-- [reinforcing_plate]
(20940,4589,1,1,-1,5509),-- [dye_s2c2_c]
(20940,57,653,1328,0,700000),-- [adena]
(20940,4233,1,1,1,33.134608),-- [knuckle_dust]
(20940,4438,1,1,1,2610.865392),-- [knuckle_dust_edge]
(20940,1869,1,1,2,61024.781804),-- [iron_ore]
(20940,1864,1,1,2,122049.563608),-- [stem]
(20940,1880,1,1,2,6102.538064),-- [steel]
(20940,5550,1,1,2,813.618512),-- [reinforcing_plate]
(20940,4043,1,1,2,2034.245892),-- [asofe]
(20940,2350,1,1,2,127.75168),-- [rp_paagrio_axe]
(20940,3005,1,1,2,2490.758536),-- [rp_demon's_boots]
(20940,4132,1,1,2,2365.202588),-- [rp_composite_shield]
(20940,8724,1,1,2,2034.245892),-- [general_49_c]
(20940,8734,1,1,2,508.611376),-- [special_49_c]
(20940,8744,1,1,2,50.90106),-- [rare_49_c]
(20940,8754,1,1,2,9.780988),-- [unique_49_c]
(20941,2233,1,1,-1,12171),-- [rp_divine_tunic]
(20941,2109,1,1,-1,7302),-- [akat_long_bow_shaft]
(20941,4601,1,1,-1,2894),-- [dye_s3c3_c]
(20941,57,515,1047,0,700000),-- [adena]
(20941,60,1,1,1,43.890273),-- [composite_armor]
(20941,1977,1,1,1,3983.109727),-- [composite_armor_temper]
(20941,1870,1,1,2,44877.48583),-- [coal]
(20941,1865,1,1,2,44877.48583),-- [varnish]
(20941,1874,1,1,2,2991.80543),-- [oriharukon_ore]
(20941,4043,1,1,2,1495.902715),-- [asofe]
(20941,4039,1,1,2,1495.902715),-- [mold_glue]
(20941,3013,1,1,2,1253.578),-- [rp_drake_leather_boots]
(20941,3014,1,1,2,1253.578),-- [rp_full_plate_boots]
(20941,8725,1,1,2,1246.602445),-- [general_52_c]
(20941,8735,1,1,2,311.675885),-- [special_52_c]
(20941,8745,1,1,2,31.13726),-- [rare_52_c]
(20941,8755,1,1,2,6.26789),-- [unique_52_c]
(20942,2301,1,1,-1,2863),-- [rp_battle_axe]
(20942,2931,1,1,-1,73162),-- [slamander_skin_boots_lining]
(20942,1905,1,1,-1,63768),-- [onyxbeast'seye_earing_gemstone]
(20942,57,259,526,0,700000),-- [adena]
(20942,225,1,1,1,23.731105),-- [mithril_dagger]
(20942,2052,1,1,1,1427.268895),-- [mithril_dagger_blade]
(20942,1871,1,1,2,41147.300372),-- [charcoal]
(20942,1866,1,1,2,27431.55799),-- [suede]
(20942,1877,1,1,2,1645.900802),-- [admantite_nugget]
(20942,2225,1,1,2,894.528816),-- [rp_demon's_hose]
(20942,8723,1,1,2,1645.900802),-- [general_46_c]
(20942,8733,1,1,2,411.456894),-- [special_46_c]
(20942,8743,1,1,2,41.153012),-- [rare_46_c]
(20942,8753,1,1,2,8.201312),-- [unique_46_c]
(20943,1874,1,1,-1,62887),-- [oriharukon_ore]
(20943,1875,1,1,-1,62887),-- [stone_of_purity]
(20943,2163,1,1,-1,48128),-- [rp_earing_of_protection]
(20943,57,373,758,0,700000),-- [adena]
(20943,263,1,1,1,25.28482),-- [chakram]
(20943,2073,1,1,1,1722.71518),-- [chakram_edge]
(20943,1872,1,1,2,59442.614958),-- [animal_bone]
(20943,1867,1,1,2,59442.614958),-- [animal_skin]
(20943,1881,1,1,2,5944.287784),-- [coarse_bone_powder]
(20943,1875,1,1,2,2972.143892),-- [stone_of_purity]
(20943,4041,1,1,2,387.619509),-- [mold_hardener]
(20943,2225,1,1,2,969.114493),-- [rp_demon's_hose]
(20943,8723,1,1,2,1783.260047),-- [general_46_c]
(20943,8733,1,1,2,445.847872),-- [special_46_c]
(20943,8743,1,1,2,44.558499),-- [rare_46_c]
(20943,8753,1,1,2,8.937988),-- [unique_46_c]
(20944,2947,1,1,-1,57031),-- [dwarven_chain_shield_fragment]
(20944,2329,1,1,-1,1857),-- [rp_tsurugi]
(20944,1911,1,1,-1,59386),-- [earing_of_protection_gemstone]
(20944,57,315,643,0,700000),-- [adena]
(20944,853,1,1,1,78.35292),-- [earing_of_protection]
(20944,1911,1,1,1,4385.664),-- [earing_of_protection_gemstone]
(20944,916,1,1,1,58.78656),-- [necklace_of_protection]
(20944,1913,1,1,1,3585.60108),-- [necklace_of_protection_gemstone]
(20944,884,1,1,1,117.57312),-- [ring_of_protection]
(20944,1912,1,1,1,6354.02232),-- [ring_of_protection_gemstone]
(20944,1873,1,1,2,14150.763066),-- [silver_nugget]
(20944,1868,1,1,2,70753.81533),-- [thread]
(20944,1876,1,1,2,7075.381533),-- [mithril_ore]
(20944,1895,1,1,2,10107.732591),-- [metallic_fiber]
(20944,4042,1,1,2,589.641195),-- [enria]
(20944,2328,1,1,2,82.268241),-- [rp_sword_of_delusion]
(20944,8724,1,1,2,1179.28239),-- [general_49_c]
(20944,8734,1,1,2,294.768463),-- [special_49_c]
(20944,8744,1,1,2,29.508127),-- [rare_49_c]
(20944,8754,1,1,2,5.839064),-- [unique_49_c]
(20945,1868,1,3,-1,897692),-- [thread]
(20945,1876,1,1,-1,179538),-- [mithril_ore]
(20945,4601,1,1,-1,1995),-- [dye_s3c3_c]
(20945,57,355,722,0,700000),-- [adena]
(20945,64,1,1,1,98.312175),-- [composite_boots]
(20945,2956,1,1,1,5459.187825),-- [composite_boots_part]
(20945,608,1,1,1,98.312175),-- [mithril_gauntlet]
(20945,1981,1,1,1,5459.187825),-- [mithril_gauntlet_design]
(20945,1873,1,1,2,13499.220456),-- [silver_nugget]
(20945,1868,1,1,2,67495.899996),-- [thread]
(20945,1876,1,1,2,6749.610228),-- [mithril_ore]
(20945,1895,1,1,2,9642.271428),-- [metallic_fiber]
(20945,4042,1,1,2,562.450662),-- [enria]
(20945,2170,1,1,2,795.98754),-- [rp_nassen's_earing]
(20945,2970,1,1,2,1196.712144),-- [rp_ring_of_binding]
(20945,8725,1,1,2,937.485198),-- [general_52_c]
(20945,8735,1,1,2,234.346014),-- [special_52_c]
(20945,8745,1,1,2,23.464944),-- [rare_52_c]
(20945,8755,1,1,2,4.55139),-- [unique_52_c]
(20946,1539,1,1,-1,307481),-- [greater_healing_potion]
(20946,1914,1,1,-1,77734),-- [earing_of_binding_gemstone]
(20946,2169,1,1,-1,24490),-- [rp_necklace_of_binding]
(20946,57,550,1111,0,700000),-- [adena]
(20946,103,1,1,1,72.138022),-- [tower_shield]
(20946,1978,1,1,1,4584.843537),-- [tower_shield_fragment]
(20946,107,1,1,1,72.138022),-- [composite_shield]
(20946,4055,1,1,1,4584.843537),-- [composite_shield_fragment]
(20946,517,1,1,1,50.51858),-- [composite_helmet]
(20946,2957,1,1,1,3136.999861),-- [composite_helmet_design]
(20946,1149,1,1,1,50.51858),-- [shining_circlet]
(20946,1983,1,1,1,3136.999861),-- [shining_circlet_pattern]
(20946,1864,1,1,2,104035.737255),-- [stem]
(20946,1869,1,1,2,52017.759267),-- [iron_ore]
(20946,1878,1,1,2,20807.147451),-- [braided_hemp]
(20946,1884,1,1,2,32010.911955),-- [cord]
(20946,4039,1,1,2,1734.020088),-- [mold_glue]
(20946,2233,1,1,2,486.216783),-- [rp_divine_tunic]
(20946,4180,1,1,2,5779.702425),-- [rp_silver_arrow]
(20946,8725,1,1,2,1444.870926),-- [general_52_c]
(20946,8735,1,1,2,361.327092),-- [special_52_c]
(20946,8745,1,1,2,36.088965),-- [rare_52_c]
(20946,8755,1,1,2,7.217793),-- [unique_52_c]
(20947,4967,1,1,-1,1726),-- [rp_sword_of_valhalla_i]
(20947,4938,1,1,-1,37080),-- [rp_adamantite_ring_i]
(20947,1806,1,1,-1,2996),-- [rp_soulshot_b]
(20947,57,592,1205,0,700000),-- [adena]
(20947,356,1,1,1,30.932675),-- [full_plate_armor]
(20947,1986,1,1,1,2922.067325),-- [full_plate_armor_temper]
(20947,1869,1,1,2,46093.153575),-- [iron_ore]
(20947,1864,1,1,2,92186.454675),-- [stem]
(20947,1880,1,1,2,4609.2711),-- [steel]
(20947,5550,1,1,2,614.58915),-- [reinforcing_plate]
(20947,4043,1,1,2,1536.472875),-- [asofe]
(20947,4179,1,1,2,592.4604),-- [rp_shrnoen's_helmet]
(20947,4184,1,1,2,53.109),-- [rp_sprite's_staff]
(20947,4144,1,1,2,473.702775),-- [rp_shrnoen's_leather_gaiters]
(20947,8726,1,1,2,1066.9008),-- [general_55_c]
(20947,8736,1,1,2,266.7252),-- [special_55_c]
(20947,8746,1,1,2,26.702025),-- [rare_55_c]
(20947,8756,1,1,2,5.458425),-- [unique_55_c]
(20948,4049,1,1,-1,78274),-- [adamantite_earing_gemstone]
(20948,4129,1,1,-1,16150),-- [rp_earing_of_black_ore]
(20948,4050,1,1,-1,92459),-- [adamantite_ring_wire]
(20948,57,589,1202,0,700000),-- [adena]
(20948,11889,1,1,1,42.03066),-- [great_sword_low]
(20948,4104,1,1,1,420.310722),-- [great_sword_blade]
(20948,11916,1,1,1,42.03066),-- [kshanberk_low]
(20948,4107,1,1,1,413.797962),-- [kshanberk_blade]
(20948,11900,1,1,1,42.03066),-- [sword_of_valhalla_low]
(20948,4108,1,1,1,413.799336),-- [sword_of_valhalla_blade]
(20948,1865,1,1,2,36733.092399),-- [varnish]
(20948,1870,1,1,2,36733.092399),-- [coal]
(20948,1879,1,1,2,6122.16801),-- [cokes]
(20948,1875,1,1,2,2448.867204),-- [stone_of_purity]
(20948,4040,1,1,2,734.677029),-- [mold_lubricant]
(20948,948,1,1,2,91.845171),-- [scrl_of_ench_am_b]
(20948,4176,1,1,2,456.864363),-- [rp_doom_boots]
(20948,4158,1,1,2,78.013575),-- [rp_doom_plate_armor]
(20948,8727,1,1,2,734.677029),-- [general_58_b]
(20948,8737,1,1,2,183.690342),-- [special_58_b]
(20948,8747,1,1,2,18.385902),-- [rare_58_b]
(20948,8757,1,1,2,3.626577),-- [unique_58_b]
(20949,947,1,1,-1,706),-- [scrl_of_ench_wp_b]
(20949,4041,1,1,-1,15347),-- [mold_hardener]
(20949,1866,1,3,-1,588296),-- [suede]
(20949,57,697,1420,0,700000),-- [adena]
(20949,11918,1,1,1,74.601684),-- [heavy_war_axe_low]
(20949,4105,1,1,1,746.018469),-- [heavy_war_axe_head]
(20949,11908,1,1,1,74.601684),-- [sprite's_staff_low]
(20949,4106,1,1,1,733.778163),-- [sprite's_staff_head]
(20949,1866,1,1,2,28962.20029),-- [suede]
(20949,1871,1,1,2,43443.300435),-- [charcoal]
(20949,5220,1,1,2,1737.748142),-- [reinforcing_agent]
(20949,1885,1,1,2,3620.295192),-- [high_grade_suede]
(20949,4041,1,1,2,377.799378),-- [mold_hardener]
(20949,4129,1,1,2,470.193336),-- [rp_earing_of_black_ore]
(20949,4993,1,1,2,540.335346),-- [rp_doom_gloves_i]
(20949,4165,1,1,2,359.014219),-- [rp_blue_wolve's_helmet]
(20949,8727,1,1,2,868.874071),-- [general_58_b]
(20949,8737,1,1,2,217.198362),-- [special_58_b]
(20949,8747,1,1,2,21.687587),-- [rare_58_b]
(20949,8757,1,1,2,4.353642),-- [unique_58_b]
(20950,4056,1,1,-1,34524),-- [shrnoen's_breastplate_part]
(20950,4049,1,1,-1,100049),-- [adamantite_earing_gemstone]
(20950,947,1,1,-1,763),-- [scrl_of_ench_wp_b]
(20950,57,754,1534,0,700000),-- [adena]
(20950,11890,1,1,1,161.225658),-- [great_axe_low]
(20950,4113,1,1,1,1449.774342),-- [great_axe_head]
(20950,1869,1,1,2,51220.563425),-- [iron_ore]
(20950,1864,1,1,2,102440.964015),-- [stem]
(20950,1880,1,1,2,5121.974925),-- [steel]
(20950,5550,1,1,2,682.92999),-- [reinforcing_plate]
(20950,4043,1,1,2,1707.324975),-- [asofe]
(20950,4159,1,1,2,145.085985),-- [rp_blue_wolve's_leather_mail]
(20950,4990,1,1,2,423.371),-- [rp_blue_wolve's_helmet_i]
(20950,8728,1,1,2,853.743905),-- [general_61_b]
(20950,8738,1,1,2,213.476685),-- [special_61_b]
(20950,8748,1,1,2,21.331385),-- [rare_61_b]
(20950,8758,1,1,2,4.23371),-- [unique_61_b]
(20951,1918,1,1,-1,43851),-- [nassen's_earing_gemstone]
(20951,1806,1,1,-1,2025),-- [rp_soulshot_b]
(20951,1920,1,1,-1,34646),-- [necklace_of_binding_chain]
(20951,57,401,814,0,700000),-- [adena]
(20951,266,1,1,1,7.932936),-- [great_pata]
(20951,2120,1,1,1,898.067064),-- [great_pata_blade]
(20951,1867,1,1,2,41539.858702),-- [animal_skin]
(20951,1872,1,1,2,41539.858702),-- [animal_bone]
(20951,1882,1,1,2,6923.325236),-- [leather]
(20951,1894,1,1,2,1093.190774),-- [crafted_leather]
(20951,4042,1,1,2,519.291114),-- [enria]
(20951,1806,1,1,2,62.303808),-- [rp_soulshot_b]
(20951,5270,1,1,2,62.303808),-- [rp_adv_comp_soulshot_b]
(20951,5436,1,1,2,50.807272),-- [rp_berserker_blade]
(20951,8726,1,1,2,721.222206),-- [general_55_c]
(20951,8736,1,1,2,180.32873),-- [special_55_c]
(20951,8746,1,1,2,17.986516),-- [rare_55_c]
(20951,8756,1,1,2,3.523132),-- [unique_55_c]
(20952,3034,1,1,-1,3670),-- [rp_spiritshot_b]
(20952,1984,1,1,-1,39333),-- [theca_leather_mail_pattern]
(20952,4044,1,1,-1,61163),-- [thons]
(20952,57,725,1477,0,700000),-- [adena]
(20952,286,1,1,1,14.372796),-- [eminence_bow]
(20952,2121,1,1,1,1557.627204),-- [eminence_bow_shaft]
(20952,1868,1,1,2,112917.336858),-- [thread]
(20952,1873,1,1,2,22583.49724),-- [silver_nugget]
(20952,5549,1,1,2,5645.87431),-- [iron_thread]
(20952,1889,1,1,2,3763.866426),-- [compound_braid]
(20952,4044,1,1,2,1882.007884),-- [thons]
(20952,4128,1,1,2,698.771218),-- [rp_adamantite_necklace]
(20952,5275,1,1,2,112.902552),-- [rp_adv_comp_spiritshot_b]
(20952,4187,1,1,2,65.113112),-- [rp_kris]
(20952,8726,1,1,2,1306.891842),-- [general_55_c]
(20952,8736,1,1,2,326.760296),-- [special_55_c]
(20952,8746,1,1,2,32.705898),-- [rare_55_c]
(20952,8756,1,1,2,6.272364),-- [unique_55_c]
(20953,4948,1,1,-1,7508),-- [rp_avadon_leather_mail_i]
(20953,2962,1,1,-1,93209),-- [drake_leather_gloves_design]
(20953,1864,1,7,-1,855888),-- [stem]
(20953,57,675,1379,0,700000),-- [adena]
(20953,12338,1,1,1,690.734994),-- [adamantite_earing_low]
(20953,4049,1,1,1,4420.076379),-- [adamantite_earing_gemstone]
(20953,12339,1,1,1,518.574231),-- [adamantite_necklace_low]
(20953,4051,1,1,1,3268.12881),-- [adamantite_necklace_chain]
(20953,12340,1,1,1,1040.36217),-- [adamantite_ring_low]
(20953,4050,1,1,1,5221.123416),-- [adamantite_ring_wire]
(20953,1864,1,1,2,84271.931253),-- [stem]
(20953,1869,1,1,2,42135.87924),-- [iron_ore]
(20953,1878,1,1,2,16854.351696),-- [braided_hemp]
(20953,1884,1,1,2,25929.77184),-- [cord]
(20953,4039,1,1,2,1404.471717),-- [mold_glue]
(20953,4962,1,1,2,541.643355),-- [rp_shrnoen's_helmet_i]
(20953,4999,1,1,2,524.020509),-- [rp_doom_boots_i]
(20953,8311,1,1,2,32.135778),-- [rp_bone_of_kaim_vanul]
(20953,8727,1,1,2,842.786694),-- [general_58_b]
(20953,8737,1,1,2,210.610287),-- [special_58_b]
(20953,8747,1,1,2,21.078306),-- [rare_58_b]
(20953,8757,1,1,2,4.319325),-- [unique_58_b]
(20954,4613,1,1,-1,2805),-- [dye_s4c4_c]
(20954,4049,1,1,-1,106679),-- [adamantite_earing_gemstone]
(20954,1869,1,5,-1,677943),-- [iron_ore]
(20954,57,804,1635,0,700000),-- [adena]
(20954,11915,1,1,1,85.937856),-- [kris_low]
(20954,4109,1,1,1,846.062144),-- [kris_edge]
(20954,11919,1,1,1,85.937856),-- [hell_knife_low]
(20954,4110,1,1,1,846.062144),-- [hell_knife_edge]
(20954,1869,1,1,2,54614.611875),-- [iron_ore]
(20954,1864,1,1,2,109229.050125),-- [stem]
(20954,1880,1,1,2,5461.374375),-- [steel]
(20954,5550,1,1,2,728.18325),-- [reinforcing_plate]
(20954,4043,1,1,2,1820.458125),-- [asofe]
(20954,4159,1,1,2,154.699875),-- [rp_blue_wolve's_leather_mail]
(20954,4990,1,1,2,451.425),-- [rp_blue_wolve's_helmet_i]
(20954,8728,1,1,2,910.315875),-- [general_61_b]
(20954,8738,1,1,2,227.622375),-- [special_61_b]
(20954,8748,1,1,2,22.744875),-- [rare_61_b]
(20954,8758,1,1,2,4.51425),-- [unique_61_b]
(20955,5230,1,1,-1,3164),-- [rp_mithril_arrow]
(20955,4052,1,1,-1,84007),-- [earing_of_black_ore_piece]
(20955,57,941,1906,0,700000),-- [adena]
(20955,12194,1,1,1,191.508928),-- [blue_wolve's_leather_mail_low]
(20955,4082,1,1,1,1979.991072),-- [blue_wolve's_leather_mail_texture]
(20955,12186,1,1,1,191.508928),-- [leather_mail_of_doom_low]
(20955,4083,1,1,1,1979.991072),-- [leather_mail_of_doom_design]
(20955,1870,1,1,2,63717.00321),-- [coal]
(20955,1865,1,1,2,63717.00321),-- [varnish]
(20955,1874,1,1,2,4247.800214),-- [oriharukon_ore]
(20955,4043,1,1,2,2123.900107),-- [asofe]
(20955,4039,1,1,2,2123.900107),-- [mold_glue]
(20955,1830,1,1,2,25486.801284),-- [scroll_of_escape_to_castle]
(20955,5276,1,1,2,85.034047),-- [rp_adv_comp_spiritshot_a]
(20955,8729,1,1,2,849.527525),-- [general_64_a]
(20955,8739,1,1,2,212.341234),-- [special_64_a]
(20955,8749,1,1,2,21.299159),-- [rare_64_a]
(20955,8759,1,1,2,4.389903),-- [unique_64_a]
(20956,4987,1,1,-1,9891),-- [rp_tunic_of_doom_i]
(20956,4106,1,1,-1,13417),-- [sprite's_staff_head]
(20956,1884,1,3,-1,733439),-- [cord]
(20956,57,946,1914,0,700000),-- [adena]
(20956,11939,1,1,1,114.995952),-- [demon's_sword_low]
(20956,4119,1,1,1,1541.004048),-- [demon's_sword_edge]
(20956,1874,1,1,2,3911.681418),-- [oriharukon_ore]
(20956,1878,1,1,2,23469.967654),-- [braided_hemp]
(20956,1884,1,1,2,36107.670434),-- [cord]
(20956,1889,1,1,2,3911.681418),-- [compound_braid]
(20956,5220,1,1,2,2346.98468),-- [reinforcing_agent]
(20956,4175,1,1,2,1130.58917),-- [rp_avadon_boots]
(20956,2508,1,1,2,48895.836444),-- [cursed_bone]
(20956,3956,1,1,2,78.192538),-- [rp_blessed_spiritshot_a]
(20956,8729,1,1,2,782.287942),-- [general_64_a]
(20956,8739,1,1,2,195.541772),-- [special_64_a]
(20956,8749,1,1,2,19.578348),-- [rare_64_a]
(20956,8759,1,1,2,3.988182),-- [unique_64_a]
(20957,4053,1,1,-1,107147),-- [ring_of_black_ore_gemstone]
(20957,1877,1,1,-1,99989),-- [admantite_nugget]
(20957,4052,1,1,-1,88502),-- [earing_of_black_ore_piece]
(20957,57,990,2008,0,700000),-- [adena]
(20957,12183,1,1,1,624.694206),-- [doom_shield_low]
(20957,4077,1,1,1,5535.988494),-- [doom_shield_fragment]
(20957,12202,1,1,1,437.17812),-- [blue_wolve's_helmet_low]
(20957,4088,1,1,1,4650.98053),-- [blue_wolve's_helmet_design]
(20957,12185,1,1,1,437.17812),-- [doom_helmet_low]
(20957,4089,1,1,1,4650.98053),-- [doom_helmet_pattern]
(20957,1871,1,1,2,61532.00592),-- [charcoal]
(20957,1866,1,1,2,41021.33728),-- [suede]
(20957,1877,1,1,2,2461.33888),-- [admantite_nugget]
(20957,4041,1,1,2,535.1192),-- [mold_hardener]
(20957,4040,1,1,2,1230.66944),-- [mold_lubricant]
(20957,1830,1,1,2,24612.76048),-- [scroll_of_escape_to_castle]
(20957,5276,1,1,2,82.10048),-- [rp_adv_comp_spiritshot_a]
(20957,8729,1,1,2,820.37648),-- [general_64_a]
(20957,8739,1,1,2,205.04176),-- [special_64_a]
(20957,8749,1,1,2,20.52512),-- [rare_64_a]
(20957,8759,1,1,2,4.1888),-- [unique_64_a]
(20957,1344,10,30,2,76914.53616),-- [mithril_arrow]
(20958,5478,1,1,-1,15776),-- [sealed_dark_crystal_leather_mail_pattern]
(20958,1807,1,1,-1,2501),-- [rp_soulshot_a]
(20958,57,742,1509,0,700000),-- [adena]
(20958,12225,1,1,1,383.207895),-- [sealed_dark_crystal_shield_low]
(20958,5494,1,1,1,1939.59099),-- [sealed_dark_crystal_shield_fragment]
(20958,12226,1,1,1,268.46784),-- [sealed_dark_crystal_helmet_low]
(20958,5525,1,1,1,1427.62986),-- [sealed_dark_crystal_helmet_design]
(20958,12234,1,1,1,268.46784),-- [sealed_tallum_bonnet_low]
(20958,5526,1,1,1,1427.635575),-- [sealed_tallum_bonnet_design]
(20958,1872,1,1,2,73888.48786),-- [animal_bone]
(20958,1867,1,1,2,73888.48786),-- [animal_skin]
(20958,1881,1,1,2,7388.768684),-- [coarse_bone_powder]
(20958,1875,1,1,2,3694.464444),-- [stone_of_purity]
(20958,4041,1,1,2,481.893632),-- [mold_hardener]
(20958,5156,1,1,2,73.854044),-- [rp_comp_soulshot_a]
(20958,8730,1,1,2,615.663972),-- [general_67_a]
(20958,8740,1,1,2,153.956044),-- [special_67_a]
(20958,8750,1,1,2,15.379584),-- [rare_67_a]
(20958,8760,1,1,2,3.043876),-- [unique_67_a]
(20959,4054,1,1,-1,59502),-- [necklace_of_black_ore_beads]
(20959,5478,1,1,-1,25403),-- [sealed_dark_crystal_leather_mail_pattern]
(20959,1807,1,1,-1,4028),-- [rp_soulshot_a]
(20959,57,1195,2431,0,700000),-- [adena]
(20959,12232,1,1,1,216.001044),-- [sealed_tallum_tunic_low]
(20959,5485,1,1,1,1250.548992),-- [sealed_tallum_tunic_texture]
(20959,12223,1,1,1,132.780816),-- [sealed_dark_crystal_robe_low]
(20959,5486,1,1,1,879.972156),-- [sealed_dark_crystal_robe_fabric]
(20959,12235,1,1,1,345.851604),-- [sealed_tallum_hose_low]
(20959,5489,1,1,1,1962.845388),-- [sealed_tallum_hose_fabric]
(20959,1871,1,1,2,81120.798288),-- [charcoal]
(20959,1866,1,1,2,54080.532192),-- [suede]
(20959,1877,1,1,2,3244.763004),-- [admantite_nugget]
(20959,4041,1,1,2,705.358288),-- [mold_hardener]
(20959,4040,1,1,2,1622.381502),-- [mold_lubricant]
(20959,4953,1,1,2,1563.075115),-- [rp_avadon_gloves_i]
(20959,5281,1,1,2,108.130047),-- [rp_adv_comp_bspiritshot_a]
(20959,8730,1,1,2,901.370923),-- [general_67_a]
(20959,8740,1,1,2,225.306831),-- [special_67_a]
(20959,8750,1,1,2,22.545043),-- [rare_67_a]
(20959,8760,1,1,2,4.738767),-- [unique_67_a]
(20960,4052,1,1,-1,58175),-- [earing_of_black_ore_piece]
(20960,5230,1,1,-1,2191),-- [rp_mithril_arrow]
(20960,4053,1,1,-1,70431),-- [ring_of_black_ore_gemstone]
(20960,57,652,1319,0,700000),-- [adena]
(20960,11932,1,1,1,79.271942),-- [lancia_low]
(20960,4115,1,1,1,1058.728058),-- [lancia_blade]
(20960,1873,1,1,2,16178.77374),-- [silver_nugget]
(20960,1868,1,1,2,80893.516758),-- [thread]
(20960,1876,1,1,2,8089.38687),-- [mithril_ore]
(20960,1895,1,1,2,11556.191541),-- [metallic_fiber]
(20960,4042,1,1,2,674.144901),-- [enria]
(20960,5230,1,1,2,53.847126),-- [rp_mithril_arrow]
(20960,5276,1,1,2,53.847126),-- [rp_adv_comp_spiritshot_a]
(20960,8729,1,1,2,539.351115),-- [general_64_a]
(20960,8739,1,1,2,134.793786),-- [special_64_a]
(20960,8749,1,1,2,13.549767),-- [rare_64_a]
(20960,8759,1,1,2,2.639565),-- [unique_64_a]
(20960,1343,10,30,2,57780.957705),-- [silver_arrow]
(20961,1884,1,3,-1,744103),-- [cord]
(20961,4053,1,1,-1,103658),-- [ring_of_black_ore_gemstone]
(20961,5230,1,1,-1,3224),-- [rp_mithril_arrow]
(20961,57,958,1943,0,700000),-- [adena]
(20961,12188,1,1,1,474.972605),-- [doom_boots_low]
(20961,4099,1,1,1,4008.777395),-- [doom_boots_part]
(20961,12189,1,1,1,474.972605),-- [blue_wolve's_boots_low]
(20961,4090,1,1,1,4008.777395),-- [blue_wolve's_boots_design]
(20961,12187,1,1,1,474.972605),-- [doom_gloves_low]
(20961,4091,1,1,1,4008.777395),-- [doom_gloves_part]
(20961,12190,1,1,1,474.972605),-- [blue_wolve's_gloves_low]
(20961,4096,1,1,1,4008.777395),-- [blue_wolve's_gloves_fabric]
(20961,1864,1,1,2,119056.63003),-- [stem]
(20961,1869,1,1,2,59528.19391),-- [iron_ore]
(20961,1878,1,1,2,23811.42289),-- [braided_hemp]
(20961,1884,1,1,2,36632.80924),-- [cord]
(20961,4039,1,1,2,1984.18432),-- [mold_glue]
(20961,5230,1,1,2,79.44488);-- [rp_mithril_arrow]

INSERT INTO `droplist` VALUES
(20961,3956,1,1,2,79.44488),-- [rp_blessed_spiritshot_a]
(20961,8326,1,1,2,22.04111),-- [rp_doom_crusher_i]
(20961,8729,1,1,2,793.72217),-- [general_64_a]
(20961,8739,1,1,2,198.36999),-- [special_64_a]
(20961,8749,1,1,2,19.86122),-- [rare_64_a]
(20961,8759,1,1,2,3.87536),-- [unique_64_a]
(20962,4054,1,1,-1,45467),-- [necklace_of_black_ore_beads]
(20962,5230,1,1,-1,3078),-- [rp_mithril_arrow]
(20962,4077,1,1,-1,103839),-- [doom_shield_fragment]
(20962,57,914,1854,0,700000),-- [adena]
(20962,12194,1,1,1,186.3056),-- [blue_wolve's_leather_mail_low]
(20962,4082,1,1,1,1926.1944),-- [blue_wolve's_leather_mail_texture]
(20962,12186,1,1,1,186.3056),-- [leather_mail_of_doom_low]
(20962,4083,1,1,1,1926.1944),-- [leather_mail_of_doom_design]
(20962,1865,1,1,2,56821.062477),-- [varnish]
(20962,1870,1,1,2,56821.062477),-- [coal]
(20962,1879,1,1,2,9470.11249),-- [cokes]
(20962,1875,1,1,2,3788.044996),-- [stone_of_purity]
(20962,4040,1,1,2,1136.387663),-- [mold_lubricant]
(20962,5230,1,1,2,75.698894),-- [rp_mithril_arrow]
(20962,3956,1,1,2,75.698894),-- [rp_blessed_spiritshot_a]
(20962,8326,1,1,2,21.056177),-- [rp_doom_crusher_i]
(20962,8729,1,1,2,757.634835),-- [general_64_a]
(20962,8739,1,1,2,189.376414),-- [special_64_a]
(20962,8749,1,1,2,18.989313),-- [rare_64_a]
(20962,8759,1,1,2,3.87537),-- [unique_64_a]
(20963,4116,1,1,-1,9589),-- [deadman's_glory_stone]
(20963,5479,1,1,-1,12984),-- [sealed_tallum_leather_mail_pattern]
(20963,5478,1,1,-1,18452),-- [sealed_dark_crystal_leather_mail_pattern]
(20963,57,868,1764,0,700000),-- [adena]
(20963,12224,1,1,1,353.041969),-- [sealed_dark_crystal_boots_low]
(20963,5496,1,1,1,1899.708031),-- [sealed_dark_crystal_boots_lining]
(20963,12231,1,1,1,353.041969),-- [sealed_tallum_boots_low]
(20963,5497,1,1,1,1899.708031),-- [sealed_tallum_boots_lining]
(20963,12221,1,1,1,353.041969),-- [sealed_dark_crystal_gloves_low]
(20963,5508,1,1,1,1899.708031),-- [sealed_dark_crystal_gloves_design]
(20963,12229,1,1,1,353.041969),-- [sealed_tallum_gloves_low]
(20963,5509,1,1,1,1899.708031),-- [sealed_tallum_gloves_design]
(20963,1869,1,1,2,64815.97998),-- [iron_ore]
(20963,1864,1,1,2,129632.16502),-- [stem]
(20963,1880,1,1,2,6481.53648),-- [steel]
(20963,5550,1,1,2,864.12284),-- [reinforcing_plate]
(20963,4043,1,1,2,2160.51216),-- [asofe]
(20963,4984,1,1,2,183.5287),-- [rp_blue_wolve's_leather_mail_i]
(20963,8730,1,1,2,720.17072),-- [general_67_a]
(20963,8740,1,1,2,180.04268),-- [special_67_a]
(20963,8750,1,1,2,18.04528),-- [rare_67_a]
(20963,8760,1,1,2,3.89614),-- [unique_67_a]
(20965,4089,1,1,-1,230094),-- [doom_helmet_pattern]
(20965,5482,1,1,-1,80357),-- [sealed_legging_of_dark_crystal_design]
(20965,4043,1,1,-1,202943),-- [asofe]
(20965,57,3002,6130,0,700000),-- [adena]
(20965,12345,1,1,1,1446.571137),-- [sealed_phoenix's_earing_low]
(20965,6341,1,1,1,10362.734767),-- [sealed_phoenix's_earing_gemstone]
(20965,12344,1,1,1,1085.966508),-- [sealed_phoenix's_necklace_low]
(20965,6343,1,1,1,8010.780019),-- [sealed_phoenix's_necklace_beads]
(20965,12346,1,1,1,2171.970427),-- [sealed_phoenix's_ring_low]
(20965,6345,1,1,1,14332.977142),-- [sealed_phoenix's_ring_gemstone]
(20965,1869,1,1,2,224798.068656),-- [iron_ore]
(20965,1864,1,3,2,224798.068656),-- [stem]
(20965,1880,1,1,2,22480.001544),-- [steel]
(20965,5550,1,1,2,2997.073968),-- [reinforcing_plate]
(20965,4043,1,1,2,7493.171616),-- [asofe]
(20965,4161,1,1,2,932.996232),-- [rp_blue_wolve's_tunic]
(20965,8730,1,1,2,2497.723872),-- [general_67_a]
(20965,8740,1,1,2,624.430968),-- [special_67_a]
(20965,8750,1,1,2,62.297088),-- [rare_67_a]
(20965,8760,1,1,2,12.1674),-- [unique_67_a]
(20966,4085,1,1,-1,149386),-- [tunic_of_doom_pattern]
(20966,4044,1,1,-1,286523),-- [thons]
(20966,1894,1,1,-1,301603),-- [crafted_leather]
(20966,57,4242,8646,0,700000),-- [adena]
(20966,12222,1,1,1,768.27439),-- [sealed_dark_crystal_leather_mail_low]
(20966,5478,1,1,1,4447.96352),-- [sealed_dark_crystal_leather_mail_pattern]
(20966,12230,1,1,1,472.27596),-- [sealed_tallum_leather_mail_low]
(20966,5479,1,1,1,3129.89261),-- [sealed_tallum_leather_mail_pattern]
(20966,12228,1,1,1,1230.12799),-- [sealed_legging_of_dark_crystal_low]
(20966,5482,1,1,1,6981.46553),-- [sealed_legging_of_dark_crystal_design]
(20966,1894,1,1,2,11136.12838),-- [crafted_leather]
(20966,4039,1,1,2,10579.07232),-- [mold_glue]
(20966,4041,1,1,2,2759.95957),-- [mold_hardener]
(20966,4044,1,1,2,10579.07232),-- [thons]
(20966,4617,1,1,2,437.58501),-- [dye_d4s4_c]
(20966,6037,1,3,2,317376.44916),-- [scroll_of_awake]
(20966,8731,1,1,2,2938.6312),-- [general_70_a]
(20966,8741,1,1,2,734.6578),-- [special_70_a]
(20966,8751,1,1,2,73.46578),-- [rare_70_a]
(20966,8761,1,1,2,14.97846),-- [unique_70_a]
(20967,5485,1,1,-1,53992),-- [sealed_tallum_tunic_texture]
(20967,5156,1,1,-1,8561),-- [rp_comp_soulshot_a]
(20967,4041,1,1,-1,55832),-- [mold_hardener]
(20967,57,3159,6468,0,700000),-- [adena]
(20967,12345,1,1,1,1525.567818),-- [sealed_phoenix's_earing_low]
(20967,6341,1,1,1,10928.639638),-- [sealed_phoenix's_earing_gemstone]
(20967,12344,1,1,1,1145.270712),-- [sealed_phoenix's_necklace_low]
(20967,6343,1,1,1,8448.245566),-- [sealed_phoenix's_necklace_beads]
(20967,12346,1,1,1,2290.580878),-- [sealed_phoenix's_ring_low]
(20967,6345,1,1,1,15115.695388),-- [sealed_phoenix's_ring_gemstone]
(20967,1867,1,3,2,175609.124592),-- [animal_skin]
(20967,1872,1,3,2,117072.627111),-- [animal_bone]
(20967,1882,1,1,2,58536.497481),-- [leather]
(20967,1894,1,1,2,9242.624226),-- [crafted_leather]
(20967,4042,1,1,2,4390.301685),-- [enria]
(20967,5001,1,1,2,201.214497),-- [rp_lancia_i]
(20967,8732,1,1,2,2194.966917),-- [general_75_s]
(20967,8742,1,1,2,548.833692),-- [special_75_s]
(20967,8752,1,1,2,54.809799),-- [rare_75_s]
(20968,5486,1,1,-1,46360),-- [sealed_dark_crystal_robe_fabric]
(20968,5480,1,1,-1,35156),-- [sealed_leather_mail_of_nightmare_fabric]
(20968,5481,1,1,-1,35156),-- [sealed_majestic_leather_mail_fabric]
(20968,57,3864,7887,0,700000),-- [adena]
(20968,12224,1,1,1,1575.622664),-- [sealed_dark_crystal_boots_low]
(20968,5496,1,1,1,8478.377336),-- [sealed_dark_crystal_boots_lining]
(20968,12231,1,1,1,1575.622664),-- [sealed_tallum_boots_low]
(20968,5497,1,1,1,8478.377336),-- [sealed_tallum_boots_lining]
(20968,12221,1,1,1,1575.622664),-- [sealed_dark_crystal_gloves_low]
(20968,5508,1,1,1,8478.377336),-- [sealed_dark_crystal_gloves_design]
(20968,12229,1,1,1,1575.622664),-- [sealed_tallum_gloves_low]
(20968,5509,1,1,1,8478.377336),-- [sealed_tallum_gloves_design]
(20968,1868,1,3,2,262985.596155),-- [thread]
(20968,1873,1,1,2,105194.238462),-- [silver_nugget]
(20968,5549,1,1,2,26298.343332),-- [iron_thread]
(20968,1889,1,1,2,17532.373077),-- [compound_braid]
(20968,4044,1,1,2,8765.970255),-- [thons]
(20968,5007,1,1,2,200.711088),-- [rp_hazard_bow_i]
(20968,729,1,1,2,29.414556),-- [scrl_of_ench_wp_a]
(20968,8732,1,1,2,2191.384422),-- [general_75_s]
(20968,8742,1,1,2,548.062389),-- [special_75_s]
(20968,8752,1,1,2,54.936009),-- [rare_75_s]
(20968,6036,1,1,2,8765.970255),-- [potion_of_acumen3]
(20969,5161,1,1,-1,13821),-- [rp_comp_spiritshot_a]
(20969,5487,1,1,-1,46678),-- [sealed_robe_of_nightmare_fabric]
(20969,729,1,1,-1,1152),-- [scrl_of_ench_wp_a]
(20969,57,5111,10430,0,700000),-- [adena]
(20969,12267,1,1,1,1301.84632),-- [sealed_boots_of_nightmare_low]
(20969,5502,1,1,1,8080.15368),-- [sealed_boots_of_nightmare_lining]
(20969,12260,1,1,1,1301.84632),-- [sealed_magestic_boots_low]
(20969,5503,1,1,1,8080.15368),-- [sealed_magestic_boots_lining]
(20969,12264,1,1,1,1301.84632),-- [sealed_gloves_of_nightmare_low]
(20969,5514,1,1,1,8080.15368),-- [sealed_gloves_of_nightmare_design]
(20969,12257,1,1,1,1301.84632),-- [sealed_magestic_gloves_low]
(20969,5515,1,1,1,8080.15368),-- [sealed_magestic_gloves_design]
(20969,1894,1,1,2,16786.690002),-- [crafted_leather]
(20969,4039,1,1,2,15947.402502),-- [mold_glue]
(20969,4041,1,1,2,4160.18028),-- [mold_hardener]
(20969,4044,1,1,2,15947.402502),-- [thons]
(20969,4150,1,1,2,9218.129613),-- [rp_avadon_gloves]
(20969,8732,1,1,2,3986.817054),-- [general_75_s]
(20969,8742,1,1,2,996.737835),-- [special_75_s]
(20969,8752,1,1,2,99.640212),-- [rare_75_s]
(20970,5489,1,1,-1,82857),-- [sealed_tallum_hose_fabric]
(20970,1895,1,3,-1,896811),-- [metallic_fiber]
(20970,4042,1,1,-1,104628),-- [enria]
(20970,57,3100,6312,0,700000),-- [adena]
(20970,12224,1,1,1,1262.464917),-- [sealed_dark_crystal_boots_low]
(20970,5496,1,1,1,6793.285083),-- [sealed_dark_crystal_boots_lining]
(20970,12231,1,1,1,1262.464917),-- [sealed_tallum_boots_low]
(20970,5497,1,1,1,6793.285083),-- [sealed_tallum_boots_lining]
(20970,12221,1,1,1,1262.464917),-- [sealed_dark_crystal_gloves_low]
(20970,5508,1,1,1,6793.285083),-- [sealed_dark_crystal_gloves_design]
(20970,12229,1,1,1,1262.464917),-- [sealed_tallum_gloves_low]
(20970,5509,1,1,1,6793.285083),-- [sealed_tallum_gloves_design]
(20970,10581,1,1,2,12010),-- [sb_improve_condition]
(20970,10584,1,1,2,12010),-- [sb_improve_movement]
(20970,10609,1,1,2,12010),-- [sb_chant_of_critical]
(20970,14217,1,1,2,12010),-- [sb_condition_of_paagrio1]
(20971,1877,1,1,-1,266382),-- [admantite_nugget]
(20971,1876,1,3,-1,665954),-- [mithril_ore]
(20971,1895,1,5,-1,634242),-- [metallic_fiber]
(20971,57,3285,6703,0,700000),-- [adena]
(20971,12225,1,1,1,1700.46408),-- [sealed_dark_crystal_shield_low]
(20971,5494,1,1,1,8606.82896),-- [sealed_dark_crystal_shield_fragment]
(20971,12226,1,1,1,1191.31136),-- [sealed_dark_crystal_helmet_low]
(20971,5525,1,1,1,6335.02944),-- [sealed_dark_crystal_helmet_design]
(20971,12234,1,1,1,1191.31136),-- [sealed_tallum_bonnet_low]
(20971,5526,1,1,1,6335.0548),-- [sealed_tallum_bonnet_design]
(20971,12768,1,1,2,19671.5),-- [sb_evasion_counter1]
(20971,12769,1,1,2,19671.5),-- [sb_evasion_chance1]
(20972,4077,1,1,-1,310559),-- [doom_shield_fragment]
(20972,4087,1,1,-1,162002),-- [hose_of_doom_pattern]
(20972,5494,1,1,-1,144990),-- [sealed_dark_crystal_shield_fragment]
(20972,57,3405,6948,0,700000),-- [adena]
(20972,12224,1,1,1,1388.386223),-- [sealed_dark_crystal_boots_low]
(20972,5496,1,1,1,7470.863777),-- [sealed_dark_crystal_boots_lining]
(20972,12231,1,1,1,1388.386223),-- [sealed_tallum_boots_low]
(20972,5497,1,1,1,7470.863777),-- [sealed_tallum_boots_lining]
(20972,12221,1,1,1,1388.386223),-- [sealed_dark_crystal_gloves_low]
(20972,5508,1,1,1,7470.863777),-- [sealed_dark_crystal_gloves_design]
(20972,12229,1,1,1,1388.386223),-- [sealed_tallum_gloves_low]
(20972,5509,1,1,1,7470.863777),-- [sealed_tallum_gloves_design]
(20972,12771,1,1,2,20392.5),-- [sb_shadow_step1]
(20972,12770,1,1,2,20392.5),-- [sb_evasion_haste1]
(20973,4078,1,1,-1,128365),-- [blue_wolve's_breastplate_part]
(20973,5166,1,1,-1,11717),-- [rp_comp_bspiritshot_a]
(20973,5496,1,1,-1,206046),-- [sealed_dark_crystal_boots_lining]
(20973,57,4332,8850,0,700000),-- [adena]
(20973,12345,1,1,1,2088.018),-- [sealed_phoenix's_earing_low]
(20973,6341,1,1,1,14957.838),-- [sealed_phoenix's_earing_gemstone]
(20973,12344,1,1,1,1567.512),-- [sealed_phoenix's_necklace_low]
(20973,6343,1,1,1,11562.966),-- [sealed_phoenix's_necklace_beads]
(20973,12346,1,1,1,3135.078),-- [sealed_phoenix's_ring_low]
(20973,6345,1,1,1,20688.588),-- [sealed_phoenix's_ring_gemstone]
(20973,1872,1,3,2,180263.991168),-- [animal_bone]
(20973,1867,1,3,2,120175.994112),-- [animal_skin]
(20973,1881,1,1,2,36052.94301),-- [coarse_bone_powder]
(20973,1875,1,1,2,18026.471505),-- [stone_of_purity]
(20973,4041,1,1,2,2351.168736),-- [mold_hardener]
(20973,4982,1,1,2,1345.334697),-- [rp_blue_wolve's_gaiters_i]
(20973,4624,1,1,2,372.79923),-- [dye_w4m4_c]
(20973,8314,1,1,2,147.671928),-- [rp_eye_of_soul_i]
(20973,8731,1,1,2,2503.545897),-- [general_70_a]
(20973,8741,1,1,2,625.795989),-- [special_70_a]
(20973,8751,1,1,2,62.615793),-- [rare_70_a]
(20973,8761,1,1,2,12.667935),-- [unique_70_a]
(20974,5230,1,1,-1,6478),-- [rp_mithril_arrow]
(20974,4052,1,1,-1,172021),-- [earing_of_black_ore_piece]
(20974,57,1925,3904,0,700000),-- [adena]
(20974,268,1,1,1,14.22225),-- [bellion_cestus]
(20974,4120,1,1,1,3135.77775),-- [bellion_cestus_edge]
(20974,1871,1,1,2,130472.173904),-- [charcoal]
(20974,1866,1,1,2,86981.525808),-- [suede]
(20974,1877,1,1,2,5218.942064),-- [admantite_nugget]
(20974,4041,1,1,2,1134.532656),-- [mold_hardener]
(20974,4040,1,1,2,2609.356224),-- [mold_lubricant]
(20974,4164,1,1,2,864.045008),-- [rp_hose_of_doom]
(20974,730,1,1,2,108.837984),-- [scrl_of_ench_am_a]
(20974,8729,1,1,2,1739.570816),-- [general_64_a]
(20974,8739,1,1,2,434.892704),-- [special_64_a]
(20974,8749,1,1,2,43.397424),-- [rare_64_a]
(20974,8759,1,1,2,8.725408),-- [unique_64_a]
(20975,5230,1,1,-1,5745),-- [rp_mithril_arrow]
(20975,4078,1,1,-1,62938),-- [blue_wolve's_breastplate_part]
(20975,4053,1,1,-1,184685),-- [ring_of_black_ore_gemstone]
(20975,57,1709,3460,0,700000),-- [adena]
(20975,110,1,1,1,65.287158),-- [doom_shield]
(20975,4077,1,1,1,9542.81055),-- [doom_shield_fragment]
(20975,2416,1,1,1,45.703584),-- [blue_wolve's_helmet]
(20975,4088,1,1,1,8017.247562),-- [blue_wolve's_helmet_design]
(20975,2417,1,1,1,45.703584),-- [doom_helmet]
(20975,4089,1,1,1,8017.247562),-- [doom_helmet_pattern]
(20975,1866,1,1,2,77134.926962),-- [suede]
(20975,1871,1,1,2,115702.390443),-- [charcoal]
(20975,5220,1,1,2,4628.187966),-- [reinforcing_agent]
(20975,1885,1,1,2,9641.930001),-- [high_grade_suede]
(20975,4041,1,1,2,1006.083206),-- [mold_hardener]
(20975,1830,1,1,2,46280.853568),-- [scroll_of_escape_to_castle]
(20975,5276,1,1,2,154.170323),-- [rp_adv_comp_spiritshot_a]
(20975,8729,1,1,2,1542.729322),-- [general_64_a]
(20975,8739,1,1,2,385.554069),-- [special_64_a]
(20975,8749,1,1,2,38.47845),-- [rare_64_a]
(20975,8759,1,1,2,7.69569),-- [unique_64_a]
(20976,4080,1,1,-1,75035),-- [blue_wolve's_gaiters_material]
(20976,5230,1,1,-1,4864),-- [rp_mithril_arrow]
(20976,4054,1,1,-1,71850),-- [necklace_of_black_ore_beads]
(20976,57,1447,2930,0,700000),-- [adena]
(20976,358,1,1,1,14.51284),-- [blue_wolve's_breastplate]
(20976,4078,1,1,1,2623.561905),-- [blue_wolve's_breastplate_part]
(20976,2381,1,1,1,8.93223),-- [doom_plate_armor]
(20976,4081,1,1,1,1770.249215),-- [doom_plate_armor_temper]
(20976,2380,1,1,1,23.21729),-- [blue_wolve's_gaiters]
(20976,4080,1,1,1,3694.52652),-- [blue_wolve's_gaiters_material]
(20976,1867,1,1,2,119724.213714),-- [animal_skin]
(20976,1872,1,1,2,119724.213714),-- [animal_bone]
(20976,1882,1,1,2,19953.969936),-- [leather]
(20976,1894,1,1,2,3150.81351),-- [crafted_leather]
(20976,4042,1,1,2,1496.390106),-- [enria]
(20976,5230,1,1,2,119.805792),-- [rp_mithril_arrow]
(20976,5276,1,1,2,119.805792),-- [rp_adv_comp_spiritshot_a]
(20976,8729,1,1,2,1197.269724),-- [general_64_a]
(20976,8739,1,1,2,299.120382),-- [special_64_a]
(20976,8749,1,1,2,29.951448),-- [rare_64_a]
(20976,8759,1,1,2,5.91147),-- [unique_64_a]
(20976,1343,10,30,2,128276.534412),-- [silver_arrow]
(20977,947,1,1,-1,2297),-- [scrl_of_ench_wp_b]
(20977,1876,1,3,-1,574367),-- [mithril_ore]
(20977,4052,1,1,-1,203352),-- [earing_of_black_ore_piece]
(20977,57,2276,4615,0,700000),-- [adena]
(20977,864,1,1,1,79.54051),-- [earing_of_black_ore]
(20977,4052,1,1,1,10010.64148),-- [earing_of_black_ore_piece]
(20977,926,1,1,1,59.662372),-- [necklace_of_black_ore]
(20977,4054,1,1,1,5569.2336),-- [necklace_of_black_ore_beads]
(20977,895,1,1,1,119.296786),-- [ring_of_black_ore]
(20977,4053,1,1,1,12119.625252),-- [ring_of_black_ore_gemstone]
(20977,1871,1,1,2,154235.660703),-- [charcoal]
(20977,1866,1,1,2,102823.864281),-- [suede]
(20977,1877,1,1,2,6169.491573),-- [admantite_nugget]
(20977,4041,1,1,2,1341.170217),-- [mold_hardener]
(20977,4040,1,1,2,3084.610068),-- [mold_lubricant]
(20977,4164,1,1,2,1021.417431),-- [rp_hose_of_doom]
(20977,730,1,1,2,128.661138),-- [scrl_of_ench_am_a]
(20977,8729,1,1,2,2056.406712),-- [general_64_a]
(20977,8739,1,1,2,514.101678),-- [special_64_a]
(20977,8749,1,1,2,51.301593),-- [rare_64_a]
(20977,8759,1,1,2,10.314606),-- [unique_64_a]
(20978,5230,1,1,-1,8195),-- [rp_mithril_arrow]
(20978,4081,1,1,-1,60581),-- [doom_plate_armor_temper]
(20978,57,2440,4935,0,700000),-- [adena]
(20978,79,1,1,1,5.99697),-- [sword_of_damascus]
(20978,4114,1,1,1,1324.74384),-- [sword_of_damascus_blade]
(20978,7883,1,1,1,5.99697),-- [guardians_sword]
(20978,8330,1,1,1,1322.51742),-- [guardians_sword_blade]
(20978,7889,1,1,1,5.99697),-- [tears_of_wizard]
(20978,8336,1,1,1,1324.74783),-- [tears_of_wizard_blade]
(20978,1868,1,1,2,330107.489394),-- [thread]
(20978,1873,1,1,2,66021.697158),-- [silver_nugget]
(20978,5549,1,1,2,16505.29974),-- [iron_thread]
(20978,1889,1,1,2,11003.699226),-- [compound_braid]
(20978,4044,1,1,2,5501.600514),-- [thons]
(20978,1830,1,1,2,66021.697158),-- [scroll_of_escape_to_castle]
(20978,3956,1,1,2,220.203516),-- [rp_blessed_spiritshot_a]
(20978,8729,1,1,2,2200.540566),-- [general_64_a]
(20978,8739,1,1,2,550.010592),-- [special_64_a]
(20978,8749,1,1,2,54.80178),-- [rare_64_a]
(20978,8759,1,1,2,10.960356),-- [unique_64_a]
(20979,4082,1,1,-1,61486),-- [blue_wolve's_leather_mail_texture]
(20979,5550,1,1,-1,72554),-- [reinforcing_plate]
(20979,57,2160,4369,0,700000),-- [adena]
(20979,171,1,1,1,5.309912),-- [deadman's_glory]
(20979,4116,1,1,1,1170.530588),-- [deadman's_glory_stone]
(20979,175,1,1,1,5.309912),-- [art_of_battle_axe]
(20979,4117,1,1,1,1170.530588),-- [art_of_battle_axe_blade]
(20979,210,1,1,1,5.309912),-- [staff_of_evil_sprit]
(20979,4118,1,1,1,1109.009088),-- [staff_of_evil_sprit_head]
(20979,1869,1,1,2,133945.27398),-- [iron_ore]
(20979,1864,1,3,2,133945.27398),-- [stem]
(20979,1880,1,1,2,13394.72001),-- [steel]
(20979,5550,1,1,2,1785.99477),-- [reinforcing_plate]
(20979,4043,1,1,2,4464.74616),-- [asofe]
(20979,5230,1,1,2,178.64763),-- [rp_mithril_arrow]
(20979,5276,1,1,2,178.64763),-- [rp_adv_comp_spiritshot_a]
(20979,8729,1,1,2,1785.99477),-- [general_64_a]
(20979,8739,1,1,2,446.37831),-- [special_64_a]
(20979,8749,1,1,2,44.78229),-- [rare_64_a]
(20979,8759,1,1,2,9.14907),-- [unique_64_a]
(20979,1343,10,30,2,191350.3914),-- [silver_arrow]
(20980,4041,1,1,-1,55038),-- [mold_hardener]
(20980,4039,1,1,-1,210979),-- [mold_glue]
(20980,4085,1,1,-1,109999),-- [tunic_of_doom_pattern]
(20980,57,2504,5090,0,700000),-- [adena]
(20980,5287,1,1,1,17.495295),-- [sealed_dark_crystal_breastplate]
(20980,5520,1,1,1,2009.454915),-- [sealed_dark_crystal_breastplate_pattern]
(20980,5293,1,1,1,10.769865),-- [sealed_tallum_plate_armor]
(20980,5521,1,1,1,1417.95138),-- [sealed_tallum_plate_armor_pattern]
(20980,5288,1,1,1,27.996405),-- [sealed_dark_crystal_gaiters]
(20980,5524,1,1,1,3071.33214),-- [sealed_dark_crystal_gaiters_pattern]
(20980,1869,2,6,2,42490.85418),-- [iron_ore]
(20980,1870,2,6,2,33992.50803),-- [coal]
(20980,1871,1,1,2,169962.54015),-- [charcoal]
(20980,1872,1,3,2,113308.506195),-- [animal_bone]
(20980,1867,1,3,2,75538.858035),-- [animal_skin]
(20980,4985,1,1,2,481.675215),-- [rp_leather_mail_of_doom_i]
(20980,8314,1,1,2,92.91642),-- [rp_eye_of_soul_i]
(20980,8730,1,1,2,1888.570065),-- [general_67_a]
(20980,8740,1,1,2,472.032945),-- [special_67_a]
(20980,8750,1,1,2,47.33478),-- [rare_67_a]
(20980,8760,1,1,2,9.203985),-- [unique_67_a]
(20981,4083,1,1,-1,67397),-- [leather_mail_of_doom_design]
(20981,5230,1,1,-1,7953),-- [rp_mithril_arrow]
(20981,4085,1,1,-1,103660),-- [tunic_of_doom_pattern]
(20981,57,2351,4805,0,700000),-- [adena]
(20981,358,1,1,1,23.728984),-- [blue_wolve's_breastplate]
(20981,4078,1,1,1,4289.612403),-- [blue_wolve's_breastplate_part]
(20981,2381,1,1,1,14.604498),-- [doom_plate_armor]
(20981,4081,1,1,1,2894.417309),-- [doom_plate_armor_temper]
(20981,2380,1,1,1,37.961054),-- [blue_wolve's_gaiters]
(20981,4080,1,1,1,6040.675752),-- [blue_wolve's_gaiters_material]
(20981,1869,1,1,2,160168.355966),-- [iron_ore]
(20981,1864,1,3,2,160168.355966),-- [stem]
(20981,1880,1,1,2,16016.999701),-- [steel]
(20981,5550,1,1,2,2135.408505),-- [reinforcing_plate]
(20981,4043,1,1,2,5339.136654),-- [asofe]
(20981,1830,1,1,2,64067.178282),-- [scroll_of_escape_to_castle]
(20981,8487,1,1,2,87.385593),-- [rp_hammer_of_destroyer_i]
(20981,8730,1,1,2,1779.712218),-- [general_67_a]
(20981,8740,1,1,2,444.722924),-- [special_67_a]
(20981,8750,1,1,2,44.308188),-- [rare_67_a]
(20981,8760,1,1,2,9.436003),-- [unique_67_a]
(20982,4084,1,1,-1,96257),-- [blue_wolve's_tunic_fabric]
(20982,5418,1,1,-1,8181),-- [rp_sealed_tallum_plate_armor_i]
(20982,4085,1,1,-1,96257),-- [tunic_of_doom_pattern]
(20982,57,2184,4462,0,700000),-- [adena]
(20982,2398,1,1,1,22.025234),-- [blue_wolve's_tunic]
(20982,4084,1,1,1,3555.266496),-- [blue_wolve's_tunic_fabric]
(20982,2399,1,1,1,22.025234),-- [tunic_of_doom]
(20982,4085,1,1,1,3555.266496),-- [tunic_of_doom_pattern]
(20982,2403,1,1,1,35.267296),-- [blue_wolve's_hose]
(20982,4086,1,1,1,4800.424148),-- [blue_wolve's_hose_pattern]
(20982,2404,1,1,1,35.267296),-- [hose_of_doom]
(20982,4087,1,1,1,4800.4578),-- [hose_of_doom_pattern]
(20982,1869,1,1,2,136335.691248),-- [iron_ore]
(20982,1864,1,3,2,136335.691248),-- [stem]
(20982,1880,1,1,2,13633.406716),-- [steel]
(20982,5550,1,1,2,1817.760494),-- [reinforcing_plate]
(20982,4043,1,1,2,4544.604246),-- [asofe]
(20982,1830,1,1,2,54534.438908),-- [scroll_of_escape_to_castle]
(20982,8487,1,1,2,74.302026),-- [rp_hammer_of_destroyer_i]
(20982,8730,1,1,2,1514.868082),-- [general_67_a]
(20982,8740,1,1,2,378.818526),-- [special_67_a]
(20982,8750,1,1,2,37.760046),-- [rare_67_a]
(20982,8760,1,1,2,7.714418),-- [unique_67_a]
(20982,1344,30,90,2,56806.944042),-- [mithril_arrow]
(20983,4080,1,1,-1,136641),-- [blue_wolve's_gaiters_material]
(20983,5549,1,1,-1,664283),-- [iron_thread]
(20983,5478,1,1,-1,55860),-- [sealed_dark_crystal_leather_mail_pattern]
(20983,57,3280,6679,0,700000),-- [adena]
(20983,5297,1,1,1,30.608253),-- [sealed_dark_crystal_leather_mail]
(20983,5478,1,1,1,3437.124093),-- [sealed_dark_crystal_leather_mail_pattern]
(20983,5301,1,1,1,18.827991),-- [sealed_tallum_leather_mail]
(20983,5479,1,1,1,2418.596739),-- [sealed_tallum_leather_mail_pattern]
(20983,5298,1,1,1,48.948237),-- [sealed_legging_of_dark_crystal]
(20983,5482,1,1,1,5394.894687),-- [sealed_legging_of_dark_crystal_design]
(20983,1867,1,3,2,148650.69776),-- [animal_skin]
(20983,1872,1,3,2,99100.56912),-- [animal_bone]
(20983,1882,1,1,2,49550.12864),-- [leather]
(20983,1894,1,1,2,7823.75376),-- [crafted_leather]
(20983,4042,1,1,2,3716.19728),-- [enria]
(20983,4199,1,1,2,170.26464),-- [rp_hazard_bow]
(20983,730,1,1,2,185.85664),-- [scrl_of_ench_am_a]
(20983,8731,1,1,2,2064.69264),-- [general_70_a]
(20983,8741,1,1,2,516.0952),-- [special_70_a]
(20983,8751,1,1,2,51.76544),-- [rare_70_a]
(20983,8761,1,1,2,9.97888),-- [unique_70_a]
(20984,5478,1,1,-1,51267),-- [sealed_dark_crystal_leather_mail_pattern]
(20984,4041,1,1,-1,53015),-- [mold_hardener]
(20984,57,3006,6139,0,700000),-- [adena]
(20984,5304,1,1,1,28.091952),-- [sealed_tallum_tunic]
(20984,5485,1,1,1,3154.558512),-- [sealed_tallum_tunic_texture]
(20984,5308,1,1,1,17.280144),-- [sealed_dark_crystal_robe]
(20984,5486,1,1,1,2219.764176),-- [sealed_dark_crystal_robe_fabric]
(20984,5305,1,1,1,44.924208),-- [sealed_tallum_hose]
(20984,5489,1,1,1,4951.381008),-- [sealed_tallum_hose_fabric]
(20984,1870,1,1,2,187591.547868),-- [coal]
(20984,1865,1,1,2,187591.547868),-- [varnish]
(20984,1874,1,1,2,12506.022528),-- [oriharukon_ore]
(20984,4043,1,1,2,6253.011264),-- [asofe]
(20984,4039,1,1,2,6253.011264),-- [mold_glue]
(20984,5156,1,1,2,250.05592),-- [rp_comp_soulshot_a]
(20984,729,1,1,2,20.972432),-- [scrl_of_ench_wp_a]
(20984,5420,1,1,2,182.298832),-- [rp_sealed_armor_of_nightmare_i]
(20984,8730,1,1,2,2084.337088),-- [general_67_a]
(20984,8740,1,1,2,521.084272),-- [special_67_a]
(20984,8750,1,1,2,52.027764),-- [rare_67_a]
(20984,8760,1,1,2,10.0829),-- [unique_67_a]
(20985,1807,1,1,-1,8655),-- [rp_soulshot_a]
(20985,5479,1,1,-1,38410),-- [sealed_tallum_leather_mail_pattern]
(20985,3035,1,1,-1,8655),-- [rp_spiritshot_a]
(20985,57,3201,6536,0,700000),-- [adena]
(20985,6324,1,1,1,79.494664),-- [sealed_phoenix's_earing]
(20985,6341,1,1,1,11048.10728),-- [sealed_phoenix's_earing_gemstone]
(20985,6323,1,1,1,59.612216),-- [sealed_phoenix's_necklace]
(20985,6343,1,1,1,8540.600384),-- [sealed_phoenix's_necklace_beads]
(20985,6325,1,1,1,119.224432),-- [sealed_phoenix's_ring]
(20985,6345,1,1,1,15280.961024),-- [sealed_phoenix's_ring_gemstone]
(20985,1871,1,3,2,72629.206225),-- [charcoal]
(20985,1866,1,1,2,145258.41245),-- [suede]
(20985,1877,1,1,2,8715.48985),-- [admantite_nugget]
(20985,4041,1,1,2,1894.525975),-- [mold_hardener]
(20985,4040,1,1,2,4357.744925),-- [mold_lubricant]
(20985,5161,1,1,2,290.4915),-- [rp_comp_spiritshot_a]
(20985,8730,1,1,2,2421.134925),-- [general_67_a]
(20985,8740,1,1,2,605.190625),-- [special_67_a]
(20985,8750,1,1,2,60.705275),-- [rare_67_a]
(20985,8760,1,1,2,12.290025),-- [unique_67_a]
(20985,1344,20,60,2,136179.808225),-- [mithril_arrow]
(20986,1984,1,1,-1,95413),-- [theca_leather_mail_pattern]
(20986,4043,1,1,-1,148367),-- [asofe]
(20986,1806,1,1,-1,8902),-- [rp_soulshot_b]
(20986,57,1758,3581,0,700000),-- [adena]
(20986,2497,1,1,1,284.530887),-- [full_plate_shield]
(20986,2966,1,1,1,22482.996417),-- [full_plate_shield_fragment]
(20986,2414,1,1,1,199.167903),-- [full_plate_helmet]
(20986,2959,1,1,1,14212.304793),-- [full_plate_helmet_design]
(20986,1894,1,1,2,5242.291475),-- [crafted_leather]
(20986,4039,1,1,2,4980.167415),-- [mold_glue]
(20986,4041,1,1,2,1299.16091),-- [mold_hardener]
(20986,4044,1,1,2,4980.167415),-- [thons]
(20986,4180,1,1,2,16600.55805),-- [rp_silver_arrow]
(20986,4184,1,1,2,172.11852),-- [rp_sprite's_staff]
(20986,5436,1,1,2,243.720735),-- [rp_berserker_blade]
(20986,8726,1,1,2,3458.45908),-- [general_55_c]
(20986,8736,1,1,2,864.61477),-- [special_55_c]
(20986,8746,1,1,2,86.476655),-- [rare_55_c]
(20986,8756,1,1,2,17.264975),-- [unique_55_c]
(20987,1918,1,1,-1,174977),-- [nassen's_earing_gemstone]
(20987,4039,1,1,-1,134674),-- [mold_glue]
(20987,1864,1,17,-1,897829),-- [stem]
(20987,57,1599,3249,0,700000),-- [adena]
(20987,301,1,1,1,13.521856),-- [scorpion]
(20987,2113,1,1,1,1204.200775),-- [scorpion_blade]
(20987,303,1,1,1,13.521856),-- [widow_maker]
(20987,2114,1,1,1,1204.200775),-- [widow_maker_head]
(20987,299,1,1,1,10.549626),-- [orcish_poleaxe]
(20987,2122,1,1,1,1135.005112),-- [orcish_poleaxe_blade]
(20987,1864,1,3,2,124314.583522),-- [stem]
(20987,1869,1,1,2,124314.583522),-- [iron_ore]
(20987,1878,1,1,2,49725.756723),-- [braided_hemp]
(20987,1884,1,1,2,76501.370651),-- [cord]
(20987,4039,1,1,2,4143.717203),-- [mold_glue]
(20987,3034,1,1,2,248.461992),-- [rp_spiritshot_b]
(20987,5270,1,1,2,248.461992),-- [rp_adv_comp_soulshot_b]
(20987,3955,1,1,2,248.461992),-- [rp_blessed_spiritshot_b]
(20987,8726,1,1,2,2877.634645),-- [general_55_c]
(20987,8736,1,1,2,719.312804),-- [special_55_c]
(20987,8746,1,1,2,72.084652),-- [rare_55_c]
(20987,8756,1,1,2,14.570302),-- [unique_55_c]
(20988,1920,1,1,-1,152063),-- [necklace_of_binding_chain]
(20988,1806,1,1,-1,8888),-- [rp_soulshot_b]
(20988,1984,1,1,-1,95264),-- [theca_leather_mail_pattern]
(20988,57,1759,3573,0,700000),-- [adena]
(20988,400,1,1,1,86.136814),-- [theca_leather_mail]
(20988,1984,1,1,1,5862.097499),-- [theca_leather_mail_pattern]
(20988,401,1,1,1,40.779843),-- [drake_leather_mail]
(20988,1987,1,1,1,4172.210004),-- [drake_leather_mail_texture]
(20988,420,1,1,1,137.866252),-- [theca_leather_gaiters]
(20988,1985,1,1,1,9429.909588),-- [theca_leather_gaiters_pattern]
(20988,1865,1,1,2,136739.952216),-- [varnish]
(20988,1870,1,1,2,136739.952216),-- [coal]
(20988,1879,1,1,2,22790.150088),-- [cokes]
(20988,1875,1,1,2,9116.123256),-- [stone_of_purity]
(20988,4040,1,1,2,2734.931808),-- [mold_lubricant]
(20988,3955,1,1,2,273.42996),-- [rp_blessed_spiritshot_b]
(20988,5270,1,1,2,273.42996),-- [rp_adv_comp_soulshot_b]
(20988,4127,1,1,2,3384.525528),-- [rp_adamantite_ring]
(20988,8726,1,1,2,3165.149352),-- [general_55_c]
(20988,8736,1,1,2,791.208312),-- [special_55_c]
(20988,8746,1,1,2,79.026),-- [rare_55_c]
(20988,8756,1,1,2,16.121304),-- [unique_55_c]
(20989,1825,1,1,-1,77195),-- [rp_oriharukon]
(20989,1902,1,1,-1,109496),-- [elven_earing_beads]
(20989,1871,1,3,-1,540365),-- [charcoal]
(20989,57,457,912,0,700000),-- [adena]
(20989,352,1,1,1,81.068852),-- [brigandine]
(20989,1941,1,1,1,3702.742851),-- [brigandine_temper]
(20989,2377,1,1,1,129.676963),-- [mithril_scale_gaiters]
(20989,2918,1,1,1,5523.924731),-- [mithril_scale_gaiters_material]
(20989,2378,1,1,1,129.676963),-- [brigandine_gaiters]
(20989,2919,1,1,1,5523.90964),-- [brigandine_gaiters_material]
(20989,1866,1,1,2,62072.612958),-- [suede]
(20989,1871,1,1,2,93108.829454),-- [charcoal]
(20989,5220,1,1,2,3724.39637),-- [reinforcing_agent]
(20989,1885,1,1,2,7759.054124),-- [high_grade_suede]
(20989,2146,1,1,2,6650.64353),-- [rp_artisan's_frame]
(20989,5473,1,1,2,6650.463564),-- [rp_reinforcing_plate]
(20990,1882,1,1,-1,227993),-- [leather]
(20990,1903,1,1,-1,171137),-- [elven_ring_piece]
(20990,2145,1,1,-1,73283),-- [rp_mithirl_alloy]
(20990,57,434,866,0,700000),-- [adena]
(20990,437,1,1,1,154.167822),-- [mithril_tunic]
(20990,1944,1,1,1,6762.752964),-- [mithril_tunic_fabric]
(20990,470,1,1,1,246.21201),-- [mithril_hose]
(20990,1945,1,1,1,10530.867204),-- [mithril_hose_design]
(20990,1867,1,1,2,101018.567302),-- [animal_skin]
(20990,1872,1,1,2,101018.567302),-- [animal_bone]
(20990,1882,1,1,2,16836.50909),-- [leather]
(20990,1894,1,1,2,2658.370528),-- [crafted_leather]
(20990,2147,1,1,2,5411.752466),-- [rp_blacksmith's_frame]
(20990,2194,1,1,2,7746.596962),-- [rp_mithril_glove]
(20990,1341,10,30,2,252547.63635),-- [bone_arrow]
(20991,2064,1,1,-1,31742),-- [war_pick_head]
(20991,1908,1,1,-1,388880),-- [moonstone_earing_wire]
(20991,1909,1,1,-1,554567),-- [aquastone_ring_wire]
(20991,57,1624,3299,0,700000),-- [adena]
(20991,354,1,1,1,249.723584),-- [chain_mail_shirt]
(20991,1959,1,1,1,13069.055648),-- [chain_mail_shirt_material]
(20991,381,1,1,1,399.493248),-- [chain_gaiters]
(20991,1960,1,1,1,26585.72752),-- [chain_gaiters_part]
(20991,1875,1,1,2,11762.627883),-- [stone_of_purity]
(20991,1879,1,1,2,29406.526596),-- [cokes]
(20991,1885,1,1,2,14703.263298),-- [high_grade_suede]
(20991,5550,1,1,2,2352.508332),-- [reinforcing_plate]
(20991,5549,1,1,2,17643.898713),-- [iron_thread]
(20991,4556,1,1,2,705.735255),-- [dye_c1c1_c]
(20991,3021,1,1,2,614.76999),-- [rp_dwarven_warhammer]
(20991,8723,1,1,2,7057.524996),-- [general_46_c]
(20991,8733,1,1,2,1764.381249),-- [special_46_c]
(20991,8743,1,1,2,176.412258),-- [rare_46_c]
(20991,8753,1,1,2,35.35143),-- [unique_46_c]
(20992,1908,1,1,-1,347561),-- [moonstone_earing_wire]
(20992,2163,1,1,-1,187257),-- [rp_earing_of_protection]
(20992,1909,1,1,-1,495644),-- [aquastone_ring_wire]
(20992,57,1445,2961,0,700000),-- [adena]
(20992,852,1,1,1,484.662831),-- [moonstone_earing]
(20992,1908,1,1,1,27378.64731),-- [moonstone_earing_wire]
(20992,915,1,1,1,363.654219),-- [aquastone_necklace]
(20992,1910,1,1,1,21770.957418),-- [aquastone_necklace_chain]
(20992,883,1,1,1,727.308438),-- [aquastone_ring]
(20992,1909,1,1,1,39043.769784),-- [aquastone_ring_wire]
(20992,1868,1,1,2,346922.71589),-- [thread]
(20992,1873,1,1,2,69384.543178),-- [silver_nugget]
(20992,5549,1,1,2,17346.252806),-- [iron_thread]
(20992,1889,1,1,2,11564.012522),-- [compound_braid]
(20992,2164,1,1,2,13343.055368),-- [rp_ring_of_protection]
(20992,2319,1,1,2,604.247386),-- [rp_raid_sword]
(20992,8723,1,1,2,6938.313904),-- [general_46_c]
(20992,8733,1,1,2,1734.578476),-- [special_46_c]
(20992,8743,1,1,2,173.645066),-- [rare_46_c]
(20992,8753,1,1,2,34.635404),-- [unique_46_c]
(20993,1869,1,9,-1,778937),-- [iron_ore]
(20993,1864,1,17,-1,865485),-- [stem]
(20993,2163,1,1,-1,198708),-- [rp_earing_of_protection]
(20993,57,1533,3142,0,700000),-- [adena]
(20993,62,1,1,1,210.629136),-- [mithril_boots]
(20993,1958,1,1,1,9192.028128),-- [mithril_boots_design]
(20993,2429,1,1,1,210.629136),-- [chain_boots]
(20993,2937,1,1,1,9192.028128),-- [chain_boots_part]
(20993,2430,1,1,1,210.629136),-- [karmian_boots]
(20993,2938,1,1,1,9192.028128),-- [karmian_boots_fabric]
(20993,2431,1,1,1,210.629136),-- [plate_leather_boots]
(20993,2939,1,1,1,9192.028128),-- [plate_leather_boots_lining]
(20993,2432,1,1,1,210.629136),-- [dwarven_chain_boots]
(20993,2940,1,1,1,9192.028128),-- [dwarven_chain_boots_part]
(20993,2433,1,1,1,210.629136),-- [boots_of_seal]
(20993,2941,1,1,1,9192.028128),-- [boots_of_seal_pattern]
(20993,2452,1,1,1,210.629136),-- [reinforce_mithril_gloves]
(20993,2942,1,1,1,9192.028128),-- [reinforce_mithril_gloves_design]
(20993,2453,1,1,1,210.629136),-- [chain_gloves]
(20993,2943,1,1,1,9192.028128),-- [chain_gloves_design]
(20993,2454,1,1,1,210.629136),-- [karmian_gloves]
(20993,2944,1,1,1,9192.112752),-- [karmian_gloves_fabric]
(20993,1869,1,1,2,184068.875197),-- [iron_ore]
(20993,1864,1,3,2,184068.875197),-- [stem]
(20993,1880,1,1,2,18406.846908),-- [steel]
(20993,5550,1,1,2,2454.165031),-- [reinforcing_plate]
(20993,2165,1,1,2,7052.627822),-- [rp_necklace_of_protection]
(20993,2318,1,1,2,641.258743),-- [rp_spirits_sword]
(20993,8723,1,1,2,7362.90121),-- [general_46_c]
(20993,8733,1,1,2,1840.522244),-- [special_46_c]
(20993,8743,1,1,2,183.971001),-- [rare_46_c]
(20993,8753,1,1,2,36.956647),-- [unique_46_c]
(20994,4043,1,1,-1,148005),-- [asofe]
(20994,4044,1,1,-1,148005),-- [thons]
(20994,2169,1,1,-1,78587),-- [rp_necklace_of_binding]
(20994,57,1756,3570,0,700000),-- [adena]
(20994,265,1,1,1,55.568302),-- [fist_blade]
(20994,2108,1,1,1,4917.431698),-- [fist_blade_piece]
(20994,1894,1,1,2,5857.07314),-- [crafted_leather]
(20994,4039,1,1,2,5564.22965),-- [mold_glue]
(20994,4041,1,1,2,1451.54259),-- [mold_hardener]
(20994,4044,1,1,2,5564.22965),-- [thons]
(20994,3015,1,1,2,4662.75565),-- [rp_drake_leather_gloves]
(20994,4186,1,1,2,192.32575),-- [rp_sword_of_valhalla]
(20994,3016,1,1,2,4662.75565),-- [rp_full_plate_gauntlet]
(20994,8725,1,1,2,4636.8298),-- [general_52_c]
(20994,8735,1,1,2,1159.20745),-- [special_52_c]
(20994,8745,1,1,2,115.93769),-- [rare_52_c]
(20994,8755,1,1,2,23.11298),-- [unique_52_c]
(20995,1911,1,1,-1,250980),-- [earing_of_protection_gemstone]
(20995,2166,1,1,-1,114387),-- [rp_earing_of_binding]
(20995,1966,1,1,-1,123199),-- [plate_leather_fragment]
(20995,57,1334,2712,0,700000),-- [adena]
(20995,2496,1,1,1,414.964881),-- [dwarven_chain_shield]
(20995,2947,1,1,1,17798.409681),-- [dwarven_chain_shield_fragment]
(20995,632,1,1,1,383.073611),-- [knight_shield]
(20995,1972,1,1,1,19934.20587),-- [knight_shield_fragment]
(20995,500,1,1,1,268.210986),-- [great_helmet]
(20995,1971,1,1,1,15254.134971),-- [great_helmet_material]
(20995,1870,1,1,2,135920.991656),-- [coal]
(20995,1865,1,1,2,135920.991656),-- [varnish]
(20995,1874,1,1,2,9061.355868),-- [oriharukon_ore]
(20995,4043,1,1,2,4530.677934),-- [asofe]
(20995,4039,1,1,2,4530.677934),-- [mold_glue]
(20995,2222,1,1,2,849.399982),-- [rp_composite_armor]
(20995,8724,1,1,2,4530.677934),-- [general_49_c]
(20995,8734,1,1,2,1132.751188),-- [special_49_c]
(20995,8744,1,1,2,113.405846),-- [rare_49_c]
(20995,8754,1,1,2,22.550442),-- [unique_49_c]
(20995,1539,1,1,2,30204.51956),-- [greater_healing_potion]
(20996,1914,1,1,-1,95679),-- [earing_of_binding_gemstone]
(20996,1864,1,7,-1,851546),-- [stem]
(20996,1869,1,3,-1,851546),-- [iron_ore]
(20996,57,674,1369,0,700000),-- [adena]
(20996,265,1,1,1,21.319992),-- [fist_blade]
(20996,2108,1,1,1,1886.680008),-- [fist_blade_piece]
(20996,1864,1,1,2,128053.300403),-- [stem]
(20996,1869,1,1,2,64026.782373),-- [iron_ore]
(20996,1878,1,1,2,25610.607212),-- [braided_hemp]
(20996,1884,1,1,2,39401.117179),-- [cord]
(20996,4039,1,1,2,2134.305382),-- [mold_glue]
(20996,2169,1,1,2,1133.238441),-- [rp_necklace_of_binding]
(20996,3019,1,1,2,1707.391437),-- [rp_full_plate_shield]
(20996,8725,1,1,2,1778.499704),-- [general_52_c]
(20996,8735,1,1,2,444.624926),-- [special_52_c]
(20996,8745,1,1,2,44.409624),-- [rare_52_c]
(20996,8755,1,1,2,8.723319),-- [unique_52_c]
(20997,4601,1,1,-1,3371),-- [dye_s3c3_c]
(20997,1539,1,1,-1,337056),-- [greater_healing_potion]
(20997,1915,1,1,-1,133634),-- [ring_of_ages_gemstone]
(20997,57,601,1220,0,700000),-- [adena]
(20997,60,1,1,1,51.11631),-- [composite_armor]
(20997,1977,1,1,1,4638.88369),-- [composite_armor_temper]
(20997,1873,1,1,2,22808.54148),-- [silver_nugget]
(20997,1868,1,1,2,114042.877334),-- [thread]
(20997,1876,1,1,2,11404.27074),-- [mithril_ore]
(20997,1895,1,1,2,16291.912448),-- [metallic_fiber]
(20997,4042,1,1,2,950.440862),-- [enria]
(20997,2170,1,1,2,1344.857676),-- [rp_nassen's_earing]
(20997,3012,1,1,2,1063.78684),-- [rp_full_plate_helmet]
(20997,8725,1,1,2,1583.954814),-- [general_52_c]
(20997,8735,1,1,2,395.94622),-- [special_52_c]
(20997,8745,1,1,2,39.594622),-- [rare_52_c]
(20997,8755,1,1,2,7.816964),-- [unique_52_c]
(20998,2169,1,1,-1,29606),-- [rp_necklace_of_binding]
(20998,1916,1,1,-1,71182),-- [necklace_of_mermaid_teardrop]
(20998,2170,1,1,-1,39452),-- [rp_nassen's_earing]
(20998,57,664,1343,0,700000),-- [adena]
(20998,162,1,1,1,2.617434),-- [war_axe]
(20998,2097,1,1,1,231.636168),-- [war_axe_blade]
(20998,174,1,1,1,2.617434),-- [nirvana_axe]
(20998,2098,1,1,1,231.636168),-- [nirvana_axe_blade]
(20998,196,1,1,1,2.617434),-- [stick_of_eternity]
(20998,2099,1,1,1,243.779598),-- [stick_of_eternity_shaft]
(20998,197,1,1,1,2.617434),-- [paradia_staff]
(20998,2100,1,1,1,243.779598),-- [paradia_staff_head]
(20998,199,1,1,1,2.617434),-- [paagrio_hammer]
(20998,2102,1,1,1,235.035558),-- [paagrio_hammer_head]
(20998,200,1,1,1,2.617434),-- [sage's_staff]
(20998,2103,1,1,1,243.779598),-- [sage's_staff_head]
(20998,201,1,1,1,2.617434),-- [club_of_nature]
(20998,2104,1,1,1,243.779598),-- [club_of_nature_head]
(20998,202,1,1,1,2.617434),-- [mace_of_underworld]
(20998,2105,1,1,1,231.634242),-- [mace_of_underworld_head]
(20998,1871,1,1,2,53211.674628),-- [charcoal]
(20998,1866,1,1,2,35474.449752),-- [suede]
(20998,1877,1,1,2,2128.493556),-- [admantite_nugget]
(20998,4041,1,1,2,462.665448),-- [mold_hardener]
(20998,4040,1,1,2,1064.163744),-- [mold_lubricant]
(20998,2231,1,1,2,229.339908),-- [rp_full_plate_armor]
(20998,5155,1,1,2,106.449588),-- [rp_comp_soulshot_b]
(20998,6669,1,1,2,12374.723088),-- [key_of_treasure_box5]
(20998,8725,1,1,2,1478.171268),-- [general_52_c]
(20998,8735,1,1,2,369.5013),-- [special_52_c]
(20998,8745,1,1,2,37.033164),-- [rare_52_c]
(20998,8755,1,1,2,7.47306),-- [unique_52_c]
(20998,1832,1,1,2,59123.861496),-- [advanced_antidote]
(20999,1918,1,1,-1,86067),-- [nassen's_earing_gemstone]
(20999,1868,1,9,-1,794915),-- [thread]
(20999,1873,1,1,-1,794915),-- [silver_nugget]
(20999,57,787,1598,0,700000),-- [adena]
(20999,228,1,1,1,15.564262),-- [crystal_dagger]
(20999,2119,1,1,1,1671.435738),-- [crystal_dagger_blade]
(20999,1868,1,1,2,122294.882784),-- [thread]
(20999,1873,1,1,2,24458.912092),-- [silver_nugget]
(20999,5549,1,1,2,6114.808604),-- [iron_thread]
(20999,1889,1,1,2,4076.431628),-- [compound_braid]
(20999,4044,1,1,2,2038.215814),-- [thons]
(20999,1806,1,1,2,122.321958),-- [rp_soulshot_b]
(20999,5270,1,1,2,122.321958),-- [rp_adv_comp_soulshot_b]
(20999,5280,1,1,2,122.321958),-- [rp_adv_comp_bspiritshot_b]
(20999,8726,1,1,2,1415.485846),-- [general_55_c]
(20999,8736,1,1,2,353.911752),-- [special_55_c]
(20999,8746,1,1,2,35.45564),-- [rare_55_c]
(20999,8756,1,1,2,6.929966),-- [unique_55_c]
(21000,1865,1,3,-1,871346),-- [varnish]
(21000,1986,1,1,-1,18415),-- [full_plate_armor_temper]
(21000,1918,1,1,-1,75474),-- [nassen's_earing_gemstone]
(21000,57,688,1402,0,700000),-- [adena]
(21000,301,1,1,1,5.83392),-- [scorpion]
(21000,2113,1,1,1,519.544875),-- [scorpion_blade]
(21000,303,1,1,1,5.83392),-- [widow_maker]
(21000,2114,1,1,1,519.544875),-- [widow_maker_head]
(21000,299,1,1,1,4.55157),-- [orcish_poleaxe]
(21000,2122,1,1,1,489.69084),-- [orcish_poleaxe_blade]
(21000,1865,1,1,2,49496.61717),-- [varnish]
(21000,1870,1,1,2,49496.61717),-- [coal]
(21000,1879,1,1,2,8249.398344),-- [cokes]
(21000,1875,1,1,2,3299.736627),-- [stone_of_purity]
(21000,4040,1,1,2,989.955054),-- [mold_lubricant]
(21000,4182,1,1,2,57.003606),-- [rp_great_sword]
(21000,5160,1,1,2,99.018216),-- [rp_comp_spiritshot_b]
(21000,5436,1,1,2,80.736183),-- [rp_berserker_blade]
(21000,4146,1,1,2,317.267082),-- [rp_tunic_of_shrnoen]
(21000,8726,1,1,2,1145.74977),-- [general_55_c]
(21000,8736,1,1,2,286.494219),-- [special_55_c]
(21000,8746,1,1,2,28.615356),-- [rare_55_c]
(21000,8756,1,1,2,5.791203),-- [unique_55_c]
(21001,1988,1,1,-1,45373),-- [divine_tunic_fabric]
(21001,1895,1,1,-1,674702),-- [metallic_fiber]
(21001,4042,1,1,-1,39358),-- [enria]
(21001,57,933,1901,0,700000),-- [adena]
(21001,286,1,1,1,18.496289),-- [eminence_bow]
(21001,2121,1,1,1,2004.503711),-- [eminence_bow_shaft]
(21001,1873,1,1,2,24912.121482),-- [silver_nugget]
(21001,1868,1,1,2,124560.988542),-- [thread]
(21001,1876,1,1,2,12456.156024),-- [mithril_ore]
(21001,1895,1,1,2,17794.481382),-- [metallic_fiber]
(21001,4042,1,1,2,1038.013002),-- [enria]
(21001,4939,1,1,2,770.83947),-- [rp_adamantite_necklace_i]
(21001,4966,1,1,2,71.843382),-- [rp_kshanberk_i]
(21001,5165,1,1,2,124.630164),-- [rp_comp_bspiritshot_b]
(21001,4180,1,1,2,6920.023158),-- [rp_silver_arrow]
(21001,4971,1,1,2,71.843382),-- [rp_dark_elven_long_bow_i]
(21001,8726,1,1,2,1441.63179),-- [general_55_c]
(21001,8736,1,1,2,360.360306),-- [special_55_c]
(21001,8746,1,1,2,36.016974),-- [rare_55_c]
(21001,8756,1,1,2,7.050942),-- [unique_55_c]
(21002,1874,1,1,-1,139115),-- [oriharukon_ore]
(21002,2960,1,1,-1,113625),-- [drake_leather_boots_design]
(21002,4613,1,1,-1,2878),-- [dye_s4c4_c]
(21002,57,823,1681,0,700000),-- [adena]
(21002,11896,1,1,1,176.338195),-- [dark_elven_long_bow_low]
(21002,4112,1,1,1,1744.661805),-- [dark_elven_long_bow_shaft]
(21002,1872,1,1,2,68487.411027),-- [animal_bone]
(21002,1867,1,1,2,68487.411027),-- [animal_skin]
(21002,1881,1,1,2,6848.726101),-- [coarse_bone_powder]
(21002,1875,1,1,2,3424.438059),-- [stone_of_purity]
(21002,4041,1,1,2,446.600609),-- [mold_hardener]
(21002,4949,1,1,2,329.287315),-- [rp_tunic_of_shrnoen_i]
(21002,4992,1,1,2,638.922403),-- [rp_blue_wolve's_boots_i]
(21002,8311,1,1,2,39.154437),-- [rp_bone_of_kaim_vanul]
(21002,8727,1,1,2,1027.316416),-- [general_58_b]
(21002,8737,1,1,2,256.829104),-- [special_58_b]
(21002,8747,1,1,2,25.652907),-- [rare_58_b]
(21002,8757,1,1,2,5.250595),-- [unique_58_b]
(21003,2963,1,1,-1,104221),-- [full_plate_gauntlet_part]
(21003,4949,1,1,-1,12269),-- [rp_tunic_of_shrnoen_i]
(21003,4049,1,1,-1,100394),-- [adamantite_earing_gemstone]
(21003,57,755,1542,0,700000),-- [adena]
(21003,12159,1,1,1,645.406589),-- [shrnoen's_shield_low]
(21003,4101,1,1,1,4096.903655),-- [shrnoen's_shield_fragment]
(21003,12171,1,1,1,645.406589),-- [avadon_shield_low]
(21003,4439,1,1,1,4873.902926),-- [avadon_shield_fragment]
(21003,12160,1,1,1,451.572705),-- [shrnoen's_helmet_low]
(21003,4102,1,1,1,3174.108659),-- [shrnoen's_helmet_design]
(21003,12170,1,1,1,451.572705),-- [avadon_circlet_low]
(21003,4072,1,1,1,3174.126172),-- [avadon_circlet_pattern]
(21003,1866,1,1,2,28993.364988),-- [suede]
(21003,1871,1,1,2,43490.047482),-- [charcoal]
(21003,5220,1,1,2,1739.607051),-- [reinforcing_agent]
(21003,1885,1,1,2,3624.23502),-- [high_grade_suede]
(21003,4041,1,1,2,378.136248),-- [mold_hardener]
(21003,4963,1,1,2,50.100477),-- [rp_great_sword_i]
(21003,4999,1,1,2,540.9306),-- [rp_doom_boots_i]
(21003,4993,1,1,2,540.9306),-- [rp_doom_gloves_i]
(21003,8727,1,1,2,869.739129),-- [general_58_b]
(21003,8737,1,1,2,217.402584),-- [special_58_b]
(21003,8747,1,1,2,21.766017),-- [rare_58_b]
(21003,8757,1,1,2,4.378962),-- [unique_58_b]
(21003,1832,1,1,2,48322.360842),-- [advanced_antidote]
(21004,4951,1,1,-1,9324),-- [rp_avadon_robe_i]
(21004,1920,1,1,-1,72742),-- [necklace_of_binding_chain]
(21004,4129,1,1,-1,23007),-- [rp_earing_of_black_ore]
(21004,57,840,1710,0,700000),-- [adena]
(21004,12151,1,1,1,334.38911),-- [shrnoen's_leather_shirts_low]
(21004,4066,1,1,1,2467.60536),-- [shrnoen's_leather_shirts_fabric]
(21004,12165,1,1,1,205.220455),-- [avadon_leather_mail_low]
(21004,4068,1,1,1,1895.738075),-- [avadon_leather_mail_lining]
(21004,12150,1,1,1,535.366095),-- [shrnoen's_leather_gaiters_low]
(21004,4067,1,1,1,3746.680905),-- [shrnoen's_leather_gaiters_texture]
(21004,1873,1,1,2,20931.805038),-- [silver_nugget]
(21004,1868,1,1,2,104659.179444),-- [thread]
(21004,1876,1,1,2,10465.979646),-- [mithril_ore]
(21004,1895,1,1,2,14951.377458),-- [metallic_fiber]
(21004,4042,1,1,2,872.152116),-- [enria]
(21004,4129,1,1,2,566.266434),-- [rp_earing_of_black_ore]
(21004,4167,1,1,2,650.797626),-- [rp_blue_wolve's_boots]
(21004,4197,1,1,2,39.951786),-- [rp_demon's_sword]
(21004,8728,1,1,2,872.152116),-- [general_61_b]
(21004,8738,1,1,2,218.115156),-- [special_61_b]
(21004,8748,1,1,2,21.749814),-- [rare_61_b]
(21004,8758,1,1,2,4.473366),-- [unique_61_b]
(21005,947,1,1,-1,932),-- [scrl_of_ench_wp_b]
(21005,1880,1,1,-1,233106),-- [steel]
(21005,4050,1,1,-1,144427),-- [adamantite_ring_wire]
(21005,57,920,1876,0,700000),-- [adena]
(21005,11889,1,1,1,65.67673),-- [great_sword_low]
(21005,4104,1,1,1,656.773741),-- [great_sword_blade]
(21005,11916,1,1,1,65.67673),-- [kshanberk_low]
(21005,4107,1,1,1,646.596961),-- [kshanberk_blade]
(21005,11900,1,1,1,65.67673),-- [sword_of_valhalla_low]
(21005,4108,1,1,1,646.599108),-- [sword_of_valhalla_blade]
(21005,1873,1,1,2,22951.926277),-- [silver_nugget]
(21005,1868,1,1,2,114759.800526),-- [thread]
(21005,1876,1,1,2,11476.047709),-- [mithril_ore]
(21005,1895,1,1,2,16394.329707),-- [metallic_fiber]
(21005,4042,1,1,2,956.323214),-- [enria]
(21005,4129,1,1,2,620.916611),-- [rp_earing_of_black_ore]
(21005,4167,1,1,2,713.605879),-- [rp_blue_wolve's_boots]
(21005,4197,1,1,2,43.807519),-- [rp_demon's_sword]
(21005,8728,1,1,2,956.323214),-- [general_61_b]
(21005,8738,1,1,2,239.165374),-- [special_61_b]
(21005,8748,1,1,2,23.848881),-- [rare_61_b]
(21005,8758,1,1,2,4.905089),-- [unique_61_b]
(21006,4066,1,1,-1,52315),-- [shrnoen's_leather_shirts_fabric]
(21006,948,1,1,-1,5547),-- [scrl_of_ench_am_b]
(21006,4130,1,1,-1,36022),-- [rp_ring_of_black_ore]
(21006,57,878,1784,0,700000),-- [adena]
(21006,357,1,1,1,10.26675),-- [shrnoen's_breastplate]
(21006,4056,1,1,1,1483.347645),-- [shrnoen's_breastplate_part]
(21006,2376,1,1,1,10.26675),-- [avadon_breastplate]
(21006,4064,1,1,1,1483.347645),-- [avadon_breastplate_part]
(21006,383,1,1,1,16.4268),-- [shrnoen's_gaiters]
(21006,4057,1,1,1,2292.4512),-- [shrnoen's_gaiters_material]
(21006,2379,1,1,1,16.4268),-- [avadon_gaiters]
(21006,4065,1,1,1,2292.46641),-- [avadon_gaiters_material]
(21006,1869,1,1,2,54620.614071),-- [iron_ore]
(21006,1864,1,1,2,109241.401943),-- [stem]
(21006,1880,1,1,2,5462.044027),-- [steel]
(21006,5550,1,1,2,728.22619),-- [reinforcing_plate]
(21006,4043,1,1,2,1820.739276),-- [asofe]
(21006,4193,1,1,2,41.71224),-- [rp_lancia]
(21006,4173,1,1,2,679.388109),-- [rp_blue_wolve's_gloves]
(21006,5003,1,1,2,41.71224),-- [rp_art_of_battle_axe_i]
(21006,8728,1,1,2,910.369638),-- [general_61_b]
(21006,8738,1,1,2,227.505509),-- [special_61_b]
(21006,8748,1,1,2,22.767931),-- [rare_61_b]
(21006,8758,1,1,2,4.518826),-- [unique_61_b]
(21007,4981,1,1,-1,7411),-- [rp_blue_wolve's_breastplate_i]
(21007,4051,1,1,-1,92552),-- [adamantite_necklace_chain]
(21007,948,1,1,-1,5966),-- [scrl_of_ench_am_b]
(21007,57,946,1918,0,700000),-- [adena]
(21007,11918,1,1,1,100.842792),-- [heavy_war_axe_low]
(21007,4105,1,1,1,1008.430122),-- [heavy_war_axe_head]
(21007,11908,1,1,1,100.842792),-- [sprite's_staff_low]
(21007,4106,1,1,1,991.884294),-- [sprite's_staff_head]
(21007,1894,1,1,2,2061.183042),-- [crafted_leather]
(21007,4039,1,1,2,1958.116459),-- [mold_glue]
(21007,4041,1,1,2,510.800066),-- [mold_hardener]
(21007,4044,1,1,2,1958.116459),-- [thons]
(21007,4621,1,1,2,80.99681),-- [dye_m4i4_c]
(21007,4998,1,1,2,730.606088),-- [rp_blue_wolve's_gloves_i]
(21007,4166,1,1,2,485.460697),-- [rp_doom_helmet]
(21007,8728,1,1,2,979.021075),-- [general_61_b]
(21007,8738,1,1,2,244.773846),-- [special_61_b]
(21007,8748,1,1,2,24.447661),-- [rare_61_b]
(21007,8758,1,1,2,4.904394),-- [unique_61_b]
(21007,1832,1,1,2,65270.573403),-- [advanced_antidote]
(21008,4983,1,1,-1,6493),-- [rp_doom_plate_armor_i]
(21008,5230,1,1,-1,4078),-- [rp_mithril_arrow]
(21008,4052,1,1,-1,108272),-- [earing_of_black_ore_piece]
(21008,57,1213,2457,0,700000),-- [adena]
(21008,12188,1,1,1,600.607957),-- [doom_boots_low]
(21008,4099,1,1,1,5069.142043),-- [doom_boots_part]
(21008,12189,1,1,1,600.607957),-- [blue_wolve's_boots_low]
(21008,4090,1,1,1,5069.142043),-- [blue_wolve's_boots_design]
(21008,12187,1,1,1,600.607957),-- [doom_gloves_low]
(21008,4091,1,1,1,5069.142043),-- [doom_gloves_part]
(21008,12190,1,1,1,600.607957),-- [blue_wolve's_gloves_low]
(21008,4096,1,1,1,5069.142043),-- [blue_wolve's_gloves_fabric]
(21008,1867,1,1,2,109494.236229),-- [animal_skin]
(21008,1872,1,1,2,109494.236229),-- [animal_bone]
(21008,1882,1,1,2,18249.160958),-- [leather]
(21008,1894,1,1,2,2881.356877),-- [crafted_leather]
(21008,4042,1,1,2,1368.577644),-- [enria]
(21008,4983,1,1,2,174.355041),-- [rp_doom_plate_armor_i]
(21008,5276,1,1,2,109.42785),-- [rp_adv_comp_spiritshot_a]
(21008,8729,1,1,2,1095.008019),-- [general_64_a]
(21008,8739,1,1,2,273.812798),-- [special_64_a]
(21008,8749,1,1,2,27.478549),-- [rare_64_a]
(21008,8759,1,1,2,5.349806),-- [unique_64_a]
(21009,4104,1,1,-1,18708),-- [great_sword_blade]
(21009,948,1,1,-1,8173),-- [scrl_of_ench_am_b]
(21009,4052,1,1,-1,115743),-- [earing_of_black_ore_piece]
(21009,57,1297,2625,0,700000),-- [adena]
(21009,12204,1,1,1,214.314874),-- [blue_wolve's_breastplate_low]
(21009,4078,1,1,1,2350.979085),-- [blue_wolve's_breastplate_part]
(21009,12184,1,1,1,131.920877),-- [doom_plate_armor_low]
(21009,4081,1,1,1,1586.320568),-- [doom_plate_armor_temper]
(21009,12193,1,1,1,342.806967),-- [blue_wolve's_gaiters_low]
(21009,4080,1,1,1,3310.657629),-- [blue_wolve's_gaiters_material]
(21009,1865,1,1,2,87787.21732),-- [varnish]
(21009,1870,1,1,2,87787.21732),-- [coal]
(21009,1879,1,1,2,14631.236136),-- [cokes]
(21009,1875,1,1,2,5852.414656),-- [stone_of_purity]
(21009,4040,1,1,2,1755.764296),-- [mold_lubricant]
(21009,5004,1,1,2,67.030656),-- [rp_staff_of_evil_sprit_i]
(21009,5281,1,1,2,117.104152),-- [rp_adv_comp_bspiritshot_a]
(21009,8729,1,1,2,1170.443032),-- [general_64_a]
(21009,8739,1,1,2,292.660632),-- [special_64_a]
(21009,8749,1,1,2,29.325912),-- [rare_64_a]
(21009,8759,1,1,2,5.585888),-- [unique_64_a]
(21010,4621,1,1,-1,3620),-- [dye_m4i4_c]
(21010,5230,1,1,-1,3500),-- [rp_mithril_arrow]
(21010,57,1042,2108,0,700000),-- [adena]
(21010,11933,1,1,1,126.65055),-- [bellion_cestus_low]
(21010,4120,1,1,1,1694.34945),-- [bellion_cestus_edge]
(21010,1868,1,1,2,119273.46406),-- [thread]
(21010,1873,1,1,2,23854.75954),-- [silver_nugget]
(21010,5549,1,1,2,5963.64818),-- [iron_thread]
(21010,1889,1,1,2,3975.82106),-- [compound_braid]
(21010,4044,1,1,2,1987.82712),-- [thons]
(21010,4129,1,1,2,645.42658),-- [rp_earing_of_black_ore]
(21010,4624,1,1,2,82.24226),-- [dye_w4m4_c]
(21010,3956,1,1,2,79.57314),-- [rp_blessed_spiritshot_a]
(21010,6670,1,1,2,9939.46924),-- [key_of_treasure_box6]
(21010,8729,1,1,2,795.23094),-- [general_64_a]
(21010,8739,1,1,2,198.84944),-- [special_64_a]
(21010,8749,1,1,2,19.85158),-- [rare_64_a]
(21010,8759,1,1,2,3.83686),-- [unique_64_a]
(21011,1884,1,1,-1,326755),-- [cord]
(21011,1832,1,1,-1,589975),-- [advanced_antidote]
(21011,1900,1,1,-1,58094),-- [enchanted_necklace_chain]
(21011,57,224,448,0,700000),-- [adena]
(21011,627,1,1,1,1078.49287),-- [aspis]
(21011,46,1,1,1,755.50713),-- [bronze_helmet]
(21011,1864,1,1,2,72539.733448),-- [stem]
(21011,1865,1,1,2,36269.866724),-- [varnish]
(21011,1866,1,1,2,24179.82801),-- [suede]
(21011,1873,1,1,2,14507.896806),-- [silver_nugget]
(21011,1868,1,1,2,72539.733448),-- [thread]
(21011,2185,1,1,2,7139.839668),-- [rp_iron_boots]
(21011,2274,1,1,2,259.145302),-- [rp_skull_breaker]
(21011,1061,1,1,2,21981.956594),-- [healing_potion]
(21012,1936,1,1,-1,53457),-- [white_tunic_pattern]
(21012,2185,1,1,-1,128592),-- [rp_iron_boots]
(21012,2153,1,1,-1,101594),-- [rp_tiger'seye_earing]
(21012,57,276,551,0,700000),-- [adena]
(21012,275,1,1,1,48.025665),-- [long_bow]
(21012,276,1,1,1,48.025665),-- [elven_bow]
(21012,2024,1,1,1,1694.94867),-- [elven_bow_shaft]
(21012,1868,1,1,2,101992.861289),-- [thread]
(21012,1873,1,1,2,20398.679367),-- [silver_nugget]
(21012,5549,1,1,2,5099.736785),-- [iron_thread]
(21012,1889,1,1,2,3399.646008),-- [compound_braid]
(21012,2264,1,1,2,527.245037),-- [rp_two-handed_sword]
(21012,2273,1,1,2,364.17128),-- [rp_tarbar]
(21012,1833,1,1,2,135990.660234),-- [bandage]
(21013,1061,1,1,-1,466705),-- [healing_potion]
(21013,2023,1,1,-1,9542),-- [conjure_staff_head]
(21013,1933,1,1,-1,90596),-- [dark_hose_fabric]
(21013,57,324,651,0,700000),-- [adena]
(21013,848,1,1,1,641.472052),-- [enchanted_earing]
(21013,911,1,1,1,481.464386),-- [enchanted_necklace]
(21013,1900,1,1,1,11509.918316),-- [enchanted_necklace_chain]
(21013,879,1,1,1,965.145246),-- [enchanted_ring]
(21013,1871,1,1,2,70135.122772),-- [charcoal]
(21013,1866,1,1,2,46756.805964),-- [suede]
(21013,1877,1,1,2,2805.480744),-- [admantite_nugget]
(21013,737,1,1,2,7013.529512),-- [scroll_of_resurrection]
(21013,2187,1,1,2,3131.046116),-- [rp_manticor_skin_shirt]
(21013,1061,1,1,2,42506.014892),-- [healing_potion]
(21014,2977,1,1,-1,106414),-- [rp_brigandine_boots]
(21014,1958,1,1,-1,71453),-- [mithril_boots_design]
(21014,1865,1,1,-1,794911),-- [varnish]
(21014,57,336,672,0,700000),-- [adena]
(21014,316,1,1,1,37.907312),-- [blood_of_saints]
(21014,317,1,1,1,37.907312),-- [tome_of_blood]
(21014,2030,1,1,1,1648.185376),-- [tome_of_blood_page]
(21014,1865,1,1,2,70441.29989),-- [varnish]
(21014,1870,1,1,2,70441.29989),-- [coal]
(21014,1879,1,1,2,11740.16303),-- [cokes]
(21014,1875,1,1,2,4696.161725),-- [stone_of_purity]
(21014,2189,1,1,2,3144.71525),-- [rp_mithril_tunic]
(21014,2286,1,1,2,391.360215),-- [rp_bonebreaker]
(21015,1940,1,1,-1,121028),-- [iron_boots_design]
(21015,1869,1,1,-1,810885),-- [iron_ore]
(21015,1873,1,1,-1,324354),-- [silver_nugget]
(21015,57,342,683,0,700000),-- [adena]
(21015,83,1,1,1,26.091),-- [sword_of_magic]
(21015,144,1,1,1,26.091),-- [sword_of_occult]
(21015,124,1,1,1,19.3284),-- [two-handed_sword]
(21015,2026,1,1,1,864.831825),-- [two-handed_sword_edge]
(21015,127,1,1,1,19.3284),-- [crimson_sword]
(21015,130,1,1,1,19.329375),-- [elven_sword]
(21015,1873,1,1,2,34491.320064),-- [silver_nugget]
(21015,1868,1,1,2,172456.127616),-- [thread]
(21015,1876,1,1,2,17245.660032),-- [mithril_ore]
(21015,2280,1,1,2,615.933312),-- [rp_crucifix_of_blood]
(21015,2978,1,1,2,11542.958976),-- [rp_elven_mithril_boots]
(21016,1870,1,1,-1,868501),-- [coal]
(21016,1882,1,1,-1,193000),-- [leather]
(21016,1901,1,1,-1,119959),-- [tiger'seye_earing_stone]
(21016,57,367,732,0,700000),-- [adena]
(21016,58,1,1,1,93.563163),-- [mithril_breastplate]
(21016,349,1,1,1,93.563163),-- [compound_scale_mail]
(21016,350,1,1,1,93.563163),-- [dwarven_scale_mail]
(21016,351,1,1,1,84.518562),-- [blast_plate]
(21016,59,1,1,1,135.26424),-- [mithril_gaiters]
(21016,378,1,1,1,135.26424),-- [compound_scale_gaiters]
(21016,379,1,1,1,135.263469),-- [dwarven_scale_gaiters]
(21016,1869,1,1,2,65968.001142),-- [iron_ore]
(21016,1864,1,1,2,131936.002284),-- [stem]
(21016,1880,1,1,2,6596.843124),-- [steel]
(21016,5550,1,1,2,879.55041),-- [reinforcing_plate]
(21016,2191,1,1,2,8830.987185),-- [rp_gauntlet_of_repose_of_the_soul]
(21016,2293,1,1,2,366.443496),-- [rp_glaive]
(21016,2276,1,1,2,471.172359),-- [rp_maingauche]
(21017,1989,1,1,-1,53465),-- [divine_hose_pattern]
(21017,1880,1,1,-1,177397),-- [steel]
(21017,1806,1,1,-1,3548),-- [rp_soulshot_b]
(21017,57,701,1428,0,700000),-- [adena]
(21017,400,1,1,1,34.38225),-- [theca_leather_mail]
(21017,1984,1,1,1,2339.906625),-- [theca_leather_mail_pattern]
(21017,401,1,1,1,16.277625),-- [drake_leather_mail]
(21017,1987,1,1,1,1665.3735),-- [drake_leather_mail_texture]
(21017,420,1,1,1,55.0305),-- [theca_leather_gaiters]
(21017,1985,1,1,1,3764.0295),-- [theca_leather_gaiters_pattern]
(21017,1866,1,1,2,36389.065012),-- [suede]
(21017,1871,1,1,2,54583.597518),-- [charcoal]
(21017,5220,1,1,2,2183.331873),-- [reinforcing_agent]
(21017,1885,1,1,2,4548.583011),-- [high_grade_suede]
(21017,4041,1,1,2,474.593785),-- [mold_hardener]
(21017,4940,1,1,2,262.404758),-- [rp_shrnoen's_breastplate_i]
(21017,5280,1,1,2,109.151559),-- [rp_adv_comp_bspiritshot_b]
(21017,4189,1,1,2,62.844837),-- [rp_arthro_nail]
(21017,8726,1,1,2,1263.511986),-- [general_55_c]
(21017,8736,1,1,2,315.827881),-- [special_55_c]
(21017,8746,1,1,2,31.572765),-- [rare_55_c]
(21017,8756,1,1,2,6.515015),-- [unique_55_c]
(21018,4947,1,1,-1,22992),-- [rp_shrnoen's_leather_gaiters_i]
(21018,2961,1,1,-1,121815),-- [full_plate_boots_part]
(21018,4049,1,1,-1,117342),-- [adamantite_earing_gemstone]
(21018,57,883,1802,0,700000),-- [adena]
(21018,11918,1,1,1,94.522944),-- [heavy_war_axe_low]
(21018,4105,1,1,1,945.231504),-- [heavy_war_axe_head]
(21018,11908,1,1,1,94.522944),-- [sprite's_staff_low]
(21018,4106,1,1,1,929.722608),-- [sprite's_staff_head]
(21018,1872,1,1,2,73423.762488),-- [animal_bone]
(21018,1867,1,1,2,73423.762488),-- [animal_skin]
(21018,1881,1,1,2,7342.424568),-- [coarse_bone_powder]
(21018,1875,1,1,2,3671.131752),-- [stone_of_purity]
(21018,4041,1,1,2,478.843272),-- [mold_hardener]
(21018,4950,1,1,2,565.978896),-- [rp_hose_of_shrnoen_i]
(21018,4999,1,1,2,684.844128),-- [rp_doom_boots_i]
(21018,8309,1,1,2,63.459216),-- [rp_spell_breaker]
(21018,8727,1,1,2,1101.355632),-- [general_58_b]
(21018,8737,1,1,2,275.41944),-- [special_58_b]
(21018,8747,1,1,2,27.541944),-- [rare_58_b]
(21018,8757,1,1,2,5.476176),-- [unique_58_b]
(21019,2964,1,1,-1,134399),-- [blessed_gloves_pattern]
(21019,4950,1,1,-1,25367),-- [rp_hose_of_shrnoen_i]
(21019,4129,1,1,-1,26713),-- [rp_earing_of_black_ore]
(21019,57,973,1988,0,700000),-- [adena]
(21019,11903,1,1,1,208.636155),-- [arthro_nail_low]
(21019,4111,1,1,1,2086.363845),-- [arthro_nail_blade]
(21019,1870,1,1,2,60756.881586),-- [coal]
(21019,1865,1,1,2,60756.881586),-- [varnish]
(21019,1874,1,1,2,4050.520392),-- [oriharukon_ore]
(21019,4043,1,1,2,2025.260196),-- [asofe]
(21019,4039,1,1,2,2025.260196),-- [mold_glue]
(21019,4964,1,1,2,69.98226),-- [rp_heavy_war_axe_i]
(21019,4176,1,1,2,755.676366),-- [rp_doom_boots]
(21019,5003,1,1,2,46.346742),-- [rp_art_of_battle_axe_i]
(21019,8727,1,1,2,1215.182526),-- [general_58_b]
(21019,8737,1,1,2,303.828642),-- [special_58_b]
(21019,8747,1,1,2,30.36966),-- [rare_58_b]
(21019,8757,1,1,2,5.809848),-- [unique_58_b]
(21020,4952,1,1,-1,35974),-- [rp_avadon_circlet_i]
(21020,1987,1,1,-1,42700),-- [drake_leather_mail_texture]
(21020,4050,1,1,-1,173407),-- [adamantite_ring_wire]
(21020,57,1105,2252,0,700000),-- [adena]
(21020,78,1,1,1,4.124809),-- [great_sword]
(21020,4104,1,1,1,788.351473),-- [great_sword_blade]
(21020,142,1,1,1,4.124809),-- [kshanberk]
(21020,4107,1,1,1,776.13705),-- [kshanberk_blade]
(21020,148,1,1,1,4.124809),-- [sword_of_valhalla]
(21020,4108,1,1,1,776.13705),-- [sword_of_valhalla_blade]
(21020,4167,1,1,2,5141.29545),-- [rp_blue_wolve's_boots]
(21020,1832,1,1,2,459293.70455),-- [advanced_antidote]
(21021,4040,1,1,-1,51678),-- [mold_lubricant]
(21021,4613,1,1,-1,3564),-- [dye_s4c4_c]
(21021,947,1,1,-1,1034),-- [scrl_of_ench_wp_b]
(21021,57,1020,2079,0,700000),-- [adena]
(21021,11896,1,1,1,218.380305),-- [dark_elven_long_bow_low]
(21021,4112,1,1,1,2160.619695),-- [dark_elven_long_bow_shaft]
(21021,1869,1,1,2,63603.8396),-- [iron_ore]
(21021,1870,1,1,2,63603.8396),-- [coal]
(21021,1871,1,1,2,63603.8396),-- [charcoal]
(21021,1872,1,1,2,84804.99825),-- [animal_bone]
(21021,1867,1,1,2,84804.99825),-- [animal_skin]
(21021,4130,1,1,2,1032.40235),-- [rp_ring_of_black_ore]
(21021,4998,1,1,2,790.93875),-- [rp_blue_wolve's_gloves_i]
(21021,5001,1,1,2,48.7291),-- [rp_lancia_i]
(21021,8728,1,1,2,1060.03975),-- [general_61_b]
(21021,8738,1,1,2,265.10085),-- [special_61_b]
(21021,8748,1,1,2,26.54645),-- [rare_61_b]
(21021,8758,1,1,2,4.72745),-- [unique_61_b]
(21022,4049,1,1,-1,138069),-- [adamantite_earing_gemstone]
(21022,947,1,1,-1,1053),-- [scrl_of_ench_wp_b]
(21022,4613,1,1,-1,3631),-- [dye_s4c4_c]
(21022,57,1041,2116,0,700000),-- [adena]
(21022,12175,1,1,1,414.009032),-- [tunic_of_shrnoen_low]
(21022,4069,1,1,1,3055.156032),-- [tunic_of_shrnoen_fabric]
(21022,12166,1,1,1,254.084596),-- [avadon_robe_low]
(21022,4071,1,1,1,2347.12394),-- [avadon_robe_fabric]
(21022,12176,1,1,1,662.839764),-- [hose_of_shrnoen_low]
(21022,4070,1,1,1,4638.786636),-- [hose_of_shrnoen_fabric]
(21022,1869,1,1,2,64794.760936),-- [iron_ore]
(21022,1870,1,1,2,64794.760936),-- [coal]
(21022,1871,1,1,2,64794.760936),-- [charcoal]
(21022,1872,1,1,2,86392.891095),-- [animal_bone]
(21022,1867,1,1,2,86392.891095),-- [animal_skin]
(21022,4130,1,1,2,1051.733101),-- [rp_ring_of_black_ore]
(21022,4998,1,1,2,805.748325),-- [rp_blue_wolve's_gloves_i]
(21022,5001,1,1,2,49.641506),-- [rp_lancia_i]
(21022,8728,1,1,2,1079.887985),-- [general_61_b]
(21022,8738,1,1,2,270.064611),-- [special_61_b]
(21022,8748,1,1,2,27.043507),-- [rare_61_b]
(21022,8758,1,1,2,4.815967),-- [unique_61_b]
(21023,2019,1,1,-1,9507),-- [trident_edge]
(21023,2263,1,1,-1,6865),-- [rp_dwarven_trident]
(21023,1866,1,1,-1,294716),-- [suede]
(21023,57,192,367,0,700000),-- [adena]
(21023,156,1,1,1,52.666614),-- [hand_axe]
(21023,167,1,1,1,52.666614),-- [scalpel]
(21023,178,1,1,1,52.666772),-- [bone_staff]
(21023,1864,1,1,2,82701.808816),-- [stem]
(21023,1865,1,1,2,41350.778656),-- [varnish]
(21023,1866,1,1,2,27567.35344),-- [suede]
(21023,1873,1,1,2,16540.412064),-- [silver_nugget]
(21023,1868,1,1,2,82701.808816),-- [thread]
(21023,2260,1,1,2,641.838208),-- [rp_mace_of_judgment]
(21024,2178,1,1,-1,73852),-- [rp_dark_hose]
(21024,1934,1,1,-1,60336),-- [excellence_leather_gloves_lining]
(21024,1899,1,1,-1,72121),-- [necklace_of_devotion_chain]
(21024,57,199,384,0,700000),-- [adena]
(21024,220,1,1,1,164),-- [handiwork_dagger]
(21024,1864,1,1,2,103619.211899),-- [stem]
(21024,1869,1,1,2,51809.711915),-- [iron_ore]
(21024,1878,1,1,2,20723.884766),-- [braided_hemp]
(21024,1884,1,1,2,31882.89964),-- [cord]
(21024,2180,1,1,2,3895.29178),-- [rp_scale_mail]
(21025,1871,1,1,-1,485180),-- [charcoal]
(21025,1868,1,3,-1,485180),-- [thread]
(21025,2152,1,1,-1,85419),-- [rp_enchanted_necklace]
(21025,57,208,407,0,700000),-- [adena]
(21025,291,1,1,1,86.432478),-- [trident]
(21025,2019,1,1,1,2927.567522),-- [trident_edge]
(21025,1864,1,1,2,90765.871725),-- [stem]
(21025,1865,1,1,2,45382.796495),-- [varnish]
(21025,1866,1,1,2,30255.290575),-- [suede]
(21025,1873,1,1,2,18153.174345),-- [silver_nugget]
(21025,1868,1,1,2,90765.871725),-- [thread]
(21025,2180,1,1,2,3411.995135),-- [rp_scale_mail]
(21026,1834,1,1,-1,575495),-- [emergency_dressing]
(21026,2025,1,1,-1,7174),-- [dwarven_trident_edge]
(21026,1900,1,1,-1,56668),-- [enchanted_necklace_chain]
(21026,57,220,435,0,700000),-- [adena]
(21026,275,1,1,1,38.0773),-- [long_bow]
(21026,276,1,1,1,38.0773),-- [elven_bow]
(21026,2024,1,1,1,1343.8454),-- [elven_bow_shaft]
(21026,1872,1,1,2,53911.649475),-- [animal_bone]
(21026,1867,1,1,2,53911.649475),-- [animal_skin]
(21026,1881,1,1,2,5391.10212),-- [coarse_bone_powder]
(21026,1875,1,1,2,2695.55106),-- [stone_of_purity]
(21026,737,1,1,2,4043.32659),-- [scroll_of_resurrection]
(21026,2274,1,1,2,288.75519),-- [rp_skull_breaker]
(21026,2191,1,1,2,5412.96609),-- [rp_gauntlet_of_repose_of_the_soul]
(21034,2302,1,1,-1,3085),-- [rp_war_pick]
(21034,1956,1,1,-1,80198),-- [square_shield_fragment]
(21034,2154,1,1,-1,75647),-- [rp_elven_earing]
(21034,57,299,596,0,700000),-- [adena]
(21034,88,1,1,1,6.8006),-- [morning_star]
(21034,2031,1,1,1,369.64295),-- [morning_star_head]
(21034,90,1,1,1,6.8006),-- [goathead_staff]
(21034,2032,1,1,1,337.43075),-- [goathead_staff_head]
(21034,158,1,1,1,6.8006),-- [tarbar]
(21034,2035,1,1,1,369.64295),-- [tarbar_head]
(21034,169,1,1,1,6.8006),-- [skull_breaker]
(21034,2036,1,1,1,369.64295),-- [skull_breaker_head]
(21034,172,1,1,1,6.8006),-- [heavy_bone_club]
(21034,2037,1,1,1,369.6374),-- [heavy_bone_club_head]
(21034,1874,1,1,2,3043.573712),-- [oriharukon_ore]
(21034,1878,1,1,2,18261.23224),-- [braided_hemp]
(21034,1884,1,1,2,28094.090352),-- [cord]
(21034,1889,1,1,2,3043.573712),-- [compound_braid]
(21034,5220,1,1,2,1826.018208),-- [reinforcing_agent]
(21034,2190,1,1,2,3260.956832),-- [rp_mithril_hose]
(21034,2279,1,1,2,326.179696),-- [rp_hammer_in_flames]
(21034,1341,10,30,2,152176.375248),-- [bone_arrow]
(21035,1952,1,1,-1,72876),-- [slamander_skin_mail_texture]
(21035,1873,1,1,-1,910076),-- [silver_nugget]
(21035,1905,1,1,-1,221322),-- [onyxbeast'seye_earing_gemstone]
(21035,57,916,1852,0,700000),-- [adena]
(21035,396,1,1,1,311.644923),-- [slamander_skin_mail]
(21035,1952,1,1,1,18297.355077),-- [slamander_skin_mail_texture]
(21035,1865,1,1,2,126944.108529),-- [varnish]
(21035,1870,1,1,2,126944.108529),-- [coal]
(21035,1879,1,1,2,21157.526526),-- [cokes]
(21035,1875,1,1,2,8462.800485),-- [stone_of_purity]
(21035,2308,1,1,2,554.380847),-- [rp_cursed_dagger]
(21035,2205,1,1,2,4017.247439),-- [rp_chain_gaiters]
(21035,2989,1,1,2,6716.658411),-- [rp_chain_hood]
(21035,2997,1,1,2,10074.812512),-- [rp_karmian_gloves]
(21035,6668,1,1,2,45337.356722),-- [key_of_treasure_box4]
(21036,2070,1,1,-1,21261),-- [cursed_dagger_blade]
(21036,2316,1,1,-1,9330),-- [rp_katana]
(21036,1895,1,1,-1,765042),-- [metallic_fiber]
(21036,57,1054,2160,0,700000),-- [adena]
(21036,354,1,1,1,162.83088),-- [chain_mail_shirt]
(21036,1959,1,1,1,8521.60536),-- [chain_mail_shirt_material]
(21036,381,1,1,1,260.48736),-- [chain_gaiters]
(21036,1960,1,1,1,17335.0764),-- [chain_gaiters_part]
(21036,1895,1,1,2,60262.116192),-- [metallic_fiber]
(21036,2318,1,1,2,734.903856),-- [rp_spirits_sword]
(21036,8723,1,1,2,8436.676164),-- [general_46_c]
(21036,8733,1,1,2,2109.151092),-- [special_46_c]
(21036,8743,1,1,2,210.936648),-- [rare_46_c]
(21036,8753,1,1,2,42.216048),-- [unique_46_c]
(21037,5231,1,1,-1,247709),-- [rp_reinforcing_agent]
(21037,4040,1,1,-1,69359),-- [mold_lubricant]
(21037,2166,1,1,-1,117557),-- [rp_earing_of_binding]
(21037,57,1369,2792,0,700000),-- [adena]
(21037,1126,1,1,1,206.69324),-- [crimson_boots]
(21037,1974,1,1,1,10768.531033),-- [crimson_boots_fabric]
(21037,2434,1,1,1,206.69324),-- [rind_leather_boots]
(21037,2948,1,1,1,10768.531033),-- [rind_leather_boots_lining]
(21037,2455,1,1,1,223.813915),-- [plate_leather_gloves]
(21037,2946,1,1,1,7156.940206),-- [plate_leather_gloves_design]
(21037,2456,1,1,1,206.69324),-- [dwarven_chain_gloves]
(21037,2949,1,1,1,10768.531033),-- [dwarven_chain_gloves_design]
(21037,2457,1,1,1,206.69324),-- [gloves_of_seal]
(21037,2950,1,1,1,10768.531033),-- [gloves_of_seal_pattern]
(21037,2458,1,1,1,206.69324),-- [rind_leather_gloves]
(21037,2951,1,1,1,10768.655547),-- [rind_leather_gloves_design]
(21037,1895,1,1,2,36584.521984),-- [metallic_fiber]
(21037,4040,1,1,2,2560.929664),-- [mold_lubricant]
(21037,4042,1,1,2,2134.089824),-- [enria]
(21037,4043,1,1,2,4268.179648),-- [asofe]
(21037,2329,1,1,2,297.77616),-- [rp_tsurugi]
(21037,2225,1,1,2,2783.6192),-- [rp_demon's_hose]
(21037,2345,1,1,2,297.77616),-- [rp_dark_screamer]
(21037,2344,1,1,2,297.77616),-- [rp_grace_dagger]
(21037,8724,1,1,2,4268.179648),-- [general_49_c]
(21037,8734,1,1,2,1067.072256),-- [special_49_c]
(21037,8744,1,1,2,106.696288),-- [rare_49_c]
(21037,8754,1,1,2,21.383008),-- [unique_49_c]
(21038,5231,1,1,-1,187644),-- [rp_reinforcing_agent]
(21038,1911,1,1,-1,195390),-- [earing_of_protection_gemstone]
(21038,2166,1,1,-1,89051),-- [rp_earing_of_binding]
(21038,57,1037,2115,0,700000),-- [adena]
(21038,2496,1,1,1,323.055837),-- [dwarven_chain_shield]
(21038,2947,1,1,1,13856.305437),-- [dwarven_chain_shield_fragment]
(21038,632,1,1,1,298.228047),-- [knight_shield]
(21038,1972,1,1,1,15519.05199),-- [knight_shield_fragment]
(21038,500,1,1,1,208.805922),-- [great_helmet]
(21038,1971,1,1,1,11875.552767),-- [great_helmet_material]
(21038,1872,1,1,2,141087.342613),-- [animal_bone]
(21038,1867,1,1,2,141087.342613),-- [animal_skin]
(21038,1881,1,1,2,14108.640775),-- [coarse_bone_powder]
(21038,1875,1,1,2,7054.476198),-- [stone_of_purity]
(21038,4041,1,1,2,920.216813),-- [mold_hardener]
(21038,2224,1,1,2,1437.819294),-- [rp_demon's_tunic]
(21038,952,1,1,2,1411.019888),-- [scrl_of_ench_am_c]
(21038,8724,1,1,2,3527.238099),-- [general_49_c]
(21038,8734,1,1,2,881.88743),-- [special_49_c]
(21038,8744,1,1,2,88.188743),-- [rare_49_c]
(21038,8754,1,1,2,16.827534),-- [unique_49_c]
(21039,1805,1,1,-1,8706),-- [rp_soulshot_c]
(21039,1905,1,1,-1,254068),-- [onyxbeast'seye_earing_gemstone]
(21039,1871,1,5,-1,870607),-- [charcoal]
(21039,57,1033,2097,0,700000),-- [adena]
(21039,70,1,1,1,47.27586),-- [claymore]
(21039,2047,1,1,1,2882.22114),-- [claymore_blade]
(21039,2499,1,1,1,47.27586),-- [elven_long_sword]
(21039,2967,1,1,1,2843.22714),-- [elven_long_sword_blade]
(21039,1871,1,1,2,218589.145338),-- [charcoal]
(21039,1866,1,1,2,145726.225326),-- [suede]
(21039,1877,1,1,2,8743.658286),-- [admantite_nugget]
(21039,2162,1,1,2,10559.971914),-- [rp_aquastone_necklace]
(21039,5159,1,1,2,728.606082),-- [rp_comp_spiritshot_c]
(21039,2312,1,1,2,954.393054),-- [rp_crystallized_ice_bow]
(21040,1875,1,1,-1,277649),-- [stone_of_purity]
(21040,1911,1,1,-1,309761),-- [earing_of_protection_gemstone]
(21040,1967,1,1,-1,227147),-- [plate_leather_gaiters_material]
(21040,57,1644,3353,0,700000),-- [adena]
(21040,195,1,1,1,41.757248),-- [cursed_staff]
(21040,2082,1,1,1,3251.674816),-- [cursed_staff_head]
(21040,2502,1,1,1,41.757248),-- [dwarven_warhammer]
(21040,2968,1,1,1,3112.810688),-- [dwarven_warhammer_head]
(21040,1872,1,1,2,223672.659084),-- [animal_bone]
(21040,1867,1,1,2,223672.659084),-- [animal_skin]
(21040,1881,1,1,2,22367.1177),-- [coarse_bone_powder]
(21040,1875,1,1,2,11183.805864),-- [stone_of_purity]
(21040,4041,1,1,2,1458.864684),-- [mold_hardener]
(21040,2224,1,1,2,2279.445192),-- [rp_demon's_tunic]
(21040,952,1,1,2,2236.958784),-- [scrl_of_ench_am_c]
(21040,8724,1,1,2,5591.902932),-- [general_49_c]
(21040,8734,1,1,2,1398.09924),-- [special_49_c]
(21040,8744,1,1,2,139.809924),-- [rare_49_c]
(21040,8754,1,1,2,26.677512),-- [unique_49_c]
(21058,4617,1,1,-1,8254),-- [dye_d4s4_c]
(21058,4049,1,1,-1,313879),-- [adamantite_earing_gemstone]
(21058,4129,1,1,-1,64763),-- [rp_earing_of_black_ore]
(21058,57,2367,4811,0,700000),-- [adena]
(21058,78,1,1,1,8.819343),-- [great_sword]
(21058,4104,1,1,1,1685.591271),-- [great_sword_blade]
(21058,142,1,1,1,8.819343),-- [kshanberk]
(21058,4107,1,1,1,1659.47535),-- [kshanberk_blade]
(21058,148,1,1,1,8.819343),-- [sword_of_valhalla]
(21058,4108,1,1,1,1659.47535),-- [sword_of_valhalla_blade]
(21058,1895,1,1,2,45911.986758),-- [metallic_fiber]
(21058,4040,1,1,2,3213.826956),-- [mold_lubricant]
(21058,4042,1,1,2,2678.18913),-- [enria]
(21058,4043,1,1,2,5356.37826),-- [asofe]
(21058,4195,1,1,2,122.637402),-- [rp_art_of_battle_axe]
(21058,4999,1,1,2,1998.67716),-- [rp_doom_boots_i]
(21058,4163,1,1,2,1064.196738),-- [rp_blue_wolve's_hose]
(21058,8728,1,1,2,2678.18913),-- [general_61_b]
(21058,8738,1,1,2,669.563226),-- [special_61_b]
(21058,8748,1,1,2,66.9627),-- [rare_61_b]
(21058,8758,1,1,2,13.39254),-- [unique_61_b]
(21059,4129,1,1,-1,55362),-- [rp_earing_of_black_ore]
(21059,4049,1,1,-1,268315),-- [adamantite_earing_gemstone]
(21059,4130,1,1,-1,83043),-- [rp_ring_of_black_ore]
(21059,57,2020,4116,0,700000),-- [adena]
(21059,284,1,1,1,22.618),-- [dark_elven_long_bow]
(21059,4112,1,1,1,4277.382),-- [dark_elven_long_bow_shaft]
(21059,1864,1,3,2,125918.281528),-- [stem]
(21059,1869,1,1,2,125918.281528),-- [iron_ore]
(21059,1878,1,1,2,50367.157308),-- [braided_hemp]
(21059,1884,1,1,2,77488.143382),-- [cord]
(21059,4039,1,1,2,4197.457238),-- [mold_glue]
(21059,4154,1,1,2,1490.134204),-- [rp_doom_shield]
(21059,4198,1,1,2,96.287984),-- [rp_bellion_cestus]
(21059,4194,1,1,2,96.287984),-- [rp_deadman's_glory]
(21059,8728,1,1,2,2098.53449),-- [general_61_b]
(21059,8738,1,1,2,524.536558),-- [special_61_b]
(21059,8748,1,1,2,52.41483),-- [rare_61_b]
(21059,8758,1,1,2,10.482966),-- [unique_61_b]
(21060,4050,1,1,-1,316941),-- [adamantite_ring_wire]
(21060,947,1,1,-1,2046),-- [scrl_of_ench_wp_b]
(21060,1865,1,11,-1,852572),-- [varnish]
(21060,57,2020,4116,0,700000),-- [adena]
(21060,229,1,1,1,11.309397),-- [kris]
(21060,4109,1,1,1,2128.190603),-- [kris_edge]
(21060,243,1,1,1,11.309397),-- [hell_knife]
(21060,4110,1,1,1,2128.190603),-- [hell_knife_edge]
(21060,1865,1,1,2,137365.603308),-- [varnish]
(21060,1870,1,1,2,137365.603308),-- [coal]
(21060,1879,1,1,2,22894.267218),-- [cokes]
(21060,1875,1,1,2,9157.624686),-- [stone_of_purity]
(21060,4040,1,1,2,2747.164104),-- [mold_lubricant]
(21060,4155,1,1,2,426.624228),-- [rp_blue_wolve's_breastplate]
(21060,8728,1,1,2,2289.30342),-- [general_61_b]
(21060,8738,1,1,2,572.531358),-- [special_61_b]
(21060,8748,1,1,2,57.129834),-- [rare_61_b]
(21060,8758,1,1,2,11.508168),-- [unique_61_b]
(21060,1343,20,60,2,98118.640368),-- [silver_arrow]
(21061,5478,1,1,-1,85417),-- [sealed_dark_crystal_leather_mail_pattern]
(21061,1895,1,7,-1,725557),-- [metallic_fiber]
(21061,57,4020,8164,0,700000),-- [adena]
(21061,5287,1,1,1,28.07788),-- [sealed_dark_crystal_breastplate]
(21061,5520,1,1,1,3224.93756),-- [sealed_dark_crystal_breastplate_pattern]
(21061,5293,1,1,1,17.28436),-- [sealed_tallum_plate_armor]
(21061,5521,1,1,1,2275.64432),-- [sealed_tallum_plate_armor_pattern]
(21061,5288,1,1,1,44.93092),-- [sealed_dark_crystal_gaiters]
(21061,5524,1,1,1,4929.12496),-- [sealed_dark_crystal_gaiters_pattern]
(21061,1873,1,1,2,100015.319741),-- [silver_nugget]
(21061,1868,1,3,2,250038.539286),-- [thread]
(21061,1876,1,1,2,50007.899804),-- [mithril_ore]
(21061,1895,1,1,2,71439.719758),-- [metallic_fiber]
(21061,4042,1,1,2,4167.165028),-- [enria]
(21061,5000,1,1,2,190.987066),-- [rp_sword_of_damascus_i]
(21061,730,1,1,2,208.262278),-- [scrl_of_ench_am_a]
(21061,5422,1,1,2,242.812702),-- [rp_sealed_majestic_platte_armor_i]
(21061,8730,1,1,2,2778.42993),-- [general_67_a]
(21061,8740,1,1,2,694.367549),-- [special_67_a]
(21061,8750,1,1,2,69.580715),-- [rare_67_a]
(21061,8760,1,1,2,13.916143),-- [unique_67_a]
(21063,5220,1,1,-1,875838),-- [reinforcing_agent]
(21063,5478,1,1,-1,184123),-- [sealed_dark_crystal_leather_mail_pattern]
(21063,1807,1,1,-1,29195),-- [rp_soulshot_a]
(21063,57,8659,17618,0,700000),-- [adena]
(21063,5287,1,1,1,60.524913),-- [sealed_dark_crystal_breastplate]
(21063,5520,1,1,1,6951.702381),-- [sealed_dark_crystal_breastplate_pattern]
(21063,5293,1,1,1,37.258311),-- [sealed_tallum_plate_armor]
(21063,5521,1,1,1,4905.397932),-- [sealed_tallum_plate_armor_pattern]
(21063,5288,1,1,1,96.853467),-- [sealed_dark_crystal_gaiters]
(21063,5524,1,1,1,10625.262996),-- [sealed_dark_crystal_gaiters_pattern]
(21063,1864,4,12,2,134744.464995),-- [stem]
(21063,1865,2,6,2,107795.649885),-- [varnish]
(21063,1866,3,9,2,59886.51543),-- [suede]
(21063,1873,4,12,2,26948.81511),-- [silver_nugget]
(21063,1868,10,30,2,51331.18767),-- [thread]
(21063,5281,1,1,2,718.526025),-- [rp_adv_comp_bspiritshot_a]
(21063,729,1,1,2,59.97453),-- [scrl_of_ench_wp_a]
(21063,8314,1,1,2,294.42042),-- [rp_eye_of_soul_i]
(21063,8730,1,1,2,5988.495765),-- [general_67_a]
(21063,8740,1,1,2,1497.02658),-- [special_67_a]
(21063,8750,1,1,2,149.54688),-- [rare_67_a]
(21063,8760,1,1,2,30.37671),-- [unique_67_a]
(21064,4119,1,1,-1,39452),-- [demon's_sword_edge]
(21064,5230,1,1,-1,12018),-- [rp_mithril_arrow]
(21064,5479,1,1,-1,53333),-- [sealed_tallum_leather_mail_pattern]
(21064,57,4448,9066,0,700000),-- [adena]
(21064,5287,1,1,1,31.144561),-- [sealed_dark_crystal_breastplate]
(21064,5520,1,1,1,3577.166957),-- [sealed_dark_crystal_breastplate_pattern]
(21064,5293,1,1,1,19.172167),-- [sealed_tallum_plate_armor]
(21064,5521,1,1,1,2524.191404),-- [sealed_tallum_plate_armor_pattern]
(21064,5288,1,1,1,49.838299),-- [sealed_dark_crystal_gaiters]
(21064,5524,1,1,1,5467.486612),-- [sealed_dark_crystal_gaiters_pattern]
(21064,1872,1,3,2,184888.594158),-- [animal_bone]
(21064,1867,1,3,2,123259.370568),-- [animal_skin]
(21064,1881,1,1,2,36977.534154),-- [coarse_bone_powder]
(21064,1875,1,1,2,18488.997924),-- [stone_of_purity]
(21064,4041,1,1,2,2411.427762),-- [mold_hardener]
(21064,4130,1,1,2,4501.978194),-- [rp_ring_of_black_ore]
(21064,4403,1,1,2,554.494494),-- [red_dimension_stone]
(21064,8730,1,1,2,3081.345756),-- [general_67_a]
(21064,8740,1,1,2,770.567286),-- [special_67_a]
(21064,8750,1,1,2,77.102898),-- [rare_67_a]
(21064,8760,1,1,2,15.235902),-- [unique_67_a]
(21064,1344,40,120,2,86667.350904),-- [mithril_arrow]
(21065,4120,1,1,-1,44373),-- [bellion_cestus_edge]
(21065,1807,1,1,-1,13539),-- [rp_soulshot_a]
(21065,57,5007,10224,0,700000),-- [adena]
(21065,5291,1,1,1,105.318486),-- [sealed_dark_crystal_boots]
(21065,5496,1,1,1,10990.181514),-- [sealed_dark_crystal_boots_lining]
(21065,5296,1,1,1,105.318486),-- [sealed_tallum_boots]
(21065,5497,1,1,1,10990.181514),-- [sealed_tallum_boots_lining]
(21065,5290,1,1,1,105.318486),-- [sealed_dark_crystal_gloves]
(21065,5508,1,1,1,10990.181514),-- [sealed_dark_crystal_gloves_design]
(21065,5295,1,1,1,105.318486),-- [sealed_tallum_gloves]
(21065,5509,1,1,1,10990.181514),-- [sealed_tallum_gloves_design]
(21065,1872,1,3,2,227233.97532),-- [animal_bone]
(21065,1867,1,3,2,151489.31688),-- [animal_skin]
(21065,1881,1,1,2,45446.795064),-- [coarse_bone_powder]
(21065,1875,1,1,2,22723.397532),-- [stone_of_purity]
(21065,4041,1,1,2,2963.702544),-- [mold_hardener]
(21065,4164,1,1,2,2257.100208),-- [rp_hose_of_doom]
(21065,4401,1,1,2,681.88956),-- [green_dimension_stone]
(21065,8730,1,1,2,3787.0041),-- [general_67_a]
(21065,8740,1,1,2,946.865436),-- [special_67_a]
(21065,8750,1,1,2,94.732308),-- [rare_67_a]
(21065,8760,1,1,2,19.221048),-- [unique_67_a]
(21066,5230,1,1,-1,13627),-- [rp_mithril_arrow]
(21066,4081,1,1,-1,100730),-- [doom_plate_armor_temper]
(21066,5482,1,1,-1,134892),-- [sealed_legging_of_dark_crystal_design]
(21066,57,5047,10276,0,700000),-- [adena]
(21066,5292,1,1,1,134.52984),-- [sealed_dark_crystal_shield]
(21066,5494,1,1,1,13207.500015),-- [sealed_dark_crystal_shield_fragment]
(21066,5289,1,1,1,94.137915),-- [sealed_dark_crystal_helmet]
(21066,5525,1,1,1,9721.363644),-- [sealed_dark_crystal_helmet_design]
(21066,5294,1,1,1,94.137915),-- [sealed_tallum_bonnet]
(21066,5526,1,1,1,9721.330671),-- [sealed_tallum_bonnet_design]
(21066,1868,3,9,2,104821.254228),-- [thread]
(21066,1873,1,1,2,125785.638128),-- [silver_nugget]
(21066,5549,1,1,2,31446.409532),-- [iron_thread]
(21066,1889,1,1,2,20964.3839),-- [compound_braid]
(21066,4044,1,1,2,10482.025632),-- [thons]
(21066,4613,1,1,2,433.757344),-- [dye_s4c4_c]
(21066,729,1,1,2,34.92678),-- [scrl_of_ench_wp_a]
(21066,6671,1,1,2,34940.418076),-- [key_of_treasure_box7]
(21066,8731,1,1,2,2911.562908),-- [general_70_a]
(21066,8741,1,1,2,727.807568),-- [special_70_a]
(21066,8751,1,1,2,72.847284),-- [rare_70_a]
(21066,8761,1,1,2,14.96862),-- [unique_70_a]
(21068,3035,1,1,-1,32034),-- [rp_spiritshot_a]
(21068,5485,1,1,-1,202033),-- [sealed_tallum_tunic_texture]
(21068,5479,1,1,-1,142164),-- [sealed_tallum_leather_mail_pattern]
(21068,57,11856,24167,0,700000),-- [adena]
(21068,5287,1,1,1,83.016576),-- [sealed_dark_crystal_breastplate]
(21068,5520,1,1,1,9535.024512),-- [sealed_dark_crystal_breastplate_pattern]
(21068,5293,1,1,1,51.103872),-- [sealed_tallum_plate_armor]
(21068,5521,1,1,1,6728.292864),-- [sealed_tallum_plate_armor_pattern]
(21068,5288,1,1,1,132.845184),-- [sealed_dark_crystal_gaiters]
(21068,5524,1,1,1,14573.716992),-- [sealed_dark_crystal_gaiters_pattern]
(21068,1869,18,54,2,22401.583128),-- [iron_ore]
(21068,1870,2,6,2,161291.488716),-- [coal]
(21068,1871,3,9,2,134409.498768),-- [charcoal]
(21068,1872,7,21,2,76805.492292),-- [animal_bone]
(21068,1867,12,36,2,44803.166256),-- [animal_skin]
(21068,4402,1,1,2,1613.126844),-- [blue_dimension_stone]
(21068,729,1,1,2,89.743428),-- [scrl_of_ench_wp_a]
(21068,8731,1,1,2,7467.194376),-- [general_70_a]
(21068,8741,1,1,2,1867.02408),-- [special_70_a]
(21068,8751,1,1,2,186.702408),-- [rare_70_a]
(21068,8761,1,1,2,36.979704),-- [unique_70_a]
(21069,4080,1,1,-1,265874),-- [blue_wolve's_gaiters_material]
(21069,4041,1,1,-1,112395),-- [mold_hardener]
(21069,3035,1,1,-1,17234),-- [rp_spiritshot_a]
(21069,57,6379,13001,0,700000),-- [adena]
(21069,5291,1,1,1,134.057889),-- [sealed_dark_crystal_boots]
(21069,5496,1,1,1,13989.192111),-- [sealed_dark_crystal_boots_lining]
(21069,5296,1,1,1,134.057889),-- [sealed_tallum_boots]
(21069,5497,1,1,1,13989.192111),-- [sealed_tallum_boots_lining]
(21069,5290,1,1,1,134.057889),-- [sealed_dark_crystal_gloves]
(21069,5508,1,1,1,13989.192111),-- [sealed_dark_crystal_gloves_design]
(21069,5295,1,1,1,134.057889),-- [sealed_tallum_gloves]
(21069,5509,1,1,1,13989.192111),-- [sealed_tallum_gloves_design]
(21069,1871,1,3,2,198852.888312),-- [charcoal]
(21069,1866,1,1,2,265137.184416),-- [suede]
(21069,1877,1,1,2,15908.072024),-- [admantite_nugget]
(21069,4041,1,1,2,3458.146874),-- [mold_hardener]
(21069,4040,1,1,2,7954.036012),-- [mold_lubricant]
(21069,4619,1,1,2,548.691312),-- [dye_i4m4_c]
(21069,5422,1,1,2,386.171331),-- [rp_sealed_majestic_platte_armor_i]
(21069,729,1,1,2,44.233267),-- [scrl_of_ench_wp_a]
(21069,8731,1,1,2,3682.295227),-- [general_70_a]
(21069,8741,1,1,2,920.449556),-- [special_70_a]
(21069,8751,1,1,2,91.945555),-- [rare_70_a]
(21069,8761,1,1,2,18.886114),-- [unique_70_a]
(21071,5486,1,1,-1,147834),-- [sealed_dark_crystal_robe_fabric]
(21071,5156,1,1,-1,33312),-- [rp_comp_soulshot_a]
(21071,5489,1,1,-1,329756),-- [sealed_tallum_hose_fabric]
(21071,57,12324,25146,0,700000),-- [adena]
(21071,5297,1,1,1,115.124142),-- [sealed_dark_crystal_leather_mail]
(21071,5478,1,1,1,12927.753902),-- [sealed_dark_crystal_leather_mail_pattern]
(21071,5301,1,1,1,70.816074),-- [sealed_tallum_leather_mail]
(21071,5479,1,1,1,9096.856146),-- [sealed_tallum_leather_mail_pattern]
(21071,5298,1,1,1,184.104718),-- [sealed_legging_of_dark_crystal]
(21071,5482,1,1,1,20291.345018),-- [sealed_legging_of_dark_crystal_design]
(21071,1894,1,1,2,32367.841994),-- [crafted_leather]
(21071,4039,1,1,2,30749.484325),-- [mold_glue]
(21071,4041,1,1,2,8021.549717),-- [mold_hardener]
(21071,4044,1,1,2,30749.484325),-- [thons]
(21071,4403,1,1,2,1844.911675),-- [red_dimension_stone]
(21071,729,1,1,2,102.488717),-- [scrl_of_ench_wp_a]
(21071,8731,1,1,2,8541.568056),-- [general_70_a]
(21071,8741,1,1,2,2135.392014),-- [special_70_a]
(21071,8751,1,1,2,213.585109),-- [rare_70_a]
(21071,8761,1,1,2,42.694068),-- [unique_70_a]
(21072,4083,1,1,-1,119814),-- [leather_mail_of_doom_design]
(21072,5230,1,1,-1,14138),-- [rp_mithril_arrow]
(21072,5161,1,1,-1,14138),-- [rp_comp_spiritshot_a]
(21072,57,5231,10672,0,700000),-- [adena]
(21072,5292,1,1,1,139.5768),-- [sealed_dark_crystal_shield]
(21072,5494,1,1,1,13702.98655),-- [sealed_dark_crystal_shield_fragment]
(21072,5289,1,1,1,97.66955),-- [sealed_dark_crystal_helmet]
(21072,5525,1,1,1,10086.06588),-- [sealed_dark_crystal_helmet_design]
(21072,5294,1,1,1,97.66955),-- [sealed_tallum_bonnet]
(21072,5526,1,1,1,10086.03167),-- [sealed_tallum_bonnet_design]
(21072,1868,3,9,2,118641.414714),-- [thread]
(21072,1873,1,1,2,142369.63003),-- [silver_nugget]
(21072,5549,1,1,2,35592.322974),-- [iron_thread]
(21072,1889,1,1,2,23728.215316),-- [compound_braid]
(21072,4044,1,1,2,11864.107658),-- [thons]
(21072,4984,1,1,2,1008.315588),-- [rp_blue_wolve's_leather_mail_i]
(21072,4403,1,1,2,711.77207),-- [red_dimension_stone]
(21072,8731,1,1,2,3295.453964),-- [general_70_a]
(21072,8741,1,1,2,824.032558),-- [special_70_a]
(21072,8751,1,1,2,82.504696),-- [rare_70_a]
(21072,8761,1,1,2,16.230432),-- [unique_70_a]
(21073,5230,1,1,-1,7723),-- [rp_mithril_arrow]
(21073,4052,1,1,-1,205074),-- [earing_of_black_ore_piece]
(21073,57,2300,4651,0,700000),-- [adena]
(21073,287,1,1,1,16.95579),-- [hazard_bow]
(21073,4121,1,1,1,3726.04421),-- [hazard_bow_shaft]
(21073,1869,1,1,2,155542.380381),-- [iron_ore]
(21073,1864,1,3,2,155542.380381),-- [stem]
(21073,1880,1,1,2,15554.118345),-- [steel]
(21073,5550,1,1,2,2073.882446),-- [reinforcing_plate]
(21073,4043,1,1,2,5184.706115),-- [asofe]
(21073,1830,1,1,2,62216.872357),-- [scroll_of_escape_to_castle]
(21073,5276,1,1,2,207.46804),-- [rp_adv_comp_spiritshot_a]
(21073,8729,1,1,2,2073.882446),-- [general_64_a]
(21073,8739,1,1,2,518.6701),-- [special_64_a]
(21073,8749,1,1,2,51.86701),-- [rare_64_a]
(21073,8759,1,1,2,10.772379),-- [unique_64_a]
(21074,5478,1,1,-1,50828),-- [sealed_dark_crystal_leather_mail_pattern]
(21074,1874,1,1,-1,402961),-- [oriharukon_ore]
(21074,5482,1,1,-1,79779),-- [sealed_legging_of_dark_crystal_design]
(21074,57,2981,6086,0,700000),-- [adena]
(21074,5291,1,1,1,62.689914),-- [sealed_dark_crystal_boots]
(21074,5496,1,1,1,6541.810086),-- [sealed_dark_crystal_boots_lining]
(21074,5296,1,1,1,62.689914),-- [sealed_tallum_boots]
(21074,5497,1,1,1,6541.810086),-- [sealed_tallum_boots_lining]
(21074,5290,1,1,1,62.689914),-- [sealed_dark_crystal_gloves]
(21074,5508,1,1,1,6541.810086),-- [sealed_dark_crystal_gloves_design]
(21074,5295,1,1,1,62.689914),-- [sealed_tallum_gloves]
(21074,5509,1,1,1,6541.810086),-- [sealed_tallum_gloves_design]
(21074,1870,1,1,2,202889.768632),-- [coal]
(21074,1865,1,1,2,202889.768632),-- [varnish]
(21074,1874,1,1,2,13526.100884),-- [oriharukon_ore]
(21074,4043,1,1,2,6763.050442),-- [asofe]
(21074,4039,1,1,2,6763.050442),-- [mold_glue]
(21074,5166,1,1,2,270.41734),-- [rp_comp_bspiritshot_a]
(21074,730,1,1,2,169.228916),-- [scrl_of_ench_am_a]
(21074,8730,1,1,2,2254.495533),-- [general_67_a]
(21074,8740,1,1,2,563.514844),-- [special_67_a]
(21074,8750,1,1,2,56.264253),-- [rare_67_a]
(21074,8760,1,1,2,11.340082),-- [unique_67_a]
(21075,4616,1,1,-1,7536),-- [dye_c4c4_c]
(21075,4052,1,1,-1,193443),-- [earing_of_black_ore_piece]
(21075,4041,1,1,-1,47511),-- [mold_hardener]
(21075,57,2167,4388,0,700000),-- [adena]
(21075,601,1,1,1,65.204056),-- [doom_boots]
(21075,4099,1,1,1,9056.795944),-- [doom_boots_part]
(21075,2439,1,1,1,65.204056),-- [blue_wolve's_boots]
(21075,4090,1,1,1,9056.795944),-- [blue_wolve's_boots_design]
(21075,2475,1,1,1,65.204056),-- [doom_gloves]
(21075,4091,1,1,1,9056.795944),-- [doom_gloves_part]
(21075,2487,1,1,1,65.204056),-- [blue_wolve's_gloves]
(21075,4096,1,1,1,9056.795944),-- [blue_wolve's_gloves_fabric]
(21075,1871,1,1,2,134493.480225),-- [charcoal]
(21075,1866,1,1,2,89662.32015),-- [suede]
(21075,1877,1,1,2,5379.739209),-- [admantite_nugget]
(21075,4041,1,1,2,1169.518792),-- [mold_hardener]
(21075,4040,1,1,2,2689.98769),-- [mold_lubricant]
(21075,5005,1,1,2,102.734385),-- [rp_demon's_sword_i]
(21075,5276,1,1,2,179.253789),-- [rp_adv_comp_spiritshot_a]
(21075,5418,1,1,2,198.619811),-- [rp_sealed_tallum_plate_armor_i]
(21075,8729,1,1,2,1793.246403),-- [general_64_a]
(21075,8739,1,1,2,448.252558),-- [special_64_a]
(21075,8749,1,1,2,44.87249),-- [rare_64_a]
(21075,8759,1,1,2,8.974498),-- [unique_64_a]
(21076,4052,1,1,-1,189765),-- [earing_of_black_ore_piece]
(21076,5230,1,1,-1,7147),-- [rp_mithril_arrow]
(21076,4053,1,1,-1,229743),-- [ring_of_black_ore_gemstone]
(21076,57,2126,4306,0,700000),-- [adena]
(21076,2398,1,1,1,21.314447),-- [blue_wolve's_tunic]
(21076,4084,1,1,1,3440.532768),-- [blue_wolve's_tunic_fabric]
(21076,2399,1,1,1,21.314447),-- [tunic_of_doom]
(21076,4085,1,1,1,3440.532768),-- [tunic_of_doom_pattern]
(21076,2403,1,1,1,34.129168),-- [blue_wolve's_hose]
(21076,4086,1,1,1,4645.507334),-- [blue_wolve's_hose_pattern]
(21076,2404,1,1,1,34.129168),-- [hose_of_doom]
(21076,4087,1,1,1,4645.5399),-- [hose_of_doom_pattern]
(21076,1871,1,1,2,158323.32098),-- [charcoal]
(21076,1866,1,1,2,105549.10784),-- [suede]
(21076,1877,1,1,2,6333.05552),-- [admantite_nugget]
(21076,4041,1,1,2,1376.7512),-- [mold_hardener]
(21076,4040,1,1,2,3166.52776),-- [mold_lubricant]
(21076,1830,1,1,2,63329.53286),-- [scroll_of_escape_to_castle]
(21076,8729,1,1,2,2111.1321),-- [general_64_a]
(21076,8739,1,1,2,527.86822),-- [special_64_a]
(21076,8749,1,1,2,52.8209),-- [rare_64_a]
(21076,8759,1,1,2,9.88262),-- [unique_64_a]
(21077,5230,1,1,-1,6798),-- [rp_mithril_arrow]
(21077,4054,1,1,-1,100424),-- [necklace_of_black_ore_beads]
(21077,4041,1,1,-1,44335),-- [mold_hardener]
(21077,57,2022,4096,0,700000),-- [adena]
(21077,864,1,1,1,70.60721),-- [earing_of_black_ore]
(21077,4052,1,1,1,8886.33308),-- [earing_of_black_ore_piece]
(21077,926,1,1,1,52.961612),-- [necklace_of_black_ore]
(21077,4054,1,1,1,4943.7456),-- [necklace_of_black_ore_beads]
(21077,895,1,1,1,105.898406),-- [ring_of_black_ore]
(21077,4053,1,1,1,10758.454092),-- [ring_of_black_ore_gemstone]
(21077,1872,1,1,2,167336.28288),-- [animal_bone]
(21077,1867,1,1,2,167336.28288),-- [animal_skin]
(21077,1881,1,1,2,16733.718885),-- [coarse_bone_powder]
(21077,1875,1,1,2,8366.63295),-- [stone_of_purity]
(21077,4041,1,1,2,1091.240865),-- [mold_hardener]
(21077,5230,1,1,2,167.151465),-- [rp_mithril_arrow]
(21077,5276,1,1,2,167.151465),-- [rp_adv_comp_spiritshot_a]
(21077,8729,1,1,2,1673.32659),-- [general_64_a]
(21077,8739,1,1,2,418.55814),-- [special_64_a]
(21077,8749,1,1,2,41.67462),-- [rare_64_a]
(21077,8759,1,1,2,8.15373),-- [unique_64_a]
(21077,1343,20,60,2,89644.82553),-- [silver_arrow]
(21078,4040,1,1,-1,135112),-- [mold_lubricant]
(21078,5485,1,1,-1,56808),-- [sealed_tallum_tunic_texture]
(21078,3956,1,1,-1,9007),-- [rp_blessed_spiritshot_a]
(21078,57,2672,5436,0,700000),-- [adena]
(21078,5292,1,1,1,71.13888),-- [sealed_dark_crystal_shield]
(21078,5494,1,1,1,6984.07698),-- [sealed_dark_crystal_shield_fragment]
(21078,5289,1,1,1,49.77978),-- [sealed_dark_crystal_helmet]
(21078,5525,1,1,1,5140.621008),-- [sealed_dark_crystal_helmet_design]
(21078,5294,1,1,1,49.77978),-- [sealed_tallum_bonnet]
(21078,5526,1,1,1,5140.603572),-- [sealed_tallum_bonnet_design]
(21078,1873,1,1,2,79819.857375),-- [silver_nugget]
(21078,1868,1,3,2,199549.836589),-- [thread]
(21078,1876,1,1,2,39910.121839),-- [mithril_ore]
(21078,1895,1,1,2,57014.45977),-- [metallic_fiber]
(21078,4042,1,1,2,3325.682527),-- [enria]
(21078,4175,1,1,2,3844.873759),-- [rp_avadon_boots]
(21078,8730,1,1,2,2217.37922),-- [general_67_a]
(21078,8740,1,1,2,554.344805),-- [special_67_a]
(21078,8750,1,1,2,55.241329),-- [rare_67_a]
(21078,8760,1,1,2,11.202787),-- [unique_67_a]
(21079,1895,1,3,-1,918483),-- [metallic_fiber]
(21079,4042,1,1,-1,107156),-- [enria]
(21079,5478,1,1,-1,54065),-- [sealed_dark_crystal_leather_mail_pattern]
(21079,57,2545,5167,0,700000),-- [adena]
(21079,5304,1,1,1,23.701236),-- [sealed_tallum_tunic]
(21079,5485,1,1,1,2661.507316),-- [sealed_tallum_tunic_texture]
(21079,5308,1,1,1,14.579292),-- [sealed_dark_crystal_robe]
(21079,5486,1,1,1,1872.819468),-- [sealed_dark_crystal_robe_fabric]
(21079,5305,1,1,1,37.902644),-- [sealed_tallum_hose]
(21079,5489,1,1,1,4177.490044),-- [sealed_tallum_hose_fabric]
(21079,1873,1,1,2,69059.696958),-- [silver_nugget]
(21079,1868,1,3,2,172649.076758),-- [thread]
(21079,1876,1,1,2,34529.682842),-- [mithril_ore]
(21079,1895,1,1,2,49328.35497),-- [metallic_fiber]
(21079,4042,1,1,2,2877.445964),-- [enria]
(21079,5161,1,1,2,230.23543),-- [rp_comp_spiritshot_a]
(21079,730,1,1,2,143.772916),-- [scrl_of_ench_am_a]
(21079,8730,1,1,2,1918.407734),-- [general_67_a]
(21079,8740,1,1,2,479.684752),-- [special_67_a]
(21079,8750,1,1,2,48.03473),-- [rare_67_a]
(21079,8760,1,1,2,9.606946),-- [unique_67_a]
(21080,1807,1,1,-1,7923),-- [rp_soulshot_a]
(21080,5479,1,1,-1,35162),-- [sealed_tallum_leather_mail_pattern]
(21080,3035,1,1,-1,7923),-- [rp_spiritshot_a]
(21080,57,2352,4776,0,700000),-- [adena]
(21080,6324,1,1,1,58.217938),-- [sealed_phoenix's_earing]
(21080,6341,1,1,1,8091.08426),-- [sealed_phoenix's_earing_gemstone]
(21080,6323,1,1,1,43.657022),-- [sealed_phoenix's_necklace]
(21080,6343,1,1,1,6254.710928),-- [sealed_phoenix's_necklace_beads]
(21080,6325,1,1,1,87.314044),-- [sealed_phoenix's_ring]
(21080,6345,1,1,1,11191.015808),-- [sealed_phoenix's_ring_gemstone]
(21080,1864,1,3,2,146273.299821),-- [stem]
(21080,1869,1,1,2,146273.299821),-- [iron_ore]
(21080,1878,1,1,2,58509.229293),-- [braided_hemp]
(21080,1884,1,1,2,90014.094333),-- [cord]
(21080,4039,1,1,2,4875.731343),-- [mold_glue]
(21080,5166,1,1,2,194.86611),-- [rp_comp_bspiritshot_a]
(21080,8314,1,1,2,79.759152),-- [rp_eye_of_soul_i]
(21080,8730,1,1,2,1625.092722),-- [general_67_a]
(21080,8740,1,1,2,406.499769),-- [special_67_a]
(21080,8750,1,1,2,40.78593),-- [rare_67_a]
(21080,8760,1,1,2,8.157186),-- [unique_67_a]
(21080,6036,1,1,2,4876.18452),-- [potion_of_acumen3]
(21081,5230,1,1,-1,8037),-- [rp_mithril_arrow]
(21081,4119,1,1,-1,26385),-- [demon's_sword_edge]
(21081,5478,1,1,-1,50689),-- [sealed_dark_crystal_leather_mail_pattern]
(21081,57,2973,6067,0,700000),-- [adena]
(21081,5297,1,1,1,27.776403),-- [sealed_dark_crystal_leather_mail]
(21081,5478,1,1,1,3119.124243),-- [sealed_dark_crystal_leather_mail_pattern]
(21081,5301,1,1,1,17.086041),-- [sealed_tallum_leather_mail]
(21081,5479,1,1,1,2194.830189),-- [sealed_tallum_leather_mail_pattern]
(21081,5298,1,1,1,44.419587),-- [sealed_legging_of_dark_crystal]
(21081,5482,1,1,1,4895.763537),-- [sealed_legging_of_dark_crystal_design]
(21081,1872,1,3,2,148380.202152),-- [animal_bone]
(21081,1867,1,1,2,296759.909446),-- [animal_skin]
(21081,1881,1,1,2,29676.139402),-- [coarse_bone_powder]
(21081,1875,1,1,2,14837.822272),-- [stone_of_purity]
(21081,4041,1,1,2,1935.389638),-- [mold_hardener]
(21081,4985,1,1,2,630.449092),-- [rp_leather_mail_of_doom_i]
(21081,8731,1,1,2,2060.588712),-- [general_70_a]
(21081,8741,1,1,2,515.147178),-- [special_70_a]
(21081,8751,1,1,2,51.465232),-- [rare_70_a]
(21081,8761,1,1,2,10.886876),-- [unique_70_a]
(21082,5482,1,1,-1,76302),-- [sealed_legging_of_dark_crystal_design]
(21082,5486,1,1,-1,34207),-- [sealed_dark_crystal_robe_fabric]
(21082,5156,1,1,-1,7708),-- [rp_comp_soulshot_a]
(21082,57,2853,5815,0,700000),-- [adena]
(21082,5304,1,1,1,26.638269),-- [sealed_tallum_tunic]
(21082,5485,1,1,1,2991.318589),-- [sealed_tallum_tunic_texture]
(21082,5308,1,1,1,16.385943),-- [sealed_dark_crystal_robe]
(21082,5486,1,1,1,2104.897347),-- [sealed_dark_crystal_robe_fabric]
(21082,5305,1,1,1,42.599501),-- [sealed_tallum_hose]
(21082,5489,1,1,1,4695.160351),-- [sealed_tallum_hose_fabric]
(21082,1865,1,1,2,213451.890565),-- [varnish]
(21082,1870,1,1,2,213451.890565),-- [coal]
(21082,1879,1,1,2,35575.234462),-- [cokes]
(21082,1875,1,1,2,14230.287302),-- [stone_of_purity]
(21082,4040,1,1,2,4268.989432),-- [mold_lubricant]
(21082,5281,1,1,2,284.470284),-- [rp_adv_comp_bspiritshot_a]
(21082,8731,1,1,2,1976.294405),-- [general_70_a]
(21082,8741,1,1,2,493.952653),-- [special_70_a]
(21082,8751,1,1,2,49.346886),-- [rare_70_a]
(21082,8761,1,1,2,10.643446),-- [unique_70_a]
(21083,5485,1,1,-1,50785),-- [sealed_tallum_tunic_texture]
(21083,5156,1,1,-1,8052),-- [rp_comp_soulshot_a]
(21083,5486,1,1,-1,35736),-- [sealed_dark_crystal_robe_fabric]
(21083,57,2980,6075,0,700000),-- [adena]
(21083,6324,1,1,1,73.959366),-- [sealed_phoenix's_earing]
(21083,6341,1,1,1,10278.81582),-- [sealed_phoenix's_earing_gemstone]
(21083,6323,1,1,1,55.461354),-- [sealed_phoenix's_necklace]
(21083,6343,1,1,1,7945.909296),-- [sealed_phoenix's_necklace_beads]
(21083,6325,1,1,1,110.922708),-- [sealed_phoenix's_ring]
(21083,6345,1,1,1,14216.931456),-- [sealed_phoenix's_ring_gemstone]
(21083,1866,1,1,2,135145.54431),-- [suede]
(21083,1871,1,1,2,202718.13273),-- [charcoal]
(21083,5220,1,1,2,8108.59302),-- [reinforcing_agent]
(21083,1885,1,1,2,16893.33084),-- [high_grade_suede]
(21083,4041,1,1,2,1762.75359),-- [mold_hardener]
(21083,1807,1,1,2,270.45792),-- [rp_soulshot_a]
(21083,730,1,1,2,169.0362),-- [scrl_of_ench_am_a]
(21083,8731,1,1,2,1877.03676),-- [general_70_a]
(21083,8741,1,1,2,469.25919),-- [special_70_a]
(21083,8751,1,1,2,47.03616),-- [rare_70_a]
(21083,8761,1,1,2,8.81928),-- [unique_70_a]
(21084,4129,1,1,-1,54392),-- [rp_earing_of_black_ore]
(21084,4056,1,1,-1,90964),-- [shrnoen's_breastplate_part]
(21084,57,1988,4041,0,700000),-- [adena]
(21084,78,1,1,1,7.408178),-- [great_sword]
(21084,4104,1,1,1,1415.883266),-- [great_sword_blade]
(21084,142,1,1,1,7.408178),-- [kshanberk]
(21084,4107,1,1,1,1393.9461),-- [kshanberk_blade]
(21084,148,1,1,1,7.408178),-- [sword_of_valhalla]
(21084,4108,1,1,1,1393.9461),-- [sword_of_valhalla_blade]
(21084,1868,1,1,2,228390.933016),-- [thread]
(21084,1873,1,1,2,45678.101277),-- [silver_nugget]
(21084,5549,1,1,2,11419.631977),-- [iron_thread]
(21084,1889,1,1,2,7613.230195),-- [compound_braid]
(21084,4044,1,1,2,3806.401782),-- [thons]
(21084,4196,1,1,2,87.032724),-- [rp_staff_of_evil_sprit]
(21084,4402,1,1,2,228.247585),-- [blue_dimension_stone]
(21084,5002,1,1,2,87.032724),-- [rp_deadman's_glory_i]
(21084,8728,1,1,2,1903.200891),-- [general_61_b]
(21084,8738,1,1,2,475.693565),-- [special_61_b]
(21084,8748,1,1,2,47.782672),-- [rare_61_b]
(21084,8758,1,1,2,9.385882),-- [unique_61_b]
(21084,1832,1,1,2,126884.32571),-- [advanced_antidote]
(21085,5479,1,1,-1,55365),-- [sealed_tallum_leather_mail_pattern]
(21085,5489,1,1,-1,123496),-- [sealed_tallum_hose_fabric]
(21085,1889,1,1,-1,623779),-- [compound_braid]
(21085,57,4617,9411,0,700000),-- [adena]
(21085,5297,1,1,1,43.114242),-- [sealed_dark_crystal_leather_mail]
(21085,5478,1,1,1,4841.472002),-- [sealed_dark_crystal_leather_mail_pattern]
(21085,5301,1,1,1,26.520774),-- [sealed_tallum_leather_mail]
(21085,5479,1,1,1,3406.792446),-- [sealed_tallum_leather_mail_pattern]
(21085,5298,1,1,1,68.947618),-- [sealed_legging_of_dark_crystal]
(21085,5482,1,1,1,7599.152918),-- [sealed_legging_of_dark_crystal_design]
(21085,1868,3,9,2,104690.175148),-- [thread]
(21085,1873,1,1,2,125628.272302),-- [silver_nugget]
(21085,5549,1,1,2,31406.99042),-- [iron_thread]
(21085,1889,1,1,2,20938.097154),-- [compound_braid]
(21085,4044,1,1,2,10468.893266),-- [thons]
(21085,4131,1,1,2,2553.31284),-- [rp_necklace_of_black_ore]
(21085,8730,1,1,2,3489.527548),-- [general_67_a]
(21085,8740,1,1,2,872.537198),-- [special_67_a]
(21085,8750,1,1,2,87.284782),-- [rare_67_a]
(21085,8760,1,1,2,17.394832),-- [unique_67_a]
(21085,6036,1,1,2,10469.51451),-- [potion_of_acumen3]
(21086,1807,1,1,-1,12483),-- [rp_soulshot_a]
(21086,5482,1,1,-1,123574),-- [sealed_legging_of_dark_crystal_design]
(21086,1895,1,5,-1,891673),-- [metallic_fiber]
(21086,57,4617,9427,0,700000),-- [adena]
(21086,5287,1,1,1,32.350949),-- [sealed_dark_crystal_breastplate]
(21086,5520,1,1,1,3715.728913),-- [sealed_dark_crystal_breastplate_pattern]
(21086,5293,1,1,1,19.914803),-- [sealed_tallum_plate_armor]
(21086,5521,1,1,1,2621.966236),-- [sealed_tallum_plate_armor_pattern]
(21086,5288,1,1,1,51.768791),-- [sealed_dark_crystal_gaiters]
(21086,5524,1,1,1,5679.270308),-- [sealed_dark_crystal_gaiters_pattern]
(21086,1895,1,1,2,98770.285188),-- [metallic_fiber]
(21086,4040,1,1,2,6913.954136),-- [mold_lubricant]
(21086,4042,1,1,2,5761.540824),-- [enria]
(21086,4043,1,1,2,11523.213082),-- [asofe]
(21086,4166,1,1,2,2856.980858),-- [rp_doom_helmet]
(21086,4401,1,1,2,691.34284),-- [green_dimension_stone]
(21086,8730,1,1,2,3841.027216),-- [general_67_a]
(21086,8740,1,1,2,960.256804),-- [special_67_a]
(21086,8750,1,1,2,96.078254),-- [rare_67_a]
(21086,8760,1,1,2,19.320798),-- [unique_67_a]
(21087,4082,1,1,-1,146799),-- [blue_wolve's_leather_mail_texture]
(21087,1894,1,1,-1,455851),-- [crafted_leather]
(21087,5494,1,1,-1,272850),-- [sealed_dark_crystal_shield_fragment]
(21087,57,6416,13062,0,700000),-- [adena]
(21087,5287,1,1,1,44.889911),-- [sealed_dark_crystal_breastplate]
(21087,5520,1,1,1,5155.914907),-- [sealed_dark_crystal_breastplate_pattern]
(21087,5293,1,1,1,27.633617),-- [sealed_tallum_plate_armor]
(21087,5521,1,1,1,3638.218804),-- [sealed_tallum_plate_armor_pattern]
(21087,5288,1,1,1,71.833949),-- [sealed_dark_crystal_gaiters]
(21087,5524,1,1,1,7880.508812),-- [sealed_dark_crystal_gaiters_pattern]
(21087,1869,2,6,2,92249.215127),-- [iron_ore]
(21087,1864,5,15,2,73799.494938),-- [stem]
(21087,1880,1,1,2,36899.747469),-- [steel]
(21087,5550,1,1,2,4919.904911),-- [reinforcing_plate]
(21087,4043,1,1,2,12299.915823),-- [asofe]
(21087,4614,1,1,2,508.849787),-- [dye_s4d4_c]
(21087,6037,9,27,2,40999.71941),-- [scroll_of_awake]
(21087,729,1,1,2,41.150194),-- [scrl_of_ench_wp_a]
(21087,6671,1,1,2,40999.71941),-- [key_of_treasure_box7]
(21087,8731,1,1,2,3416.694466),-- [general_70_a]
(21087,8741,1,1,2,854.020071),-- [special_70_a]
(21087,8751,1,1,2,85.371298),-- [rare_70_a]
(21087,8761,1,1,2,17.197096),-- [unique_70_a]
(21088,5338,1,1,-1,12863),-- [rp_sealed_majestic_leather_mail_i]
(21088,4042,1,1,-1,165717),-- [enria]
(21088,5485,1,1,-1,83611),-- [sealed_tallum_tunic_texture]
(21088,57,4907,10001,0,700000),-- [adena]
(21088,5304,1,1,1,45.816636),-- [sealed_tallum_tunic]
(21088,5485,1,1,1,5144.934716),-- [sealed_tallum_tunic_texture]
(21088,5308,1,1,1,28.183092),-- [sealed_dark_crystal_robe]
(21088,5486,1,1,1,3620.329668),-- [sealed_dark_crystal_robe_fabric]
(21088,5305,1,1,1,73.269244),-- [sealed_tallum_hose]
(21088,5489,1,1,1,8075.466644),-- [sealed_tallum_hose_fabric]
(21088,1873,1,1,2,146851.06194),-- [silver_nugget]
(21088,1868,3,9,2,122375.96154),-- [thread]
(21088,1876,1,1,2,73425.76074),-- [mithril_ore]
(21088,1895,1,1,2,104893.68132),-- [metallic_fiber]
(21088,4042,1,1,2,6118.7751),-- [enria]
(21088,4986,1,1,2,1523.3751),-- [rp_blue_wolve's_tunic_i]
(21088,8731,1,1,2,3399.21738),-- [general_70_a]
(21088,8741,1,1,2,849.68946),-- [special_70_a]
(21088,8751,1,1,2,85.0149),-- [rare_70_a]
(21088,8761,1,1,2,17.46252),-- [unique_70_a]
(21089,4116,1,1,-1,50514),-- [deadman's_glory_stone]
(21089,3035,1,1,-1,15413),-- [rp_spiritshot_a]
(21089,5480,1,1,-1,51871),-- [sealed_leather_mail_of_nightmare_fabric]
(21089,57,5702,11635,0,700000),-- [adena]
(21089,5304,1,1,1,53.26575),-- [sealed_tallum_tunic]
(21089,5485,1,1,1,5981.42575),-- [sealed_tallum_tunic_texture]
(21089,5308,1,1,1,32.76525),-- [sealed_dark_crystal_robe]
(21089,5486,1,1,1,4208.94225),-- [sealed_dark_crystal_robe_fabric]
(21089,5305,1,1,1,85.18175),-- [sealed_tallum_hose]
(21089,5489,1,1,1,9388.41925),-- [sealed_tallum_hose_fabric]
(21089,1873,2,6,2,42682.333768),-- [silver_nugget]
(21089,1868,3,9,2,142275.12292),-- [thread]
(21089,1876,1,1,2,85365.073752),-- [mithril_ore]
(21089,1895,1,1,2,121950.10536),-- [metallic_fiber]
(21089,4042,1,1,2,7113.654592),-- [enria]
(21089,4986,1,1,2,1771.10176),-- [rp_blue_wolve's_tunic_i]
(21089,8731,1,1,2,3952.075464),-- [general_70_a]
(21089,8741,1,1,2,987.917312),-- [special_70_a]
(21089,8751,1,1,2,98.710488),-- [rare_70_a]
(21089,8761,1,1,2,19.904584),-- [unique_70_a]
(21090,5230,1,1,-1,11849),-- [rp_mithril_arrow]
(21090,5486,1,1,-1,52583),-- [sealed_dark_crystal_robe_fabric]
(21090,5156,1,1,-1,11849),-- [rp_comp_soulshot_a]
(21090,57,4384,8944,0,700000),-- [adena]
(21090,5287,1,1,1,30.704176),-- [sealed_dark_crystal_breastplate]
(21090,5520,1,1,1,3526.585712),-- [sealed_dark_crystal_breastplate_pattern]
(21090,5293,1,1,1,18.901072),-- [sealed_tallum_plate_armor]
(21090,5521,1,1,1,2488.499264),-- [sealed_tallum_plate_armor_pattern]
(21090,5288,1,1,1,49.133584),-- [sealed_dark_crystal_gaiters]
(21090,5524,1,1,1,5390.176192),-- [sealed_dark_crystal_gaiters_pattern]
(21090,1871,1,3,2,91143.638391),-- [charcoal]
(21090,1866,1,1,2,182286.809659),-- [suede]
(21090,1877,1,1,2,10937.217922),-- [admantite_nugget]
(21090,4041,1,1,2,2377.65607),-- [mold_hardener]
(21090,4040,1,1,2,5468.608961),-- [mold_lubricant]
(21090,4401,1,1,2,547.001033),-- [green_dimension_stone]
(21090,730,1,1,2,227.956024),-- [scrl_of_ench_am_a]
(21090,8731,1,1,2,2531.80666),-- [general_70_a]
(21090,8741,1,1,2,632.951665),-- [special_70_a]
(21090,8751,1,1,2,63.061605),-- [rare_70_a]
(21090,8761,1,1,2,12.612321),-- [unique_70_a]
(21090,1344,20,60,2,170893.679689),-- [mithril_arrow]
(21091,5479,1,1,-1,35349),-- [sealed_tallum_leather_mail_pattern]
(21091,3035,1,1,-1,7965),-- [rp_spiritshot_a]
(21091,5336,1,1,-1,7728),-- [rp_sealed_leather_mail_of_nightmare_i]
(21091,57,2948,6009,0,700000),-- [adena]
(21091,5297,1,1,1,27.528279),-- [sealed_dark_crystal_leather_mail]
(21091,5478,1,1,1,3091.261399),-- [sealed_dark_crystal_leather_mail_pattern]
(21091,5301,1,1,1,16.933413),-- [sealed_tallum_leather_mail]
(21091,5479,1,1,1,2175.223977),-- [sealed_tallum_leather_mail_pattern]
(21091,5298,1,1,1,44.022791),-- [sealed_legging_of_dark_crystal]
(21091,5482,1,1,1,4852.030141),-- [sealed_legging_of_dark_crystal_design]
(21091,1867,1,3,2,210072.547114),-- [animal_skin]
(21091,1872,1,3,2,140048.218698),-- [animal_bone]
(21091,1882,1,1,2,70024.328416),-- [leather]
(21091,1894,1,1,2,11056.31149),-- [crafted_leather]
(21091,4042,1,1,2,5251.912258),-- [enria]
(21091,3035,1,1,2,420.170506),-- [rp_spiritshot_a]
(21091,10306,1,1,2,1260.511518),-- [sb_transform_doll_blader]
(21092,5485,1,1,-1,49077),-- [sealed_tallum_tunic_texture]
(21092,5161,1,1,-1,7782),-- [rp_comp_spiritshot_a]
(21092,5478,1,1,-1,49077),-- [sealed_dark_crystal_leather_mail_pattern]
(21092,57,2880,5870,0,700000),-- [adena]
(21092,5292,1,1,1,76.82232),-- [sealed_dark_crystal_shield]
(21092,5494,1,1,1,7542.050095),-- [sealed_dark_crystal_shield_fragment]
(21092,5289,1,1,1,53.756795),-- [sealed_dark_crystal_helmet]
(21092,5525,1,1,1,5551.316412),-- [sealed_dark_crystal_helmet_design]
(21092,5294,1,1,1,53.756795),-- [sealed_tallum_bonnet]
(21092,5526,1,1,1,5551.297583),-- [sealed_tallum_bonnet_design]
(21092,1868,4,12,2,67340.646289),-- [thread]
(21092,1873,1,1,2,107744.828485),-- [silver_nugget]
(21092,5549,1,1,2,26936.121464),-- [iron_thread]
(21092,1889,1,1,2,17957.528519),-- [compound_braid]
(21092,4044,1,1,2,8978.592945),-- [thons]
(21092,3956,1,1,2,359.075192),-- [rp_blessed_spiritshot_a]
(21092,10306,1,1,2,1077.568205),-- [sb_transform_doll_blader]
(21092,1344,30,90,2,112234.638901),-- [mithril_arrow]
(21093,1800,1,1,-1,83774),-- [rp_piece_bone_breastplate]
(21093,1897,1,1,-1,63429),-- [necklace_of_wisdom_chain]
(21093,1864,1,1,-1,532802),-- [stem]
(21093,57,125,213,0,700000),-- [adena]
(21093,2,1,1,1,74.977705),-- [long_sword]
(21093,120,1,1,1,74.977705),-- [sword_of_reflexion]
(21093,2012,1,1,1,820.066885),-- [sword_of_reflexion_blade]
(21093,121,1,1,1,74.977705),-- [sword_of_watershadow]
(21093,1864,1,1,2,78690.917104),-- [stem]
(21093,1869,1,1,2,39345.458552),-- [iron_ore]
(21093,1878,1,1,2,15738.21414),-- [braided_hemp]
(21093,1801,1,1,2,19821.410204),-- [rp_piece_bone_gaiters]
(21094,1870,1,1,-1,270215),-- [coal]
(21094,734,1,1,-1,45036),-- [quick_step_potion]
(21094,1924,1,1,-1,87166),-- [leather_helmet_design]
(21094,57,125,217,0,700000),-- [adena]
(21094,176,1,1,1,152),-- [apprentice's_staff]
(21094,2501,1,1,1,152),-- [bone_club]
(21094,1865,1,1,2,39908.853285),-- [varnish]
(21094,1870,1,1,2,39908.853285),-- [coal]
(21094,1879,1,1,2,6651.522773),-- [cokes]
(21094,2141,1,1,2,7981.770657),-- [rp_silver_mold]
(21095,1804,1,1,-1,15036),-- [rp_soulshot_d]
(21095,1898,1,1,-1,38613),-- [blue_diamond_necklace_gem]
(21095,2151,1,1,-1,104706),-- [rp_necklace_of_devotion]
(21095,57,171,306,0,700000),-- [adena]
(21095,257,1,1,1,236),-- [viper's_canine]
(21095,1870,1,1,2,55516.67957),-- [coal]
(21095,1865,1,1,2,55516.67957),-- [varnish]
(21095,1804,1,1,2,2220.771702),-- [rp_soulshot_d]
(21095,1831,1,1,2,148043.869158),-- [antidote]
(21096,1926,1,1,-1,37310),-- [piece_bone_breastplate_fragment]
(21096,1866,1,1,-1,246245),-- [suede]
(21096,1871,1,1,-1,369368),-- [charcoal]
(21096,57,168,301,0,700000),-- [adena]
(21096,39,1,1,1,1531.287612),-- [boots]
(21096,1930,1,1,1,18650.403063),-- [boots_lining]
(21096,51,1,1,1,1531.309325),-- [bracer]
(21096,1866,1,1,2,48491.470211),-- [suede]
(21096,1871,1,1,2,72737.127301),-- [charcoal]
(21096,2179,1,1,2,34802.402488),-- [rp_excellence_leather_gloves]
(21097,1927,1,1,-1,33847),-- [hard_leather_shirt_pattern]
(21097,2176,1,1,-1,203004),-- [rp_leather_boots]
(21097,1928,1,1,-1,61803),-- [piece_bone_gaiters_fragment]
(21097,57,194,343,0,700000),-- [adena]
(21097,846,1,1,1,1018.870708),-- [coral_earing]
(21097,909,1,1,1,764.155468),-- [blue_diamond_necklace]
(21097,1898,1,1,1,6436.65314),-- [blue_diamond_necklace_gem]
(21097,878,1,1,1,1528.320684),-- [blue_coral_ring]
(21097,1870,1,1,2,50130.015455),-- [coal]
(21097,1865,1,1,2,50130.015455),-- [varnish]
(21097,2257,1,1,2,1225.641193),-- [rp_trident]
(21097,734,1,1,2,8354.961989),-- [quick_step_potion]
(21097,1831,1,1,2,133680.365908),-- [antidote]
(21098,2177,1,1,-1,127600),-- [rp_bone_helmet]
(21098,1929,1,1,-1,51534),-- [hard_leather_gaiters_material]
(21098,1879,1,1,-1,66565),-- [cokes]
(21098,57,177,327,0,700000),-- [adena]
(21098,16,1,1,1,251),-- [long_spear]
(21098,1865,1,1,2,58986.680208),-- [varnish]
(21098,1870,1,1,2,58986.680208),-- [coal]
(21098,1879,1,1,2,9831.156756),-- [cokes]
(21098,5158,1,1,2,2359.482828),-- [rp_comp_spiritshot_d]
(21099,1875,1,1,-1,28539),-- [stone_of_purity]
(21099,1899,1,1,-1,66888),-- [necklace_of_devotion_chain]
(21099,2152,1,1,-1,75366),-- [rp_enchanted_necklace]
(21099,57,188,353,0,700000),-- [adena]
(21099,626,1,1,1,947.733136),-- [bronze_shield]
(21099,45,1,1,1,664.590628),-- [bone_helmet]
(21099,1932,1,1,1,12711.676236),-- [bone_helmet_design]
(21099,1875,1,1,2,3203.322531),-- [stone_of_purity]
(21099,1879,1,1,2,8008.344804),-- [cokes]
(21099,5549,1,1,2,4804.996622),-- [iron_thread]
(21099,2152,1,1,2,8459.520243),-- [rp_enchanted_necklace]
(21099,8294,1,1,2,1174.8158),-- [rp_iron_sword]
(21100,1897,1,1,-1,63429),-- [necklace_of_wisdom_chain]
(21100,1800,1,1,-1,83774),-- [rp_piece_bone_breastplate]
(21100,1924,1,1,-1,85936),-- [leather_helmet_design]
(21100,57,125,213,0,700000),-- [adena]
(21100,845,1,1,1,1150.453818),-- [cat'seye_earing]
(21100,908,1,1,1,862.846917),-- [necklace_of_wisdom]
(21100,1897,1,1,1,9368.018538),-- [necklace_of_wisdom_chain]
(21100,877,1,1,1,1725.680727),-- [ring_of_wisdom]
(21100,1869,1,1,2,39345.4152),-- [iron_ore]
(21100,1864,1,1,2,78690.96024),-- [stem]
(21100,1880,1,1,2,3934.54152),-- [steel]
(21100,1817,1,1,2,7869.08304),-- [rp_cord]
(21101,1870,1,1,-1,399388),-- [coal]
(21101,1865,1,1,-1,399388),-- [varnish]
(21101,1898,1,1,-1,41026),-- [blue_diamond_necklace_gem]
(21101,57,177,327,0,700000),-- [adena]
(21101,39,1,1,1,1655.762472),-- [boots]
(21101,1930,1,1,1,20166.451578),-- [boots_lining]
(21101,51,1,1,1,1655.78595),-- [bracer]
(21101,1870,1,1,2,47189.363348),-- [coal]
(21101,1865,1,1,2,47189.363348),-- [varnish]
(21101,5163,1,1,2,1887.598116),-- [rp_comp_bspiritshot_d]
(21101,6666,1,1,2,47189.363348),-- [key_of_treasure_box2]
(21101,6035,1,1,2,3932.31184),-- [potion_of_acumen2]
(21102,2153,1,1,-1,84230),-- [rp_tiger'seye_earing]
(21102,1900,1,1,-1,59256),-- [enchanted_necklace_chain]
(21102,2183,1,1,-1,35631),-- [rp_mithril_banded_mail]
(21102,57,228,457,0,700000),-- [adena]
(21102,433,1,1,1,96.214123),-- [elven_tunic]
(21102,434,1,1,1,96.214123),-- [white_tunic]
(21102,1936,1,1,1,3027.472147),-- [white_tunic_pattern]
(21102,435,1,1,1,96.214123),-- [mage's_tunic]
(21102,466,1,1,1,154.147498),-- [elven_hose]
(21102,467,1,1,1,154.147498),-- [dark_hose]
(21102,1933,1,1,1,4352.434859),-- [dark_hose_fabric]
(21102,468,1,1,1,154.155629),-- [mage's_hose]
(21102,1874,1,1,2,3288.45484),-- [oriharukon_ore]
(21102,1878,1,1,2,19730.78932),-- [braided_hemp]
(21102,1884,1,1,2,30355.01876),-- [cord]
(21102,1889,1,1,2,3288.45484),-- [compound_braid]
(21102,5220,1,1,2,1973.08496),-- [reinforcing_agent]
(21102,956,1,1,2,1644.19728),-- [scrl_of_ench_am_d]
(21103,1933,1,1,-1,66361),-- [dark_hose_fabric]
(21103,1879,1,1,-1,94011),-- [cokes]
(21103,955,1,1,-1,2256),-- [scrl_of_ench_wp_d]
(21103,57,239,476,0,700000),-- [adena]
(21103,348,1,1,1,150.355692),-- [scale_mail]
(21103,1935,1,1,1,4304.991144),-- [scale_mail_fragment]
(21103,377,1,1,1,240.431052),-- [scale_gaiters]
(21103,1937,1,1,1,6620.222112),-- [scale_gaiters_fragment]
(21103,1875,1,1,2,2935.62317),-- [stone_of_purity]
(21103,1879,1,1,2,7338.97649),-- [cokes]
(21103,1885,1,1,2,3669.51539),-- [high_grade_suede]
(21103,5550,1,1,2,587.14635),-- [reinforcing_plate]
(21103,5549,1,1,2,4403.40761),-- [iron_thread]
(21103,2185,1,1,2,8668.10427),-- [rp_iron_boots]
(21103,1061,1,1,2,26687.22672),-- [healing_potion]
(21104,1876,1,1,-1,140715),-- [mithril_ore]
(21104,1061,1,1,-1,426409),-- [healing_potion]
(21104,1935,1,1,-1,39306),-- [scale_mail_fragment]
(21104,57,296,595,0,700000),-- [adena]
(21104,1123,1,1,1,1502),-- [blue_buckskin_boots]
(21104,605,1,1,1,1502),-- [leather_gauntlet]
(21104,1876,1,1,2,10985.1025),-- [mithril_ore]
(21104,1880,1,1,2,5492.5147),-- [steel]
(21104,1877,1,1,2,2197.0205),-- [admantite_nugget]
(21104,1881,1,1,2,7323.3773),-- [coarse_bone_powder]
(21104,1882,1,1,2,12205.6532),-- [leather]
(21104,2264,1,1,2,567.987),-- [rp_two-handed_sword]
(21104,6667,1,1,2,34328.3448),-- [key_of_treasure_box3]
(21105,2154,1,1,-1,86586),-- [rp_elven_earing]
(21105,1901,1,1,-1,111700),-- [tiger'seye_earing_stone]
(21105,2155,1,1,-1,129809),-- [rp_elven_ring]
(21105,57,342,683,0,700000),-- [adena]
(21105,393,1,1,1,122.506823),-- [mithril_banded_mail]
(21105,1938,1,1,1,4817.759693),-- [mithril_banded_mail_material]
(21105,394,1,1,1,122.506823),-- [reinforce_leather_shirt]
(21105,415,1,1,1,195.808834),-- [mithril_banded_gaiters]
(21105,1939,1,1,1,6294.620742),-- [mithril_banded_gaiters_material]
(21105,416,1,1,1,195.797085),-- [reinforce_leather_gaiters]
(21105,1874,1,1,2,4777.605589),-- [oriharukon_ore]
(21105,1878,1,1,2,28665.540673),-- [braided_hemp]
(21105,1884,1,1,2,44100.896093),-- [cord]
(21105,1889,1,1,2,4777.605589),-- [compound_braid]
(21105,5220,1,1,2,2866.526209),-- [reinforcing_agent]
(21105,2154,1,1,2,7672.825847),-- [rp_elven_earing]
(21106,1938,1,1,-1,45809),-- [mithril_banded_mail_material]
(21106,1885,1,1,-1,56785),-- [high_grade_suede]
(21106,5550,1,1,-1,9086),-- [reinforcing_plate]
(21106,57,288,574,0,700000),-- [adena]
(21106,628,1,1,1,883.706206),-- [hoplon]
(21106,47,1,1,1,618.293794),-- [helmet]
(21106,1875,1,1,2,3019.186494),-- [stone_of_purity]
(21106,1879,1,1,2,7547.793966),-- [cokes]
(21106,1885,1,1,2,3773.896983),-- [high_grade_suede]
(21106,5550,1,1,2,603.802845),-- [reinforcing_plate]
(21106,5549,1,1,2,4528.779741),-- [iron_thread]
(21106,2186,1,1,2,1514.589048),-- [rp_brigandine]
(21106,8317,1,1,2,323.521182),-- [rp_giants_hammer]
(21106,1341,10,30,2,150957.429741),-- [bone_arrow]
(21107,1939,1,1,-1,126271),-- [mithril_banded_gaiters_material]
(21107,2156,1,1,-1,115008),-- [rp_elven_necklace]
(21107,1940,1,1,-1,214567),-- [iron_boots_design]
(21107,57,607,1211,0,700000),-- [adena]
(21107,260,1,1,1,206),-- [triple-edged_jamadhr]
(21107,1876,1,1,2,25478.533496),-- [mithril_ore]
(21107,1880,1,1,2,12739.266748),-- [steel]
(21107,1877,1,1,2,5095.667616),-- [admantite_nugget]
(21107,1881,1,1,2,16985.656428),-- [coarse_bone_powder]
(21107,1882,1,1,2,28309.42738),-- [leather]
(21107,2188,1,1,2,9099.448332),-- [rp_manticor_skin_gaiters]
(21108,5230,1,1,-1,3610),-- [rp_mithril_arrow]
(21108,4052,1,1,-1,95871),-- [earing_of_black_ore_piece]
(21108,5550,1,1,-1,36105),-- [reinforcing_plate]
(21108,57,1068,2182,0,700000),-- [adena]
(21108,12204,1,1,1,177.511148),-- [blue_wolve's_breastplate_low]
(21108,4078,1,1,1,1947.25167),-- [blue_wolve's_breastplate_part]
(21108,12184,1,1,1,109.266454),-- [doom_plate_armor_low]
(21108,4081,1,1,1,1313.905936),-- [doom_plate_armor_temper]
(21108,12193,1,1,1,283.937634),-- [blue_wolve's_gaiters_low]
(21108,4080,1,1,1,2742.127158),-- [blue_wolve's_gaiters_material]
(21108,1869,1,1,2,72714.84642),-- [iron_ore]
(21108,1864,1,1,2,145429.46286),-- [stem]
(21108,1880,1,1,2,7271.50764),-- [steel]
(21108,5550,1,1,2,969.59568),-- [reinforcing_plate]
(21108,4043,1,1,2,2423.75922),-- [asofe]
(21108,5230,1,1,2,97.05156),-- [rp_mithril_arrow]
(21108,8487,1,1,2,39.78654),-- [rp_hammer_of_destroyer_i]
(21108,8730,1,1,2,807.91974),-- [general_67_a]
(21108,8740,1,1,2,201.92244),-- [special_67_a]
(21108,8750,1,1,2,20.23824),-- [rare_67_a]
(21108,8760,1,1,2,3.90966),-- [unique_67_a]
(21109,1874,1,1,-1,224175),-- [oriharukon_ore]
(21109,4043,1,1,-1,112087),-- [asofe]
(21109,5478,1,1,-1,28276),-- [sealed_dark_crystal_leather_mail_pattern]
(21109,57,1330,2704,0,700000),-- [adena]
(21109,12345,1,1,1,639.16551),-- [sealed_phoenix's_earing_low]
(21109,6341,1,1,1,4578.76041),-- [sealed_phoenix's_earing_gemstone]
(21109,12344,1,1,1,479.83284),-- [sealed_phoenix's_necklace_low]
(21109,6343,1,1,1,3539.55237),-- [sealed_phoenix's_necklace_beads]
(21109,12346,1,1,1,959.68221),-- [sealed_phoenix's_ring_low]
(21109,6345,1,1,1,6333.00666),-- [sealed_phoenix's_ring_gemstone]
(21109,1870,1,1,2,82772.23776),-- [coal]
(21109,1865,1,1,2,82772.23776),-- [varnish]
(21109,1874,1,1,2,5518.149184),-- [oriharukon_ore]
(21109,4043,1,1,2,2759.074592),-- [asofe]
(21109,4039,1,1,2,2759.074592),-- [mold_glue]
(21109,1807,1,1,2,110.377272),-- [rp_soulshot_a]
(21109,6037,1,1,2,165544.47552),-- [scroll_of_awake]
(21109,6670,1,1,2,13795.37296),-- [key_of_treasure_box6]
(21109,8730,1,1,2,919.8106),-- [general_67_a]
(21109,8740,1,1,2,230.041952),-- [special_67_a]
(21109,8750,1,1,2,22.861312),-- [rare_67_a]
(21109,8760,1,1,2,4.286496),-- [unique_67_a]
(21110,1807,1,1,-1,3832),-- [rp_soulshot_a]
(21110,5479,1,1,-1,17005),-- [sealed_tallum_leather_mail_pattern]
(21110,3035,1,1,-1,3832),-- [rp_spiritshot_a]
(21110,57,1137,2310,0,700000),-- [adena]
(21110,12222,1,1,1,205.489715),-- [sealed_dark_crystal_leather_mail_low]
(21110,5478,1,1,1,1189.69312),-- [sealed_dark_crystal_leather_mail_pattern]
(21110,12230,1,1,1,126.31926),-- [sealed_tallum_leather_mail_low]
(21110,5479,1,1,1,837.149785),-- [sealed_tallum_leather_mail_pattern]
(21110,12228,1,1,1,329.021315),-- [sealed_legging_of_dark_crystal_low]
(21110,5482,1,1,1,1867.326805),-- [sealed_legging_of_dark_crystal_design]
(21110,1871,1,1,2,77173.162866),-- [charcoal]
(21110,1866,1,1,2,51448.775244),-- [suede]
(21110,1877,1,1,2,3086.921108),-- [admantite_nugget]
(21110,4041,1,1,2,671.09919),-- [mold_hardener]
(21110,4040,1,1,2,1543.460554),-- [mold_lubricant]
(21110,3956,1,1,2,102.861326),-- [rp_blessed_spiritshot_a]
(21110,8487,1,1,2,42.171792),-- [rp_hammer_of_destroyer_i]
(21110,8730,1,1,2,857.493104),-- [general_67_a]
(21110,8740,1,1,2,214.373276),-- [special_67_a]
(21110,8750,1,1,2,21.491394),-- [rare_67_a]
(21110,8760,1,1,2,4.190146),-- [unique_67_a]
(21111,5482,1,1,-1,39755),-- [sealed_legging_of_dark_crystal_design]
(21111,4041,1,1,-1,26191),-- [mold_hardener]
(21111,5479,1,1,-1,17822),-- [sealed_tallum_leather_mail_pattern]
(21111,57,1191,2424,0,700000),-- [adena]
(21111,12222,1,1,1,215.369462),-- [sealed_dark_crystal_leather_mail_low]
(21111,5478,1,1,1,1246.892416),-- [sealed_dark_crystal_leather_mail_pattern]
(21111,12230,1,1,1,132.392568),-- [sealed_tallum_leather_mail_low]
(21111,5479,1,1,1,877.399138),-- [sealed_tallum_leather_mail_pattern]
(21111,12228,1,1,1,344.840342),-- [sealed_legging_of_dark_crystal_low]
(21111,5482,1,1,1,1957.106074),-- [sealed_legging_of_dark_crystal_design]
(21111,1865,1,1,2,74141.595432),-- [varnish]
(21111,1870,1,1,2,74141.595432),-- [coal]
(21111,1879,1,1,2,12356.932572),-- [cokes]
(21111,1875,1,1,2,4942.668654),-- [stone_of_purity]
(21111,4040,1,1,2,1482.904971),-- [mold_lubricant]
(21111,5166,1,1,2,98.895123),-- [rp_comp_bspiritshot_a]
(21111,8487,1,1,2,40.445235),-- [rp_hammer_of_destroyer_i]
(21111,8730,1,1,2,823.778109),-- [general_67_a]
(21111,8740,1,1,2,205.879293),-- [special_67_a]
(21111,8750,1,1,2,20.614023),-- [rare_67_a]
(21111,8760,1,1,2,4.174992),-- [unique_67_a]
(21111,1344,10,30,2,92677.516164),-- [mithril_arrow]
(21112,5485,1,1,-1,24627),-- [sealed_tallum_tunic_texture]
(21112,3956,1,1,-1,3905),-- [rp_blessed_spiritshot_a]
(21112,5486,1,1,-1,17329),-- [sealed_dark_crystal_robe_fabric]
(21112,57,1445,2946,0,700000),-- [adena]
(21112,12224,1,1,1,588.977907),-- [sealed_dark_crystal_boots_low]
(21112,5496,1,1,1,3169.272093),-- [sealed_dark_crystal_boots_lining]
(21112,12231,1,1,1,588.977907),-- [sealed_tallum_boots_low]
(21112,5497,1,1,1,3169.272093),-- [sealed_tallum_boots_lining]
(21112,12221,1,1,1,588.977907),-- [sealed_dark_crystal_gloves_low]
(21112,5508,1,1,1,3169.272093),-- [sealed_dark_crystal_gloves_design]
(21112,12229,1,1,1,588.977907),-- [sealed_tallum_gloves_low]
(21112,5509,1,1,1,3169.272093),-- [sealed_tallum_gloves_design]
(21112,1873,1,1,2,43253.661907),-- [silver_nugget]
(21112,1868,1,1,2,216268.625064),-- [thread]
(21112,1876,1,1,2,21626.988718),-- [mithril_ore]
(21112,1895,1,1,2,30895.653093),-- [metallic_fiber]
(21112,4042,1,1,2,1802.301648),-- [enria]
(21112,5281,1,1,2,144.196753),-- [rp_adv_comp_bspiritshot_a]
(21112,8730,1,1,2,1201.534432),-- [general_67_a]
(21112,8740,1,1,2,300.383608),-- [special_67_a]
(21112,8750,1,1,2,29.975255),-- [rare_67_a]
(21112,8760,1,1,2,5.679522),-- [unique_67_a]
(21113,5156,1,1,-1,4361),-- [rp_comp_soulshot_a]
(21113,5489,1,1,-1,43172),-- [sealed_tallum_hose_fabric]
(21113,5166,1,1,-1,4361),-- [rp_comp_bspiritshot_a]
(21113,57,1613,3293,0,700000),-- [adena]
(21113,12222,1,1,1,292.377353),-- [sealed_dark_crystal_leather_mail_low]
(21113,5478,1,1,1,1692.733504),-- [sealed_dark_crystal_leather_mail_pattern]
(21113,12230,1,1,1,179.731092),-- [sealed_tallum_leather_mail_low]
(21113,5479,1,1,1,1191.123547),-- [sealed_tallum_leather_mail_pattern]
(21113,12228,1,1,1,468.142073),-- [sealed_legging_of_dark_crystal_low]
(21113,5482,1,1,1,2656.892431),-- [sealed_legging_of_dark_crystal_design]
(21113,1864,1,3,2,109793.118153),-- [stem]
(21113,1869,1,1,2,109793.118153),-- [iron_ore]
(21113,1878,1,1,2,43916.963055),-- [braided_hemp]
(21113,1884,1,1,2,67564.813603),-- [cord]
(21113,4039,1,1,2,3659.628502),-- [mold_glue]
(21113,3035,1,1,2,146.366193),-- [rp_spiritshot_a]
(21113,8730,1,1,2,1219.718275),-- [general_67_a]
(21113,8740,1,1,2,305.047988),-- [special_67_a]
(21113,8750,1,1,2,30.315328),-- [rare_67_a]
(21113,8760,1,1,2,6.157801),-- [unique_67_a]
(21113,1344,10,30,2,137241.752949),-- [mithril_arrow]
(21114,1875,1,1,-1,207673),-- [stone_of_purity]
(21114,5494,1,1,-1,65423),-- [sealed_dark_crystal_shield_fragment]
(21114,5161,1,1,-1,4153),-- [rp_comp_spiritshot_a]
(21114,57,1538,3132,0,700000),-- [adena]
(21114,12227,1,1,1,208.942419),-- [sealed_dark_crystal_breastplate_low]
(21114,5520,1,1,1,1236.21113),-- [sealed_dark_crystal_breastplate_pattern]
(21114,12233,1,1,1,128.658964),-- [sealed_tallum_plate_armor_low]
(21114,5521,1,1,1,872.318608),-- [sealed_tallum_plate_armor_pattern]
(21114,12220,1,1,1,333.399283),-- [sealed_dark_crystal_gaiters_low]
(21114,5524,1,1,1,1889.469596),-- [sealed_dark_crystal_gaiters_pattern]
(21114,1870,1,1,2,104562.90785),-- [coal]
(21114,1865,1,1,2,104562.90785),-- [varnish]
(21114,1874,1,1,2,6970.8842),-- [oriharukon_ore]
(21114,4043,1,1,2,3485.4421),-- [asofe]
(21114,4039,1,1,2,3485.4421),-- [mold_glue]
(21114,5271,1,1,2,139.57395),-- [rp_adv_comp_soulshot_a]
(21114,8731,1,1,2,968.1389),-- [general_70_a]
(21114,8741,1,1,2,242.2123),-- [special_70_a]
(21114,8751,1,1,2,24.1502),-- [rare_70_a]
(21114,8761,1,1,2,4.9721),-- [unique_70_a]
(21114,1344,10,30,2,130703.36845),-- [mithril_arrow]
(21115,5496,1,1,-1,63784),-- [sealed_dark_crystal_boots_lining]
(21115,5166,1,1,-1,3627),-- [rp_comp_bspiritshot_a]
(21115,5497,1,1,-1,63784),-- [sealed_tallum_boots_lining]
(21115,57,1342,2736,0,700000),-- [adena]
(21115,12232,1,1,1,243.15907),-- [sealed_tallum_tunic_low]
(21115,5485,1,1,1,1407.78176),-- [sealed_tallum_tunic_texture]
(21115,12223,1,1,1,149.47548),-- [sealed_dark_crystal_robe_low]
(21115,5486,1,1,1,990.61193),-- [sealed_dark_crystal_robe_fabric]
(21115,12235,1,1,1,389.33587),-- [sealed_tallum_hose_low]
(21115,5489,1,1,1,2209.63589),-- [sealed_tallum_hose_fabric]
(21115,1866,1,1,2,60875.972472),-- [suede]
(21115,1871,1,1,2,91313.958708),-- [charcoal]
(21115,5220,1,1,2,3652.572396),-- [reinforcing_agent]
(21115,1885,1,1,2,7609.45266),-- [high_grade_suede]
(21115,4041,1,1,2,794.045112),-- [mold_hardener]
(21115,5281,1,1,2,121.688028),-- [rp_adv_comp_bspiritshot_a]
(21115,6671,1,1,2,10145.93688),-- [key_of_treasure_box7]
(21115,8731,1,1,2,845.49474),-- [general_70_a]
(21115,8741,1,1,2,211.417584),-- [special_70_a]
(21115,8751,1,1,2,21.07152),-- [rare_70_a]
(21115,8761,1,1,2,4.3899),-- [unique_70_a]
(21116,729,1,1,-1,479),-- [scrl_of_ench_wp_a]
(21116,5480,1,1,-1,19326),-- [sealed_leather_mail_of_nightmare_fabric]
(21116,5481,1,1,-1,19326),-- [sealed_majestic_leather_mail_fabric]
(21116,57,2125,4335,0,700000),-- [adena]
(21116,12345,1,1,1,1023.322155),-- [sealed_phoenix's_earing_low]
(21116,6341,1,1,1,7330.725605),-- [sealed_phoenix's_earing_gemstone]
(21116,12344,1,1,1,768.22602),-- [sealed_phoenix's_necklace_low]
(21116,6343,1,1,1,5666.923985),-- [sealed_phoenix's_necklace_beads]
(21116,12346,1,1,1,1536.478505),-- [sealed_phoenix's_ring_low]
(21116,6345,1,1,1,10139.32373),-- [sealed_phoenix's_ring_gemstone]
(21116,1867,1,1,2,192758.694975),-- [animal_skin]
(21116,1872,1,1,2,192758.694975),-- [animal_bone]
(21116,1882,1,1,2,32126.235435),-- [leather]
(21116,1894,1,1,2,5072.608485),-- [crafted_leather]
(21116,4042,1,1,2,2409.563835),-- [enria]
(21116,729,1,1,2,16.24329),-- [scrl_of_ench_wp_a]
(21116,4987,1,1,2,599.719365),-- [rp_tunic_of_doom_i]
(21116,8731,1,1,2,1338.78906),-- [general_70_a]
(21116,8741,1,1,2,334.697265),-- [special_70_a]
(21116,8751,1,1,2,33.34149),-- [rare_70_a]
(21116,8761,1,1,2,6.411825),-- [unique_70_a]
(21117,734,1,1,-1,43530),-- [quick_step_potion]
(21117,1897,1,1,-1,62185),-- [necklace_of_wisdom_chain]
(21117,1800,1,1,-1,82131),-- [rp_piece_bone_breastplate]
(21117,57,122,208,0,700000),-- [adena]
(21117,38,1,1,1,1974.358375),-- [low_boots]
(21117,50,1,1,1,1974.358375),-- [leather_gloves]
(21117,1925,1,1,1,33726.28325),-- [leather_gloves_lining]
(21117,1868,1,1,2,102863.877013),-- [thread]
(21117,1873,1,1,2,20572.748658),-- [silver_nugget]
(21117,2139,1,1,2,10286.374329),-- [rp_steel_mold]
(21118,1924,1,1,-1,88910),-- [leather_helmet_design]
(21118,1801,1,1,-1,138851),-- [rp_piece_bone_gaiters]
(21118,1925,1,1,-1,180734),-- [leather_gloves_lining]
(21118,57,127,221,0,700000),-- [adena]
(21118,945,1,1,1,3083.9274),-- [skeleton_buckler]
(21118,102,1,1,1,1488.409235),-- [round_shield]
(21118,44,1,1,1,1041.116045),-- [leather_helmet]
(21118,1924,1,1,1,13131.54732),-- [leather_helmet_design]
(21118,1869,1,1,2,32565.57206),-- [iron_ore]
(21118,1864,1,1,2,65131.03394),-- [stem]
(21118,1880,1,1,2,3256.59026),-- [steel]
(21118,2142,1,1,2,6513.07034),-- [rp_varnish_of_purity]
(21118,6035,1,1,2,2713.7334),-- [potion_of_acumen2]
(21119,1868,1,1,-1,683443),-- [thread]
(21119,1873,1,1,-1,136689),-- [silver_nugget]
(21119,1898,1,1,-1,35102),-- [blue_diamond_necklace_gem]
(21119,57,156,278,0,700000),-- [adena]
(21119,27,1,1,1,355.418392),-- [hard_leather_shirt]
(21119,1927,1,1,1,4026.225584),-- [hard_leather_shirt_pattern]
(21119,33,1,1,1,570.265216),-- [hard_leather_gaiters]
(21119,1929,1,1,1,6512.090808),-- [hard_leather_gaiters_material]
(21119,1868,1,1,2,201878.252582),-- [thread]
(21119,1873,1,1,2,40375.747418),-- [silver_nugget]
(21120,1804,1,1,-1,17582),-- [rp_soulshot_d]
(21120,1926,1,1,-1,44399),-- [piece_bone_breastplate_fragment]
(21120,2151,1,1,-1,122437),-- [rp_necklace_of_devotion]
(21120,57,199,358,0,700000),-- [adena]
(21120,87,1,1,1,69.03532),-- [iron_hammer]
(21120,2014,1,1,1,745.894993),-- [iron_hammer_head]
(21120,155,1,1,1,69.03532),-- [buzdygan]
(21120,177,1,1,1,69.034367),-- [mage_staff]
(21120,1867,1,1,2,86557.26612),-- [animal_skin]
(21120,1872,1,1,2,86557.26612),-- [animal_bone]
(21120,1882,1,1,2,14426.305584),-- [leather]
(21120,2255,1,1,2,1587.162176),-- [rp_saber]
(21121,1927,1,1,-1,30770),-- [hard_leather_shirt_pattern]
(21121,1881,1,1,-1,51428),-- [coarse_bone_powder]
(21121,1875,1,1,-1,25714),-- [stone_of_purity]
(21121,57,177,312,0,700000),-- [adena]
(21121,257,1,1,1,242),-- [viper's_canine]
(21121,1872,1,1,2,75954.797064),-- [animal_bone]
(21121,1867,1,1,2,75954.797064),-- [animal_skin]
(21121,1881,1,1,2,7595.511886),-- [coarse_bone_powder]
(21121,2258,1,1,2,1392.893986),-- [rp_temptation_of_abyss]
(21122,1928,1,1,-1,59341),-- [piece_bone_gaiters_fragment]
(21122,2176,1,1,-1,194917),-- [rp_leather_boots]
(21122,1929,1,1,-1,52565),-- [hard_leather_gaiters_material]
(21122,57,181,334,0,700000),-- [adena]
(21122,273,1,1,1,128.001588),-- [composition_bow]
(21122,2016,1,1,1,1409.998412),-- [composition_bow_shaft]
(21122,1873,1,1,2,32088.769028),-- [silver_nugget]
(21122,1868,1,1,2,160444.236624),-- [thread]
(21122,5268,1,1,2,3208.994348),-- [rp_adv_comp_soulshot_d]
(21123,2152,1,1,-1,94359),-- [rp_enchanted_necklace]
(21123,1899,1,1,-1,83743),-- [necklace_of_devotion_chain]
(21123,1874,1,1,-1,35730),-- [oriharukon_ore]
(21123,57,236,442,0,700000),-- [adena]
(21123,220,1,1,1,191),-- [handiwork_dagger]
(21123,1874,1,1,2,5013.3),-- [oriharukon_ore]
(21123,1878,1,1,2,30079.8),-- [braided_hemp]
(21123,5220,1,1,2,3007.98),-- [reinforcing_agent]
(21123,2178,1,1,2,12031.92),-- [rp_dark_hose]
(21124,1865,1,1,-1,253256),-- [varnish]
(21124,735,1,1,-1,21105),-- [swift_attack_potion]
(21124,1897,1,1,-1,60299),-- [necklace_of_wisdom_chain]
(21124,57,121,200,0,700000),-- [adena]
(21124,309,1,1,1,142.5),-- [tears_of_eva]
(21124,310,1,1,1,142.5),-- [relic_of_saints]
(21124,1865,1,1,2,37403.909768),-- [varnish]
(21124,1870,1,1,2,37403.909768),-- [coal]
(21124,1879,1,1,2,6234.015896),-- [cokes]
(21124,1800,1,1,2,11762.164568),-- [rp_piece_bone_breastplate]
(21125,1800,1,1,-1,82944),-- [rp_piece_bone_breastplate]
(21125,1924,1,1,-1,85085),-- [leather_helmet_design]
(21125,1801,1,1,-1,132878),-- [rp_piece_bone_gaiters]
(21125,57,124,211,0,700000),-- [adena]
(21125,15,1,1,1,148.419486),-- [short_spear]
(21125,2011,1,1,1,1777.580514),-- [short_spear_edge]
(21125,1866,1,1,2,25970.50349),-- [suede]
(21125,1871,1,1,2,38955.71563),-- [charcoal]
(21125,2140,1,1,2,7791.17481),-- [rp_high_grade_suede]
(21125,734,1,1,2,6492.60607),-- [quick_step_potion]
(21126,1925,1,1,-1,177190),-- [leather_gloves_lining]
(21126,1864,1,1,-1,540431),-- [stem]
(21126,1865,1,1,-1,270215),-- [varnish]
(21126,57,125,217,0,700000),-- [adena]
(21126,24,1,1,1,511.60535),-- [bone_breastplate]
(21126,390,1,1,1,511.60535),-- [tights_shirt]
(21126,31,1,1,1,816.89465),-- [bone_gaiters]
(21126,412,1,1,1,816.89465),-- [tights_pants]
(21126,1864,1,1,2,53211.71277),-- [stem]
(21126,1865,1,1,2,26605.77302),-- [varnish]
(21126,1866,1,1,2,17737.23759),-- [suede]
(21126,1873,1,1,2,10642.3759),-- [silver_nugget]
(21126,1868,1,1,2,53211.71277),-- [thread]
(21126,2143,1,1,2,5321.18795),-- [rp_synthesis_cokes]
(21127,1898,1,1,-1,35102),-- [blue_diamond_necklace_gem]
(21127,1804,1,1,-1,13669),-- [rp_soulshot_d]
(21127,1926,1,1,-1,34517),-- [piece_bone_breastplate_fragment]
(21127,57,156,278,0,700000),-- [adena]
(21127,25,1,1,1,274.899912),-- [piece_bone_breastplate]
(21127,1926,1,1,1,3398.782366),-- [piece_bone_breastplate_fragment]
(21127,26,1,1,1,177.939972),-- [bronze_breastplate]
(21127,32,1,1,1,439.845546),-- [piece_bone_gaiters]
(21127,1928,1,1,1,4901.377096),-- [piece_bone_gaiters_fragment]
(21127,34,1,1,1,285.155108),-- [bronze_gaiters]
(21127,1868,1,1,2,100939.016913),-- [thread]
(21127,1873,1,1,2,20187.859139),-- [silver_nugget]
(21127,2151,1,1,2,14058.418696),-- [rp_necklace_of_devotion]
(21127,6035,1,1,2,4205.705252),-- [potion_of_acumen2]
(21128,2151,1,1,-1,100871),-- [rp_necklace_of_devotion]
(21128,1927,1,1,-1,28889),-- [hard_leather_shirt_pattern]
(21128,1869,1,1,-1,362125),-- [iron_ore]
(21128,57,164,295,0,700000),-- [adena]
(21128,1102,1,1,1,753.305976),-- [tunic_of_magicpower]
(21128,1105,1,1,1,1208.694024),-- [hose_of_magicpower]
(21128,1869,1,1,2,35655.47904),-- [iron_ore]
(21128,1870,1,1,2,35655.47904),-- [coal]
(21128,1871,1,1,2,35655.47904),-- [charcoal]
(21128,1872,1,1,2,47540.70636),-- [animal_bone]
(21128,1867,1,1,2,47540.70636),-- [animal_skin]
(21128,2256,1,1,2,872.15016),-- [rp_assassin_knife]
(21129,1870,1,1,-1,385707),-- [coal]
(21129,1928,1,1,-1,56185),-- [piece_bone_gaiters_fragment]
(21129,2176,1,1,-1,184549),-- [rp_leather_boots]
(21129,57,177,312,0,700000),-- [adena]
(21129,846,1,1,1,926.265102),-- [coral_earing]
(21129,909,1,1,1,694.701042),-- [blue_diamond_necklace]
(21129,1898,1,1,1,5851.62291),-- [blue_diamond_necklace_gem]
(21129,878,1,1,1,1389.410946),-- [blue_coral_ring]
(21129,1870,1,1,2,56966.137764),-- [coal]
(21129,1865,1,1,2,56966.137764),-- [varnish]
(21129,3032,1,1,2,2278.606804),-- [rp_spiritshot_d]
(21129,6035,1,1,2,4747.117668),-- [potion_of_acumen2]
(21130,1929,1,1,-1,52565),-- [hard_leather_gaiters_material]
(21130,2177,1,1,-1,130152),-- [rp_bone_helmet]
(21130,1930,1,1,-1,104455),-- [boots_lining]
(21130,57,181,334,0,700000),-- [adena]
(21130,39,1,1,1,1688.908752),-- [boots]
(21130,1930,1,1,1,20570.158548),-- [boots_lining]
(21130,51,1,1,1,1688.9327),-- [bracer]
(21130,1871,1,1,2,60166.567296),-- [charcoal]
(21130,1866,1,1,2,40111.044864),-- [suede]
(21130,5273,1,1,2,2406.626624),-- [rp_adv_comp_spiritshot_d]
(21130,734,1,1,2,10027.761216),-- [quick_step_potion]
(21131,1872,1,1,-1,559583),-- [animal_bone]
(21131,1867,1,1,-1,559583),-- [animal_skin]
(21131,1899,1,1,-1,65576),-- [necklace_of_devotion_chain]
(21131,57,185,346,0,700000),-- [adena]
(21131,626,1,1,1,929.141052),-- [bronze_shield]
(21131,45,1,1,1,651.553071),-- [bone_helmet]
(21131,1932,1,1,1,12462.305877),-- [bone_helmet_design]
(21131,1872,1,1,2,62811.194194),-- [animal_bone]
(21131,1867,1,1,2,62811.194194),-- [animal_skin]
(21131,1881,1,1,2,6281.133278),-- [coarse_bone_powder]
(21131,1875,1,1,2,3140.497346),-- [stone_of_purity]
(21131,2180,1,1,2,3541.980988),-- [rp_scale_mail]
(21132,2179,1,1,-1,159246),-- [rp_excellence_leather_gloves]
(21132,1898,1,1,-1,34188),-- [blue_diamond_necklace_gem]
(21132,2255,1,1,-1,8137),-- [rp_saber]
(21132,57,148,273,0,700000),-- [adena]
(21132,68,1,1,1,104.5),-- [falchion]
(21132,5284,1,1,1,104.5),-- [zweihander]
(21132,1873,1,1,2,26216.32528),-- [silver_nugget]
(21132,1868,1,1,2,131081.94624),-- [thread]
(21132,5278,1,1,2,2621.72848),-- [rp_adv_comp_bspiritshot_d]
(21133,1899,1,1,-1,56286),-- [necklace_of_devotion_chain]
(21133,1878,1,1,-1,144093),-- [braided_hemp]
(21133,1864,1,1,-1,720463),-- [stem]
(21133,57,159,297,0,700000),-- [adena]
(21133,156,1,1,1,42.666624),-- [hand_axe]
(21133,167,1,1,1,42.666624),-- [scalpel]
(21133,178,1,1,1,42.666752),-- [bone_staff]
(21133,1864,1,1,2,80869.217263),-- [stem]
(21133,1869,1,1,2,40434.525616),-- [iron_ore]
(21133,1878,1,1,2,16173.909865),-- [braided_hemp]
(21133,2181,1,1,2,4047.503718),-- [rp_white_tunic]
(21133,1061,1,1,2,24505.843538),-- [healing_potion]
(21134,1931,1,1,-1,49119),-- [leather_boots_lining]
(21134,2152,1,1,-1,66155),-- [rp_enchanted_necklace]
(21134,1932,1,1,-1,59645),-- [bone_helmet_design]
(21134,57,163,312,0,700000),-- [adena]
(21134,258,1,1,1,134),-- [bagh-nakh]
(21134,1865,1,1,2,42177.743988),-- [varnish]
(21134,1870,1,1,2,42177.743988),-- [coal]
(21134,1879,1,1,2,7029.671424),-- [cokes]
(21134,1875,1,1,2,2811.88754),-- [stone_of_purity]
(21134,2259,1,1,2,654.95306),-- [rp_spinebone_sword]
(21135,2178,1,1,-1,73236),-- [rp_dark_hose]
(21135,1934,1,1,-1,59833),-- [excellence_leather_gloves_lining]
(21135,5220,1,1,-1,18309),-- [reinforcing_agent]
(21135,57,198,381,0,700000),-- [adena]
(21135,274,1,1,1,163),-- [strengthening_bow]
(21135,1866,1,1,2,34251.808304),-- [suede]
(21135,1871,1,1,2,51377.80522),-- [charcoal]
(21135,5220,1,1,2,2055.093656),-- [reinforcing_agent]
(21135,1885,1,1,2,4281.52242),-- [high_grade_suede]
(21135,2261,1,1,2,797.7704),-- [rp_conjure_staff]
(21136,1882,1,1,-1,89848),-- [leather]
(21136,2017,1,1,-1,5373),-- [saber_blade]
(21136,2180,1,1,-1,30400),-- [rp_scale_mail]
(21136,57,173,339,0,700000),-- [adena]
(21136,220,1,1,1,144),-- [handiwork_dagger]
(21136,1867,1,1,2,60510.58416),-- [animal_skin]
(21136,1872,1,1,2,60510.58416),-- [animal_bone]
(21136,1882,1,1,2,10085.034186),-- [leather]
(21136,2152,1,1,2,7990.057998),-- [rp_enchanted_necklace]
(21136,1834,1,1,2,50425.739496),-- [emergency_dressing]
(21137,1900,1,1,-1,47223),-- [enchanted_necklace_chain]
(21137,2153,1,1,-1,67126),-- [rp_tiger'seye_earing]
(21137,1933,1,1,-1,50779),-- [dark_hose_fabric]
(21137,57,183,362,0,700000),-- [adena]
(21137,315,1,1,1,95),-- [divine_tome]
(21137,1868,1,1,2,78621.401316),-- [thread]
(21137,1873,1,1,2,15724.258983),-- [silver_nugget]
(21137,5549,1,1,2,3931.091346),-- [iron_thread]
(21137,1889,1,1,2,2620.763031),-- [compound_braid]
(21137,737,1,1,2,3931.091346),-- [scroll_of_resurrection]
(21137,6387,1,1,2,1572.393978),-- [blessed_scroll_of_resurrection_pet]
(21138,1869,1,1,-1,460180),-- [iron_ore]
(21138,1864,1,1,-1,920360),-- [stem]
(21138,956,1,1,-1,15339),-- [scrl_of_ench_am_d]
(21138,57,194,388,0,700000),-- [adena]
(21138,292,1,1,1,102),-- [pike]
(21138,1869,1,1,2,41911.791592),-- [iron_ore]
(21138,1864,1,1,2,83823.870141),-- [stem]
(21138,1880,1,1,2,4191.293942),-- [steel]
(21138,5550,1,1,2,558.705279),-- [reinforcing_plate]
(21138,1829,1,1,2,16764.888811),-- [scroll_of_escape_to_agit]
(21138,1341,10,30,2,139706.450235),-- [bone_arrow]
(21139,1898,1,1,-1,96575),-- [blue_diamond_necklace_gem]
(21139,1804,1,1,-1,37606),-- [rp_soulshot_d]
(21139,1926,1,1,-1,94966),-- [piece_bone_breastplate_fragment]
(21139,57,430,759,0,700000),-- [adena]
(21139,27,1,1,1,977.83462),-- [hard_leather_shirt]
(21139,1927,1,1,1,11077.03724),-- [hard_leather_shirt_pattern]
(21139,33,1,1,1,1568.92576),-- [hard_leather_gaiters]
(21139,1929,1,1,1,17916.20238),-- [hard_leather_gaiters_material]
(21139,1870,1,1,2,185139.186064),-- [coal]
(21139,1865,1,1,2,185139.186064),-- [varnish]
(21139,3953,1,1,2,7405.627872),-- [rp_blessed_spiritshot_d]
(21140,2152,1,1,-1,193505),-- [rp_enchanted_necklace]
(21140,1899,1,1,-1,171735),-- [necklace_of_devotion_chain]
(21140,1871,1,3,-1,549553),-- [charcoal]
(21140,57,477,911,0,700000),-- [adena]
(21140,347,1,1,1,960.693069),-- [ring_breastplate]
(21140,376,1,1,1,1538.306931),-- [iron_plate_gaiters]
(21140,1871,1,1,2,154212.99259),-- [charcoal]
(21140,1866,1,1,2,102808.750255),-- [suede]
(21140,1877,1,1,2,6168.47721),-- [admantite_nugget]
(21140,2260,1,1,2,2394.779945),-- [rp_mace_of_judgment]
(21141,1881,1,1,-1,169543),-- [coarse_bone_powder]
(21141,1931,1,1,-1,166219),-- [leather_boots_lining]
(21141,2178,1,1,-1,203452),-- [rp_dark_hose]
(21141,57,545,1067,0,700000),-- [adena]
(21141,432,1,1,1,1480.781988),-- [cursed_tunic]
(21141,465,1,1,1,2371.218012),-- [cursed_hose]
(21141,1872,1,1,2,190305.884826),-- [animal_bone]
(21141,1867,1,1,2,190305.884826),-- [animal_skin]
(21141,1881,1,1,2,19030.631682),-- [coarse_bone_powder]
(21141,1875,1,1,2,9515.099844),-- [stone_of_purity]
(21141,2178,1,1,2,22836.498822),-- [rp_dark_hose]
(21142,1900,1,1,-1,138128),-- [enchanted_necklace_chain]
(21142,2153,1,1,-1,196344),-- [rp_tiger'seye_earing]
(21142,1933,1,1,-1,148528),-- [dark_hose_fabric]
(21142,57,535,1059,0,700000),-- [adena]
(21142,848,1,1,1,1051.697156),-- [enchanted_earing]
(21142,911,1,1,1,789.363658),-- [enchanted_necklace]
(21142,1900,1,1,1,18870.577948),-- [enchanted_necklace_chain]
(21142,879,1,1,1,1582.361238),-- [enchanted_ring]
(21142,1873,1,1,2,68990.39847),-- [silver_nugget]
(21142,1868,1,1,2,344951.543223),-- [thread]
(21142,1876,1,1,2,34495.199235),-- [mithril_ore]
(21142,955,1,1,2,689.859072),-- [scrl_of_ench_wp_d]
(21143,955,1,1,-1,5610),-- [scrl_of_ench_wp_d]
(21143,1875,1,1,-1,93494),-- [stone_of_purity]
(21143,1872,1,3,-1,934937),-- [animal_bone]
(21143,57,593,1182,0,700000),-- [adena]
(21143,1123,1,1,1,2993.5),-- [blue_buckskin_boots]
(21143,605,1,1,1,2993.5),-- [leather_gauntlet]
(21143,1872,1,1,2,170302.636242),-- [animal_bone]
(21143,1867,1,1,2,170302.636242),-- [animal_skin]
(21143,1881,1,1,2,17030.386242),-- [coarse_bone_powder]
(21143,1875,1,1,2,8514.988758),-- [stone_of_purity]
(21143,2250,1,1,2,31931.71875),-- [rp_bone_arrow]
(21143,6035,1,1,2,10643.633766),-- [potion_of_acumen2]
(21144,1901,1,1,-1,229413),-- [tiger'seye_earing_stone]
(21144,2154,1,1,-1,177832),-- [rp_elven_earing]
(21144,1938,1,1,-1,111661),-- [mithril_banded_mail_material]
(21144,57,702,1399,0,700000),-- [adena]
(21144,628,1,1,1,2153.960333),-- [hoplon]
(21144,47,1,1,1,1507.039667),-- [helmet]
(21144,1865,1,1,2,126159.284034),-- [varnish]
(21144,1870,1,1,2,126159.284034),-- [coal]
(21144,1879,1,1,2,21026.397938),-- [cokes]
(21144,1875,1,1,2,8410.678696),-- [stone_of_purity]
(21144,2187,1,1,2,5632.118898),-- [rp_manticor_skin_shirt]
(21144,8317,1,1,2,901.186832),-- [rp_giants_hammer]
(21144,6035,1,1,2,10513.049568),-- [potion_of_acumen2]
(21145,1825,1,1,-1,150797),-- [rp_oriharukon]
(21145,1902,1,1,-1,213897),-- [elven_earing_beads]
(21145,1885,1,1,-1,175930),-- [high_grade_suede]
(21145,57,893,1781,0,700000),-- [adena]
(21145,129,1,1,1,101.61644),-- [sword_of_revolution]
(21145,2034,1,1,1,5765.38356),-- [sword_of_revolution_blade]
(21145,1866,1,1,2,103934.33472),-- [suede]
(21145,1871,1,1,2,155901.97664),-- [charcoal]
(21145,5220,1,1,2,6236.19296),-- [reinforcing_agent]
(21145,1885,1,1,2,12992.02912),-- [high_grade_suede]
(21145,2146,1,1,2,11136.02496),-- [rp_artisan's_frame]
(21145,5473,1,1,2,11136.02496),-- [rp_reinforcing_plate]
(21145,1832,1,1,2,173223.41664),-- [advanced_antidote]
(21146,1894,1,1,-1,79948),-- [crafted_leather]
(21146,1903,1,1,-1,380070),-- [elven_ring_piece]
(21146,2145,1,1,-1,162751),-- [rp_mithirl_alloy]
(21146,57,951,1898,0,700000),-- [adena]
(21146,88,1,1,1,21.934692),-- [morning_star]
(21146,2031,1,1,1,1192.248369),-- [morning_star_head]
(21146,90,1,1,1,21.934692),-- [goathead_staff]
(21146,2032,1,1,1,1088.350965),-- [goathead_staff_head]
(21146,158,1,1,1,21.934692),-- [tarbar]
(21146,2035,1,1,1,1192.248369),-- [tarbar_head]
(21146,169,1,1,1,21.934692),-- [skull_breaker]
(21146,2036,1,1,1,1192.248369),-- [skull_breaker_head]
(21146,172,1,1,1,21.934692),-- [heavy_bone_club]
(21146,2037,1,1,1,1192.230468),-- [heavy_bone_club_head]
(21146,1872,1,1,2,224346.478044),-- [animal_bone]
(21146,1867,1,1,2,224346.478044),-- [animal_skin]
(21146,1881,1,1,2,22434.449076),-- [coarse_bone_powder]
(21146,1875,1,1,2,11217.224538),-- [stone_of_purity]
(21146,1805,1,1,2,560.910909),-- [rp_soulshot_c]
(21146,2990,1,1,2,13354.051659),-- [rp_chain_boots]
(21146,5164,1,1,2,561.40773),-- [rp_comp_bspiritshot_c]
(21147,1905,1,1,-1,273798),-- [onyxbeast'seye_earing_gemstone]
(21147,1805,1,1,-1,9382),-- [rp_soulshot_c]
(21147,1906,1,1,-1,386892),-- [mithril_ring_wire]
(21147,57,1113,2260,0,700000),-- [adena]
(21147,262,1,1,1,101.8973),-- [scallop_jamadhr]
(21147,2053,1,1,1,5843.1027),-- [scallop_jamadhr_edge]
(21147,1868,1,3,2,235563.65775),-- [thread]
(21147,1873,1,1,2,94225.4631),-- [silver_nugget]
(21147,5549,1,1,2,23556.555784),-- [iron_thread]
(21147,1889,1,1,2,15704.24385),-- [compound_braid]
(21147,2199,1,1,2,9939.37079),-- [rp_karmian_hose]
(21147,2301,1,1,2,1028.708726),-- [rp_battle_axe]
(21148,1880,1,1,-1,279242),-- [steel]
(21148,5550,1,1,-1,37232),-- [reinforcing_plate]
(21148,1869,1,5,-1,930808),-- [iron_ore]
(21148,57,1099,2253,0,700000),-- [adena]
(21148,281,1,1,1,74.867985),-- [crystallized_ice_bow]
(21148,2074,1,1,1,4674.132015),-- [crystallized_ice_bow_shaft]
(21148,1869,1,1,2,119976.49755),-- [iron_ore]
(21148,1864,1,3,2,119976.49755),-- [stem]
(21148,1880,1,1,2,11997.826204),-- [steel]
(21148,5550,1,1,2,1599.686634),-- [reinforcing_plate]
(21148,2163,1,1,2,6121.368708),-- [rp_earing_of_protection]
(21148,6037,1,3,2,79984.3317),-- [scroll_of_awake]
(21148,2217,1,1,2,7099.249066),-- [rp_knight_shield]
(21148,8723,1,1,2,4799.059902),-- [general_46_c]
(21148,8733,1,1,2,1199.8532),-- [special_46_c]
(21148,8743,1,1,2,119.98532),-- [rare_46_c]
(21148,8753,1,1,2,23.644166),-- [unique_46_c]
(21149,1908,1,1,-1,305158),-- [moonstone_earing_wire]
(21149,2163,1,1,-1,164412),-- [rp_earing_of_protection]
(21149,1909,1,1,-1,435175),-- [aquastone_ring_wire]
(21149,57,1269,2596,0,700000),-- [adena]
(21149,226,1,1,1,43.194719),-- [cursed_dagger]
(21149,2070,1,1,1,3023.305281),-- [cursed_dagger_blade]
(21149,232,1,1,1,43.194719),-- [darkelven_dagger]
(21149,2072,1,1,1,3023.305281),-- [darkelven_dagger_edge]
(21149,1873,1,1,2,55381.38858),-- [silver_nugget]
(21149,1868,1,1,2,276907.35736),-- [thread]
(21149,1876,1,1,2,27690.90152),-- [mithril_ore]
(21149,1895,1,1,2,39558.1347),-- [metallic_fiber]
(21149,4042,1,1,2,2307.71328),-- [enria]
(21149,2215,1,1,2,1763.94176),-- [rp_robe_of_seal]
(21149,2228,1,1,2,3762.46788),-- [rp_shining_circlet]
(21149,8723,1,1,2,5538.01452),-- [general_46_c]
(21149,8733,1,1,2,1384.71086),-- [special_46_c]
(21149,8743,1,1,2,138.42964),-- [rare_46_c]
(21149,8753,1,1,2,26.9399),-- [unique_46_c]
(21150,2166,1,1,-1,124078),-- [rp_earing_of_binding]
(21150,1911,1,1,-1,272241),-- [earing_of_protection_gemstone]
(21150,951,1,1,-1,6655),-- [scrl_of_ench_wp_c]
(21150,57,1445,2946,0,700000),-- [adena]
(21150,325,1,1,1,73.39184),-- [horn_of_glory]
(21150,2088,1,1,1,5714.60816),-- [horn_of_glory_fragment]
(21150,1871,1,1,2,124753.040586),-- [charcoal]
(21150,1866,1,1,2,83168.693724),-- [suede]
(21150,1877,1,1,2,4990.237038),-- [admantite_nugget]
(21150,4041,1,1,2,1084.896864),-- [mold_hardener]
(21150,4040,1,1,2,2494.878072),-- [mold_lubricant]
(21150,2166,1,1,2,4228.981836),-- [rp_earing_of_binding]
(21150,3014,1,1,2,3484.557924),-- [rp_full_plate_boots]
(21150,2234,1,1,2,1859.136204),-- [rp_divine_hose]
(21150,8724,1,1,2,4158.290418),-- [general_49_c]
(21150,8734,1,1,2,1039.692828),-- [special_49_c]
(21150,8744,1,1,2,103.873104),-- [rare_49_c]
(21150,8754,1,1,2,20.678442),-- [unique_49_c]
(21150,1342,10,30,2,249507.04296),-- [fine_steel_arrow]
(21151,4043,1,1,-1,127207),-- [asofe]
(21151,1869,1,9,-1,763245),-- [iron_ore]
(21151,4601,1,1,-1,8480),-- [dye_s3c3_c]
(21151,57,1509,3068,0,700000),-- [adena]
(21151,231,1,1,1,23.879216),-- [grace_dagger]
(21151,2106,1,1,1,2150.120784),-- [grace_dagger_edge]
(21151,233,1,1,1,23.879216),-- [dark_screamer]
(21151,2107,1,1,1,2150.120784),-- [dark_screamer_edge]
(21151,1869,1,1,2,157815.289722),-- [iron_ore]
(21151,1864,1,3,2,157815.289722),-- [stem]
(21151,1880,1,1,2,15781.459536),-- [steel]
(21151,5550,1,1,2,2104.264041),-- [reinforcing_plate]
(21151,4043,1,1,2,5260.486512),-- [asofe]
(21151,2169,1,1,2,2793.071145),-- [rp_necklace_of_binding]
(21151,8725,1,1,2,4383.854487),-- [general_52_c]
(21151,8735,1,1,2,1096.050417),-- [special_52_c]
(21151,8745,1,1,2,109.709196),-- [rare_52_c]
(21151,8755,1,1,2,21.525222),-- [unique_52_c]
(21152,4600,1,1,-1,13611),-- [dye_w2m2_c]
(21152,1806,1,1,-1,8167),-- [rp_soulshot_b]
(21152,1920,1,1,-1,139722),-- [necklace_of_binding_chain]
(21152,57,1616,3283,0,700000),-- [adena]
(21152,400,1,1,1,79.146848),-- [theca_leather_mail]
(21152,1984,1,1,1,5386.390768),-- [theca_leather_mail_pattern]
(21152,401,1,1,1,37.470576),-- [drake_leather_mail]
(21152,1987,1,1,1,3833.636928),-- [drake_leather_mail_texture]
(21152,420,1,1,1,126.678464),-- [theca_leather_gaiters]
(21152,1985,1,1,1,8664.676416),-- [theca_leather_gaiters_pattern]
(21152,1873,1,1,2,50256.959093),-- [silver_nugget]
(21152,1868,1,1,2,251284.423442),-- [thread]
(21152,1876,1,1,2,25128.293535),-- [mithril_ore]
(21152,1895,1,1,2,35897.615339),-- [metallic_fiber]
(21152,4042,1,1,2,2094.117467),-- [enria]
(21152,1806,1,1,2,251.115525),-- [rp_soulshot_b]
(21152,4959,1,1,2,2420.753661),-- [rp_avadon_boots_i]
(21152,4941,1,1,2,966.515754),-- [rp_shrnoen's_gaiters_i]
(21152,8726,1,1,2,2908.475814),-- [general_55_c]
(21152,8736,1,1,2,726.932942),-- [special_55_c]
(21152,8746,1,1,2,72.544485),-- [rare_55_c]
(21152,8756,1,1,2,15.252943),-- [unique_55_c]
(21153,4129,1,1,-1,52277),-- [rp_earing_of_black_ore]
(21153,4049,1,1,-1,253365),-- [adamantite_earing_gemstone]
(21153,947,1,1,-1,1932),-- [scrl_of_ench_wp_b]
(21153,57,1906,3892,0,700000),-- [adena]
(21153,357,1,1,1,22.3506),-- [shrnoen's_breastplate]
(21153,4056,1,1,1,3229.231244),-- [shrnoen's_breastplate_part]
(21153,2376,1,1,1,22.3506),-- [avadon_breastplate]
(21153,4064,1,1,1,3229.231244),-- [avadon_breastplate_part]
(21153,383,1,1,1,35.76096),-- [shrnoen's_gaiters]
(21153,4057,1,1,1,4990.64064),-- [shrnoen's_gaiters_material]
(21153,2379,1,1,1,35.76096),-- [avadon_gaiters]
(21153,4065,1,1,1,4990.673752),-- [avadon_gaiters_material]
(21153,1894,1,1,2,4551.275414),-- [crafted_leather]
(21153,4039,1,1,2,4323.714376),-- [mold_glue]
(21153,4041,1,1,2,1127.931034),-- [mold_hardener]
(21153,4044,1,1,2,4323.714376),-- [thons]
(21153,947,1,1,2,51.884864),-- [scrl_of_ench_wp_b]
(21153,3955,1,1,2,259.42432),-- [rp_blessed_spiritshot_b]
(21153,5280,1,1,2,259.42432),-- [rp_adv_comp_bspiritshot_b]
(21153,8727,1,1,2,2594.224982),-- [general_58_b]
(21153,8737,1,1,2,648.5608),-- [special_58_b]
(21153,8747,1,1,2,64.85608),-- [rare_58_b]
(21153,8757,1,1,2,12.989434),-- [unique_58_b]
(21154,4613,1,1,-1,7001),-- [dye_s4c4_c]
(21154,4614,1,1,-1,7001),-- [dye_s4d4_c]
(21154,4049,1,1,-1,266232),-- [adamantite_earing_gemstone]
(21154,57,2005,4083,0,700000),-- [adena]
(21154,2397,1,1,1,41.751641),-- [tunic_of_shrnoen]
(21154,4069,1,1,1,5892.656172),-- [tunic_of_shrnoen_fabric]
(21154,2406,1,1,1,25.682817),-- [avadon_robe]
(21154,4071,1,1,1,4527.020643),-- [avadon_robe_fabric]
(21154,2402,1,1,1,66.810426),-- [hose_of_shrnoen]
(21154,4070,1,1,1,8947.078301),-- [hose_of_shrnoen_fabric]
(21154,1872,1,3,2,111058.181145),-- [animal_bone]
(21154,1867,1,3,2,74038.78743),-- [animal_skin]
(21154,1881,1,1,2,22211.55499),-- [coarse_bone_powder]
(21154,1875,1,1,2,11105.777495),-- [stone_of_purity]
(21154,4041,1,1,2,1448.49137),-- [mold_hardener]
(21154,948,1,1,2,416.349875),-- [scrl_of_ench_am_b]
(21154,4162,1,1,2,691.34389),-- [rp_tunic_of_doom]
(21154,5003,1,1,2,127.139035),-- [rp_art_of_battle_axe_i]
(21154,1832,1,1,2,185097.37477),-- [advanced_antidote]
(21155,4050,1,1,-1,317155),-- [adamantite_ring_wire]
(21155,4130,1,1,-1,83099),-- [rp_ring_of_black_ore]
(21155,4051,1,1,-1,198522),-- [adamantite_necklace_chain]
(21155,57,2021,4119,0,700000),-- [adena]
(21155,856,1,1,1,108.180812),-- [adamantite_earing]
(21155,4049,1,1,1,13217.926624),-- [adamantite_earing_gemstone]
(21155,918,1,1,1,81.145348),-- [adamantite_necklace]
(21155,4051,1,1,1,9773.125456),-- [adamantite_necklace_chain]
(21155,887,1,1,1,162.25174),-- [adamantite_ring]
(21155,4050,1,1,1,15613.37002),-- [adamantite_ring_wire]
(21155,1895,1,1,2,43201.079614),-- [metallic_fiber]
(21155,4040,1,1,2,3024.025004),-- [mold_lubricant]
(21155,4042,1,1,2,2520.141239),-- [enria]
(21155,4043,1,1,2,5040.282478),-- [asofe]
(21155,4154,1,1,2,1789.419478),-- [rp_doom_shield]
(21155,6037,1,1,2,302406.834884),-- [scroll_of_awake]
(21155,8728,1,1,2,2520.141239),-- [general_61_b]
(21155,8738,1,1,2,629.945008),-- [special_61_b]
(21155,8748,1,1,2,62.850018),-- [rare_61_b]
(21155,8758,1,1,2,12.281038),-- [unique_61_b]
(21156,4131,1,1,-1,44665),-- [rp_necklace_of_black_ore]
(21156,4056,1,1,-1,99436),-- [shrnoen's_breastplate_part]
(21156,948,1,1,-1,13735),-- [scrl_of_ench_am_b]
(21156,57,2177,4415,0,700000),-- [adena]
(21156,554,1,1,1,101.65376),-- [shrnoen's_boots]
(21156,4097,1,1,1,10558.34624),-- [shrnoen's_boots_design]
(21156,600,1,1,1,101.65376),-- [avadon_boots]
(21156,4098,1,1,1,10558.34624),-- [avadon_boots_design]
(21156,612,1,1,1,101.65376),-- [shrnoen's_gauntlet]
(21156,4100,1,1,1,10558.34624),-- [shrnoen's_gauntlet_part]
(21156,2464,1,1,1,101.65376),-- [avadon_gloves]
(21156,4073,1,1,1,10558.34624),-- [avadon_gloves_part]
(21156,1865,1,1,2,147526.144134),-- [varnish]
(21156,1870,1,1,2,147526.144134),-- [coal]
(21156,1879,1,1,2,24587.617128),-- [cokes]
(21156,1875,1,1,2,9834.958578),-- [stone_of_purity]
(21156,4040,1,1,2,2950.53171),-- [mold_lubricant]
(21156,4160,1,1,2,417.973602),-- [rp_leather_mail_of_doom]
(21156,8728,1,1,2,2458.849986),-- [general_61_b]
(21156,8738,1,1,2,614.822838),-- [special_61_b]
(21156,8748,1,1,2,61.349874),-- [rare_61_b]
(21156,8758,1,1,2,12.358248),-- [unique_61_b]
(21156,1343,20,60,2,105375.249768),-- [silver_arrow]
(21157,5549,1,1,-1,626651),-- [iron_thread]
(21157,1889,1,1,-1,417768),-- [compound_braid]
(21157,4052,1,1,-1,221863),-- [earing_of_black_ore_piece]
(21157,57,2488,5032,0,700000),-- [adena]
(21157,110,1,1,1,94.954836),-- [doom_shield]
(21157,4077,1,1,1,13879.2381),-- [doom_shield_fragment]
(21157,2416,1,1,1,66.472128),-- [blue_wolve's_helmet]
(21157,4088,1,1,1,11660.431404),-- [blue_wolve's_helmet_design]
(21157,2417,1,1,1,66.472128),-- [doom_helmet]
(21157,4089,1,1,1,11660.431404),-- [doom_helmet_pattern]
(21157,1868,1,3,2,154252.604066),-- [thread]
(21157,1873,1,1,2,61701.234672),-- [silver_nugget]
(21157,5549,1,1,2,15425.308668),-- [iron_thread]
(21157,1889,1,1,2,10283.539112),-- [compound_braid]
(21157,4044,1,1,2,5141.769556),-- [thons]
(21157,1830,1,1,2,61701.234672),-- [scroll_of_escape_to_castle]
(21157,8487,1,1,2,84.45745),-- [rp_hammer_of_destroyer_i]
(21157,8729,1,1,2,2056.900868),-- [general_64_a]
(21157,8739,1,1,2,513.98391),-- [special_64_a]
(21157,8749,1,1,2,51.639698),-- [rare_64_a]
(21157,8759,1,1,2,10.134894),-- [unique_64_a]
(21157,1832,1,1,2,171391.192434),-- [advanced_antidote]
(21158,5230,1,1,-1,9462),-- [rp_mithril_arrow]
(21158,4053,1,1,-1,304195),-- [ring_of_black_ore_gemstone]
(21158,57,2798,5718,0,700000),-- [adena]
(21158,2391,1,1,1,34.741224),-- [blue_wolve's_leather_mail]
(21158,4082,1,1,1,5922.258776),-- [blue_wolve's_leather_mail_texture]
(21158,2392,1,1,1,34.741224),-- [leather_mail_of_doom]
(21158,4083,1,1,1,5922.258776),-- [leather_mail_of_doom_design]
(21158,1869,2,6,2,43672.998096),-- [iron_ore]
(21158,1864,1,3,2,174691.992384),-- [stem]
(21158,1880,1,1,2,17469.121392),-- [steel]
(21158,5550,1,1,2,2329.164288),-- [reinforcing_plate]
(21158,4043,1,1,2,5822.91072),-- [asofe]
(21158,1830,1,1,2,69876.8748),-- [scroll_of_escape_to_castle]
(21158,8487,1,1,2,95.36184),-- [rp_hammer_of_destroyer_i]
(21158,8730,1,1,2,1941.099984),-- [general_67_a]
(21158,8740,1,1,2,485.372304),-- [special_67_a]
(21158,8750,1,1,2,48.654),-- [rare_67_a]
(21158,8760,1,1,2,9.7308),-- [unique_67_a]
(21158,1344,30,90,2,72788.719392),-- [mithril_arrow]
(21159,5478,1,1,-1,61665),-- [sealed_dark_crystal_leather_mail_pattern]
(21159,1874,1,1,-1,488878),-- [oriharukon_ore]
(21159,4043,1,1,-1,244439),-- [asofe]
(21159,57,2901,5897,0,700000),-- [adena]
(21159,5304,1,1,1,27.032031),-- [sealed_tallum_tunic]
(21159,5485,1,1,1,3035.535711),-- [sealed_tallum_tunic_texture]
(21159,5308,1,1,1,16.628157),-- [sealed_dark_crystal_robe]
(21159,5486,1,1,1,2136.011553),-- [sealed_dark_crystal_robe_fabric]
(21159,5305,1,1,1,43.229199),-- [sealed_tallum_hose]
(21159,5489,1,1,1,4764.563349),-- [sealed_tallum_hose_fabric]
(21159,1870,1,1,2,166623.321557),-- [coal]
(21159,1865,1,1,2,166623.321557),-- [varnish]
(21159,1874,1,1,2,11108.283101),-- [oriharukon_ore]
(21159,4043,1,1,2,5553.910311),-- [asofe]
(21159,4039,1,1,2,5553.910311),-- [mold_glue]
(21159,3035,1,1,2,221.98992),-- [rp_spiritshot_a]
(21159,5281,1,1,2,221.98992),-- [rp_adv_comp_bspiritshot_a]
(21159,8326,1,1,2,61.509707),-- [rp_doom_crusher_i]
(21159,8730,1,1,2,1851.303437),-- [general_67_a]
(21159,8740,1,1,2,462.941479),-- [special_67_a]
(21159,8750,1,1,2,46.2479),-- [rare_67_a]
(21159,8760,1,1,2,9.24958),-- [unique_67_a]
(21159,1344,20,60,2,104141.02122),-- [mithril_arrow]
(21160,5479,1,1,-1,36206),-- [sealed_tallum_leather_mail_pattern]
(21160,1807,1,1,-1,8158),-- [rp_soulshot_a]
(21160,5482,1,1,-1,80760),-- [sealed_legging_of_dark_crystal_design]
(21160,57,3019,6154,0,700000),-- [adena]
(21160,5304,1,1,1,28.194438),-- [sealed_tallum_tunic]
(21160,5485,1,1,1,3166.067078),-- [sealed_tallum_tunic_texture]
(21160,5308,1,1,1,17.343186),-- [sealed_dark_crystal_robe]
(21160,5486,1,1,1,2227.862394),-- [sealed_dark_crystal_robe_fabric]
(21160,5305,1,1,1,45.088102),-- [sealed_tallum_hose]
(21160,5489,1,1,1,4969.444802),-- [sealed_tallum_hose_fabric]
(21160,1894,1,1,2,7206.497034),-- [crafted_leather]
(21160,4039,1,1,2,6846.237684),-- [mold_glue]
(21160,4041,1,1,2,1786.01302),-- [mold_hardener]
(21160,4044,1,1,2,6846.237684),-- [thons]
(21160,1807,1,1,2,273.797106),-- [rp_soulshot_a]
(21160,6037,1,1,2,410775.134396),-- [scroll_of_awake]
(21160,729,1,1,2,22.707256),-- [scrl_of_ench_wp_a]
(21160,8730,1,1,2,2282.079228),-- [general_67_a]
(21160,8740,1,1,2,570.738146),-- [special_67_a]
(21160,8750,1,1,2,57.204818),-- [rare_67_a]
(21160,8760,1,1,2,11.353628),-- [unique_67_a]
(21161,3035,1,1,-1,8917),-- [rp_spiritshot_a]
(21161,5485,1,1,-1,56237),-- [sealed_tallum_tunic_texture]
(21161,4041,1,1,-1,58154),-- [mold_hardener]
(21161,57,3302,6724,0,700000),-- [adena]
(21161,6324,1,1,1,81.900233),-- [sealed_phoenix's_earing]
(21161,6341,1,1,1,11382.43141),-- [sealed_phoenix's_earing_gemstone]
(21161,6323,1,1,1,61.416127),-- [sealed_phoenix's_necklace]
(21161,6343,1,1,1,8799.045448),-- [sealed_phoenix's_necklace_beads]
(21161,6325,1,1,1,122.832254),-- [sealed_phoenix's_ring]
(21161,6345,1,1,1,15743.374528),-- [sealed_phoenix's_ring_gemstone]
(21161,1871,1,1,2,224482.756764),-- [charcoal]
(21161,1866,1,1,2,149655.171176),-- [suede]
(21161,1877,1,1,2,8979.200342),-- [admantite_nugget]
(21161,4041,1,1,2,1952.017144),-- [mold_hardener]
(21161,4040,1,1,2,4489.796472),-- [mold_lubricant]
(21161,5276,1,1,2,299.162724),-- [rp_adv_comp_spiritshot_a]
(21161,8326,1,1,2,83.231624),-- [rp_doom_crusher_i]
(21161,8731,1,1,2,2078.434988),-- [general_70_a]
(21161,8741,1,1,2,519.805048),-- [special_70_a]
(21161,8751,1,1,2,51.823464),-- [rare_70_a]
(21161,8761,1,1,2,10.600254),-- [unique_70_a]
(21162,5486,1,1,-1,39629),-- [sealed_dark_crystal_robe_fabric]
(21162,3956,1,1,-1,8930),-- [rp_blessed_spiritshot_a]
(21162,5478,1,1,-1,56317),-- [sealed_dark_crystal_leather_mail_pattern]
(21162,57,3305,6737,0,700000),-- [adena]
(21162,5297,1,1,1,30.859074),-- [sealed_dark_crystal_leather_mail]
(21162,5478,1,1,1,3465.289794),-- [sealed_dark_crystal_leather_mail_pattern]
(21162,5301,1,1,1,18.982278),-- [sealed_tallum_leather_mail]
(21162,5479,1,1,1,2438.416062),-- [sealed_tallum_leather_mail_pattern]
(21162,5298,1,1,1,49.349346),-- [sealed_legging_of_dark_crystal]
(21162,5482,1,1,1,5439.103446),-- [sealed_legging_of_dark_crystal_design]
(21162,1873,1,1,2,89921.50128),-- [silver_nugget]
(21162,1868,1,3,2,224803.7532),-- [thread]
(21162,1876,1,1,2,44960.75064),-- [mithril_ore]
(21162,1895,1,1,2,64229.70636),-- [metallic_fiber]
(21162,4042,1,1,2,3746.80224),-- [enria]
(21162,1807,1,1,2,299.67408),-- [rp_soulshot_a]
(21162,8731,1,1,2,2081.50812),-- [general_70_a]
(21162,8741,1,1,2,520.48656),-- [special_70_a]
(21162,8751,1,1,2,52.13628),-- [rare_70_a]
(21162,8761,1,1,2,10.51488),-- [unique_70_a]
(21162,6036,1,1,2,7493.16636),-- [potion_of_acumen3]
(21163,5480,1,1,-1,31860),-- [sealed_leather_mail_of_nightmare_fabric]
(21163,5481,1,1,-1,31860),-- [sealed_majestic_leather_mail_fabric]
(21163,729,1,1,-1,789),-- [scrl_of_ench_wp_a]
(21163,57,3493,7152,0,700000),-- [adena]
(21163,5291,1,1,1,73.638936),-- [sealed_dark_crystal_boots]
(21163,5496,1,1,1,7684.361064),-- [sealed_dark_crystal_boots_lining]
(21163,5296,1,1,1,73.638936),-- [sealed_tallum_boots]
(21163,5497,1,1,1,7684.361064),-- [sealed_tallum_boots_lining]
(21163,5290,1,1,1,73.638936),-- [sealed_dark_crystal_gloves]
(21163,5508,1,1,1,7684.361064),-- [sealed_dark_crystal_gloves_design]
(21163,5295,1,1,1,73.638936),-- [sealed_tallum_gloves]
(21163,5509,1,1,1,7684.361064),-- [sealed_tallum_gloves_design]
(21163,1867,1,3,2,158882.97502),-- [animal_skin]
(21163,1872,1,3,2,105921.76072),-- [animal_bone]
(21163,1882,1,1,2,52960.88036),-- [leather]
(21163,1894,1,1,2,8362.19154),-- [crafted_leather]
(21163,4042,1,1,2,3972.2163),-- [enria]
(21163,729,1,1,2,26.38126),-- [scrl_of_ench_wp_a]
(21163,4987,1,1,2,988.79634),-- [rp_tunic_of_doom_i]
(21163,8731,1,1,2,2206.67552),-- [general_70_a]
(21163,8741,1,1,2,551.66888),-- [special_70_a]
(21163,8751,1,1,2,55.1001),-- [rare_70_a]
(21163,8761,1,1,2,11.35396),-- [unique_70_a]
(21164,5487,1,1,-1,36693),-- [sealed_robe_of_nightmare_fabric]
(21164,5480,1,1,-1,36564),-- [sealed_leather_mail_of_nightmare_fabric]
(21164,5481,1,1,-1,36564),-- [sealed_majestic_leather_mail_fabric]
(21164,57,4018,8199,0,700000),-- [adena]
(21164,6327,1,1,1,66.949245),-- [sealed_majestic_earing]
(21164,6342,1,1,1,11359.619315),-- [sealed_majestic_earing_gemstone]
(21164,6326,1,1,1,50.20312),-- [sealed_majestic_necklace]
(21164,6344,1,1,1,7351.30209),-- [sealed_majestic_necklace_beads]
(21164,6328,1,1,1,100.40624),-- [sealed_majestic_ring]
(21164,6346,1,1,1,16326.51999),-- [sealed_majestic_ring_gemstrone]
(21164,1871,1,3,2,167148.341884),-- [charcoal]
(21164,1866,1,1,2,222864.594701),-- [suede]
(21164,1877,1,1,2,13371.8007),-- [admantite_nugget]
(21164,4041,1,1,2,2906.804526),-- [mold_hardener]
(21164,4040,1,1,2,6685.90035),-- [mold_lubricant]
(21164,729,1,1,2,37.074463),-- [scrl_of_ench_wp_a]
(21164,8732,1,1,2,2786.000096),-- [general_75_s]
(21164,8742,1,1,2,696.500024),-- [special_75_s]
(21164,8752,1,1,2,69.983256),-- [rare_75_s]
(21165,5488,1,1,-1,37883),-- [sealed_majestic_robe_fabric]
(21165,5495,1,1,-1,127745),-- [sealed_shield_of_nightmare_fragment]
(21165,730,1,1,-1,7011),-- [scrl_of_ench_am_a]
(21165,57,4147,8467,0,700000),-- [adena]
(21165,5320,1,1,1,23.520984),-- [sealed_leather_mail_of_nightmare]
(21165,5480,1,1,1,3484.979016),-- [sealed_leather_mail_of_nightmare_fabric]
(21165,5323,1,1,1,23.520984),-- [sealed_majestic_leather_mail]
(21165,5481,1,1,1,3484.979016),-- [sealed_majestic_leather_mail_fabric]
(21165,1895,1,1,2,88748.898255),-- [metallic_fiber]
(21165,4040,1,1,2,6212.613996),-- [mold_lubricant]
(21165,4042,1,1,2,5177.17833),-- [enria]
(21165,4043,1,1,2,10353.931953),-- [asofe]
(21165,730,1,1,2,258.646563),-- [scrl_of_ench_am_a]
(21165,6037,1,3,2,310620.931539),-- [scroll_of_awake]
(21165,729,1,1,2,34.401267),-- [scrl_of_ench_wp_a]
(21165,8732,1,1,2,2588.589165),-- [general_75_s]
(21165,8742,1,1,2,647.253468),-- [special_75_s]
(21165,8752,1,1,2,64.555464),-- [rare_75_s]
(21166,1868,1,3,-1,886728),-- [thread]
(21166,1873,1,1,-1,354691),-- [silver_nugget]
(21166,1898,1,1,-1,91087),-- [blue_diamond_necklace_gem]
(21166,6362,23,42,0,700000),-- [red_sealstone]
(21166,6360,53,109,1,700000),-- [blue_sealstone]
(21166,25,1,1,2,713.295372),-- [piece_bone_breastplate]
(21166,1926,1,1,2,8818.976021),-- [piece_bone_breastplate_fragment]
(21166,26,1,1,2,461.708982),-- [bronze_breastplate]
(21166,32,1,1,2,1141.287351),-- [piece_bone_gaiters]
(21166,1928,1,1,2,12717.827276),-- [piece_bone_gaiters_fragment]
(21166,34,1,1,2,739.904998),-- [bronze_gaiters]
(21166,1868,1,3,3,130962.642108),-- [thread]
(21166,1873,1,1,3,52385.256834),-- [silver_nugget]
(21166,2176,1,1,3,62661.450774),-- [rp_leather_boots]
(21166,6037,1,3,3,87308.650284),-- [scroll_of_awake]
(21167,1804,1,1,-1,39326),-- [rp_soulshot_d]
(21167,1926,1,1,-1,99308),-- [piece_bone_breastplate_fragment]
(21167,2151,1,1,-1,273857),-- [rp_necklace_of_devotion]
(21167,6362,21,39,0,700000),-- [red_sealstone]
(21167,6360,72,143,1,700000),-- [blue_sealstone]
(21167,1102,1,1,2,2045.290996),-- [tunic_of_magicpower]
(21167,1105,1,1,2,3281.709004),-- [hose_of_magicpower]
(21167,1867,1,1,3,193604.579046),-- [animal_skin]
(21167,1872,1,1,3,193604.579046),-- [animal_bone]
(21167,1882,1,1,3,32267.285982),-- [leather]
(21167,735,1,1,3,12100.555926),-- [swift_attack_potion]
(21168,1899,1,1,-1,184636),-- [necklace_of_devotion_chain]
(21168,5549,1,1,-1,118167),-- [iron_thread]
(21168,1889,1,1,-1,78778),-- [compound_braid]
(21168,6362,22,41,0,700000),-- [red_sealstone]
(21168,6360,97,190,1,700000),-- [blue_sealstone]
(21168,847,1,1,2,1601.894656),-- [red_cresent_earing]
(21168,910,1,1,2,1201.420992),-- [necklace_of_devotion]
(21168,1899,1,1,2,25905.811256),-- [necklace_of_devotion_chain]
(21168,890,1,1,2,2402.873096),-- [ring_of_devotion]
(21168,1868,1,3,3,110531.493468),-- [thread]
(21168,1873,1,1,3,44212.518198),-- [silver_nugget]
(21168,5549,1,1,3,11053.228536),-- [iron_thread]
(21168,1889,1,1,3,7368.951006),-- [compound_braid]
(21168,2262,1,1,3,1716.42591),-- [rp_elven_bow]
(21168,6037,1,1,3,221063.382882),-- [scroll_of_awake]
(21169,1061,1,1,-1,881783),-- [healing_potion]
(21169,1900,1,1,-1,159184),-- [enchanted_necklace_chain]
(21169,2153,1,1,-1,226274),-- [rp_tiger'seye_earing]
(21169,6362,24,44,0,700000),-- [red_sealstone]
(21169,6360,128,259,1,700000),-- [blue_sealstone]
(21169,1123,1,1,2,3105.5),-- [blue_buckskin_boots]
(21169,605,1,1,2,3105.5),-- [leather_gauntlet]
(21169,1869,1,1,3,159014.14578),-- [iron_ore]
(21169,1864,1,3,3,159014.14578),-- [stem]
(21169,1880,1,1,3,15901.3785),-- [steel]
(21169,5550,1,1,3,2120.30406),-- [reinforcing_plate]
(21169,2153,1,1,3,24730.02588),-- [rp_tiger'seye_earing]
(21170,1901,1,1,-1,222980),-- [tiger'seye_earing_stone]
(21170,2154,1,1,-1,172845),-- [rp_elven_earing]
(21170,1938,1,1,-1,108529),-- [mithril_banded_mail_material]
(21170,6362,22,41,0,700000),-- [red_sealstone]
(21170,6361,33,63,1,700000),-- [green_sealstone]
(21170,6360,108,211,2,700000),-- [blue_sealstone]
(21170,628,1,1,3,2093.359974),-- [hoplon]
(21170,47,1,1,3,1464.640026),-- [helmet]
(21170,1869,1,1,4,143058.140368),-- [iron_ore]
(21170,1864,1,1,4,286116.280736),-- [stem]
(21170,1880,1,1,4,14305.862064),-- [steel]
(21170,5550,1,1,4,1907.640384),-- [reinforcing_plate]
(21170,2155,1,1,4,22962.764864),-- [rp_elven_ring]
(21170,6035,1,1,4,11921.311584),-- [potion_of_acumen2]
(21171,1870,1,5,-1,684631),-- [coal]
(21171,1865,1,5,-1,684631),-- [varnish]
(21171,1939,1,1,-1,180403),-- [mithril_banded_gaiters_material]
(21171,6362,24,44,0,700000),-- [red_sealstone]
(21171,6361,68,136,1,700000),-- [green_sealstone]
(21171,6360,96,192,2,700000),-- [blue_sealstone]
(21171,83,1,1,3,66.0972),-- [sword_of_magic]
(21171,144,1,1,3,66.0972),-- [sword_of_occult]
(21171,124,1,1,3,48.96528),-- [two-handed_sword]
(21171,2026,1,1,3,2190.90729),-- [two-handed_sword_edge]
(21171,127,1,1,3,48.96528),-- [crimson_sword]
(21171,130,1,1,3,48.96775),-- [elven_sword]
(21171,1870,1,3,4,136504.928575),-- [coal]
(21171,1865,1,1,4,273009.85715),-- [varnish]
(21171,1874,1,1,4,18200.502389),-- [oriharukon_ore]
(21171,2191,1,1,4,36547.711886),-- [rp_gauntlet_of_repose_of_the_soul]
(21172,1825,1,1,-1,172903),-- [rp_oriharukon]
(21172,1902,1,1,-1,245252),-- [elven_earing_beads]
(21172,2145,1,1,-1,172903),-- [rp_mithirl_alloy]
(21172,6362,24,45,0,700000),-- [red_sealstone]
(21172,6361,105,206,1,700000),-- [green_sealstone]
(21172,6360,89,178,2,700000),-- [blue_sealstone]
(21172,88,1,1,3,23.302164),-- [morning_star]
(21172,2031,1,1,3,1266.576573),-- [morning_star_head]
(21172,90,1,1,3,23.302164),-- [goathead_staff]
(21172,2032,1,1,3,1156.201905),-- [goathead_staff_head]
(21172,158,1,1,3,23.302164),-- [tarbar]
(21172,2035,1,1,3,1266.576573),-- [tarbar_head]
(21172,169,1,1,3,23.302164),-- [skull_breaker]
(21172,2036,1,1,3,1266.576573),-- [skull_breaker_head]
(21172,172,1,1,3,23.302164),-- [heavy_bone_club]
(21172,2037,1,1,3,1266.557556),-- [heavy_bone_club_head]
(21172,1871,2,6,4,62564.106297),-- [charcoal]
(21172,1866,1,1,4,166837.616792),-- [suede]
(21172,1877,1,1,4,10010.225302),-- [admantite_nugget]
(21172,2147,1,1,4,17875.572176),-- [rp_blacksmith's_frame]
(21172,1341,60,180,4,139031.479433),-- [bone_arrow]
(21173,1905,1,1,-1,252534),-- [onyxbeast'seye_earing_gemstone]
(21173,1881,1,1,-1,346140),-- [coarse_bone_powder]
(21173,1875,1,1,-1,173070),-- [stone_of_purity]
(21173,6362,22,41,0,700000),-- [red_sealstone]
(21173,6361,137,274,1,700000),-- [green_sealstone]
(21173,6360,56,111,2,700000),-- [blue_sealstone]
(21173,262,1,1,3,93.99576),-- [scallop_jamadhr]
(21173,2053,1,1,3,5390.00424),-- [scallop_jamadhr_edge]
(21173,1872,1,1,4,217269.16134),-- [animal_bone]
(21173,1867,1,1,4,217269.16134),-- [animal_skin]
(21173,1881,1,1,4,21726.77016),-- [coarse_bone_powder]
(21173,1875,1,1,4,10863.38508),-- [stone_of_purity]
(21173,1805,1,1,4,543.02328),-- [rp_soulshot_c]
(21173,2990,1,1,4,12932.80982),-- [rp_chain_boots]
(21173,5164,1,1,4,543.02328),-- [rp_comp_bspiritshot_c]
(21173,6036,1,1,4,5432.6657),-- [potion_of_acumen3]
(21174,1908,1,1,-1,316239),-- [moonstone_earing_wire]
(21174,2163,1,1,-1,170382),-- [rp_earing_of_protection]
(21174,1873,1,3,-1,667898),-- [silver_nugget]
(21174,6362,25,45,0,700000),-- [red_sealstone]
(21174,6361,211,425,1,700000),-- [green_sealstone]
(21174,6360,33,62,2,700000),-- [blue_sealstone]
(21174,281,1,1,3,89.529435),-- [crystallized_ice_bow]
(21174,2074,1,1,3,5589.470565),-- [crystallized_ice_bow_shaft]
(21174,1873,1,1,4,90188.18376),-- [silver_nugget]
(21174,1868,1,3,4,225470.91968),-- [thread]
(21174,1876,1,1,4,45094.09188),-- [mithril_ore]
(21174,1895,1,1,4,64420.32852),-- [metallic_fiber]
(21174,4042,1,1,4,3757.72592),-- [enria]
(21174,2164,1,1,4,17343.81068),-- [rp_ring_of_protection]
(21174,3002,1,1,4,14004.93956),-- [rp_dwarven_chain_gloves]
(21175,440,1,1,-1,1258),-- [robe_of_seal]
(21175,1912,1,1,-1,409204),-- [ring_of_protection_gemstone]
(21175,4590,1,1,-1,12658),-- [dye_s2d2_c]
(21175,6362,25,45,0,700000),-- [red_sealstone]
(21175,6361,268,532,1,700000),-- [green_sealstone]
(21175,227,1,1,2,38.069854),-- [stiletto]
(21175,2083,1,1,2,2794.930146),-- [stiletto_edge]
(21175,242,1,1,2,38.069854),-- [dagger_of_magicflame]
(21175,2084,1,1,2,2794.930146),-- [dagger_of_magicflame_blade]
(21175,1871,1,3,3,80121.356916),-- [charcoal]
(21175,1866,1,1,3,160242.216156),-- [suede]
(21175,1877,1,1,3,9614.602644),-- [admantite_nugget]
(21175,4041,1,1,3,2090.2392),-- [mold_hardener]
(21175,4040,1,1,3,4807.052484),-- [mold_lubricant]
(21175,951,1,1,3,436.959528),-- [scrl_of_ench_wp_c]
(21175,6037,1,3,3,240363.573072),-- [scroll_of_awake]
(21176,4041,1,1,-1,33616),-- [mold_hardener]
(21176,1872,1,11,-1,859080),-- [animal_bone]
(21176,4601,1,1,-1,8591),-- [dye_s3c3_c]
(21176,6362,11,22,0,700000),-- [red_sealstone]
(21176,6361,219,437,1,700000),-- [green_sealstone]
(21176,6360,133,267,2,700000),-- [blue_sealstone]
(21176,326,1,1,3,48.377142),-- [heathen's_book]
(21176,2110,1,1,3,4505.622858),-- [heathen's_book_page]
(21176,1864,4,12,4,57095.68895),-- [stem]
(21176,1865,2,6,4,45676.55116),-- [varnish]
(21176,1866,3,9,4,25375.81983),-- [suede]
(21176,1873,1,1,4,91353.10232),-- [silver_nugget]
(21176,1868,1,3,4,152255.29631),-- [thread]
(21176,2232,1,1,4,1312.73107),-- [rp_drake_leather_mail]
(21176,3012,1,1,4,4260.81036),-- [rp_full_plate_helmet]
(21177,4594,1,1,-1,17584),-- [dye_d2c2_c]
(21177,1806,1,1,-1,10550),-- [rp_soulshot_b]
(21177,1920,1,1,-1,180500),-- [necklace_of_binding_chain]
(21177,6362,13,27,0,700000),-- [red_sealstone]
(21177,6361,314,633,1,700000),-- [green_sealstone]
(21177,6360,148,301,2,700000),-- [blue_sealstone]
(21177,301,1,1,3,17.6528),-- [scorpion]
(21177,2113,1,1,3,1572.085625),-- [scorpion_blade]
(21177,303,1,1,3,17.6528),-- [widow_maker]
(21177,2114,1,1,3,1572.085625),-- [widow_maker_head]
(21177,299,1,1,3,13.77255),-- [orcish_poleaxe]
(21177,2122,1,1,3,1481.7506),-- [orcish_poleaxe_blade]
(21177,1873,1,1,4,97386.731248),-- [silver_nugget]
(21177,1868,1,3,4,243466.595568),-- [thread]
(21177,1876,1,1,4,48693.133072),-- [mithril_ore]
(21177,1895,1,1,4,69561.884448),-- [metallic_fiber]
(21177,4042,1,1,4,4057.567296),-- [enria]
(21177,3034,1,1,4,486.963888),-- [rp_spiritshot_b]
(21177,4944,1,1,4,1170.666768),-- [rp_avadon_breastplate_i]
(21177,4968,1,1,4,280.457712),-- [rp_kris_i]
(21178,4129,1,1,-1,61196),-- [rp_earing_of_black_ore]
(21178,4610,1,1,-1,12566),-- [dye_m3w3_c]
(21178,947,1,1,-1,2262),-- [scrl_of_ench_wp_b]
(21178,6362,13,26,0,700000),-- [red_sealstone]
(21178,6361,391,782,1,700000),-- [green_sealstone]
(21178,6360,73,146,2,700000),-- [blue_sealstone]
(21178,2384,1,1,3,46.513225),-- [shrnoen's_leather_shirts]
(21178,4066,1,1,3,6564.6867),-- [shrnoen's_leather_shirts_fabric]
(21178,2390,1,1,3,28.611825),-- [avadon_leather_mail]
(21178,4068,1,1,3,5043.306675),-- [avadon_leather_mail_lining]
(21178,2388,1,1,3,74.42985),-- [shrnoen's_leather_gaiters]
(21178,4067,1,1,3,9967.451725),-- [shrnoen's_leather_gaiters_texture]
(21178,1872,1,3,4,139188.904008),-- [animal_bone]
(21178,1867,1,1,4,278377.34533),-- [animal_skin]
(21178,1881,1,1,4,27837.965876),-- [coarse_bone_powder]
(21178,1875,1,1,4,13918.982938),-- [stone_of_purity]
(21178,4041,1,1,4,1815.579864),-- [mold_hardener]
(21178,948,1,1,4,521.909808),-- [scrl_of_ench_am_b]
(21178,4162,1,1,4,866.148192),-- [rp_tunic_of_doom]
(21178,5003,1,1,4,159.163984),-- [rp_art_of_battle_axe_i]
(21179,4613,1,1,-1,7498),-- [dye_s4c4_c]
(21179,947,1,1,-1,2174),-- [scrl_of_ench_wp_b]
(21179,1872,1,15,-1,906001),-- [animal_bone]
(21179,6362,11,22,0,700000),-- [red_sealstone]
(21179,6361,415,830,1,700000),-- [green_sealstone]
(21179,6360,7,15,2,700000),-- [blue_sealstone]
(21179,357,1,1,3,25.15185),-- [shrnoen's_breastplate]
(21179,4056,1,1,3,3633.957919),-- [shrnoen's_breastplate_part]
(21179,2376,1,1,3,25.15185),-- [avadon_breastplate]
(21179,4064,1,1,3,3633.957919),-- [avadon_breastplate_part]
(21179,383,1,1,3,40.24296),-- [shrnoen's_gaiters]
(21179,4057,1,1,3,5616.12864),-- [shrnoen's_gaiters_material]
(21179,2379,1,1,3,40.24296),-- [avadon_gaiters]
(21179,4065,1,1,3,5616.165902),-- [avadon_gaiters_material]
(21179,1872,1,3,4,101949.964025),-- [animal_bone]
(21179,1867,2,6,4,76462.57073),-- [animal_skin]
(21179,1881,1,1,4,30584.793785),-- [coarse_bone_powder]
(21179,1875,1,1,4,15292.592315),-- [stone_of_purity]
(21179,4041,1,1,4,1994.482035),-- [mold_hardener]
(21179,4155,1,1,4,712.510435),-- [rp_blue_wolve's_breastplate]
(21179,1343,20,60,4,163848.086675),-- [silver_arrow]
(21180,4052,1,1,-1,271551),-- [earing_of_black_ore_piece]
(21180,5230,1,1,-1,10227),-- [rp_mithril_arrow]
(21180,4053,1,1,-1,328759),-- [ring_of_black_ore_gemstone]
(21180,6362,14,28,0,700000),-- [red_sealstone]
(21180,6361,574,1144,1,700000),-- [green_sealstone]
(21180,2398,1,1,2,30.501009),-- [blue_wolve's_tunic]
(21180,4084,1,1,2,4923.408096),-- [blue_wolve's_tunic_fabric]
(21180,2399,1,1,2,30.501009),-- [tunic_of_doom]
(21180,4085,1,1,2,4923.408096),-- [tunic_of_doom_pattern]
(21180,2403,1,1,2,48.838896),-- [blue_wolve's_hose]
(21180,4086,1,1,2,6647.728698),-- [blue_wolve's_hose_pattern]
(21180,2404,1,1,2,48.838896),-- [hose_of_doom]
(21180,4087,1,1,2,6647.7753),-- [hose_of_doom_pattern]
(21180,1871,1,3,3,188798.808672),-- [charcoal]
(21180,1866,1,3,3,83910.431736),-- [suede]
(21180,1877,1,1,3,15104.120544),-- [admantite_nugget]
(21180,4041,1,1,3,3283.621776),-- [mold_hardener]
(21180,4040,1,1,3,7552.060272),-- [mold_lubricant]
(21180,1830,1,1,3,151038.957),-- [scroll_of_escape_to_castle]
(21181,5230,1,1,-1,10851),-- [rp_mithril_arrow]
(21181,4054,1,1,-1,160289),-- [necklace_of_black_ore_beads]
(21181,4041,1,1,-1,70764),-- [mold_hardener]
(21181,6362,14,27,0,700000),-- [red_sealstone]
(21181,6361,578,1160,1,700000),-- [green_sealstone]
(21181,864,1,1,2,112.69614),-- [earing_of_black_ore]
(21181,4052,1,1,2,14183.47272),-- [earing_of_black_ore_piece]
(21181,926,1,1,2,84.532008),-- [necklace_of_black_ore]
(21181,4054,1,1,2,7890.7104),-- [necklace_of_black_ore_beads]
(21181,895,1,1,2,169.024404),-- [ring_of_black_ore]
(21181,4053,1,1,2,17171.564328),-- [ring_of_black_ore_gemstone]
(21181,1872,1,3,3,228933.690628),-- [animal_bone]
(21181,1867,1,3,3,152622.611798),-- [animal_skin]
(21181,1881,1,1,3,45786.647298),-- [coarse_bone_powder]
(21181,1875,1,1,3,22893.550718),-- [stone_of_purity]
(21181,4041,1,1,3,2985.95735),-- [mold_hardener]
(21181,5230,1,1,3,457.771104),-- [rp_mithril_arrow]
(21181,5276,1,1,3,457.771104),-- [rp_adv_comp_spiritshot_a]
(21182,1876,1,3,-1,736136),-- [mithril_ore]
(21182,5478,1,1,-1,61902),-- [sealed_dark_crystal_leather_mail_pattern]
(21182,6362,11,22,0,700000),-- [red_sealstone]
(21182,6361,512,1023,1,700000),-- [green_sealstone]
(21182,5291,1,1,2,61.078647),-- [sealed_dark_crystal_boots]
(21182,5496,1,1,2,6373.671353),-- [sealed_dark_crystal_boots_lining]
(21182,5296,1,1,2,61.078647),-- [sealed_tallum_boots]
(21182,5497,1,1,2,6373.671353),-- [sealed_tallum_boots_lining]
(21182,5290,1,1,2,61.078647),-- [sealed_dark_crystal_gloves]
(21182,5508,1,1,2,6373.671353),-- [sealed_dark_crystal_gloves_design]
(21182,5295,1,1,2,61.078647),-- [sealed_tallum_gloves]
(21182,5509,1,1,2,6373.671353),-- [sealed_tallum_gloves_design]
(21182,1873,1,1,3,124253.288295),-- [silver_nugget]
(21182,1868,4,12,3,77658.366161),-- [thread]
(21182,1876,1,1,3,62126.888054),-- [mithril_ore]
(21182,1895,1,1,3,88752.209407),-- [metallic_fiber]
(21182,4042,1,1,3,5177.159369),-- [enria]
(21182,5156,1,1,3,414.153237),-- [rp_comp_soulshot_a]
(21182,1344,30,90,3,129430.935477),-- [mithril_arrow]
(21183,1807,1,1,-1,10950),-- [rp_soulshot_a]
(21183,5479,1,1,-1,48593),-- [sealed_tallum_leather_mail_pattern]
(21183,3035,1,1,-1,10950),-- [rp_spiritshot_a]
(21183,6362,14,28,0,700000),-- [red_sealstone]
(21183,6361,687,1380,1,700000),-- [green_sealstone]
(21183,5292,1,1,2,108.0996),-- [sealed_dark_crystal_shield]
(21183,5494,1,1,2,10612.704725),-- [sealed_dark_crystal_shield_fragment]
(21183,5289,1,1,2,75.643225),-- [sealed_dark_crystal_helmet]
(21183,5525,1,1,2,7811.46786),-- [sealed_dark_crystal_helmet_design]
(21183,5294,1,1,2,75.643225),-- [sealed_tallum_bonnet]
(21183,5526,1,1,2,7811.441365),-- [sealed_tallum_bonnet_design]
(21183,1894,1,1,3,21278.91699),-- [crafted_leather]
(21183,4039,1,1,3,20215.005036),-- [mold_glue]
(21183,4041,1,1,3,5273.46189),-- [mold_hardener]
(21183,4044,1,1,3,20215.005036),-- [thons]
(21183,5156,1,1,3,808.611048),-- [rp_comp_soulshot_a]
(21184,5480,1,1,-1,38649),-- [sealed_leather_mail_of_nightmare_fabric]
(21184,729,1,1,-1,957),-- [scrl_of_ench_wp_a]
(21184,1895,1,5,-1,820300),-- [metallic_fiber]
(21184,6362,14,27,0,700000),-- [red_sealstone]
(21184,6361,700,1400,1,700000),-- [green_sealstone]
(21184,5304,1,1,2,39.689052),-- [sealed_tallum_tunic]
(21184,5485,1,1,2,4456.843612),-- [sealed_tallum_tunic_texture]
(21184,5308,1,1,2,24.413844),-- [sealed_dark_crystal_robe]
(21184,5486,1,1,2,3136.141476),-- [sealed_dark_crystal_robe_fabric]
(21184,5305,1,1,2,63.470108),-- [sealed_tallum_hose]
(21184,5489,1,1,2,6995.441908),-- [sealed_tallum_hose_fabric]
(21184,1867,1,3,3,192741.596432),-- [animal_skin]
(21184,1872,1,3,3,128494.127552),-- [animal_bone]
(21184,1882,1,1,3,64247.063776),-- [leather]
(21184,1894,1,1,3,10144.209264),-- [crafted_leather]
(21184,4042,1,1,3,4818.71208),-- [enria]
(21184,729,1,1,3,32.003216),-- [scrl_of_ench_wp_a]
(21184,4987,1,1,3,1199.512944),-- [rp_tunic_of_doom_i]
(21184,8731,1,1,3,2676.927232),-- [general_70_a]
(21184,8741,1,1,3,669.231808),-- [special_70_a]
(21184,8751,1,1,3,66.84216),-- [rare_70_a]
(21184,8761,1,1,3,13.773536),-- [unique_70_a]
(21185,1875,1,1,-1,513582),-- [stone_of_purity]
(21185,5481,1,1,-1,34568),-- [sealed_majestic_leather_mail_fabric]
(21185,5487,1,1,-1,34691),-- [sealed_robe_of_nightmare_fabric]
(21185,6362,11,22,0,700000),-- [red_sealstone]
(21185,6361,612,1227,1,700000),-- [green_sealstone]
(21185,5304,1,1,2,35.497914),-- [sealed_tallum_tunic]
(21185,5485,1,1,2,3986.203834),-- [sealed_tallum_tunic_texture]
(21185,5308,1,1,2,21.835758),-- [sealed_dark_crystal_robe]
(21185,5486,1,1,2,2804.966982),-- [sealed_dark_crystal_robe_fabric]
(21185,5305,1,1,2,56.767706),-- [sealed_tallum_hose]
(21185,5489,1,1,2,6256.727806),-- [sealed_tallum_hose_fabric]
(21185,1873,1,1,3,113778.029204),-- [silver_nugget]
(21185,1868,3,9,3,94814.895588),-- [thread]
(21185,1876,1,1,3,56889.014602),-- [mithril_ore]
(21185,1895,1,1,3,81270.02086),-- [metallic_fiber]
(21185,4042,1,1,3,4740.783404),-- [enria]
(21185,5282,1,1,3,126.302442),-- [rp_adv_comp_bspiritshot_s]
(21185,6671,1,1,3,31604.965196),-- [key_of_treasure_box7]
(21185,8732,1,1,3,2370.391702),-- [general_75_s]
(21185,8742,1,1,3,592.501364),-- [special_75_s]
(21185,8752,1,1,3,59.095638),-- [rare_75_s]
(21186,5488,1,1,-1,46584),-- [sealed_majestic_robe_fabric]
(21186,730,1,1,-1,8621),-- [scrl_of_ench_am_a]
(21186,5480,1,1,-1,46420),-- [sealed_leather_mail_of_nightmare_fabric]
(21186,6362,14,28,0,700000),-- [red_sealstone]
(21186,6361,805,1610,1,700000),-- [green_sealstone]
(21186,5315,1,1,2,89.538834),-- [sealed_shield_of_nightmare]
(21186,5495,1,1,2,9665.951834),-- [sealed_shield_of_nightmare_fragment]
(21186,5312,1,1,2,62.654592),-- [sealed_helm_of_nightmare]
(21186,5527,1,1,2,7610.600074),-- [sealed_helm_of_nightmare_design]
(21186,5317,1,1,2,62.654592),-- [sealed_magestic_circlet]
(21186,5528,1,1,2,7610.600074),-- [sealed_magestic_circlet_design]
(21186,1871,4,12,3,79576.53054),-- [charcoal]
(21186,1866,1,3,3,141469.358199),-- [suede]
(21186,1877,1,1,3,25464.436803),-- [admantite_nugget]
(21186,4041,1,1,3,5535.873798),-- [mold_hardener]
(21186,4040,1,1,3,12732.350826),-- [mold_lubricant]
(21186,729,1,1,3,70.449834),-- [scrl_of_ench_wp_a]
(21187,1868,1,3,-1,886728),-- [thread]
(21187,1873,1,1,-1,354691),-- [silver_nugget]
(21187,1898,1,1,-1,91087),-- [blue_diamond_necklace_gem]
(21187,6362,23,42,0,700000),-- [red_sealstone]
(21187,6360,53,109,1,700000),-- [blue_sealstone]
(21187,25,1,1,2,713.295372),-- [piece_bone_breastplate]
(21187,1926,1,1,2,8818.976021),-- [piece_bone_breastplate_fragment]
(21187,26,1,1,2,461.708982),-- [bronze_breastplate]
(21187,32,1,1,2,1141.287351),-- [piece_bone_gaiters]
(21187,1928,1,1,2,12717.827276),-- [piece_bone_gaiters_fragment]
(21187,34,1,1,2,739.904998),-- [bronze_gaiters]
(21187,1868,1,1,3,261925.83979),-- [thread]
(21187,1873,1,1,3,52385.167958),-- [silver_nugget]
(21187,2176,1,1,3,62661.819642),-- [rp_leather_boots]
(21187,6035,1,1,3,10913.17261),-- [potion_of_acumen2]
(21188,1804,1,1,-1,39326),-- [rp_soulshot_d]
(21188,1926,1,1,-1,99308),-- [piece_bone_breastplate_fragment]
(21188,2151,1,1,-1,273857),-- [rp_necklace_of_devotion]
(21188,6362,21,39,0,700000),-- [red_sealstone]
(21188,6360,72,143,1,700000),-- [blue_sealstone]
(21188,1102,1,1,2,2045.290996),-- [tunic_of_magicpower]
(21188,1105,1,1,2,3281.709004),-- [hose_of_magicpower]
(21188,1867,1,1,3,193604.579046),-- [animal_skin]
(21188,1872,1,1,3,193604.579046),-- [animal_bone]
(21188,1882,1,1,3,32267.285982),-- [leather]
(21188,735,1,1,3,12100.555926),-- [swift_attack_potion]
(21189,1899,1,1,-1,184636),-- [necklace_of_devotion_chain]
(21189,5549,1,1,-1,118167),-- [iron_thread]
(21189,1889,1,1,-1,78778),-- [compound_braid]
(21189,6362,22,41,0,700000),-- [red_sealstone]
(21189,6360,97,190,1,700000),-- [blue_sealstone]
(21189,847,1,1,2,1601.894656),-- [red_cresent_earing]
(21189,910,1,1,2,1201.420992),-- [necklace_of_devotion]
(21189,1899,1,1,2,25905.811256),-- [necklace_of_devotion_chain]
(21189,890,1,1,2,2402.873096),-- [ring_of_devotion]
(21189,1868,1,1,3,265275.913895),-- [thread]
(21189,1873,1,1,3,53055.182779),-- [silver_nugget]
(21189,5549,1,1,3,13263.881319),-- [iron_thread]
(21189,1889,1,1,3,8842.587546),-- [compound_braid]
(21189,2262,1,1,3,2059.434461),-- [rp_elven_bow]
(21190,1061,1,1,-1,881783),-- [healing_potion]
(21190,1900,1,1,-1,159184),-- [enchanted_necklace_chain]
(21190,2153,1,1,-1,226274),-- [rp_tiger'seye_earing]
(21190,6362,24,44,0,700000),-- [red_sealstone]
(21190,6360,128,259,1,700000),-- [blue_sealstone]
(21190,1123,1,1,2,3105.5),-- [blue_buckskin_boots]
(21190,605,1,1,2,3105.5),-- [leather_gauntlet]
(21190,1869,1,1,3,132511.529539),-- [iron_ore]
(21190,1864,1,1,3,265022.614875),-- [stem]
(21190,1880,1,1,3,13251.019693),-- [steel]
(21190,5550,1,1,3,1767.039534),-- [reinforcing_plate]
(21190,2153,1,1,3,20608.353982),-- [rp_tiger'seye_earing]
(21190,6035,1,1,3,11042.442377),-- [potion_of_acumen2]
(21191,1901,1,1,-1,222980),-- [tiger'seye_earing_stone]
(21191,2154,1,1,-1,172845),-- [rp_elven_earing]
(21191,1938,1,1,-1,108529),-- [mithril_banded_mail_material]
(21191,6362,22,41,0,700000),-- [red_sealstone]
(21191,6361,33,63,1,700000),-- [green_sealstone]
(21191,6360,108,211,2,700000),-- [blue_sealstone]
(21191,628,1,1,3,2093.359974),-- [hoplon]
(21191,47,1,1,3,1464.640026),-- [helmet]
(21191,1869,1,1,4,171669.733833),-- [iron_ore]
(21191,1864,1,3,4,171669.733833),-- [stem]
(21191,1880,1,1,4,17166.856278),-- [steel]
(21191,5550,1,1,4,2289.018264),-- [reinforcing_plate]
(21191,2155,1,1,4,27555.657792),-- [rp_elven_ring]
(21192,1870,1,5,-1,684631),-- [coal]
(21192,1865,1,5,-1,684631),-- [varnish]
(21192,1939,1,1,-1,180403),-- [mithril_banded_gaiters_material]
(21192,6362,24,44,0,700000),-- [red_sealstone]
(21192,6361,68,136,1,700000),-- [green_sealstone]
(21192,6360,96,192,2,700000),-- [blue_sealstone]
(21192,83,1,1,3,66.0972),-- [sword_of_magic]
(21192,144,1,1,3,66.0972),-- [sword_of_occult]
(21192,124,1,1,3,48.96528),-- [two-handed_sword]
(21192,2026,1,1,3,2190.90729),-- [two-handed_sword_edge]
(21192,127,1,1,3,48.96528),-- [crimson_sword]
(21192,130,1,1,3,48.96775),-- [elven_sword]
(21192,1870,1,1,4,218407.94591),-- [coal]
(21192,1865,1,1,4,218407.94591),-- [varnish]
(21192,1874,1,1,4,14560.690452),-- [oriharukon_ore]
(21192,2191,1,1,4,29238.067012),-- [rp_gauntlet_of_repose_of_the_soul]
(21192,8317,1,1,4,1559.350716),-- [rp_giants_hammer]
(21193,1825,1,1,-1,172903),-- [rp_oriharukon]
(21193,1902,1,1,-1,245252),-- [elven_earing_beads]
(21193,2145,1,1,-1,172903),-- [rp_mithirl_alloy]
(21193,6362,24,45,0,700000),-- [red_sealstone]
(21193,6361,105,206,1,700000),-- [green_sealstone]
(21193,6360,89,178,2,700000),-- [blue_sealstone]
(21193,88,1,1,3,23.302164),-- [morning_star]
(21193,2031,1,1,3,1266.576573),-- [morning_star_head]
(21193,90,1,1,3,23.302164),-- [goathead_staff]
(21193,2032,1,1,3,1156.201905),-- [goathead_staff_head]
(21193,158,1,1,3,23.302164),-- [tarbar]
(21193,2035,1,1,3,1266.576573),-- [tarbar_head]
(21193,169,1,1,3,23.302164),-- [skull_breaker]
(21193,2036,1,1,3,1266.576573),-- [skull_breaker_head]
(21193,172,1,1,3,23.302164),-- [heavy_bone_club]
(21193,2037,1,1,3,1266.557556),-- [heavy_bone_club_head]
(21193,1871,1,3,4,156410.426705),-- [charcoal]
(21193,1866,1,1,4,208547.50215),-- [suede]
(21193,1877,1,1,4,12513.010055),-- [admantite_nugget]
(21193,2147,1,1,4,22344.06109),-- [rp_blacksmith's_frame]
(21194,1905,1,1,-1,252534),-- [onyxbeast'seye_earing_gemstone]
(21194,1881,1,1,-1,346140),-- [coarse_bone_powder]
(21194,1875,1,1,-1,173070),-- [stone_of_purity]
(21194,6362,22,41,0,700000),-- [red_sealstone]
(21194,6361,137,274,1,700000),-- [green_sealstone]
(21194,6360,56,111,2,700000),-- [blue_sealstone]
(21194,262,1,1,3,93.99576),-- [scallop_jamadhr]
(21194,2053,1,1,3,5390.00424),-- [scallop_jamadhr_edge]
(21194,1872,1,3,4,82769.2668),-- [animal_bone]
(21194,1867,2,6,4,62076.9501),-- [animal_skin]
(21194,1881,1,1,4,24830.78004),-- [coarse_bone_powder]
(21194,1875,1,1,4,12415.39002),-- [stone_of_purity]
(21194,1805,1,1,4,620.865432),-- [rp_soulshot_c]
(21194,6037,1,3,4,186230.8503),-- [scroll_of_awake]
(21194,2994,1,1,4,14779.897308),-- [rp_boots_of_seal]
(21195,1908,1,1,-1,316239),-- [moonstone_earing_wire]
(21195,440,1,1,-1,1106),-- [robe_of_seal]
(21195,6362,25,45,0,700000),-- [red_sealstone]
(21195,6361,211,425,1,700000),-- [green_sealstone]
(21195,6360,33,62,2,700000),-- [blue_sealstone]
(21195,281,1,1,3,89.529435),-- [crystallized_ice_bow]
(21195,2074,1,1,3,5589.470565),-- [crystallized_ice_bow_shaft]
(21195,1873,1,1,4,78914.727419),-- [silver_nugget]
(21195,1868,1,3,4,197286.214907),-- [thread]
(21195,1876,1,1,4,39457.162496),-- [mithril_ore]
(21195,1895,1,1,4,56367.547463),-- [metallic_fiber]
(21195,4042,1,1,4,3288.231017),-- [enria]
(21195,2164,1,1,4,15175.924597),-- [rp_ring_of_protection]
(21195,2228,1,1,4,5361.132494),-- [rp_shining_circlet]
(21195,6036,1,1,4,6576.059607),-- [potion_of_acumen3]
(21196,1911,1,1,-1,282441),-- [earing_of_protection_gemstone]
(21196,2166,1,1,-1,128726),-- [rp_earing_of_binding]
(21196,2167,1,1,-1,193746),-- [rp_ring_of_ages]
(21196,6362,25,45,0,700000),-- [red_sealstone]
(21196,6361,268,532,1,700000),-- [green_sealstone]
(21196,227,1,1,2,38.069854),-- [stiletto]
(21196,2083,1,1,2,2794.930146),-- [stiletto_edge]
(21196,242,1,1,2,38.069854),-- [dagger_of_magicflame]
(21196,2084,1,1,2,2794.930146),-- [dagger_of_magicflame_blade]
(21196,1871,1,1,3,280424.31046),-- [charcoal]
(21196,1866,1,1,3,186949.865072),-- [suede]
(21196,1877,1,1,3,11217.069848),-- [admantite_nugget]
(21196,4041,1,1,3,2438.662888),-- [mold_hardener]
(21196,4040,1,1,3,5608.534924),-- [mold_lubricant]
(21196,951,1,1,3,509.556808),-- [scrl_of_ench_wp_c]
(21197,4041,1,1,-1,36601),-- [mold_hardener]
(21197,1872,1,11,-1,935364),-- [animal_bone]
(21197,4603,1,1,-1,9354),-- [dye_c3s3_c]
(21197,6362,12,24,0,700000),-- [red_sealstone]
(21197,6361,238,476,1,700000),-- [green_sealstone]
(21197,6360,145,291,2,700000),-- [blue_sealstone]
(21197,326,1,1,3,52.679457),-- [heathen's_book]
(21197,2110,1,1,3,4906.320543),-- [heathen's_book_page]
(21197,1869,2,6,4,72526.748024),-- [iron_ore]
(21197,1870,2,6,4,58021.600699),-- [coal]
(21197,1871,3,9,4,48351.277727),-- [charcoal]
(21197,1872,7,21,4,27629.397882),-- [animal_bone]
(21197,1867,1,3,4,128936.852983),-- [animal_skin]
(21197,2232,1,1,4,1667.122685),-- [rp_drake_leather_mail]
(21198,4593,1,1,-1,17584),-- [dye_d2s2_c]
(21198,1806,1,1,-1,10550),-- [rp_soulshot_b]
(21198,1920,1,1,-1,180500),-- [necklace_of_binding_chain]
(21198,6362,13,27,0,700000),-- [red_sealstone]
(21198,6361,314,633,1,700000),-- [green_sealstone]
(21198,6360,148,301,2,700000),-- [blue_sealstone]
(21198,301,1,1,3,17.6528),-- [scorpion]
(21198,2113,1,1,3,1572.085625),-- [scorpion_blade]
(21198,303,1,1,3,17.6528),-- [widow_maker]
(21198,2114,1,1,3,1572.085625),-- [widow_maker_head]
(21198,299,1,1,3,13.77255),-- [orcish_poleaxe]
(21198,2122,1,1,3,1481.7506),-- [orcish_poleaxe_blade]
(21198,1873,1,1,4,97386.731248),-- [silver_nugget]
(21198,1868,1,3,4,243466.595568),-- [thread]
(21198,1876,1,1,4,48693.133072),-- [mithril_ore]
(21198,1895,1,1,4,69561.884448),-- [metallic_fiber]
(21198,4042,1,1,4,4057.567296),-- [enria]
(21198,3034,1,1,4,486.963888),-- [rp_spiritshot_b]
(21198,4944,1,1,4,1170.666768),-- [rp_avadon_breastplate_i]
(21198,4968,1,1,4,280.457712),-- [rp_kris_i]
(21199,4129,1,1,-1,61196),-- [rp_earing_of_black_ore]
(21199,4611,1,1,-1,12566),-- [dye_w3i3_c]
(21199,947,1,1,-1,2262),-- [scrl_of_ench_wp_b]
(21199,6362,13,26,0,700000),-- [red_sealstone]
(21199,6361,391,782,1,700000),-- [green_sealstone]
(21199,6360,73,146,2,700000),-- [blue_sealstone]
(21199,2384,1,1,3,46.513225),-- [shrnoen's_leather_shirts]
(21199,4066,1,1,3,6564.6867),-- [shrnoen's_leather_shirts_fabric]
(21199,2390,1,1,3,28.611825),-- [avadon_leather_mail]
(21199,4068,1,1,3,5043.306675),-- [avadon_leather_mail_lining]
(21199,2388,1,1,3,74.42985),-- [shrnoen's_leather_gaiters]
(21199,4067,1,1,3,9967.451725),-- [shrnoen's_leather_gaiters_texture]
(21199,1872,1,3,4,139189.096368),-- [animal_bone]
(21199,1867,1,1,4,278378.65594),-- [animal_skin]
(21199,1881,1,1,4,27837.633992),-- [coarse_bone_powder]
(21199,1875,1,1,4,13918.816996),-- [stone_of_purity]
(21199,4041,1,1,4,1815.296476),-- [mold_hardener]
(21199,948,1,1,4,522.030908),-- [scrl_of_ench_am_b]
(21199,4163,1,1,4,1382.66394),-- [rp_blue_wolve's_hose]
(21199,8311,1,1,4,159.80538),-- [rp_bone_of_kaim_vanul]
(21200,4613,1,1,-1,8164),-- [dye_s4c4_c]
(21200,4129,1,1,-1,64055),-- [rp_earing_of_black_ore]
(21200,4049,1,1,-1,310449),-- [adamantite_earing_gemstone]
(21200,6362,12,24,0,700000),-- [red_sealstone]
(21200,6361,452,904,1,700000),-- [green_sealstone]
(21200,6360,8,16,2,700000),-- [blue_sealstone]
(21200,357,1,1,3,27.3861),-- [shrnoen's_breastplate]
(21200,4056,1,1,3,3956.764014),-- [shrnoen's_breastplate_part]
(21200,2376,1,1,3,27.3861),-- [avadon_breastplate]
(21200,4064,1,1,3,3956.764014),-- [avadon_breastplate_part]
(21200,383,1,1,3,43.81776),-- [shrnoen's_gaiters]
(21200,4057,1,1,3,6115.01184),-- [shrnoen's_gaiters_material]
(21200,2379,1,1,3,43.81776),-- [avadon_gaiters]
(21200,4065,1,1,3,6115.052412),-- [avadon_gaiters_material]
(21200,1872,1,3,4,111002.850595),-- [animal_bone]
(21200,1867,2,6,4,83252.244334),-- [animal_skin]
(21200,1881,1,1,4,33300.642403),-- [coarse_bone_powder]
(21200,1875,1,1,4,16650.533977),-- [stone_of_purity]
(21200,4041,1,1,4,2171.586753),-- [mold_hardener]
(21200,4155,1,1,4,775.779473),-- [rp_blue_wolve's_breastplate]
(21200,1343,20,60,4,178397.362465),-- [silver_arrow]
(21201,4052,1,1,-1,271551),-- [earing_of_black_ore_piece]
(21201,5230,1,1,-1,10227),-- [rp_mithril_arrow]
(21201,4053,1,1,-1,328759),-- [ring_of_black_ore_gemstone]
(21201,6362,14,28,0,700000),-- [red_sealstone]
(21201,6361,574,1144,1,700000),-- [green_sealstone]
(21201,2398,1,1,2,30.501009),-- [blue_wolve's_tunic]
(21201,4084,1,1,2,4923.408096),-- [blue_wolve's_tunic_fabric]
(21201,2399,1,1,2,30.501009),-- [tunic_of_doom]
(21201,4085,1,1,2,4923.408096),-- [tunic_of_doom_pattern]
(21201,2403,1,1,2,48.838896),-- [blue_wolve's_hose]
(21201,4086,1,1,2,6647.728698),-- [blue_wolve's_hose_pattern]
(21201,2404,1,1,2,48.838896),-- [hose_of_doom]
(21201,4087,1,1,2,6647.7753),-- [hose_of_doom_pattern]
(21201,1871,1,3,3,161827.525055),-- [charcoal]
(21201,1866,1,3,3,71923.388495),-- [suede]
(21201,1877,1,1,3,12946.186155),-- [admantite_nugget]
(21201,4041,1,1,3,2814.457205),-- [mold_hardener]
(21201,4040,1,1,3,6473.291195),-- [mold_lubricant]
(21201,1830,1,1,3,129461.86155),-- [scroll_of_escape_to_castle]
(21201,6036,1,1,3,10788.290345),-- [potion_of_acumen3]
(21202,5230,1,1,-1,10851),-- [rp_mithril_arrow]
(21202,4054,1,1,-1,160289),-- [necklace_of_black_ore_beads]
(21202,4041,1,1,-1,70764),-- [mold_hardener]
(21202,6362,14,27,0,700000),-- [red_sealstone]
(21202,6361,578,1160,1,700000),-- [green_sealstone]
(21202,864,1,1,2,112.69614),-- [earing_of_black_ore]
(21202,4052,1,1,2,14183.47272),-- [earing_of_black_ore_piece]
(21202,926,1,1,2,84.532008),-- [necklace_of_black_ore]
(21202,4054,1,1,2,7890.7104),-- [necklace_of_black_ore_beads]
(21202,895,1,1,2,169.024404),-- [ring_of_black_ore]
(21202,4053,1,1,2,17171.564328),-- [ring_of_black_ore_gemstone]
(21202,1872,4,12,3,66772.25872),-- [animal_bone]
(21202,1867,1,3,3,178059.246928),-- [animal_skin]
(21202,1881,1,1,3,53417.806976),-- [coarse_bone_powder]
(21202,1875,1,1,3,26708.903488),-- [stone_of_purity]
(21202,4041,1,1,3,3483.85584),-- [mold_hardener]
(21202,5230,1,1,3,533.928048),-- [rp_mithril_arrow]
(21203,1876,1,3,-1,801503),-- [mithril_ore]
(21203,5478,1,1,-1,67398),-- [sealed_dark_crystal_leather_mail_pattern]
(21203,4042,1,1,-1,133584),-- [enria]
(21203,6362,12,24,0,700000),-- [red_sealstone]
(21203,6361,557,1114,1,700000),-- [green_sealstone]
(21203,5291,1,1,2,66.503325),-- [sealed_dark_crystal_boots]
(21203,5496,1,1,2,6939.746675),-- [sealed_dark_crystal_boots_lining]
(21203,5296,1,1,2,66.503325),-- [sealed_tallum_boots]
(21203,5497,1,1,2,6939.746675),-- [sealed_tallum_boots_lining]
(21203,5290,1,1,2,66.503325),-- [sealed_dark_crystal_gloves]
(21203,5508,1,1,2,6939.746675),-- [sealed_dark_crystal_gloves_design]
(21203,5295,1,1,2,66.503325),-- [sealed_tallum_gloves]
(21203,5509,1,1,2,6939.746675),-- [sealed_tallum_gloves_design]
(21203,1873,1,1,3,135286.501539),-- [silver_nugget]
(21203,1868,4,12,3,84553.906566),-- [thread]
(21203,1876,1,1,3,67643.041575),-- [mithril_ore]
(21203,1895,1,1,3,96633.215385),-- [metallic_fiber]
(21203,4042,1,1,3,5636.954997),-- [enria]
(21203,5156,1,1,3,451.023342),-- [rp_comp_soulshot_a]
(21203,1344,150,450,3,28184.356596),-- [mithril_arrow]
(21204,1807,1,1,-1,10950),-- [rp_soulshot_a]
(21204,5479,1,1,-1,48593),-- [sealed_tallum_leather_mail_pattern]
(21204,3035,1,1,-1,10950),-- [rp_spiritshot_a]
(21204,6362,14,28,0,700000),-- [red_sealstone]
(21204,6361,687,1380,1,700000),-- [green_sealstone]
(21204,5292,1,1,2,108.0996),-- [sealed_dark_crystal_shield]
(21204,5494,1,1,2,10612.704725),-- [sealed_dark_crystal_shield_fragment]
(21204,5289,1,1,2,75.643225),-- [sealed_dark_crystal_helmet]
(21204,5525,1,1,2,7811.46786),-- [sealed_dark_crystal_helmet_design]
(21204,5294,1,1,2,75.643225),-- [sealed_tallum_bonnet]
(21204,5526,1,1,2,7811.441365),-- [sealed_tallum_bonnet_design]
(21204,1894,1,1,3,21278.91699),-- [crafted_leather]
(21204,4039,1,1,3,20215.005036),-- [mold_glue]
(21204,4041,1,1,3,5273.46189),-- [mold_hardener]
(21204,4044,1,1,3,20215.005036),-- [thons]
(21204,3956,1,1,3,808.611048),-- [rp_blessed_spiritshot_a]
(21205,5480,1,1,-1,38649),-- [sealed_leather_mail_of_nightmare_fabric]
(21205,729,1,1,-1,957),-- [scrl_of_ench_wp_a]
(21205,1895,1,5,-1,820300),-- [metallic_fiber]
(21205,6362,14,27,0,700000),-- [red_sealstone]
(21205,6361,700,1400,1,700000),-- [green_sealstone]
(21205,5297,1,1,2,39.689052),-- [sealed_dark_crystal_leather_mail]
(21205,5478,1,1,2,4456.843612),-- [sealed_dark_crystal_leather_mail_pattern]
(21205,5301,1,1,2,24.413844),-- [sealed_tallum_leather_mail]
(21205,5479,1,1,2,3136.141476),-- [sealed_tallum_leather_mail_pattern]
(21205,5298,1,1,2,63.470108),-- [sealed_legging_of_dark_crystal]
(21205,5482,1,1,2,6995.441908),-- [sealed_legging_of_dark_crystal_design]
(21205,1895,1,1,3,181727.779416),-- [metallic_fiber]
(21205,4040,1,1,3,12720.826633),-- [mold_lubricant]
(21205,4042,1,1,3,10600.877845),-- [enria]
(21205,4043,1,1,3,21201.528909),-- [asofe]
(21205,730,1,1,3,529.987197),-- [scrl_of_ench_am_a]
(21206,1875,1,1,-1,559187),-- [stone_of_purity]
(21206,5481,1,1,-1,37638),-- [sealed_majestic_leather_mail_fabric]
(21206,5487,1,1,-1,37771),-- [sealed_robe_of_nightmare_fabric]
(21206,6362,12,24,0,700000),-- [red_sealstone]
(21206,6361,666,1336,1,700000),-- [green_sealstone]
(21206,5287,1,1,2,28.982671),-- [sealed_dark_crystal_breastplate]
(21206,5520,1,1,2,3328.859027),-- [sealed_dark_crystal_breastplate_pattern]
(21206,5293,1,1,2,17.841337),-- [sealed_tallum_plate_armor]
(21206,5521,1,1,2,2348.975444),-- [sealed_tallum_plate_armor_pattern]
(21206,5288,1,1,2,46.378789),-- [sealed_dark_crystal_gaiters]
(21206,5524,1,1,2,5087.962732),-- [sealed_dark_crystal_gaiters_pattern]
(21206,1873,1,1,3,123881.328256),-- [silver_nugget]
(21206,1868,3,9,3,103234.300032),-- [thread]
(21206,1876,1,1,3,61940.664128),-- [mithril_ore]
(21206,1895,1,1,3,88486.66304),-- [metallic_fiber]
(21206,4042,1,1,3,5161.757056),-- [enria]
(21206,5282,1,1,3,137.517888),-- [rp_adv_comp_bspiritshot_s]
(21206,6671,1,1,3,34411.433344),-- [key_of_treasure_box7]
(21206,8732,1,1,3,2580.878528),-- [general_75_s]
(21206,8742,1,1,3,645.114496),-- [special_75_s]
(21206,8752,1,1,3,64.343232),-- [rare_75_s]
(21207,5488,1,1,-1,46584),-- [sealed_majestic_robe_fabric]
(21207,730,1,1,-1,8621),-- [scrl_of_ench_am_a]
(21207,5480,1,1,-1,46420),-- [sealed_leather_mail_of_nightmare_fabric]
(21207,6362,14,28,0,700000),-- [red_sealstone]
(21207,6361,805,1610,1,700000),-- [green_sealstone]
(21207,5315,1,1,2,89.538834),-- [sealed_shield_of_nightmare]
(21207,5495,1,1,2,9665.951834),-- [sealed_shield_of_nightmare_fragment]
(21207,5312,1,1,2,62.654592),-- [sealed_helm_of_nightmare]
(21207,5527,1,1,2,7610.600074),-- [sealed_helm_of_nightmare_design]
(21207,5317,1,1,2,62.654592),-- [sealed_magestic_circlet]
(21207,5528,1,1,2,7610.600074),-- [sealed_magestic_circlet_design]
(21207,1871,4,12,3,79576.53054),-- [charcoal]
(21207,1866,1,3,3,141469.358199),-- [suede]
(21207,1877,1,1,3,25464.436803),-- [admantite_nugget]
(21207,4041,1,1,3,5535.873798),-- [mold_hardener]
(21207,4040,1,1,3,12732.350826),-- [mold_lubricant]
(21207,729,1,1,3,70.449834),-- [scrl_of_ench_wp_a]
(21208,1871,1,1,-1,790380),-- [charcoal]
(21208,734,1,1,-1,131730),-- [quick_step_potion]
(21208,1897,1,1,-1,188186),-- [necklace_of_wisdom_chain]
(21208,57,365,635,0,700000),-- [adena]
(21208,38,1,1,1,5974.79886),-- [low_boots]
(21208,50,1,1,1,5974.79886),-- [leather_gloves]
(21208,1925,1,1,1,102062.40228),-- [leather_gloves_lining]
(21208,1871,1,1,2,155643.947885),-- [charcoal]
(21208,1866,1,1,2,103762.441692),-- [suede]
(21208,734,1,1,2,25940.610423),-- [quick_step_potion]
(21209,1804,1,1,-1,36013),-- [rp_soulshot_d]
(21209,1898,1,1,-1,92484),-- [blue_diamond_necklace_gem]
(21209,2151,1,1,-1,250789),-- [rp_necklace_of_devotion]
(21209,57,409,734,0,700000),-- [adena]
(21209,625,1,1,1,5372.435016),-- [bone_shield]
(21209,1148,1,1,1,3745.564984),-- [hard_leather_helmet]
(21209,1870,1,1,2,177296.591934),-- [coal]
(21209,1865,1,1,2,177296.591934),-- [varnish]
(21209,734,1,1,2,29549.816132),-- [quick_step_potion]
(21210,1899,1,1,-1,171864),-- [necklace_of_devotion_chain]
(21210,1866,1,1,-1,733287),-- [suede]
(21210,1877,1,1,-1,43997),-- [admantite_nugget]
(21210,57,484,907,0,700000),-- [adena]
(21210,123,1,1,1,97.988852),-- [saber]
(21210,2017,1,1,1,2050.881418),-- [saber_blade]
(21210,5285,1,1,1,97.988852),-- [heavy_sword]
(21210,5531,1,1,1,2591.140878),-- [heavy_sword_edge]
(21210,1871,1,1,2,154328.462934),-- [charcoal]
(21210,1866,1,1,2,102885.641956),-- [suede]
(21210,1877,1,1,2,6173.070858),-- [admantite_nugget]
(21210,2182,1,1,2,18526.824252),-- [rp_scale_gaiters]
(21211,1931,1,1,-1,150011),-- [leather_boots_lining]
(21211,2152,1,1,-1,202039),-- [rp_enchanted_necklace]
(21211,1932,1,1,-1,182156),-- [bone_helmet_design]
(21211,57,495,955,0,700000),-- [adena]
(21211,156,1,1,1,136.333197),-- [hand_axe]
(21211,167,1,1,1,136.333197),-- [scalpel]
(21211,178,1,1,1,136.333606),-- [bone_staff]
(21211,1872,1,1,2,171749.16103),-- [animal_bone]
(21211,1867,1,1,2,171749.16103),-- [animal_skin]
(21211,1881,1,1,2,17174.80438),-- [coarse_bone_powder]
(21211,1875,1,1,2,8587.40219),-- [stone_of_purity]
(21211,5437,1,1,2,3149.47137),-- [rp_heavy_sword]
(21213,2153,1,1,-1,230897),-- [rp_tiger'seye_earing]
(21213,1900,1,1,-1,162437),-- [enchanted_necklace_chain]
(21213,57,626,1255,0,700000),-- [adena]
(21213,275,1,1,1,109.163865),-- [long_bow]
(21213,276,1,1,1,109.163865),-- [elven_bow]
(21213,2024,1,1,1,3852.67227),-- [elven_bow_shaft]
(21213,1864,3,9,2,54087.7134),-- [stem]
(21213,1869,1,1,2,162262.66075),-- [iron_ore]
(21213,1878,1,1,2,64905.0643),-- [braided_hemp]
(21213,1884,1,1,2,99854.0926),-- [cord]
(21213,1061,1,1,2,98340.46895),-- [healing_potion]
(21214,1875,1,1,-1,123331),-- [stone_of_purity]
(21214,1865,1,3,-1,924982),-- [varnish]
(21214,1901,1,1,-1,255520),-- [tiger'seye_earing_stone]
(21214,57,781,1559,0,700000),-- [adena]
(21214,223,1,1,1,52.91724),-- [kukuri]
(21214,238,1,1,1,52.91724),-- [dagger_of_mana]
(21214,239,1,1,1,52.91724),-- [mystic_knife]
(21214,241,1,1,1,52.91724),-- [knife_o'_silenus]
(21214,2028,1,1,1,2337.33104),-- [knife_o'_silenus_edge]
(21214,1865,1,1,2,196722.357194),-- [varnish]
(21214,1870,1,1,2,196722.357194),-- [coal]
(21214,1879,1,1,2,32786.910156),-- [cokes]
(21214,1875,1,1,2,13114.943314),-- [stone_of_purity]
(21214,2189,1,1,2,8782.432142),-- [rp_mithril_tunic]
(21215,1825,1,1,-1,139345),-- [rp_oriharukon]
(21215,1902,1,1,-1,197653),-- [elven_earing_beads]
(21215,2145,1,1,-1,139345),-- [rp_mithirl_alloy]
(21215,57,824,1645,0,700000),-- [adena]
(21215,318,1,1,1,93.890762),-- [crucifix_of_blood]
(21215,2042,1,1,1,4659.109238),-- [crucifix_of_blood_piece]
(21215,1866,1,1,2,112047.747354),-- [suede]
(21215,1871,1,1,2,168071.458602),-- [charcoal]
(21215,5220,1,1,2,6722.93631),-- [reinforcing_agent]
(21215,1885,1,1,2,14005.927812),-- [high_grade_suede]
(21215,1825,1,1,2,12005.12739),-- [rp_oriharukon]
(21215,5473,1,1,2,12004.802532),-- [rp_reinforcing_plate]
(21217,1905,1,1,-1,246339),-- [onyxbeast'seye_earing_gemstone]
(21217,1889,1,1,-1,168824),-- [compound_braid]
(21217,1868,1,11,-1,844121),-- [thread]
(21217,57,1020,2061,0,700000),-- [adena]
(21217,396,1,1,1,346.880611),-- [slamander_skin_mail]
(21217,1952,1,1,1,20366.119389),-- [slamander_skin_mail_texture]
(21217,1868,1,3,2,211938.94854),-- [thread]
(21217,1873,1,1,2,84775.72719),-- [silver_nugget]
(21217,5549,1,1,2,21193.74708),-- [iron_thread]
(21217,1889,1,1,2,14129.41101),-- [compound_braid]
(21217,2161,1,1,2,20576.79063),-- [rp_aquastone_ring]
(21217,2993,1,1,2,16820.37555),-- [rp_dwarven_chain_boots]
(21218,1908,1,1,-1,292039),-- [moonstone_earing_wire]
(21218,2163,1,1,-1,157343),-- [rp_earing_of_protection]
(21218,1909,1,1,-1,416466),-- [aquastone_ring_wire]
(21218,57,1220,2478,0,700000),-- [adena]
(21218,354,1,1,1,187.534332),-- [chain_mail_shirt]
(21218,1959,1,1,1,9814.437954),-- [chain_mail_shirt_material]
(21218,381,1,1,1,300.006504),-- [chain_gaiters]
(21218,1960,1,1,1,19965.02121),-- [chain_gaiters_part]
(21218,1869,1,1,2,145751.293329),-- [iron_ore]
(21218,1864,1,1,2,291503.055015),-- [stem]
(21218,1880,1,1,2,14575.26984),-- [steel]
(21218,5550,1,1,2,1943.213193),-- [reinforcing_plate]
(21218,4043,1,1,2,4858.267161),-- [asofe]
(21218,2213,1,1,2,2263.101024),-- [rp_dwarven_chain_mail_shirt]
(21218,8723,1,1,2,5830.107936),-- [general_46_c]
(21218,8733,1,1,2,1457.526984),-- [special_46_c]
(21218,8743,1,1,2,145.659027),-- [rare_46_c]
(21218,8753,1,1,2,29.506491),-- [unique_46_c]
(21219,1911,1,1,-1,237145),-- [earing_of_protection_gemstone]
(21219,2166,1,1,-1,108082),-- [rp_earing_of_binding]
(21219,1912,1,1,-1,343579),-- [ring_of_protection_gemstone]
(21219,57,1258,2567,0,700000),-- [adena]
(21219,440,1,1,1,233.926298),-- [robe_of_seal]
(21219,1970,1,1,1,15773.073702),-- [robe_of_seal_fabric]
(21219,1871,1,1,2,235452.62048),-- [charcoal]
(21219,1866,1,1,2,156968.686336),-- [suede]
(21219,1877,1,1,2,9418.186624),-- [admantite_nugget]
(21219,4041,1,1,2,2047.574144),-- [mold_hardener]
(21219,4040,1,1,2,4709.093312),-- [mold_lubricant]
(21219,951,1,1,2,427.839104),-- [scrl_of_ench_wp_c]
(21221,1872,1,11,-1,871890),-- [animal_bone]
(21221,1867,1,11,-1,871890),-- [animal_skin]
(21221,4605,1,1,-1,8719),-- [dye_d3s3_c]
(21221,57,1558,3150,0,700000),-- [adena]
(21221,64,1,1,1,429.6901),-- [composite_boots]
(21221,2956,1,1,1,23860.3099),-- [composite_boots_part]
(21221,608,1,1,1,429.6901),-- [mithril_gauntlet]
(21221,1981,1,1,1,23860.3099),-- [mithril_gauntlet_design]
(21221,1872,2,6,2,38631.479279),-- [animal_bone]
(21221,1867,1,1,2,154525.917116),-- [animal_skin]
(21221,1881,1,1,2,15452.508349),-- [coarse_bone_powder]
(21221,1875,1,1,2,7726.462581),-- [stone_of_purity]
(21221,4041,1,1,2,1007.853834),-- [mold_hardener]
(21221,2234,1,1,2,1727.273072),-- [rp_divine_hose]
(21221,6037,1,3,2,115894.437837),-- [scroll_of_awake]
(21221,3955,1,1,2,231.748028),-- [rp_blessed_spiritshot_b]
(21221,5280,1,1,2,231.748028),-- [rp_adv_comp_bspiritshot_b]
(21221,8725,1,1,2,3219.463612),-- [general_52_c]
(21221,8735,1,1,2,804.865903),-- [special_52_c]
(21221,8745,1,1,2,80.444909),-- [rare_52_c]
(21221,8755,1,1,2,16.255707),-- [unique_52_c]
(21221,1342,30,90,2,77262.541745),-- [fine_steel_arrow]
(21222,1806,1,1,-1,9299),-- [rp_soulshot_b]
(21222,1920,1,1,-1,159086),-- [necklace_of_binding_chain]
(21222,4126,1,1,-1,76721),-- [rp_adamantite_earing]
(21222,57,1837,3743,0,700000),-- [adena]
(21222,2497,1,1,1,297.204255),-- [full_plate_shield]
(21222,2966,1,1,1,23484.417705),-- [full_plate_shield_fragment]
(21222,2414,1,1,1,208.039095),-- [full_plate_helmet]
(21222,2959,1,1,1,14845.338945),-- [full_plate_helmet_design]
(21222,1873,1,1,2,57221.847612),-- [silver_nugget]
(21222,1868,1,1,2,286108.815933),-- [thread]
(21222,1876,1,1,2,28610.923806),-- [mithril_ore]
(21222,1895,1,1,2,40872.868902),-- [metallic_fiber]
(21222,4042,1,1,2,2384.173296),-- [enria]
(21222,4126,1,1,2,2360.534184),-- [rp_adamantite_earing]
(21222,4965,1,1,2,164.62953),-- [rp_sprite's_staff_i]
(21222,4183,1,1,2,164.62953),-- [rp_heavy_war_axe]
(21222,8726,1,1,2,3311.586315),-- [general_55_c]
(21222,8736,1,1,2,827.791047),-- [special_55_c]
(21222,8746,1,1,2,82.736892),-- [rare_55_c]
(21222,8756,1,1,2,16.462953),-- [unique_55_c]
(21223,4129,1,1,-1,51501),-- [rp_earing_of_black_ore]
(21223,4049,1,1,-1,249606),-- [adamantite_earing_gemstone]
(21223,4603,1,1,-1,10575),-- [dye_c3s3_c]
(21223,57,1877,3833,0,700000),-- [adena]
(21223,78,1,1,1,7.013753),-- [great_sword]
(21223,4104,1,1,1,1340.499041),-- [great_sword_blade]
(21223,142,1,1,1,7.013753),-- [kshanberk]
(21223,4107,1,1,1,1319.72985),-- [kshanberk_blade]
(21223,148,1,1,1,7.013753),-- [sword_of_valhalla]
(21223,4108,1,1,1,1319.72985),-- [sword_of_valhalla_blade]
(21223,1873,1,1,2,51114.767046),-- [silver_nugget]
(21223,1868,1,1,2,255573.082474),-- [thread]
(21223,1876,1,1,2,25557.195334),-- [mithril_ore]
(21223,1895,1,1,2,36510.54789),-- [metallic_fiber]
(21223,4042,1,1,2,2129.923102),-- [enria]
(21223,4130,1,1,2,2074.595536),-- [rp_ring_of_black_ore]
(21223,4182,1,1,2,147.163798),-- [rp_great_sword]
(21223,8727,1,1,2,2555.60662),-- [general_58_b]
(21223,8737,1,1,2,639.089844),-- [special_58_b]
(21223,8747,1,1,2,63.98426),-- [rare_58_b]
(21223,8757,1,1,2,12.044096),-- [unique_58_b]
(21224,1894,1,1,-1,182410),-- [crafted_leather]
(21224,4039,1,1,-1,173289),-- [mold_glue]
(21224,4613,1,1,-1,7171),-- [dye_s4c4_c]
(21224,57,2056,4180,0,700000),-- [adena]
(21224,91,1,1,1,11.49312),-- [heavy_war_axe]
(21224,4105,1,1,1,2196.5262),-- [heavy_war_axe_head]
(21224,92,1,1,1,11.49312),-- [sprite's_staff]
(21224,4106,1,1,1,2160.48756),-- [sprite's_staff_head]
(21224,1894,1,1,2,5388.115096),-- [crafted_leather]
(21224,4039,1,1,2,5118.901294),-- [mold_glue]
(21224,4041,1,1,2,1335.271665),-- [mold_hardener]
(21224,4044,1,1,2,5118.901294),-- [thons]
(21224,4158,1,1,2,326.079819),-- [rp_doom_plate_armor]
(21224,8728,1,1,2,2559.450647),-- [general_61_b]
(21224,8738,1,1,2,639.922647),-- [special_61_b]
(21224,8748,1,1,2,64.064247),-- [rare_61_b]
(21224,8758,1,1,2,12.716873),-- [unique_61_b]
(21224,1343,10,30,2,219377.576418),-- [silver_arrow]
(21225,4052,1,1,-1,201435),-- [earing_of_black_ore_piece]
(21225,5230,1,1,-1,7586),-- [rp_mithril_arrow]
(21225,4053,1,1,-1,243872),-- [ring_of_black_ore_gemstone]
(21225,57,2256,4571,0,700000),-- [adena]
(21225,2391,1,1,1,27.853632),-- [blue_wolve's_leather_mail]
(21225,4082,1,1,1,4748.146368),-- [blue_wolve's_leather_mail_texture]
(21225,2392,1,1,1,27.853632),-- [leather_mail_of_doom]
(21225,4083,1,1,1,4748.146368),-- [leather_mail_of_doom_design]
(21225,1871,1,3,2,140050.167295),-- [charcoal]
(21225,1866,1,1,2,186733.403705),-- [suede]
(21225,1877,1,1,2,11203.811835),-- [admantite_nugget]
(21225,4041,1,1,2,2435.531605),-- [mold_hardener]
(21225,4040,1,1,2,5602.13495),-- [mold_lubricant]
(21225,1830,1,1,2,112039.95061),-- [scroll_of_escape_to_castle]
(21226,5230,1,1,-1,8862),-- [rp_mithril_arrow]
(21226,4054,1,1,-1,130913),-- [necklace_of_black_ore_beads]
(21226,4052,1,1,-1,235314),-- [earing_of_black_ore_piece]
(21226,57,2634,5340,0,700000),-- [adena]
(21226,79,1,1,1,6.485445),-- [sword_of_damascus]
(21226,4114,1,1,1,1432.64904),-- [sword_of_damascus_blade]
(21226,7883,1,1,1,6.485445),-- [guardians_sword]
(21226,8330,1,1,1,1430.24127),-- [guardians_sword_blade]
(21226,7889,1,1,1,6.485445),-- [tears_of_wizard]
(21226,8336,1,1,1,1432.653355),-- [tears_of_wizard_blade]
(21226,1867,1,3,2,118985.367),-- [animal_skin]
(21226,1872,1,1,2,237970.324764),-- [animal_bone]
(21226,1882,1,1,2,39661.925412),-- [leather]
(21226,1894,1,1,2,6262.538508),-- [crafted_leather]
(21226,4042,1,1,2,2974.736484),-- [enria]
(21226,5230,1,1,2,237.766116),-- [rp_mithril_arrow]
(21226,8314,1,1,2,97.398168),-- [rp_eye_of_soul_i]
(21226,8729,1,1,2,2379.70734),-- [general_64_a]
(21226,8739,1,1,2,595.029144),-- [special_64_a]
(21226,8749,1,1,2,59.33922),-- [rare_64_a]
(21226,8759,1,1,2,11.867844),-- [unique_64_a]
(21227,5549,1,1,-1,712964),-- [iron_thread]
(21227,4077,1,1,-1,320722),-- [doom_shield_fragment]
(21227,5230,1,1,-1,9506),-- [rp_mithril_arrow]
(21227,57,2811,5744,0,700000),-- [adena]
(21227,287,1,1,1,20.86971),-- [hazard_bow]
(21227,4121,1,1,1,4586.13029),-- [hazard_bow_shaft]
(21227,1868,1,3,2,191453.316384),-- [thread]
(21227,1873,1,1,2,76581.264672),-- [silver_nugget]
(21227,5549,1,1,2,19145.238816),-- [iron_thread]
(21227,1889,1,1,2,12763.698816),-- [compound_braid]
(21227,4044,1,1,2,6381.849408),-- [thons]
(21227,5230,1,1,2,255.2616),-- [rp_mithril_arrow]
(21227,8314,1,1,2,104.579904),-- [rp_eye_of_soul_i]
(21227,8730,1,1,2,2127.18),-- [general_67_a]
(21227,8740,1,1,2,531.872352),-- [special_67_a]
(21227,8750,1,1,2,53.218176),-- [rare_67_a]
(21227,8760,1,1,2,10.519872),-- [unique_67_a]
(21228,1807,1,1,-1,9693),-- [rp_soulshot_a]
(21228,5478,1,1,-1,61132),-- [sealed_dark_crystal_leather_mail_pattern]
(21228,3035,1,1,-1,9693),-- [rp_spiritshot_a]
(21228,57,2875,5849,0,700000),-- [adena]
(21228,5287,1,1,1,20.094901),-- [sealed_dark_crystal_breastplate]
(21228,5520,1,1,1,2308.037537),-- [sealed_dark_crystal_breastplate_pattern]
(21228,5293,1,1,1,12.370147),-- [sealed_tallum_plate_armor]
(21228,5521,1,1,1,1628.643164),-- [sealed_tallum_plate_armor_pattern]
(21228,5288,1,1,1,32.156359),-- [sealed_dark_crystal_gaiters]
(21228,5524,1,1,1,3527.697892),-- [sealed_dark_crystal_gaiters_pattern]
(21228,1866,1,1,2,143158.763529),-- [suede]
(21228,1871,1,1,2,214738.340088),-- [charcoal]
(21228,5220,1,1,2,8589.658272),-- [reinforcing_agent]
(21228,1885,1,1,2,17894.991537),-- [high_grade_suede]
(21228,4041,1,1,2,1867.300077),-- [mold_hardener]
(21228,5271,1,1,2,286.347915),-- [rp_adv_comp_soulshot_a]
(21228,8730,1,1,2,2385.843036),-- [general_67_a]
(21228,8740,1,1,2,596.460759),-- [special_67_a]
(21228,8750,1,1,2,59.607117),-- [rare_67_a]
(21228,8760,1,1,2,11.68767),-- [unique_67_a]
(21229,5479,1,1,-1,37315),-- [sealed_tallum_leather_mail_pattern]
(21229,4041,1,1,-1,54837),-- [mold_hardener]
(21229,4044,1,1,-1,210209),-- [thons]
(21229,57,3110,6350,0,700000),-- [adena]
(21229,6324,1,1,1,77.229401),-- [sealed_phoenix's_earing]
(21229,6341,1,1,1,10733.28277),-- [sealed_phoenix's_earing_gemstone]
(21229,6323,1,1,1,57.913519),-- [sealed_phoenix's_necklace]
(21229,6343,1,1,1,8297.229256),-- [sealed_phoenix's_necklace_beads]
(21229,6325,1,1,1,115.827038),-- [sealed_phoenix's_ring]
(21229,6345,1,1,1,14845.518016),-- [sealed_phoenix's_ring_gemstone]
(21229,1894,1,1,2,9077.747721),-- [crafted_leather]
(21229,4039,1,1,2,8623.849185),-- [mold_glue]
(21229,4041,1,1,2,2249.709483),-- [mold_hardener]
(21229,4044,1,1,2,8623.849185),-- [thons]
(21229,730,1,1,2,215.608176),-- [scrl_of_ench_am_a]
(21229,8731,1,1,2,2395.518972),-- [general_70_a]
(21229,8741,1,1,2,598.879743),-- [special_70_a]
(21229,8751,1,1,2,59.89116),-- [rare_70_a]
(21229,8761,1,1,2,11.946375),-- [unique_70_a]
(21230,5480,1,1,-1,32628),-- [sealed_leather_mail_of_nightmare_fabric]
(21230,5481,1,1,-1,32628),-- [sealed_majestic_leather_mail_fabric]
(21230,5487,1,1,-1,32744),-- [sealed_robe_of_nightmare_fabric]
(21230,57,3587,7319,0,700000),-- [adena]
(21230,5292,1,1,1,95.7168),-- [sealed_dark_crystal_shield]
(21230,5494,1,1,1,9397.0203),-- [sealed_dark_crystal_shield_fragment]
(21230,5289,1,1,1,66.9783),-- [sealed_dark_crystal_helmet]
(21230,5525,1,1,1,6916.66488),-- [sealed_dark_crystal_helmet_design]
(21230,5294,1,1,1,66.9783),-- [sealed_tallum_bonnet]
(21230,5526,1,1,1,6916.64142),-- [sealed_tallum_bonnet_design]
(21230,1895,1,1,2,85232.828844),-- [metallic_fiber]
(21230,4040,1,1,2,5966.306811),-- [mold_lubricant]
(21230,4042,1,1,2,4971.940659),-- [enria]
(21230,4043,1,1,2,9943.771419),-- [asofe]
(21230,730,1,1,2,248.591538),-- [scrl_of_ench_am_a]
(21230,8731,1,1,2,2762.201466),-- [general_70_a]
(21230,8741,1,1,2,690.495417),-- [special_70_a]
(21230,8751,1,1,2,69.016572),-- [rare_70_a]
(21230,8761,1,1,2,13.847274),-- [unique_70_a]
(21231,729,1,1,-1,812),-- [scrl_of_ench_wp_a]
(21231,1875,1,1,-1,487115),-- [stone_of_purity]
(21231,5480,1,1,-1,32787),-- [sealed_leather_mail_of_nightmare_fabric]
(21231,57,3602,7359,0,700000),-- [adena]
(21231,5292,1,1,1,96.18192),-- [sealed_dark_crystal_shield]
(21231,5494,1,1,1,9442.68357),-- [sealed_dark_crystal_shield_fragment]
(21231,5289,1,1,1,67.30377),-- [sealed_dark_crystal_helmet]
(21231,5525,1,1,1,6950.275272),-- [sealed_dark_crystal_helmet_design]
(21231,5294,1,1,1,67.30377),-- [sealed_tallum_bonnet]
(21231,5526,1,1,1,6950.251698),-- [sealed_tallum_bonnet_design]
(21231,1872,1,3,2,199842.391552),-- [animal_bone]
(21231,1867,1,3,2,133227.995136),-- [animal_skin]
(21231,1881,1,1,2,39968.55808),-- [coarse_bone_powder]
(21231,1875,1,1,2,19984.27904),-- [stone_of_purity]
(21231,4041,1,1,2,2606.47168),-- [mold_hardener]
(21231,729,1,1,2,33.503232),-- [scrl_of_ench_wp_a]
(21231,8732,1,1,2,2497.985024),-- [general_75_s]
(21231,8742,1,1,2,624.595968),-- [special_75_s]
(21231,8752,1,1,2,62.220288),-- [rare_75_s]
(21236,1061,1,1,-1,784398),-- [healing_potion]
(21236,1900,1,1,-1,141604),-- [enchanted_necklace_chain]
(21236,2153,1,1,-1,201284),-- [rp_tiger'seye_earing]
(21236,57,546,1092,0,700000),-- [adena]
(21236,69,1,1,1,57.082802),-- [bastard_sword]
(21236,125,1,1,1,57.082802),-- [spinebone_sword]
(21236,2021,1,1,1,1785.664764),-- [spinebone_sword_blade]
(21236,126,1,1,1,57.082802),-- [artisan's_sword]
(21236,128,1,1,1,57.08683),-- [knight's_sword]
(21236,1867,1,3,2,117877.019123),-- [animal_skin]
(21236,1872,1,1,2,235754.449743),-- [animal_bone]
(21236,1882,1,1,2,39292.202542),-- [leather]
(21236,2184,1,1,2,18573.328592),-- [rp_mithril_banded_gaiters]
(21237,1933,1,1,-1,174667),-- [dark_hose_fabric]
(21237,2183,1,1,-1,97676),-- [rp_mithril_banded_mail]
(21237,1935,1,1,-1,82942),-- [scale_mail_fragment]
(21237,57,626,1255,0,700000),-- [adena]
(21237,86,1,1,1,32.746078),-- [tomahawk]
(21237,179,1,1,1,32.746078),-- [mace_of_prayer]
(21237,180,1,1,1,32.746078),-- [mace_of_judgment]
(21237,2022,1,1,1,1263.70299),-- [mace_of_judgment_head]
(21237,181,1,1,1,32.746078),-- [mace_of_miracle]
(21237,182,1,1,1,32.746078),-- [doom_hammer]
(21237,183,1,1,1,32.746078),-- [mystic_staff]
(21237,184,1,1,1,32.746078),-- [conjure_staff]
(21237,2023,1,1,1,1005.325855),-- [conjure_staff_head]
(21237,185,1,1,1,32.748609),-- [staff_of_mana]
(21237,1868,1,3,2,135219.311403),-- [thread]
(21237,1873,1,1,2,54087.627825),-- [silver_nugget]
(21237,5549,1,1,2,13521.786036),-- [iron_thread]
(21237,1889,1,1,2,9014.846478),-- [compound_braid]
(21237,2265,1,1,2,1398.321771),-- [rp_spike_club]
(21237,6037,1,1,2,270439.106487),-- [scroll_of_awake]
(21238,1878,1,1,-1,739986),-- [braided_hemp]
(21238,1884,1,3,-1,569220),-- [cord]
(21238,1901,1,1,-1,255520),-- [tiger'seye_earing_stone]
(21238,57,781,1559,0,700000),-- [adena]
(21238,260,1,1,1,265),-- [triple-edged_jamadhr]
(21238,1874,1,1,2,9367.725836),-- [oriharukon_ore]
(21238,1878,1,1,2,56205.943754),-- [braided_hemp]
(21238,1884,1,1,2,86471.125596),-- [cord]
(21238,1889,1,1,2,9367.725836),-- [compound_braid]
(21238,5220,1,1,2,5620.717754),-- [reinforcing_agent]
(21238,2190,1,1,2,10036.84911),-- [rp_mithril_hose]
(21238,1341,20,60,2,234191.912114),-- [bone_arrow]
(21239,1825,1,1,-1,139345),-- [rp_oriharukon]
(21239,1902,1,1,-1,197653),-- [elven_earing_beads]
(21239,2145,1,1,-1,139345),-- [rp_mithirl_alloy]
(21239,57,824,1645,0,700000),-- [adena]
(21239,279,1,1,1,93.89952),-- [strengthening_long_bow]
(21239,2040,1,1,1,5834.10048),-- [strengthening_long_bow_shaft]
(21239,1870,1,1,2,168071.726056),-- [coal]
(21239,1865,1,1,2,168071.726056),-- [varnish]
(21239,1874,1,1,2,11204.756261),-- [oriharukon_ore]
(21239,2145,1,1,2,12004.959515),-- [rp_mithirl_alloy]
(21239,2208,1,1,2,17185.262911),-- [rp_ogre_power_gauntlet]
(21239,6036,1,1,2,5602.569201),-- [potion_of_acumen3]
(21240,1903,1,1,-1,372617),-- [elven_ring_piece]
(21240,1871,1,5,-1,744614),-- [charcoal]
(21240,1866,1,3,-1,744614),-- [suede]
(21240,57,932,1861,0,700000),-- [adena]
(21240,224,1,1,1,53.76128),-- [maingauche]
(21240,2038,1,1,1,3050.23872),-- [maingauche_edge]
(21240,1660,1,1,1,53.76128),-- [cursed_maingauche]
(21240,2044,1,1,1,3050.23872),-- [cursed_maingauche_edge]
(21240,1871,2,6,2,72170.28068),-- [charcoal]
(21240,1866,1,1,2,192453.499748),-- [suede]
(21240,1877,1,1,2,11547.157599),-- [admantite_nugget]
(21240,1341,60,180,2,160378.061973),-- [bone_arrow]
(21241,4469,1,1,-1,14471),-- [dye_s1c1_d]
(21241,1905,1,1,-1,246339),-- [onyxbeast'seye_earing_gemstone]
(21241,1805,1,1,-1,8441),-- [rp_soulshot_c]
(21241,57,1020,2061,0,700000),-- [adena]
(21241,396,1,1,1,346.880611),-- [slamander_skin_mail]
(21241,1952,1,1,1,20366.119389),-- [slamander_skin_mail_texture]
(21241,1872,1,3,2,121108.069957),-- [animal_bone]
(21241,1867,1,1,2,242215.712271),-- [animal_skin]
(21241,1881,1,1,2,24221.69952),-- [coarse_bone_powder]
(21241,1875,1,1,2,12110.84976),-- [stone_of_purity]
(21241,2162,1,1,2,8776.089646),-- [rp_aquastone_necklace]
(21241,2990,1,1,2,14417.556102),-- [rp_chain_boots]
(21241,2206,1,1,2,4793.022744),-- [rp_tempered_mithril_shirt]
(21242,1908,1,1,-1,292039),-- [moonstone_earing_wire]
(21242,2163,1,1,-1,157343),-- [rp_earing_of_protection]
(21242,1909,1,1,-1,416466),-- [aquastone_ring_wire]
(21242,57,1220,2478,0,700000),-- [adena]
(21242,96,1,1,1,27.557894),-- [scythe]
(21242,2062,1,1,1,1905.10684),-- [scythe_edge]
(21242,298,1,1,1,27.557894),-- [orcish_glaive]
(21242,2075,1,1,1,1905.10684),-- [orcish_glaive_blade]
(21242,302,1,1,1,27.557894),-- [body_slasher]
(21242,2076,1,1,1,1905.112638),-- [body_slasher_blade]
(21242,1873,1,1,2,58300.467003),-- [silver_nugget]
(21242,1868,1,1,2,291501.466809),-- [thread]
(21242,1876,1,1,2,29150.01645),-- [mithril_ore]
(21242,1895,1,1,2,41643.066687),-- [metallic_fiber]
(21242,4042,1,1,2,2429.240388),-- [enria]
(21242,2214,1,1,2,3616.512093),-- [rp_dwarven_chain_gaiters]
(21242,8723,1,1,2,5830.00329),-- [general_46_c]
(21242,8733,1,1,2,1457.717874),-- [special_46_c]
(21242,8743,1,1,2,145.858608),-- [rare_46_c]
(21242,8753,1,1,2,28.650798),-- [unique_46_c]
(21243,951,1,1,-1,5797),-- [scrl_of_ench_wp_c]
(21243,2166,1,1,-1,108082),-- [rp_earing_of_binding]
(21243,1911,1,1,-1,237145),-- [earing_of_protection_gemstone]
(21243,57,1258,2567,0,700000),-- [adena]
(21243,398,1,1,1,102.96804),-- [plate_leather]
(21243,1966,1,1,1,6446.93235),-- [plate_leather_fragment]
(21243,399,1,1,1,94.95058),-- [rind_leather_mail]
(21243,1975,1,1,1,5800.00284),-- [rind_leather_mail_design]
(21243,418,1,1,1,164.6561),-- [plate_leather_gaiters]
(21243,1967,1,1,1,9630.82474),-- [plate_leather_gaiters_material]
(21243,419,1,1,1,152.03357),-- [rind_leather_gaiters]
(21243,1976,1,1,1,10737.63178),-- [rind_leather_gaiters_material]
(21243,1873,1,1,2,56508.534733),-- [silver_nugget]
(21243,1868,1,1,2,282543.506283),-- [thread]
(21243,1876,1,1,2,28254.475521),-- [mithril_ore]
(21243,1895,1,1,2,40363.239095),-- [metallic_fiber]
(21243,4042,1,1,2,2354.643704),-- [enria]
(21243,951,1,1,2,256.862653),-- [scrl_of_ench_wp_c]
(21243,8724,1,1,2,4708.871099),-- [general_49_c]
(21243,8734,1,1,2,1177.321852),-- [special_49_c]
(21243,8744,1,1,2,117.815447),-- [rare_49_c]
(21243,8754,1,1,2,23.729613),-- [unique_49_c]
(21244,4601,1,1,-1,7887),-- [dye_s3c3_c]
(21244,1539,1,1,-1,788726),-- [greater_healing_potion]
(21244,1914,1,1,-1,199397),-- [earing_of_binding_gemstone]
(21244,57,1404,2854,0,700000),-- [adena]
(21244,60,1,1,1,119.616525),-- [composite_armor]
(21244,1977,1,1,1,10855.383475),-- [composite_armor_temper]
(21244,1865,1,1,2,133432.516646),-- [varnish]
(21244,1870,1,1,2,133432.516646),-- [coal]
(21244,1879,1,1,2,22238.648344),-- [cokes]
(21244,1875,1,1,2,8895.584654),-- [stone_of_purity]
(21244,4040,1,1,2,2668.612738),-- [mold_lubricant]
(21244,2170,1,1,2,3147.008095),-- [rp_nassen's_earing]
(21244,2970,1,1,2,4731.633973),-- [rp_ring_of_binding]
(21244,8725,1,1,2,3706.545821),-- [general_52_c]
(21244,8735,1,1,2,926.714778),-- [special_52_c]
(21244,8745,1,1,2,92.734136),-- [rare_52_c]
(21244,8755,1,1,2,18.484169),-- [unique_52_c]
(21245,2169,1,1,-1,69443),-- [rp_necklace_of_binding]
(21245,1915,1,1,-1,345683),-- [ring_of_ages_gemstone]
(21245,2170,1,1,-1,92536),-- [rp_nassen's_earing]
(21245,57,1558,3150,0,700000),-- [adena]
(21245,60,1,1,1,132.237567),-- [composite_armor]
(21245,1977,1,1,1,12000.762433),-- [composite_armor_temper]
(21245,1871,1,1,2,135209.754141),-- [charcoal]
(21245,1866,1,1,2,90139.836094),-- [suede]
(21245,1877,1,1,2,5408.282),-- [admantite_nugget]
(21245,4041,1,1,2,1175.809673),-- [mold_hardener]
(21245,4040,1,1,2,2704.141),-- [mold_lubricant]
(21245,2353,1,1,2,220.510407),-- [rp_samurai_longsword]
(21245,4122,1,1,2,6009.338795),-- [rp_maestro_holder]
(21245,8309,1,1,2,155.856854),-- [rp_spell_breaker]
(21245,8725,1,1,2,3755.806018),-- [general_52_c]
(21245,8735,1,1,2,939.07442),-- [special_52_c]
(21245,8745,1,1,2,93.907442),-- [rare_52_c]
(21245,8755,1,1,2,18.683156),-- [unique_52_c]
(21246,1918,1,1,-1,201354),-- [nassen's_earing_gemstone]
(21246,4042,1,1,-1,77488),-- [enria]
(21246,1867,1,13,-1,885576),-- [animal_skin]
(21246,57,1837,3743,0,700000),-- [adena]
(21246,855,1,1,1,175.636134),-- [nassen's_earing]
(21246,1918,1,1,1,12391.556392),-- [nassen's_earing_gemstone]
(21246,119,1,1,1,131.746694),-- [necklace_of_binding]
(21246,1920,1,1,1,9790.284145),-- [necklace_of_binding_chain]
(21246,886,1,1,1,263.454201),-- [ring_of_binding]
(21246,2917,1,1,1,16434.322434),-- [ring_of_binding_gemstone]
(21246,1867,1,1,2,190739.38488),-- [animal_skin]
(21246,1872,1,1,2,190739.38488),-- [animal_bone]
(21246,1882,1,1,2,31789.89748),-- [leather]
(21246,1894,1,1,2,5019.322092),-- [crafted_leather]
(21246,4042,1,1,2,2384.456702),-- [enria]
(21246,4127,1,1,2,3540.881756),-- [rp_adamantite_ring]
(21246,4965,1,1,2,164.652288),-- [rp_sprite's_staff_i]
(21246,4183,1,1,2,164.652288),-- [rp_heavy_war_axe]
(21246,8726,1,1,2,3311.483386),-- [general_55_c]
(21246,8736,1,1,2,827.978042),-- [special_55_c]
(21246,8746,1,1,2,82.754926),-- [rare_55_c]
(21246,8756,1,1,2,17.15128),-- [unique_55_c]
(21247,4613,1,1,-1,6564),-- [dye_s4c4_c]
(21247,4049,1,1,-1,249606),-- [adamantite_earing_gemstone]
(21247,4129,1,1,-1,51501),-- [rp_earing_of_black_ore]
(21247,57,1877,3833,0,700000),-- [adena]
(21247,554,1,1,1,88.050656),-- [shrnoen's_boots]
(21247,4097,1,1,1,9145.449344),-- [shrnoen's_boots_design]
(21247,600,1,1,1,88.050656),-- [avadon_boots]
(21247,4098,1,1,1,9145.449344),-- [avadon_boots_design]
(21247,612,1,1,1,88.050656),-- [shrnoen's_gauntlet]
(21247,4100,1,1,1,9145.449344),-- [shrnoen's_gauntlet_part]
(21247,2464,1,1,1,88.050656),-- [avadon_gloves]
(21247,4073,1,1,1,9145.449344),-- [avadon_gloves_part]
(21247,1872,1,1,2,170382.461206),-- [animal_bone]
(21247,1867,1,1,2,170382.461206),-- [animal_skin]
(21247,1881,1,1,2,17038.171454),-- [coarse_bone_powder]
(21247,1875,1,1,2,8519.085727),-- [stone_of_purity]
(21247,4041,1,1,2,1111.039008),-- [mold_hardener]
(21247,4131,1,1,2,1038.985739),-- [rp_necklace_of_black_ore]
(21247,4173,1,1,2,1589.278581),-- [rp_blue_wolve's_gloves]
(21247,8727,1,1,2,2555.837718),-- [general_58_b]
(21247,8737,1,1,2,638.772763),-- [special_58_b]
(21247,8747,1,1,2,63.839943),-- [rare_58_b]
(21247,8757,1,1,2,13.066655),-- [unique_58_b]
(21248,4050,1,1,-1,322099),-- [adamantite_ring_wire]
(21248,4130,1,1,-1,84394),-- [rp_ring_of_black_ore]
(21248,4051,1,1,-1,201616),-- [adamantite_necklace_chain]
(21248,57,2056,4180,0,700000),-- [adena]
(21248,633,1,1,1,91.624004),-- [shrnoen's_shield]
(21248,4101,1,1,1,11126.113214),-- [shrnoen's_shield_fragment]
(21248,673,1,1,1,91.624004),-- [avadon_shield]
(21248,4439,1,1,1,13236.273544),-- [avadon_shield_fragment]
(21248,503,1,1,1,64.12842),-- [shrnoen's_helmet]
(21248,4102,1,1,1,8620.075154),-- [shrnoen's_helmet_design]
(21248,2415,1,1,1,64.12842),-- [avadon_circlet]
(21248,4072,1,1,1,8620.03324),-- [avadon_circlet_pattern]
(21248,1869,1,1,2,139600.894576),-- [iron_ore]
(21248,1864,1,1,2,279201.341848),-- [stem]
(21248,1880,1,1,2,13959.910536),-- [steel]
(21248,5550,1,1,2,1861.231944),-- [reinforcing_plate]
(21248,4043,1,1,2,4653.303512),-- [asofe]
(21248,4159,1,1,2,395.416736),-- [rp_blue_wolve's_leather_mail]
(21248,8728,1,1,2,2326.875408),-- [general_61_b]
(21248,8738,1,1,2,581.4952),-- [special_61_b]
(21248,8748,1,1,2,58.14952),-- [rare_61_b]
(21248,8758,1,1,2,11.629904),-- [unique_61_b]
(21248,6036,1,1,2,4653.750816),-- [potion_of_acumen3]
(21249,5230,1,1,-1,7586),-- [rp_mithril_arrow]
(21249,4052,1,1,-1,201435),-- [earing_of_black_ore_piece]
(21249,4053,1,1,-1,243872),-- [ring_of_black_ore_gemstone]
(21249,57,2256,4571,0,700000),-- [adena]
(21249,358,1,1,1,22.633608),-- [blue_wolve's_breastplate]
(21249,4078,1,1,1,4091.595561),-- [blue_wolve's_breastplate_part]
(21249,2381,1,1,1,13.930326),-- [doom_plate_armor]
(21249,4081,1,1,1,2760.805383),-- [doom_plate_armor_temper]
(21249,2380,1,1,1,36.208698),-- [blue_wolve's_gaiters]
(21249,4080,1,1,1,5761.826424),-- [blue_wolve's_gaiters_material]
(21249,1871,1,1,2,168059.921611),-- [charcoal]
(21249,1866,1,1,2,112039.849495),-- [suede]
(21249,1877,1,1,2,6722.361496),-- [admantite_nugget]
(21249,4041,1,1,2,1461.306046),-- [mold_hardener]
(21249,4040,1,1,2,3361.180748),-- [mold_lubricant]
(21249,5166,1,1,2,224.00012),-- [rp_comp_bspiritshot_a]
(21249,8729,1,1,2,2240.885411),-- [general_64_a]
(21249,8739,1,1,2,560.295037),-- [special_64_a]
(21249,8749,1,1,2,56.00003),-- [rare_64_a]
(21249,8759,1,1,2,11.200006),-- [unique_64_a]
(21250,4052,1,1,-1,235314),-- [earing_of_black_ore_piece]
(21250,5230,1,1,-1,8862),-- [rp_mithril_arrow]
(21250,4053,1,1,-1,284889),-- [ring_of_black_ore_gemstone]
(21250,57,2634,5340,0,700000),-- [adena]
(21250,171,1,1,1,6.484956),-- [deadman's_glory]
(21250,4116,1,1,1,1429.560294),-- [deadman's_glory_stone]
(21250,175,1,1,1,6.484956),-- [art_of_battle_axe]
(21250,4117,1,1,1,1429.560294),-- [art_of_battle_axe_blade]
(21250,210,1,1,1,6.484956),-- [staff_of_evil_sprit]
(21250,4118,1,1,1,1354.424544),-- [staff_of_evil_sprit_head]
(21250,1871,1,1,2,178478.266995),-- [charcoal]
(21250,1866,1,1,2,118985.51133),-- [suede]
(21250,1877,1,1,2,7139.229822),-- [admantite_nugget]
(21250,4041,1,1,2,1552.071141),-- [mold_hardener]
(21250,4040,1,1,2,3569.614911),-- [mold_lubricant]
(21250,1830,1,1,2,71391.306798),-- [scroll_of_escape_to_castle]
(21250,8729,1,1,2,2379.908511),-- [general_64_a]
(21250,8739,1,1,2,594.8532),-- [special_64_a]
(21250,8749,1,1,2,59.48532),-- [rare_64_a]
(21250,8759,1,1,2,11.897064),-- [unique_64_a]
(21250,1344,20,60,2,111548.854908),-- [mithril_arrow]
(21251,5230,1,1,-1,9506),-- [rp_mithril_arrow]
(21251,4054,1,1,-1,140430),-- [necklace_of_black_ore_beads]
(21251,4053,1,1,-1,305600),-- [ring_of_black_ore_gemstone]
(21251,57,2811,5744,0,700000),-- [adena]
(21251,2398,1,1,1,28.351631),-- [blue_wolve's_tunic]
(21251,4084,1,1,1,4576.460064),-- [blue_wolve's_tunic_fabric]
(21251,2399,1,1,1,28.351631),-- [tunic_of_doom]
(21251,4085,1,1,1,4576.460064),-- [tunic_of_doom_pattern]
(21251,2403,1,1,1,45.397264),-- [blue_wolve's_hose]
(21251,4086,1,1,1,6179.269382),-- [blue_wolve's_hose_pattern]
(21251,2404,1,1,1,45.397264),-- [hose_of_doom]
(21251,4087,1,1,1,6179.3127),-- [hose_of_doom_pattern]
(21251,1866,1,1,2,127635.625799),-- [suede]
(21251,1871,1,3,2,63817.605053),-- [charcoal]
(21251,5220,1,1,2,7658.312139),-- [reinforcing_agent]
(21251,1885,1,1,2,15954.29734),-- [high_grade_suede]
(21251,4041,1,1,2,1664.850465),-- [mold_hardener]
(21251,1830,1,1,2,76581.458618),-- [scroll_of_escape_to_castle]
(21251,8730,1,1,2,2127.101081),-- [general_67_a]
(21251,8740,1,1,2,531.671347),-- [special_67_a]
(21251,8750,1,1,2,53.208704),-- [rare_67_a]
(21251,8760,1,1,2,10.808018),-- [unique_67_a]
(21251,1344,20,60,2,119658.061436),-- [mithril_arrow]
(21252,5478,1,1,-1,61132),-- [sealed_dark_crystal_leather_mail_pattern]
(21252,4053,1,1,-1,311606),-- [ring_of_black_ore_gemstone]
(21252,5230,1,1,-1,9693),-- [rp_mithril_arrow]
(21252,57,2875,5849,0,700000),-- [adena]
(21252,5297,1,1,1,26.797392),-- [sealed_dark_crystal_leather_mail]
(21252,5478,1,1,1,3009.187152),-- [sealed_dark_crystal_leather_mail_pattern]
(21252,5301,1,1,1,16.483824),-- [sealed_tallum_leather_mail]
(21252,5479,1,1,1,2117.470896),-- [sealed_tallum_leather_mail_pattern]
(21252,5298,1,1,1,42.853968),-- [sealed_legging_of_dark_crystal]
(21252,5482,1,1,1,4723.206768),-- [sealed_legging_of_dark_crystal_design]
(21252,10579,1,1,2,11545),-- [sb_improve_combat]
(21252,10583,1,1,2,11545),-- [sb_improve_shield_defence]
(21252,10608,1,1,2,11545),-- [sb_chant_of_combat]
(21252,14214,1,1,2,11545),-- [sb_chant_of_movement1]
(21253,1807,1,1,-1,8408),-- [rp_soulshot_a]
(21253,5479,1,1,-1,37315),-- [sealed_tallum_leather_mail_pattern]
(21253,3035,1,1,-1,8408),-- [rp_spiritshot_a]
(21253,57,3110,6350,0,700000),-- [adena]
(21253,5304,1,1,1,29.057478),-- [sealed_tallum_tunic]
(21253,5485,1,1,1,3262.981318),-- [sealed_tallum_tunic_texture]
(21253,5308,1,1,1,17.874066),-- [sealed_dark_crystal_robe]
(21253,5486,1,1,1,2296.057914),-- [sealed_dark_crystal_robe_fabric]
(21253,5305,1,1,1,46.468262),-- [sealed_tallum_hose]
(21253,5489,1,1,1,5121.560962),-- [sealed_tallum_hose_fabric]
(21253,10580,1,1,2,11642.455968),-- [sb_improve_magic]
(21253,10582,1,1,2,11642.455968),-- [sb_improve_critical]
(21253,10610,1,1,2,11642.455968),-- [sb_chant_of_blood_awakening]
(21253,14215,1,1,2,12064.632096),-- [sb_combat_of_paagrio1]
(21254,5480,1,1,-1,32628),-- [sealed_leather_mail_of_nightmare_fabric]
(21254,729,1,1,-1,808),-- [scrl_of_ench_wp_a]
(21254,1877,1,1,-1,290856),-- [admantite_nugget]
(21254,57,3587,7319,0,700000),-- [adena]
(21254,6324,1,1,1,89.04905),-- [sealed_phoenix's_earing]
(21254,6341,1,1,1,12375.9685),-- [sealed_phoenix's_earing_gemstone]
(21254,6323,1,1,1,66.77695),-- [sealed_phoenix's_necklace]
(21254,6343,1,1,1,9567.0868),-- [sealed_phoenix's_necklace_beads]
(21254,6325,1,1,1,133.5539),-- [sealed_phoenix's_ring]
(21254,6345,1,1,1,17117.5648),-- [sealed_phoenix's_ring_gemstone]
(21254,14216,1,1,2,53696),-- [sb_critical_of_paagrio1]
(21255,4041,1,1,-1,67285),-- [mold_hardener]
(21255,5481,1,1,-1,34721),-- [sealed_majestic_leather_mail_fabric]
(21255,5487,1,1,-1,34844),-- [sealed_robe_of_nightmare_fabric]
(21255,57,3814,7793,0,700000),-- [adena]
(21255,5297,1,1,1,35.65434),-- [sealed_dark_crystal_leather_mail]
(21255,5478,1,1,1,4003.76954),-- [sealed_dark_crystal_leather_mail_pattern]
(21255,5301,1,1,1,21.93198),-- [sealed_tallum_leather_mail]
(21255,5479,1,1,1,2817.32742),-- [sealed_tallum_leather_mail_pattern]
(21255,5298,1,1,1,57.01786),-- [sealed_legging_of_dark_crystal]
(21255,5482,1,1,1,6284.29886),-- [sealed_legging_of_dark_crystal_design]
(21255,1873,1,1,2,114281.750744),-- [silver_nugget]
(21255,1868,3,9,2,95234.662968),-- [thread]
(21255,1876,1,1,2,57140.875372),-- [mithril_ore]
(21255,1895,1,1,2,81629.82196),-- [metallic_fiber]
(21255,4042,1,1,2,4761.771944),-- [enria]
(21255,5282,1,1,2,126.861612),-- [rp_adv_comp_bspiritshot_s]
(21255,6671,1,1,2,31744.887656),-- [key_of_treasure_box7]
(21255,8732,1,1,2,2380.885972),-- [general_75_s]
(21255,8742,1,1,2,595.124504),-- [special_75_s]
(21255,8752,1,1,2,59.357268),-- [rare_75_s]
(21256,1804,1,1,-1,12984),-- [rp_soulshot_d]
(21256,1898,1,1,-1,33344),-- [blue_diamond_necklace_gem]
(21256,1872,1,1,-1,432806),-- [animal_bone]
(21256,57,149,262,0,700000),-- [adena]
(21256,27,1,1,1,337.62267),-- [hard_leather_shirt]
(21256,1927,1,1,1,3824.63334),-- [hard_leather_shirt_pattern]
(21256,33,1,1,1,541.71216),-- [hard_leather_gaiters]
(21256,1929,1,1,1,6186.03183),-- [hard_leather_gaiters_material]
(21256,1867,1,1,2,42614.618235),-- [animal_skin]
(21256,1872,1,1,2,42614.618235),-- [animal_bone]
(21256,1882,1,1,2,7102.4849),-- [leather]
(21256,5153,1,1,2,1278.40846),-- [rp_comp_soulshot_d]
(21256,8294,1,1,2,781.48686),-- [rp_iron_sword]
(21256,735,1,1,2,2663.38331),-- [swift_attack_potion]
(21257,1868,1,1,-1,511527),-- [thread]
(21257,734,1,1,-1,42627),-- [quick_step_potion]
(21257,1897,1,1,-1,60896),-- [necklace_of_wisdom_chain]
(21257,57,122,202,0,700000),-- [adena]
(21257,217,1,1,1,144),-- [shining_knife]
(21257,218,1,1,1,144),-- [throw_knife]
(21257,1868,1,1,2,100731.527675),-- [thread]
(21257,1873,1,1,2,20146.33055),-- [silver_nugget]
(21257,735,1,1,2,4197.141775),-- [swift_attack_potion]
(21259,4613,1,1,-1,7283),-- [dye_s4c4_c]
(21259,4049,1,1,-1,276943),-- [adamantite_earing_gemstone]
(21259,4129,1,1,-1,57142),-- [rp_earing_of_black_ore]
(21259,57,2085,4248,0,700000),-- [adena]
(21259,229,1,1,1,11.674131),-- [kris]
(21259,4109,1,1,1,2196.825869),-- [kris_edge]
(21259,243,1,1,1,11.674131),-- [hell_knife]
(21259,4110,1,1,1,2196.825869),-- [hell_knife_edge]
(21259,1873,1,1,2,62384.21973),-- [silver_nugget]
(21259,1868,1,1,2,311920.18656),-- [thread]
(21259,1876,1,1,2,31192.109865),-- [mithril_ore]
(21259,1895,1,1,2,44560.15695),-- [metallic_fiber]
(21259,4042,1,1,2,2599.4565),-- [enria]
(21259,947,1,1,2,62.478165),-- [scrl_of_ench_wp_b]
(21259,8728,1,1,2,2599.4565),-- [general_61_b]
(21259,8738,1,1,2,649.864125),-- [special_61_b]
(21259,8748,1,1,2,64.75839),-- [rare_61_b]
(21259,8758,1,1,2,12.313215),-- [unique_61_b]
(21261,2169,1,1,-1,29259),-- [rp_necklace_of_binding]
(21261,1914,1,1,-1,92873),-- [earing_of_binding_gemstone]
(21261,2170,1,1,-1,38989),-- [rp_nassen's_earing]
(21261,57,654,1329,0,700000),-- [adena]
(21261,231,1,1,1,10.346928),-- [grace_dagger]
(21261,2106,1,1,1,931.653072),-- [grace_dagger_edge]
(21261,233,1,1,1,10.346928),-- [dark_screamer]
(21261,2107,1,1,1,931.653072),-- [dark_screamer_edge]
(21261,1869,1,1,2,62148.7397),-- [iron_ore]
(21261,1864,1,1,2,124297.69125),-- [stem]
(21261,1880,1,1,2,6214.8316),-- [steel]
(21261,5550,1,1,2,828.54535),-- [reinforcing_plate]
(21261,4043,1,1,2,2071.68115),-- [asofe]
(21261,2231,1,1,2,267.7784),-- [rp_full_plate_armor]
(21261,8725,1,1,2,1726.36565),-- [general_52_c]
(21261,8735,1,1,2,431.53845),-- [special_52_c]
(21261,8745,1,1,2,43.2174),-- [rare_52_c]
(21261,8755,1,1,2,8.68585),-- [unique_52_c]
(21261,1539,1,1,2,13810.9252),-- [greater_healing_potion]
(21262,2169,1,1,-1,39317),-- [rp_necklace_of_binding]
(21262,1914,1,1,-1,124797),-- [earing_of_binding_gemstone]
(21262,2170,1,1,-1,52391),-- [rp_nassen's_earing]
(21262,57,879,1786,0,700000),-- [adena]
(21262,228,1,1,1,17.400236),-- [crystal_dagger]
(21262,2119,1,1,1,1868.599764),-- [crystal_dagger_blade]
(21262,1869,1,1,2,74564.102417),-- [iron_ore]
(21262,1864,1,1,2,149128.204834),-- [stem]
(21262,1880,1,1,2,7456.334123),-- [steel]
(21262,5550,1,1,2,994.110222),-- [reinforcing_plate]
(21262,4043,1,1,2,2485.529284),-- [asofe]
(21262,2231,1,1,2,321.474643),-- [rp_full_plate_armor]
(21262,8726,1,1,2,1726.118387),-- [general_55_c]
(21262,8736,1,1,2,431.593029),-- [special_55_c]
(21262,8746,1,1,2,43.13393),-- [rare_55_c]
(21262,8756,1,1,2,8.626786),-- [unique_55_c]
(21262,1539,1,1,2,16569.772345),-- [greater_healing_potion]
(21263,2169,1,1,-1,55228),-- [rp_necklace_of_binding]
(21263,1914,1,1,-1,175302),-- [earing_of_binding_gemstone]
(21263,2170,1,1,-1,73594),-- [rp_nassen's_earing]
(21263,57,1233,2512,0,700000),-- [adena]
(21263,228,1,1,1,24.439674),-- [crystal_dagger]
(21263,2119,1,1,1,2624.560326),-- [crystal_dagger_blade]
(21263,1869,1,1,2,104739.863676),-- [iron_ore]
(21263,1864,1,1,2,209479.727352),-- [stem]
(21263,1880,1,1,2,10473.879444),-- [steel]
(21263,5550,1,1,2,1396.422216),-- [reinforcing_plate]
(21263,4043,1,1,2,3491.411952),-- [asofe]
(21263,2231,1,1,2,451.574004),-- [rp_full_plate_armor]
(21263,8726,1,1,2,2424.670836),-- [general_55_c]
(21263,8736,1,1,2,606.256812),-- [special_55_c]
(21263,8746,1,1,2,60.59004),-- [rare_55_c]
(21263,8756,1,1,2,12.118008),-- [unique_55_c]
(21263,1539,1,1,2,23275.48566),-- [greater_healing_potion]
(21264,2169,1,1,-1,76366),-- [rp_necklace_of_binding]
(21264,1914,1,1,-1,242396),-- [earing_of_binding_gemstone]
(21264,2170,1,1,-1,101761),-- [rp_nassen's_earing]
(21264,57,1704,3471,0,700000),-- [adena]
(21264,229,1,1,1,9.538587),-- [kris]
(21264,4109,1,1,1,1794.961413),-- [kris_edge]
(21264,243,1,1,1,9.538587),-- [hell_knife]
(21264,4110,1,1,1,1794.961413),-- [hell_knife_edge]
(21264,1869,1,1,2,115861.975602),-- [iron_ore]
(21264,1864,1,1,2,231723.557413),-- [stem]
(21264,1880,1,1,2,11586.118802),-- [steel]
(21264,5550,1,1,2,1544.842093),-- [reinforcing_plate]
(21264,4043,1,1,2,3861.908337),-- [asofe]
(21264,2231,1,1,2,499.326988),-- [rp_full_plate_armor]
(21264,8727,1,1,2,2317.066244),-- [general_58_b]
(21264,8737,1,1,2,579.266561),-- [special_58_b]
(21264,8747,1,1,2,57.887277),-- [rare_58_b]
(21264,8757,1,1,2,11.419939),-- [unique_58_b]
(21264,1539,1,1,2,25747.630744),-- [greater_healing_potion]
(21265,1864,1,3,-1,627198),-- [stem]
(21265,1869,1,1,-1,627198),-- [iron_ore]
(21265,1901,1,1,-1,86630),-- [tiger'seye_earing_stone]
(21265,57,264,530,0,700000),-- [adena]
(21265,83,1,1,1,20.17704),-- [sword_of_magic]
(21265,144,1,1,1,20.17704),-- [sword_of_occult]
(21265,124,1,1,1,14.947296),-- [two-handed_sword]
(21265,2026,1,1,1,668.803278),-- [two-handed_sword_edge]
(21265,127,1,1,1,14.947296),-- [crimson_sword]
(21265,130,1,1,1,14.94805),-- [elven_sword]
(21265,1864,1,1,2,133390.472304),-- [stem]
(21265,1869,1,1,2,66695.236152),-- [iron_ore]
(21265,1878,1,1,2,26678.20444),-- [braided_hemp]
(21265,1884,1,1,2,41043.137648),-- [cord]
(21265,2154,1,1,2,7140.949456),-- [rp_elven_earing]
(21268,1940,1,1,-1,174118),-- [iron_boots_design]
(21268,2156,1,1,-1,93327),-- [rp_elven_necklace]
(21268,2026,1,1,-1,14041),-- [two-handed_sword_edge]
(21268,57,492,986,0,700000),-- [adena]
(21268,278,1,1,1,83.430282),-- [gastraphetes]
(21268,2029,1,1,1,3699.569718),-- [gastraphetes_shaft]
(21268,1867,1,1,2,118145.997732),-- [animal_skin]
(21268,1872,1,1,2,118145.997732),-- [animal_bone]
(21268,1882,1,1,2,19690.999622),-- [leather]
(21268,1894,1,1,2,3109.154552),-- [crafted_leather]
(21268,2186,1,1,2,2963.354331),-- [rp_brigandine]
(21268,6037,1,3,2,59072.998866),-- [scroll_of_awake]
(21268,1341,20,60,2,147682.497165),-- [bone_arrow]
(21269,1825,1,1,-1,94807),-- [rp_oriharukon]
(21269,1902,1,1,-1,134478),-- [elven_earing_beads]
(21269,2145,1,1,-1,94807),-- [rp_mithirl_alloy]
(21269,57,561,1119,0,700000),-- [adena]
(21269,129,1,1,1,63.87616),-- [sword_of_revolution]
(21269,2034,1,1,1,3624.12384),-- [sword_of_revolution_blade]
(21269,1872,1,1,2,182963.082148),-- [animal_bone]
(21269,1867,1,1,2,182963.082148),-- [animal_skin]
(21269,1881,1,1,2,18296.348532),-- [coarse_bone_powder]
(21269,1875,1,1,2,9147.97268),-- [stone_of_purity]
(21269,1825,1,1,2,9801.514492),-- [rp_oriharukon]
(21270,1903,1,1,-1,255201),-- [elven_ring_piece]
(21270,6036,1,1,-1,50998),-- [potion_of_acumen3]
(21270,1902,1,1,-1,155008),-- [elven_earing_beads]
(21270,57,647,1291,0,700000),-- [adena]
(21270,88,1,1,1,14.726056),-- [morning_star]
(21270,2031,1,1,1,800.426842),-- [morning_star_head]
(21270,90,1,1,1,14.726056),-- [goathead_staff]
(21270,2032,1,1,1,730.67437),-- [goathead_staff_head]
(21270,158,1,1,1,14.726056),-- [tarbar]
(21270,2035,1,1,1,800.426842),-- [tarbar_head]
(21270,169,1,1,1,14.726056),-- [skull_breaker]
(21270,2036,1,1,1,800.426842),-- [skull_breaker_head]
(21270,172,1,1,1,14.726056),-- [heavy_bone_club]
(21270,2037,1,1,1,800.414824),-- [heavy_bone_club_head]
(21270,1868,1,1,2,316342.742333),-- [thread]
(21270,1873,1,1,2,63268.715375),-- [silver_nugget]
(21270,5549,1,1,2,15817.074526),-- [iron_thread]
(21270,1889,1,1,2,10544.855441),-- [compound_braid]
(21270,2145,1,1,2,11297.612325),-- [rp_mithirl_alloy]
(21271,1864,1,3,-1,905720),-- [stem]
(21271,1869,1,1,-1,905720),-- [iron_ore]
(21271,1901,1,1,-1,125099),-- [tiger'seye_earing_stone]
(21271,57,383,764,0,700000),-- [adena]
(21271,129,1,1,1,43.59444),-- [sword_of_revolution]
(21271,2034,1,1,1,2473.40556),-- [sword_of_revolution_blade]
(21271,1864,1,1,2,187274.890368),-- [stem]
(21271,1869,1,1,2,93637.445184),-- [iron_ore]
(21271,1878,1,1,2,37455.13248),-- [braided_hemp]
(21271,1884,1,1,2,57622.924416),-- [cord]
(21271,2154,1,1,2,10025.607552),-- [rp_elven_earing]
(21272,1864,1,7,-1,802957),-- [stem]
(21272,1869,1,3,-1,802957),-- [iron_ore]
(21272,1901,1,1,-1,221811),-- [tiger'seye_earing_stone]
(21272,57,679,1355,0,700000),-- [adena]
(21272,129,1,1,1,77.29916),-- [sword_of_revolution]
(21272,2034,1,1,1,4385.70084),-- [sword_of_revolution_blade]
(21272,1864,3,9,2,55342.280884),-- [stem]
(21272,1869,1,1,2,166026.842652),-- [iron_ore]
(21272,1878,1,1,2,66410.818606),-- [braided_hemp]
(21272,1884,1,1,2,102170.427436),-- [cord]
(21272,2154,1,1,2,17775.630422),-- [rp_elven_earing]
(21273,1864,1,19,-1,930725),-- [stem]
(21273,1869,1,9,-1,930725),-- [iron_ore]
(21273,1901,1,1,-1,642766),-- [tiger'seye_earing_stone]
(21273,57,1969,3922,0,700000),-- [adena]
(21273,129,1,1,1,223.98224),-- [sword_of_revolution]
(21273,2034,1,1,1,12708.01776),-- [sword_of_revolution_blade]
(21273,1864,3,9,2,160371.145974),-- [stem]
(21273,1869,2,6,2,120278.571205),-- [iron_ore]
(21273,1878,3,9,2,32074.144505),-- [braided_hemp]
(21273,1884,2,6,2,59213.837813),-- [cord]
(21273,2154,1,1,2,51511.300503),-- [rp_elven_earing]
(21274,4087,1,1,-1,72770),-- [hose_of_doom_pattern]
(21274,6333,1,1,-1,35604),-- [rp_sealed_phoenix's_ring_i]
(21274,4088,1,1,-1,117199),-- [blue_wolve's_helmet_design]
(21274,57,1223,2498,0,700000),-- [adena]
(21274,12341,1,1,1,708.44508),-- [earing_of_black_ore_low]
(21274,4052,1,1,1,5405.234928),-- [earing_of_black_ore_piece]
(21274,12342,1,1,1,531.036144),-- [necklace_of_black_ore_low]
(21274,4054,1,1,1,3007.099584),-- [necklace_of_black_ore_beads]
(21274,12343,1,1,1,1060.20864),-- [ring_of_black_ore_low]
(21274,4053,1,1,1,6543.975624),-- [ring_of_black_ore_gemstone]
(21274,1864,1,1,2,166548.059594),-- [stem]
(21274,1869,1,1,2,83274.029797),-- [iron_ore]
(21274,1878,1,1,2,33309.703385),-- [braided_hemp]
(21274,1884,1,1,2,51245.767874),-- [cord]
(21274,4039,1,1,2,2775.99917),-- [mold_glue]
(21274,5456,1,1,2,30.641177),-- [rp_tallum_glaive_i]
(21274,8730,1,1,2,925.180613),-- [general_67_a]
(21274,8740,1,1,2,231.409486),-- [special_67_a]
(21274,8750,1,1,2,23.323881),-- [rare_67_a]
(21274,8760,1,1,2,4.57331),-- [unique_67_a]
(21274,1343,10,30,2,118962.311713),-- [silver_arrow]
(21275,4087,1,1,-1,73242),-- [hose_of_doom_pattern]
(21275,6333,1,1,-1,35835),-- [rp_sealed_phoenix's_ring_i]
(21275,4088,1,1,-1,117959),-- [blue_wolve's_helmet_design]
(21275,57,1230,2515,0,700000),-- [adena]
(21275,12341,1,1,1,713.04324),-- [earing_of_black_ore_low]
(21275,4052,1,1,1,5440.317584),-- [earing_of_black_ore_piece]
(21275,12342,1,1,1,534.482832),-- [necklace_of_black_ore_low]
(21275,4054,1,1,1,3026.617152),-- [necklace_of_black_ore_beads]
(21275,12343,1,1,1,1067.08992),-- [ring_of_black_ore_low]
(21275,4053,1,1,1,6586.449272),-- [ring_of_black_ore_gemstone]
(21275,1864,1,1,2,167627.835504),-- [stem]
(21275,1869,1,1,2,83813.917752),-- [iron_ore]
(21275,1878,1,1,2,33525.65916),-- [braided_hemp]
(21275,1884,1,1,2,51578.007984),-- [cord]
(21275,4039,1,1,2,2793.99672),-- [mold_glue]
(21275,5456,1,1,2,30.839832),-- [rp_tallum_glaive_i]
(21275,8730,1,1,2,931.178808),-- [general_67_a]
(21275,8740,1,1,2,232.909776),-- [special_67_a]
(21275,8750,1,1,2,23.475096),-- [rare_67_a]
(21275,8760,1,1,2,4.60296),-- [unique_67_a]
(21275,1343,10,30,2,119733.576408),-- [silver_arrow]
(21276,4087,1,1,-1,72350),-- [hose_of_doom_pattern]
(21276,6333,1,1,-1,35399),-- [rp_sealed_phoenix's_ring_i]
(21276,4088,1,1,-1,116524),-- [blue_wolve's_helmet_design]
(21276,57,1216,2484,0,700000),-- [adena]
(21276,12341,1,1,1,704.33958),-- [earing_of_black_ore_low]
(21276,4052,1,1,1,5373.911128),-- [earing_of_black_ore_piece]
(21276,12342,1,1,1,527.958744),-- [necklace_of_black_ore_low]
(21276,4054,1,1,1,2989.673184),-- [necklace_of_black_ore_beads]
(21276,12343,1,1,1,1054.06464),-- [ring_of_black_ore_low]
(21276,4053,1,1,1,6506.052724),-- [ring_of_black_ore_gemstone]
(21276,1864,1,1,2,165588.09693),-- [stem]
(21276,1869,1,1,2,82794.048465),-- [iron_ore]
(21276,1878,1,1,2,33117.710325),-- [braided_hemp]
(21276,1884,1,1,2,50950.39353),-- [cord]
(21276,4039,1,1,2,2759.99865),-- [mold_glue]
(21276,5456,1,1,2,30.464565),-- [rp_tallum_glaive_i]
(21276,8730,1,1,2,919.847985),-- [general_67_a]
(21276,8740,1,1,2,230.07567),-- [special_67_a]
(21276,8750,1,1,2,23.189445),-- [rare_67_a]
(21276,8760,1,1,2,4.54695),-- [unique_67_a]
(21276,1343,10,30,2,118276.627485),-- [silver_arrow]
(21278,5478,1,1,-1,26945),-- [sealed_dark_crystal_leather_mail_pattern]
(21278,729,1,1,-1,356),-- [scrl_of_ench_wp_a]
(21278,4040,1,1,-1,64087),-- [mold_lubricant]
(21278,57,1268,2577,0,700000),-- [adena]
(21278,11957,1,1,1,43.42806),-- [tallum_blade_low]
(21278,5548,1,1,1,536.71891),-- [tallum_blade_edge]
(21278,11952,1,1,1,43.42806),-- [elemental_sword_low]
(21278,5547,1,1,1,536.71891),-- [elemental_sword_edge]
(21278,11954,1,1,1,43.42806),-- [inferno_master_low]
(21278,8331,1,1,1,538.278),-- [inferno_master_blade]
(21278,1865,1,1,2,94651.322115),-- [varnish]
(21278,1870,1,1,2,94651.322115),-- [coal]
(21278,1879,1,1,2,15775.18446),-- [cokes]
(21278,1875,1,1,2,6310.116855),-- [stone_of_purity]
(21278,4040,1,1,2,1892.97045),-- [mold_lubricant]
(21278,6339,1,1,2,728.115255),-- [rp_sealed_majestic_ring_i]
(21278,8730,1,1,2,1051.578465),-- [general_67_a]
(21278,8740,1,1,2,262.948455),-- [special_67_a]
(21278,8750,1,1,2,26.27331),-- [rare_67_a]
(21278,8760,1,1,2,5.16852),-- [unique_67_a]
(21279,5478,1,1,-1,26790),-- [sealed_dark_crystal_leather_mail_pattern]
(21279,729,1,1,-1,354),-- [scrl_of_ench_wp_a]
(21279,4040,1,1,-1,63717),-- [mold_lubricant]
(21279,57,1260,2562,0,700000),-- [adena]
(21279,11957,1,1,1,43.17876),-- [tallum_blade_low]
(21279,5548,1,1,1,533.63786),-- [tallum_blade_edge]
(21279,11952,1,1,1,43.17876),-- [elemental_sword_low]
(21279,5547,1,1,1,533.63786),-- [elemental_sword_edge]
(21279,11954,1,1,1,43.17876),-- [inferno_master_low]
(21279,8331,1,1,1,535.188),-- [inferno_master_blade]
(21279,1865,1,1,2,94105.886482),-- [varnish]
(21279,1870,1,1,2,94105.886482),-- [coal]
(21279,1879,1,1,2,15684.278728),-- [cokes]
(21279,1875,1,1,2,6273.754314),-- [stone_of_purity]
(21279,4040,1,1,2,1882.06206),-- [mold_lubricant]
(21279,6339,1,1,2,723.919434),-- [rp_sealed_majestic_ring_i]
(21279,8730,1,1,2,1045.518662),-- [general_67_a]
(21279,8740,1,1,2,261.433194),-- [special_67_a]
(21279,8750,1,1,2,26.121908),-- [rare_67_a]
(21279,8760,1,1,2,5.138736),-- [unique_67_a]
(21280,5478,1,1,-1,27120),-- [sealed_dark_crystal_leather_mail_pattern]
(21280,729,1,1,-1,358),-- [scrl_of_ench_wp_a]
(21280,4040,1,1,-1,64502),-- [mold_lubricant]
(21280,57,1276,2593,0,700000),-- [adena]
(21280,11957,1,1,1,43.70229),-- [tallum_blade_low]
(21280,5548,1,1,1,540.108065),-- [tallum_blade_edge]
(21280,11952,1,1,1,43.70229),-- [elemental_sword_low]
(21280,5547,1,1,1,540.108065),-- [elemental_sword_edge]
(21280,11954,1,1,1,43.70229),-- [inferno_master_low]
(21280,8331,1,1,1,541.677),-- [inferno_master_blade]
(21280,1865,1,1,2,95265.321776),-- [varnish]
(21280,1870,1,1,2,95265.321776),-- [coal]
(21280,1879,1,1,2,15877.517504),-- [cokes]
(21280,1875,1,1,2,6351.050352),-- [stone_of_purity]
(21280,4040,1,1,2,1905.25008),-- [mold_lubricant]
(21280,6339,1,1,2,732.838512),-- [rp_sealed_majestic_ring_i]
(21280,8730,1,1,2,1058.400016),-- [general_67_a]
(21280,8740,1,1,2,264.654192),-- [special_67_a]
(21280,8750,1,1,2,26.443744),-- [rare_67_a]
(21280,8760,1,1,2,5.202048),-- [unique_67_a]
(21282,5536,1,1,-1,11253),-- [bloody_orchid_head]
(21282,729,1,1,-1,368),-- [scrl_of_ench_wp_a]
(21282,4040,1,1,-1,66152),-- [mold_lubricant]
(21282,57,1309,2658,0,700000),-- [adena]
(21282,11957,1,1,1,44.82414),-- [tallum_blade_low]
(21282,5548,1,1,1,553.97279),-- [tallum_blade_edge]
(21282,11952,1,1,1,44.82414),-- [elemental_sword_low]
(21282,5547,1,1,1,553.97279),-- [elemental_sword_edge]
(21282,11954,1,1,1,44.82414),-- [inferno_master_low]
(21282,8331,1,1,1,555.582),-- [inferno_master_blade]
(21282,1865,1,1,2,97701.271628),-- [varnish]
(21282,1870,1,1,2,97701.271628),-- [coal]
(21282,1879,1,1,2,16283.619131),-- [cokes]
(21282,1875,1,1,2,6513.314705),-- [stone_of_purity]
(21282,4040,1,1,2,1954.105201),-- [mold_lubricant]
(21282,5456,1,1,2,36.117377),-- [rp_tallum_glaive_i]
(21282,8730,1,1,2,1085.515521),-- [general_67_a]
(21282,8740,1,1,2,271.434275),-- [special_67_a]
(21282,8750,1,1,2,27.032638),-- [rare_67_a]
(21282,8760,1,1,2,5.317896),-- [unique_67_a]
(21283,5536,1,1,-1,11326),-- [bloody_orchid_head]
(21283,729,1,1,-1,370),-- [scrl_of_ench_wp_a]
(21283,4040,1,1,-1,66581),-- [mold_lubricant]
(21283,57,1318,2676,0,700000),-- [adena]
(21283,11957,1,1,1,45.1233),-- [tallum_blade_low]
(21283,5548,1,1,1,557.67005),-- [tallum_blade_edge]
(21283,11952,1,1,1,45.1233),-- [elemental_sword_low]
(21283,5547,1,1,1,557.67005),-- [elemental_sword_edge]
(21283,11954,1,1,1,45.1233),-- [inferno_master_low]
(21283,8331,1,1,1,559.29),-- [inferno_master_blade]
(21283,1865,1,1,2,98334.890912),-- [varnish]
(21283,1870,1,1,2,98334.890912),-- [coal]
(21283,1879,1,1,2,16389.222824),-- [cokes]
(21283,1875,1,1,2,6555.55532),-- [stone_of_purity]
(21283,4040,1,1,2,1966.778104),-- [mold_lubricant]
(21283,5456,1,1,2,36.351608),-- [rp_tallum_glaive_i]
(21283,8730,1,1,2,1092.555384),-- [general_67_a]
(21283,8740,1,1,2,273.1946),-- [special_67_a]
(21283,8750,1,1,2,27.207952),-- [rare_67_a]
(21283,8760,1,1,2,5.352384),-- [unique_67_a]
(21284,5536,1,1,-1,11188),-- [bloody_orchid_head]
(21284,729,1,1,-1,365),-- [scrl_of_ench_wp_a]
(21284,4040,1,1,-1,65771),-- [mold_lubricant]
(21284,57,1302,2643,0,700000),-- [adena]
(21284,11957,1,1,1,44.57484),-- [tallum_blade_low]
(21284,5548,1,1,1,550.89174),-- [tallum_blade_edge]
(21284,11952,1,1,1,44.57484),-- [elemental_sword_low]
(21284,5547,1,1,1,550.89174),-- [elemental_sword_edge]
(21284,11954,1,1,1,44.57484),-- [inferno_master_low]
(21284,8331,1,1,1,552.492),-- [inferno_master_blade]
(21284,1865,1,1,2,97138.201464),-- [varnish]
(21284,1870,1,1,2,97138.201464),-- [coal]
(21284,1879,1,1,2,16189.773678),-- [cokes]
(21284,1875,1,1,2,6475.77729),-- [stone_of_purity]
(21284,4040,1,1,2,1942.843338),-- [mold_lubricant]
(21284,5456,1,1,2,35.909226),-- [rp_tallum_glaive_i]
(21284,8730,1,1,2,1079.259498),-- [general_67_a]
(21284,8740,1,1,2,269.86995),-- [special_67_a]
(21284,8750,1,1,2,26.876844),-- [rare_67_a]
(21284,8760,1,1,2,5.287248),-- [unique_67_a]
(21286,5549,1,1,-1,341557),-- [iron_thread]
(21286,1889,1,1,-1,227705),-- [compound_braid]
(21286,6343,1,1,-1,73029),-- [sealed_phoenix's_necklace_beads]
(21286,57,1351,2748,0,700000),-- [adena]
(21286,12224,1,1,1,549.524654),-- [sealed_dark_crystal_boots_low]
(21286,5496,1,1,1,2956.975346),-- [sealed_dark_crystal_boots_lining]
(21286,12231,1,1,1,549.524654),-- [sealed_tallum_boots_low]
(21286,5497,1,1,1,2956.975346),-- [sealed_tallum_boots_lining]
(21286,12221,1,1,1,549.524654),-- [sealed_dark_crystal_gloves_low]
(21286,5508,1,1,1,2956.975346),-- [sealed_dark_crystal_gloves_design]
(21286,12229,1,1,1,549.524654),-- [sealed_tallum_gloves_low]
(21286,5509,1,1,1,2956.975346),-- [sealed_tallum_gloves_design]
(21286,1868,1,1,2,201781.465144),-- [thread]
(21286,1873,1,1,2,40356.398544),-- [silver_nugget]
(21286,5549,1,1,2,10089.099636),-- [iron_thread]
(21286,1889,1,1,2,6726.066424),-- [compound_braid]
(21286,4044,1,1,2,3363.033212),-- [thons]
(21286,5440,1,1,2,37.457896),-- [rp_elysian_i]
(21286,8730,1,1,2,1121.099),-- [general_67_a]
(21286,8740,1,1,2,280.142856),-- [special_67_a]
(21286,8750,1,1,2,27.961528),-- [rare_67_a]
(21286,8760,1,1,2,5.27576),-- [unique_67_a]
(21287,5549,1,1,-1,339589),-- [iron_thread]
(21287,1889,1,1,-1,226392),-- [compound_braid]
(21287,6343,1,1,-1,72608),-- [sealed_phoenix's_necklace_beads]
(21287,57,1343,2732,0,700000),-- [adena]
(21287,12224,1,1,1,546.351155),-- [sealed_dark_crystal_boots_low]
(21287,5496,1,1,1,2939.898845),-- [sealed_dark_crystal_boots_lining]
(21287,12231,1,1,1,546.351155),-- [sealed_tallum_boots_low]
(21287,5497,1,1,1,2939.898845),-- [sealed_tallum_boots_lining]
(21287,12221,1,1,1,546.351155),-- [sealed_dark_crystal_gloves_low]
(21287,5508,1,1,1,2939.898845),-- [sealed_dark_crystal_gloves_design]
(21287,12229,1,1,1,546.351155),-- [sealed_tallum_gloves_low]
(21287,5509,1,1,1,2939.898845),-- [sealed_tallum_gloves_design]
(21287,1868,1,1,2,200618.759384),-- [thread]
(21287,1873,1,1,2,40123.856784),-- [silver_nugget]
(21287,5549,1,1,2,10030.964196),-- [iron_thread]
(21287,1889,1,1,2,6687.309464),-- [compound_braid]
(21287,4044,1,1,2,3343.654732),-- [thons]
(21287,5440,1,1,2,37.242056),-- [rp_elysian_i]
(21287,8730,1,1,2,1114.639),-- [general_67_a]
(21287,8740,1,1,2,278.528616),-- [special_67_a]
(21287,8750,1,1,2,27.800408),-- [rare_67_a]
(21287,8760,1,1,2,5.24536),-- [unique_67_a]
(21288,5549,1,1,-1,343772),-- [iron_thread]
(21288,1889,1,1,-1,229181),-- [compound_braid]
(21288,6343,1,1,-1,73503),-- [sealed_phoenix's_necklace_beads]
(21288,57,1360,2766,0,700000),-- [adena]
(21288,12224,1,1,1,553.089943),-- [sealed_dark_crystal_boots_low]
(21288,5496,1,1,1,2976.160057),-- [sealed_dark_crystal_boots_lining]
(21288,12231,1,1,1,553.089943),-- [sealed_tallum_boots_low]
(21288,5497,1,1,1,2976.160057),-- [sealed_tallum_boots_lining]
(21288,12221,1,1,1,553.089943),-- [sealed_dark_crystal_gloves_low]
(21288,5508,1,1,1,2976.160057),-- [sealed_dark_crystal_gloves_design]
(21288,12229,1,1,1,553.089943),-- [sealed_tallum_gloves_low]
(21288,5509,1,1,1,2976.160057),-- [sealed_tallum_gloves_design]
(21288,1868,1,1,2,203089.509124),-- [thread]
(21288,1873,1,1,2,40618.008024),-- [silver_nugget]
(21288,5549,1,1,2,10154.502006),-- [iron_thread]
(21288,1889,1,1,2,6769.668004),-- [compound_braid]
(21288,4044,1,1,2,3384.834002),-- [thons]
(21288,5440,1,1,2,37.700716),-- [rp_elysian_i]
(21288,8730,1,1,2,1128.3665),-- [general_67_a]
(21288,8740,1,1,2,281.958876),-- [special_67_a]
(21288,8750,1,1,2,28.142788),-- [rare_67_a]
(21288,8760,1,1,2,5.30996),-- [unique_67_a]
(21290,730,1,1,-1,2349),-- [scrl_of_ench_am_a]
(21290,4041,1,1,-1,24508),-- [mold_hardener]
(21290,1875,1,1,-1,187895),-- [stone_of_purity]
(21290,57,1391,2835,0,700000),-- [adena]
(21290,11957,1,1,1,47.74095),-- [tallum_blade_low]
(21290,5548,1,1,1,590.021075);-- [tallum_blade_edge]

INSERT INTO `droplist` VALUES
(21290,11952,1,1,1,47.74095),-- [elemental_sword_low]
(21290,5547,1,1,1,590.021075),-- [elemental_sword_edge]
(21290,11954,1,1,1,47.74095),-- [inferno_master_low]
(21290,8331,1,1,1,591.735),-- [inferno_master_blade]
(21290,1872,1,1,2,138752.735056),-- [animal_bone]
(21290,1867,1,1,2,138752.735056),-- [animal_skin]
(21290,1881,1,1,2,13875.333654),-- [coarse_bone_powder]
(21290,1875,1,1,2,6937.516456),-- [stone_of_purity]
(21290,4041,1,1,2,904.932678),-- [mold_hardener]
(21290,5456,1,1,2,38.494976),-- [rp_tallum_glaive_i]
(21290,8730,1,1,2,1156.35299),-- [general_67_a]
(21290,8740,1,1,2,289.013062),-- [special_67_a]
(21290,8750,1,1,2,28.871232),-- [rare_67_a]
(21290,8760,1,1,2,6.01484),-- [unique_67_a]
(21291,730,1,1,-1,2335),-- [scrl_of_ench_am_a]
(21291,4041,1,1,-1,24367),-- [mold_hardener]
(21291,1875,1,1,-1,186812),-- [stone_of_purity]
(21291,57,1383,2819,0,700000),-- [adena]
(21291,11957,1,1,1,47.46672),-- [tallum_blade_low]
(21291,5548,1,1,1,586.63192),-- [tallum_blade_edge]
(21291,11952,1,1,1,47.46672),-- [elemental_sword_low]
(21291,5547,1,1,1,586.63192),-- [elemental_sword_edge]
(21291,11954,1,1,1,47.46672),-- [inferno_master_low]
(21291,8331,1,1,1,588.336),-- [inferno_master_blade]
(21291,1872,1,1,2,137953.184312),-- [animal_bone]
(21291,1867,1,1,2,137953.184312),-- [animal_skin]
(21291,1881,1,1,2,13795.378233),-- [coarse_bone_powder]
(21291,1875,1,1,2,6897.539612),-- [stone_of_purity]
(21291,4041,1,1,2,899.718081),-- [mold_hardener]
(21291,5456,1,1,2,38.273152),-- [rp_tallum_glaive_i]
(21291,8730,1,1,2,1149.689605),-- [general_67_a]
(21291,8740,1,1,2,287.347649),-- [special_67_a]
(21291,8750,1,1,2,28.704864),-- [rare_67_a]
(21291,8760,1,1,2,5.98018),-- [unique_67_a]
(21292,730,1,1,-1,2364),-- [scrl_of_ench_am_a]
(21292,4041,1,1,-1,24667),-- [mold_hardener]
(21292,1875,1,1,-1,189113),-- [stone_of_purity]
(21292,57,1400,2853,0,700000),-- [adena]
(21292,11957,1,1,1,48.06504),-- [tallum_blade_low]
(21292,5548,1,1,1,594.02644),-- [tallum_blade_edge]
(21292,11952,1,1,1,48.06504),-- [elemental_sword_low]
(21292,5547,1,1,1,594.02644),-- [elemental_sword_edge]
(21292,11954,1,1,1,48.06504),-- [inferno_master_low]
(21292,8331,1,1,1,595.752),-- [inferno_master_blade]
(21292,1872,1,1,2,139652.402656),-- [animal_bone]
(21292,1867,1,1,2,139652.402656),-- [animal_skin]
(21292,1881,1,1,2,13965.300804),-- [coarse_bone_powder]
(21292,1875,1,1,2,6982.499056),-- [stone_of_purity]
(21292,4041,1,1,2,910.800228),-- [mold_hardener]
(21292,5456,1,1,2,38.744576),-- [rp_tallum_glaive_i]
(21292,8730,1,1,2,1163.85074),-- [general_67_a]
(21292,8740,1,1,2,290.887012),-- [special_67_a]
(21292,8750,1,1,2,29.058432),-- [rare_67_a]
(21292,8760,1,1,2,6.05384),-- [unique_67_a]
(21294,5486,1,1,-1,33941),-- [sealed_dark_crystal_robe_fabric]
(21294,5442,1,1,-1,2124),-- [rp_soul_bow_i]
(21294,5489,1,1,-1,75707),-- [sealed_tallum_hose_fabric]
(21294,57,2269,4612,0,700000),-- [adena]
(21294,11957,1,1,1,77.73174),-- [tallum_blade_low]
(21294,5548,1,1,1,960.67139),-- [tallum_blade_edge]
(21294,11952,1,1,1,77.73174),-- [elemental_sword_low]
(21294,5547,1,1,1,960.67139),-- [elemental_sword_edge]
(21294,11954,1,1,1,77.73174),-- [inferno_master_low]
(21294,8331,1,1,1,963.462),-- [inferno_master_blade]
(21294,1869,1,1,2,169431.236205),-- [iron_ore]
(21294,1864,1,3,2,169431.236205),-- [stem]
(21294,1880,1,1,2,16943.013765),-- [steel]
(21294,5550,1,1,2,2258.995265),-- [reinforcing_plate]
(21294,4043,1,1,2,5647.671255),-- [asofe]
(21294,5440,1,1,2,62.617635),-- [rp_elysian_i]
(21294,8730,1,1,2,1882.557085),-- [general_67_a]
(21294,8740,1,1,2,470.547725),-- [special_67_a]
(21294,8750,1,1,2,47.237865),-- [rare_67_a]
(21294,8760,1,1,2,9.886995),-- [unique_67_a]
(21295,5547,1,1,-1,20750),-- [elemental_sword_edge]
(21295,5442,1,1,-1,2259),-- [rp_soul_bow_i]
(21295,5548,1,1,-1,20750),-- [tallum_blade_edge]
(21295,57,2414,4902,0,700000),-- [adena]
(21295,11957,1,1,1,82.66788),-- [tallum_blade_low]
(21295,5548,1,1,1,1021.67618),-- [tallum_blade_edge]
(21295,11952,1,1,1,82.66788),-- [elemental_sword_low]
(21295,5547,1,1,1,1021.67618),-- [elemental_sword_edge]
(21295,11954,1,1,1,82.66788),-- [inferno_master_low]
(21295,8331,1,1,1,1024.644),-- [inferno_master_blade]
(21295,1869,1,3,2,100086.186912),-- [iron_ore]
(21295,1864,1,3,2,300258.560736),-- [stem]
(21295,1880,1,1,2,30025.67784),-- [steel]
(21295,5550,1,1,2,4003.57224),-- [reinforcing_plate]
(21295,4043,1,1,2,10008.707808),-- [asofe]
(21295,10304,1,1,2,1201.294464),-- [sb_transform_saber_toothed_tiger]
(21296,5482,1,1,-1,120055),-- [sealed_legging_of_dark_crystal_design]
(21296,5440,1,1,-1,3369),-- [rp_elysian_i]
(21296,5485,1,1,-1,76488),-- [sealed_tallum_tunic_texture]
(21296,57,3597,7319,0,700000),-- [adena]
(21296,11955,1,1,1,369.855732),-- [carnium_bow_low]
(21296,5535,1,1,1,4584.144268),-- [carnium_bow_shaft]
(21296,1872,4,12,2,74633.468013),-- [animal_bone]
(21296,1867,1,3,2,199022.458401),-- [animal_skin]
(21296,1881,1,1,2,59706.62685),-- [coarse_bone_powder]
(21296,1875,1,1,2,29853.313425),-- [stone_of_purity]
(21296,4041,1,1,2,3893.750055),-- [mold_hardener]
(21296,10304,1,1,2,1791.383256),-- [sb_transform_saber_toothed_tiger]
(21297,5450,1,1,-1,2714),-- [rp_dragon_grinder_i]
(21297,6345,1,1,-1,280279),-- [sealed_phoenix's_ring_gemstone]
(21297,5456,1,1,-1,2714),-- [rp_tallum_glaive_i]
(21297,57,3615,7369,0,700000),-- [adena]
(21297,11951,1,1,1,372.343692),-- [bloody_orchid_low]
(21297,5536,1,1,1,4601.656308),-- [bloody_orchid_head]
(21297,1873,2,6,2,45086.013615),-- [silver_nugget]
(21297,1868,3,9,2,150287.276958),-- [thread]
(21297,1876,1,1,2,90172.450911),-- [mithril_ore]
(21297,1895,1,1,2,128817.665964),-- [metallic_fiber]
(21297,4042,1,1,2,7514.406216),-- [enria]
(21297,10304,1,1,2,1803.186336),-- [sb_transform_saber_toothed_tiger]
(21298,5478,1,1,-1,39651),-- [sealed_dark_crystal_leather_mail_pattern]
(21298,730,1,1,-1,3929),-- [scrl_of_ench_am_a]
(21298,1895,1,3,-1,673616),-- [metallic_fiber]
(21298,57,2327,4743,0,700000),-- [adena]
(21298,12224,1,1,1,948.288516),-- [sealed_dark_crystal_boots_low]
(21298,5496,1,1,1,5102.711484),-- [sealed_dark_crystal_boots_lining]
(21298,12231,1,1,1,948.288516),-- [sealed_tallum_boots_low]
(21298,5497,1,1,1,5102.711484),-- [sealed_tallum_boots_lining]
(21298,12221,1,1,1,948.288516),-- [sealed_dark_crystal_gloves_low]
(21298,5508,1,1,1,5102.711484),-- [sealed_dark_crystal_gloves_design]
(21298,12229,1,1,1,948.288516),-- [sealed_tallum_gloves_low]
(21298,5509,1,1,1,5102.711484),-- [sealed_tallum_gloves_design]
(21298,1873,1,1,2,58034.635828),-- [silver_nugget]
(21298,1868,1,3,2,145087.049892),-- [thread]
(21298,1876,1,1,2,29017.317914),-- [mithril_ore]
(21298,1895,1,1,2,41453.377066),-- [metallic_fiber]
(21298,4042,1,1,2,2418.071466),-- [enria]
(21298,5167,1,1,2,64.44508),-- [rp_comp_bspiritshot_s]
(21298,5380,1,1,2,824.436702),-- [rp_sealed_boots_of_nightmare_i]
(21298,8730,1,1,2,1612.047644),-- [general_67_a]
(21298,8740,1,1,2,403.242072),-- [special_67_a]
(21298,8750,1,1,2,40.508336),-- [rare_67_a]
(21298,8760,1,1,2,8.285796),-- [unique_67_a]
(21298,1344,10,30,2,181358.582204),-- [mithril_arrow]
(21299,5508,1,1,-1,177046),-- [sealed_dark_crystal_gloves_design]
(21299,729,1,1,-1,839),-- [scrl_of_ench_wp_a]
(21299,4041,1,1,-1,65661),-- [mold_hardener]
(21299,57,3724,7603,0,700000),-- [adena]
(21299,11957,1,1,1,127.91583),-- [tallum_blade_low]
(21299,5548,1,1,1,1580.886755),-- [tallum_blade_edge]
(21299,11952,1,1,1,127.91583),-- [elemental_sword_low]
(21299,5547,1,1,1,1580.886755),-- [elemental_sword_edge]
(21299,11954,1,1,1,127.91583),-- [inferno_master_low]
(21299,8331,1,1,1,1585.479),-- [inferno_master_blade]
(21299,1872,1,3,2,154892.866007),-- [animal_bone]
(21299,1867,1,3,2,103262.166656),-- [animal_skin]
(21299,1881,1,1,2,30978.496406),-- [coarse_bone_powder]
(21299,1875,1,1,2,15489.248203),-- [stone_of_purity]
(21299,4041,1,1,2,2020.486974),-- [mold_hardener]
(21299,5157,1,1,2,103.289813),-- [rp_comp_soulshot_s]
(21299,5382,1,1,2,1320.112926),-- [rp_sealed_magestic_boots_i]
(21299,8730,1,1,2,2581.477371),-- [general_67_a]
(21299,8740,1,1,2,645.465337),-- [special_67_a]
(21299,8750,1,1,2,64.508136),-- [rare_67_a]
(21299,8760,1,1,2,13.055218),-- [unique_67_a]
(21299,1344,40,120,2,72605.826953),-- [mithril_arrow]
(21300,1895,1,5,-1,707483),-- [metallic_fiber]
(21300,5509,1,1,-1,174175),-- [sealed_tallum_gloves_design]
(21300,5434,1,1,-1,2751),-- [rp_dragon_slayer_i]
(21300,57,3663,7480,0,700000),-- [adena]
(21300,11946,1,1,1,94.390996),-- [dasparion's_staff_low]
(21300,5543,1,1,1,1167.154464),-- [dasparion's_staff_head]
(21300,11949,1,1,1,94.390996),-- [meteor_shower_low]
(21300,5532,1,1,1,1156.253364),-- [meteor_shower_head]
(21300,11953,1,1,1,94.390996),-- [eye_of_soul_low]
(21300,8341,1,1,1,1154.774824),-- [eye_of_soul_piece]
(21300,11958,1,1,1,94.390996),-- [hammer_of_destroyer_low]
(21300,8346,1,1,1,1156.253364),-- [hammer_of_destroyer_piece]
(21300,1895,1,1,2,87074.879346),-- [metallic_fiber]
(21300,4040,1,1,2,6095.186244),-- [mold_lubricant]
(21300,4042,1,1,2,5079.397122),-- [enria]
(21300,4043,1,1,2,10158.681366),-- [asofe]
(21300,5162,1,1,2,135.4536),-- [rp_comp_spiritshot_s]
(21300,8730,1,1,2,3386.227122),-- [general_67_a]
(21300,8740,1,1,2,846.585),-- [special_67_a]
(21300,8750,1,1,2,84.6585),-- [rare_67_a]
(21300,8760,1,1,2,16.9317),-- [unique_67_a]
(21301,5520,1,1,-1,57484),-- [sealed_dark_crystal_breastplate_pattern]
(21301,5440,1,1,-1,3302),-- [rp_elysian_i]
(21301,5521,1,1,-1,40563),-- [sealed_tallum_plate_armor_pattern]
(21301,57,4396,8976,0,700000),-- [adena]
(21301,11950,1,1,1,453.070422),-- [blood_tornado_low]
(21301,5539,1,1,1,5549.929578),-- [blood_tornado_edge]
(21301,1868,4,12,2,68571.48648),-- [thread]
(21301,1873,1,1,2,109714.44897),-- [silver_nugget]
(21301,5549,1,1,2,27428.52399),-- [iron_thread]
(21301,1889,1,1,2,18285.56499),-- [compound_braid]
(21301,4044,1,1,2,9142.959),-- [thons]
(21301,5167,1,1,2,121.78845),-- [rp_comp_bspiritshot_s]
(21301,5404,1,1,2,1558.53915),-- [rp_sealed_gloves_of_nightmare_i]
(21301,8730,1,1,2,3047.53533),-- [general_67_a]
(21301,8740,1,1,2,761.79558),-- [special_67_a]
(21301,8750,1,1,2,76.25016),-- [rare_67_a]
(21301,8760,1,1,2,15.17943),-- [unique_67_a]
(21301,1344,30,90,2,114285.92847),-- [mithril_arrow]
(21302,729,1,1,-1,799),-- [scrl_of_ench_wp_a]
(21302,1875,1,1,-1,479548),-- [stone_of_purity]
(21302,4041,1,1,-1,62550),-- [mold_hardener]
(21302,57,3552,7232,0,700000),-- [adena]
(21302,11957,1,1,1,121.85784),-- [tallum_blade_low]
(21302,5548,1,1,1,1506.01724),-- [tallum_blade_edge]
(21302,11952,1,1,1,121.85784),-- [elemental_sword_low]
(21302,5547,1,1,1,1506.01724),-- [elemental_sword_edge]
(21302,11954,1,1,1,121.85784),-- [inferno_master_low]
(21302,8331,1,1,1,1510.392),-- [inferno_master_blade]
(21302,1872,1,3,2,160967.013024),-- [animal_bone]
(21302,1867,1,3,2,107311.342016),-- [animal_skin]
(21302,1881,1,1,2,32193.338003),-- [coarse_bone_powder]
(21302,1875,1,1,2,16096.830506),-- [stone_of_purity]
(21302,4041,1,1,2,2099.5585),-- [mold_hardener]
(21302,5162,1,1,2,107.238988),-- [rp_comp_spiritshot_s]
(21302,5382,1,1,2,1371.819223),-- [rp_sealed_magestic_boots_i]
(21302,8731,1,1,2,2235.545289),-- [general_70_a]
(21302,8741,1,1,2,558.80557),-- [special_70_a]
(21302,8751,1,1,2,55.880557),-- [rare_70_a]
(21302,8761,1,1,2,11.628324),-- [unique_70_a]
(21303,5547,1,1,-1,24748),-- [elemental_sword_edge]
(21303,5466,1,1,-1,2694),-- [rp_sword_of_miracle_i]
(21303,5548,1,1,-1,24748),-- [tallum_blade_edge]
(21303,57,3592,7313,0,700000),-- [adena]
(21303,11946,1,1,1,92.413531),-- [dasparion's_staff_low]
(21303,5543,1,1,1,1142.702904),-- [dasparion's_staff_head]
(21303,11949,1,1,1,92.413531),-- [meteor_shower_low]
(21303,5532,1,1,1,1132.030179),-- [meteor_shower_head]
(21303,11953,1,1,1,92.413531),-- [eye_of_soul_low]
(21303,8341,1,1,1,1130.582614),-- [eye_of_soul_piece]
(21303,11958,1,1,1,92.413531),-- [hammer_of_destroyer_low]
(21303,8346,1,1,1,1132.030179),-- [hammer_of_destroyer_piece]
(21303,1872,1,3,2,149211.132531),-- [animal_bone]
(21303,1867,1,3,2,99474.088354),-- [animal_skin]
(21303,1881,1,1,2,29842.152634),-- [coarse_bone_powder]
(21303,1875,1,1,2,14921.076317),-- [stone_of_purity]
(21303,4041,1,1,2,1946.163109),-- [mold_hardener]
(21303,5167,1,1,2,99.358109),-- [rp_comp_bspiritshot_s]
(21303,5406,1,1,2,1271.709923),-- [rp_sealed_magestic_gloves_i]
(21303,8731,1,1,2,2072.484571),-- [general_70_a]
(21303,8741,1,1,2,518.213483),-- [special_70_a]
(21303,8751,1,1,2,51.71054),-- [rare_70_a]
(21303,8761,1,1,2,10.342108),-- [unique_70_a]
(21303,1344,40,120,2,69942.568321),-- [mithril_arrow]
(21304,5542,1,1,-1,36128),-- [halbard_edge]
(21304,5440,1,1,-1,3968),-- [rp_elysian_i]
(21304,5543,1,1,-1,36469),-- [dasparion's_staff_head]
(21304,57,5287,10776,0,700000),-- [adena]
(21304,11946,1,1,1,136.124924),-- [dasparion's_staff_low]
(21304,5543,1,1,1,1683.198816),-- [dasparion's_staff_head]
(21304,11949,1,1,1,136.124924),-- [meteor_shower_low]
(21304,5532,1,1,1,1667.477916),-- [meteor_shower_head]
(21304,11953,1,1,1,136.124924),-- [eye_of_soul_low]
(21304,8341,1,1,1,1665.345656),-- [eye_of_soul_piece]
(21304,11958,1,1,1,136.124924),-- [hammer_of_destroyer_low]
(21304,8346,1,1,1,1667.477916),-- [hammer_of_destroyer_piece]
(21304,1894,1,1,2,13879.8519),-- [crafted_leather]
(21304,4039,1,1,2,13185.637464),-- [mold_glue]
(21304,4041,1,1,2,3439.718652),-- [mold_hardener]
(21304,4044,1,1,2,13185.637464),-- [thons]
(21304,5277,1,1,2,175.698072),-- [rp_adv_comp_spiritshot_s]
(21304,8731,1,1,2,3662.742804),-- [general_70_a]
(21304,8741,1,1,2,915.759648),-- [special_70_a]
(21304,8751,1,1,2,91.69428),-- [rare_70_a]
(21304,8761,1,1,2,18.338856),-- [unique_70_a]
(21304,1344,20,60,2,247232.92086),-- [mithril_arrow]
(21305,730,1,1,-1,6574),-- [scrl_of_ench_am_a]
(21305,4040,1,1,-1,157783),-- [mold_lubricant]
(21305,1877,1,1,-1,315566),-- [admantite_nugget]
(21305,57,3893,7935,0,700000),-- [adena]
(21305,11946,1,1,1,100.229226),-- [dasparion's_staff_low]
(21305,5543,1,1,1,1239.344784),-- [dasparion's_staff_head]
(21305,11949,1,1,1,100.229226),-- [meteor_shower_low]
(21305,5532,1,1,1,1227.769434),-- [meteor_shower_head]
(21305,11953,1,1,1,100.229226),-- [eye_of_soul_low]
(21305,8341,1,1,1,1226.199444),-- [eye_of_soul_piece]
(21305,11958,1,1,1,100.229226),-- [hammer_of_destroyer_low]
(21305,8346,1,1,1,1227.769434),-- [hammer_of_destroyer_piece]
(21305,1871,1,3,2,145645.737432),-- [charcoal]
(21305,1866,1,1,2,194194.074288),-- [suede]
(21305,1877,1,1,2,11651.62992),-- [admantite_nugget]
(21305,4041,1,1,2,2533.12104),-- [mold_hardener]
(21305,4040,1,1,2,5825.81496),-- [mold_lubricant]
(21305,5282,1,1,2,129.381792),-- [rp_adv_comp_bspiritshot_s]
(21305,8731,1,1,2,2697.028872),-- [general_70_a]
(21305,8741,1,1,2,674.16636),-- [special_70_a]
(21305,8751,1,1,2,67.598352),-- [rare_70_a]
(21305,8761,1,1,2,13.446984),-- [unique_70_a]
(21306,5547,1,1,-1,48569),-- [elemental_sword_edge]
(21306,5442,1,1,-1,5287),-- [rp_soul_bow_i]
(21306,5548,1,1,-1,48569),-- [tallum_blade_edge]
(21306,57,7045,14360,0,700000),-- [adena]
(21306,11950,1,1,1,725.531562),-- [blood_tornado_low]
(21306,5539,1,1,1,8887.468438),-- [blood_tornado_edge]
(21306,1865,1,3,2,159728.673824),-- [varnish]
(21306,1870,2,6,2,119796.622112),-- [coal]
(21306,1879,1,1,2,79864.5704),-- [cokes]
(21306,1875,1,1,2,31945.82816),-- [stone_of_purity]
(21306,4040,1,1,2,9583.748448),-- [mold_lubricant]
(21306,6901,1,1,2,479.117376),-- [rp_shining_arrow]
(21306,8731,1,1,2,4436.738976),-- [general_70_a]
(21306,8741,1,1,2,1109.068),-- [special_70_a]
(21306,8751,1,1,2,111.140288),-- [rare_70_a]
(21306,8761,1,1,2,22.414848),-- [unique_70_a]
(21306,1344,100,300,2,59898.077568),-- [mithril_arrow]
(21307,5480,1,1,-1,45013),-- [sealed_leather_mail_of_nightmare_fabric]
(21307,1808,1,1,-1,4458),-- [rp_soulshot_s]
(21307,5481,1,1,-1,45013),-- [sealed_majestic_leather_mail_fabric]
(21307,57,4948,10097,0,700000),-- [adena]
(21307,11957,1,1,1,169.94781),-- [tallum_blade_low]
(21307,5548,1,1,1,2100.351785),-- [tallum_blade_edge]
(21307,11952,1,1,1,169.94781),-- [elemental_sword_low]
(21307,5547,1,1,1,2100.351785),-- [elemental_sword_edge]
(21307,11954,1,1,1,169.94781),-- [inferno_master_low]
(21307,8331,1,1,1,2106.453),-- [inferno_master_blade]
(21307,1868,3,9,2,123464.184746),-- [thread]
(21307,1873,1,1,2,148157.091746),-- [silver_nugget]
(21307,5549,1,1,2,37039.3605),-- [iron_thread]
(21307,1889,1,1,2,24692.907),-- [compound_braid]
(21307,4044,1,1,2,12346.4535),-- [thons]
(21307,5277,1,1,2,164.61938),-- [rp_adv_comp_spiritshot_s]
(21307,8731,1,1,2,3429.687168),-- [general_70_a]
(21307,8741,1,1,2,857.421792),-- [special_70_a]
(21307,8751,1,1,2,85.81223),-- [rare_70_a]
(21307,8761,1,1,2,16.461938),-- [unique_70_a]
(21308,3036,1,1,-1,5924),-- [rp_spiritshot_s]
(21308,5487,1,1,-1,60021),-- [sealed_robe_of_nightmare_fabric]
(21308,1875,1,1,-1,888584),-- [stone_of_purity]
(21308,57,6575,13415,0,700000),-- [adena]
(21308,11946,1,1,1,169.346336),-- [dasparion's_staff_low]
(21308,5543,1,1,1,2093.985024),-- [dasparion's_staff_head]
(21308,11949,1,1,1,169.346336),-- [meteor_shower_low]
(21308,5532,1,1,1,2074.427424),-- [meteor_shower_head]
(21308,11953,1,1,1,169.346336),-- [eye_of_soul_low]
(21308,8341,1,1,1,2071.774784),-- [eye_of_soul_piece]
(21308,11958,1,1,1,169.346336),-- [hammer_of_destroyer_low]
(21308,8346,1,1,1,2074.427424),-- [hammer_of_destroyer_piece]
(21308,1872,5,15,2,59653.14794),-- [animal_bone]
(21308,1867,1,3,2,198843.66074),-- [animal_skin]
(21308,1881,1,1,2,59653.14794),-- [coarse_bone_powder]
(21308,1875,1,1,2,29826.32538),-- [stone_of_purity]
(21308,4041,1,1,2,3890.4335),-- [mold_hardener]
(21308,5282,1,1,2,198.872),-- [rp_adv_comp_bspiritshot_s]
(21308,8731,1,1,2,4142.50376),-- [general_70_a]
(21308,8741,1,1,2,1035.62594),-- [special_70_a]
(21308,8751,1,1,2,103.41344),-- [rare_70_a]
(21308,8761,1,1,2,20.88156),-- [unique_70_a]
(21308,1344,40,120,2,139811.9878),-- [mithril_arrow]
(21309,3036,1,1,-1,6174),-- [rp_spiritshot_s]
(21309,5487,1,1,-1,62556),-- [sealed_robe_of_nightmare_fabric]
(21309,1875,1,1,-1,926118),-- [stone_of_purity]
(21309,57,6853,13982,0,700000),-- [adena]
(21309,11946,1,1,1,176.502876),-- [dasparion's_staff_low]
(21309,5543,1,1,1,2182.476384),-- [dasparion's_staff_head]
(21309,11949,1,1,1,176.502876),-- [meteor_shower_low]
(21309,5532,1,1,1,2162.092284),-- [meteor_shower_head]
(21309,11953,1,1,1,176.502876),-- [eye_of_soul_low]
(21309,8341,1,1,1,2159.327544),-- [eye_of_soul_piece]
(21309,11958,1,1,1,176.502876),-- [hammer_of_destroyer_low]
(21309,8346,1,1,1,2162.092284),-- [hammer_of_destroyer_piece]
(21309,1872,5,15,2,62172.92628),-- [animal_bone]
(21309,1867,9,27,2,34540.74492),-- [animal_skin]
(21309,1881,1,1,2,62172.92628),-- [coarse_bone_powder]
(21309,1875,1,1,2,31086.63588),-- [stone_of_purity]
(21309,4041,1,1,2,4054.89876),-- [mold_hardener]
(21309,5282,1,1,2,207.288),-- [rp_adv_comp_bspiritshot_s]
(21309,8731,1,1,2,4317.46356),-- [general_70_a]
(21309,8741,1,1,2,1079.27952),-- [special_70_a]
(21309,8751,1,1,2,107.78976),-- [rare_70_a]
(21309,8761,1,1,2,21.41976),-- [unique_70_a]
(21309,1344,40,120,2,145718.62728),-- [mithril_arrow]
(21310,5549,1,3,-1,571636),-- [iron_thread]
(21310,5546,1,1,-1,34452),-- [sword_of_miracle_edge]
(21310,5162,1,1,-1,5081),-- [rp_comp_spiritshot_s]
(21310,57,5625,11517,0,700000),-- [adena]
(21310,11957,1,1,1,193.68117),-- [tallum_blade_low]
(21310,5548,1,1,1,2393.667745),-- [tallum_blade_edge]
(21310,11952,1,1,1,193.68117),-- [elemental_sword_low]
(21310,5547,1,1,1,2393.667745),-- [elemental_sword_edge]
(21310,11954,1,1,1,193.68117),-- [inferno_master_low]
(21310,8331,1,1,1,2400.621),-- [inferno_master_blade]
(21310,1868,3,9,2,156344.773849),-- [thread]
(21310,1873,1,1,2,187613.551436),-- [silver_nugget]
(21310,5549,1,1,2,46903.387859),-- [iron_thread]
(21310,1889,1,1,2,31268.777587),-- [compound_braid]
(21310,4044,1,1,2,15634.610272),-- [thons]
(21310,5157,1,1,2,208.632747),-- [rp_comp_soulshot_s]
(21310,8732,1,1,2,3908.652568),-- [general_75_s]
(21310,8742,1,1,2,977.163142),-- [special_75_s]
(21310,8752,1,1,2,97.45054),-- [rare_75_s]
(21311,5549,1,3,-1,527054),-- [iron_thread]
(21311,5546,1,1,-1,31765),-- [sword_of_miracle_edge]
(21311,5162,1,1,-1,4685),-- [rp_comp_spiritshot_s]
(21311,57,5186,10619,0,700000),-- [adena]
(21311,11957,1,1,1,178.57359),-- [tallum_blade_low]
(21311,5548,1,1,1,2206.956115),-- [tallum_blade_edge]
(21311,11952,1,1,1,178.57359),-- [elemental_sword_low]
(21311,5547,1,1,1,2206.956115),-- [elemental_sword_edge]
(21311,11954,1,1,1,178.57359),-- [inferno_master_low]
(21311,8331,1,1,1,2213.367),-- [inferno_master_blade]
(21311,1868,3,9,2,144151.521327),-- [thread]
(21311,1873,1,1,2,172981.662228),-- [silver_nugget]
(21311,5549,1,1,2,43245.415557),-- [iron_thread]
(21311,1889,1,1,2,28830.140901),-- [compound_braid]
(21311,4044,1,1,2,14415.274656),-- [thons]
(21311,5157,1,1,2,192.361581),-- [rp_comp_soulshot_s]
(21311,8732,1,1,2,3603.818664),-- [general_75_s]
(21311,8742,1,1,2,900.954666),-- [special_75_s]
(21311,8752,1,1,2,89.85042),-- [rare_75_s]
(21312,5448,1,1,-1,4041),-- [rp_soul_separator_i]
(21312,6341,1,1,-1,301763),-- [sealed_phoenix's_earing_gemstone]
(21312,729,1,1,-1,1212),-- [scrl_of_ench_wp_a]
(21312,57,5384,10974,0,700000),-- [adena]
(21312,11955,1,1,1,554.484966),-- [carnium_bow_low]
(21312,5535,1,1,1,6872.515034),-- [carnium_bow_shaft]
(21312,1866,1,3,2,89519.913234),-- [suede]
(21312,1871,1,3,2,201419.281158),-- [charcoal]
(21312,5220,1,1,2,16113.48664),-- [reinforcing_agent]
(21312,1885,1,1,2,33569.880193),-- [high_grade_suede]
(21312,4041,1,1,2,3503.007765),-- [mold_hardener]
(21312,1808,1,1,2,179.077527),-- [rp_soulshot_s]
(21312,8731,1,1,2,3729.909115),-- [general_70_a]
(21312,8741,1,1,2,932.390009),-- [special_70_a]
(21312,8751,1,1,2,93.204093),-- [rare_70_a]
(21312,8761,1,1,2,18.850266),-- [unique_70_a]
(21313,730,1,1,-1,8658),-- [scrl_of_ench_am_a]
(21313,1895,1,7,-1,742151),-- [metallic_fiber]
(21313,4042,1,1,-1,173169),-- [enria]
(21313,57,5124,10462,0,700000),-- [adena]
(21313,11955,1,1,1,528.056034),-- [carnium_bow_low]
(21313,5535,1,1,1,6544.943966),-- [carnium_bow_shaft]
(21313,1873,1,1,2,139503.67112),-- [silver_nugget]
(21313,1868,3,9,2,116253.42432),-- [thread]
(21313,1876,1,1,2,69752.054592),-- [mithril_ore]
(21313,1895,1,1,2,99645.541952),-- [metallic_fiber]
(21313,4042,1,1,2,5812.671216),-- [enria]
(21313,5272,1,1,2,155.074656),-- [rp_adv_comp_soulshot_s]
(21313,5380,1,1,2,1981.801536),-- [rp_sealed_boots_of_nightmare_i]
(21313,8730,1,1,2,3875.114144),-- [general_67_a]
(21313,8740,1,1,2,968.559504),-- [special_67_a]
(21313,8750,1,1,2,96.812144),-- [rare_67_a]
(21313,8760,1,1,2,19.274816),-- [unique_67_a]
(21314,6335,1,1,-1,22347),-- [rp_sealed_majestic_necklace_i]
(21314,6341,1,1,-1,160703),-- [sealed_phoenix's_earing_gemstone]
(21314,730,1,1,-1,4842),-- [scrl_of_ench_am_a]
(21314,57,2869,5842,0,700000),-- [adena]
(21314,11950,1,1,1,295.329762),-- [blood_tornado_low]
(21314,5539,1,1,1,3617.670238),-- [blood_tornado_edge]
(21314,1895,1,1,2,68105.16775),-- [metallic_fiber]
(21314,4040,1,1,2,4767.339812),-- [mold_lubricant]
(21314,4042,1,1,2,3972.841658),-- [enria]
(21314,4043,1,1,2,7945.595594),-- [asofe]
(21314,5272,1,1,2,105.968176),-- [rp_adv_comp_soulshot_s]
(21314,8731,1,1,2,2207.08552),-- [general_70_a]
(21314,8741,1,1,2,551.77138),-- [special_70_a]
(21314,8751,1,1,2,55.177138),-- [rare_70_a]
(21314,8761,1,1,2,11.052972),-- [unique_70_a]
(21315,5549,1,1,-1,605496),-- [iron_thread]
(21315,1889,1,1,-1,403664),-- [compound_braid]
(21315,6343,1,1,-1,129462),-- [sealed_phoenix's_necklace_beads]
(21315,57,2990,6088,0,700000),-- [adena]
(21315,11955,1,1,1,307.740276),-- [carnium_bow_low]
(21315,5535,1,1,1,3814.259724),-- [carnium_bow_shaft]
(21315,1868,1,3,2,203243.393899),-- [thread]
(21315,1873,1,1,2,81297.275085),-- [silver_nugget]
(21315,5549,1,1,2,20324.215678),-- [iron_thread]
(21315,1889,1,1,2,13549.752034),-- [compound_braid]
(21315,4044,1,1,2,6774.876017),-- [thons]
(21315,5277,1,1,2,90.309687),-- [rp_adv_comp_spiritshot_s]
(21315,8731,1,1,2,1882.070372),-- [general_70_a]
(21315,8741,1,1,2,470.517593),-- [special_70_a]
(21315,8751,1,1,2,47.010522),-- [rare_70_a]
(21315,8761,1,1,2,9.484579),-- [unique_70_a]
(21315,1344,30,90,2,84684.094534),-- [mithril_arrow]
(21316,5550,1,1,-1,84418),-- [reinforcing_plate]
(21316,4043,1,1,-1,211044),-- [asofe]
(21316,6343,1,1,-1,135372),-- [sealed_phoenix's_necklace_beads]
(21316,57,3124,6369,0,700000),-- [adena]
(21316,11951,1,1,1,321.814542),-- [bloody_orchid_low]
(21316,5536,1,1,1,3977.185458),-- [bloody_orchid_head]
(21316,1869,2,6,2,53130.004037),-- [iron_ore]
(21316,1864,1,3,2,212520.016148),-- [stem]
(21316,1880,1,1,2,21252.156808),-- [steel]
(21316,5550,1,1,2,2833.439849),-- [reinforcing_plate]
(21316,4043,1,1,2,7084.181597),-- [asofe]
(21316,3036,1,1,2,94.279869),-- [rp_spiritshot_s]
(21316,8731,1,1,2,1967.849776),-- [general_70_a]
(21316,8741,1,1,2,491.962444),-- [special_70_a]
(21316,8751,1,1,2,49.273841),-- [rare_70_a]
(21316,8761,1,1,2,9.699575),-- [unique_70_a]
(21316,1344,30,90,2,88550.136056),-- [mithril_arrow]
(21317,5450,1,1,-1,2216),-- [rp_dragon_grinder_i]
(21317,6345,1,1,-1,228933),-- [sealed_phoenix's_ring_gemstone]
(21317,5456,1,1,-1,2216),-- [rp_tallum_glaive_i]
(21317,57,2953,6019,0,700000),-- [adena]
(21317,11950,1,1,1,304.16022),-- [blood_tornado_low]
(21317,5539,1,1,1,3725.83978),-- [blood_tornado_edge]
(21317,1867,1,3,2,147305.746648),-- [animal_skin]
(21317,1872,1,3,2,98203.93402),-- [animal_bone]
(21317,1882,1,1,2,49101.812628),-- [leather]
(21317,1894,1,1,2,7753.06404),-- [crafted_leather]
(21317,4042,1,1,2,3682.628228),-- [enria]
(21317,3957,1,1,2,98.186952),-- [rp_blessed_spiritshot_s]
(21317,8731,1,1,2,2045.870264),-- [general_70_a]
(21317,8741,1,1,2,511.621948),-- [special_70_a]
(21317,8751,1,1,2,51.254824),-- [rare_70_a]
(21317,8761,1,1,2,9.880448),-- [unique_70_a]
(21318,5478,1,1,-1,52600),-- [sealed_dark_crystal_leather_mail_pattern]
(21318,730,1,1,-1,5213),-- [scrl_of_ench_am_a]
(21318,5549,1,1,-1,625522),-- [iron_thread]
(21318,57,3087,6292,0,700000),-- [adena]
(21318,12224,1,1,1,1257.959332),-- [sealed_dark_crystal_boots_low]
(21318,5496,1,1,1,6769.040668),-- [sealed_dark_crystal_boots_lining]
(21318,12231,1,1,1,1257.959332),-- [sealed_tallum_boots_low]
(21318,5497,1,1,1,6769.040668),-- [sealed_tallum_boots_lining]
(21318,12221,1,1,1,1257.959332),-- [sealed_dark_crystal_gloves_low]
(21318,5508,1,1,1,6769.040668),-- [sealed_dark_crystal_gloves_design]
(21318,12229,1,1,1,1257.959332),-- [sealed_tallum_gloves_low]
(21318,5509,1,1,1,6769.040668),-- [sealed_tallum_gloves_design]
(21318,1868,1,3,2,209965.552356),-- [thread]
(21318,1873,1,1,2,83986.13574),-- [silver_nugget]
(21318,5549,1,1,2,20996.427432),-- [iron_thread]
(21318,1889,1,1,2,13997.902296),-- [compound_braid]
(21318,4044,1,1,2,6998.951148),-- [thons]
(21318,5157,1,1,2,93.296628),-- [rp_comp_soulshot_s]
(21318,8731,1,1,2,1944.318768),-- [general_70_a]
(21318,8741,1,1,2,486.079692),-- [special_70_a]
(21318,8751,1,1,2,48.565368),-- [rare_70_a]
(21318,8761,1,1,2,9.798276),-- [unique_70_a]
(21318,1344,30,90,2,87484.972296),-- [mithril_arrow]
(21319,5495,1,1,-1,107187),-- [sealed_shield_of_nightmare_fragment]
(21319,5157,1,1,-1,3137),-- [rp_comp_soulshot_s]
(21319,5502,1,1,-1,119216),-- [sealed_boots_of_nightmare_lining]
(21319,57,3482,7105,0,700000),-- [adena]
(21319,288,1,1,1,18.4851),-- [carnium_bow]
(21319,5535,1,1,1,4446.5149),-- [carnium_bow_shaft]
(21319,1869,2,6,2,59234.470779),-- [iron_ore]
(21319,1864,1,3,2,236937.883116),-- [stem]
(21319,1880,1,1,2,23693.961336),-- [steel]
(21319,5550,1,1,2,3158.992983),-- [reinforcing_plate]
(21319,4043,1,1,2,7898.131299),-- [asofe]
(21319,3036,1,1,2,105.112323),-- [rp_spiritshot_s]
(21319,8731,1,1,2,2193.949392),-- [general_70_a]
(21319,8741,1,1,2,548.487348),-- [special_70_a]
(21319,8751,1,1,2,54.935247),-- [rare_70_a]
(21319,8761,1,1,2,10.814025),-- [unique_70_a]
(21319,1344,30,90,2,98724.262152),-- [mithril_arrow]
(21320,4042,1,1,-1,107055),-- [enria]
(21320,1894,1,1,-1,225378),-- [crafted_leather]
(21320,5503,1,1,-1,108483),-- [sealed_magestic_boots_lining]
(21320,57,3168,6465,0,700000),-- [adena]
(21320,11951,1,1,1,326.455738),-- [bloody_orchid_low]
(21320,5536,1,1,1,4034.544262),-- [bloody_orchid_head]
(21320,1867,1,3,2,158111.176866),-- [animal_skin]
(21320,1872,1,3,2,105407.561715),-- [animal_bone]
(21320,1882,1,1,2,52703.615151),-- [leather]
(21320,1894,1,1,2,8321.78043),-- [crafted_leather]
(21320,4042,1,1,2,3952.762851),-- [enria]
(21320,3036,1,1,2,105.389334),-- [rp_spiritshot_s]
(21320,8731,1,1,2,2195.942538),-- [general_70_a]
(21320,8741,1,1,2,549.151341),-- [special_70_a]
(21320,8751,1,1,2,55.014558),-- [rare_70_a]
(21320,8761,1,1,2,10.605216),-- [unique_70_a]
(21321,1876,1,3,-1,559345),-- [mithril_ore]
(21321,1895,1,3,-1,799064),-- [metallic_fiber]
(21321,6346,1,1,-1,182108),-- [sealed_majestic_ring_gemstrone]
(21321,57,2752,5635,0,700000),-- [adena]
(21321,11950,1,1,1,284.310558),-- [blood_tornado_low]
(21321,5539,1,1,1,3482.689442),-- [blood_tornado_edge]
(21321,1873,1,1,2,91790.00814),-- [silver_nugget]
(21321,1868,1,3,2,229475.45944),-- [thread]
(21321,1876,1,1,2,45895.00407),-- [mithril_ore]
(21321,1895,1,1,2,65564.47971),-- [metallic_fiber]
(21321,4042,1,1,2,3824.4739),-- [enria]
(21321,5167,1,1,2,101.86888),-- [rp_comp_bspiritshot_s]
(21321,8732,1,1,2,1912.23695),-- [general_75_s]
(21321,8742,1,1,2,478.16901),-- [special_75_s]
(21321,8752,1,1,2,48.2999),-- [rare_75_s]
(21322,5272,1,1,-1,2486),-- [rp_adv_comp_soulshot_s]
(21322,5480,1,1,-1,25099),-- [sealed_leather_mail_of_nightmare_fabric]
(21322,5277,1,1,-1,2486),-- [rp_adv_comp_spiritshot_s]
(21322,57,2752,5635,0,700000),-- [adena]
(21322,11955,1,1,1,284.297664),-- [carnium_bow_low]
(21322,5535,1,1,1,3523.702336),-- [carnium_bow_shaft]
(21322,1871,1,1,2,206527.465476),-- [charcoal]
(21322,1866,1,1,2,137684.976984),-- [suede]
(21322,1877,1,1,2,8260.883122),-- [admantite_nugget]
(21322,4041,1,1,2,1795.971922),-- [mold_hardener]
(21322,4040,1,1,2,4130.686444),-- [mold_lubricant]
(21322,5272,1,1,2,91.586242),-- [rp_adv_comp_soulshot_s]
(21322,8732,1,1,2,1721.037724),-- [general_75_s]
(21322,8742,1,1,2,430.504314),-- [special_75_s]
(21322,8752,1,1,2,43.099408),-- [rare_75_s]
(21322,1344,20,60,2,129079.788364),-- [mithril_arrow]
(21323,5481,1,1,-1,24797),-- [sealed_majestic_leather_mail_fabric]
(21323,4042,1,1,-1,92103),-- [enria]
(21323,1894,1,1,-1,193902),-- [crafted_leather]
(21323,57,2719,5567,0,700000),-- [adena]
(21323,11951,1,1,1,280.867216),-- [bloody_orchid_low]
(21323,5536,1,1,1,3471.132784),-- [bloody_orchid_head]
(21323,1867,1,3,2,151144.346532),-- [animal_skin]
(21323,1872,1,3,2,100762.897688),-- [animal_bone]
(21323,1882,1,1,2,50381.448844),-- [leather]
(21323,1894,1,1,2,7955.082224),-- [crafted_leather]
(21323,4042,1,1,2,3778.759016),-- [enria]
(21323,5277,1,1,2,100.657176),-- [rp_adv_comp_spiritshot_s]
(21323,8732,1,1,2,1889.379508),-- [general_75_s]
(21323,8742,1,1,2,472.265744),-- [special_75_s]
(21323,8752,1,1,2,47.163268),-- [rare_75_s]
(21324,4042,1,1,-1,88264),-- [enria]
(21324,5502,1,1,-1,89441),-- [sealed_boots_of_nightmare_lining]
(21324,1808,1,1,-1,2354),-- [rp_soulshot_s]
(21324,57,2610,5333,0,700000),-- [adena]
(21324,11957,1,1,1,89.72307),-- [tallum_blade_low]
(21324,5548,1,1,1,1108.869895),-- [tallum_blade_edge]
(21324,11952,1,1,1,89.72307),-- [elemental_sword_low]
(21324,5547,1,1,1,1108.869895),-- [elemental_sword_edge]
(21324,11954,1,1,1,89.72307),-- [inferno_master_low]
(21324,8331,1,1,1,1112.091),-- [inferno_master_blade]
(21324,1873,1,1,2,78215.208955),-- [silver_nugget]
(21324,1868,1,3,2,195538.250201),-- [thread]
(21324,1876,1,1,2,39107.832291),-- [mithril_ore]
(21324,1895,1,1,2,55868.071486),-- [metallic_fiber]
(21324,4042,1,1,2,3259.099931),-- [enria]
(21324,1808,1,1,2,87.024757),-- [rp_soulshot_s]
(21324,8732,1,1,2,1629.322152),-- [general_75_s]
(21324,8742,1,1,2,407.330538),-- [special_75_s]
(21324,8752,1,1,2,40.550803),-- [rare_75_s]
(21324,1344,30,90,2,81474.308886),-- [mithril_arrow]
(21325,5503,1,1,-1,86488),-- [sealed_magestic_boots_lining]
(21325,3036,1,1,-1,2276),-- [rp_spiritshot_s]
(21325,5514,1,1,-1,86488),-- [sealed_gloves_of_nightmare_design]
(21325,57,2524,5157,0,700000),-- [adena]
(21325,11946,1,1,1,65.068015),-- [dasparion's_staff_low]
(21325,5543,1,1,1,804.57276),-- [dasparion's_staff_head]
(21325,11949,1,1,1,65.068015),-- [meteor_shower_low]
(21325,5532,1,1,1,797.058135),-- [meteor_shower_head]
(21325,11953,1,1,1,65.068015),-- [eye_of_soul_low]
(21325,8341,1,1,1,796.03891),-- [eye_of_soul_piece]
(21325,11958,1,1,1,65.068015),-- [hammer_of_destroyer_low]
(21325,8346,1,1,1,797.058135),-- [hammer_of_destroyer_piece]
(21325,1894,1,1,2,8292.958982),-- [crafted_leather]
(21325,4039,1,1,2,7878.285184),-- [mold_glue]
(21325,4041,1,1,2,2055.217318),-- [mold_hardener]
(21325,4044,1,1,2,7878.285184),-- [thons]
(21325,3036,1,1,2,105.032697),-- [rp_spiritshot_s]
(21325,8732,1,1,2,1969.571296),-- [general_75_s]
(21325,8742,1,1,2,492.392824),-- [special_75_s]
(21325,8752,1,1,2,49.256515),-- [rare_75_s]
(21326,1877,1,1,-1,204838),-- [admantite_nugget]
(21326,4041,1,1,-1,44530),-- [mold_hardener]
(21326,5515,1,1,-1,86488),-- [sealed_magestic_gloves_design]
(21326,57,2524,5157,0,700000),-- [adena]
(21326,11950,1,1,1,260.234352),-- [blood_tornado_low]
(21326,5539,1,1,1,3187.765648),-- [blood_tornado_edge]
(21326,1871,1,1,2,189081.472284),-- [charcoal]
(21326,1866,1,1,2,126054.314856),-- [suede]
(21326,1877,1,1,2,7563.061598),-- [admantite_nugget]
(21326,4041,1,1,2,1644.260798),-- [mold_hardener]
(21326,4040,1,1,2,3781.754996),-- [mold_lubricant]
(21326,3957,1,1,2,83.849678),-- [rp_blessed_spiritshot_s]
(21326,8732,1,1,2,1575.656516),-- [general_75_s]
(21326,8742,1,1,2,394.138326),-- [special_75_s]
(21326,8752,1,1,2,39.458672),-- [rare_75_s]
(21326,1344,20,60,2,118176.032276),-- [mithril_arrow]
(21327,4039,1,1,-1,194325),-- [mold_glue]
(21327,5533,1,1,-1,15991),-- [elysian_head]
(21327,5272,1,1,-1,2591),-- [rp_adv_comp_soulshot_s]
(21327,57,2875,5868,0,700000),-- [adena]
(21327,11957,1,1,1,98.77266),-- [tallum_blade_low]
(21327,5548,1,1,1,1220.71201),-- [tallum_blade_edge]
(21327,11952,1,1,1,98.77266),-- [elemental_sword_low]
(21327,5547,1,1,1,1220.71201),-- [elemental_sword_edge]
(21327,11954,1,1,1,98.77266),-- [inferno_master_low]
(21327,8331,1,1,1,1224.258),-- [inferno_master_blade]
(21327,1894,1,1,2,9440.997174),-- [crafted_leather]
(21327,4039,1,1,2,8968.917888),-- [mold_glue]
(21327,4041,1,1,2,2339.731926),-- [mold_hardener]
(21327,4044,1,1,2,8968.917888),-- [thons]
(21327,5277,1,1,2,119.572929),-- [rp_adv_comp_spiritshot_s]
(21327,8732,1,1,2,2242.229472),-- [general_75_s]
(21327,8742,1,1,2,560.557368),-- [special_75_s]
(21327,8752,1,1,2,56.075355),-- [rare_75_s]
(21328,5534,1,1,-1,15343),-- [soul_bow_shaft]
(21328,5277,1,1,-1,2484),-- [rp_adv_comp_spiritshot_s]
(21328,5537,1,1,-1,15333),-- [soul_separator_head]
(21328,57,2756,5626,0,700000),-- [adena]
(21328,11946,1,1,1,71.019243),-- [dasparion's_staff_low]
(21328,5543,1,1,1,878.160312),-- [dasparion's_staff_head]
(21328,11949,1,1,1,71.019243),-- [meteor_shower_low]
(21328,5532,1,1,1,869.958387),-- [meteor_shower_head]
(21328,11953,1,1,1,71.019243),-- [eye_of_soul_low]
(21328,8341,1,1,1,868.845942),-- [eye_of_soul_piece]
(21328,11958,1,1,1,71.019243),-- [hammer_of_destroyer_low]
(21328,8346,1,1,1,869.958387),-- [hammer_of_destroyer_piece]
(21328,1873,1,1,2,75038.645032),-- [silver_nugget]
(21328,1868,1,3,2,187596.61258),-- [thread]
(21328,1876,1,1,2,37519.322516),-- [mithril_ore]
(21328,1895,1,1,2,53598.966742),-- [metallic_fiber]
(21328,4042,1,1,2,3126.533882),-- [enria]
(21328,5282,1,1,2,83.349812),-- [rp_adv_comp_bspiritshot_s]
(21328,6671,1,1,2,20843.864524),-- [key_of_treasure_box7]
(21328,8732,1,1,2,1563.495924),-- [general_75_s]
(21328,8742,1,1,2,390.644998),-- [special_75_s]
(21328,8752,1,1,2,38.92711),-- [rare_75_s]
(21328,1344,30,90,2,78165.63688),-- [mithril_arrow]
(21329,5162,1,1,-1,2526),-- [rp_comp_spiritshot_s]
(21329,5487,1,1,-1,25594),-- [sealed_robe_of_nightmare_fabric]
(21329,5167,1,1,-1,2526),-- [rp_comp_bspiritshot_s]
(21329,57,2802,5719,0,700000),-- [adena]
(21329,81,1,1,1,3.372642),-- [dragon_slayer]
(21329,5529,1,1,1,959.166264),-- [dragon_slayer_edge]
(21329,151,1,1,1,3.372642),-- [sword_of_miracle]
(21329,5546,1,1,1,1053.552528),-- [sword_of_miracle_edge]
(21329,2500,1,1,1,3.372642),-- [dark_legion's_edge]
(21329,5545,1,1,1,959.163282),-- [dark_legion's_edge_edge]
(21329,1866,1,1,2,155449.41438),-- [suede]
(21329,1871,1,1,2,233173.91058),-- [charcoal]
(21329,5220,1,1,2,9327.02394),-- [reinforcing_agent]
(21329,1885,1,1,2,19431.33504),-- [high_grade_suede]
(21329,4041,1,1,2,2027.6139),-- [mold_hardener]
(21329,960,1,1,2,93.25758),-- [scrl_of_ench_am_s]
(21329,8732,1,1,2,1943.2179),-- [general_75_s]
(21329,8742,1,1,2,485.69898),-- [special_75_s]
(21329,8752,1,1,2,48.5277),-- [rare_75_s]
(21330,5488,1,1,-1,24396),-- [sealed_majestic_robe_fabric]
(21330,1885,1,1,-1,451470),-- [high_grade_suede]
(21330,4041,1,1,-1,47110),-- [mold_hardener]
(21330,57,2671,5451,0,700000),-- [adena]
(21330,11974,1,1,1,44.44532),-- [elysian_low]
(21330,5533,1,1,1,685.75908),-- [elysian_head]
(21330,11970,1,1,1,44.44532),-- [worldtree's_branch_low]
(21330,5544,1,1,1,685.08164),-- [worldtree's_branch_head]
(21330,11969,1,1,1,44.44532),-- [dragon_flame_head_low]
(21330,8342,1,1,1,685.75908),-- [dragon_flame_head_piece]
(21330,11966,1,1,1,44.44532),-- [doom_crusher_low]
(21330,8349,1,1,1,685.61892),-- [doom_crusher_head]
(21330,1866,1,1,2,133357.154112),-- [suede]
(21330,1871,1,1,2,200036.2182),-- [charcoal]
(21330,5220,1,1,2,8001.448728),-- [reinforcing_agent]
(21330,1885,1,1,2,16669.644264),-- [high_grade_suede]
(21330,4041,1,1,2,1739.678304),-- [mold_hardener]
(21330,960,1,1,2,79.873248),-- [scrl_of_ench_am_s]
(21330,8732,1,1,2,1667.110536),-- [general_75_s]
(21330,8742,1,1,2,416.899392),-- [special_75_s]
(21330,8752,1,1,2,41.884752),-- [rare_75_s]
(21330,1344,20,60,2,125022.088464),-- [mithril_arrow]
(21331,5546,1,1,-1,16041),-- [sword_of_miracle_edge]
(21331,1895,1,3,-1,760448),-- [metallic_fiber]
(21331,4042,1,1,-1,88719),-- [enria]
(21331,57,2624,5357,0,700000),-- [adena]
(21331,11968,1,1,1,58.230161),-- [dragon_slayer_low]
(21331,5529,1,1,1,898.627587),-- [dragon_slayer_edge]
(21331,11971,1,1,1,58.230161),-- [sword_of_miracle_low]
(21331,5546,1,1,1,987.054343),-- [sword_of_miracle_edge]
(21331,11964,1,1,1,58.230161),-- [dark_legion's_edge_low]
(21331,5545,1,1,1,898.627587),-- [dark_legion's_edge_edge]
(21331,1873,1,1,2,78618.622292),-- [silver_nugget]
(21331,1868,1,3,2,196547.013699),-- [thread]
(21331,1876,1,1,2,39309.311146),-- [mithril_ore]
(21331,1895,1,1,2,56156.15878),-- [metallic_fiber]
(21331,4042,1,1,2,3275.852257),-- [enria]
(21331,960,1,1,2,78.770668),-- [scrl_of_ench_am_s]
(21331,8732,1,1,2,1637.697144),-- [general_75_s]
(21331,8742,1,1,2,409.424286),-- [special_75_s]
(21331,8752,1,1,2,40.759241),-- [rare_75_s]
(21331,1344,30,90,2,81895.390487),-- [mithril_arrow]
(21332,6342,1,1,-1,135049),-- [sealed_majestic_earing_gemstone]
(21332,5282,1,1,-1,2650),-- [rp_adv_comp_bspiritshot_s]
(21332,6344,1,1,-1,87397),-- [sealed_majestic_necklace_beads]
(21332,57,2939,6000,0,700000),-- [adena]
(21332,11974,1,1,1,48.920294),-- [elysian_low]
(21332,5533,1,1,1,754.804686),-- [elysian_head]
(21332,11970,1,1,1,48.920294),-- [worldtree's_branch_low]
(21332,5544,1,1,1,754.059038),-- [worldtree's_branch_head]
(21332,11969,1,1,1,48.920294),-- [dragon_flame_head_low]
(21332,8342,1,1,1,754.804686),-- [dragon_flame_head_piece]
(21332,11966,1,1,1,48.920294),-- [doom_crusher_low]
(21332,8349,1,1,1,754.650414),-- [doom_crusher_head]
(21332,1894,1,1,2,9654.742156),-- [crafted_leather]
(21332,4039,1,1,2,9171.98172),-- [mold_glue]
(21332,4041,1,1,2,2392.706822),-- [mold_hardener]
(21332,4044,1,1,2,9171.98172),-- [thons]
(21332,959,1,1,2,10.99758),-- [scrl_of_ench_wp_s]
(21332,8732,1,1,2,2292.99543),-- [general_75_s]
(21332,8742,1,1,2,573.240526),-- [special_75_s]
(21332,8752,1,1,2,57.354046),-- [rare_75_s]
(21333,1808,1,1,-1,2541),-- [rp_soulshot_s]
(21333,5503,1,1,-1,96563),-- [sealed_magestic_boots_lining]
(21333,3036,1,1,-1,2541),-- [rp_spiritshot_s]
(21333,57,2813,5760,0,700000),-- [adena]
(21333,11974,1,1,1,46.911122),-- [elysian_low]
(21333,5533,1,1,1,723.804618),-- [elysian_head]
(21333,11970,1,1,1,46.911122),-- [worldtree's_branch_low]
(21333,5544,1,1,1,723.089594),-- [worldtree's_branch_head]
(21333,11969,1,1,1,46.911122),-- [dragon_flame_head_low]
(21333,8342,1,1,1,723.804618),-- [dragon_flame_head_piece]
(21333,11966,1,1,1,46.911122),-- [doom_crusher_low]
(21333,8349,1,1,1,723.656682),-- [doom_crusher_head]
(21333,1864,4,12,2,58640.930296),-- [stem]
(21333,1865,2,6,2,46912.667373),-- [varnish]
(21333,1866,3,9,2,26062.592985),-- [suede]
(21333,1873,1,1,2,93825.334746),-- [silver_nugget]
(21333,1868,1,3,2,156375.55791),-- [thread]
(21333,959,1,1,2,9.223656),-- [scrl_of_ench_wp_s]
(21333,8732,1,1,2,1954.646434),-- [general_75_s]
(21333,8742,1,1,2,488.853768),-- [special_75_s]
(21333,8752,1,1,2,49.192832),-- [rare_75_s]
(21334,5514,1,1,-1,130657),-- [sealed_gloves_of_nightmare_design]
(21334,5480,1,1,-1,34714),-- [sealed_leather_mail_of_nightmare_fabric]
(21334,57,3806,7794,0,700000),-- [adena]
(21334,11967,1,1,1,253.876257),-- [dragon_grinder_low]
(21334,5538,1,1,1,3917.123743),-- [dragon_grinder_edge]
(21334,1869,2,6,2,51935.313846),-- [iron_ore]
(21334,1870,3,9,2,43279.240698),-- [coal]
(21334,1871,3,9,2,37096.759894),-- [charcoal]
(21334,1872,8,24,2,21639.807856),-- [animal_bone]
(21334,1867,1,3,2,115411.683542),-- [animal_skin]
(21334,960,1,1,2,103.878878),-- [scrl_of_ench_am_s]
(21334,6672,1,1,2,21639.807856),-- [key_of_treasure_box8]
(21334,8732,1,1,2,2163.83078),-- [general_75_s]
(21334,8742,1,1,2,541.145202),-- [special_75_s]
(21334,8752,1,1,2,54.002016),-- [rare_75_s]
(21334,1344,40,120,2,81148.529432),-- [mithril_arrow]
(21335,1889,1,1,-1,368264),-- [compound_braid]
(21335,5495,1,1,-1,83881),-- [sealed_shield_of_nightmare_fragment]
(21335,5272,1,1,-1,2455),-- [rp_adv_comp_soulshot_s]
(21335,57,2718,5566,0,700000),-- [adena]
(21335,11976,1,1,1,181.297662),-- [tallum_glaive_low]
(21335,5541,1,1,1,2796.702338),-- [tallum_glaive_edge]
(21335,1868,1,3,2,226624.563792),-- [thread]
(21335,1873,1,1,2,90649.89852),-- [silver_nugget]
(21335,5549,1,1,2,22662.383376),-- [iron_thread]
(21335,1889,1,1,2,15108.377256),-- [compound_braid]
(21335,4044,1,1,2,7554.00612),-- [thons]
(21335,959,1,1,2,9.1254),-- [scrl_of_ench_wp_s]
(21335,8732,1,1,2,1888.592784),-- [general_75_s]
(21335,8742,1,1,2,471.965688),-- [special_75_s]
(21335,8752,1,1,2,47.087064),-- [rare_75_s]
(21336,5502,1,1,-1,109688),-- [sealed_boots_of_nightmare_lining]
(21336,5277,1,1,-1,2887),-- [rp_adv_comp_spiritshot_s]
(21336,5503,1,1,-1,109688),-- [sealed_magestic_boots_lining]
(21336,57,3195,6545,0,700000),-- [adena]
(21336,12265,1,1,1,334.9159),-- [sealed_leather_mail_of_nightmare_low]
(21336,5480,1,1,1,2690.0841),-- [sealed_leather_mail_of_nightmare_fabric]
(21336,12258,1,1,1,334.9159),-- [sealed_majestic_leather_mail_low]
(21336,5481,1,1,1,2690.0841),-- [sealed_majestic_leather_mail_fabric]
(21336,1864,5,15,2,47960.470096),-- [stem]
(21336,1865,3,9,2,39966.910368),-- [varnish]
(21336,1866,3,9,2,22838.361392),-- [suede]
(21336,1873,1,1,2,95920.496056),-- [silver_nugget]
(21336,1868,1,3,2,159867.641472),-- [thread]
(21336,960,1,1,2,95.933376),-- [scrl_of_ench_am_s]
(21336,8732,1,1,2,1998.167864),-- [general_75_s]
(21336,8742,1,1,2,499.653),-- [special_75_s]
(21336,8752,1,1,2,49.743232),-- [rare_75_s]
(21336,1344,40,120,2,74938.623144),-- [mithril_arrow]
(21337,959,1,1,-1,241),-- [scrl_of_ench_wp_s]
(21337,5220,1,1,-1,240694),-- [reinforcing_agent]
(21337,1885,1,1,-1,501446),-- [high_grade_suede]
(21337,57,2968,6057,0,700000),-- [adena]
(21337,12266,1,1,1,310.299632),-- [sealed_robe_of_nightmare_low]
(21337,5487,1,1,1,2501.200368),-- [sealed_robe_of_nightmare_fabric]
(21337,12259,1,1,1,310.299632),-- [sealed_majestic_robe_low]
(21337,5488,1,1,1,2501.200368),-- [sealed_majestic_robe_fabric]
(21337,1866,1,1,2,164577.34818),-- [suede]
(21337,1871,1,1,2,246866.02227),-- [charcoal]
(21337,5220,1,1,2,9874.53369),-- [reinforcing_agent]
(21337,1885,1,1,2,20572.28019),-- [high_grade_suede]
(21337,4041,1,1,2,2146.69602),-- [mold_hardener]
(21337,959,1,1,2,9.82674),-- [scrl_of_ench_wp_s]
(21337,8732,1,1,2,2057.36202),-- [general_75_s]
(21337,8742,1,1,2,514.11717),-- [special_75_s]
(21337,8752,1,1,2,51.81372),-- [rare_75_s]
(21338,6688,1,1,-1,17114),-- [forgotten_blade_edge]
(21338,6689,1,1,-1,16792),-- [basalt_battlehammer_head]
(21338,6690,1,1,-1,17147),-- [piece_of_imperial_staff]
(21338,57,3905,7970,0,700000),-- [adena]
(21338,12352,1,1,1,1198.670013),-- [sealed_majestic_earing_low]
(21338,6342,1,1,1,11037.681897),-- [sealed_majestic_earing_gemstone]
(21338,12350,1,1,1,899.846697),-- [sealed_majestic_necklace_low]
(21338,6344,1,1,1,7142.962365),-- [sealed_majestic_necklace_beads]
(21338,12351,1,1,1,1797.986049),-- [sealed_majestic_ring_low]
(21338,6346,1,1,1,15863.852979),-- [sealed_majestic_ring_gemstrone]
(21338,1869,2,6,2,73088.61518),-- [iron_ore]
(21338,1864,5,15,2,58470.892144),-- [stem]
(21338,1880,1,1,2,29235.446072),-- [steel]
(21338,5550,1,1,2,3897.979616),-- [reinforcing_plate]
(21338,4043,1,1,2,9745.248516),-- [asofe]
(21338,960,1,1,2,116.79564),-- [scrl_of_ench_am_s]
(21338,8732,1,1,2,2436.23726),-- [general_75_s]
(21338,8742,1,1,2,609.134184),-- [special_75_s]
(21338,8752,1,1,2,60.793628),-- [rare_75_s]
(21338,1344,30,90,2,121814.85776),-- [mithril_arrow]
(21339,6691,1,1,-1,13041),-- [angel_slayer_blade]
(21339,6693,1,1,-1,13277),-- [dragon_hunter_axe_blade]
(21339,6694,1,1,-1,13277),-- [saint_spear_blade]
(21339,57,2975,6071,0,700000),-- [adena]
(21339,11973,1,1,1,198.025424),-- [soul_separator_low]
(21339,5537,1,1,1,3055.974576),-- [soul_separator_head]
(21339,1867,1,3,2,148511.48214),-- [animal_skin]
(21339,1872,1,3,2,99007.65476),-- [animal_bone]
(21339,1882,1,1,2,49503.82738),-- [leather]
(21339,1894,1,1,2,7816.473928),-- [crafted_leather]
(21339,4042,1,1,2,3712.977365),-- [enria]
(21339,960,1,1,2,89.065782),-- [scrl_of_ench_am_s]
(21339,8732,1,1,2,1856.298371),-- [general_75_s]
(21339,8742,1,1,2,463.979437),-- [special_75_s]
(21339,8752,1,1,2,46.436006),-- [rare_75_s]
(21339,1344,40,120,2,69614.804831),-- [mithril_arrow]
(21340,960,1,1,-1,2413),-- [scrl_of_ench_am_s]
(21340,5549,1,1,-1,603328),-- [iron_thread]
(21340,1889,1,1,-1,402219),-- [compound_braid]
(21340,57,2975,6071,0,700000),-- [adena]
(21340,12268,1,1,1,963.126999),-- [sealed_shield_of_nightmare_low]
(21340,5495,1,1,1,5637.953658),-- [sealed_shield_of_nightmare_fragment]
(21340,12269,1,1,1,673.837215),-- [sealed_helm_of_nightmare_low]
(21340,5527,1,1,1,4439.114043),-- [sealed_helm_of_nightmare_design]
(21340,12261,1,1,1,673.837215),-- [sealed_magestic_circlet_low]
(21340,5528,1,1,1,4439.13087),-- [sealed_magestic_circlet_design]
(21340,1868,1,3,2,222767.500392),-- [thread]
(21340,1873,1,1,2,89107.151104),-- [silver_nugget]
(21340,5549,1,1,2,22276.787776),-- [iron_thread]
(21340,1889,1,1,2,14851.31764),-- [compound_braid]
(21340,4044,1,1,2,7425.470136),-- [thons]
(21340,959,1,1,2,9.056832),-- [scrl_of_ench_wp_s]
(21340,6672,1,1,2,18563.864024),-- [key_of_treasure_box8]
(21340,8732,1,1,2,1856.273192),-- [general_75_s]
(21340,8742,1,1,2,464.16264),-- [special_75_s]
(21340,8752,1,1,2,46.416264),-- [rare_75_s]
(21341,960,1,1,-1,2527),-- [scrl_of_ench_am_s]
(21341,4042,1,1,-1,105303),-- [enria]
(21341,1876,1,3,-1,631818),-- [mithril_ore]
(21341,57,3115,6359,0,700000),-- [adena]
(21341,11968,1,1,1,69.112648),-- [dragon_slayer_low]
(21341,5529,1,1,1,1066.569816),-- [dragon_slayer_edge]
(21341,11971,1,1,1,69.112648),-- [sword_of_miracle_low]
(21341,5546,1,1,1,1171.522424),-- [sword_of_miracle_edge]
(21341,11964,1,1,1,69.112648),-- [dark_legion's_edge_low]
(21341,5545,1,1,1,1066.569816),-- [dark_legion's_edge_edge]
(21341,1873,1,1,2,103682.999625),-- [silver_nugget]
(21341,1868,1,3,2,259207.251125),-- [thread]
(21341,1876,1,1,2,51841.251875),-- [mithril_ore]
(21341,1895,1,1,2,74058.93125),-- [metallic_fiber]
(21341,4042,1,1,2,4320.063),-- [enria]
(21341,959,1,1,2,10.413375),-- [scrl_of_ench_wp_s]
(21341,8732,1,1,2,2160.0315),-- [general_75_s]
(21341,8742,1,1,2,540.007875),-- [special_75_s]
(21341,8752,1,1,2,54.050375),-- [rare_75_s]
(21342,6707,1,1,-1,41193),-- [sealed_draconic_leather_armor_part]
(21342,6708,1,1,-1,118371),-- [sealed_draconic_leather_gloves_fabric]
(21342,6709,1,1,-1,118371),-- [sealed_draconic_leather_boots_design]
(21342,57,4098,8367,0,700000),-- [adena]
(21342,11974,1,1,1,68.220522),-- [elysian_low]
(21342,5533,1,1,1,1052.593218),-- [elysian_head]
(21342,11970,1,1,1,68.220522),-- [worldtree's_branch_low]
(21342,5544,1,1,1,1051.553394),-- [worldtree's_branch_head]
(21342,11969,1,1,1,68.220522),-- [dragon_flame_head_low]
(21342,8342,1,1,1,1052.593218),-- [dragon_flame_head_piece]
(21342,11966,1,1,1,68.220522),-- [doom_crusher_low]
(21342,8349,1,1,1,1052.378082),-- [doom_crusher_head]
(21342,1871,1,3,2,102323.189157),-- [charcoal]
(21342,1866,2,6,2,51161.779485),-- [suede]
(21342,1877,1,1,2,12278.901039),-- [admantite_nugget]
(21342,4041,1,1,2,2669.310234),-- [mold_hardener]
(21342,4040,1,1,2,6139.265613),-- [mold_lubricant]
(21342,960,1,1,2,122.777916),-- [scrl_of_ench_am_s]
(21342,8732,1,1,2,2557.996521),-- [general_75_s]
(21342,8742,1,1,2,639.406677),-- [special_75_s]
(21342,8752,1,1,2,63.977649),-- [rare_75_s]
(21342,1344,20,60,2,191856.395709),-- [mithril_arrow]
(21343,5515,1,1,-1,158740),-- [sealed_magestic_gloves_design]
(21343,3957,1,1,-1,4177),-- [rp_blessed_spiritshot_s]
(21343,5522,1,1,-1,32009),-- [sealed_armor_of_nightmare_pattern]
(21343,57,4624,9470,0,700000),-- [adena]
(21343,11975,1,1,1,308.463824),-- [soul_bow_low]
(21343,5534,1,1,1,4763.536176),-- [soul_bow_shaft]
(21343,1894,1,1,2,15221.15324),-- [crafted_leather]
(21343,4039,1,1,2,14460.0588),-- [mold_glue]
(21343,4041,1,1,2,3772.21438),-- [mold_hardener]
(21343,4044,1,1,2,14460.0588),-- [thons]
(21343,959,1,1,2,17.3382),-- [scrl_of_ench_wp_s]
(21343,8732,1,1,2,3615.0147),-- [general_75_s]
(21343,8742,1,1,2,903.74054),-- [special_75_s]
(21343,8752,1,1,2,90.42134),-- [rare_75_s]
(21344,6901,1,1,-1,6372),-- [rp_shining_arrow]
(21344,6346,1,1,-1,207463),-- [sealed_majestic_ring_gemstrone]
(21344,4040,1,1,-1,127444),-- [mold_lubricant]
(21344,57,3141,6413,0,700000),-- [adena]
(21344,11967,1,1,1,209.139012),-- [dragon_grinder_low]
(21344,5538,1,1,1,3226.860988),-- [dragon_grinder_edge]
(21344,1871,1,3,2,78427.328685),-- [charcoal]
(21344,1866,1,1,2,156855.058461),-- [suede]
(21344,1877,1,1,2,9411.199224),-- [admantite_nugget]
(21344,4041,1,1,2,2045.965191),-- [mold_hardener]
(21344,4040,1,1,2,4705.599612),-- [mold_lubricant]
(21344,960,1,1,2,94.256385),-- [scrl_of_ench_am_s]
(21344,8732,1,1,2,1960.532808),-- [general_75_s]
(21344,8742,1,1,2,490.133202),-- [special_75_s]
(21344,8752,1,1,2,48.933102),-- [rare_75_s]
(21344,1344,20,60,2,147051.99333),-- [mithril_arrow]
(21345,959,1,1,-1,284),-- [scrl_of_ench_wp_s]
(21345,1894,1,1,-1,249418),-- [crafted_leather]
(21345,4042,1,1,-1,118474),-- [enria]
(21345,57,3504,7154,0,700000),-- [adena]
(21345,11967,1,1,1,233.303211),-- [dragon_grinder_low]
(21345,5538,1,1,1,3599.696789),-- [dragon_grinder_edge]
(21345,1867,1,3,2,194418.10796),-- [animal_skin]
(21345,1872,1,3,2,129611.800614),-- [animal_bone]
(21345,1882,1,1,2,64805.900307),-- [leather]
(21345,1894,1,1,2,10232.553421),-- [crafted_leather]
(21345,4042,1,1,2,4860.452699),-- [enria]
(21345,959,1,1,2,11.804131),-- [scrl_of_ench_wp_s]
(21345,8732,1,1,2,2430.02283),-- [general_75_s]
(21345,8742,1,1,2,607.709227),-- [special_75_s]
(21345,8752,1,1,2,60.648811),-- [rare_75_s]
(21346,6695,1,1,-1,14972),-- [demon_splinter_blade]
(21346,6696,1,1,-1,15502),-- [heavens_divider_edge]
(21346,6697,1,1,-1,14972),-- [arcana_mace_head]
(21346,57,3481,7103,0,700000),-- [adena]
(21346,11976,1,1,1,231.705474),-- [tallum_glaive_low]
(21346,5541,1,1,1,3574.294526),-- [tallum_glaive_edge]
(21346,1864,5,15,2,52133.265108),-- [stem]
(21346,1865,3,9,2,43444.226664),-- [varnish]
(21346,1866,3,9,2,24825.410316),-- [suede]
(21346,1873,1,1,2,104266.047438),-- [silver_nugget]
(21346,1868,1,3,2,173776.906656),-- [thread]
(21346,960,1,1,2,104.280048),-- [scrl_of_ench_am_s]
(21346,8732,1,1,2,2172.018222),-- [general_75_s]
(21346,8742,1,1,2,543.12525),-- [special_75_s]
(21346,8752,1,1,2,54.071136),-- [rare_75_s]
(21346,1344,40,120,2,81458.649162),-- [mithril_arrow]
(21347,6710,1,1,-1,175170),-- [sealed_draconic_leather_helmet_pattern]
(21347,6711,1,1,-1,53504),-- [sealed_major_arcana_robe_part]
(21347,6712,1,1,-1,153746),-- [sealed_major_arcana_gloves_fabric]
(21347,57,5309,10884,0,700000),-- [adena]
(21347,12263,1,1,1,417.933875),-- [sealed_armor_of_nightmare_low]
(21347,5522,1,1,1,3394.566125),-- [sealed_armor_of_nightmare_pattern]
(21347,12262,1,1,1,417.933875),-- [sealed_majestic_platte_armor_low]
(21347,5523,1,1,1,3394.566125),-- [sealed_majestic_platte_armor_pattern]
(21347,1867,4,12,2,73834.843165),-- [animal_skin]
(21347,1872,1,3,2,196892.253465),-- [animal_bone]
(21347,1882,1,1,2,98446.325225),-- [leather]
(21347,1894,1,1,2,15543.947675),-- [crafted_leather]
(21347,4042,1,1,2,7383.524015),-- [enria]
(21347,960,1,1,2,177.05531),-- [scrl_of_ench_am_s]
(21347,8732,1,1,2,3691.563515),-- [general_75_s]
(21347,8742,1,1,2,922.990125),-- [special_75_s]
(21347,8752,1,1,2,92.497505),-- [rare_75_s]
(21348,6704,1,1,-1,105402),-- [sealed_imperial_crusader_boots_design]
(21348,6705,1,1,-1,103241),-- [sealed_imperial_crusader_shield_part]
(21348,6706,1,1,-1,120089),-- [sealed_imperial_crusader_helmet_pattern]
(21348,57,3643,7457,0,700000),-- [adena]
(21348,11973,1,1,1,242.937152),-- [soul_separator_low]
(21348,5537,1,1,1,3749.062848),-- [soul_separator_head]
(21348,1868,1,3,2,303709.211609),-- [thread]
(21348,1873,1,1,2,121483.586787),-- [silver_nugget]
(21348,5549,1,1,2,30370.774376),-- [iron_thread]
(21348,1889,1,1,2,20247.509106),-- [compound_braid]
(21348,4044,1,1,2,10123.754553),-- [thons]
(21348,960,1,1,2,121.342184),-- [scrl_of_ench_am_s]
(21348,8732,1,1,2,2531.060959),-- [general_75_s]
(21348,8742,1,1,2,632.642919),-- [special_75_s]
(21348,8752,1,1,2,63.117507),-- [rare_75_s]
(21349,959,1,1,-1,301),-- [scrl_of_ench_wp_s]
(21349,1875,1,1,-1,501199),-- [stone_of_purity]
(21349,4041,1,1,-1,65374),-- [mold_hardener]
(21349,57,3700,7573,0,700000),-- [adena]
(21349,11967,1,1,1,246.754818),-- [dragon_grinder_low]
(21349,5538,1,1,1,3807.245182),-- [dragon_grinder_edge]
(21349,1872,1,3,2,205620.13485),-- [animal_bone]
(21349,1867,1,3,2,137080.0899),-- [animal_skin]
(21349,1881,1,1,2,41124.02697),-- [coarse_bone_powder]
(21349,1875,1,1,2,20562.218664),-- [stone_of_purity]
(21349,4041,1,1,2,2682.099888),-- [mold_hardener]
(21349,959,1,1,2,12.31074),-- [scrl_of_ench_wp_s]
(21349,8732,1,1,2,2570.072154),-- [general_75_s]
(21349,8742,1,1,2,642.620628),-- [special_75_s]
(21349,8752,1,1,2,64.426206),-- [rare_75_s]
(21350,3957,1,1,-1,2627),-- [rp_blessed_spiritshot_s]
(21350,5522,1,1,-1,20132),-- [sealed_armor_of_nightmare_pattern]
(21350,5157,1,1,-1,2627),-- [rp_comp_soulshot_s]
(21350,57,2914,5954,0,700000),-- [adena]
(21350,11955,1,1,1,300.423792),-- [carnium_bow_low]
(21350,5535,1,1,1,3723.576208),-- [carnium_bow_shaft]
(21350,1865,1,3,2,121264.82544),-- [varnish]
(21350,1870,1,1,2,242529.65088),-- [coal]
(21350,1879,1,1,2,40421.75112),-- [cokes]
(21350,1875,1,1,2,16168.52928),-- [stone_of_purity]
(21350,4040,1,1,2,4850.4732),-- [mold_lubricant]
(21350,5157,1,1,2,107.83584),-- [rp_comp_soulshot_s]
(21350,8732,1,1,2,2021.06616),-- [general_75_s]
(21350,8742,1,1,2,505.37352),-- [special_75_s]
(21350,8752,1,1,2,50.49456),-- [rare_75_s]
(21351,5523,1,1,-1,17614),-- [sealed_majestic_platte_armor_pattern]
(21351,4041,1,1,-1,44975),-- [mold_hardener]
(21351,5220,1,1,-1,206884),-- [reinforcing_agent]
(21351,57,2549,5209,0,700000),-- [adena]
(21351,11951,1,1,1,262.826438),-- [bloody_orchid_low]
(21351,5536,1,1,1,3248.173562),-- [bloody_orchid_head]
(21351,1866,1,1,2,127313.079237),-- [suede]
(21351,1871,1,1,2,190969.851339),-- [charcoal]
(21351,5220,1,1,2,7638.942843),-- [reinforcing_agent]
(21351,1885,1,1,2,15913.960542),-- [high_grade_suede]
(21351,4041,1,1,2,1660.397157),-- [mold_hardener]
(21351,5162,1,1,2,85.088961),-- [rp_comp_spiritshot_s]
(21351,8732,1,1,2,1591.582041),-- [general_75_s]
(21351,8742,1,1,2,398.011752),-- [special_75_s]
(21351,8752,1,1,2,39.987162),-- [rare_75_s]
(21351,1344,20,60,2,119356.098966),-- [mithril_arrow]
(21352,5527,1,1,-1,37659),-- [sealed_helm_of_nightmare_design]
(21352,5162,1,1,-1,1400),-- [rp_comp_spiritshot_s]
(21352,5528,1,1,-1,37659),-- [sealed_magestic_circlet_design]
(21352,57,1553,3172,0,700000),-- [adena]
(21352,12222,1,1,1,281.550233),-- [sealed_dark_crystal_leather_mail_low]
(21352,5478,1,1,1,1630.049344),-- [sealed_dark_crystal_leather_mail_pattern]
(21352,12230,1,1,1,173.075412),-- [sealed_tallum_leather_mail_low]
(21352,5479,1,1,1,1147.014667),-- [sealed_tallum_leather_mail_pattern]
(21352,12228,1,1,1,450.806153),-- [sealed_legging_of_dark_crystal_low]
(21352,5482,1,1,1,2558.504191),-- [sealed_legging_of_dark_crystal_design]
(21352,1869,1,1,2,129223.131516),-- [iron_ore]
(21352,1864,1,1,2,258445.85498),-- [stem]
(21352,1880,1,1,2,12922.190736),-- [steel]
(21352,5550,1,1,2,1722.795544),-- [reinforcing_plate]
(21352,4043,1,1,2,4307.396912),-- [asofe]
(21352,5167,1,1,2,57.535332),-- [rp_comp_bspiritshot_s]
(21352,8732,1,1,2,1076.849228),-- [general_75_s]
(21352,8742,1,1,2,269.31432),-- [special_75_s]
(21352,8752,1,1,2,26.931432),-- [rare_75_s]
(21353,4041,1,1,-1,61305),-- [mold_hardener]
(21353,1875,1,1,-1,470004),-- [stone_of_purity]
(21353,5538,1,1,-1,19338),-- [dragon_grinder_edge]
(21353,57,3477,7097,0,700000),-- [adena]
(21353,11950,1,1,1,358.275078),-- [blood_tornado_low]
(21353,5539,1,1,1,4388.724922),-- [blood_tornado_edge]
(21353,1872,1,3,2,192821.957116),-- [animal_bone]
(21353,1867,1,3,2,128547.843046),-- [animal_skin]
(21353,1881,1,1,2,38564.468442),-- [coarse_bone_powder]
(21353,1875,1,1,2,19282.041674),-- [stone_of_purity]
(21353,4041,1,1,2,2515.048914),-- [mold_hardener]
(21353,6901,1,1,2,289.205594),-- [rp_shining_arrow]
(21353,8732,1,1,2,2410.303346),-- [general_75_s]
(21353,8742,1,1,2,602.67211),-- [special_75_s]
(21353,8752,1,1,2,60.459758),-- [rare_75_s]
(21354,5282,1,1,-1,3106),-- [rp_adv_comp_bspiritshot_s]
(21354,5541,1,1,-1,19163),-- [tallum_glaive_edge]
(21354,6901,1,1,-1,6988),-- [rp_shining_arrow]
(21354,57,3446,7034,0,700000),-- [adena]
(21354,11955,1,1,1,355.148106),-- [carnium_bow_low]
(21354,5535,1,1,1,4401.851894),-- [carnium_bow_shaft]
(21354,1868,4,12,2,58638.06879),-- [thread]
(21354,1873,1,1,2,93821.235822),-- [silver_nugget]
(21354,5549,1,1,2,23455.227516),-- [iron_thread]
(21354,1889,1,1,2,15636.709758),-- [compound_braid]
(21354,4044,1,1,2,7818.517758),-- [thons]
(21354,1808,1,1,2,104.24256),-- [rp_soulshot_s]
(21354,6671,1,1,2,26061.291516),-- [key_of_treasure_box7]
(21354,8732,1,1,2,1954.548),-- [general_75_s]
(21354,8742,1,1,2,488.637),-- [special_75_s]
(21354,8752,1,1,2,48.8637),-- [rare_75_s]
(21354,1344,30,90,2,97730.65758),-- [mithril_arrow]
(21355,5495,1,1,-1,107862),-- [sealed_shield_of_nightmare_fragment]
(21355,5272,1,1,-1,3157),-- [rp_adv_comp_soulshot_s]
(21355,5502,1,1,-1,119967),-- [sealed_boots_of_nightmare_lining]
(21355,57,3502,7147,0,700000),-- [adena]
(21355,11967,1,1,1,233.12061),-- [dragon_grinder_low]
(21355,5538,1,1,1,3596.87939),-- [dragon_grinder_edge]
(21355,1869,1,3,2,97138.592442),-- [iron_ore]
(21355,1864,1,3,2,291415.777326),-- [stem]
(21355,1880,1,1,2,29141.490852),-- [steel]
(21355,5550,1,1,2,3885.734835),-- [reinforcing_plate]
(21355,4043,1,1,2,9713.685483),-- [asofe]
(21355,959,1,1,2,11.728881),-- [scrl_of_ench_wp_s]
(21355,8732,1,1,2,2428.31277),-- [general_75_s]
(21355,8742,1,1,2,607.295394),-- [special_75_s]
(21355,8752,1,1,2,60.382017),-- [rare_75_s]
(21356,5277,1,1,-1,2032),-- [rp_adv_comp_spiritshot_s]
(21356,5503,1,1,-1,77205),-- [sealed_magestic_boots_lining]
(21356,4042,1,1,-1,76189),-- [enria]
(21356,57,2254,4600,0,700000),-- [adena]
(21356,11975,1,1,1,150.035539),-- [soul_bow_low]
(21356,5534,1,1,1,2316.964461),-- [soul_bow_shaft]
(21356,1867,1,3,2,112524.85546),-- [animal_skin]
(21356,1872,1,3,2,75016.42143),-- [animal_bone]
(21356,1882,1,1,2,37508.43403),-- [leather]
(21356,1894,1,1,2,5922.3138),-- [crafted_leather]
(21356,4042,1,1,2,2813.32237),-- [enria]
(21356,960,1,1,2,67.44113),-- [scrl_of_ench_am_s]
(21356,8732,1,1,2,1406.43787),-- [general_75_s]
(21356,8742,1,1,2,351.49781),-- [special_75_s]
(21356,8752,1,1,2,35.28377),-- [rare_75_s]
(21356,1344,10,30,2,210983.99233),-- [mithril_arrow]
(21357,4040,1,1,-1,151216),-- [mold_lubricant]
(21357,5480,1,1,-1,33927),-- [sealed_leather_mail_of_nightmare_fabric]
(21357,1808,1,1,-1,3360),-- [rp_soulshot_s]
(21357,57,3727,7609,0,700000),-- [adena]
(21357,11975,1,1,1,248.13336),-- [soul_bow_low]
(21357,5534,1,1,1,3831.86664),-- [soul_bow_shaft]
(21357,1865,1,3,2,155093.576078),-- [varnish]
(21357,1870,1,3,2,103395.603926),-- [coal]
(21357,1879,1,1,2,51697.972152),-- [cokes]
(21357,1875,1,1,2,20678.984634),-- [stone_of_purity]
(21357,4040,1,1,2,6203.729428),-- [mold_lubricant]
(21357,959,1,1,2,12.253608),-- [scrl_of_ench_wp_s]
(21357,8732,1,1,2,2584.830532),-- [general_75_s]
(21357,8742,1,1,2,646.377822),-- [special_75_s]
(21357,8752,1,1,2,64.67182),-- [rare_75_s]
(21358,5481,1,1,-1,34116),-- [sealed_majestic_leather_mail_fabric]
(21358,3036,1,1,-1,3379),-- [rp_spiritshot_s]
(21358,5487,1,1,-1,34237),-- [sealed_robe_of_nightmare_fabric]
(21358,57,3748,7652,0,700000),-- [adena]
(21358,11973,1,1,1,249.5096),-- [soul_separator_low]
(21358,5537,1,1,1,3850.4904),-- [soul_separator_head]
(21358,1866,1,1,2,187150.95308),-- [suede]
(21358,1871,1,3,2,93575.47654),-- [charcoal]
(21358,5220,1,1,2,11229.19616),-- [reinforcing_agent]
(21358,1885,1,1,2,23393.99322),-- [high_grade_suede]
(21358,4041,1,1,2,2441.00012),-- [mold_hardener]
(21358,960,1,1,2,112.17284),-- [scrl_of_ench_am_s]
(21358,8732,1,1,2,2339.25042),-- [general_75_s]
(21358,8742,1,1,2,584.68852),-- [special_75_s]
(21358,8752,1,1,2,58.56812),-- [rare_75_s]
(21358,1344,20,60,2,175454.70098),-- [mithril_arrow]
(21359,5157,1,1,-1,2165),-- [rp_comp_soulshot_s]
(21359,5523,1,1,-1,16586),-- [sealed_majestic_platte_armor_pattern]
(21359,4042,1,1,-1,81173),-- [enria]
(21359,57,2396,4907,0,700000),-- [adena]
(21359,11973,1,1,1,159.868712),-- [soul_separator_low]
(21359,5537,1,1,1,2467.131288),-- [soul_separator_head]
(21359,1873,1,1,2,71931.638688),-- [silver_nugget]
(21359,1868,1,3,2,179829.515736),-- [thread]
(21359,1876,1,1,2,35965.819344),-- [mithril_ore]
(21359,1895,1,1,2,51379.74192),-- [metallic_fiber]
(21359,4042,1,1,2,2997.221448),-- [enria]
(21359,960,1,1,2,72.070752),-- [scrl_of_ench_am_s]
(21359,8732,1,1,2,1498.401216),-- [general_75_s]
(21359,8742,1,1,2,374.600304),-- [special_75_s]
(21359,8752,1,1,2,37.292424),-- [rare_75_s]
(21359,1344,30,90,2,74929.698168),-- [mithril_arrow]
(21360,1875,1,1,-1,673928),-- [stone_of_purity]
(21360,5527,1,1,-1,120862),-- [sealed_helm_of_nightmare_design]
(21360,5162,1,1,-1,4493),-- [rp_comp_spiritshot_s]
(21360,57,4974,10185,0,700000),-- [adena]
(21360,11973,1,1,1,331.786912),-- [soul_separator_low]
(21360,5537,1,1,1,5120.213088),-- [soul_separator_head]
(21360,1872,4,12,2,69120.904002),-- [animal_bone]
(21360,1867,1,3,2,184322.525478),-- [animal_skin]
(21360,1881,1,1,2,55296.654318),-- [coarse_bone_powder]
(21360,1875,1,1,2,27648.499368),-- [stone_of_purity]
(21360,4041,1,1,2,3606.400878),-- [mold_hardener]
(21360,959,1,1,2,16.532064),-- [scrl_of_ench_wp_s]
(21360,8732,1,1,2,3455.890212),-- [general_75_s]
(21360,8742,1,1,2,864.144762),-- [special_75_s]
(21360,8752,1,1,2,86.448918),-- [rare_75_s]
(21361,5514,1,1,-1,123311),-- [sealed_gloves_of_nightmare_design]
(21361,5481,1,1,-1,32762),-- [sealed_majestic_leather_mail_fabric]
(21361,6901,1,1,-1,7301),-- [rp_shining_arrow]
(21361,57,3592,7357,0,700000),-- [adena]
(21361,12263,1,1,1,282.605516),-- [sealed_armor_of_nightmare_low]
(21361,5522,1,1,1,2295.394484),-- [sealed_armor_of_nightmare_pattern]
(21361,12262,1,1,1,282.605516),-- [sealed_majestic_platte_armor_low]
(21361,5523,1,1,1,2295.394484),-- [sealed_majestic_platte_armor_pattern]
(21361,1869,2,6,2,67396.180938),-- [iron_ore]
(21361,1870,2,6,2,53916.846526),-- [coal]
(21361,1871,3,9,2,44930.787292),-- [charcoal]
(21361,1872,1,3,2,179722.658046),-- [animal_bone]
(21361,1867,1,3,2,119815.105364),-- [animal_skin]
(21361,959,1,1,2,10.804684),-- [scrl_of_ench_wp_s]
(21361,6672,1,1,2,22465.393646),-- [key_of_treasure_box8]
(21361,8732,1,1,2,2246.392028),-- [general_75_s]
(21361,8742,1,1,2,561.843568),-- [special_75_s]
(21361,8752,1,1,2,55.987908),-- [rare_75_s]
(21362,5282,1,1,-1,3561),-- [rp_adv_comp_bspiritshot_s]
(21362,5515,1,1,-1,135323),-- [sealed_magestic_gloves_design]
(21362,6901,1,1,-1,8012),-- [rp_shining_arrow]
(21362,57,3942,8074,0,700000),-- [adena]
(21362,12266,1,1,1,413.217792),-- [sealed_robe_of_nightmare_low]
(21362,5487,1,1,1,3330.782208),-- [sealed_robe_of_nightmare_fabric]
(21362,12259,1,1,1,413.217792),-- [sealed_majestic_robe_low]
(21362,5488,1,1,1,3330.782208),-- [sealed_majestic_robe_fabric]
(21362,1894,1,1,2,11533.957968),-- [crafted_leather]
(21362,4039,1,1,2,10957.350235),-- [mold_glue]
(21362,4041,1,1,2,2858.24318),-- [mold_hardener]
(21362,4044,1,1,2,10957.350235),-- [thons]
(21362,960,1,1,2,131.641484),-- [scrl_of_ench_am_s]
(21362,8732,1,1,2,2739.224852),-- [general_75_s]
(21362,8742,1,1,2,684.806213),-- [special_75_s]
(21362,8752,1,1,2,68.525704),-- [rare_75_s]
(21362,1344,10,30,2,410895.900129),-- [mithril_arrow]
(21363,960,1,1,-1,3078),-- [scrl_of_ench_am_s]
(21363,1894,1,1,-1,270029),-- [crafted_leather]
(21363,4042,1,1,-1,128264),-- [enria]
(21363,57,3795,7746,0,700000),-- [adena]
(21363,12267,1,1,1,966.49809),-- [sealed_boots_of_nightmare_low]
(21363,5502,1,1,1,5998.75191),-- [sealed_boots_of_nightmare_lining]
(21363,12260,1,1,1,966.49809),-- [sealed_magestic_boots_low]
(21363,5503,1,1,1,5998.75191),-- [sealed_magestic_boots_lining]
(21363,12264,1,1,1,966.49809),-- [sealed_gloves_of_nightmare_low]
(21363,5514,1,1,1,5998.75191),-- [sealed_gloves_of_nightmare_design]
(21363,12257,1,1,1,966.49809),-- [sealed_magestic_gloves_low]
(21363,5515,1,1,1,5998.75191),-- [sealed_magestic_gloves_design]
(21363,1867,1,3,2,210484.007),-- [animal_skin]
(21363,1872,1,3,2,140322.37755),-- [animal_bone]
(21363,1882,1,1,2,70161.188775),-- [leather]
(21363,1894,1,1,2,11078.128825),-- [crafted_leather]
(21363,4042,1,1,2,5262.100175),-- [enria]
(21363,959,1,1,2,12.779575),-- [scrl_of_ench_wp_s]
(21363,8732,1,1,2,2630.82975),-- [general_75_s]
(21363,8742,1,1,2,657.927775),-- [special_75_s]
(21363,8752,1,1,2,65.660575),-- [rare_75_s]
(21364,6691,1,1,-1,12779),-- [angel_slayer_blade]
(21364,6693,1,1,-1,13011),-- [dragon_hunter_axe_blade]
(21364,6694,1,1,-1,13011),-- [saint_spear_blade]
(21364,57,2916,5951,0,700000),-- [adena]
(21364,12268,1,1,1,943.780893),-- [sealed_shield_of_nightmare_low]
(21364,5495,1,1,1,5524.705406),-- [sealed_shield_of_nightmare_fragment]
(21364,12269,1,1,1,660.302005),-- [sealed_helm_of_nightmare_low]
(21364,5527,1,1,1,4349.946601),-- [sealed_helm_of_nightmare_design]
(21364,12261,1,1,1,660.302005),-- [sealed_magestic_circlet_low]
(21364,5528,1,1,1,4349.96309),-- [sealed_magestic_circlet_design]
(21364,1868,1,3,2,218296.174564),-- [thread]
(21364,1873,1,1,2,87318.558353),-- [silver_nugget]
(21364,5549,1,1,2,21829.528929),-- [iron_thread]
(21364,1889,1,1,2,14553.019286),-- [compound_braid]
(21364,4044,1,1,2,7276.509643),-- [thons]
(21364,960,1,1,2,87.199489),-- [scrl_of_ench_am_s]
(21364,8732,1,1,2,1819.23807),-- [general_75_s]
(21364,8742,1,1,2,454.588199),-- [special_75_s]
(21364,8752,1,1,2,45.591611),-- [rare_75_s]
(21364,1344,30,90,2,90956.591856),-- [mithril_arrow]
(21365,959,1,1,-1,330),-- [scrl_of_ench_wp_s]
(21365,6688,1,1,-1,17847),-- [forgotten_blade_edge]
(21365,6689,1,1,-1,17511),-- [basalt_battlehammer_head]
(21365,57,4071,8308,0,700000),-- [adena]
(21365,12265,1,1,1,425.813736),-- [sealed_leather_mail_of_nightmare_low]
(21365,5480,1,1,1,3420.186264),-- [sealed_leather_mail_of_nightmare_fabric]
(21365,12258,1,1,1,425.813736),-- [sealed_majestic_leather_mail_low]
(21365,5481,1,1,1,3420.186264),-- [sealed_majestic_leather_mail_fabric]
(21365,1869,2,6,2,84685.16993),-- [iron_ore]
(21365,1870,2,6,2,67748.29407),-- [coal]
(21365,1871,3,9,2,56456.911725),-- [charcoal]
(21365,1872,7,21,2,32260.86652),-- [animal_bone]
(21365,1867,1,3,2,150551.369285),-- [animal_skin]
(21365,959,1,1,2,13.44071),-- [scrl_of_ench_wp_s]
(21365,8732,1,1,2,2822.944415),-- [general_75_s]
(21365,8742,1,1,2,705.637275),-- [special_75_s]
(21365,8752,1,1,2,70.36607),-- [rare_75_s]
(21366,6698,1,1,-1,175150),-- [sealed_sanddragon's_earing_piece]
(21366,6699,1,1,-1,194352),-- [sealed_ring_of_aurakyria_gem]
(21366,6700,1,1,-1,106751),-- [sealed_dragon_necklace_wire]
(21366,57,4396,8972,0,700000),-- [adena]
(21366,12263,1,1,1,345.090056),-- [sealed_armor_of_nightmare_low]
(21366,5522,1,1,1,2802.909944),-- [sealed_armor_of_nightmare_pattern]
(21366,12262,1,1,1,345.090056),-- [sealed_majestic_platte_armor_low]
(21366,5523,1,1,1,2802.909944),-- [sealed_majestic_platte_armor_pattern]
(21366,1894,1,1,2,12835.84337),-- [crafted_leather]
(21366,4039,1,1,2,12193.846396),-- [mold_glue]
(21366,4041,1,1,2,3181.039026),-- [mold_hardener]
(21366,4044,1,1,2,12193.846396),-- [thons]
(21366,960,1,1,2,146.367664),-- [scrl_of_ench_am_s]
(21366,8732,1,1,2,3048.598136),-- [general_75_s]
(21366,8742,1,1,2,762.149534),-- [special_75_s]
(21366,8752,1,1,2,76.187646),-- [rare_75_s]
(21366,1344,20,60,2,228636.121832),-- [mithril_arrow]
(21367,6710,1,1,-1,87307),-- [sealed_draconic_leather_helmet_pattern]
(21367,6711,1,1,-1,26667),-- [sealed_major_arcana_robe_part]
(21367,6712,1,1,-1,76629),-- [sealed_major_arcana_gloves_fabric]
(21367,57,2653,5416,0,700000),-- [adena]
(21367,11975,1,1,1,176.612568),-- [soul_bow_low]
(21367,5534,1,1,1,2727.387432),-- [soul_bow_shaft]
(21367,1895,1,1,2,63086.223094),-- [metallic_fiber]
(21367,4040,1,1,2,4416.174838),-- [mold_lubricant]
(21367,4042,1,1,2,3680.086202),-- [enria]
(21367,4043,1,1,2,7360.172404),-- [asofe]
(21367,960,1,1,2,88.173566),-- [scrl_of_ench_am_s]
(21367,8732,1,1,2,1839.864612),-- [general_75_s]
(21367,8742,1,1,2,460.144642),-- [special_75_s]
(21367,8752,1,1,2,46.050162),-- [rare_75_s]
(21367,1344,10,30,2,276001.11048),-- [mithril_arrow]
(21368,960,1,1,-1,4349),-- [scrl_of_ench_am_s]
(21368,1895,1,7,-1,776557),-- [metallic_fiber]
(21368,4042,1,1,-1,181197),-- [enria]
(21368,57,5359,10941,0,700000),-- [adena]
(21368,11973,1,1,1,356.798728),-- [soul_separator_low]
(21368,5537,1,1,1,5506.201272),-- [soul_separator_head]
(21368,1873,2,6,2,40142.0719),-- [silver_nugget]
(21368,1868,3,9,2,133807.59525),-- [thread]
(21368,1876,1,1,2,80284.55715),-- [mithril_ore]
(21368,1895,1,1,2,114692.2245),-- [metallic_fiber]
(21368,4042,1,1,2,6690.4831),-- [enria]
(21368,959,1,1,2,16.12065),-- [scrl_of_ench_wp_s]
(21368,6672,1,1,2,33452.00215),-- [key_of_treasure_box8]
(21368,8732,1,1,2,3345.24155),-- [general_75_s]
(21368,8742,1,1,2,836.20705),-- [special_75_s]
(21368,8752,1,1,2,83.4967),-- [rare_75_s]
(21369,5528,1,1,-1,114809),-- [sealed_magestic_circlet_design]
(21369,5167,1,1,-1,4268),-- [rp_comp_bspiritshot_s]
(21369,5529,1,1,-1,26345),-- [dragon_slayer_edge]
(21369,57,4725,9675,0,700000),-- [adena]
(21369,11976,1,1,1,315.170583),-- [tallum_glaive_low]
(21369,5541,1,1,1,4861.829417),-- [tallum_glaive_edge]
(21369,1868,4,12,2,88639.962635),-- [thread]
(21369,1873,1,1,2,141824.393235),-- [silver_nugget]
(21369,5549,1,1,2,35455.985054),-- [iron_thread]
(21369,1889,1,1,2,23637.172363),-- [compound_braid]
(21369,4044,1,1,2,11818.812691),-- [thons]
(21369,960,1,1,2,141.794947),-- [scrl_of_ench_am_s]
(21369,8732,1,1,2,2954.589918),-- [general_75_s]
(21369,8742,1,1,2,738.873989),-- [special_75_s]
(21369,8752,1,1,2,73.842097),-- [rare_75_s]
(21369,1344,30,90,2,147733.573071),-- [mithril_arrow]
(21370,5550,1,1,-1,103728),-- [reinforcing_plate]
(21370,4043,1,1,-1,259321),-- [asofe]
(21370,5488,1,1,-1,35032),-- [sealed_majestic_robe_fabric]
(21370,57,3835,7830,0,700000),-- [adena]
(21370,12266,1,1,1,401.18768),-- [sealed_robe_of_nightmare_low]
(21370,5487,1,1,1,3233.81232),-- [sealed_robe_of_nightmare_fabric]
(21370,12259,1,1,1,401.18768),-- [sealed_majestic_robe_low]
(21370,5488,1,1,1,3233.81232),-- [sealed_majestic_robe_fabric]
(21370,1869,1,3,2,106388.161938),-- [iron_ore]
(21370,1864,1,3,2,319164.485814),-- [stem]
(21370,1880,1,1,2,31916.353428),-- [steel]
(21370,5550,1,1,2,4255.735815),-- [reinforcing_plate]
(21370,4043,1,1,2,10638.625887),-- [asofe]
(21370,959,1,1,2,12.845709),-- [scrl_of_ench_wp_s]
(21370,8732,1,1,2,2659.53753),-- [general_75_s]
(21370,8742,1,1,2,665.122266),-- [special_75_s]
(21370,8752,1,1,2,66.131613),-- [rare_75_s]
(21371,6713,1,1,-1,119352),-- [sealed_major_arcana_boots_design]
(21371,6714,1,1,-1,135984),-- [sealed_major_arcana_hood_pattern]
(21371,7579,1,1,-1,18329),-- [draconic_bow_shaft]
(21371,57,4132,8436,0,700000),-- [adena]
(21371,11973,1,1,1,275.129976),-- [soul_separator_low]
(21371,5537,1,1,1,4245.870024),-- [soul_separator_head]
(21371,1894,1,1,2,12066.898272),-- [crafted_leather]
(21371,4039,1,1,2,11463.64769),-- [mold_glue]
(21371,4041,1,1,2,2990.31172),-- [mold_hardener]
(21371,4044,1,1,2,11463.64769),-- [thons]
(21371,960,1,1,2,137.724136),-- [scrl_of_ench_am_s]
(21371,8732,1,1,2,2865.794008),-- [general_75_s]
(21371,8742,1,1,2,716.448502),-- [special_75_s]
(21371,8752,1,1,2,71.692016),-- [rare_75_s]
(21371,1344,10,30,2,429881.835966),-- [mithril_arrow]
(21372,960,1,1,-1,2242),-- [scrl_of_ench_am_s]
(21372,1876,1,3,-1,560482),-- [mithril_ore]
(21372,1895,1,3,-1,800688),-- [metallic_fiber]
(21372,57,2763,5640,0,700000),-- [adena]
(21372,12266,1,1,1,289.053792),-- [sealed_robe_of_nightmare_low]
(21372,5487,1,1,1,2329.946208),-- [sealed_robe_of_nightmare_fabric]
(21372,12259,1,1,1,289.053792),-- [sealed_majestic_robe_low]
(21372,5488,1,1,1,2329.946208),-- [sealed_majestic_robe_fabric]
(21372,1873,1,1,2,91976.412717),-- [silver_nugget]
(21372,1868,1,3,2,229940.811849),-- [thread]
(21372,1876,1,1,2,45987.986415),-- [mithril_ore]
(21372,1895,1,1,2,65697.12345),-- [metallic_fiber]
(21372,4042,1,1,2,3832.295544),-- [enria]
(21372,959,1,1,2,9.237627),-- [scrl_of_ench_wp_s]
(21372,8732,1,1,2,1916.147772),-- [general_75_s]
(21372,8742,1,1,2,479.036943),-- [special_75_s]
(21372,8752,1,1,2,47.947683),-- [rare_75_s]
(21373,959,1,1,-1,453),-- [scrl_of_ench_wp_s]
(21373,1895,1,7,-1,808936),-- [metallic_fiber]
(21373,4040,1,1,-1,226502),-- [mold_lubricant]
(21373,57,5568,11414,0,700000),-- [adena]
(21373,12266,1,1,1,584.012272),-- [sealed_robe_of_nightmare_low]
(21373,5487,1,1,1,4707.487728),-- [sealed_robe_of_nightmare_fabric]
(21373,12259,1,1,1,584.012272),-- [sealed_majestic_robe_low]
(21373,5488,1,1,1,4707.487728),-- [sealed_majestic_robe_fabric]
(21373,1895,1,1,2,149341.72716),-- [metallic_fiber]
(21373,4040,1,1,2,10453.87494),-- [mold_lubricant]
(21373,4042,1,1,2,8711.56245),-- [enria]
(21373,4043,1,1,2,17423.1249),-- [asofe]
(21373,959,1,1,2,20.874045),-- [scrl_of_ench_wp_s]
(21373,8732,1,1,2,4355.781225),-- [general_75_s]
(21373,8742,1,1,2,1088.89743),-- [special_75_s]
(21373,8752,1,1,2,109.15785),-- [rare_75_s]
(21374,6707,1,1,-1,29364),-- [sealed_draconic_leather_armor_part]
(21374,6708,1,1,-1,84378),-- [sealed_draconic_leather_gloves_fabric]
(21374,6709,1,1,-1,84378),-- [sealed_draconic_leather_boots_design]
(21374,57,2916,5970,0,700000),-- [adena]
(21374,11976,1,1,1,194.508405),-- [tallum_glaive_low]
(21374,5541,1,1,1,3000.491595),-- [tallum_glaive_edge]
(21374,1873,1,1,2,97251.988557),-- [silver_nugget]
(21374,1868,1,3,2,243130.203996),-- [thread]
(21374,1876,1,1,2,48626.226882),-- [mithril_ore]
(21374,1895,1,1,2,69465.639654),-- [metallic_fiber]
(21374,4042,1,1,2,4051.95297),-- [enria]
(21374,960,1,1,2,97.228263),-- [scrl_of_ench_am_s]
(21374,8732,1,1,2,2025.976485),-- [general_75_s]
(21374,8742,1,1,2,506.610423),-- [special_75_s]
(21374,8752,1,1,2,51.17277),-- [rare_75_s]
(21375,960,1,1,-1,2285),-- [scrl_of_ench_am_s]
(21375,4040,1,1,-1,114238),-- [mold_lubricant]
(21375,1877,1,1,-1,228476),-- [admantite_nugget]
(21375,57,2811,5754,0,700000),-- [adena]
(21375,12265,1,1,1,294.559918),-- [sealed_leather_mail_of_nightmare_low]
(21375,5480,1,1,1,2365.940082),-- [sealed_leather_mail_of_nightmare_fabric]
(21375,12258,1,1,1,294.559918),-- [sealed_majestic_leather_mail_low]
(21375,5481,1,1,1,2365.940082),-- [sealed_majestic_leather_mail_fabric]
(21375,1871,1,1,2,234334.361266),-- [charcoal]
(21375,1866,1,1,2,156222.771126),-- [suede]
(21375,1877,1,1,2,9373.308986),-- [admantite_nugget]
(21375,4041,1,1,2,2037.58692),-- [mold_hardener]
(21375,4040,1,1,2,4686.85907),-- [mold_lubricant]
(21375,959,1,1,2,9.410542),-- [scrl_of_ench_wp_s]
(21375,8732,1,1,2,1952.892042),-- [general_75_s]
(21375,8742,1,1,2,488.120722),-- [special_75_s]
(21375,8752,1,1,2,48.689326),-- [rare_75_s]
(21376,5544,1,1,-1,27515),-- [worldtree's_branch_head]
(21376,4041,1,1,-1,87314),-- [mold_hardener]
(21376,1875,1,1,-1,669404),-- [stone_of_purity]
(21376,57,4952,10108,0,700000),-- [adena]
(21376,11951,1,1,1,510.306986),-- [bloody_orchid_low]
(21376,5536,1,1,1,6306.693014),-- [bloody_orchid_head]
(21376,1872,4,12,2,68656.883343),-- [animal_bone]
(21376,1867,1,3,2,183085.592703),-- [animal_skin]
(21376,1881,1,1,2,54925.575129),-- [coarse_bone_powder]
(21376,1875,1,1,2,27462.958701),-- [stone_of_purity]
(21376,4041,1,1,2,3582.229218),-- [mold_hardener]
(21376,3036,1,1,2,183.116055),-- [rp_spiritshot_s]
(21376,8732,1,1,2,3432.99819),-- [general_75_s]
(21376,8742,1,1,2,858.078411),-- [special_75_s]
(21376,8752,1,1,2,85.56825),-- [rare_75_s]
(21377,5545,1,1,-1,26960),-- [dark_legion's_edge_edge]
(21377,1808,1,1,-1,4368),-- [rp_soulshot_s]
(21377,5546,1,1,-1,29613),-- [sword_of_miracle_edge]
(21377,57,4847,9892,0,700000),-- [adena]
(21377,12227,1,1,1,659.092728),-- [sealed_dark_crystal_breastplate_low]
(21377,5520,1,1,1,3899.53256),-- [sealed_dark_crystal_breastplate_pattern]
(21377,12233,1,1,1,405.844768),-- [sealed_tallum_plate_armor_low]
(21377,5521,1,1,1,2751.661696),-- [sealed_tallum_plate_armor_pattern]
(21377,12220,1,1,1,1051.682296),-- [sealed_dark_crystal_gaiters_low]
(21377,5524,1,1,1,5960.185952),-- [sealed_dark_crystal_gaiters_pattern]
(21377,1873,1,1,2,145136.73845),-- [silver_nugget]
(21377,1868,4,12,2,90710.631176),-- [thread]
(21377,1876,1,1,2,72568.595418),-- [mithril_ore]
(21377,1895,1,1,2,103669.228146),-- [metallic_fiber]
(21377,4042,1,1,2,6047.496048),-- [enria]
(21377,3957,1,1,2,161.049416),-- [rp_blessed_spiritshot_s]
(21377,8732,1,1,2,3023.748024),-- [general_75_s]
(21377,8742,1,1,2,755.937006),-- [special_75_s]
(21377,8752,1,1,2,75.548462),-- [rare_75_s]
(21377,1344,150,450,2,30237.027854),-- [mithril_arrow]
(21378,1889,1,1,-1,804585),-- [compound_braid]
(21378,5514,1,1,-1,203830),-- [sealed_gloves_of_nightmare_design]
(21378,5282,1,1,-1,5364),-- [rp_adv_comp_bspiritshot_s]
(21378,57,5950,12144,0,700000),-- [adena]
(21378,11973,1,1,1,396.111704),-- [soul_separator_low]
(21378,5537,1,1,1,6112.888296),-- [soul_separator_head]
(21378,1868,3,9,2,165043.032308),-- [thread]
(21378,1873,1,1,2,198051.82573),-- [silver_nugget]
(21378,5549,1,1,2,49512.722732),-- [iron_thread]
(21378,1889,1,1,2,33008.793422),-- [compound_braid]
(21378,4044,1,1,2,16504.396711),-- [thons]
(21378,959,1,1,2,19.630842),-- [scrl_of_ench_wp_s]
(21378,8732,1,1,2,4126.216028),-- [general_75_s]
(21378,8742,1,1,2,1031.554007),-- [special_75_s]
(21378,8752,1,1,2,102.82822),-- [rare_75_s]
(21379,5515,1,1,-1,171095),-- [sealed_magestic_gloves_design]
(21379,6901,1,1,-1,10131),-- [rp_shining_arrow]
(21379,5522,1,1,-1,34500),-- [sealed_armor_of_nightmare_pattern]
(21379,57,4995,10193,0,700000),-- [adena]
(21379,12263,1,1,1,392.063083),-- [sealed_armor_of_nightmare_low]
(21379,5522,1,1,1,3184.436917),-- [sealed_armor_of_nightmare_pattern]
(21379,12262,1,1,1,392.063083),-- [sealed_majestic_platte_armor_low]
(21379,5523,1,1,1,3184.436917),-- [sealed_majestic_platte_armor_pattern]
(21379,1864,5,15,2,74810.101354),-- [stem]
(21379,1865,3,9,2,62341.909322),-- [varnish]
(21379,1866,3,9,2,35623.948184),-- [suede]
(21379,1873,1,1,2,149620.202708),-- [silver_nugget]
(21379,1868,12,36,2,31170.954661),-- [thread]
(21379,960,1,1,2,149.493015),-- [scrl_of_ench_am_s]
(21379,8732,1,1,2,3117.048008),-- [general_75_s]
(21379,8742,1,1,2,779.262002),-- [special_75_s]
(21379,8752,1,1,2,77.831284),-- [rare_75_s]
(21379,1344,40,120,2,116890.249462),-- [mithril_arrow]
(21380,5523,1,1,-1,35175),-- [sealed_majestic_platte_armor_pattern]
(21380,5481,1,1,-1,46347),-- [sealed_majestic_leather_mail_fabric]
(21380,1808,1,1,-1,4591),-- [rp_soulshot_s]
(21380,57,5093,10393,0,700000),-- [adena]
(21380,11974,1,1,1,84.750528),-- [elysian_low]
(21380,5533,1,1,1,1307.639232),-- [elysian_head]
(21380,11970,1,1,1,84.750528),-- [worldtree's_branch_low]
(21380,5544,1,1,1,1306.347456),-- [worldtree's_branch_head]
(21380,11969,1,1,1,84.750528),-- [dragon_flame_head_low]
(21380,8342,1,1,1,1307.639232),-- [dragon_flame_head_piece]
(21380,11966,1,1,1,84.750528),-- [doom_crusher_low]
(21380,8349,1,1,1,1307.371968),-- [doom_crusher_head]
(21380,1869,2,6,2,105935.778108),-- [iron_ore]
(21380,1870,2,6,2,84748.820292),-- [coal]
(21380,1871,3,9,2,70624.01691),-- [charcoal]
(21380,1872,7,21,2,40356.298512),-- [animal_bone]
(21380,1867,1,3,2,188330.217246),-- [animal_skin]
(21380,959,1,1,2,16.813476),-- [scrl_of_ench_wp_s]
(21380,8732,1,1,2,3531.324474),-- [general_75_s]
(21380,8742,1,1,2,882.70749),-- [special_75_s]
(21380,8752,1,1,2,88.023492),-- [rare_75_s]
(21381,3957,1,1,-1,5018),-- [rp_blessed_spiritshot_s]
(21381,5495,1,1,-1,171455),-- [sealed_shield_of_nightmare_fragment]
(21381,5157,1,1,-1,5018),-- [rp_comp_soulshot_s]
(21381,57,5566,11364,0,700000),-- [adena]
(21381,11976,1,1,1,370.570473),-- [tallum_glaive_low]
(21381,5541,1,1,1,5716.429527),-- [tallum_glaive_edge]
(21381,1867,5,15,2,55587.364488),-- [animal_skin]
(21381,1872,1,3,2,185291.704941),-- [animal_bone]
(21381,1882,1,1,2,92645.60748),-- [leather]
(21381,1894,1,1,2,14628.382755),-- [crafted_leather]
(21381,4042,1,1,2,6948.420561),-- [enria]
(21381,960,1,1,2,166.59354),-- [scrl_of_ench_am_s]
(21381,8732,1,1,2,3474.455271),-- [general_75_s]
(21381,8742,1,1,2,868.736313),-- [special_75_s]
(21381,8752,1,1,2,86.726637),-- [rare_75_s]
(21381,1344,40,120,2,130283.008014),-- [mithril_arrow]
(21382,5502,1,1,-1,203124),-- [sealed_boots_of_nightmare_lining]
(21382,5549,1,3,-1,601349),-- [iron_thread]
(21382,1889,1,1,-1,801799),-- [compound_braid]
(21382,57,5929,12104,0,700000),-- [adena]
(21382,12265,1,1,1,620.231032),-- [sealed_leather_mail_of_nightmare_low]
(21382,5480,1,1,1,4981.768968),-- [sealed_leather_mail_of_nightmare_fabric]
(21382,12258,1,1,1,620.231032),-- [sealed_majestic_leather_mail_low]
(21382,5481,1,1,1,4981.768968),-- [sealed_majestic_leather_mail_fabric]
(21382,1868,3,9,2,164471.703564),-- [thread]
(21382,1873,1,1,2,197366.23059),-- [silver_nugget]
(21382,5549,1,1,2,49341.324756),-- [iron_thread]
(21382,1889,1,1,2,32894.527026),-- [compound_braid]
(21382,4044,1,1,2,16447.263513),-- [thons]
(21382,959,1,1,2,19.562886),-- [scrl_of_ench_wp_s]
(21382,8732,1,1,2,4111.932324),-- [general_75_s]
(21382,8742,1,1,2,1027.983081),-- [special_75_s]
(21382,8752,1,1,2,102.47226),-- [rare_75_s]
(21383,5503,1,1,-1,217116),-- [sealed_magestic_boots_lining]
(21383,5162,1,1,-1,5714),-- [rp_comp_spiritshot_s]
(21383,5514,1,1,-1,217116),-- [sealed_gloves_of_nightmare_design]
(21383,57,6337,12938,0,700000),-- [adena]
(21383,12263,1,1,1,497.574258),-- [sealed_armor_of_nightmare_low]
(21383,5522,1,1,1,4041.425742),-- [sealed_armor_of_nightmare_pattern]
(21383,12262,1,1,1,497.574258),-- [sealed_majestic_platte_armor_low]
(21383,5523,1,1,1,4041.425742),-- [sealed_majestic_platte_armor_pattern]
(21383,1864,5,15,2,94932.30272),-- [stem]
(21383,1865,3,9,2,79110.396755),-- [varnish]
(21383,1866,3,9,2,45206.06485),-- [suede]
(21383,1873,4,12,2,21096.308085),-- [silver_nugget]
(21383,1868,12,36,2,39554.981645),-- [thread]
(21383,960,1,1,2,189.85767),-- [scrl_of_ench_am_s]
(21383,8732,1,1,2,3955.368125),-- [general_75_s]
(21383,8742,1,1,2,988.733665),-- [special_75_s]
(21383,8752,1,1,2,98.83002),-- [rare_75_s]
(21383,1344,40,120,2,148332.156465),-- [mithril_arrow]
(21384,4041,1,1,-1,104091),-- [mold_hardener]
(21384,1875,1,1,-1,798032),-- [stone_of_purity]
(21384,5533,1,1,-1,32835),-- [elysian_head]
(21384,57,5890,12060,0,700000),-- [adena]
(21384,12265,1,1,1,617.297058),-- [sealed_leather_mail_of_nightmare_low]
(21384,5480,1,1,1,4958.202942),-- [sealed_leather_mail_of_nightmare_fabric]
(21384,12258,1,1,1,617.297058),-- [sealed_majestic_leather_mail_low]
(21384,5481,1,1,1,4958.202942),-- [sealed_majestic_leather_mail_fabric]
(21384,1872,4,12,2,81849.403138),-- [animal_bone]
(21384,1867,1,3,2,218265.210982),-- [animal_skin]
(21384,1881,1,1,2,65479.440942),-- [coarse_bone_powder]
(21384,1875,1,1,2,32739.924392),-- [stone_of_purity]
(21384,4041,1,1,2,4270.513582),-- [mold_hardener]
(21384,959,1,1,2,19.576416),-- [scrl_of_ench_wp_s]
(21384,8732,1,1,2,4092.286628),-- [general_75_s]
(21384,8742,1,1,2,1023.275578),-- [special_75_s]
(21384,8752,1,1,2,102.368342),-- [rare_75_s]
(21385,5272,1,1,-1,5032),-- [rp_adv_comp_soulshot_s]
(21385,5534,1,1,-1,31083),-- [soul_bow_shaft]
(21385,5277,1,1,-1,5032),-- [rp_adv_comp_spiritshot_s]
(21385,57,5571,11407,0,700000),-- [adena]
(21385,12263,1,1,1,438.213945),-- [sealed_armor_of_nightmare_low]
(21385,5522,1,1,1,3559.286055),-- [sealed_armor_of_nightmare_pattern]
(21385,12262,1,1,1,438.213945),-- [sealed_majestic_platte_armor_low]
(21385,5523,1,1,1,3559.286055),-- [sealed_majestic_platte_armor_pattern]
(21385,1873,3,9,2,27869.648028),-- [silver_nugget]
(21385,1868,4,12,2,104511.084644),-- [thread]
(21385,1876,1,1,2,83608.944084),-- [mithril_ore]
(21385,1895,1,1,2,119441.185044),-- [metallic_fiber]
(21385,4042,1,1,2,6967.507468),-- [enria]
(21385,960,1,1,2,167.247672),-- [scrl_of_ench_am_s]
(21385,8732,1,1,2,3483.562812),-- [general_75_s]
(21385,8742,1,1,2,870.986164),-- [special_75_s]
(21385,8752,1,1,2,87.060432),-- [rare_75_s]
(21385,1344,150,450,2,34836.773652),-- [mithril_arrow]
(21386,5537,1,1,-1,32059),-- [soul_separator_head]
(21386,1877,1,1,-1,467422),-- [admantite_nugget]
(21386,4041,1,1,-1,101613),-- [mold_hardener]
(21386,57,5749,11773,0,700000),-- [adena]
(21386,12266,1,1,1,602.60928),-- [sealed_robe_of_nightmare_low]
(21386,5487,1,1,1,4857.39072),-- [sealed_robe_of_nightmare_fabric]
(21386,12259,1,1,1,602.60928),-- [sealed_majestic_robe_low]
(21386,5488,1,1,1,4857.39072),-- [sealed_majestic_robe_fabric]
(21386,1871,1,3,2,239703.293544),-- [charcoal]
(21386,1866,1,3,2,106534.669036),-- [suede]
(21386,1877,1,1,2,19176.155884),-- [admantite_nugget]
(21386,4041,1,1,2,4168.712832),-- [mold_hardener]
(21386,4040,1,1,2,9588.270084),-- [mold_lubricant]
(21386,959,1,1,2,19.2142),-- [scrl_of_ench_wp_s]
(21386,8732,1,1,2,3995.016464),-- [general_75_s]
(21386,8742,1,1,2,998.754116),-- [special_75_s]
(21386,8752,1,1,2,99.91384),-- [rare_75_s]
(21387,5522,1,1,-1,35740),-- [sealed_armor_of_nightmare_pattern]
(21387,1895,1,7,-1,749613),-- [metallic_fiber]
(21387,4042,1,1,-1,174910),-- [enria]
(21387,57,5163,10575,0,700000),-- [adena]
(21387,12352,1,1,1,1588.748784),-- [sealed_majestic_earing_low]
(21387,6342,1,1,1,14629.634096),-- [sealed_majestic_earing_gemstone]
(21387,12350,1,1,1,1192.680496),-- [sealed_majestic_necklace_low]
(21387,6344,1,1,1,9467.47032),-- [sealed_majestic_necklace_beads]
(21387,12351,1,1,1,2383.098032),-- [sealed_majestic_ring_low]
(21387,6346,1,1,1,21026.368272),-- [sealed_majestic_ring_gemstrone]
(21387,1873,2,6,2,43054.66836),-- [silver_nugget]
(21387,1868,3,9,2,143515.5612),-- [thread]
(21387,1876,1,1,2,86109.33672),-- [mithril_ore]
(21387,1895,1,1,2,123013.39638),-- [metallic_fiber]
(21387,4042,1,1,2,7175.77806),-- [enria]
(21387,959,1,1,2,17.11332),-- [scrl_of_ench_wp_s]
(21387,8732,1,1,2,3587.6853),-- [general_75_s]
(21387,8742,1,1,2,896.81946),-- [special_75_s]
(21387,8752,1,1,2,89.6412),-- [rare_75_s]
(21388,5523,1,1,-1,54064),-- [sealed_majestic_platte_armor_pattern]
(21388,1808,1,1,-1,7056),-- [rp_soulshot_s]
(21388,5527,1,1,-1,189805),-- [sealed_helm_of_nightmare_design]
(21388,57,7810,15997,0,700000),-- [adena]
(21388,12267,1,1,1,1993.73837),-- [sealed_boots_of_nightmare_low]
(21388,5502,1,1,1,12374.51163),-- [sealed_boots_of_nightmare_lining]
(21388,12260,1,1,1,1993.73837),-- [sealed_magestic_boots_low]
(21388,5503,1,1,1,12374.51163),-- [sealed_magestic_boots_lining]
(21388,12264,1,1,1,1993.73837),-- [sealed_gloves_of_nightmare_low]
(21388,5514,1,1,1,12374.51163),-- [sealed_gloves_of_nightmare_design]
(21388,12257,1,1,1,1993.73837),-- [sealed_magestic_gloves_low]
(21388,5515,1,1,1,12374.51163),-- [sealed_magestic_gloves_design]
(21388,1872,5,15,2,78155.049882),-- [animal_bone]
(21388,1867,9,27,2,43419.2313),-- [animal_skin]
(21388,1881,1,1,2,78155.049882),-- [coarse_bone_powder]
(21388,1875,1,1,2,39077.30817),-- [stone_of_purity]
(21388,4041,1,1,2,5097.153294),-- [mold_hardener]
(21388,960,1,1,2,234.546222),-- [scrl_of_ench_am_s]
(21388,8732,1,1,2,4884.717714),-- [general_75_s]
(21388,8742,1,1,2,1221.287814),-- [special_75_s]
(21388,8752,1,1,2,122.258844),-- [rare_75_s]
(21388,1344,40,120,2,183175.396878),-- [mithril_arrow]
(21389,959,1,1,-1,580),-- [scrl_of_ench_wp_s]
(21389,6690,1,1,-1,31391),-- [piece_of_imperial_staff]
(21389,6691,1,1,-1,31331),-- [angel_slayer_blade]
(21389,57,7149,14591,0,700000),-- [adena]
(21389,11968,1,1,1,158.573382),-- [dragon_slayer_low]
(21389,5529,1,1,1,2447.158194),-- [dragon_slayer_edge]
(21389,11971,1,1,1,158.573382),-- [sword_of_miracle_low]
(21389,5546,1,1,1,2687.963466),-- [sword_of_miracle_edge]
(21389,11964,1,1,1,158.573382),-- [dark_legion's_edge_low]
(21389,5545,1,1,1,2447.158194),-- [dark_legion's_edge_edge]
(21389,1864,4,12,2,148668.54852),-- [stem]
(21389,1865,2,6,2,118935.09465),-- [varnish]
(21389,1866,3,9,2,66075.09996),-- [suede]
(21389,1873,4,12,2,29733.88026),-- [silver_nugget]
(21389,1868,10,30,2,56635.67814),-- [thread]
(21389,959,1,1,2,23.87784),-- [scrl_of_ench_wp_s]
(21389,8732,1,1,2,4955.50458),-- [general_75_s]
(21389,8742,1,1,2,1239.08934),-- [special_75_s]
(21389,8752,1,1,2,123.22671),-- [rare_75_s]
(21390,6701,1,1,-1,89988),-- [sealed_imperial_crusader_armor_part]
(21390,6702,1,1,-1,115839),-- [sealed_imperial_crusader_gaiters_pattern]
(21390,6703,1,1,-1,240650),-- [sealed_imperial_crusader_gauntlet_design]
(21390,57,8333,17007,0,700000),-- [adena]
(21390,12352,1,1,1,2558.748663),-- [sealed_majestic_earing_low]
(21390,6342,1,1,1,23561.658747),-- [sealed_majestic_earing_gemstone]
(21390,12350,1,1,1,1920.863547),-- [sealed_majestic_necklace_low]
(21390,6344,1,1,1,15247.770615),-- [sealed_majestic_necklace_beads]
(21390,12351,1,1,1,3838.082499),-- [sealed_majestic_ring_low]
(21390,6346,1,1,1,33863.875929),-- [sealed_majestic_ring_gemstrone]
(21390,1872,5,15,2,83210.028993),-- [animal_bone]
(21390,1867,9,27,2,46227.53745),-- [animal_skin]
(21390,1881,1,1,2,83210.028993),-- [coarse_bone_powder]
(21390,1875,1,1,2,41604.783705),-- [stone_of_purity]
(21390,4041,1,1,2,5426.831331),-- [mold_hardener]
(21390,960,1,1,2,249.716403),-- [scrl_of_ench_am_s]
(21390,8732,1,1,2,5200.655661),-- [general_75_s]
(21390,8742,1,1,2,1300.279311),-- [special_75_s]
(21390,8752,1,1,2,130.166406),-- [rare_75_s]
(21390,1344,40,120,2,195022.971747),-- [mithril_arrow]
(21391,6695,1,1,-1,28824),-- [demon_splinter_blade]
(21391,6696,1,1,-1,29845),-- [heavens_divider_edge]
(21391,6697,1,1,-1,28824),-- [arcana_mace_head]
(21391,57,6703,13681,0,700000),-- [adena]
(21391,11974,1,1,1,111.524267),-- [elysian_low]
(21391,5533,1,1,1,1720.738623),-- [elysian_head]
(21391,11970,1,1,1,111.524267),-- [worldtree's_branch_low]
(21391,5544,1,1,1,1719.038759),-- [worldtree's_branch_head]
(21391,11969,1,1,1,111.524267),-- [dragon_flame_head_low]
(21391,8342,1,1,1,1720.738623),-- [dragon_flame_head_piece]
(21391,11966,1,1,1,111.524267),-- [doom_crusher_low]
(21391,8349,1,1,1,1720.386927),-- [doom_crusher_head]
(21391,1869,2,6,2,100368.65358),-- [iron_ore]
(21391,1870,3,9,2,83640.54465),-- [coal]
(21391,1871,3,9,2,71691.687702),-- [charcoal]
(21391,1872,8,24,2,41820.029994),-- [animal_bone]
(21391,1867,13,39,2,24782.222046),-- [animal_skin]
(21391,960,1,1,2,200.650068),-- [scrl_of_ench_am_s]
(21391,8732,1,1,2,4182.148398),-- [general_75_s]
(21391,8742,1,1,2,1045.415934),-- [special_75_s]
(21391,8752,1,1,2,104.686992),-- [rare_75_s]
(21391,1344,40,120,2,156825.960636),-- [mithril_arrow]
(21392,9630,1,1,-1,88230),-- [oricalcum]
(21392,959,1,1,-1,671),-- [scrl_of_ench_wp_s]
(21392,9991,1,1,-1,39306),-- [sealed_dynasty_earring_gem]
(21392,57,8265,16868,0,700000),-- [adena]
(21392,9452,1,1,1,34.11387),-- [sealed_dynasty_earring]
(21392,9453,1,1,1,25.58151),-- [sealed_dynasty_neckalce]
(21392,9454,1,1,1,51.170805),-- [sealed_dynasty_ring]
(21392,9991,1,1,1,2418.70608),-- [sealed_dynasty_earring_gem]
(21392,9992,1,1,1,1856.294325),-- [sealed_dynasty_neckalce_gem]
(21392,9993,1,1,1,3399.13341),-- [sealed_dynasty_ring_gem]
(21392,1879,1,1,2,114623.20554),-- [cokes]
(21392,1885,1,1,2,57311.60277),-- [high_grade_suede]
(21392,9628,1,1,2,5394.08611),-- [renad]
(21392,9630,1,1,2,3619.65136),-- [oricalcum]
(21392,9629,1,1,2,2990.24029),-- [adamantium]
(21392,9573,1,1,2,4776.01578),-- [general_80_s]
(21392,9574,1,1,2,1193.90618),-- [special_80_s]
(21392,9575,1,1,2,119.46883),-- [rare_80_s]
(21392,9551,1,1,2,5501.82314),-- [ore_of_holy]
(21393,959,1,1,-1,604),-- [scrl_of_ench_wp_s]
(21393,1877,1,1,-1,603958),-- [admantite_nugget]
(21393,4041,1,1,-1,131295),-- [mold_hardener]
(21393,57,7443,15195,0,700000),-- [adena]
(21393,11976,1,1,1,495.55506),-- [tallum_glaive_low]
(21393,5541,1,1,1,7644.44494),-- [tallum_glaive_edge]
(21393,1871,1,3,2,309722.274576),-- [charcoal]
(21393,1866,1,3,2,137654.178744),-- [suede]
(21393,1877,1,1,2,24777.642936),-- [admantite_nugget]
(21393,4041,1,1,2,5386.422528),-- [mold_hardener]
(21393,4040,1,1,2,12389.069736),-- [mold_lubricant]
(21393,959,1,1,2,24.8268),-- [scrl_of_ench_wp_s]
(21393,8732,1,1,2,5161.988256),-- [general_75_s]
(21393,8742,1,1,2,1290.497064),-- [special_75_s]
(21393,8752,1,1,2,129.09936),-- [rare_75_s]
(21394,1808,1,1,-1,5069),-- [rp_soulshot_s]
(21394,5527,1,1,-1,136356),-- [sealed_helm_of_nightmare_design]
(21394,3036,1,1,-1,5069),-- [rp_spiritshot_s]
(21394,57,5623,11476,0,700000),-- [adena]
(21394,11967,1,1,1,374.33205),-- [dragon_grinder_low]
(21394,5538,1,1,1,5775.66795),-- [dragon_grinder_edge]
(21394,1894,1,1,2,16417.24833),-- [crafted_leather]
(21394,4039,1,1,2,15596.123964),-- [mold_glue]
(21394,4041,1,1,2,4068.599634),-- [mold_hardener]
(21394,4044,1,1,2,15596.123964),-- [thons]
(21394,960,1,1,2,187.206576),-- [scrl_of_ench_am_s]
(21394,8732,1,1,2,3899.205624),-- [general_75_s]
(21394,8742,1,1,2,974.801406),-- [special_75_s]
(21394,8752,1,1,2,97.445214),-- [rare_75_s]
(21394,1344,20,60,2,292429.245288),-- [mithril_arrow]
(21395,6901,1,1,-1,14948),-- [rp_shining_arrow]
(21395,10114,1,1,-1,37063),-- [sealed_dynasty_sigil_piece]
(21395,960,1,1,-1,5979),-- [scrl_of_ench_am_s]
(21395,57,7372,15047,0,700000),-- [adena]
(21395,9514,1,1,1,11.310494),-- [sealed_dynasty_blast_plate]
(21395,9515,1,1,1,18.095194),-- [sealed_dynasty_gaiter]
(21395,9530,1,1,1,2009.276932),-- [sealed_dynasty_blast_plate_piece]
(21395,9531,1,1,1,5943.31738),-- [sealed_dynasty_gaiter_piece]
(21395,1879,1,1,2,102210.625608),-- [cokes]
(21395,1885,1,1,2,51105.312804),-- [high_grade_suede]
(21395,9628,1,1,2,4809.958972),-- [renad]
(21395,9630,1,1,2,3227.678272),-- [oricalcum]
(21395,9629,1,1,2,2666.426308),-- [adamantium]
(21395,9573,1,1,2,4258.819656),-- [general_80_s]
(21395,9574,1,1,2,1064.617736),-- [special_80_s]
(21395,9575,1,1,2,106.531516),-- [rare_80_s]
(21395,9548,1,1,2,4906.029128),-- [ore_of_earth]
(21396,3036,1,1,-1,2766),-- [rp_spiritshot_s]
(21396,6342,1,1,-1,140959),-- [sealed_majestic_earing_gemstone]
(21396,4040,1,1,-1,124452),-- [mold_lubricant]
(21396,57,3069,6264,0,700000),-- [adena]
(21396,11946,1,1,1,79.060934),-- [dasparion's_staff_low]
(21396,5543,1,1,1,977.596656),-- [dasparion's_staff_head]
(21396,11949,1,1,1,79.060934),-- [meteor_shower_low]
(21396,5532,1,1,1,968.466006),-- [meteor_shower_head]
(21396,11953,1,1,1,79.060934),-- [eye_of_soul_low]
(21396,8341,1,1,1,967.227596),-- [eye_of_soul_piece]
(21396,11958,1,1,1,79.060934),-- [hammer_of_destroyer_low]
(21396,8346,1,1,1,968.466006),-- [hammer_of_destroyer_piece]
(21396,1871,1,1,2,255286.773236),-- [charcoal]
(21396,1866,1,1,2,170191.330771),-- [suede]
(21396,1877,1,1,2,10211.542264),-- [admantite_nugget]
(21396,4041,1,1,2,2219.842339),-- [mold_hardener]
(21396,4040,1,1,2,5105.771132),-- [mold_lubricant]
(21396,5157,1,1,2,113.243614),-- [rp_comp_soulshot_s]
(21396,8732,1,1,2,2127.553252),-- [general_75_s]
(21396,8742,1,1,2,531.888313),-- [special_75_s]
(21396,8752,1,1,2,53.055079),-- [rare_75_s]
(21397,3036,1,1,-1,2696),-- [rp_spiritshot_s]
(21397,6342,1,1,-1,137412),-- [sealed_majestic_earing_gemstone]
(21397,4040,1,1,-1,121321),-- [mold_lubricant]
(21397,57,2992,6106,0,700000),-- [adena]
(21397,11946,1,1,1,77.064636),-- [dasparion's_staff_low]
(21397,5543,1,1,1,952.912224),-- [dasparion's_staff_head]
(21397,11949,1,1,1,77.064636),-- [meteor_shower_low]
(21397,5532,1,1,1,944.012124),-- [meteor_shower_head]
(21397,11953,1,1,1,77.064636),-- [eye_of_soul_low]
(21397,8341,1,1,1,942.804984),-- [eye_of_soul_piece]
(21397,11958,1,1,1,77.064636),-- [hammer_of_destroyer_low]
(21397,8346,1,1,1,944.012124),-- [hammer_of_destroyer_piece]
(21397,1871,1,1,2,248862.818712),-- [charcoal]
(21397,1866,1,1,2,165908.690682),-- [suede]
(21397,1877,1,1,2,9954.582288),-- [admantite_nugget]
(21397,4041,1,1,2,2163.982938),-- [mold_hardener]
(21397,4040,1,1,2,4977.291144),-- [mold_lubricant]
(21397,5157,1,1,2,110.393988),-- [rp_comp_soulshot_s]
(21397,8732,1,1,2,2074.016184),-- [general_75_s]
(21397,8742,1,1,2,518.504046),-- [special_75_s]
(21397,8752,1,1,2,51.720018),-- [rare_75_s]
(21398,6346,1,1,-1,375006),-- [sealed_majestic_ring_gemstrone]
(21398,5157,1,1,-1,5119),-- [rp_comp_soulshot_s]
(21398,5480,1,1,-1,51685),-- [sealed_leather_mail_of_nightmare_fabric]
(21398,57,5681,11595,0,700000),-- [adena]
(21398,11960,1,1,1,585.376344),-- [halbard_low]
(21398,5542,1,1,1,7170.623656),-- [halbard_edge]
(21398,1895,1,1,2,151890.192336),-- [metallic_fiber]
(21398,4040,1,1,2,10632.305664),-- [mold_lubricant]
(21398,4042,1,1,2,8860.25472),-- [enria]
(21398,4043,1,1,2,17720.50944),-- [asofe]
(21398,5167,1,1,2,236.325456),-- [rp_comp_bspiritshot_s]
(21398,8732,1,1,2,4430.12736),-- [general_75_s]
(21398,8742,1,1,2,1107.53184),-- [special_75_s]
(21398,8752,1,1,2,110.753184),-- [rare_75_s]
(21399,6346,1,1,-1,329100),-- [sealed_majestic_ring_gemstrone]
(21399,5157,1,1,-1,4493),-- [rp_comp_soulshot_s]
(21399,5480,1,1,-1,45358),-- [sealed_leather_mail_of_nightmare_fabric]
(21399,57,4986,10175,0,700000),-- [adena]
(21399,11960,1,1,1,513.751518),-- [halbard_low]
(21399,5542,1,1,1,6293.248482),-- [halbard_edge]
(21399,1895,1,1,2,133296.130696),-- [metallic_fiber]
(21399,4040,1,1,2,9330.722304),-- [mold_lubricant]
(21399,4042,1,1,2,7775.60192),-- [enria]
(21399,4043,1,1,2,15551.20384),-- [asofe]
(21399,5167,1,1,2,207.395016),-- [rp_comp_bspiritshot_s]
(21399,8732,1,1,2,3887.80096),-- [general_75_s]
(21399,8742,1,1,2,971.95024),-- [special_75_s]
(21399,8752,1,1,2,97.195024),-- [rare_75_s]
(21400,5528,1,1,-1,112808),-- [sealed_magestic_circlet_design]
(21400,4042,1,1,-1,157255),-- [enria]
(21400,1876,1,3,-1,943530),-- [mithril_ore]
(21400,57,4652,9494,0,700000),-- [adena]
(21400,11976,1,1,1,309.691473),-- [tallum_glaive_low]
(21400,5541,1,1,1,4777.308527),-- [tallum_glaive_edge]
(21400,1873,1,1,2,154835.8878),-- [silver_nugget]
(21400,1868,3,9,2,129029.58486),-- [thread]
(21400,1876,1,1,2,77417.9439),-- [mithril_ore]
(21400,1895,1,1,2,110596.7181),-- [metallic_fiber]
(21400,4042,1,1,2,6451.45512),-- [enria]
(21400,959,1,1,2,15.43872),-- [scrl_of_ench_wp_s]
(21400,8732,1,1,2,3225.72756),-- [general_75_s]
(21400,8742,1,1,2,806.67312),-- [special_75_s]
(21400,8752,1,1,2,80.57082),-- [rare_75_s]
(21401,5528,1,1,-1,99266),-- [sealed_magestic_circlet_design]
(21401,4042,1,1,-1,138377),-- [enria]
(21401,1876,1,3,-1,830263),-- [mithril_ore]
(21401,57,4094,8354,0,700000),-- [adena]
(21401,11976,1,1,1,272.494404),-- [tallum_glaive_low]
(21401,5541,1,1,1,4203.505596),-- [tallum_glaive_edge]
(21401,1873,1,1,2,136248.26406),-- [silver_nugget]
(21401,1868,3,9,2,113539.937022),-- [thread]
(21401,1876,1,1,2,68124.13203),-- [mithril_ore]
(21401,1895,1,1,2,97319.88537),-- [metallic_fiber]
(21401,4042,1,1,2,5676.975624),-- [enria]
(21401,959,1,1,2,13.585344),-- [scrl_of_ench_wp_s]
(21401,8732,1,1,2,2838.487812),-- [general_75_s]
(21401,8742,1,1,2,709.834224),-- [special_75_s]
(21401,8752,1,1,2,70.898514),-- [rare_75_s]
(21402,5157,1,1,-1,3808),-- [rp_comp_soulshot_s]
(21402,5534,1,1,-1,23519),-- [soul_bow_shaft]
(21402,4044,1,1,-1,285564),-- [thons]
(21402,57,4224,8620,0,700000),-- [adena]
(21402,11975,1,1,1,281.156991),-- [soul_bow_low]
(21402,5534,1,1,1,4341.843009),-- [soul_bow_shaft]
(21402,1868,3,9,2,117154.17224),-- [thread]
(21402,1873,1,1,2,140585.1394),-- [silver_nugget]
(21402,5549,1,1,2,35146.11896),-- [iron_thread]
(21402,1889,1,1,2,23430.96716),-- [compound_braid]
(21402,4044,1,1,2,11715.48358),-- [thons]
(21402,959,1,1,2,13.93476),-- [scrl_of_ench_wp_s]
(21402,8732,1,1,2,2928.95384),-- [general_75_s]
(21402,8742,1,1,2,732.23846),-- [special_75_s]
(21402,8752,1,1,2,72.9916),-- [rare_75_s]
(21403,5157,1,1,-1,4395),-- [rp_comp_soulshot_s]
(21403,5534,1,1,-1,27147),-- [soul_bow_shaft]
(21403,4044,1,1,-1,329609),-- [thons]
(21403,57,4875,9950,0,700000),-- [adena]
(21403,11975,1,1,1,324.519512),-- [soul_bow_low]
(21403,5534,1,1,1,5011.480488),-- [soul_bow_shaft]
(21403,1868,3,9,2,135224.47414),-- [thread]
(21403,1873,1,1,2,162269.52215),-- [silver_nugget]
(21403,5549,1,1,2,40567.18906),-- [iron_thread]
(21403,1889,1,1,2,27045.04801),-- [compound_braid]
(21403,4044,1,1,2,13522.524005),-- [thons]
(21403,959,1,1,2,16.08411),-- [scrl_of_ench_wp_s]
(21403,8732,1,1,2,3380.72674),-- [general_75_s]
(21403,8742,1,1,2,845.181685),-- [special_75_s]
(21403,8752,1,1,2,84.2501),-- [rare_75_s]
(21404,5167,1,1,-1,5086),-- [rp_comp_bspiritshot_s]
(21404,5515,1,1,-1,193288),-- [sealed_magestic_gloves_design]
(21404,6901,1,1,-1,11445),-- [rp_shining_arrow]
(21404,57,5642,11518,0,700000),-- [adena]
(21404,12266,1,1,1,590.19288),-- [sealed_robe_of_nightmare_low]
(21404,5487,1,1,1,4757.30712),-- [sealed_robe_of_nightmare_fabric]
(21404,12259,1,1,1,590.19288),-- [sealed_majestic_robe_low]
(21404,5488,1,1,1,4757.30712),-- [sealed_majestic_robe_fabric]
(21404,1869,2,6,2,117380.510895),-- [iron_ore]
(21404,1870,2,6,2,93904.408716),-- [coal]
(21404,1871,3,9,2,78253.67393),-- [charcoal]
(21404,1872,7,21,2,44716.280718),-- [animal_bone]
(21404,1867,12,36,2,26084.679759),-- [animal_skin]
(21404,959,1,1,2,18.632697),-- [scrl_of_ench_wp_s]
(21404,8732,1,1,2,3912.86637),-- [general_75_s]
(21404,8742,1,1,2,978.033919),-- [special_75_s]
(21404,8752,1,1,2,97.912996),-- [rare_75_s]
(21405,5167,1,1,-1,3634),-- [rp_comp_bspiritshot_s]
(21405,5515,1,1,-1,138112),-- [sealed_magestic_gloves_design]
(21405,6901,1,1,-1,8178),-- [rp_shining_arrow]
(21405,57,4031,8230,0,700000),-- [adena]
(21405,12266,1,1,1,421.716128),-- [sealed_robe_of_nightmare_low]
(21405,5487,1,1,1,3399.283872),-- [sealed_robe_of_nightmare_fabric]
(21405,12259,1,1,1,421.716128),-- [sealed_majestic_robe_low]
(21405,5488,1,1,1,3399.283872),-- [sealed_majestic_robe_fabric]
(21405,1869,2,6,2,83872.840106),-- [iron_ore]
(21405,1870,2,6,2,67098.428694),-- [coal]
(21405,1871,3,9,2,55915.357245),-- [charcoal]
(21405,1872,7,21,2,31951.408984),-- [animal_bone]
(21405,1867,1,3,2,149107.227797),-- [animal_skin]
(21405,959,1,1,2,13.311782),-- [scrl_of_ench_wp_s]
(21405,8732,1,1,2,2795.865743),-- [general_75_s]
(21405,8742,1,1,2,698.868555),-- [special_75_s]
(21405,8752,1,1,2,69.691094),-- [rare_75_s]
(21406,5523,1,1,-1,37932),-- [sealed_majestic_platte_armor_pattern]
(21406,5277,1,1,-1,4950),-- [rp_adv_comp_spiritshot_s]
(21406,5527,1,1,-1,133170),-- [sealed_helm_of_nightmare_design]
(21406,57,5491,11210,0,700000),-- [adena]
(21406,12267,1,1,1,1398.83956),-- [sealed_boots_of_nightmare_low]
(21406,5502,1,1,1,8682.16044),-- [sealed_boots_of_nightmare_lining]
(21406,12260,1,1,1,1398.83956),-- [sealed_magestic_boots_low]
(21406,5503,1,1,1,8682.16044),-- [sealed_magestic_boots_lining]
(21406,12264,1,1,1,1398.83956),-- [sealed_gloves_of_nightmare_low]
(21406,5514,1,1,1,8682.16044),-- [sealed_gloves_of_nightmare_design]
(21406,12257,1,1,1,1398.83956),-- [sealed_magestic_gloves_low]
(21406,5515,1,1,1,8682.16044),-- [sealed_magestic_gloves_design]
(21406,1873,2,6,2,45695.578698),-- [silver_nugget]
(21406,1868,3,9,2,152318.59566),-- [thread]
(21406,1876,1,1,2,91391.157396),-- [mithril_ore]
(21406,1895,1,1,2,130558.858059),-- [metallic_fiber]
(21406,4042,1,1,2,7615.929783),-- [enria]
(21406,959,1,1,2,18.163026),-- [scrl_of_ench_wp_s]
(21406,8732,1,1,2,3807.748665),-- [general_75_s]
(21406,8742,1,1,2,951.829053),-- [special_75_s]
(21406,8752,1,1,2,95.13966),-- [rare_75_s]
(21407,5523,1,1,-1,24314),-- [sealed_majestic_platte_armor_pattern]
(21407,5277,1,1,-1,3173),-- [rp_adv_comp_spiritshot_s]
(21407,5527,1,1,-1,85361),-- [sealed_helm_of_nightmare_design]
(21407,57,3520,7185,0,700000),-- [adena]
(21407,12267,1,1,1,896.66712),-- [sealed_boots_of_nightmare_low]
(21407,5502,1,1,1,5565.33288),-- [sealed_boots_of_nightmare_lining]
(21407,12260,1,1,1,896.66712),-- [sealed_magestic_boots_low]
(21407,5503,1,1,1,5565.33288),-- [sealed_magestic_boots_lining]
(21407,12264,1,1,1,896.66712),-- [sealed_gloves_of_nightmare_low]
(21407,5514,1,1,1,5565.33288),-- [sealed_gloves_of_nightmare_design]
(21407,12257,1,1,1,896.66712),-- [sealed_magestic_gloves_low]
(21407,5515,1,1,1,5565.33288),-- [sealed_magestic_gloves_design]
(21407,1873,1,1,2,117162.87789),-- [silver_nugget]
(21407,1868,3,9,2,97635.488193),-- [thread]
(21407,1876,1,1,2,58581.438945),-- [mithril_ore]
(21407,1895,1,1,2,83687.509155),-- [metallic_fiber]
(21407,4042,1,1,2,4881.756156),-- [enria]
(21407,959,1,1,2,11.682336),-- [scrl_of_ench_wp_s]
(21407,8732,1,1,2,2440.878078),-- [general_75_s]
(21407,8742,1,1,2,610.402056),-- [special_75_s]
(21407,8752,1,1,2,60.967191),-- [rare_75_s]
(21408,5282,1,1,-1,4677),-- [rp_adv_comp_bspiritshot_s]
(21408,5529,1,1,-1,28873),-- [dragon_slayer_edge]
(21408,6901,1,1,-1,10524),-- [rp_shining_arrow]
(21408,57,5188,10592,0,700000),-- [adena]
(21408,11968,1,1,1,115.141829),-- [dragon_slayer_low]
(21408,5529,1,1,1,1776.907743),-- [dragon_slayer_edge]
(21408,11971,1,1,1,115.141829),-- [sword_of_miracle_low]
(21408,5546,1,1,1,1951.759027),-- [sword_of_miracle_edge]
(21408,11964,1,1,1,115.141829),-- [dark_legion's_edge_low]
(21408,5545,1,1,1,1776.907743),-- [dark_legion's_edge_edge]
(21408,1868,3,9,2,143918.699316),-- [thread]
(21408,1873,1,1,2,172702.60221),-- [silver_nugget]
(21408,5549,1,1,2,43175.446764),-- [iron_thread]
(21408,1889,1,1,2,28783.902894),-- [compound_braid]
(21408,4044,1,1,2,14391.951447),-- [thons]
(21408,959,1,1,2,17.118234),-- [scrl_of_ench_wp_s]
(21408,8732,1,1,2,3598.089756),-- [general_75_s]
(21408,8742,1,1,2,899.522439),-- [special_75_s]
(21408,8752,1,1,2,89.66694),-- [rare_75_s]
(21409,5282,1,1,-1,5231),-- [rp_adv_comp_bspiritshot_s]
(21409,5529,1,1,-1,32288),-- [dragon_slayer_edge]
(21409,6901,1,1,-1,11769),-- [rp_shining_arrow]
(21409,57,5802,11844,0,700000),-- [adena]
(21409,11968,1,1,1,128.759697),-- [dragon_slayer_low]
(21409,5529,1,1,1,1987.063299),-- [dragon_slayer_edge]
(21409,11971,1,1,1,128.759697),-- [sword_of_miracle_low]
(21409,5546,1,1,1,2182.594311),-- [sword_of_miracle_edge]
(21409,11964,1,1,1,128.759697),-- [dark_legion's_edge_low]
(21409,5545,1,1,1,1987.063299),-- [dark_legion's_edge_edge]
(21409,1868,3,9,2,160941.32978),-- [thread]
(21409,1873,1,1,2,193129.77805),-- [silver_nugget]
(21409,5549,1,1,2,48282.21662),-- [iron_thread]
(21409,1889,1,1,2,32188.44827),-- [compound_braid]
(21409,4044,1,1,2,16094.224135),-- [thons]
(21409,959,1,1,2,19.14297),-- [scrl_of_ench_wp_s]
(21409,8732,1,1,2,4023.66998),-- [general_75_s]
(21409,8742,1,1,2,1005.917495),-- [special_75_s]
(21409,8752,1,1,2,100.2727),-- [rare_75_s]
(21410,5538,1,1,-1,29251),-- [dragon_grinder_edge]
(21410,5282,1,1,-1,4740),-- [rp_adv_comp_bspiritshot_s]
(21410,5541,1,1,-1,29245),-- [tallum_glaive_edge]
(21410,57,5247,10744,0,700000),-- [adena]
(21410,12352,1,1,1,1614.370707),-- [sealed_majestic_earing_low]
(21410,6342,1,1,1,14865.567783),-- [sealed_majestic_earing_gemstone]
(21410,12350,1,1,1,1211.914983),-- [sealed_majestic_necklace_low]
(21410,6344,1,1,1,9620.153235),-- [sealed_majestic_necklace_beads]
(21410,12351,1,1,1,2421.530511),-- [sealed_majestic_ring_low]
(21410,6346,1,1,1,21365.462781),-- [sealed_majestic_ring_gemstrone]
(21410,1867,5,15,2,52499.19648),-- [animal_skin]
(21410,1872,1,3,2,174997.78436),-- [animal_bone]
(21410,1882,1,1,2,87498.6608),-- [leather]
(21410,1894,1,1,2,13815.6998),-- [crafted_leather]
(21410,4042,1,1,2,6562.39956),-- [enria]
(21410,960,1,1,2,157.3384),-- [scrl_of_ench_am_s]
(21410,8732,1,1,2,3281.43116),-- [general_75_s]
(21410,8742,1,1,2,820.47348),-- [special_75_s]
(21410,8752,1,1,2,81.90852),-- [rare_75_s]
(21410,1344,40,120,2,123045.10744),-- [mithril_arrow]
(21411,5538,1,1,-1,23844),-- [dragon_grinder_edge]
(21411,5282,1,1,-1,3864),-- [rp_adv_comp_bspiritshot_s]
(21411,5541,1,1,-1,23839),-- [tallum_glaive_edge]
(21411,57,4277,8758,0,700000),-- [adena]
(21411,12352,1,1,1,1315.974822),-- [sealed_majestic_earing_low]
(21411,6342,1,1,1,12117.856718),-- [sealed_majestic_earing_gemstone]
(21411,12350,1,1,1,987.907918),-- [sealed_majestic_necklace_low]
(21411,6344,1,1,1,7841.99031),-- [sealed_majestic_necklace_beads]
(21411,12351,1,1,1,1973.941406),-- [sealed_majestic_ring_low]
(21411,6346,1,1,1,17416.328826),-- [sealed_majestic_ring_gemstrone]
(21411,1867,5,15,2,42795.875592),-- [animal_skin]
(21411,1872,1,3,2,142653.295869),-- [animal_bone]
(21411,1882,1,1,2,71326.45932),-- [leather]
(21411,1894,1,1,2,11262.171795),-- [crafted_leather]
(21411,4042,1,1,2,5349.484449),-- [enria]
(21411,960,1,1,2,128.25786),-- [scrl_of_ench_am_s]
(21411,8732,1,1,2,2674.930839),-- [general_75_s]
(21411,8742,1,1,2,668.827017),-- [special_75_s]
(21411,8752,1,1,2,66.769533),-- [rare_75_s]
(21411,1344,40,120,2,100302.927726),-- [mithril_arrow]
(21412,1876,1,5,-1,924871),-- [mithril_ore]
(21412,5545,1,1,-1,38061),-- [dark_legion's_edge_edge]
(21412,1808,1,1,-1,6166),-- [rp_soulshot_s]
(21412,57,6826,13977,0,700000),-- [adena]
(21412,12268,1,1,1,2214.614004),-- [sealed_shield_of_nightmare_low]
(21412,5495,1,1,1,12963.909368),-- [sealed_shield_of_nightmare_fragment]
(21412,12269,1,1,1,1549.42114),-- [sealed_helm_of_nightmare_low]
(21412,5527,1,1,1,10207.297828),-- [sealed_helm_of_nightmare_design]
(21412,12261,1,1,1,1549.42114),-- [sealed_magestic_circlet_low]
(21412,5528,1,1,1,10207.33652),-- [sealed_magestic_circlet_design]
(21412,1873,3,9,2,34149.084573),-- [silver_nugget]
(21412,1868,4,12,2,128058.950179),-- [thread]
(21412,1876,1,1,2,102447.253719),-- [mithril_ore]
(21412,1895,1,1,2,146353.019079),-- [metallic_fiber]
(21412,4042,1,1,2,8537.388113),-- [enria]
(21412,960,1,1,2,204.931002),-- [scrl_of_ench_am_s]
(21412,8732,1,1,2,4268.460117),-- [general_75_s]
(21412,8742,1,1,2,1067.231999),-- [special_75_s]
(21412,8752,1,1,2,106.676412),-- [rare_75_s]
(21412,1344,150,450,2,42686.004807),-- [mithril_arrow]
(21413,1876,1,5,-1,711201),-- [mithril_ore]
(21413,5545,1,1,-1,29268),-- [dark_legion's_edge_edge]
(21413,1808,1,1,-1,4741),-- [rp_soulshot_s]
(21413,57,5249,10748,0,700000),-- [adena]
(21413,12268,1,1,1,1702.972461),-- [sealed_shield_of_nightmare_low]
(21413,5495,1,1,1,9968.861662),-- [sealed_shield_of_nightmare_fragment]
(21413,12269,1,1,1,1191.458885),-- [sealed_helm_of_nightmare_low]
(21413,5527,1,1,1,7849.109177),-- [sealed_helm_of_nightmare_design]
(21413,12261,1,1,1,1191.458885),-- [sealed_magestic_circlet_low]
(21413,5528,1,1,1,7849.13893),-- [sealed_magestic_circlet_design]
(21413,1873,1,1,2,157558.238145),-- [silver_nugget]
(21413,1868,4,12,2,98473.837455),-- [thread]
(21413,1876,1,1,2,78778.87353),-- [mithril_ore]
(21413,1895,1,1,2,112541.458365),-- [metallic_fiber]
(21413,4042,1,1,2,6564.82428),-- [enria]
(21413,960,1,1,2,157.638285),-- [scrl_of_ench_am_s]
(21413,8732,1,1,2,3282.41214),-- [general_75_s]
(21413,8742,1,1,2,820.603035),-- [special_75_s]
(21413,8752,1,1,2,82.011195),-- [rare_75_s]
(21413,1344,150,450,2,32825.10357),-- [mithril_arrow]
(21414,4040,1,1,-1,207354),-- [mold_lubricant]
(21414,1877,1,1,-1,414708),-- [admantite_nugget]
(21414,6344,1,1,-1,151985),-- [sealed_majestic_necklace_beads]
(21414,57,5101,10446,0,700000),-- [adena]
(21414,11974,1,1,1,85.070169),-- [elysian_low]
(21414,5533,1,1,1,1312.571061),-- [elysian_head]
(21414,11970,1,1,1,85.070169),-- [worldtree's_branch_low]
(21414,5544,1,1,1,1311.274413),-- [worldtree's_branch_head]
(21414,11969,1,1,1,85.070169),-- [dragon_flame_head_low]
(21414,8342,1,1,1,1312.571061),-- [dragon_flame_head_piece]
(21414,11966,1,1,1,85.070169),-- [doom_crusher_low]
(21414,8349,1,1,1,1312.302789),-- [doom_crusher_head]
(21414,1871,1,3,2,127602.326264),-- [charcoal]
(21414,1866,2,6,2,63801.39372),-- [suede]
(21414,1877,1,1,2,15312.426728),-- [admantite_nugget]
(21414,4041,1,1,2,3328.768368),-- [mold_hardener]
(21414,4040,1,1,2,7655.982776),-- [mold_lubricant]
(21414,960,1,1,2,153.110432),-- [scrl_of_ench_am_s]
(21414,8732,1,1,2,3189.954392),-- [general_75_s]
(21414,8742,1,1,2,797.373304),-- [special_75_s]
(21414,8752,1,1,2,79.783448),-- [rare_75_s]
(21414,1344,20,60,2,239254.880568),-- [mithril_arrow]
(21415,4040,1,1,-1,209177),-- [mold_lubricant]
(21415,1877,1,1,-1,418353),-- [admantite_nugget]
(21415,6344,1,1,-1,153322),-- [sealed_majestic_necklace_beads]
(21415,57,5146,10537,0,700000),-- [adena]
(21415,11974,1,1,1,85.815998),-- [elysian_low]
(21415,5533,1,1,1,1324.078662),-- [elysian_head]
(21415,11970,1,1,1,85.815998),-- [worldtree's_branch_low]
(21415,5544,1,1,1,1322.770646),-- [worldtree's_branch_head]
(21415,11969,1,1,1,85.815998),-- [dragon_flame_head_low]
(21415,8342,1,1,1,1324.078662),-- [dragon_flame_head_piece]
(21415,11966,1,1,1,85.815998),-- [doom_crusher_low]
(21415,8349,1,1,1,1323.808038),-- [doom_crusher_head]
(21415,1871,1,3,2,128724.02347),-- [charcoal]
(21415,1866,2,6,2,64362.24435),-- [suede]
(21415,1877,1,1,2,15447.03169),-- [admantite_nugget]
(21415,4041,1,1,2,3358.03014),-- [mold_hardener]
(21415,4040,1,1,2,7723.28323),-- [mold_lubricant]
(21415,960,1,1,2,154.45636),-- [scrl_of_ench_am_s]
(21415,8732,1,1,2,3217.99591),-- [general_75_s]
(21415,8742,1,1,2,804.38267),-- [special_75_s]
(21415,8752,1,1,2,80.48479),-- [rare_75_s]
(21415,1344,20,60,2,241358.06739),-- [mithril_arrow]
(21416,5480,1,1,-1,48118),-- [sealed_leather_mail_of_nightmare_fabric]
(21416,1885,1,1,-1,893618),-- [high_grade_suede]
(21416,4041,1,1,-1,93247),-- [mold_hardener]
(21416,57,5276,10804,0,700000),-- [adena]
(21416,11975,1,1,1,351.947979),-- [soul_bow_low]
(21416,5534,1,1,1,5435.052021),-- [soul_bow_shaft]
(21416,1866,2,6,2,65990.263896),-- [suede]
(21416,1871,1,3,2,131980.223688),-- [charcoal]
(21416,5220,1,1,2,15837.73632),-- [reinforcing_agent]
(21416,1885,1,1,2,32994.979896),-- [high_grade_suede]
(21416,4041,1,1,2,3443.065488),-- [mold_hardener]
(21416,960,1,1,2,158.438184),-- [scrl_of_ench_am_s]
(21416,8732,1,1,2,3299.5284),-- [general_75_s]
(21416,8742,1,1,2,824.730048),-- [special_75_s]
(21416,8752,1,1,2,82.412184),-- [rare_75_s]
(21416,1344,100,300,2,49492.621896),-- [mithril_arrow]
(21417,5480,1,1,-1,74982),-- [sealed_leather_mail_of_nightmare_fabric]
(21417,1885,1,3,-1,696251),-- [high_grade_suede]
(21417,4041,1,1,-1,145305),-- [mold_hardener]
(21417,57,8221,16836,0,700000),-- [adena]
(21417,11975,1,1,1,548.447706),-- [soul_bow_low]
(21417,5534,1,1,1,8469.552294),-- [soul_bow_shaft]
(21417,1866,2,6,2,102830.835123),-- [suede]
(21417,1871,1,3,2,205661.196369),-- [charcoal]
(21417,5220,1,1,2,24679.51416),-- [reinforcing_agent]
(21417,1885,1,1,2,51415.180623),-- [high_grade_suede]
(21417,4041,1,1,2,5365.235394),-- [mold_hardener]
(21417,960,1,1,2,246.889917),-- [scrl_of_ench_am_s]
(21417,8732,1,1,2,5141.56545),-- [general_75_s]
(21417,8742,1,1,2,1285.154424),-- [special_75_s]
(21417,8752,1,1,2,128.420667),-- [rare_75_s]
(21417,1344,100,300,2,77123.007873),-- [mithril_arrow]
(21418,3036,1,1,-1,3947),-- [rp_spiritshot_s]
(21418,5528,1,1,-1,106180),-- [sealed_magestic_circlet_design]
(21418,4044,1,1,-1,296030),-- [thons]
(21418,57,4369,8949,0,700000),-- [adena]
(21418,12268,1,1,1,1417.703253),-- [sealed_shield_of_nightmare_low]
(21418,5495,1,1,1,8298.952526),-- [sealed_shield_of_nightmare_fragment]
(21418,12269,1,1,1,991.874605),-- [sealed_helm_of_nightmare_low]
(21418,5527,1,1,1,6534.285121),-- [sealed_helm_of_nightmare_design]
(21418,12261,1,1,1,991.874605),-- [sealed_magestic_circlet_low]
(21418,5528,1,1,1,6534.30989),-- [sealed_magestic_circlet_design]
(21418,1868,3,9,2,121448.318628),-- [thread]
(21418,1873,1,1,2,145738.11993),-- [silver_nugget]
(21418,5549,1,1,2,36434.358012),-- [iron_thread]
(21418,1889,1,1,2,24289.801302),-- [compound_braid]
(21418,4044,1,1,2,12144.900651),-- [thons]
(21418,959,1,1,2,14.445522),-- [scrl_of_ench_wp_s]
(21418,8732,1,1,2,3036.311148),-- [general_75_s]
(21418,8742,1,1,2,759.077787),-- [special_75_s]
(21418,8752,1,1,2,75.66702),-- [rare_75_s]
(21419,3036,1,1,-1,4020),-- [rp_spiritshot_s]
(21419,5528,1,1,-1,108137),-- [sealed_magestic_circlet_design]
(21419,4044,1,1,-1,301486),-- [thons]
(21419,57,4450,9114,0,700000),-- [adena]
(21419,12268,1,1,1,1443.803325),-- [sealed_shield_of_nightmare_low]
(21419,5495,1,1,1,8451.73715),-- [sealed_shield_of_nightmare_fragment]
(21419,12269,1,1,1,1010.135125),-- [sealed_helm_of_nightmare_low]
(21419,5527,1,1,1,6654.582025),-- [sealed_helm_of_nightmare_design]
(21419,12261,1,1,1,1010.135125),-- [sealed_magestic_circlet_low]
(21419,5528,1,1,1,6654.60725),-- [sealed_magestic_circlet_design]
(21419,1868,3,9,2,123686.67024),-- [thread]
(21419,1873,1,1,2,148424.1444),-- [silver_nugget]
(21419,5549,1,1,2,37105.86096),-- [iron_thread]
(21419,1889,1,1,2,24737.47416),-- [compound_braid]
(21419,4044,1,1,2,12368.73708),-- [thons]
(21419,959,1,1,2,14.71176),-- [scrl_of_ench_wp_s]
(21419,8732,1,1,2,3092.27184),-- [general_75_s]
(21419,8742,1,1,2,773.06796),-- [special_75_s]
(21419,8752,1,1,2,77.0616),-- [rare_75_s]
(21420,5533,1,1,-1,30317),-- [elysian_head]
(21420,5157,1,1,-1,4912),-- [rp_comp_soulshot_s]
(21420,5534,1,1,-1,30344),-- [soul_bow_shaft]
(21420,57,5438,11138,0,700000),-- [adena]
(21420,11974,1,1,1,90.686718),-- [elysian_low]
(21420,5533,1,1,1,1399.230342),-- [elysian_head]
(21420,11970,1,1,1,90.686718),-- [worldtree's_branch_low]
(21420,5544,1,1,1,1397.848086),-- [worldtree's_branch_head]
(21420,11969,1,1,1,90.686718),-- [dragon_flame_head_low]
(21420,8342,1,1,1,1399.230342),-- [dragon_flame_head_piece]
(21420,11966,1,1,1,90.686718),-- [doom_crusher_low]
(21420,8349,1,1,1,1398.944358),-- [doom_crusher_head]
(21420,1873,2,6,2,45344.45058),-- [silver_nugget]
(21420,1868,3,9,2,151148.1686),-- [thread]
(21420,1876,1,1,2,90688.90116),-- [mithril_ore]
(21420,1895,1,1,2,129555.63439),-- [metallic_fiber]
(21420,4042,1,1,2,7557.40843),-- [enria]
(21420,959,1,1,2,18.02346),-- [scrl_of_ench_wp_s]
(21420,8732,1,1,2,3778.48965),-- [general_75_s]
(21420,8742,1,1,2,944.51513),-- [special_75_s]
(21420,8752,1,1,2,94.4086),-- [rare_75_s]
(21421,5533,1,1,-1,28459),-- [elysian_head]
(21421,5157,1,1,-1,4611),-- [rp_comp_soulshot_s]
(21421,5534,1,1,-1,28484),-- [soul_bow_shaft]
(21421,57,5104,10455,0,700000),-- [adena]
(21421,11974,1,1,1,85.131053),-- [elysian_low]
(21421,5533,1,1,1,1313.510457),-- [elysian_head]
(21421,11970,1,1,1,85.131053),-- [worldtree's_branch_low]
(21421,5544,1,1,1,1312.212881),-- [worldtree's_branch_head]
(21421,11969,1,1,1,85.131053),-- [dragon_flame_head_low]
(21421,8342,1,1,1,1313.510457),-- [dragon_flame_head_piece]
(21421,11966,1,1,1,85.131053),-- [doom_crusher_low]
(21421,8349,1,1,1,1313.241993),-- [doom_crusher_head]
(21421,1873,2,6,2,42565.43478),-- [silver_nugget]
(21421,1868,3,9,2,141884.7826),-- [thread]
(21421,1876,1,1,2,85130.86956),-- [mithril_ore]
(21421,1895,1,1,2,121615.58549),-- [metallic_fiber]
(21421,4042,1,1,2,7094.23913),-- [enria]
(21421,959,1,1,2,16.91886),-- [scrl_of_ench_wp_s]
(21421,8732,1,1,2,3546.91815),-- [general_75_s]
(21421,8742,1,1,2,886.62883),-- [special_75_s]
(21421,8752,1,1,2,88.6226),-- [rare_75_s]
(21422,5162,1,1,-1,5290),-- [rp_comp_spiritshot_s]
(21422,5538,1,1,-1,32647),-- [dragon_grinder_edge]
(21422,5167,1,1,-1,5290),-- [rp_comp_bspiritshot_s]
(21422,57,5855,11994,0,700000),-- [adena]
(21422,11975,1,1,1,390.627591),-- [soul_bow_low]
(21422,5534,1,1,1,6032.372409),-- [soul_bow_shaft]
(21422,1867,4,12,2,81383.025885),-- [animal_skin]
(21422,1872,1,3,2,217021.839755),-- [animal_bone]
(21422,1882,1,1,2,108510.70118),-- [leather]
(21422,1894,1,1,2,17133.199545),-- [crafted_leather]
(21422,4042,1,1,2,8138.17137),-- [enria]
(21422,959,1,1,2,19.682775),-- [scrl_of_ench_wp_s]
(21422,8732,1,1,2,4069.085685),-- [general_75_s]
(21422,8742,1,1,2,1017.38077),-- [special_75_s]
(21422,8752,1,1,2,101.913035),-- [rare_75_s]
(21423,5162,1,1,-1,5608),-- [rp_comp_spiritshot_s]
(21423,5538,1,1,-1,34609),-- [dragon_grinder_edge]
(21423,5167,1,1,-1,5608),-- [rp_comp_bspiritshot_s]
(21423,57,6207,12714,0,700000),-- [adena]
(21423,11975,1,1,1,414.102953),-- [soul_bow_low]
(21423,5534,1,1,1,6394.897047),-- [soul_bow_shaft]
(21423,1867,4,12,2,86272.575462),-- [animal_skin]
(21423,1872,1,3,2,230060.664906),-- [animal_bone]
(21423,1882,1,1,2,115030.100616),-- [leather]
(21423,1894,1,1,2,18162.574254),-- [crafted_leather]
(21423,4042,1,1,2,8627.118444),-- [enria]
(21423,959,1,1,2,20.86533),-- [scrl_of_ench_wp_s]
(21423,8732,1,1,2,4313.559222),-- [general_75_s]
(21423,8742,1,1,2,1078.505724),-- [special_75_s]
(21423,8752,1,1,2,108.036042),-- [rare_75_s]
(21424,5544,1,1,-1,43821),-- [worldtree's_branch_head]
(21424,5272,1,1,-1,7107),-- [rp_adv_comp_soulshot_s]
(21424,5545,1,1,-1,43872),-- [dark_legion's_edge_edge]
(21424,57,7867,16114,0,700000),-- [adena]
(21424,11976,1,1,1,524.837859),-- [tallum_glaive_low]
(21424,5541,1,1,1,8096.162141),-- [tallum_glaive_edge]
(21424,1873,2,6,2,59045.593376),-- [silver_nugget]
(21424,1868,15,45,2,39363.578736),-- [thread]
(21424,1876,1,1,2,118090.736208),-- [mithril_ore]
(21424,1895,1,1,2,168701.244816),-- [metallic_fiber]
(21424,4042,1,1,2,9840.782048),-- [enria]
(21424,959,1,1,2,23.428288),-- [scrl_of_ench_wp_s]
(21424,6672,1,1,2,49204.360784),-- [key_of_treasure_box8]
(21424,8732,1,1,2,4920.391024),-- [general_75_s]
(21424,8742,1,1,2,1229.98512),-- [special_75_s]
(21424,8752,1,1,2,123.8996),-- [rare_75_s]
(21425,5544,1,1,-1,44556),-- [worldtree's_branch_head]
(21425,5272,1,1,-1,7227),-- [rp_adv_comp_soulshot_s]
(21425,5545,1,1,-1,44609),-- [dark_legion's_edge_edge]
(21425,57,7999,16385,0,700000),-- [adena]
(21425,11976,1,1,1,533.665314),-- [tallum_glaive_low]
(21425,5541,1,1,1,8232.334686),-- [tallum_glaive_edge]
(21425,1873,2,6,2,66707.162457),-- [silver_nugget]
(21425,1868,15,45,2,44471.592777),-- [thread]
(21425,1876,1,1,2,133414.324914),-- [mithril_ore]
(21425,1895,1,1,2,190592.022282),-- [metallic_fiber]
(21425,4042,1,1,2,11117.78484),-- [enria]
(21425,959,1,1,2,26.751603),-- [scrl_of_ench_wp_s]
(21425,8732,1,1,2,5558.89242),-- [general_75_s]
(21425,8742,1,1,2,1389.723105),-- [special_75_s]
(21425,8752,1,1,2,138.745602),-- [rare_75_s]
(21426,6698,1,1,-1,293497),-- [sealed_sanddragon's_earing_piece]
(21426,6699,1,1,-1,325674),-- [sealed_ring_of_aurakyria_gem]
(21426,6700,1,1,-1,178881),-- [sealed_dragon_necklace_wire]
(21426,57,7369,15040,0,700000),-- [adena]
(21426,11975,1,1,1,490.428288),-- [soul_bow_low]
(21426,5534,1,1,1,7573.571712),-- [soul_bow_shaft]
(21426,1873,3,9,2,36780.075875),-- [silver_nugget]
(21426,1868,4,12,2,137924.639105),-- [thread]
(21426,1876,1,1,2,110339.85881),-- [mithril_ore]
(21426,1895,3,9,2,22518.36864),-- [metallic_fiber]
(21426,4042,1,1,2,9194.926765),-- [enria]
(21426,960,1,1,2,220.55137),-- [scrl_of_ench_am_s]
(21426,8732,1,1,2,4597.64779),-- [general_75_s]
(21426,8742,1,1,2,1149.22754),-- [special_75_s]
(21426,8752,1,1,2,115.07028),-- [rare_75_s]
(21426,1344,150,450,2,45974.633825),-- [mithril_arrow]
(21427,6698,1,1,-1,199827),-- [sealed_sanddragon's_earing_piece]
(21427,6699,1,1,-1,221735),-- [sealed_ring_of_aurakyria_gem]
(21427,6700,1,1,-1,121791),-- [sealed_dragon_necklace_wire]
(21427,57,5017,10240,0,700000),-- [adena]
(21427,11975,1,1,1,333.88533),-- [soul_bow_low]
(21427,5534,1,1,1,5156.11467),-- [soul_bow_shaft]
(21427,1873,1,1,2,150250.212959),-- [silver_nugget]
(21427,1868,4,12,2,93906.324561),-- [thread]
(21427,1876,1,1,2,75124.872326),-- [mithril_ore]
(21427,1895,1,1,2,107321.446883),-- [metallic_fiber]
(21427,4042,1,1,2,6260.327976),-- [enria]
(21427,960,1,1,2,150.326547),-- [scrl_of_ench_am_s]
(21427,8732,1,1,2,3130.163988),-- [general_75_s]
(21427,8742,1,1,2,782.540997),-- [special_75_s]
(21427,8752,1,1,2,78.207269),-- [rare_75_s]
(21427,1344,150,450,2,31302.576494),-- [mithril_arrow]
(21428,6701,1,1,-1,56000),-- [sealed_imperial_crusader_armor_part]
(21428,6702,1,1,-1,72087),-- [sealed_imperial_crusader_gaiters_pattern]
(21428,6703,1,1,-1,149756),-- [sealed_imperial_crusader_gauntlet_design]
(21428,57,5187,10587,0,700000),-- [adena]
(21428,11973,1,1,1,345.236088),-- [soul_separator_low]
(21428,5537,1,1,1,5327.763912),-- [soul_separator_head]
(21428,1868,4,12,2,97090.53832),-- [thread]
(21428,1873,1,1,2,155345.35752),-- [silver_nugget]
(21428,5549,1,1,2,38836.215328),-- [iron_thread]
(21428,1889,1,1,2,25890.644816),-- [compound_braid]
(21428,4044,1,1,2,12945.570512),-- [thons]
(21428,960,1,1,2,155.313104),-- [scrl_of_ench_am_s]
(21428,8732,1,1,2,3236.268576),-- [general_75_s]
(21428,8742,1,1,2,809.315248),-- [special_75_s]
(21428,8752,1,1,2,80.881904),-- [rare_75_s]
(21428,1344,30,90,2,161817.894672),-- [mithril_arrow]
(21429,6701,1,1,-1,58474),-- [sealed_imperial_crusader_armor_part]
(21429,6702,1,1,-1,75272),-- [sealed_imperial_crusader_gaiters_pattern]
(21429,6703,1,1,-1,156374),-- [sealed_imperial_crusader_gauntlet_design]
(21429,57,5417,11055,0,700000),-- [adena]
(21429,11973,1,1,1,360.450088),-- [soul_separator_low]
(21429,5537,1,1,1,5562.549912),-- [soul_separator_head]
(21429,1868,4,12,2,101380.73607),-- [thread]
(21429,1873,1,1,2,162209.177712),-- [silver_nugget]
(21429,5549,1,1,2,40552.294428),-- [iron_thread]
(21429,1889,1,1,2,27034.990605),-- [compound_braid]
(21429,4044,1,1,2,13517.303823),-- [thons]
(21429,960,1,1,2,162.374616),-- [scrl_of_ench_am_s]
(21429,8732,1,1,2,3379.230216),-- [general_75_s]
(21429,8742,1,1,2,844.807554),-- [special_75_s]
(21429,8752,1,1,2,84.633939),-- [rare_75_s]
(21429,1344,150,450,2,33793.451037),-- [mithril_arrow]
(21430,6704,1,1,-1,215960),-- [sealed_imperial_crusader_boots_design]
(21430,6705,1,1,-1,211533),-- [sealed_imperial_crusader_shield_part]
(21430,6706,1,1,-1,246054),-- [sealed_imperial_crusader_helmet_pattern]
(21430,57,7481,15268,0,700000),-- [adena]
(21430,12265,1,1,1,782.20854),-- [sealed_leather_mail_of_nightmare_low]
(21430,5480,1,1,1,6282.79146),-- [sealed_leather_mail_of_nightmare_fabric]
(21430,12258,1,1,1,782.20854),-- [sealed_majestic_leather_mail_low]
(21430,5481,1,1,1,6282.79146),-- [sealed_majestic_leather_mail_fabric]
(21430,1873,3,9,2,37336.541375),-- [silver_nugget]
(21430,1868,4,12,2,140011.374965),-- [thread]
(21430,1876,1,1,2,112009.24973),-- [mithril_ore]
(21430,1895,3,9,2,22859.06112),-- [metallic_fiber]
(21430,4042,1,1,2,9334.041745),-- [enria]
(21430,960,1,1,2,223.88821),-- [scrl_of_ench_am_s]
(21430,8732,1,1,2,4667.20807),-- [general_75_s]
(21430,8742,1,1,2,1166.61482),-- [special_75_s]
(21430,8752,1,1,2,116.81124),-- [rare_75_s]
(21430,1344,150,450,2,46670.208725),-- [mithril_arrow]
(21431,6704,1,1,-1,184208),-- [sealed_imperial_crusader_boots_design]
(21431,6705,1,1,-1,180432),-- [sealed_imperial_crusader_shield_part]
(21431,6706,1,1,-1,209877),-- [sealed_imperial_crusader_helmet_pattern]
(21431,57,6381,13023,0,700000),-- [adena]
(21431,12265,1,1,1,667.174616),-- [sealed_leather_mail_of_nightmare_low]
(21431,5480,1,1,1,5358.825384),-- [sealed_leather_mail_of_nightmare_fabric]
(21431,12258,1,1,1,667.174616),-- [sealed_majestic_leather_mail_low]
(21431,5481,1,1,1,5358.825384),-- [sealed_majestic_leather_mail_fabric]
(21431,1873,3,9,2,31847.001606),-- [silver_nugget]
(21431,1868,4,12,2,119426.146938),-- [thread]
(21431,1876,1,1,2,95541.004818),-- [mithril_ore]
(21431,1895,1,1,2,136486.962738),-- [metallic_fiber]
(21431,4042,1,1,2,7961.859486),-- [enria]
(21431,960,1,1,2,191.116044),-- [scrl_of_ench_am_s]
(21431,8732,1,1,2,3980.711574),-- [general_75_s]
(21431,8742,1,1,2,995.286978),-- [special_75_s]
(21431,8752,1,1,2,99.485064),-- [rare_75_s]
(21431,1344,150,450,2,39808.424754),-- [mithril_arrow]
(21432,5534,1,1,-1,47043),-- [soul_bow_shaft]
(21432,1808,1,1,-1,7616),-- [rp_soulshot_s]
(21432,5537,1,1,-1,47011),-- [soul_separator_head]
(21432,57,8447,17245,0,700000),-- [adena]
(21432,11967,1,1,1,562.41108),-- [dragon_grinder_low]
(21432,5538,1,1,1,8677.58892),-- [dragon_grinder_edge]
(21432,1873,2,6,2,70298.82743),-- [silver_nugget]
(21432,1868,15,45,2,46866.04423),-- [thread]
(21432,1876,1,1,2,140597.65486),-- [mithril_ore]
(21432,1895,1,1,2,200853.92918),-- [metallic_fiber]
(21432,4042,1,1,2,11716.3916),-- [enria]
(21432,959,1,1,2,28.19197),-- [scrl_of_ench_wp_s]
(21432,8732,1,1,2,5858.1958),-- [general_75_s]
(21432,8742,1,1,2,1464.54895),-- [special_75_s]
(21432,8752,1,1,2,146.21598),-- [rare_75_s]
(21433,5538,1,1,-1,45528),-- [dragon_grinder_edge]
(21433,5167,1,1,-1,7377),-- [rp_comp_bspiritshot_s]
(21433,5541,1,1,-1,45519),-- [tallum_glaive_edge]
(21433,57,8184,16701,0,700000),-- [adena]
(21433,12263,1,1,1,642.38492),-- [sealed_armor_of_nightmare_low]
(21433,5522,1,1,1,5217.61508),-- [sealed_armor_of_nightmare_pattern]
(21433,12262,1,1,1,642.38492),-- [sealed_majestic_platte_armor_low]
(21433,5523,1,1,1,5217.61508),-- [sealed_majestic_platte_armor_pattern]
(21433,1873,2,6,2,68095.101971),-- [silver_nugget]
(21433,1868,15,45,2,45396.888931),-- [thread]
(21433,1876,1,1,2,136190.203942),-- [mithril_ore]
(21433,1895,1,1,2,194557.566446),-- [metallic_fiber]
(21433,4042,1,1,2,11349.10652),-- [enria]
(21433,959,1,1,2,27.308209),-- [scrl_of_ench_wp_s]
(21433,8732,1,1,2,5674.55326),-- [general_75_s]
(21433,8742,1,1,2,1418.638315),-- [special_75_s]
(21433,8752,1,1,2,141.632406),-- [rare_75_s]
(21434,1877,1,3,-1,631579),-- [admantite_nugget]
(21434,6342,1,1,-1,715346),-- [sealed_majestic_earing_gemstone]
(21434,5282,1,1,-1,14035),-- [rp_adv_comp_bspiritshot_s]
(21434,57,15536,31822,0,700000),-- [adena]
(21434,12265,1,1,1,1628.466286),-- [sealed_leather_mail_of_nightmare_low]
(21434,5480,1,1,1,13080.033714),-- [sealed_leather_mail_of_nightmare_fabric]
(21434,12258,1,1,1,1628.466286),-- [sealed_majestic_leather_mail_low]
(21434,5481,1,1,1,13080.033714),-- [sealed_majestic_leather_mail_fabric]
(21434,1871,4,12,2,161943.435939),-- [charcoal]
(21434,1866,7,21,2,57580.060248),-- [suede]
(21434,1877,1,1,2,51821.796352),-- [admantite_nugget]
(21434,4041,1,1,2,11265.74805),-- [mold_hardener]
(21434,4040,1,1,2,25910.898176),-- [mold_lubricant]
(21434,959,1,1,2,51.896579),-- [scrl_of_ench_wp_s]
(21434,8732,1,1,2,10796.100127),-- [general_75_s]
(21434,8742,1,1,2,2698.944447),-- [special_75_s]
(21434,8752,1,1,2,270.120082),-- [rare_75_s]
(21435,3036,1,1,-1,9095),-- [rp_spiritshot_s]
(21435,5538,1,1,-1,56130),-- [dragon_grinder_edge]
(21435,1877,1,1,-1,818535),-- [admantite_nugget]
(21435,57,10088,20595,0,700000),-- [adena]
(21435,11975,1,1,1,671.602131),-- [soul_bow_low]
(21435,5534,1,1,1,10371.397869),-- [soul_bow_shaft]
(21435,1871,9,27,2,41976.180664),-- [charcoal]
(21435,1866,2,6,2,125928.541992),-- [suede]
(21435,1877,1,1,2,30222.759754),-- [admantite_nugget]
(21435,4041,1,1,2,6570.109062),-- [mold_hardener]
(21435,4040,1,1,2,15111.54117),-- [mold_lubricant]
(21435,960,1,1,2,302.263082),-- [scrl_of_ench_am_s]
(21435,8732,1,1,2,6296.556134),-- [general_75_s]
(21435,8742,1,1,2,1574.21968),-- [special_75_s]
(21435,8752,1,1,2,157.421968),-- [rare_75_s]
(21435,1344,100,300,2,94446.406494),-- [mithril_arrow]
(21436,1894,1,1,-1,744816),-- [crafted_leather]
(21436,5541,1,1,-1,58213),-- [tallum_glaive_edge]
(21436,3957,1,1,-1,9434),-- [rp_blessed_spiritshot_s]
(21436,57,10464,21364,0,700000),-- [adena]
(21436,11973,1,1,1,696.679488),-- [soul_separator_low]
(21436,5537,1,1,1,10751.320512),-- [soul_separator_head]
(21436,1867,4,12,2,145143.457173),-- [animal_skin]
(21436,1872,7,21,2,77409.937913),-- [animal_bone]
(21436,1882,1,1,2,193524.609564),-- [leather]
(21436,1894,1,1,2,30556.764898),-- [crafted_leather]
(21436,4042,1,1,2,14514.392761),-- [enria]
(21436,959,1,1,2,34.812338),-- [scrl_of_ench_wp_s]
(21436,8732,1,1,2,7256.961162),-- [general_75_s]
(21436,8742,1,1,2,1814.475509),-- [special_75_s]
(21436,8752,1,1,2,181.588682),-- [rare_75_s]
(21437,1877,1,1,-1,342037),-- [admantite_nugget]
(21437,4041,1,1,-1,74356),-- [mold_hardener]
(21437,5544,1,1,-1,23432),-- [worldtree's_branch_head]
(21437,57,4216,8604,0,700000),-- [adena]
(21437,11974,1,1,1,70.16881),-- [elysian_low]
(21437,5533,1,1,1,1082.65389),-- [elysian_head]
(21437,11970,1,1,1,70.16881),-- [worldtree's_branch_low]
(21437,5544,1,1,1,1081.58437),-- [worldtree's_branch_head]
(21437,11969,1,1,1,70.16881),-- [dragon_flame_head_low]
(21437,8342,1,1,1,1082.65389),-- [dragon_flame_head_piece]
(21437,11966,1,1,1,70.16881),-- [doom_crusher_low]
(21437,8349,1,1,1,1082.43261),-- [doom_crusher_head]
(21437,1871,1,3,2,105242.258107),-- [charcoal]
(21437,1866,2,6,2,52621.319235),-- [suede]
(21437,1877,1,1,2,12629.192689),-- [admantite_nugget]
(21437,4041,1,1,2,2745.460134),-- [mold_hardener]
(21437,4040,1,1,2,6314.406163),-- [mold_lubricant]
(21437,960,1,1,2,126.280516),-- [scrl_of_ench_am_s]
(21437,8732,1,1,2,2630.970871),-- [general_75_s]
(21437,8742,1,1,2,657.647627),-- [special_75_s]
(21437,8752,1,1,2,65.802799),-- [rare_75_s]
(21437,1344,20,60,2,197329.661859),-- [mithril_arrow]
(21438,4077,1,1,-1,27694),-- [doom_shield_fragment]
(21438,6333,1,1,-1,7068),-- [rp_sealed_phoenix's_ring_i]
(21438,4078,1,1,-1,8993),-- [blue_wolve's_breastplate_part]
(21438,57,244,495,0,700000),-- [adena]
(21438,11930,1,1,1,9.888893),-- [sword_of_damascus_low]
(21438,4114,1,1,1,132.518596),-- [sword_of_damascus_blade]
(21438,11929,1,1,1,9.888893),-- [guardians_sword_low]
(21438,8330,1,1,1,132.295702),-- [guardians_sword_blade]
(21438,11943,1,1,1,9.888893),-- [tears_of_wizard_low]
(21438,8336,1,1,1,132.519023),-- [tears_of_wizard_blade]
(21438,1873,1,1,2,7273.975644),-- [silver_nugget]
(21438,1868,1,1,2,36369.87822),-- [thread]
(21438,1876,1,1,2,3637.014368),-- [mithril_ore]
(21438,1895,1,1,2,5195.689304),-- [metallic_fiber]
(21438,4042,1,1,2,303.102228),-- [enria]
(21438,729,1,1,2,2.017496),-- [scrl_of_ench_wp_a]
(21438,8729,1,1,2,242.471164),-- [general_64_a]
(21438,8739,1,1,2,60.631064),-- [special_64_a]
(21438,8749,1,1,2,6.052488),-- [rare_64_a]
(21438,8759,1,1,2,1.168024),-- [unique_64_a]
(21439,4116,1,1,-1,2781),-- [deadman's_glory_stone]
(21439,5276,1,1,-1,848),-- [rp_adv_comp_spiritshot_a]
(21439,4117,1,1,-1,2781),-- [art_of_battle_axe_blade]
(21439,57,252,511,0,700000),-- [adena]
(21439,11932,1,1,1,30.719619),-- [lancia_low]
(21439,4115,1,1,1,410.280381),-- [lancia_blade]
(21439,1864,1,1,2,34176.672243),-- [stem]
(21439,1865,1,1,2,17088.271932),-- [varnish]
(21439,1866,1,1,2,11392.224081),-- [suede]
(21439,1873,1,1,2,6835.283097),-- [silver_nugget]
(21439,1868,1,1,2,34176.672243),-- [thread]
(21439,5456,1,1,2,6.290571),-- [rp_tallum_glaive_i]
(21439,8729,1,1,2,227.872725),-- [general_64_a]
(21439,8739,1,1,2,57.000276),-- [special_64_a]
(21439,8749,1,1,2,5.648676),-- [rare_64_a]
(21439,8759,1,1,2,1.155411),-- [unique_64_a]
(21439,1343,10,30,2,24411.908745),-- [silver_arrow]
(21440,4040,1,1,-1,13968),-- [mold_lubricant]
(21440,1875,1,1,-1,46559),-- [stone_of_purity]
(21440,4099,1,1,-1,31353),-- [doom_boots_part]
(21440,57,275,563,0,700000),-- [adena]
(21440,12201,1,1,1,45.76971),-- [blue_wolve's_tunic_low]
(21440,4084,1,1,1,448.23737),-- [blue_wolve's_tunic_fabric]
(21440,12192,1,1,1,45.76971),-- [tunic_of_doom_low]
(21440,4085,1,1,1,448.23737),-- [tunic_of_doom_pattern]
(21440,12203,1,1,1,73.27187),-- [blue_wolve's_hose_low]
(21440,4086,1,1,1,605.22105),-- [blue_wolve's_hose_pattern]
(21440,12205,1,1,1,73.27187),-- [hose_of_doom_low]
(21440,4087,1,1,1,605.22105),-- [hose_of_doom_pattern]
(21440,1865,1,1,2,18753.903808),-- [varnish]
(21440,1870,1,1,2,18753.903808),-- [coal]
(21440,1879,1,1,2,3125.627505),-- [cokes]
(21440,1875,1,1,2,1250.251002),-- [stone_of_purity]
(21440,4040,1,1,2,375.047545),-- [mold_lubricant]
(21440,6335,1,1,2,72.16456),-- [rp_sealed_majestic_necklace_i]
(21440,8730,1,1,2,208.375167),-- [general_67_a]
(21440,8740,1,1,2,52.111139),-- [special_67_a]
(21440,8750,1,1,2,5.204175),-- [rare_67_a]
(21440,8760,1,1,2,1.040835),-- [unique_67_a]
(21440,1343,10,30,2,26791.370456),-- [silver_arrow]
(21441,5448,1,1,-1,252),-- [rp_soul_separator_i]
(21441,5494,1,1,-1,14265),-- [sealed_dark_crystal_shield_fragment]
(21441,729,1,1,-1,75),-- [scrl_of_ench_wp_a]
(21441,57,269,546,0,700000),-- [adena]
(21441,11946,1,1,1,6.911711),-- [dasparion's_staff_low]
(21441,5543,1,1,1,85.464024),-- [dasparion's_staff_head]
(21441,11949,1,1,1,6.911711),-- [meteor_shower_low]
(21441,5532,1,1,1,84.665799),-- [meteor_shower_head]
(21441,11953,1,1,1,6.911711),-- [eye_of_soul_low]
(21441,8341,1,1,1,84.557534),-- [eye_of_soul_piece]
(21441,11958,1,1,1,6.911711),-- [hammer_of_destroyer_low]
(21441,8346,1,1,1,84.665799),-- [hammer_of_destroyer_piece]
(21441,1870,1,1,2,18239.901705),-- [coal]
(21441,1865,1,1,2,18239.901705),-- [varnish]
(21441,1874,1,1,2,1215.9804),-- [oriharukon_ore]
(21441,4043,1,1,2,607.9902),-- [asofe]
(21441,4039,1,1,2,607.9902),-- [mold_glue]
(21441,5442,1,1,2,6.78444),-- [rp_soul_bow_i]
(21441,8730,1,1,2,202.685145),-- [general_67_a]
(21441,8740,1,1,2,50.687595),-- [special_67_a]
(21441,8750,1,1,2,5.08833),-- [rare_67_a]
(21441,8760,1,1,2,1.04376),-- [unique_67_a]
(21441,1343,10,30,2,26056.94652),-- [silver_arrow]
(21442,5448,1,1,-1,260),-- [rp_soul_separator_i]
(21442,6341,1,1,-1,19393),-- [sealed_phoenix's_earing_gemstone]
(21442,729,1,1,-1,78),-- [scrl_of_ench_wp_a]
(21442,57,278,563,0,700000),-- [adena]
(21442,11946,1,1,1,7.118874),-- [dasparion's_staff_low]
(21442,5543,1,1,1,88.025616),-- [dasparion's_staff_head]
(21442,11949,1,1,1,7.118874),-- [meteor_shower_low]
(21442,5532,1,1,1,87.203466),-- [meteor_shower_head]
(21442,11953,1,1,1,7.118874),-- [eye_of_soul_low]
(21442,8341,1,1,1,87.091956),-- [eye_of_soul_piece]
(21442,11958,1,1,1,7.118874),-- [hammer_of_destroyer_low]
(21442,8346,1,1,1,87.203466),-- [hammer_of_destroyer_piece]
(21442,1870,1,1,2,17258.6366),-- [coal]
(21442,1865,1,1,2,17258.6366),-- [varnish]
(21442,1874,1,1,2,1150.555195),-- [oriharukon_ore]
(21442,4043,1,1,2,575.308465),-- [asofe]
(21442,4039,1,1,2,575.308465),-- [mold_glue]
(21442,5450,1,1,2,6.42044),-- [rp_dragon_grinder_i]
(21442,8487,1,1,2,9.445455),-- [rp_hammer_of_destroyer_i]
(21442,8730,1,1,2,191.74891),-- [general_67_a]
(21442,8740,1,1,2,47.968095),-- [special_67_a]
(21442,8750,1,1,2,4.81533),-- [rare_67_a]
(21442,8760,1,1,2,0.98776),-- [unique_67_a]
(21442,1343,10,30,2,24655.168685),-- [silver_arrow]
(21443,4077,1,1,-1,129349),-- [doom_shield_fragment]
(21443,3956,1,1,-1,3834),-- [rp_blessed_spiritshot_a]
(21443,4078,1,1,-1,42002),-- [blue_wolve's_breastplate_part]
(21443,57,1140,2309,0,700000),-- [adena]
(21443,12204,1,1,1,188.500962),-- [blue_wolve's_breastplate_low]
(21443,4078,1,1,1,2067.807105),-- [blue_wolve's_breastplate_part]
(21443,12184,1,1,1,116.031201),-- [doom_plate_armor_low]
(21443,4081,1,1,1,1395.250584),-- [doom_plate_armor_temper]
(21443,12193,1,1,1,301.516371),-- [blue_wolve's_gaiters_low]
(21443,4080,1,1,1,2911.893777),-- [blue_wolve's_gaiters_material]
(21443,1872,1,1,2,102952.605825),-- [animal_bone]
(21443,1867,1,1,2,102952.605825),-- [animal_skin]
(21443,1881,1,1,2,10295.427456),-- [coarse_bone_powder]
(21443,1875,1,1,2,5147.713728),-- [stone_of_purity]
(21443,4041,1,1,2,671.498964),-- [mold_hardener]
(21443,5156,1,1,2,102.794076),-- [rp_comp_soulshot_a]
(21443,8729,1,1,2,1029.609495),-- [general_64_a]
(21443,8739,1,1,2,257.318937),-- [special_64_a]
(21443,8749,1,1,2,25.698519),-- [rare_64_a]
(21443,8759,1,1,2,5.006205),-- [unique_64_a]
(21443,1343,10,30,2,110306.72097),-- [silver_arrow]
(21444,4077,1,1,-1,108697),-- [doom_shield_fragment]
(21444,3956,1,1,-1,3222),-- [rp_blessed_spiritshot_a]
(21444,4078,1,1,-1,35296),-- [blue_wolve's_breastplate_part]
(21444,57,958,1940,0,700000),-- [adena]
(21444,12204,1,1,1,158.393732),-- [blue_wolve's_breastplate_low]
(21444,4078,1,1,1,1737.53853),-- [blue_wolve's_breastplate_part]
(21444,12184,1,1,1,97.498786),-- [doom_plate_armor_low]
(21444,4081,1,1,1,1172.402224),-- [doom_plate_armor_temper]
(21444,12193,1,1,1,253.358406),-- [blue_wolve's_gaiters_low]
(21444,4080,1,1,1,2446.808322),-- [blue_wolve's_gaiters_material]
(21444,1872,1,1,2,86514.8985),-- [animal_bone]
(21444,1867,1,1,2,86514.8985),-- [animal_skin]
(21444,1881,1,1,2,8651.63008),-- [coarse_bone_powder]
(21444,1875,1,1,2,4325.81504),-- [stone_of_purity]
(21444,4041,1,1,2,564.28552),-- [mold_hardener]
(21444,5156,1,1,2,86.38168),-- [rp_comp_soulshot_a]
(21444,8729,1,1,2,865.2191),-- [general_64_a]
(21444,8739,1,1,2,216.23466),-- [special_64_a]
(21444,8749,1,1,2,21.59542),-- [rare_64_a]
(21444,8759,1,1,2,4.2069),-- [unique_64_a]
(21444,1343,10,30,2,92694.8346),-- [silver_arrow]
(21445,5460,1,1,-1,1366),-- [rp_dasparion's_staff_i]
(21445,4118,1,1,-1,10349),-- [staff_of_evil_sprit_head]
(21445,1875,1,1,-1,166644),-- [stone_of_purity]
(21445,57,992,2007,0,700000),-- [adena]
(21445,11930,1,1,1,40.204024),-- [sword_of_damascus_low]
(21445,4114,1,1,1,538.764128),-- [sword_of_damascus_blade]
(21445,11929,1,1,1,40.204024),-- [guardians_sword_low]
(21445,8330,1,1,1,537.857936),-- [guardians_sword_blade]
(21445,11943,1,1,1,40.204024),-- [tears_of_wizard_low]
(21445,8336,1,1,1,538.765864),-- [tears_of_wizard_blade]
(21445,1865,1,1,2,73836.191018),-- [varnish]
(21445,1870,1,1,2,73836.191018),-- [coal]
(21445,1879,1,1,2,12306.003826),-- [cokes]
(21445,1875,1,1,2,4922.367918),-- [stone_of_purity]
(21445,4040,1,1,2,1476.760794),-- [mold_lubricant]
(21445,6329,1,1,2,424.35655),-- [rp_sealed_phoenix's_necklace_i]
(21445,8729,1,1,2,984.507196),-- [general_64_a]
(21445,8739,1,1,2,246.042768),-- [special_64_a]
(21445,8749,1,1,2,24.537052),-- [rare_64_a]
(21445,8759,1,1,2,5.04186),-- [unique_64_a]
(21446,1885,1,1,-1,256299),-- [high_grade_suede]
(21446,4119,1,1,-1,13462),-- [demon's_sword_edge]
(21446,5468,1,1,-1,1681),-- [rp_elemental_sword_i]
(21446,57,1221,2470,0,700000),-- [adena]
(21446,11935,1,1,1,49.445664),-- [deadman's_glory_low]
(21446,4116,1,1,1,661.476322),-- [deadman's_glory_stone]
(21446,11938,1,1,1,49.445664),-- [art_of_battle_axe_low]
(21446,4117,1,1,1,661.476322),-- [art_of_battle_axe_blade]
(21446,11934,1,1,1,49.445664),-- [staff_of_evil_sprit_low]
(21446,4118,1,1,1,626.710364),-- [staff_of_evil_sprit_head]
(21446,1866,1,1,2,55059.359308),-- [suede]
(21446,1871,1,1,2,82589.038962),-- [charcoal]
(21446,5220,1,1,2,3303.4971),-- [reinforcing_agent]
(21446,1885,1,1,2,6882.554202),-- [high_grade_suede]
(21446,4041,1,1,2,718.174898),-- [mold_hardener]
(21446,6331,1,1,2,630.350219),-- [rp_sealed_phoenix's_earing_i]
(21446,8729,1,1,2,1101.1657),-- [general_64_a]
(21446,8739,1,1,2,275.291425),-- [special_64_a]
(21446,8749,1,1,2,27.663431),-- [rare_64_a]
(21446,8759,1,1,2,5.640117),-- [unique_64_a]
(21446,1343,10,30,2,117984.264638),-- [silver_arrow]
(21447,5281,1,1,-1,4242),-- [rp_adv_comp_bspiritshot_a]
(21447,4118,1,1,-1,13173),-- [staff_of_evil_sprit_head]
(21447,4052,1,1,-1,112651),-- [earing_of_black_ore_piece]
(21447,57,1260,2556,0,700000),-- [adena]
(21447,12183,1,1,1,795.15921),-- [doom_shield_low]
(21447,4077,1,1,1,7046.63529),-- [doom_shield_fragment]
(21447,12202,1,1,1,556.4742),-- [blue_wolve's_helmet_low]
(21447,4088,1,1,1,5920.12855),-- [blue_wolve's_helmet_design]
(21447,12185,1,1,1,556.4742),-- [doom_helmet_low]
(21447,4089,1,1,1,5920.12855),-- [doom_helmet_pattern]
(21447,1869,1,1,2,93985.86024),-- [iron_ore]
(21447,1870,1,1,2,93985.86024),-- [coal]
(21447,1871,1,1,2,93985.86024),-- [charcoal]
(21447,1872,1,3,2,62657.24016),-- [animal_bone]
(21447,1867,1,1,2,125314.48032),-- [animal_skin]
(21447,5462,1,1,2,34.896032),-- [rp_worldtree's_branch_i]
(21447,8729,1,1,2,1252.956176),-- [general_64_a]
(21447,8739,1,1,2,313.121152),-- [special_64_a]
(21447,8749,1,1,2,31.123488),-- [rare_64_a]
(21447,8759,1,1,2,6.601952),-- [unique_64_a]
(21448,5281,1,1,-1,5348),-- [rp_adv_comp_bspiritshot_a]
(21448,4118,1,1,-1,16605),-- [staff_of_evil_sprit_head]
(21448,57,1059,2148,0,700000),-- [adena]
(21448,12183,1,1,1,668.170812),-- [doom_shield_low]
(21448,4077,1,1,1,5921.274588),-- [doom_shield_fragment]
(21448,12202,1,1,1,467.60424),-- [blue_wolve's_helmet_low]
(21448,4088,1,1,1,4974.67306),-- [blue_wolve's_helmet_design]
(21448,12185,1,1,1,467.60424),-- [doom_helmet_low]
(21448,4089,1,1,1,4974.67306),-- [doom_helmet_pattern]
(21448,1869,1,1,2,78979.630041),-- [iron_ore]
(21448,1870,1,1,2,78979.630041),-- [coal]
(21448,1871,1,1,2,78979.630041),-- [charcoal]
(21448,1872,1,1,2,105306.173388),-- [animal_bone]
(21448,1867,1,1,2,105306.173388),-- [animal_skin]
(21448,5462,1,1,2,29.180385),-- [rp_worldtree's_branch_i]
(21448,8729,1,1,2,1053.187434),-- [general_64_a]
(21448,8739,1,1,2,263.072394),-- [special_64_a]
(21448,8749,1,1,2,26.486811),-- [rare_64_a]
(21448,8759,1,1,2,5.836077),-- [unique_64_a]
(21449,4041,1,1,-1,30535),-- [mold_hardener]
(21449,4040,1,1,-1,70231),-- [mold_lubricant]
(21449,5496,1,1,-1,82334),-- [sealed_dark_crystal_boots_lining]
(21449,57,1389,2824,0,700000),-- [adena]
(21449,11950,1,1,1,142.796808),-- [blood_tornado_low]
(21449,5539,1,1,1,1749.203192),-- [blood_tornado_edge]
(21449,1871,1,1,2,103726.047588),-- [charcoal]
(21449,1866,1,1,2,69150.698392),-- [suede]
(21449,1877,1,1,2,4149.092728),-- [admantite_nugget]
(21449,4041,1,1,2,901.953004),-- [mold_hardener]
(21449,4040,1,1,2,2074.546364),-- [mold_lubricant]
(21449,5448,1,1,2,38.481392),-- [rp_soul_separator_i]
(21449,8730,1,1,2,1152.445084),-- [general_67_a]
(21449,8740,1,1,2,288.065892),-- [special_67_a]
(21449,8750,1,1,2,28.861044),-- [rare_67_a]
(21449,8760,1,1,2,5.808512),-- [unique_67_a]
(21450,5450,1,1,-1,1258),-- [rp_dragon_grinder_i]
(21450,5497,1,1,-1,79631),-- [sealed_tallum_boots_lining]
(21450,5456,1,1,-1,1258),-- [rp_tallum_glaive_i]
(21450,57,1343,2731,0,700000),-- [adena]
(21450,11955,1,1,1,138.1173),-- [carnium_bow_low]
(21450,5535,1,1,1,1711.8827),-- [carnium_bow_shaft]
(21450,1872,1,1,2,121600.00595),-- [animal_bone]
(21450,1867,1,1,2,121600.00595),-- [animal_skin]
(21450,1881,1,1,2,12160.11875),-- [coarse_bone_powder]
(21450,1875,1,1,2,6079.86245),-- [stone_of_purity]
(21450,4041,1,1,2,793.2139),-- [mold_hardener]
(21450,5450,1,1,2,33.8711),-- [rp_dragon_grinder_i]
(21450,8730,1,1,2,1013.37605),-- [general_67_a]
(21450,8740,1,1,2,253.24555),-- [special_67_a]
(21450,8750,1,1,2,25.2064),-- [rare_67_a]
(21450,8760,1,1,2,5.12005),-- [unique_67_a]
(21450,1343,10,30,2,130285.97385),-- [silver_arrow]
(21451,1807,1,1,-1,1522),-- [rp_soulshot_a]
(21451,4080,1,1,-1,23474),-- [blue_wolve's_gaiters_material]
(21451,4041,1,1,-1,9924),-- [mold_hardener]
(21451,57,452,917,0,700000),-- [adena]
(21451,11935,1,1,1,18.359472),-- [deadman's_glory_low]
(21451,4116,1,1,1,245.610131),-- [deadman's_glory_stone]
(21451,11938,1,1,1,18.359472),-- [art_of_battle_axe_low]
(21451,4117,1,1,1,245.610131),-- [art_of_battle_axe_blade]
(21451,11934,1,1,1,18.359472),-- [staff_of_evil_sprit_low]
(21451,4118,1,1,1,232.701322),-- [staff_of_evil_sprit_head]
(21451,1866,1,1,2,20430.000432),-- [suede]
(21451,1871,1,1,2,30645.000648),-- [charcoal]
(21451,5220,1,1,2,1225.796048),-- [reinforcing_agent]
(21451,1885,1,1,2,2553.725192),-- [high_grade_suede]
(21451,4041,1,1,2,266.52064),-- [mold_hardener]
(21451,730,1,1,2,25.558136),-- [scrl_of_ench_am_a]
(21451,8729,1,1,2,408.631832),-- [general_64_a]
(21451,8739,1,1,2,102.133096),-- [special_64_a]
(21451,8749,1,1,2,10.243144),-- [rare_64_a]
(21451,8759,1,1,2,2.088408),-- [unique_64_a]
(21451,1343,10,30,2,43778.302424),-- [silver_arrow]
(21452,1875,1,1,-1,164372),-- [stone_of_purity]
(21452,4081,1,1,-1,24301),-- [doom_plate_armor_temper]
(21452,3035,1,1,-1,3287),-- [rp_spiritshot_a]
(21452,57,981,1985,0,700000),-- [adena]
(21453,4082,1,1,-1,23411),-- [blue_wolve's_leather_mail_texture]
(21453,3956,1,1,-1,2763),-- [rp_blessed_spiritshot_a]
(21453,4083,1,1,-1,23411),-- [leather_mail_of_doom_design]
(21453,57,824,1668,0,700000),-- [adena]
(21454,1884,1,3,-1,758639),-- [cord]
(21454,1889,1,1,-1,164372),-- [compound_braid]
(21454,4084,1,1,-1,42850),-- [blue_wolve's_tunic_fabric]
(21454,57,981,1985,0,700000),-- [adena]
(21455,5156,1,1,-1,2763),-- [rp_comp_soulshot_a]
(21455,4085,1,1,-1,36008),-- [tunic_of_doom_pattern]
(21455,5161,1,1,-1,2763),-- [rp_comp_spiritshot_a]
(21455,57,824,1668,0,700000),-- [adena]
(21456,4086,1,1,-1,70817),-- [blue_wolve's_hose_pattern]
(21456,1884,1,3,-1,928569),-- [cord]
(21456,4039,1,1,-1,100595),-- [mold_glue]
(21456,11935,1,1,0,48.526512),-- [deadman's_glory_low]
(21456,4116,1,1,0,649.180051),-- [deadman's_glory_stone]
(21456,11938,1,1,0,48.526512),-- [art_of_battle_axe_low]
(21456,4117,1,1,0,649.180051),-- [art_of_battle_axe_blade]
(21456,11934,1,1,0,48.526512),-- [staff_of_evil_sprit_low]
(21456,4118,1,1,0,615.060362),-- [staff_of_evil_sprit_head]
(21456,1864,1,1,1,178285.32282),-- [stem]
(21456,1869,1,1,1,89142.842644),-- [iron_ore]
(21456,1878,1,1,1,35657.064564),-- [braided_hemp]
(21456,1884,1,1,1,54856.994524),-- [cord]
(21456,4039,1,1,1,2971.512664),-- [mold_glue]
(21456,5450,1,1,1,32.984588),-- [rp_dragon_grinder_i]
(21456,8729,1,1,1,1188.532572),-- [general_64_a]
(21456,8739,1,1,1,297.22376),-- [special_64_a]
(21456,8749,1,1,1,29.722376),-- [rare_64_a]
(21456,8759,1,1,1,5.799488),-- [unique_64_a]
(21457,4087,1,1,-1,59510),-- [hose_of_doom_pattern]
(21457,5166,1,1,-1,3381),-- [rp_comp_bspiritshot_a]
(21457,4088,1,1,-1,95843),-- [blue_wolve's_helmet_design]
(21457,12341,1,1,0,579.36816),-- [earing_of_black_ore_low]
(21457,4052,1,1,0,4420.414656),-- [earing_of_black_ore_piece]
(21457,12342,1,1,0,434.282688),-- [necklace_of_black_ore_low]
(21457,4054,1,1,0,2459.213568),-- [necklace_of_black_ore_beads]
(21457,12343,1,1,0,867.04128),-- [ring_of_black_ore_low]
(21457,4053,1,1,0,5351.679648),-- [ring_of_black_ore_gemstone]
(21457,1866,1,1,1,45399.926332),-- [suede]
(21457,1871,1,1,1,68099.99998),-- [charcoal]
(21457,5220,1,1,1,2724.044192),-- [reinforcing_agent]
(21457,1885,1,1,1,5675.018412),-- [high_grade_suede]
(21457,4041,1,1,1,592.18352),-- [mold_hardener]
(21457,5456,1,1,1,25.189896),-- [rp_tallum_glaive_i]
(21457,8729,1,1,1,907.941076),-- [general_64_a]
(21457,8739,1,1,1,226.930028),-- [special_64_a]
(21457,8749,1,1,1,22.759292),-- [rare_64_a]
(21457,8759,1,1,1,4.640244),-- [unique_64_a]
(21457,1343,10,30,1,97285.367028),-- [silver_arrow]
(21458,5230,1,1,-1,4024),-- [rp_mithril_arrow]
(21458,4089,1,1,-1,114053),-- [doom_helmet_pattern]
(21458,4041,1,1,-1,26242),-- [mold_hardener]
(21458,12188,1,1,0,592.716023),-- [doom_boots_low]
(21458,4099,1,1,0,5002.533977),-- [doom_boots_part]
(21458,12189,1,1,0,592.716023),-- [blue_wolve's_boots_low]
(21458,4090,1,1,0,5002.533977),-- [blue_wolve's_boots_design]
(21458,12187,1,1,0,592.716023),-- [doom_gloves_low]
(21458,4091,1,1,0,5002.533977),-- [doom_gloves_part]
(21458,12190,1,1,0,592.716023),-- [blue_wolve's_gloves_low]
(21458,4096,1,1,0,5002.533977),-- [blue_wolve's_gloves_fabric]
(21458,1871,1,1,1,81038.626932),-- [charcoal]
(21458,1866,1,1,1,54025.798869),-- [suede]
(21458,1877,1,1,1,3241.550787),-- [admantite_nugget]
(21458,4041,1,1,1,704.722191),-- [mold_hardener]
(21458,4040,1,1,1,1620.704022),-- [mold_lubricant]
(21458,5462,1,1,1,29.97603),-- [rp_worldtree's_branch_i]
(21458,5370,1,1,1,698.584242),-- [rp_sealed_tallum_boots_i]
(21458,8729,1,1,1,1080.56451),-- [general_64_a]
(21458,8739,1,1,1,270.069756),-- [special_64_a]
(21458,8749,1,1,1,26.978427),-- [rare_64_a]
(21458,8759,1,1,1,5.424234),-- [unique_64_a]
(21459,1894,1,1,-1,88983),-- [crafted_leather]
(21459,4090,1,1,-1,113850),-- [blue_wolve's_boots_design]
(21459,5271,1,1,-1,3381),-- [rp_adv_comp_soulshot_a]
(21459,11933,1,1,0,122.33845),-- [bellion_cestus_low]
(21459,4120,1,1,0,1636.66155),-- [bellion_cestus_edge]
(21459,1867,1,1,1,83233.038942),-- [animal_skin]
(21459,1872,1,1,1,83233.038942),-- [animal_bone]
(21459,1882,1,1,1,13872.081708),-- [leather]
(21459,1894,1,1,1,2190.386448),-- [crafted_leather]
(21459,4042,1,1,1,1040.323824),-- [enria]
(21459,5464,1,1,1,23.045148),-- [rp_dark_legion's_edge_i]
(21459,5364,1,1,1,511.657155),-- [rp_sealed_dark_crystal_shield_i]
(21459,8729,1,1,1,832.368798),-- [general_64_a]
(21459,8739,1,1,1,207.955026),-- [special_64_a]
(21459,8749,1,1,1,20.850372),-- [rare_64_a]
(21459,8759,1,1,1,4.115205),-- [unique_64_a]
(21459,1343,10,30,1,89178.138432),-- [silver_arrow]
(21460,4091,1,1,-1,231933),-- [doom_gloves_part]
(21460,5276,1,1,-1,6888),-- [rp_adv_comp_spiritshot_a]
(21460,4096,1,1,-1,231933),-- [blue_wolve's_gloves_fabric]
(21460,57,2055,4158,0,700000),-- [adena]
(21461,4042,1,1,-1,89502),-- [enria]
(21461,1876,1,3,-1,537011),-- [mithril_ore]
(21461,4099,1,1,-1,241083),-- [doom_boots_part]
(21461,57,2136,4322,0,700000),-- [adena]
(21462,5281,1,1,-1,6888),-- [rp_adv_comp_bspiritshot_a]
(21462,4114,1,1,-1,22614),-- [sword_of_damascus_blade]
(21462,5438,1,1,-1,2823),-- [rp_meteor_shower_i]
(21462,57,2055,4158,0,700000),-- [adena]
(21463,4115,1,1,-1,21675),-- [lancia_blade]
(21463,4041,1,1,-1,43205),-- [mold_hardener]
(21463,1875,1,1,-1,331238),-- [stone_of_purity]
(21463,57,1976,3999,0,700000),-- [adena]
(21464,4116,1,1,-1,27632),-- [deadman's_glory_stone]
(21464,5444,1,1,-1,3455),-- [rp_carnium_bow_i]
(21464,4117,1,1,-1,27632),-- [art_of_battle_axe_blade]
(21464,11935,1,1,0,101.69592),-- [deadman's_glory_low]
(21464,4116,1,1,0,1360.472035),-- [deadman's_glory_stone]
(21464,11938,1,1,0,101.69592),-- [art_of_battle_axe_low]
(21464,4117,1,1,0,1360.472035),-- [art_of_battle_axe_blade]
(21464,11934,1,1,0,101.69592),-- [staff_of_evil_sprit_low]
(21464,4118,1,1,0,1288.96817),-- [staff_of_evil_sprit_head]
(21464,1867,1,3,1,124524.651092),-- [animal_skin]
(21464,1872,1,1,1,249049.302184),-- [animal_bone]
(21464,1882,1,1,1,41508.074378),-- [leather]
(21464,1894,1,1,1,6553.748812),-- [crafted_leather]
(21464,4042,1,1,1,3112.966492),-- [enria]
(21464,729,1,1,1,20.541984),-- [scrl_of_ench_wp_a]
(21464,8729,1,1,1,2490.287602),-- [general_64_a]
(21464,8739,1,1,1,622.67889),-- [special_64_a]
(21464,8749,1,1,1,62.05391),-- [rare_64_a]
(21464,8759,1,1,1,13.694656),-- [unique_64_a]
(21465,5446,1,1,-1,3592),-- [rp_bloody_orchid_i]
(21465,4118,1,1,-1,27213),-- [staff_of_evil_sprit_head]
(21465,5220,1,1,-1,262919),-- [reinforcing_agent]
(21465,12341,1,1,0,1501.586625),-- [earing_of_black_ore_low]
(21465,4052,1,1,0,11456.67985),-- [earing_of_black_ore_piece]
(21465,12342,1,1,0,1125.55905),-- [necklace_of_black_ore_low]
(21465,4054,1,1,0,6373.7058),-- [necklace_of_black_ore_beads]
(21465,12343,1,1,0,2247.168),-- [ring_of_black_ore_low]
(21465,4053,1,1,0,13870.300675),-- [ring_of_black_ore_gemstone]
(21465,1874,1,1,1,10786.421376),-- [oriharukon_ore]
(21465,1878,1,1,1,64718.956017),-- [braided_hemp]
(21465,1884,1,1,1,99567.361404),-- [cord]
(21465,1889,1,1,1,10786.421376),-- [compound_braid]
(21465,5220,1,1,1,6472.02393),-- [reinforcing_agent]
(21465,730,1,1,1,134.744715),-- [scrl_of_ench_am_a]
(21465,5370,1,1,1,1394.928621),-- [rp_sealed_tallum_boots_i]
(21465,8729,1,1,1,2157.198723),-- [general_64_a]
(21465,8739,1,1,1,539.406621),-- [special_64_a]
(21465,8749,1,1,1,53.897886),-- [rare_64_a]
(21465,8759,1,1,1,10.694025),-- [unique_64_a]
(21465,1343,10,30,1,231138.945306),-- [silver_arrow]
(21466,4042,1,1,-1,105392),-- [enria]
(21466,4119,1,1,-1,27679),-- [demon's_sword_edge]
(21466,5452,1,1,-1,3455),-- [rp_blood_tornado_i]
(21466,12188,1,1,0,1241.946768),-- [doom_boots_low]
(21466,4099,1,1,0,10482.053232),-- [doom_boots_part]
(21466,12189,1,1,0,1241.946768),-- [blue_wolve's_boots_low]
(21466,4090,1,1,0,10482.053232),-- [blue_wolve's_boots_design]
(21466,12187,1,1,0,1241.946768),-- [doom_gloves_low]
(21466,4091,1,1,0,10482.053232),-- [doom_gloves_part]
(21466,12190,1,1,0,1241.946768),-- [blue_wolve's_gloves_low]
(21466,4096,1,1,0,10482.053232),-- [blue_wolve's_gloves_fabric]
(21466,1867,1,3,1,113204.20656),-- [animal_skin]
(21466,1872,1,1,1,226408.02256),-- [animal_bone]
(21466,1882,1,1,1,37734.73552),-- [leather]
(21466,1894,1,1,1,5957.9928),-- [crafted_leather]
(21466,4042,1,1,1,2829.99776),-- [enria]
(21466,5434,1,1,1,62.88016),-- [rp_dragon_slayer_i]
(21466,5368,1,1,1,1463.81888),-- [rp_sealed_dark_crystal_boots_i]
(21466,8729,1,1,1,2264.07632),-- [general_64_a]
(21466,8739,1,1,1,565.92144),-- [special_64_a]
(21466,8749,1,1,1,56.6312),-- [rare_64_a]
(21466,8759,1,1,1,11.7168),-- [unique_64_a]
(21467,4120,1,1,-1,26575),-- [bellion_cestus_edge]
(21467,5458,1,1,-1,3323),-- [rp_halbard_i]
(21467,4121,1,1,-1,26486),-- [hazard_bow_shaft]
(21467,11933,1,1,0,293.3619),-- [bellion_cestus_low]
(21467,4120,1,1,0,3924.6381),-- [bellion_cestus_edge]
(21467,1864,4,12,1,37424.6215),-- [stem]
(21467,1869,1,1,1,149698.486),-- [iron_ore]
(21467,1878,1,1,1,59879.3944),-- [braided_hemp]
(21467,1884,1,1,1,92121.8872),-- [cord]
(21467,4039,1,1,1,4990.0893),-- [mold_glue]
(21467,5440,1,1,1,55.3476),-- [rp_elysian_i]
(21467,5368,1,1,1,1290.6054),-- [rp_sealed_dark_crystal_boots_i]
(21467,8729,1,1,1,1995.868),-- [general_64_a]
(21467,8739,1,1,1,498.967),-- [special_64_a]
(21467,8749,1,1,1,49.8967),-- [rare_64_a]
(21467,8759,1,1,1,10.0632),-- [unique_64_a]
(21467,1343,30,90,1,71284.7737),-- [silver_arrow]
(21468,5220,1,1,-1,348382),-- [reinforcing_agent]
(21468,5370,1,1,-1,37541),-- [rp_sealed_tallum_boots_i]
(21468,4052,1,1,-1,308357),-- [earing_of_black_ore_piece]
(21468,57,3464,7010,0,700000),-- [adena]
(21469,5460,1,1,-1,4540),-- [rp_dasparion's_staff_i]
(21469,4053,1,1,-1,356108),-- [ring_of_black_ore_gemstone]
(21469,5468,1,1,-1,4540),-- [rp_elemental_sword_i]
(21469,57,3305,6687,0,700000),-- [adena]
(21470,5156,1,1,-1,1625),-- [rp_comp_soulshot_a]
(21470,4114,1,1,-1,5334),-- [sword_of_damascus_blade]
(21470,5161,1,1,-1,1625),-- [rp_comp_spiritshot_a]
(21470,57,480,982,0,700000),-- [adena]
(21470,12188,1,1,1,239.326871),-- [doom_boots_low]
(21470,4099,1,1,1,2019.923129),-- [doom_boots_part]
(21470,12189,1,1,1,239.326871),-- [blue_wolve's_boots_low]
(21470,4090,1,1,1,2019.923129),-- [blue_wolve's_boots_design]
(21470,12187,1,1,1,239.326871),-- [doom_gloves_low]
(21470,4091,1,1,1,2019.923129),-- [doom_gloves_part]
(21470,12190,1,1,1,239.326871),-- [blue_wolve's_gloves_low]
(21470,4096,1,1,1,2019.923129),-- [blue_wolve's_gloves_fabric]
(21470,1866,1,1,2,21814.538384),-- [suede]
(21470,1871,1,1,2,32721.807576),-- [charcoal]
(21470,5220,1,1,2,1308.879474),-- [reinforcing_agent]
(21470,1885,1,1,2,2726.817298),-- [high_grade_suede]
(21470,4041,1,1,2,284.507838),-- [mold_hardener]
(21470,6337,1,1,2,167.800464),-- [rp_sealed_majestic_earing_i]
(21470,5364,1,1,2,268.193904),-- [rp_sealed_dark_crystal_shield_i]
(21470,8730,1,1,2,363.567672),-- [general_67_a]
(21470,8740,1,1,2,90.891918),-- [special_67_a]
(21470,8750,1,1,2,9.083216),-- [rare_67_a]
(21470,8760,1,1,2,1.912256),-- [unique_67_a]
(21471,4115,1,1,-1,11485),-- [lancia_blade]
(21471,1894,1,1,-1,92378),-- [crafted_leather]
(21471,4042,1,1,-1,43879),-- [enria]
(21471,57,1047,2119,0,700000),-- [adena]
(21472,4116,1,1,-1,9668),-- [deadman's_glory_stone]
(21472,5166,1,1,-1,2950),-- [rp_comp_bspiritshot_a]
(21472,4117,1,1,-1,9668),-- [art_of_battle_axe_blade]
(21472,57,880,1780,0,700000),-- [adena]
(21473,5230,1,1,-1,3510),-- [rp_mithril_arrow]
(21473,4118,1,1,-1,10900),-- [staff_of_evil_sprit_head]
(21473,4043,1,1,-1,87759),-- [asofe]
(21473,57,1047,2119,0,700000),-- [adena]
(21474,4039,1,1,-1,73747),-- [mold_glue]
(21474,4119,1,1,-1,9684),-- [demon's_sword_edge]
(21474,5271,1,1,-1,2950),-- [rp_adv_comp_soulshot_a]
(21474,57,880,1780,0,700000),-- [adena]
(21475,4120,1,1,-1,14081),-- [bellion_cestus_edge]
(21475,5276,1,1,-1,4296),-- [rp_adv_comp_spiritshot_a]
(21475,4121,1,1,-1,14034),-- [hazard_bow_shaft]
(21475,12201,1,1,0,211.145724),-- [blue_wolve's_tunic_low]
(21475,4084,1,1,0,2067.817428),-- [blue_wolve's_tunic_fabric]
(21475,12192,1,1,0,211.145724),-- [tunic_of_doom_low]
(21475,4085,1,1,0,2067.817428),-- [tunic_of_doom_pattern]
(21475,12203,1,1,0,338.019228),-- [blue_wolve's_hose_low]
(21475,4086,1,1,0,2792.01762),-- [blue_wolve's_hose_pattern]
(21475,12205,1,1,0,338.019228),-- [hose_of_doom_low]
(21475,4087,1,1,0,2792.01762),-- [hose_of_doom_pattern]
(21475,1871,1,1,1,86530.60944),-- [charcoal]
(21475,1866,1,1,1,57687.16464),-- [suede]
(21475,1877,1,1,1,3461.10336),-- [admantite_nugget]
(21475,4041,1,1,1,752.50944),-- [mold_hardener]
(21475,4040,1,1,1,1730.55168),-- [mold_lubricant]
(21475,5440,1,1,1,32.17968),-- [rp_elysian_i]
(21475,8730,1,1,1,961.53984),-- [general_67_a]
(21475,8740,1,1,1,240.38496),-- [special_67_a]
(21475,8750,1,1,1,23.92848),-- [rare_67_a]
(21475,8760,1,1,1,4.67568),-- [unique_67_a]
(21475,1343,10,30,1,123615.3528),-- [silver_arrow]
(21476,4041,1,1,-1,23547),-- [mold_hardener]
(21476,1875,1,1,-1,180524),-- [stone_of_purity]
(21476,4052,1,1,-1,95871),-- [earing_of_black_ore_piece]
(21476,12204,1,1,0,177.511148),-- [blue_wolve's_breastplate_low]
(21476,4078,1,1,0,1947.25167),-- [blue_wolve's_breastplate_part]
(21476,12184,1,1,0,109.266454),-- [doom_plate_armor_low]
(21476,4081,1,1,0,1313.905936),-- [doom_plate_armor_temper]
(21476,12193,1,1,0,283.937634),-- [blue_wolve's_gaiters_low]
(21476,4080,1,1,0,2742.127158),-- [blue_wolve's_gaiters_material]
(21476,1872,1,1,1,106648.442776),-- [animal_bone]
(21476,1867,1,1,1,106648.442776),-- [animal_skin]
(21476,1881,1,1,1,10664.890509),-- [coarse_bone_powder]
(21476,1875,1,1,1,5332.329676),-- [stone_of_purity]
(21476,4041,1,1,1,695.551413),-- [mold_hardener]
(21476,5442,1,1,1,29.588096),-- [rp_soul_bow_i]
(21476,8730,1,1,1,888.798665),-- [general_67_a]
(21476,8740,1,1,1,222.141877),-- [special_67_a]
(21476,8750,1,1,1,22.191072),-- [rare_67_a]
(21476,8760,1,1,1,4.62314),-- [unique_67_a]
(21477,5281,1,1,-1,4296),-- [rp_adv_comp_bspiritshot_a]
(21477,4053,1,1,-1,138121),-- [ring_of_black_ore_gemstone]
(21477,5438,1,1,-1,1761),-- [rp_meteor_shower_i]
(21477,12201,1,1,0,211.145724),-- [blue_wolve's_tunic_low]
(21477,4084,1,1,0,2067.817428),-- [blue_wolve's_tunic_fabric]
(21477,12192,1,1,0,211.145724),-- [tunic_of_doom_low]
(21477,4085,1,1,0,2067.817428),-- [tunic_of_doom_pattern]
(21477,12203,1,1,0,338.019228),-- [blue_wolve's_hose_low]
(21477,4086,1,1,0,2792.01762),-- [blue_wolve's_hose_pattern]
(21477,12205,1,1,0,338.019228),-- [hose_of_doom_low]
(21477,4087,1,1,0,2792.01762),-- [hose_of_doom_pattern]
(21477,1865,1,1,1,86530.44636),-- [varnish]
(21477,1870,1,1,1,86530.44636),-- [coal]
(21477,1879,1,1,1,14421.84768),-- [cokes]
(21477,1875,1,1,1,5768.6751),-- [stone_of_purity]
(21477,4040,1,1,1,1730.76246),-- [mold_lubricant]
(21477,5448,1,1,1,31.986),-- [rp_soul_separator_i]
(21477,8730,1,1,1,961.49916),-- [general_67_a]
(21477,8740,1,1,1,240.21486),-- [special_67_a]
(21477,8750,1,1,1,23.9895),-- [rare_67_a]
(21477,8760,1,1,1,4.7979),-- [unique_67_a]
(21477,1343,10,30,1,123615.33462),-- [silver_arrow]
(21478,4054,1,1,-1,53336),-- [necklace_of_black_ore_beads]
(21478,1885,1,1,-1,225655),-- [high_grade_suede]
(21478,4041,1,1,-1,23547),-- [mold_hardener]
(21478,12341,1,1,0,618.61674),-- [earing_of_black_ore_low]
(21478,4052,1,1,0,4719.870184),-- [earing_of_black_ore_piece]
(21478,12342,1,1,0,463.702632),-- [necklace_of_black_ore_low]
(21478,4054,1,1,0,2625.809952),-- [necklace_of_black_ore_beads]
(21478,12343,1,1,0,925.77792),-- [ring_of_black_ore_low]
(21478,4053,1,1,0,5714.222572),-- [ring_of_black_ore_gemstone]
(21478,1866,1,1,1,53324.090928),-- [suede]
(21478,1871,1,1,1,79986.136392),-- [charcoal]
(21478,5220,1,1,1,3199.393242),-- [reinforcing_agent]
(21478,1885,1,1,1,6665.511366),-- [high_grade_suede]
(21478,4041,1,1,1,695.602248),-- [mold_hardener]
(21478,5450,1,1,1,29.587752),-- [rp_dragon_grinder_i]
(21478,8730,1,1,1,888.792864),-- [general_67_a]
(21478,8740,1,1,1,222.198216),-- [special_67_a]
(21478,8750,1,1,1,22.190814),-- [rare_67_a]
(21478,8760,1,1,1,4.496178),-- [unique_67_a]
(21479,4077,1,1,-1,248161),-- [doom_shield_fragment]
(21479,5444,1,1,-1,3015),-- [rp_carnium_bow_i]
(21479,4078,1,1,-1,80582),-- [blue_wolve's_breastplate_part]
(21479,57,2194,4439,0,700000),-- [adena]
(21480,5446,1,1,-1,3133),-- [rp_bloody_orchid_i]
(21480,4080,1,1,-1,117952),-- [blue_wolve's_gaiters_material]
(21480,1889,1,1,-1,382283),-- [compound_braid]
(21480,57,2281,4615,0,700000),-- [adena]
(21481,5550,1,1,-1,73555),-- [reinforcing_plate]
(21481,4081,1,1,-1,54372),-- [doom_plate_armor_temper]
(21481,5452,1,1,-1,3015),-- [rp_blood_tornado_i]
(21481,57,2194,4439,0,700000),-- [adena]
(21482,4082,1,1,-1,59949),-- [blue_wolve's_leather_mail_texture]
(21482,5458,1,1,-1,2899),-- [rp_halbard_i]
(21482,4083,1,1,-1,59949),-- [leather_mail_of_doom_design]
(21482,57,2110,4270,0,700000),-- [adena]
(21483,4040,1,1,-1,135041),-- [mold_lubricant]
(21483,1877,1,1,-1,270082),-- [admantite_nugget]
(21483,5364,1,1,-1,55345),-- [rp_sealed_dark_crystal_shield_i]
(21483,11944,1,1,0,325.746792),-- [hazard_bow_low]
(21483,4121,1,1,0,4343.253208),-- [hazard_bow_shaft]
(21483,1871,1,1,1,181313.40119),-- [charcoal]
(21483,1866,1,1,1,120875.45165),-- [suede]
(21483,1877,1,1,1,7252.39287),-- [admantite_nugget]
(21483,4041,1,1,1,1576.74332),-- [mold_hardener]
(21483,4040,1,1,1,3626.42015),-- [mold_lubricant]
(21483,6335,1,1,1,697.54337),-- [rp_sealed_majestic_necklace_i]
(21483,8730,1,1,1,2014.77729),-- [general_67_a]
(21483,8740,1,1,1,503.80618),-- [special_67_a]
(21483,8750,1,1,1,50.55959),-- [rare_67_a]
(21483,8760,1,1,1,10.29089),-- [unique_67_a]
(21483,1343,20,60,1,129508.6135),-- [silver_arrow]
(21484,5460,1,1,-1,3835),-- [rp_dasparion's_staff_i]
(21484,4085,1,1,-1,121974),-- [tunic_of_doom_pattern]
(21484,5468,1,1,-1,3835),-- [rp_elemental_sword_i]
(21484,12201,1,1,0,459.883116),-- [blue_wolve's_tunic_low]
(21484,4084,1,1,0,4503.782052),-- [blue_wolve's_tunic_fabric]
(21484,12192,1,1,0,459.883116),-- [tunic_of_doom_low]
(21484,4085,1,1,0,4503.782052),-- [tunic_of_doom_pattern]
(21484,12203,1,1,0,736.218252),-- [blue_wolve's_hose_low]
(21484,4086,1,1,0,6081.11658),-- [blue_wolve's_hose_pattern]
(21484,12205,1,1,0,736.218252),-- [hose_of_doom_low]
(21484,4087,1,1,0,6081.11658),-- [hose_of_doom_pattern]
(21484,1872,1,3,1,138208.768048),-- [animal_bone]
(21484,1867,1,1,1,276417.536096),-- [animal_skin]
(21484,1881,1,1,1,27641.661229),-- [coarse_bone_powder]
(21484,1875,1,1,1,13821.061566),-- [stone_of_purity]
(21484,4041,1,1,1,1802.807409),-- [mold_hardener]
(21484,6337,1,1,1,1063.300706),-- [rp_sealed_majestic_earing_i]
(21484,8730,1,1,1,2303.510261),-- [general_67_a]
(21484,8740,1,1,1,575.993041),-- [special_67_a]
(21484,8750,1,1,1,57.737875),-- [rare_67_a]
(21484,8760,1,1,1,10.623769),-- [unique_67_a]
(21485,4086,1,1,-1,158443),-- [blue_wolve's_hose_pattern]
(21485,4040,1,1,-1,135041),-- [mold_lubricant]
(21485,5368,1,1,-1,58207),-- [rp_sealed_dark_crystal_boots_i]
(21485,12341,1,1,0,1542.477405),-- [earing_of_black_ore_low]
(21485,4052,1,1,0,11768.664898),-- [earing_of_black_ore_piece]
(21485,12342,1,1,0,1156.209954),-- [necklace_of_black_ore_low]
(21485,4054,1,1,0,6547.272744),-- [necklace_of_black_ore_beads]
(21485,12343,1,1,0,2308.36224),-- [ring_of_black_ore_low]
(21485,4053,1,1,0,14248.012759),-- [ring_of_black_ore_gemstone]
(21485,1865,1,3,1,60437.885667),-- [varnish]
(21485,1870,1,1,1,181313.235834),-- [coal]
(21485,1879,1,1,1,30218.73225),-- [cokes]
(21485,1875,1,1,1,12087.4929),-- [stone_of_purity]
(21485,4040,1,1,1,3626.24787),-- [mold_lubricant]
(21485,6339,1,1,1,1394.905104),-- [rp_sealed_majestic_ring_i]
(21485,8730,1,1,1,2014.441761),-- [general_67_a]
(21485,8740,1,1,1,503.715732),-- [special_67_a]
(21485,8750,1,1,1,50.54004),-- [rare_67_a]
(21485,8760,1,1,1,10.108008),-- [unique_67_a]
(21485,1343,20,60,1,129509.694834),-- [silver_arrow]
(21486,4087,1,1,-1,152379),-- [hose_of_doom_pattern]
(21486,5470,1,1,-1,3548),-- [rp_tallum_blade_i]
(21486,4088,1,1,-1,245413),-- [blue_wolve's_helmet_design]
(21486,12204,1,1,0,425.68653),-- [blue_wolve's_breastplate_low]
(21486,4078,1,1,0,4669.671825),-- [blue_wolve's_breastplate_part]
(21486,12184,1,1,0,262.030065),-- [doom_plate_armor_low]
(21486,4081,1,1,0,3150.85596),-- [doom_plate_armor_temper]
(21486,12193,1,1,0,680.906115),-- [blue_wolve's_gaiters_low]
(21486,4080,1,1,0,6575.849505),-- [blue_wolve's_gaiters_material]
(21486,1866,1,1,1,127874.48184),-- [suede]
(21486,1871,1,1,1,191811.54888),-- [charcoal]
(21486,5220,1,1,1,7672.62888),-- [reinforcing_agent]
(21486,1885,1,1,1,15984.44064),-- [high_grade_suede]
(21486,4041,1,1,1,1667.85696),-- [mold_hardener]
(21486,729,1,1,1,21.21336),-- [scrl_of_ench_wp_a]
(21486,8730,1,1,1,2131.07328),-- [general_67_a]
(21486,8740,1,1,1,532.76832),-- [special_67_a]
(21486,8750,1,1,1,53.20728),-- [rare_67_a]
(21486,8760,1,1,1,10.78056),-- [unique_67_a]
(21487,5428,1,1,-1,7816),-- [rp_sealed_tallum_bonnet_i]
(21487,4089,1,1,-1,351478),-- [doom_helmet_pattern]
(21487,1894,1,1,-1,326320),-- [crafted_leather]
(21487,57,3699,7484,0,700000),-- [adena]
(21488,4044,1,1,-1,295712),-- [thons]
(21488,4090,1,1,-1,398265),-- [blue_wolve's_boots_design]
(21488,5426,1,1,-1,6995),-- [rp_sealed_dark_crystal_helmet_i]
(21488,57,3528,7139,0,700000),-- [adena]
(21489,4040,1,1,-1,25994),-- [mold_lubricant]
(21489,1877,1,1,-1,51987),-- [admantite_nugget]
(21489,6343,1,1,-1,27789),-- [sealed_phoenix's_necklace_beads]
(21489,57,514,1045,0,700000),-- [adena]
(21489,11950,1,1,1,52.8318),-- [blood_tornado_low]
(21489,5539,1,1,1,647.1682),-- [blood_tornado_edge]
(21489,1871,1,1,2,38390.683626),-- [charcoal]
(21489,1866,1,1,2,25593.789084),-- [suede]
(21489,1877,1,1,2,1535.646156),-- [admantite_nugget]
(21489,4041,1,1,2,333.827358),-- [mold_hardener]
(21489,4040,1,1,2,767.823078),-- [mold_lubricant]
(21489,5456,1,1,2,14.242584),-- [rp_tallum_glaive_i]
(21489,8730,1,1,2,426.538518),-- [general_67_a]
(21489,8740,1,1,2,106.617834),-- [special_67_a]
(21489,8750,1,1,2,10.681938),-- [rare_67_a]
(21489,8760,1,1,2,2.149824),-- [unique_67_a]
(21490,5450,1,1,-1,1040),-- [rp_dragon_grinder_i]
(21490,6345,1,1,-1,107412),-- [sealed_phoenix's_ring_gemstone]
(21490,5456,1,1,-1,1040),-- [rp_tallum_glaive_i]
(21490,57,1116,2260,0,700000),-- [adena]
(21491,5478,1,1,-1,19841),-- [sealed_dark_crystal_leather_mail_pattern]
(21491,730,1,1,-1,1966),-- [scrl_of_ench_am_a]
(21491,4041,1,1,-1,20517),-- [mold_hardener]
(21491,57,938,1899,0,700000),-- [adena]
(21492,4040,1,1,-1,56155),-- [mold_lubricant]
(21492,5479,1,1,-1,16614),-- [sealed_tallum_leather_mail_pattern]
(21492,5462,1,1,-1,1040),-- [rp_worldtree's_branch_i]
(21492,57,1116,2260,0,700000),-- [adena]
(21493,5482,1,1,-1,31142),-- [sealed_legging_of_dark_crystal_design]
(21493,5464,1,1,-1,874),-- [rp_dark_legion's_edge_i]
(21493,5485,1,1,-1,19841),-- [sealed_tallum_tunic_texture]
(21493,57,938,1899,0,700000),-- [adena]
(21494,729,1,1,-1,382),-- [scrl_of_ench_wp_a]
(21494,4042,1,1,-1,57282),-- [enria]
(21494,1876,1,1,-1,687390),-- [mithril_ore]
(21494,11955,1,1,0,139.759776),-- [carnium_bow_low]
(21494,5535,1,1,0,1732.240224),-- [carnium_bow_shaft]
(21494,1873,1,1,1,36917.122),-- [silver_nugget]
(21494,1868,1,1,1,184584.807),-- [thread]
(21494,1876,1,1,1,18458.561),-- [mithril_ore]
(21494,1895,1,1,1,26369.3155),-- [metallic_fiber]
(21494,4042,1,1,1,1538.1465),-- [enria]
(21494,6337,1,1,1,473.3685),-- [rp_sealed_majestic_earing_i]
(21494,8730,1,1,1,1025.431),-- [general_67_a]
(21494,8740,1,1,1,256.5585),-- [special_67_a]
(21494,8750,1,1,1,25.696),-- [rare_67_a]
(21494,8760,1,1,1,5.2195),-- [unique_67_a]
(21494,1343,10,30,1,131845.7745),-- [silver_arrow]
(21495,5486,1,1,-1,17090),-- [sealed_dark_crystal_robe_fabric]
(21495,5466,1,1,-1,1070),-- [rp_sword_of_miracle_i]
(21495,5489,1,1,-1,38120),-- [sealed_tallum_hose_fabric]
(21495,11951,1,1,0,117.452202),-- [bloody_orchid_low]
(21495,5536,1,1,0,1451.547798),-- [bloody_orchid_head]
(21495,1873,1,1,1,34125.1218),-- [silver_nugget]
(21495,1868,1,1,1,170625.609),-- [thread]
(21495,1876,1,1,1,17062.68564),-- [mithril_ore]
(21495,1895,1,1,1,24375.19392),-- [metallic_fiber]
(21495,4042,1,1,1,1421.78652),-- [enria]
(21495,6339,1,1,1,656.1324),-- [rp_sealed_majestic_ring_i]
(21495,8730,1,1,1,948.024),-- [general_67_a]
(21495,8740,1,1,1,237.006),-- [special_67_a]
(21495,8750,1,1,1,23.7006),-- [rare_67_a]
(21495,8760,1,1,1,4.74012),-- [unique_67_a]
(21496,6335,1,1,-1,13219),-- [rp_sealed_majestic_necklace_i]
(21496,5494,1,1,-1,72182),-- [sealed_dark_crystal_shield_fragment]
(21496,730,1,1,-1,2864),-- [scrl_of_ench_am_a]
(21496,11946,1,1,0,34.935215),-- [dasparion's_staff_low]
(21496,5543,1,1,0,431.97756),-- [dasparion's_staff_head]
(21496,11949,1,1,0,34.935215),-- [meteor_shower_low]
(21496,5532,1,1,0,427.942935),-- [meteor_shower_head]
(21496,11953,1,1,0,34.935215),-- [eye_of_soul_low]
(21496,8341,1,1,0,427.39571),-- [eye_of_soul_piece]
(21496,11958,1,1,0,34.935215),-- [hammer_of_destroyer_low]
(21496,8346,1,1,0,427.942935),-- [hammer_of_destroyer_piece]
(21496,1873,1,1,1,36917.152052),-- [silver_nugget]
(21496,1868,1,1,1,184585.359222),-- [thread]
(21496,1876,1,1,1,18458.576026),-- [mithril_ore]
(21496,1895,1,1,1,26369.451614),-- [metallic_fiber]
(21496,4042,1,1,1,1538.381768),-- [enria]
(21496,729,1,1,1,10.426988),-- [scrl_of_ench_wp_a]
(21496,8730,1,1,1,1025.454166),-- [general_67_a]
(21496,8740,1,1,1,256.263282),-- [special_67_a]
(21496,8750,1,1,1,25.666432),-- [rare_67_a]
(21496,8760,1,1,1,5.213494),-- [unique_67_a]
(21496,1343,10,30,1,131846.054956),-- [silver_arrow]
(21497,1884,1,3,-1,888675),-- [cord]
(21497,4039,1,1,-1,96273),-- [mold_glue]
(21497,5496,1,1,-1,67718),-- [sealed_dark_crystal_boots_lining]
(21497,11957,1,1,0,39.1401),-- [tallum_blade_low]
(21497,5548,1,1,0,483.72485),-- [tallum_blade_edge]
(21497,11952,1,1,0,39.1401),-- [elemental_sword_low]
(21497,5547,1,1,0,483.72485),-- [elemental_sword_edge]
(21497,11954,1,1,0,39.1401),-- [inferno_master_low]
(21497,8331,1,1,0,485.13),-- [inferno_master_blade]
(21497,1864,1,1,1,155113.9595),-- [stem]
(21497,1869,1,1,1,77556.97975),-- [iron_ore]
(21497,1878,1,1,1,31022.7919),-- [braided_hemp]
(21497,1884,1,1,1,47727.444983),-- [cord]
(21497,4039,1,1,1,2585.337856),-- [mold_glue]
(21497,730,1,1,1,64.696565),-- [scrl_of_ench_am_a]
(21497,5366,1,1,1,419.107504),-- [rp_sealed_shield_of_nightmare_i]
(21497,8730,1,1,1,861.884483),-- [general_67_a]
(21497,8740,1,1,1,215.550019),-- [special_67_a]
(21497,8750,1,1,1,21.460324),-- [rare_67_a]
(21497,8760,1,1,1,3.787116),-- [unique_67_a]
(21498,6337,1,1,-1,30171),-- [rp_sealed_majestic_earing_i]
(21498,5497,1,1,-1,137944),-- [sealed_tallum_boots_lining]
(21498,6339,1,1,-1,45256),-- [rp_sealed_majestic_ring_i]
(21498,57,2339,4736,0,700000),-- [adena]
(21499,5508,1,1,-1,143386),-- [sealed_dark_crystal_gloves_design]
(21499,729,1,1,-1,679),-- [scrl_of_ench_wp_a]
(21499,1895,1,3,-1,873628),-- [metallic_fiber]
(21499,57,2431,4922,0,700000),-- [adena]
(21500,4042,1,1,-1,98055),-- [enria]
(21500,5509,1,1,-1,137944),-- [sealed_tallum_gloves_design]
(21500,5434,1,1,-1,2179),-- [rp_dragon_slayer_i]
(21500,57,2339,4736,0,700000),-- [adena]
(21501,5520,1,1,-1,36486),-- [sealed_dark_crystal_breastplate_pattern]
(21501,5440,1,1,-1,2096),-- [rp_elysian_i]
(21501,5521,1,1,-1,25746),-- [sealed_tallum_plate_armor_pattern]
(21501,57,2250,4554,0,700000),-- [adena]
(21502,730,1,1,-1,6001),-- [scrl_of_ench_am_a]
(21502,1885,1,1,-1,600140),-- [high_grade_suede]
(21502,5432,1,1,-1,27279),-- [rp_sealed_magestic_circlet_i]
(21502,1866,20,60,0,40289.129628),-- [suede]
(21502,1871,9,27,0,134297.09876),-- [charcoal]
(21502,5220,1,1,0,96693.828782),-- [reinforcing_agent]
(21502,1885,4,12,0,22382.987002),-- [high_grade_suede]
(21502,4041,1,1,0,21020.504942),-- [mold_hardener]
(21502,5450,1,1,0,895.28655),-- [rp_dragon_grinder_i]
(21502,8730,1,1,0,26859.419752),-- [general_67_a]
(21502,8740,1,1,0,6714.854938),-- [special_67_a]
(21502,8750,1,1,0,671.362006),-- [rare_67_a]
(21502,8760,1,1,0,134.190076),-- [unique_67_a]
(21502,1343,560,1680,0,61667.337564),-- [silver_arrow]
(21503,5524,1,1,-1,73781),-- [sealed_dark_crystal_gaiters_pattern]
(21503,5442,1,1,-1,2773),-- [rp_soul_bow_i]
(21503,5525,1,1,-1,115718),-- [sealed_dark_crystal_helmet_design]
(21503,11960,1,1,0,304.386642),-- [halbard_low]
(21503,5542,1,1,0,3728.613358),-- [halbard_edge]
(21503,1867,1,3,1,147412.635304),-- [animal_skin]
(21503,1872,1,3,1,98275.193368),-- [animal_bone]
(21503,1882,1,1,1,49137.441936),-- [leather]
(21503,1894,1,1,1,7758.445728),-- [crafted_leather]
(21503,4042,1,1,1,3685.168872),-- [enria]
(21503,5456,1,1,1,82.01644),-- [rp_tallum_glaive_i]
(21503,8730,1,1,1,2456.779248),-- [general_67_a]
(21503,8740,1,1,1,614.34956),-- [special_67_a]
(21503,8750,1,1,1,61.280208),-- [rare_67_a]
(21503,8760,1,1,1,12.689336),-- [unique_67_a]
(21504,5448,1,1,-1,2667),-- [rp_soul_separator_i]
(21504,5526,1,1,-1,111326),-- [sealed_tallum_bonnet_design]
(21504,729,1,1,-1,800),-- [scrl_of_ench_wp_a]
(21504,11955,1,1,0,292.808676),-- [carnium_bow_low]
(21504,5535,1,1,0,3629.191324),-- [carnium_bow_shaft]
(21504,1868,1,3,1,177272.199325),-- [thread]
(21504,1873,1,1,1,70908.87973),-- [silver_nugget]
(21504,5549,1,1,1,17727.034278),-- [iron_thread]
(21504,1889,1,1,1,11818.022852),-- [compound_braid]
(21504,4044,1,1,1,5909.011426),-- [thons]
(21504,5462,1,1,1,65.721693),-- [rp_worldtree's_branch_i]
(21504,5432,1,1,1,671.326672),-- [rp_sealed_magestic_circlet_i]
(21504,8730,1,1,1,1969.794245),-- [general_67_a]
(21504,8740,1,1,1,492.355734),-- [special_67_a]
(21504,8750,1,1,1,49.384097),-- [rare_67_a]
(21504,8760,1,1,1,10.025343),-- [unique_67_a]
(21504,1343,30,90,1,84415.244605),-- [silver_arrow]
(21505,4043,1,1,-1,230869),-- [asofe]
(21505,5366,1,1,-1,37438),-- [rp_sealed_shield_of_nightmare_i]
(21505,5532,1,1,-1,23356),-- [meteor_shower_head]
(21505,11951,1,1,0,281.615796),-- [bloody_orchid_low]
(21505,5536,1,1,0,3480.384204),-- [bloody_orchid_head]
(21505,1869,1,1,1,185986.368396),-- [iron_ore]
(21505,1864,1,3,1,185986.368396),-- [stem]
(21505,1880,1,1,1,18598.475772),-- [steel]
(21505,5550,1,1,1,2479.635702),-- [reinforcing_plate]
(21505,4043,1,1,1,6199.491924),-- [asofe]
(21505,5464,1,1,1,68.856399),-- [rp_dark_legion's_edge_i]
(21505,5430,1,1,1,704.67075),-- [rp_sealed_helm_of_nightmare_i]
(21505,8730,1,1,1,2066.497308),-- [general_67_a]
(21505,8740,1,1,1,516.624327),-- [special_67_a]
(21505,8750,1,1,1,51.541632),-- [rare_67_a]
(21505,8760,1,1,1,10.469394),-- [unique_67_a]
(21506,5450,1,1,-1,3673),-- [rp_dragon_grinder_i]
(21506,5535,1,1,-1,33842),-- [carnium_bow_shaft]
(21506,5456,1,1,-1,3673),-- [rp_tallum_glaive_i]
(21506,57,3943,7984,0,700000),-- [adena]
(21507,5536,1,1,-1,32189),-- [bloody_orchid_head]
(21507,5430,1,1,-1,1946),-- [rp_sealed_helm_of_nightmare_i]
(21507,4041,1,1,-1,82270),-- [mold_hardener]
(21507,57,3762,7615,0,700000),-- [adena]
(21508,4120,1,1,-1,14317),-- [bellion_cestus_edge]
(21508,5444,1,1,-1,1790),-- [rp_carnium_bow_i]
(21508,4121,1,1,-1,14269),-- [hazard_bow_shaft]
(21508,57,1298,2632,0,700000),-- [adena]
(21508,12341,1,1,1,748.51476),-- [earing_of_black_ore_low]
(21508,4052,1,1,1,5710.955216),-- [earing_of_black_ore_piece]
(21508,12342,1,1,1,561.071568),-- [necklace_of_black_ore_low]
(21508,4054,1,1,1,3177.181248),-- [necklace_of_black_ore_beads]
(21508,12343,1,1,1,1120.17408),-- [ring_of_black_ore_low]
(21508,4053,1,1,1,6914.103128),-- [ring_of_black_ore_gemstone]
(21508,1875,1,1,2,5865.551329),-- [stone_of_purity]
(21508,1879,1,1,2,14663.905338),-- [cokes]
(21508,1885,1,1,2,7331.952669),-- [high_grade_suede]
(21508,5550,1,1,2,1173.121072),-- [reinforcing_plate]
(21508,5549,1,1,2,8798.354009),-- [iron_thread]
(21508,5466,1,1,2,32.580693),-- [rp_sword_of_miracle_i]
(21508,6670,1,1,2,14663.905338),-- [key_of_treasure_box6]
(21508,8729,1,1,2,1173.121072),-- [general_64_a]
(21508,8739,1,1,2,293.280268),-- [special_64_a]
(21508,8749,1,1,2,29.338833),-- [rare_64_a]
(21508,8759,1,1,2,5.889379),-- [unique_64_a]
(21509,4091,1,1,-1,128386),-- [doom_gloves_part]
(21509,6333,1,1,-1,32834),-- [rp_sealed_phoenix's_ring_i]
(21509,4096,1,1,-1,128386),-- [blue_wolve's_gloves_fabric]
(21509,57,1127,2304,0,700000),-- [adena]
(21509,12194,1,1,1,230.798464),-- [blue_wolve's_leather_mail_low]
(21509,4082,1,1,1,2386.201536),-- [blue_wolve's_leather_mail_texture]
(21509,12186,1,1,1,230.798464),-- [leather_mail_of_doom_low]
(21509,4083,1,1,1,2386.201536),-- [leather_mail_of_doom_design]
(21509,1869,1,1,2,76794.567802),-- [iron_ore]
(21509,1864,1,1,2,153589.135604),-- [stem]
(21509,1880,1,1,2,7679.351038),-- [steel]
(21509,5550,1,1,2,1023.93697),-- [reinforcing_plate]
(21509,4043,1,1,2,2559.666188),-- [asofe]
(21509,5440,1,1,2,28.550394),-- [rp_elysian_i]
(21509,8730,1,1,2,853.339554),-- [general_67_a]
(21509,8740,1,1,2,213.24677),-- [special_67_a]
(21509,8750,1,1,2,21.500914),-- [rare_67_a]
(21509,8760,1,1,2,4.229688),-- [unique_67_a]
(21509,1343,10,30,2,109706.475078),-- [silver_arrow]
(21510,5508,1,1,-1,81999),-- [sealed_dark_crystal_gloves_design]
(21510,730,1,1,-1,2914),-- [scrl_of_ench_am_a]
(21510,1875,1,1,-1,233152),-- [stone_of_purity]
(21510,57,1383,2812,0,700000),-- [adena]
(21510,11951,1,1,1,142.2302),-- [bloody_orchid_low]
(21510,5536,1,1,1,1757.7698),-- [bloody_orchid_head]
(21510,1865,1,1,2,103304.194552),-- [varnish]
(21510,1870,1,1,2,103304.194552),-- [coal]
(21510,1879,1,1,2,17217.443854),-- [cokes]
(21510,1875,1,1,2,6886.83697),-- [stone_of_purity]
(21510,4040,1,1,2,2066.168234),-- [mold_lubricant]
(21510,5456,1,1,2,38.188618),-- [rp_tallum_glaive_i]
(21510,8730,1,1,2,1147.767114),-- [general_67_a]
(21510,8740,1,1,2,287.00035),-- [special_67_a]
(21510,8750,1,1,2,28.582892),-- [rare_67_a]
(21510,8760,1,1,2,5.622864),-- [unique_67_a]
(21511,1875,1,1,-1,301961),-- [stone_of_purity]
(21511,5539,1,1,-1,15274),-- [blood_tornado_edge]
(21511,5462,1,1,-1,1678),-- [rp_worldtree's_branch_i]
(21511,57,1793,3640,0,700000),-- [adena]
(21511,11946,1,1,1,46.046685),-- [dasparion's_staff_low]
(21511,5543,1,1,1,569.37204),-- [dasparion's_staff_head]
(21511,11949,1,1,1,46.046685),-- [meteor_shower_low]
(21511,5532,1,1,1,564.054165),-- [meteor_shower_head]
(21511,11953,1,1,1,46.046685),-- [eye_of_soul_low]
(21511,8341,1,1,1,563.33289),-- [eye_of_soul_piece]
(21511,11958,1,1,1,46.046685),-- [hammer_of_destroyer_low]
(21511,8346,1,1,1,564.054165),-- [hammer_of_destroyer_piece]
(21511,1872,1,1,2,162171.716226),-- [animal_bone]
(21511,1867,1,1,2,162171.716226),-- [animal_skin]
(21511,1881,1,1,2,16217.30331),-- [coarse_bone_powder]
(21511,1875,1,1,2,8108.432176),-- [stone_of_purity]
(21511,4041,1,1,2,1057.449822),-- [mold_hardener]
(21511,6337,1,1,2,623.759318),-- [rp_sealed_majestic_earing_i]
(21511,8730,1,1,2,1351.551682),-- [general_67_a]
(21511,8740,1,1,2,337.99766),-- [special_67_a]
(21511,8750,1,1,2,33.799766),-- [rare_67_a]
(21511,8760,1,1,2,6.58437),-- [unique_67_a]
(21511,1343,20,60,2,86877.689444),-- [silver_arrow]
(21512,730,1,1,-1,4407),-- [scrl_of_ench_am_a]
(21512,4041,1,1,-1,45985),-- [mold_hardener]
(21512,1875,1,1,-1,352548),-- [stone_of_purity]
(21512,57,2091,4255,0,700000),-- [adena]
(21512,11951,1,1,1,214.992176),-- [bloody_orchid_low]
(21512,5536,1,1,1,2657.007824),-- [bloody_orchid_head]
(21512,1872,1,3,2,63113.582088),-- [animal_bone]
(21512,1867,1,1,2,189341.13186),-- [animal_skin]
(21512,1881,1,1,2,18934.305984),-- [coarse_bone_powder]
(21512,1875,1,1,2,9467.152992),-- [stone_of_purity]
(21512,4041,1,1,2,1234.678392),-- [mold_hardener]
(21512,5462,1,1,2,52.441056),-- [rp_worldtree's_branch_i]
(21512,8730,1,1,2,1577.858832),-- [general_67_a]
(21512,8740,1,1,2,394.464708),-- [special_67_a]
(21512,8750,1,1,2,39.330792),-- [rare_67_a]
(21512,8760,1,1,2,7.71192),-- [unique_67_a]
(21512,1343,20,60,2,101433.341376),-- [silver_arrow]
(21513,5486,1,1,-1,22058),-- [sealed_dark_crystal_robe_fabric]
(21513,5442,1,1,-1,1381),-- [rp_soul_bow_i]
(21513,5489,1,1,-1,49202),-- [sealed_tallum_hose_fabric]
(21513,57,1474,2999,0,700000),-- [adena]
(21513,12224,1,1,1,599.752132),-- [sealed_dark_crystal_boots_low]
(21513,5496,1,1,1,3227.247868),-- [sealed_dark_crystal_boots_lining]
(21513,12231,1,1,1,599.752132),-- [sealed_tallum_boots_low]
(21513,5497,1,1,1,3227.247868),-- [sealed_tallum_boots_lining]
(21513,12221,1,1,1,599.752132),-- [sealed_dark_crystal_gloves_low]
(21513,5508,1,1,1,3227.247868),-- [sealed_dark_crystal_gloves_design]
(21513,12229,1,1,1,599.752132),-- [sealed_tallum_gloves_low]
(21513,5509,1,1,1,3227.247868),-- [sealed_tallum_gloves_design]
(21513,1895,1,1,2,34957.114227),-- [metallic_fiber]
(21513,4040,1,1,2,2446.985763),-- [mold_lubricant]
(21513,4042,1,1,2,2039.177456),-- [enria]
(21513,4043,1,1,2,4078.309605),-- [asofe]
(21513,5464,1,1,2,45.307),-- [rp_dark_legion's_edge_i]
(21513,8730,1,1,2,1359.436535),-- [general_67_a]
(21513,8740,1,1,2,339.847807),-- [special_67_a]
(21513,8750,1,1,2,33.98025),-- [rare_67_a]
(21513,8760,1,1,2,6.841357),-- [unique_67_a]
(21514,4039,1,1,-1,86637),-- [mold_glue]
(21514,5479,1,1,-1,15379),-- [sealed_tallum_leather_mail_pattern]
(21514,5462,1,1,-1,963),-- [rp_worldtree's_branch_i]
(21514,57,1283,2614,0,700000),-- [adena]
(21514,11946,1,1,1,33.033082),-- [dasparion's_staff_low]
(21514,5543,1,1,1,408.457488),-- [dasparion's_staff_head]
(21514,11949,1,1,1,33.033082),-- [meteor_shower_low]
(21514,5532,1,1,1,404.642538),-- [meteor_shower_head]
(21514,11953,1,1,1,33.033082),-- [eye_of_soul_low]
(21514,8341,1,1,1,404.125108),-- [eye_of_soul_piece]
(21514,11958,1,1,1,33.033082),-- [hammer_of_destroyer_low]
(21514,8346,1,1,1,404.642538),-- [hammer_of_destroyer_piece]
(21514,1864,1,1,2,191935.256553),-- [stem]
(21514,1869,1,1,2,95967.4333),-- [iron_ore]
(21514,1878,1,1,2,38386.97332),-- [braided_hemp]
(21514,1884,1,1,2,59056.822038),-- [cord]
(21514,4039,1,1,2,3198.784459),-- [mold_glue]
(21514,5272,1,1,2,42.504877),-- [rp_adv_comp_soulshot_s]
(21514,8730,1,1,2,1066.131502),-- [general_67_a]
(21514,8740,1,1,2,266.727852),-- [special_67_a]
(21514,8750,1,1,2,26.516804),-- [rare_67_a]
(21514,8760,1,1,2,5.849295),-- [unique_67_a]
(21515,5524,1,1,-1,31247),-- [sealed_dark_crystal_gaiters_pattern]
(21515,5442,1,1,-1,1174),-- [rp_soul_bow_i]
(21515,5525,1,1,-1,49008),-- [sealed_dark_crystal_helmet_design]
(21515,57,1563,3192,0,700000),-- [adena]
(21515,11951,1,1,1,161.094416),-- [bloody_orchid_low]
(21515,5536,1,1,1,1990.905584),-- [bloody_orchid_head]
(21515,1873,1,1,2,39019.6404),-- [silver_nugget]
(21515,1868,1,1,2,195097.356504),-- [thread]
(21515,1876,1,1,2,19509.8202),-- [mithril_ore]
(21515,1895,1,1,2,27870.930144),-- [metallic_fiber]
(21515,4042,1,1,2,1625.888808),-- [enria]
(21515,5277,1,1,2,43.543044),-- [rp_adv_comp_spiritshot_s]
(21515,6670,1,1,2,16258.042584),-- [key_of_treasure_box6]
(21515,8730,1,1,2,1083.925872),-- [general_67_a]
(21515,8740,1,1,2,270.981468),-- [special_67_a]
(21515,8750,1,1,2,27.055872),-- [rare_67_a]
(21515,8760,1,1,2,5.495724),-- [unique_67_a]
(21515,1344,10,30,2,121935.31938),-- [mithril_arrow]
(21516,6337,1,1,-1,19666),-- [rp_sealed_majestic_earing_i]
(21516,6345,1,1,-1,146702),-- [sealed_phoenix's_ring_gemstone]
(21516,6339,1,1,-1,29498),-- [rp_sealed_majestic_ring_i]
(21516,57,1894,3856,0,700000),-- [adena]
(21516,11951,1,1,1,194.930232),-- [bloody_orchid_low]
(21516,5536,1,1,1,2409.069768),-- [bloody_orchid_head]
(21516,1873,1,1,2,56636.885492),-- [silver_nugget]
(21516,1868,1,1,2,283185.252854),-- [thread]
(21516,1876,1,1,2,28318.442746),-- [mithril_ore]
(21516,1895,1,1,2,40455.036122),-- [metallic_fiber]
(21516,4042,1,1,2,2359.801446),-- [enria]
(21516,5282,1,1,2,62.729944),-- [rp_adv_comp_bspiritshot_s]
(21516,8731,1,1,2,1311.138369),-- [general_70_a]
(21516,8741,1,1,2,327.681418),-- [special_70_a]
(21516,8751,1,1,2,32.603063),-- [rare_70_a]
(21516,8761,1,1,2,7.428546),-- [unique_70_a]
(21517,5479,1,1,-1,28262),-- [sealed_tallum_leather_mail_pattern]
(21517,5462,1,1,-1,1769),-- [rp_worldtree's_branch_i]
(21517,5478,1,1,-1,40163),-- [sealed_dark_crystal_leather_mail_pattern]
(21517,57,2357,4804,0,700000),-- [adena]
(21517,12222,1,1,1,426.904319),-- [sealed_dark_crystal_leather_mail_low]
(21517,5478,1,1,1,2471.584192),-- [sealed_dark_crystal_leather_mail_pattern]
(21517,12230,1,1,1,262.427916),-- [sealed_tallum_leather_mail_low]
(21517,5479,1,1,1,1739.176381),-- [sealed_tallum_leather_mail_pattern]
(21517,12228,1,1,1,683.540879),-- [sealed_legging_of_dark_crystal_low]
(21517,5482,1,1,1,3879.366313),-- [sealed_legging_of_dark_crystal_design]
(21517,1864,4,12,2,44088.436778),-- [stem]
(21517,1865,2,6,2,35270.59454),-- [varnish]
(21517,1866,1,1,2,117568.519398),-- [suede]
(21517,1873,1,1,2,70541.18908),-- [silver_nugget]
(21517,1868,1,3,2,117568.519398),-- [thread]
(21517,5162,1,1,2,78.215612),-- [rp_comp_spiritshot_s]
(21517,8731,1,1,2,1632.847702),-- [general_70_a]
(21517,8741,1,1,2,408.115124),-- [special_70_a]
(21517,8751,1,1,2,40.65663),-- [rare_70_a]
(21517,8761,1,1,2,8.905738),-- [unique_70_a]
(21518,4041,1,1,-1,28954),-- [mold_hardener]
(21518,5509,1,1,-1,78069),-- [sealed_tallum_gloves_design]
(21518,5462,1,1,-1,1233),-- [rp_worldtree's_branch_i]
(21518,57,1317,2677,0,700000),-- [adena]
(21518,11955,1,1,1,135.354954),-- [carnium_bow_low]
(21518,5535,1,1,1,1677.645046),-- [carnium_bow_shaft]
(21518,1866,1,1,2,59607.885623),-- [suede]
(21518,1871,1,1,2,89411.973365),-- [charcoal]
(21518,5220,1,1,2,3576.594879),-- [reinforcing_agent]
(21518,1885,1,1,2,7450.877005),-- [high_grade_suede]
(21518,4041,1,1,2,777.407202),-- [mold_hardener]
(21518,5462,1,1,2,33.044154),-- [rp_worldtree's_branch_i]
(21518,8730,1,1,2,993.353647),-- [general_67_a]
(21518,8740,1,1,2,248.410877),-- [special_67_a]
(21518,8750,1,1,2,24.928046),-- [rare_67_a]
(21518,8760,1,1,2,4.927637),-- [unique_67_a]
(21518,1343,10,30,2,127731.597565),-- [silver_arrow]
(21519,5448,1,1,-1,1118),-- [rp_soul_separator_i]
(21519,5526,1,1,-1,46659),-- [sealed_tallum_bonnet_design]
(21519,729,1,1,-1,335),-- [scrl_of_ench_wp_a]
(21519,57,1488,3039,0,700000),-- [adena]
(21519,12224,1,1,1,607.000247),-- [sealed_dark_crystal_boots_low]
(21519,5496,1,1,1,3266.249753),-- [sealed_dark_crystal_boots_lining]
(21519,12231,1,1,1,607.000247),-- [sealed_tallum_boots_low]
(21519,5497,1,1,1,3266.249753),-- [sealed_tallum_boots_lining]
(21519,12221,1,1,1,607.000247),-- [sealed_dark_crystal_gloves_low]
(21519,5508,1,1,1,3266.249753),-- [sealed_dark_crystal_gloves_design]
(21519,12229,1,1,1,607.000247),-- [sealed_tallum_gloves_low]
(21519,5509,1,1,1,3266.249753),-- [sealed_tallum_gloves_design]
(21519,1873,1,1,2,44579.3375),-- [silver_nugget]
(21519,1868,1,1,2,222896.6875),-- [thread]
(21519,1876,1,1,2,22289.5062),-- [mithril_ore]
(21519,1895,1,1,2,31842.2446),-- [metallic_fiber]
(21519,4042,1,1,2,1857.6214),-- [enria]
(21519,5282,1,1,2,49.4152),-- [rp_adv_comp_bspiritshot_s]
(21519,8730,1,1,2,1238.3059),-- [general_67_a]
(21519,8740,1,1,2,309.4952),-- [special_67_a]
(21519,8750,1,1,2,30.8845),-- [rare_67_a]
(21519,8760,1,1,2,6.502),-- [unique_67_a]
(21520,4049,1,1,-1,159526),-- [adamantite_earing_gemstone]
(21520,4129,1,1,-1,32915),-- [rp_earing_of_black_ore]
(21520,4050,1,1,-1,188436),-- [adamantite_ring_wire]
(21520,57,1203,2445,0,700000),-- [adena]
(21520,12338,1,1,1,1227.274644),-- [adamantite_earing_low]
(21520,4049,1,1,1,7853.442654),-- [adamantite_earing_gemstone]
(21520,12339,1,1,1,921.385206),-- [adamantite_necklace_low]
(21520,4051,1,1,1,5806.70106),-- [adamantite_necklace_chain]
(21520,12340,1,1,1,1848.48042),-- [adamantite_ring_low]
(21520,4050,1,1,1,9276.716016),-- [adamantite_ring_wire]
(21520,1895,1,1,2,25667.75232),-- [metallic_fiber]
(21520,4040,1,1,2,1796.769408),-- [mold_lubricant]
(21520,4042,1,1,2,1497.352416),-- [enria]
(21520,4043,1,1,2,2994.571104),-- [asofe]
(21520,947,1,1,2,35.972832),-- [scrl_of_ench_wp_b]
(21520,8728,1,1,2,1497.352416),-- [general_61_b]
(21520,8738,1,1,2,374.304672),-- [special_61_b]
(21520,8748,1,1,2,37.44384),-- [rare_61_b]
(21520,8758,1,1,2,7.488768),-- [unique_61_b]
(21520,1832,1,1,2,99818.992224),-- [advanced_antidote]
(21521,4130,1,1,-1,48542),-- [rp_ring_of_black_ore]
(21521,4051,1,1,-1,115966),-- [adamantite_necklace_chain]
(21521,947,1,1,-1,1196),-- [scrl_of_ench_wp_b]
(21521,57,1183,2404,0,700000),-- [adena]
(21521,78,1,1,1,4.407042),-- [great_sword]
(21521,4104,1,1,1,842.293074),-- [great_sword_blade]
(21521,142,1,1,1,4.407042),-- [kshanberk]
(21521,4107,1,1,1,829.2429),-- [kshanberk_blade]
(21521,148,1,1,1,4.407042),-- [sword_of_valhalla]
(21521,4108,1,1,1,829.2429),-- [sword_of_valhalla_blade]
(21521,1868,1,1,2,160591.3517),-- [thread]
(21521,1873,1,1,2,32118.3903),-- [silver_nugget]
(21521,5549,1,1,2,8029.5226),-- [iron_thread]
(21521,1889,1,1,2,5352.9151),-- [compound_braid]
(21521,4044,1,1,2,2676.6075),-- [thons]
(21521,948,1,1,2,200.6331),-- [scrl_of_ench_am_b]
(21521,8728,1,1,2,1338.1538),-- [general_61_b]
(21521,8738,1,1,2,334.6884),-- [special_61_b]
(21521,8748,1,1,2,33.5888),-- [rare_61_b]
(21521,8758,1,1,2,6.5978),-- [unique_61_b]
(21521,1832,1,1,2,89217.5509),-- [advanced_antidote]
(21522,4130,1,1,-1,57851),-- [rp_ring_of_black_ore]
(21522,4051,1,1,-1,138206),-- [adamantite_necklace_chain]
(21522,947,1,1,-1,1425),-- [scrl_of_ench_wp_b]
(21522,57,1409,2865,0,700000),-- [adena]
(21522,78,1,1,1,5.251988),-- [great_sword]
(21522,4104,1,1,1,1003.782836),-- [great_sword_blade]
(21522,142,1,1,1,5.251988),-- [kshanberk]
(21522,4107,1,1,1,988.2306),-- [kshanberk_blade]
(21522,148,1,1,1,5.251988),-- [sword_of_valhalla]
(21522,4108,1,1,1,988.2306),-- [sword_of_valhalla_blade]
(21522,1868,1,1,2,191390.191928),-- [thread]
(21522,1873,1,1,2,38278.181352),-- [silver_nugget]
(21522,5549,1,1,2,9569.455984),-- [iron_thread]
(21522,1889,1,1,2,6379.518184),-- [compound_braid]
(21522,4044,1,1,2,3189.9378),-- [thons]
(21522,948,1,1,2,239.111304),-- [scrl_of_ench_am_b]
(21522,8728,1,1,2,1594.790192),-- [general_61_b]
(21522,8738,1,1,2,398.876256),-- [special_61_b]
(21522,8748,1,1,2,40.030592),-- [rare_61_b]
(21522,8758,1,1,2,7.863152),-- [unique_61_b]
(21522,1832,1,1,2,106328.043256),-- [advanced_antidote]
(21523,4159,1,1,-1,8709),-- [rp_blue_wolve's_leather_mail]
(21523,4070,1,1,-1,110051),-- [hose_of_shrnoen_fabric]
(21523,948,1,1,-1,7686),-- [scrl_of_ench_am_b]
(21523,57,1218,2471,0,700000),-- [adena]
(21523,357,1,1,1,14.22495),-- [shrnoen's_breastplate]
(21523,4056,1,1,1,2055.231313),-- [shrnoen's_breastplate_part]
(21523,2376,1,1,1,14.22495),-- [avadon_breastplate]
(21523,4064,1,1,1,2055.231313),-- [avadon_breastplate_part]
(21523,383,1,1,1,22.75992),-- [shrnoen's_gaiters]
(21523,4057,1,1,1,3176.27328),-- [shrnoen's_gaiters_material]
(21523,2379,1,1,1,22.75992),-- [avadon_gaiters]
(21523,4065,1,1,1,3176.294354),-- [avadon_gaiters_material]
(21523,1864,1,3,2,75674.68986),-- [stem]
(21523,1865,1,1,2,75674.68986),-- [varnish]
(21523,1866,1,1,2,50449.79324),-- [suede]
(21523,1873,1,1,2,30269.875944),-- [silver_nugget]
(21523,1868,1,1,2,151349.37972),-- [thread]
(21523,4160,1,1,2,214.464635),-- [rp_leather_mail_of_doom]
(21523,6670,1,1,2,12612.44831),-- [key_of_treasure_box6]
(21523,8728,1,1,2,1261.244831),-- [general_61_b]
(21523,8738,1,1,2,315.190722),-- [special_61_b]
(21523,8748,1,1,2,31.326295),-- [rare_61_b]
(21523,8758,1,1,2,6.265259),-- [unique_61_b]
(21523,1832,1,1,2,84083.631324),-- [advanced_antidote]
(21524,4159,1,1,-1,9286),-- [rp_blue_wolve's_leather_mail]
(21524,4070,1,1,-1,117344),-- [hose_of_shrnoen_fabric]
(21524,948,1,1,-1,8195),-- [scrl_of_ench_am_b]
(21524,57,1299,2634,0,700000),-- [adena]
(21524,12151,1,1,1,515.581772),-- [shrnoen's_leather_shirts_low]
(21524,4066,1,1,1,3804.706272),-- [shrnoen's_leather_shirts_fabric]
(21524,12165,1,1,1,316.421566),-- [avadon_leather_mail_low]
(21524,4068,1,1,1,2922.96599),-- [avadon_leather_mail_lining]
(21524,12150,1,1,1,825.460494),-- [shrnoen's_leather_gaiters_low]
(21524,4067,1,1,1,5776.863906),-- [shrnoen's_leather_gaiters_texture]
(21524,1869,1,1,2,88025.00568),-- [iron_ore]
(21524,1870,1,1,2,88025.00568),-- [coal]
(21524,1871,1,1,2,88025.00568),-- [charcoal]
(21524,1872,1,3,2,39122.170782),-- [animal_bone]
(21524,1867,1,1,2,117366.512346),-- [animal_skin]
(21524,4161,1,1,2,365.232864),-- [rp_blue_wolve's_tunic]
(21524,8728,1,1,2,1467.245322),-- [general_61_b]
(21524,8738,1,1,2,366.68991),-- [special_61_b]
(21524,8748,1,1,2,36.911832),-- [rare_61_b]
(21524,8758,1,1,2,7.28523),-- [unique_61_b]
(21524,1343,20,60,2,62874.934674),-- [silver_arrow]
(21525,4049,1,1,-1,171939),-- [adamantite_earing_gemstone]
(21525,4129,1,1,-1,35476),-- [rp_earing_of_black_ore]
(21525,4050,1,1,-1,203099),-- [adamantite_ring_wire]
(21525,57,1299,2634,0,700000),-- [adena]
(21525,11915,1,1,1,138.54252),-- [kris_low]
(21525,4109,1,1,1,1363.95748),-- [kris_edge]
(21525,11919,1,1,1,138.54252),-- [hell_knife_low]
(21525,4110,1,1,1,1363.95748),-- [hell_knife_edge]
(21525,1894,1,1,2,3397.463606),-- [crafted_leather]
(21525,4039,1,1,2,3227.597982),-- [mold_glue]
(21525,4041,1,1,2,841.922946),-- [mold_hardener]
(21525,4044,1,1,2,3227.597982),-- [thons]
(21525,947,1,1,2,38.688256),-- [scrl_of_ench_wp_b]
(21525,8728,1,1,2,1613.874554),-- [general_61_b]
(21525,8738,1,1,2,403.50642),-- [special_61_b]
(21525,8748,1,1,2,40.350642),-- [rare_61_b]
(21525,8758,1,1,2,8.009678),-- [unique_61_b]
(21525,1343,10,30,2,138326.987934),-- [silver_arrow]
(21526,5549,1,1,-1,365298),-- [iron_thread]
(21526,1889,1,1,-1,243532),-- [compound_braid]
(21526,4052,1,1,-1,129332),-- [earing_of_black_ore_piece]
(21526,57,1449,2935,0,700000),-- [adena]
(21526,11930,1,1,1,58.731224),-- [sword_of_damascus_low]
(21526,4114,1,1,1,787.042528),-- [sword_of_damascus_blade]
(21526,11929,1,1,1,58.731224),-- [guardians_sword_low]
(21526,8330,1,1,1,785.718736),-- [guardians_sword_blade]
(21526,11943,1,1,1,58.731224),-- [tears_of_wizard_low]
(21526,8336,1,1,1,787.045064),-- [tears_of_wizard_blade]
(21526,1868,1,1,2,215806.53255),-- [thread]
(21526,1873,1,1,2,43161.30651),-- [silver_nugget]
(21526,5549,1,1,2,10790.255994),-- [iron_thread]
(21526,1889,1,1,2,7193.598174),-- [compound_braid]
(21526,4044,1,1,2,3596.65782),-- [thons]
(21526,1807,1,1,2,143.809806),-- [rp_soulshot_a]
(21526,8729,1,1,2,1438.663128),-- [general_64_a]
(21526,8739,1,1,2,359.665782),-- [special_64_a]
(21526,8749,1,1,2,35.881818),-- [rare_64_a]
(21526,8759,1,1,2,7.628418),-- [unique_64_a]
(21527,4040,1,1,-1,64217),-- [mold_lubricant]
(21527,4081,1,1,-1,31646),-- [doom_plate_armor_temper]
(21527,5161,1,1,-1,4281),-- [rp_comp_spiritshot_a]
(21527,57,1273,2578,0,700000),-- [adena]
(21527,12183,1,1,1,802.386192),-- [doom_shield_low]
(21527,4077,1,1,1,7110.680208),-- [doom_shield_fragment]
(21527,12202,1,1,1,561.53184),-- [blue_wolve's_helmet_low]
(21527,4088,1,1,1,5973.93496),-- [blue_wolve's_helmet_design]
(21527,12185,1,1,1,561.53184),-- [doom_helmet_low]
(21527,4089,1,1,1,5973.93496),-- [doom_helmet_pattern]
(21527,1871,1,1,2,86221.05624),-- [charcoal]
(21527,1866,1,1,2,57480.70416),-- [suede]
(21527,1877,1,1,2,3448.732496),-- [admantite_nugget]
(21527,4041,1,1,2,749.617088),-- [mold_hardener]
(21527,4040,1,1,2,1724.50344),-- [mold_lubricant]
(21527,5166,1,1,2,114.966896),-- [rp_comp_bspiritshot_a]
(21527,8729,1,1,2,1149.66896),-- [general_64_a]
(21527,8739,1,1,2,287.280048),-- [special_64_a]
(21527,8749,1,1,2,28.81032),-- [rare_64_a]
(21527,8759,1,1,2,5.762064),-- [unique_64_a]
(21527,1343,10,30,2,123172.898288),-- [silver_arrow]
(21528,4040,1,1,-1,79165),-- [mold_lubricant]
(21528,4081,1,1,-1,39013),-- [doom_plate_armor_temper]
(21528,5161,1,1,-1,5278),-- [rp_comp_spiritshot_a]
(21528,57,1570,3179,0,700000),-- [adena]
(21528,12183,1,1,1,989.178822),-- [doom_shield_low]
(21528,4077,1,1,1,8766.021078),-- [doom_shield_fragment]
(21528,12202,1,1,1,692.25444),-- [blue_wolve's_helmet_low]
(21528,4088,1,1,1,7364.64561),-- [blue_wolve's_helmet_design]
(21528,12185,1,1,1,692.25444),-- [doom_helmet_low]
(21528,4089,1,1,1,7364.64561),-- [doom_helmet_pattern]
(21528,1871,1,1,2,106291.24569),-- [charcoal]
(21528,1866,1,1,2,70860.83046),-- [suede]
(21528,1877,1,1,2,4251.514526),-- [admantite_nugget]
(21528,4041,1,1,2,924.109928),-- [mold_hardener]
(21528,4040,1,1,2,2125.92639),-- [mold_lubricant]
(21528,5166,1,1,2,141.728426),-- [rp_comp_bspiritshot_a]
(21528,8729,1,1,2,1417.28426),-- [general_64_a]
(21528,8739,1,1,2,354.151938),-- [special_64_a]
(21528,8749,1,1,2,35.51667),-- [rare_64_a]
(21528,8759,1,1,2,7.103334),-- [unique_64_a]
(21528,1343,10,30,2,151844.588378),-- [silver_arrow]
(21529,4082,1,1,-1,34211),-- [blue_wolve's_leather_mail_texture]
(21529,5166,1,1,-1,4037),-- [rp_comp_bspiritshot_a]
(21529,4083,1,1,-1,34211),-- [leather_mail_of_doom_design]
(21529,57,1201,2431,0,700000),-- [adena]
(21529,12201,1,1,1,198.380952),-- [blue_wolve's_tunic_low]
(21529,4084,1,1,1,1942.807944),-- [blue_wolve's_tunic_fabric]
(21529,12192,1,1,1,198.380952),-- [tunic_of_doom_low]
(21529,4085,1,1,1,1942.807944),-- [tunic_of_doom_pattern]
(21529,12203,1,1,1,317.584344),-- [blue_wolve's_hose_low]
(21529,4086,1,1,1,2623.22676),-- [blue_wolve's_hose_pattern]
(21529,12205,1,1,1,317.584344),-- [hose_of_doom_low]
(21529,4087,1,1,1,2623.22676),-- [hose_of_doom_pattern]
(21529,1867,1,1,2,108403.127844),-- [animal_skin]
(21529,1872,1,1,2,108403.127844),-- [animal_bone]
(21529,1882,1,1,2,18067.187974),-- [leather]
(21529,1894,1,1,2,2852.800973),-- [crafted_leather]
(21529,4042,1,1,2,1355.088735),-- [enria]
(21529,5230,1,1,2,108.539464),-- [rp_mithril_arrow]
(21529,8729,1,1,2,1084.070988),-- [general_64_a]
(21529,8739,1,1,2,271.017747),-- [special_64_a]
(21529,8749,1,1,2,27.134866),-- [rare_64_a]
(21529,8759,1,1,2,5.294608),-- [unique_64_a]
(21529,1832,1,1,2,90335.608957),-- [advanced_antidote]
(21530,4120,1,1,-1,14136),-- [bellion_cestus_edge]
(21530,5470,1,1,-1,1768),-- [rp_tallum_blade_i]
(21530,4121,1,1,-1,14088),-- [hazard_bow_shaft]
(21530,57,1284,2598,0,700000),-- [adena]
(21530,11933,1,1,1,156.0702),-- [bellion_cestus_low]
(21530,4120,1,1,1,2087.9298),-- [bellion_cestus_edge]
(21530,1874,1,1,2,5791.093324),-- [oriharukon_ore]
(21530,1878,1,1,2,34746.439727),-- [braided_hemp]
(21530,1884,1,1,2,53456.172088),-- [cord]
(21530,1889,1,1,2,5791.093324),-- [compound_braid]
(21530,5220,1,1,2,3474.631951),-- [reinforcing_agent]
(21530,6333,1,1,2,997.320232),-- [rp_sealed_phoenix's_ring_i]
(21530,6670,1,1,2,14477.73331),-- [key_of_treasure_box6]
(21530,8729,1,1,2,1158.170578),-- [general_64_a]
(21530,8739,1,1,2,289.602753),-- [special_64_a]
(21530,8749,1,1,2,28.972297),-- [rare_64_a]
(21530,8759,1,1,2,5.770416),-- [unique_64_a]
(21531,1876,1,1,-1,727098),-- [mithril_ore]
(21531,1895,1,3,-1,519356),-- [metallic_fiber]
(21531,4052,1,1,-1,128713),-- [earing_of_black_ore_piece]
(21531,57,1443,2919,0,700000),-- [adena]
(21531,11944,1,1,1,175.396752),-- [hazard_bow_low]
(21531,4121,1,1,1,2338.603248),-- [hazard_bow_shaft]
(21531,1873,1,1,2,39049.704768),-- [silver_nugget]
(21531,1868,1,1,2,195248.099239),-- [thread]
(21531,1876,1,1,2,19524.852384),-- [mithril_ore]
(21531,1895,1,1,2,27892.464291),-- [metallic_fiber]
(21531,4042,1,1,2,1627.071032),-- [enria]
(21531,1807,1,1,2,130.352507),-- [rp_soulshot_a]
(21531,8729,1,1,2,1301.826666),-- [general_64_a]
(21531,8739,1,1,2,325.244366),-- [special_64_a]
(21531,8749,1,1,2,32.694277),-- [rare_64_a]
(21531,8759,1,1,2,6.369015),-- [unique_64_a]
(21531,1343,10,30,2,139462.321455),-- [silver_arrow]
(21532,4054,1,1,-1,74152),-- [necklace_of_black_ore_beads]
(21532,1894,1,1,-1,132094),-- [crafted_leather]
(21532,4042,1,1,-1,62745),-- [enria]
(21532,57,1492,3025,0,700000),-- [adena]
(21532,11935,1,1,1,60.546192),-- [deadman's_glory_low]
(21532,4116,1,1,1,809.977441),-- [deadman's_glory_stone]
(21532,11938,1,1,1,60.546192),-- [art_of_battle_axe_low]
(21532,4117,1,1,1,809.977441),-- [art_of_battle_axe_blade]
(21532,11934,1,1,1,60.546192),-- [staff_of_evil_sprit_low]
(21532,4118,1,1,1,767.406542),-- [staff_of_evil_sprit_head]
(21532,1867,1,1,2,148270.557621),-- [animal_skin]
(21532,1872,1,1,2,148270.557621),-- [animal_bone]
(21532,1882,1,1,2,24711.814428),-- [leather]
(21532,1894,1,1,2,3901.969314),-- [crafted_leather]
(21532,4042,1,1,2,1853.287398),-- [enria]
(21532,5450,1,1,2,41.118375),-- [rp_dragon_grinder_i]
(21532,8729,1,1,2,1482.564129),-- [general_64_a]
(21532,8739,1,1,2,370.723269),-- [special_64_a]
(21532,8749,1,1,2,37.171011),-- [rare_64_a]
(21532,8759,1,1,2,7.236834),-- [unique_64_a]
(21533,4077,1,1,-1,144198),-- [doom_shield_fragment]
(21533,5470,1,1,-1,1752),-- [rp_tallum_blade_i]
(21533,5348,1,1,-1,6310),-- [rp_sealed_dark_crystal_robe_i]
(21533,57,1270,2576,0,700000),-- [adena]
(21533,12341,1,1,1,732.298035),-- [earing_of_black_ore_low]
(21533,4052,1,1,1,5587.226206),-- [earing_of_black_ore_piece]
(21533,12342,1,1,1,548.915838),-- [necklace_of_black_ore_low]
(21533,4054,1,1,1,3108.346968),-- [necklace_of_black_ore_beads]
(21533,12343,1,1,1,1095.90528),-- [ring_of_black_ore_low]
(21533,4053,1,1,1,6764.307673),-- [ring_of_black_ore_gemstone]
(21533,1871,1,1,2,86078.01318),-- [charcoal]
(21533,1866,1,1,2,57385.250838),-- [suede]
(21533,1877,1,1,2,3443.065758),-- [admantite_nugget]
(21533,4041,1,1,2,748.421118),-- [mold_hardener]
(21533,4040,1,1,2,1721.669802),-- [mold_lubricant]
(21533,5456,1,1,2,31.766136),-- [rp_tallum_glaive_i]
(21533,8729,1,1,2,1147.688586),-- [general_64_a]
(21533,8739,1,1,2,286.990608),-- [special_64_a]
(21533,8749,1,1,2,28.75383),-- [rare_64_a]
(21533,8759,1,1,2,5.750766),-- [unique_64_a]
(21533,1343,10,30,2,122968.629378),-- [silver_arrow]
(21534,4077,1,1,-1,190615),-- [doom_shield_fragment]
(21534,5470,1,1,-1,2316),-- [rp_tallum_blade_i]
(21534,5348,1,1,-1,8341),-- [rp_sealed_dark_crystal_robe_i]
(21534,57,1679,3405,0,700000),-- [adena]
(21534,12341,1,1,1,968.035845),-- [earing_of_black_ore_low]
(21534,4052,1,1,1,7385.838802),-- [earing_of_black_ore_piece]
(21534,12342,1,1,1,725.620146),-- [necklace_of_black_ore_low]
(21534,4054,1,1,1,4108.970856),-- [necklace_of_black_ore_beads]
(21534,12343,1,1,1,1448.69376),-- [ring_of_black_ore_low]
(21534,4053,1,1,1,8941.840591),-- [ring_of_black_ore_gemstone]
(21534,1871,1,1,2,113786.83134),-- [charcoal]
(21534,1866,1,1,2,75857.766894),-- [suede]
(21534,1877,1,1,2,4551.400854),-- [admantite_nugget]
(21534,4041,1,1,2,989.340534),-- [mold_hardener]
(21534,4040,1,1,2,2275.881426),-- [mold_lubricant]
(21534,5456,1,1,2,41.991768),-- [rp_tallum_glaive_i]
(21534,8729,1,1,2,1517.133618),-- [general_64_a]
(21534,8739,1,1,2,379.373904),-- [special_64_a]
(21534,8749,1,1,2,38.00979),-- [rare_64_a]
(21534,8759,1,1,2,7.601958),-- [unique_64_a]
(21534,1343,10,30,2,162552.667914),-- [silver_arrow]
(21535,1876,1,1,-1,759357),-- [mithril_ore]
(21535,1877,1,1,-1,151871),-- [admantite_nugget]
(21535,4052,1,1,-1,134423),-- [earing_of_black_ore_piece]
(21535,57,1504,3050,0,700000),-- [adena]
(21535,11930,1,1,1,61.047124),-- [sword_of_damascus_low]
(21535,4114,1,1,1,818.077328),-- [sword_of_damascus_blade]
(21535,11929,1,1,1,61.047124),-- [guardians_sword_low]
(21535,8330,1,1,1,816.701336),-- [guardians_sword_blade]
(21535,11943,1,1,1,61.047124),-- [tears_of_wizard_low]
(21535,8336,1,1,1,818.079964),-- [tears_of_wizard_blade]
(21535,1876,1,1,2,20391.1506),-- [mithril_ore]
(21535,1880,1,1,2,10195.5753),-- [steel]
(21535,1877,1,1,2,4078.3176),-- [admantite_nugget]
(21535,1881,1,1,2,13594.1733),-- [coarse_bone_powder]
(21535,1882,1,1,2,22656.8826),-- [leather]
(21535,6335,1,1,2,392.1291),-- [rp_sealed_majestic_necklace_i]
(21535,8729,1,1,2,1359.4392),-- [general_64_a]
(21535,8739,1,1,2,339.8598),-- [special_64_a]
(21535,8749,1,1,2,33.8985),-- [rare_64_a]
(21535,8759,1,1,2,6.7797),-- [unique_64_a]
(21535,1343,10,30,2,145651.7943),-- [silver_arrow]
(21536,5446,1,1,-1,2006),-- [rp_bloody_orchid_i]
(21536,4053,1,1,-1,157335),-- [ring_of_black_ore_gemstone]
(21536,5452,1,1,-1,2006),-- [rp_blood_tornado_i]
(21536,57,1454,2949,0,700000),-- [adena]
(21536,11939,1,1,1,177.0771),-- [demon's_sword_low]
(21536,4119,1,1,1,2372.9229),-- [demon's_sword_edge]
(21536,1894,1,1,2,3804.400284),-- [crafted_leather]
(21536,4039,1,1,2,3614.193251),-- [mold_glue]
(21536,4041,1,1,2,942.824556),-- [mold_hardener]
(21536,4044,1,1,2,3614.193251),-- [thons]
(21536,6337,1,1,2,556.017249),-- [rp_sealed_majestic_earing_i]
(21536,6670,1,1,2,18070.901349),-- [key_of_treasure_box6]
(21536,8729,1,1,2,1445.683791),-- [general_64_a]
(21536,8739,1,1,2,361.429061),-- [special_64_a]
(21536,8749,1,1,2,36.152642),-- [rare_64_a]
(21536,8759,1,1,2,7.204566),-- [unique_64_a]
(21537,1874,1,1,-1,246235),-- [oriharukon_ore]
(21537,4043,1,1,-1,123118),-- [asofe]
(21537,4099,1,1,-1,165815),-- [doom_boots_part]
(21537,57,1456,2976,0,700000),-- [adena]
(21537,11944,1,1,1,178.187472),-- [hazard_bow_low]
(21537,4121,1,1,1,2375.812528),-- [hazard_bow_shaft]
(21537,1870,1,1,2,99183.032124),-- [coal]
(21537,1865,1,1,2,99183.032124),-- [varnish]
(21537,1874,1,1,2,6612.24476),-- [oriharukon_ore]
(21537,4043,1,1,2,3306.12238),-- [asofe]
(21537,4039,1,1,2,3306.12238),-- [mold_glue]
(21537,5442,1,1,2,36.651824),-- [rp_soul_bow_i]
(21537,8300,1,1,2,54.125368),-- [rp_inferno_master_i]
(21537,8730,1,1,2,1102.111824),-- [general_67_a]
(21537,8740,1,1,2,275.527956),-- [special_67_a]
(21537,8750,1,1,2,27.488868),-- [rare_67_a]
(21537,8760,1,1,2,5.540392),-- [unique_67_a]
(21538,1874,1,1,-1,301635),-- [oriharukon_ore]
(21538,4043,1,1,-1,150818),-- [asofe]
(21538,4099,1,1,-1,203121),-- [doom_boots_part]
(21538,57,1784,3645,0,700000),-- [adena]
(21538,11944,1,1,1,218.304072),-- [hazard_bow_low]
(21538,4121,1,1,1,2910.695928),-- [hazard_bow_shaft]
(21538,1870,1,1,2,133647.416725),-- [coal]
(21538,1865,1,1,2,133647.416725),-- [varnish]
(21538,1874,1,1,2,8909.92347),-- [oriharukon_ore]
(21538,4043,1,1,2,4454.961735),-- [asofe]
(21538,4039,1,1,2,4454.961735),-- [mold_glue]
(21538,5442,1,1,2,49.37518),-- [rp_soul_bow_i]
(21538,8730,1,1,2,1484.987245),-- [general_67_a]
(21538,8740,1,1,2,371.175045),-- [special_67_a]
(21538,8750,1,1,2,37.031385),-- [rare_67_a]
(21538,8760,1,1,2,7.750755),-- [unique_67_a]
(21539,1807,1,1,-1,5356),-- [rp_soulshot_a]
(21539,4114,1,1,-1,17583),-- [sword_of_damascus_blade]
(21539,3035,1,1,-1,5356),-- [rp_spiritshot_a]
(21539,57,1584,3236,0,700000),-- [adena]
(21539,12201,1,1,1,263.219748),-- [blue_wolve's_tunic_low]
(21539,4084,1,1,1,2577.794956),-- [blue_wolve's_tunic_fabric]
(21539,12192,1,1,1,263.219748),-- [tunic_of_doom_low]
(21539,4085,1,1,1,2577.794956),-- [tunic_of_doom_pattern]
(21539,12203,1,1,1,421.383556),-- [blue_wolve's_hose_low]
(21539,4086,1,1,1,3480.60174),-- [blue_wolve's_hose_pattern]
(21539,12205,1,1,1,421.383556),-- [hose_of_doom_low]
(21539,4087,1,1,1,3480.60174),-- [hose_of_doom_pattern]
(21539,1871,1,1,2,107870.988181),-- [charcoal]
(21539,1866,1,1,2,71914.106411),-- [suede]
(21539,1877,1,1,2,4314.688664),-- [admantite_nugget]
(21539,4041,1,1,2,938.095056),-- [mold_hardener]
(21539,4040,1,1,2,2157.344332),-- [mold_lubricant]
(21539,5448,1,1,2,40.115907),-- [rp_soul_separator_i]
(21539,8730,1,1,2,1198.677016),-- [general_67_a]
(21539,8740,1,1,2,299.669254),-- [special_67_a]
(21539,8750,1,1,2,29.829777),-- [rare_67_a]
(21539,8760,1,1,2,5.828807),-- [unique_67_a]
(21539,1343,10,30,2,154101.656595),-- [silver_arrow]
(21540,1807,1,1,-1,5356),-- [rp_soulshot_a]
(21540,4053,1,1,-1,172185),-- [ring_of_black_ore_gemstone]
(21540,3035,1,1,-1,5356),-- [rp_spiritshot_a]
(21540,57,1584,3236,0,700000),-- [adena]
(21540,11935,1,1,1,64.599888),-- [deadman's_glory_low]
(21540,4116,1,1,1,864.207149),-- [deadman's_glory_stone]
(21540,11938,1,1,1,64.599888),-- [art_of_battle_axe_low]
(21540,4117,1,1,1,864.207149),-- [art_of_battle_axe_blade]
(21540,11934,1,1,1,64.599888),-- [staff_of_evil_sprit_low]
(21540,4118,1,1,1,818.786038),-- [staff_of_evil_sprit_head]
(21540,1894,1,1,2,3784.936896),-- [crafted_leather]
(21540,4039,1,1,2,3595.55526),-- [mold_glue]
(21540,4041,1,1,2,937.978263),-- [mold_hardener]
(21540,4044,1,1,2,3595.55526),-- [thons]
(21540,729,1,1,2,11.962719),-- [scrl_of_ench_wp_a]
(21540,5394,1,1,2,929.890791),-- [rp_sealed_tallum_gloves_i]
(21540,8730,1,1,2,1198.462257),-- [general_67_a]
(21540,8740,1,1,2,299.573442),-- [special_67_a]
(21540,8750,1,1,2,29.991042),-- [rare_67_a]
(21540,8760,1,1,2,6.065604),-- [unique_67_a]
(21540,1343,10,30,2,154099.028466),-- [silver_arrow]
(21541,1874,1,1,-1,272060),-- [oriharukon_ore]
(21541,4043,1,1,-1,136030),-- [asofe]
(21541,4084,1,1,-1,70923),-- [blue_wolve's_tunic_fabric]
(21541,57,1619,3277,0,700000),-- [adena]
(21541,11930,1,1,1,65.632606),-- [sword_of_damascus_low]
(21541,4114,1,1,1,879.526232),-- [sword_of_damascus_blade]
(21541,11929,1,1,1,65.632606),-- [guardians_sword_low]
(21541,8330,1,1,1,878.046884),-- [guardians_sword_blade]
(21541,11943,1,1,1,65.632606),-- [tears_of_wizard_low]
(21541,8336,1,1,1,879.529066),-- [tears_of_wizard_blade]
(21541,1870,1,1,2,100452.93293),-- [coal]
(21541,1865,1,1,2,100452.93293),-- [varnish]
(21541,1874,1,1,2,6696.982368),-- [oriharukon_ore]
(21541,4043,1,1,2,3348.491184),-- [asofe]
(21541,4039,1,1,2,3348.491184),-- [mold_glue]
(21541,5271,1,1,2,134.112696),-- [rp_adv_comp_soulshot_a]
(21541,5392,1,1,2,865.964236),-- [rp_sealed_dark_crystal_gloves_i]
(21541,8729,1,1,2,1339.32437),-- [general_64_a]
(21541,8739,1,1,2,334.921222),-- [special_64_a]
(21541,8749,1,1,2,33.528174),-- [rare_64_a]
(21541,8759,1,1,2,6.849842),-- [unique_64_a]
(21541,1343,10,30,2,143503.468864),-- [silver_arrow]
(21542,1807,1,1,-1,3783),-- [rp_soulshot_a]
(21542,4053,1,1,-1,121630),-- [ring_of_black_ore_gemstone]
(21542,3035,1,1,-1,3783),-- [rp_spiritshot_a]
(21542,57,1125,2280,0,700000),-- [adena]
(21542,11939,1,1,1,136.870182),-- [demon's_sword_low]
(21542,4119,1,1,1,1834.129818),-- [demon's_sword_edge]
(21542,1869,1,1,2,76198.948452),-- [iron_ore]
(21542,1864,1,1,2,152398.246935),-- [stem]
(21542,1880,1,1,2,7619.824839),-- [steel]
(21542,5550,1,1,2,1016.139993),-- [reinforcing_plate]
(21542,4043,1,1,2,2539.824936),-- [asofe]
(21542,3035,1,1,2,101.50899),-- [rp_spiritshot_a]
(21542,8729,1,1,2,1016.139993),-- [general_64_a]
(21542,8739,1,1,2,254.122506),-- [special_64_a]
(21542,8749,1,1,2,25.552263),-- [rare_64_a]
(21542,8759,1,1,2,5.250465),-- [unique_64_a]
(21542,1343,10,30,2,108855.440628),-- [silver_arrow]
(21543,4054,1,1,-1,63772),-- [necklace_of_black_ore_beads]
(21543,1877,1,1,-1,129509),-- [admantite_nugget]
(21543,4041,1,1,-1,28154),-- [mold_hardener]
(21543,57,1284,2601,0,700000),-- [adena]
(21543,11935,1,1,1,31.237596),-- [deadman's_glory_low]
(21543,4116,1,1,1,417.895101),-- [deadman's_glory_stone]
(21543,11938,1,1,1,31.237596),-- [art_of_battle_axe_low]
(21543,4117,1,1,1,417.895101),-- [art_of_battle_axe_blade]
(21543,11934,1,1,1,31.237596),-- [staff_of_evil_sprit_low]
(21543,4118,1,1,1,395.931861),-- [staff_of_evil_sprit_head]
(21543,11941,1,1,1,31.237596),-- [bone_of_kaim_vanul_low]
(21543,8340,1,1,1,417.895101),-- [bone_of_kaim_vanul_head]
(21543,11936,1,1,1,31.237596),-- [star_buster_low]
(21543,8348,1,1,1,417.194856),-- [star_buster_head]
(21543,1871,1,1,2,95637.298175),-- [charcoal]
(21543,1866,1,1,2,63758.142875),-- [suede]
(21543,1877,1,1,2,3825.4718),-- [admantite_nugget]
(21543,4041,1,1,2,831.58055),-- [mold_hardener]
(21543,4040,1,1,2,1912.7359),-- [mold_lubricant]
(21543,3956,1,1,2,127.471),-- [rp_blessed_spiritshot_a]
(21543,8729,1,1,2,1275.213175),-- [general_64_a]
(21543,8739,1,1,2,318.845225),-- [special_64_a]
(21543,8749,1,1,2,31.86775),-- [rare_64_a]
(21543,8759,1,1,2,6.37355),-- [unique_64_a]
(21544,4115,1,1,-1,19727),-- [lancia_blade]
(21544,4041,1,1,-1,39321),-- [mold_hardener]
(21544,1875,1,1,-1,301461),-- [stone_of_purity]
(21544,57,1783,3643,0,700000),-- [adena]
(21544,12341,1,1,1,1033.02591),-- [earing_of_black_ore_low]
(21544,4052,1,1,1,7881.694556),-- [earing_of_black_ore_piece]
(21544,12342,1,1,1,774.335388),-- [necklace_of_black_ore_low]
(21544,4054,1,1,1,4384.830768),-- [necklace_of_black_ore_beads]
(21544,12343,1,1,1,1545.95328),-- [ring_of_black_ore_low]
(21544,4053,1,1,1,9542.160098),-- [ring_of_black_ore_gemstone]
(21544,1872,1,1,2,161903.412132),-- [animal_bone]
(21544,1867,1,1,2,161903.412132),-- [animal_skin]
(21544,1881,1,1,2,16190.482),-- [coarse_bone_powder]
(21544,1875,1,1,2,8095.241),-- [stone_of_purity]
(21544,4041,1,1,2,1055.901),-- [mold_hardener]
(21544,5450,1,1,2,45.051776),-- [rp_dragon_grinder_i]
(21544,5392,1,1,2,1046.749858),-- [rp_sealed_dark_crystal_gloves_i]
(21544,8730,1,1,2,1349.089511),-- [general_67_a]
(21544,8740,1,1,2,337.184386),-- [special_67_a]
(21544,8750,1,1,2,33.788832),-- [rare_67_a]
(21544,8760,1,1,2,6.687373),-- [unique_67_a]
(21545,4054,1,1,-1,64024),-- [necklace_of_black_ore_beads]
(21545,5230,1,1,-1,4334),-- [rp_mithril_arrow]
(21545,4052,1,1,-1,115082),-- [earing_of_black_ore_piece]
(21545,57,1288,2611,0,700000),-- [adena]
(21545,12204,1,1,1,213.072782),-- [blue_wolve's_breastplate_low]
(21545,4078,1,1,1,2337.353655),-- [blue_wolve's_breastplate_part]
(21545,12184,1,1,1,131.156311),-- [doom_plate_armor_low]
(21545,4081,1,1,1,1577.126824),-- [doom_plate_armor_temper]
(21545,12193,1,1,1,340.820181),-- [blue_wolve's_gaiters_low]
(21545,4080,1,1,1,3291.470247),-- [blue_wolve's_gaiters_material]
(21545,1864,1,3,2,87285.899846),-- [stem]
(21545,1865,1,1,2,87285.899846),-- [varnish]
(21545,1866,1,1,2,58190.750805),-- [suede]
(21545,1873,1,1,2,34914.450483),-- [silver_nugget]
(21545,1868,1,3,2,58190.750805),-- [thread]
(21545,6339,1,1,2,671.388209),-- [rp_sealed_majestic_ring_i]
(21545,8729,1,1,2,1163.950833),-- [general_64_a]
(21545,8739,1,1,2,291.100889),-- [special_64_a]
(21545,8749,1,1,2,28.974272),-- [rare_64_a]
(21545,8759,1,1,2,5.885399),-- [unique_64_a]
(21545,1343,10,30,2,124693.948613),-- [silver_arrow]
(21546,4077,1,1,-1,166838),-- [doom_shield_fragment]
(21546,5458,1,1,-1,2027),-- [rp_halbard_i]
(21546,4078,1,1,-1,54175),-- [blue_wolve's_breastplate_part]
(21546,57,1469,2980,0,700000),-- [adena]
(21546,12201,1,1,1,243.018618),-- [blue_wolve's_tunic_low]
(21546,4084,1,1,1,2379.958846),-- [blue_wolve's_tunic_fabric]
(21546,12192,1,1,1,243.018618),-- [tunic_of_doom_low]
(21546,4085,1,1,1,2379.958846),-- [tunic_of_doom_pattern]
(21546,12203,1,1,1,389.043946),-- [blue_wolve's_hose_low]
(21546,4086,1,1,1,3213.47859),-- [blue_wolve's_hose_pattern]
(21546,12205,1,1,1,389.043946),-- [hose_of_doom_low]
(21546,4087,1,1,1,3213.47859),-- [hose_of_doom_pattern]
(21546,1869,1,1,2,99593.287534),-- [iron_ore]
(21546,1870,1,1,2,99593.287534),-- [coal]
(21546,1871,1,1,2,99593.287534),-- [charcoal]
(21546,1872,1,3,2,66395.662359),-- [animal_bone]
(21546,1867,1,3,2,44263.774906),-- [animal_skin]
(21546,729,1,1,2,11.124243),-- [scrl_of_ench_wp_a]
(21546,5394,1,1,2,858.626756),-- [rp_sealed_tallum_gloves_i]
(21546,8729,1,1,2,1327.905007),-- [general_64_a]
(21546,8739,1,1,2,332.079254),-- [special_64_a]
(21546,8749,1,1,2,33.372729),-- [rare_64_a]
(21546,8759,1,1,2,6.592144),-- [unique_64_a]
(21547,5230,1,1,-1,4131),-- [rp_mithril_arrow]
(21547,4085,1,1,-1,53851),-- [tunic_of_doom_pattern]
(21547,5271,1,1,-1,4131),-- [rp_adv_comp_soulshot_a]
(21547,57,1229,2488,0,700000),-- [adena]
(21547,11935,1,1,1,49.822752),-- [deadman's_glory_low]
(21547,4116,1,1,1,666.520946),-- [deadman's_glory_stone]
(21547,11938,1,1,1,49.822752),-- [art_of_battle_axe_low]
(21547,4117,1,1,1,666.520946),-- [art_of_battle_axe_blade]
(21547,11934,1,1,1,49.822752),-- [staff_of_evil_sprit_low]
(21547,4118,1,1,1,631.489852),-- [staff_of_evil_sprit_head]
(21547,1895,1,1,2,26151.096726),-- [metallic_fiber]
(21547,4040,1,1,2,1830.577806),-- [mold_lubricant]
(21547,4042,1,1,2,1525.475754),-- [enria]
(21547,4043,1,1,2,3050.951508),-- [asofe]
(21547,5276,1,1,2,122.047722),-- [rp_adv_comp_spiritshot_a]
(21547,5346,1,1,2,263.763864),-- [rp_sealed_tallum_tunic_i]
(21547,8729,1,1,2,1220.373702),-- [general_64_a]
(21547,8739,1,1,2,305.102052),-- [special_64_a]
(21547,8749,1,1,2,30.503304),-- [rare_64_a]
(21547,8759,1,1,2,6.107562),-- [unique_64_a]
(21548,4086,1,1,-1,62149),-- [blue_wolve's_hose_pattern]
(21548,4044,1,1,-1,88283),-- [thons]
(21548,5549,1,1,-1,264849),-- [iron_thread]
(21548,57,1050,2127,0,700000),-- [adena]
(21548,11933,1,1,1,127.76335),-- [bellion_cestus_low]
(21548,4120,1,1,1,1709.23665),-- [bellion_cestus_edge]
(21548,1868,1,1,2,120357.597125),-- [thread]
(21548,1873,1,1,2,24071.519425),-- [silver_nugget]
(21548,5549,1,1,2,6017.81642),-- [iron_thread]
(21548,1889,1,1,2,4011.962195),-- [compound_braid]
(21548,4044,1,1,2,2005.854225),-- [thons]
(21548,5281,1,1,2,80.18342),-- [rp_adv_comp_bspiritshot_a]
(21548,6670,1,1,2,10029.778615),-- [key_of_treasure_box6]
(21548,5346,1,1,2,173.307835),-- [rp_sealed_tallum_tunic_i]
(21548,8729,1,1,2,802.34169),-- [general_64_a]
(21548,8739,1,1,2,200.712295),-- [special_64_a]
(21548,8749,1,1,2,20.045855),-- [rare_64_a]
(21548,8759,1,1,2,4.05992),-- [unique_64_a]
(21548,1343,10,30,2,85969.82098),-- [silver_arrow]
(21549,6329,1,1,-1,18422),-- [rp_sealed_phoenix's_necklace_i]
(21549,4053,1,1,-1,137396),-- [ring_of_black_ore_gemstone]
(21549,6331,1,1,-1,24469),-- [rp_sealed_phoenix's_earing_i]
(21549,57,1273,2574,0,700000),-- [adena]
(21549,12183,1,1,1,801.047862),-- [doom_shield_low]
(21549,4077,1,1,1,7098.820038),-- [doom_shield_fragment]
(21549,12202,1,1,1,560.59524),-- [blue_wolve's_helmet_low]
(21549,4088,1,1,1,5963.97081),-- [blue_wolve's_helmet_design]
(21549,12185,1,1,1,560.59524),-- [doom_helmet_low]
(21549,4089,1,1,1,5963.97081),-- [doom_helmet_pattern]
(21549,1864,1,3,2,86076.332076),-- [stem]
(21549,1865,1,1,2,86076.332076),-- [varnish]
(21549,1866,1,1,2,57384.221384),-- [suede]
(21549,1873,1,1,2,34430.35759),-- [silver_nugget]
(21549,1868,1,1,2,172152.664152),-- [thread]
(21549,3035,1,1,2,114.782462),-- [rp_spiritshot_a]
(21549,5354,1,1,2,396.481405),-- [rp_sealed_tallum_hose_i]
(21549,8729,1,1,2,1147.82462),-- [general_64_a]
(21549,8739,1,1,2,286.956155),-- [special_64_a]
(21549,8749,1,1,2,28.476565),-- [rare_64_a]
(21549,8759,1,1,2,6.571515),-- [unique_64_a]
(21550,6329,1,1,-1,18791),-- [rp_sealed_phoenix's_necklace_i]
(21550,4053,1,1,-1,140144),-- [ring_of_black_ore_gemstone]
(21550,6331,1,1,-1,24958),-- [rp_sealed_phoenix's_earing_i]
(21550,57,1298,2625,0,700000),-- [adena]
(21550,12183,1,1,1,817.069584),-- [doom_shield_low]
(21550,4077,1,1,1,7240.803216),-- [doom_shield_fragment]
(21550,12202,1,1,1,571.80768),-- [blue_wolve's_helmet_low]
(21550,4088,1,1,1,6083.25592),-- [blue_wolve's_helmet_design]
(21550,12185,1,1,1,571.80768),-- [doom_helmet_low]
(21550,4089,1,1,1,6083.25592),-- [doom_helmet_pattern]
(21550,1864,1,3,2,87797.854788),-- [stem]
(21550,1865,1,1,2,87797.854788),-- [varnish]
(21550,1866,1,1,2,58531.903192),-- [suede]
(21550,1873,1,1,2,35118.96317),-- [silver_nugget]
(21550,1868,1,1,2,175595.709576),-- [thread]
(21550,3035,1,1,2,117.078106),-- [rp_spiritshot_a]
(21550,5354,1,1,2,404.411015),-- [rp_sealed_tallum_hose_i]
(21550,8729,1,1,2,1170.78106),-- [general_64_a]
(21550,8739,1,1,2,292.695265),-- [special_64_a]
(21550,8749,1,1,2,29.046095),-- [rare_64_a]
(21550,8759,1,1,2,6.702945),-- [unique_64_a]
(21551,5460,1,1,-1,2017),-- [rp_dasparion's_staff_i]
(21551,4080,1,1,-1,75921),-- [blue_wolve's_gaiters_material]
(21551,1884,1,5,-1,757104),-- [cord]
(21551,57,1462,2965,0,700000),-- [adena]
(21551,12188,1,1,1,724.892676),-- [doom_boots_low]
(21551,4099,1,1,1,6118.107324),-- [doom_boots_part]
(21551,12189,1,1,1,724.892676),-- [blue_wolve's_boots_low]
(21551,4090,1,1,1,6118.107324),-- [blue_wolve's_boots_design]
(21551,12187,1,1,1,724.892676),-- [doom_gloves_low]
(21551,4091,1,1,1,6118.107324),-- [doom_gloves_part]
(21551,12190,1,1,1,724.892676),-- [blue_wolve's_gloves_low]
(21551,4096,1,1,1,6118.107324),-- [blue_wolve's_gloves_fabric]
(21551,1874,1,1,2,6607.441026),-- [oriharukon_ore]
(21551,1878,1,1,2,39644.123808),-- [braided_hemp]
(21551,1884,1,1,2,60990.919524),-- [cord]
(21551,1889,1,1,2,6607.441026),-- [compound_braid]
(21551,5220,1,1,2,3964.360146),-- [reinforcing_agent]
(21551,730,1,1,2,82.530984),-- [scrl_of_ench_am_a]
(21551,8729,1,1,2,1321.54044),-- [general_64_a]
(21551,8739,1,1,2,330.38511),-- [special_64_a]
(21551,8749,1,1,2,32.907924),-- [rare_64_a]
(21551,8759,1,1,2,6.52935),-- [unique_64_a]
(21551,1343,10,30,2,141585.820662),-- [silver_arrow]
(21552,5460,1,1,-1,1911),-- [rp_dasparion's_staff_i]
(21552,4080,1,1,-1,71939),-- [blue_wolve's_gaiters_material]
(21552,1884,1,5,-1,717399),-- [cord]
(21552,57,1385,2810,0,700000),-- [adena]
(21552,12188,1,1,1,686.863088),-- [doom_boots_low]
(21552,4099,1,1,1,5797.136912),-- [doom_boots_part]
(21552,12189,1,1,1,686.863088),-- [blue_wolve's_boots_low]
(21552,4090,1,1,1,5797.136912),-- [blue_wolve's_boots_design]
(21552,12187,1,1,1,686.863088),-- [doom_gloves_low]
(21552,4091,1,1,1,5797.136912),-- [doom_gloves_part]
(21552,12190,1,1,1,686.863088),-- [blue_wolve's_gloves_low]
(21552,4096,1,1,1,5797.136912),-- [blue_wolve's_gloves_fabric]
(21552,1874,1,1,2,6260.945922),-- [oriharukon_ore]
(21552,1878,1,1,2,37565.180576),-- [braided_hemp]
(21552,1884,1,1,2,57792.547428),-- [cord]
(21552,1889,1,1,2,6260.945922),-- [compound_braid]
(21552,5220,1,1,2,3756.468562),-- [reinforcing_agent]
(21552,730,1,1,2,78.203048),-- [scrl_of_ench_am_a]
(21552,8729,1,1,2,1252.23868),-- [general_64_a]
(21552,8739,1,1,2,313.05967),-- [special_64_a]
(21552,8749,1,1,2,31.182228),-- [rare_64_a]
(21552,8759,1,1,2,6.18695),-- [unique_64_a]
(21552,1343,10,30,2,134161.041014),-- [silver_arrow]
(21553,5346,1,1,-1,7455),-- [rp_sealed_tallum_tunic_i]
(21553,4080,1,1,-1,53208),-- [blue_wolve's_gaiters_material]
(21553,1895,1,1,-1,739065),-- [metallic_fiber]
(21553,57,1025,2078,0,700000),-- [adena]
(21553,12188,1,1,1,508.023389),-- [doom_boots_low]
(21553,4099,1,1,1,4287.726611),-- [doom_boots_part]
(21553,12189,1,1,1,508.023389),-- [blue_wolve's_boots_low]
(21553,4090,1,1,1,4287.726611),-- [blue_wolve's_boots_design]
(21553,12187,1,1,1,508.023389),-- [doom_gloves_low]
(21553,4091,1,1,1,4287.726611),-- [doom_gloves_part]
(21553,12190,1,1,1,508.023389),-- [blue_wolve's_gloves_low]
(21553,4096,1,1,1,4287.726611),-- [blue_wolve's_gloves_fabric]
(21553,1873,1,1,2,27784.737656),-- [silver_nugget]
(21553,1868,1,1,2,138923.282376),-- [thread]
(21553,1876,1,1,2,13892.267352),-- [mithril_ore]
(21553,1895,1,1,2,19846.270176),-- [metallic_fiber]
(21553,4042,1,1,2,1157.638208),-- [enria]
(21553,5462,1,1,2,25.774904),-- [rp_worldtree's_branch_i]
(21553,5348,1,1,2,136.789648),-- [rp_sealed_dark_crystal_robe_i]
(21553,8729,1,1,2,926.069976),-- [general_64_a]
(21553,8739,1,1,2,231.568232),-- [special_64_a]
(21553,8749,1,1,2,23.136528),-- [rare_64_a]
(21553,8759,1,1,2,4.464944),-- [unique_64_a]
(21554,5346,1,1,-1,7455),-- [rp_sealed_tallum_tunic_i]
(21554,4080,1,1,-1,53208),-- [blue_wolve's_gaiters_material]
(21554,1895,1,1,-1,739065),-- [metallic_fiber]
(21554,57,1025,2078,0,700000),-- [adena]
(21554,12188,1,1,1,508.023389),-- [doom_boots_low]
(21554,4099,1,1,1,4287.726611),-- [doom_boots_part]
(21554,12189,1,1,1,508.023389),-- [blue_wolve's_boots_low]
(21554,4090,1,1,1,4287.726611),-- [blue_wolve's_boots_design]
(21554,12187,1,1,1,508.023389),-- [doom_gloves_low]
(21554,4091,1,1,1,4287.726611),-- [doom_gloves_part]
(21554,12190,1,1,1,508.023389),-- [blue_wolve's_gloves_low]
(21554,4096,1,1,1,4287.726611),-- [blue_wolve's_gloves_fabric]
(21554,1873,1,1,2,27784.737656),-- [silver_nugget]
(21554,1868,1,1,2,138923.282376),-- [thread]
(21554,1876,1,1,2,13892.267352),-- [mithril_ore]
(21554,1895,1,1,2,19846.270176),-- [metallic_fiber]
(21554,4042,1,1,2,1157.638208),-- [enria]
(21554,5462,1,1,2,25.774904),-- [rp_worldtree's_branch_i]
(21554,5348,1,1,2,136.789648),-- [rp_sealed_dark_crystal_robe_i]
(21554,8729,1,1,2,926.069976),-- [general_64_a]
(21554,8739,1,1,2,231.568232),-- [special_64_a]
(21554,8749,1,1,2,23.136528),-- [rare_64_a]
(21554,8759,1,1,2,4.464944),-- [unique_64_a]
(21555,4082,1,1,-1,35533),-- [blue_wolve's_leather_mail_texture]
(21555,5354,1,1,-1,14491),-- [rp_sealed_tallum_hose_i]
(21555,4083,1,1,-1,35533),-- [leather_mail_of_doom_design]
(21555,57,1246,2527,0,700000),-- [adena]
(21555,11933,1,1,1,151.68855),-- [bellion_cestus_low]
(21555,4120,1,1,1,2029.31145),-- [bellion_cestus_edge]
(21555,1872,1,1,2,112591.8011),-- [animal_bone]
(21555,1867,1,1,2,112591.8011),-- [animal_skin]
(21555,1881,1,1,2,11259.228975),-- [coarse_bone_powder]
(21555,1875,1,1,2,5629.492325),-- [stone_of_purity]
(21555,4041,1,1,2,734.196625),-- [mold_hardener]
(21555,5466,1,1,2,31.2736),-- [rp_sword_of_miracle_i]
(21555,8300,1,1,2,46.177425),-- [rp_inferno_master_i]
(21555,8729,1,1,2,1125.8496),-- [general_64_a]
(21555,8739,1,1,2,281.4624),-- [special_64_a]
(21555,8749,1,1,2,28.097375),-- [rare_64_a]
(21555,8759,1,1,2,5.619475),-- [unique_64_a]
(21556,4082,1,1,-1,34673),-- [blue_wolve's_leather_mail_texture]
(21556,5354,1,1,-1,14141),-- [rp_sealed_tallum_hose_i]
(21556,4083,1,1,-1,34673),-- [leather_mail_of_doom_design]
(21556,57,1216,2466,0,700000),-- [adena]
(21556,11933,1,1,1,148.0024),-- [bellion_cestus_low]
(21556,4120,1,1,1,1979.9976),-- [bellion_cestus_edge]
(21556,1872,1,1,2,109867.846792),-- [animal_bone]
(21556,1867,1,1,2,109867.846792),-- [animal_skin]
(21556,1881,1,1,2,10986.832362),-- [coarse_bone_powder]
(21556,1875,1,1,2,5493.296974),-- [stone_of_purity]
(21556,4041,1,1,2,716.43407),-- [mold_hardener]
(21556,5466,1,1,2,30.516992),-- [rp_sword_of_miracle_i]
(21556,8300,1,1,2,45.060246),-- [rp_inferno_master_i]
(21556,8729,1,1,2,1098.611712),-- [general_64_a]
(21556,8739,1,1,2,274.652928),-- [special_64_a]
(21556,8749,1,1,2,27.41761),-- [rare_64_a]
(21556,8759,1,1,2,5.483522),-- [unique_64_a]
(21557,4082,1,1,-1,41024),-- [blue_wolve's_leather_mail_texture]
(21557,5470,1,1,-1,1984),-- [rp_tallum_blade_i]
(21557,4083,1,1,-1,41024),-- [leather_mail_of_doom_design]
(21557,57,1438,2917,0,700000),-- [adena]
(21557,12204,1,1,1,237.995628),-- [blue_wolve's_breastplate_low]
(21557,4078,1,1,1,2610.75087),-- [blue_wolve's_breastplate_part]
(21557,12184,1,1,1,146.497494),-- [doom_plate_armor_low]
(21557,4081,1,1,1,1761.601296),-- [doom_plate_armor_temper]
(21557,12193,1,1,1,380.685474),-- [blue_wolve's_gaiters_low]
(21557,4080,1,1,1,3676.469238),-- [blue_wolve's_gaiters_material]
(21557,1876,1,1,2,19498.52454),-- [mithril_ore]
(21557,1880,1,1,2,9749.26227),-- [steel]
(21557,1877,1,1,2,3899.704908),-- [admantite_nugget]
(21557,1881,1,1,2,12999.01636),-- [coarse_bone_powder]
(21557,1882,1,1,2,21664.888076),-- [leather]
(21557,5440,1,1,2,36.119978),-- [rp_elysian_i]
(21557,8729,1,1,2,1299.901636),-- [general_64_a]
(21557,8739,1,1,2,324.871016),-- [special_64_a]
(21557,8749,1,1,2,32.570616),-- [rare_64_a]
(21557,8759,1,1,2,6.472366),-- [unique_64_a]
(21557,1343,10,30,2,139274.668234),-- [silver_arrow]
(21558,4082,1,1,-1,41024),-- [blue_wolve's_leather_mail_texture]
(21558,5470,1,1,-1,1984),-- [rp_tallum_blade_i]
(21558,4083,1,1,-1,41024),-- [leather_mail_of_doom_design]
(21558,57,1438,2917,0,700000),-- [adena]
(21558,12204,1,1,1,237.995628),-- [blue_wolve's_breastplate_low]
(21558,4078,1,1,1,2610.75087),-- [blue_wolve's_breastplate_part]
(21558,12184,1,1,1,146.497494),-- [doom_plate_armor_low]
(21558,4081,1,1,1,1761.601296),-- [doom_plate_armor_temper]
(21558,12193,1,1,1,380.685474),-- [blue_wolve's_gaiters_low]
(21558,4080,1,1,1,3676.469238),-- [blue_wolve's_gaiters_material]
(21558,1876,1,1,2,19498.52454),-- [mithril_ore]
(21558,1880,1,1,2,9749.26227),-- [steel]
(21558,1877,1,1,2,3899.704908),-- [admantite_nugget]
(21558,1881,1,1,2,12999.01636),-- [coarse_bone_powder]
(21558,1882,1,1,2,21664.888076),-- [leather]
(21558,5440,1,1,2,36.119978),-- [rp_elysian_i]
(21558,8729,1,1,2,1299.901636),-- [general_64_a]
(21558,8739,1,1,2,324.871016),-- [special_64_a]
(21558,8749,1,1,2,32.570616),-- [rare_64_a]
(21558,8759,1,1,2,6.472366),-- [unique_64_a]
(21558,1343,10,30,2,139274.668234),-- [silver_arrow]
(21559,6329,1,1,-1,22819),-- [rp_sealed_phoenix's_necklace_i]
(21559,4085,1,1,-1,69006),-- [tunic_of_doom_pattern]
(21559,6331,1,1,-1,30310),-- [rp_sealed_phoenix's_earing_i]
(21559,57,1573,3190,0,700000),-- [adena]
(21559,12188,1,1,1,779.818418),-- [doom_boots_low]
(21559,4099,1,1,1,6581.681582),-- [doom_boots_part]
(21559,12189,1,1,1,779.818418),-- [blue_wolve's_boots_low]
(21559,4090,1,1,1,6581.681582),-- [blue_wolve's_boots_design]
(21559,12187,1,1,1,779.818418),-- [doom_gloves_low]
(21559,4091,1,1,1,6581.681582),-- [doom_gloves_part]
(21559,12190,1,1,1,779.818418),-- [blue_wolve's_gloves_low]
(21559,4096,1,1,1,6581.681582),-- [blue_wolve's_gloves_fabric]
(21559,1864,1,3,2,106622.530437),-- [stem]
(21559,1869,1,1,2,106622.530437),-- [iron_ore]
(21559,1878,1,1,2,42648.916327),-- [braided_hemp]
(21559,1884,1,1,2,65614.049207),-- [cord]
(21559,4039,1,1,2,3554.036424),-- [mold_glue]
(21559,5448,1,1,2,39.297598),-- [rp_soul_separator_i]
(21559,8729,1,1,2,1421.422874),-- [general_64_a]
(21559,8739,1,1,2,355.595338),-- [special_64_a]
(21559,8749,1,1,2,35.463686),-- [rare_64_a]
(21559,8759,1,1,2,7.188585),-- [unique_64_a]
(21559,1343,10,30,2,152317.969087),-- [silver_arrow]
(21560,4086,1,1,-1,93173),-- [blue_wolve's_hose_pattern]
(21560,4040,1,1,-1,79412),-- [mold_lubricant]
(21560,1875,1,1,-1,264705),-- [stone_of_purity]
(21560,57,1573,3190,0,700000),-- [adena]
(21560,12201,1,1,1,260.17494),-- [blue_wolve's_tunic_low]
(21560,4084,1,1,1,2547.97618),-- [blue_wolve's_tunic_fabric]
(21560,12192,1,1,1,260.17494),-- [tunic_of_doom_low]
(21560,4085,1,1,1,2547.97618),-- [tunic_of_doom_pattern]
(21560,12203,1,1,1,416.50918),-- [blue_wolve's_hose_low]
(21560,4086,1,1,1,3440.3397),-- [blue_wolve's_hose_pattern]
(21560,12205,1,1,1,416.50918),-- [hose_of_doom_low]
(21560,4087,1,1,1,3440.3397),-- [hose_of_doom_pattern]
(21560,1865,1,1,2,117284.817933),-- [varnish]
(21560,1870,1,1,2,117284.817933),-- [coal]
(21560,1879,1,1,2,19547.602819),-- [cokes]
(21560,1875,1,1,2,7819.094393),-- [stone_of_purity]
(21560,4040,1,1,2,2345.808216),-- [mold_lubricant]
(21560,5450,1,1,2,43.411301),-- [rp_dragon_grinder_i]
(21560,8729,1,1,2,1563.872144),-- [general_64_a]
(21560,8739,1,1,2,390.968036),-- [special_64_a]
(21560,8749,1,1,2,39.150069),-- [rare_64_a]
(21560,8759,1,1,2,7.457156),-- [unique_64_a]
(21561,4116,1,1,-1,14604),-- [deadman's_glory_stone]
(21561,3956,1,1,-1,4456),-- [rp_blessed_spiritshot_a]
(21561,4117,1,1,-1,14604),-- [art_of_battle_axe_blade]
(21561,57,1318,2693,0,700000),-- [adena]
(21561,12204,1,1,1,219.094228),-- [blue_wolve's_breastplate_low]
(21561,4078,1,1,1,2403.40737),-- [blue_wolve's_breastplate_part]
(21561,12184,1,1,1,134.862794),-- [doom_plate_armor_low]
(21561,4081,1,1,1,1621.696496),-- [doom_plate_armor_temper]
(21561,12193,1,1,1,350.451774),-- [blue_wolve's_gaiters_low]
(21561,4080,1,1,1,3384.487338),-- [blue_wolve's_gaiters_material]
(21561,1865,1,1,2,82265.67213),-- [varnish]
(21561,1870,1,1,2,82265.67213),-- [coal]
(21561,1879,1,1,2,13711.104258),-- [cokes]
(21561,1875,1,1,2,5484.378142),-- [stone_of_purity]
(21561,4040,1,1,2,1645.281662),-- [mold_lubricant]
(21561,5456,1,1,2,30.509376),-- [rp_tallum_glaive_i]
(21561,6670,1,1,2,13711.104258),-- [key_of_treasure_box6]
(21561,8730,1,1,2,914.010056),-- [general_67_a]
(21561,8740,1,1,2,228.502514),-- [special_67_a]
(21561,8750,1,1,2,22.882032),-- [rare_67_a]
(21561,8760,1,1,2,4.449284),-- [unique_67_a]
(21561,1343,10,30,2,117522.434158),-- [silver_arrow]
(21562,5156,1,1,-1,4614),-- [rp_comp_soulshot_a]
(21562,4118,1,1,-1,14328),-- [staff_of_evil_sprit_head]
(21562,5220,1,1,-1,138433),-- [reinforcing_agent]
(21562,57,1364,2788,0,700000),-- [adena]
(21562,12201,1,1,1,226.760124),-- [blue_wolve's_tunic_low]
(21562,4084,1,1,1,2220.734228),-- [blue_wolve's_tunic_fabric]
(21562,12192,1,1,1,226.760124),-- [tunic_of_doom_low]
(21562,4085,1,1,1,2220.734228),-- [tunic_of_doom_pattern]
(21562,12203,1,1,1,363.016028),-- [blue_wolve's_hose_low]
(21562,4086,1,1,1,2998.48962),-- [blue_wolve's_hose_pattern]
(21562,12205,1,1,1,363.016028),-- [hose_of_doom_low]
(21562,4087,1,1,1,2998.48962),-- [hose_of_doom_pattern]
(21562,1866,1,1,2,68151.289752),-- [suede]
(21562,1871,1,1,2,102226.934628),-- [charcoal]
(21562,5220,1,1,2,4089.010653),-- [reinforcing_agent]
(21562,1885,1,1,2,8518.911219),-- [high_grade_suede]
(21562,4041,1,1,2,889.020132),-- [mold_hardener]
(21562,5462,1,1,2,37.814868),-- [rp_worldtree's_branch_i]
(21562,8730,1,1,2,1135.928976),-- [general_67_a]
(21562,8740,1,1,2,283.982244),-- [special_67_a]
(21562,8750,1,1,2,28.361151),-- [rare_67_a]
(21562,8760,1,1,2,5.746377),-- [unique_67_a]
(21563,4042,1,1,-1,67020),-- [enria]
(21563,4119,1,1,-1,17601),-- [demon's_sword_edge]
(21563,5161,1,1,-1,5362),-- [rp_comp_spiritshot_a]
(21563,57,1585,3240,0,700000),-- [adena]
(21563,12204,1,1,1,263.593524),-- [blue_wolve's_breastplate_low]
(21563,4078,1,1,1,2891.55321),-- [blue_wolve's_breastplate_part]
(21563,12184,1,1,1,162.254202),-- [doom_plate_armor_low]
(21563,4081,1,1,1,1951.072368),-- [doom_plate_armor_temper]
(21563,12193,1,1,1,421.630542),-- [blue_wolve's_gaiters_low]
(21563,4080,1,1,1,4071.896154),-- [blue_wolve's_gaiters_material]
(21563,1867,1,1,2,143975.18135),-- [animal_skin]
(21563,1872,1,1,2,143975.18135),-- [animal_bone]
(21563,1882,1,1,2,23996.021348),-- [leather]
(21563,1894,1,1,2,3788.845476),-- [crafted_leather]
(21563,4042,1,1,2,1799.748938),-- [enria]
(21563,5464,1,1,2,39.762996),-- [rp_dark_legion's_edge_i]
(21563,8730,1,1,2,1199.990415),-- [general_67_a]
(21563,8740,1,1,2,300.115946),-- [special_67_a]
(21563,8750,1,1,2,29.822247),-- [rare_67_a]
(21563,8760,1,1,2,6.153797),-- [unique_67_a]
(21563,1343,10,30,2,154258.176137),-- [silver_arrow]
(21564,4120,1,1,-1,16716),-- [bellion_cestus_edge]
(21564,5166,1,1,-1,5101),-- [rp_comp_bspiritshot_a]
(21564,4121,1,1,-1,16660),-- [hazard_bow_shaft]
(21564,57,1508,3082,0,700000),-- [adena]
(21564,12194,1,1,1,308.716096),-- [blue_wolve's_leather_mail_low]
(21564,4082,1,1,1,3191.783904),-- [blue_wolve's_leather_mail_texture]
(21564,12186,1,1,1,308.716096),-- [leather_mail_of_doom_low]
(21564,4083,1,1,1,3191.783904),-- [leather_mail_of_doom_design]
(21564,1868,1,1,2,225993.28272),-- [thread]
(21564,1873,1,1,2,45198.77472),-- [silver_nugget]
(21564,5549,1,1,2,11299.69368),-- [iron_thread]
(21564,1889,1,1,2,7533.12912),-- [compound_braid]
(21564,4044,1,1,2,3766.56456),-- [thons]
(21564,5466,1,1,2,41.95248),-- [rp_sword_of_miracle_i]
(21564,8730,1,1,2,1255.62),-- [general_67_a]
(21564,8740,1,1,2,313.75728),-- [special_67_a]
(21564,8750,1,1,2,31.31664),-- [rare_67_a]
(21564,8760,1,1,2,5.9088),-- [unique_67_a]
(21565,5520,1,1,-1,24990),-- [sealed_dark_crystal_breastplate_pattern]
(21565,5464,1,1,-1,1435),-- [rp_dark_legion's_edge_i]
(21565,5521,1,1,-1,17634),-- [sealed_tallum_plate_armor_pattern]
(21565,57,1533,3116,0,700000),-- [adena]
(21565,11960,1,1,1,157.589712),-- [halbard_low]
(21565,5542,1,1,1,1930.410288),-- [halbard_edge]
(21565,1867,1,1,2,152625.960268),-- [animal_skin]
(21565,1872,1,1,2,152625.960268),-- [animal_bone]
(21565,1882,1,1,2,25437.603664),-- [leather]
(21565,1894,1,1,2,4016.445932),-- [crafted_leather]
(21565,4042,1,1,2,1907.92176),-- [enria]
(21565,5464,1,1,2,42.2855),-- [rp_dark_legion's_edge_i]
(21565,8730,1,1,2,1271.94784),-- [general_67_a]
(21565,8740,1,1,2,317.98696),-- [special_67_a]
(21565,8750,1,1,2,31.798696),-- [rare_67_a]
(21565,8760,1,1,2,6.089112),-- [unique_67_a]
(21566,729,1,1,-1,471),-- [scrl_of_ench_wp_a]
(21566,4044,1,1,-1,141272),-- [thons]
(21566,5549,1,1,-1,423817),-- [iron_thread]
(21566,57,1676,3408,0,700000),-- [adena]
(21566,11955,1,1,1,172.310664),-- [carnium_bow_low]
(21566,5535,1,1,1,2135.689336),-- [carnium_bow_shaft]
(21566,1868,1,1,2,227616.740652),-- [thread]
(21566,1873,1,1,2,45523.164072),-- [silver_nugget]
(21566,5549,1,1,2,11380.791018),-- [iron_thread]
(21566,1889,1,1,2,7587.347394),-- [compound_braid]
(21566,4044,1,1,2,3793.443624),-- [thons]
(21566,5466,1,1,2,42.333432),-- [rp_sword_of_miracle_i]
(21566,8730,1,1,2,1264.481208),-- [general_67_a]
(21566,8740,1,1,2,316.120302),-- [special_67_a]
(21566,8750,1,1,2,31.750074),-- [rare_67_a]
(21566,8760,1,1,2,6.442044),-- [unique_67_a]
(21566,1343,10,30,2,162583.38618),-- [silver_arrow]
(21567,5524,1,1,-1,49929),-- [sealed_dark_crystal_gaiters_pattern]
(21567,5466,1,1,-1,1876),-- [rp_sword_of_miracle_i]
(21567,5525,1,1,-1,78309),-- [sealed_dark_crystal_helmet_design]
(21567,57,2004,4074,0,700000),-- [adena]
(21567,11951,1,1,1,205.934358),-- [bloody_orchid_low]
(21567,5536,1,1,1,2545.065642),-- [bloody_orchid_head]
(21567,1869,1,1,2,149636.751902),-- [iron_ore]
(21567,1864,1,1,2,299273.503804),-- [stem]
(21567,1880,1,1,2,14963.580478),-- [steel]
(21567,5550,1,1,2,1995.112493),-- [reinforcing_plate]
(21567,4043,1,1,2,4988.018013),-- [asofe]
(21567,6335,1,1,2,575.376615),-- [rp_sealed_majestic_necklace_i]
(21567,8730,1,1,2,1662.672671),-- [general_67_a]
(21567,8740,1,1,2,415.786558),-- [special_67_a]
(21567,8750,1,1,2,41.673368),-- [rare_67_a]
(21567,8760,1,1,2,8.524098),-- [unique_67_a]
(21568,6335,1,1,-1,15379),-- [rp_sealed_majestic_necklace_i]
(21568,5526,1,1,-1,61809),-- [sealed_tallum_bonnet_design]
(21568,730,1,1,-1,3332),-- [scrl_of_ench_am_a]
(21568,57,1582,3215,0,700000),-- [adena]
(21568,11951,1,1,1,162.591576),-- [bloody_orchid_low]
(21568,5536,1,1,1,2009.408424),-- [bloody_orchid_head]
(21568,1870,1,1,2,107370.567872),-- [coal]
(21568,1865,1,1,2,107370.567872),-- [varnish]
(21568,1874,1,1,2,7157.858415),-- [oriharukon_ore]
(21568,4043,1,1,2,3579.121468),-- [asofe]
(21568,4039,1,1,2,3579.121468),-- [mold_glue]
(21568,6337,1,1,2,550.634072),-- [rp_sealed_majestic_earing_i]
(21568,8730,1,1,2,1193.168663),-- [general_67_a]
(21568,8740,1,1,2,298.388296),-- [special_67_a]
(21568,8750,1,1,2,29.992638),-- [rare_67_a]
(21568,8760,1,1,2,6.152336),-- [unique_67_a]
(21568,1343,10,30,2,153385.4269),-- [silver_arrow]
(21569,6335,1,1,-1,11646),-- [rp_sealed_majestic_necklace_i]
(21569,5526,1,1,-1,46809),-- [sealed_tallum_bonnet_design]
(21569,730,1,1,-1,2523),-- [scrl_of_ench_am_a]
(21569,57,1198,2435,0,700000),-- [adena]
(21569,11951,1,1,1,123.14141),-- [bloody_orchid_low]
(21569,5536,1,1,1,1521.85859),-- [bloody_orchid_head]
(21569,1870,1,1,2,81313.475328),-- [coal]
(21569,1865,1,1,2,81313.475328),-- [varnish]
(21569,1874,1,1,2,5420.76246),-- [oriharukon_ore]
(21569,4043,1,1,2,2710.526832),-- [asofe]
(21569,4039,1,1,2,2710.526832),-- [mold_glue]
(21569,6337,1,1,2,417.004128),-- [rp_sealed_majestic_earing_i]
(21569,8730,1,1,2,903.606012),-- [general_67_a]
(21569,8740,1,1,2,225.974304),-- [special_67_a]
(21569,8750,1,1,2,22.713912),-- [rare_67_a]
(21569,8760,1,1,2,4.659264),-- [unique_67_a]
(21569,1343,10,30,2,116161.2756),-- [silver_arrow]
(21570,5542,1,1,-1,10630),-- [halbard_edge]
(21570,5464,1,1,-1,1167),-- [rp_dark_legion's_edge_i]
(21570,5543,1,1,-1,10730),-- [dasparion's_staff_head]
(21570,57,1248,2533,0,700000),-- [adena]
(21570,11950,1,1,1,128.154852),-- [blood_tornado_low]
(21570,5539,1,1,1,1569.845148),-- [blood_tornado_edge]
(21570,1872,1,1,2,124147.312934),-- [animal_bone]
(21570,1867,1,1,2,124147.312934),-- [animal_skin]
(21570,1881,1,1,2,12414.67734),-- [coarse_bone_powder]
(21570,1875,1,1,2,6207.33867),-- [stone_of_purity]
(21570,4041,1,1,2,809.570767),-- [mold_hardener]
(21570,6339,1,1,2,716.231385),-- [rp_sealed_majestic_ring_i]
(21570,8730,1,1,2,1034.556445),-- [general_67_a]
(21570,8740,1,1,2,258.706553),-- [special_67_a]
(21570,8750,1,1,2,25.897632),-- [rare_67_a]
(21570,8760,1,1,2,5.39534),-- [unique_67_a]
(21571,729,1,1,-1,461),-- [scrl_of_ench_wp_a]
(21571,4042,1,1,-1,69170),-- [enria]
(21571,4043,1,1,-1,138340),-- [asofe]
(21571,57,1643,3335,0,700000),-- [adena]
(21571,11955,1,1,1,168.72708),-- [carnium_bow_low]
(21571,5535,1,1,1,2091.27292),-- [carnium_bow_shaft]
(21571,1895,1,1,2,31841.79004),-- [metallic_fiber]
(21571,4040,1,1,2,2228.86916),-- [mold_lubricant]
(21571,4042,1,1,2,1857.52464),-- [enria]
(21571,4043,1,1,2,3714.84877),-- [asofe]
(21571,729,1,1,2,12.43162),-- [scrl_of_ench_wp_a]
(21571,8487,1,1,2,60.95504),-- [rp_hammer_of_destroyer_i]
(21571,8730,1,1,2,1238.34976),-- [general_67_a]
(21571,8740,1,1,2,309.58744),-- [special_67_a]
(21571,8750,1,1,2,30.87854),-- [rare_67_a]
(21571,8760,1,1,2,6.21581),-- [unique_67_a]
(21571,1343,10,30,2,159208.54918),-- [silver_arrow]
(21572,5547,1,1,-1,14592),-- [elemental_sword_edge]
(21572,5466,1,1,-1,1589),-- [rp_sword_of_miracle_i]
(21572,5548,1,1,-1,14592),-- [tallum_blade_edge]
(21572,57,1698,3447,0,700000),-- [adena]
(21572,11951,1,1,1,174.41914),-- [bloody_orchid_low]
(21572,5536,1,1,1,2155.58086),-- [bloody_orchid_head]
(21572,1868,1,1,2,230344.648344),-- [thread]
(21572,1873,1,1,2,46068.989935),-- [silver_nugget]
(21572,5549,1,1,2,11517.172151),-- [iron_thread]
(21572,1889,1,1,2,7678.215211),-- [compound_braid]
(21572,4044,1,1,2,3838.95694),-- [thons]
(21572,730,1,1,2,96.124589),-- [scrl_of_ench_am_a]
(21572,5352,1,1,2,148.857514),-- [rp_sealed_majestic_robe_i]
(21572,8730,1,1,2,1279.752757),-- [general_67_a]
(21572,8740,1,1,2,320.013522),-- [special_67_a]
(21572,8750,1,1,2,31.941086),-- [rare_67_a]
(21572,8760,1,1,2,6.327951),-- [unique_67_a]
(21573,6335,1,1,-1,17007),-- [rp_sealed_majestic_necklace_i]
(21573,6341,1,1,-1,122303),-- [sealed_phoenix's_earing_gemstone]
(21573,730,1,1,-1,3685),-- [scrl_of_ench_am_a]
(21573,57,1750,3554,0,700000),-- [adena]
(21573,12225,1,1,1,903.270963),-- [sealed_dark_crystal_shield_low]
(21573,5494,1,1,1,4571.868806),-- [sealed_dark_crystal_shield_fragment]
(21573,12226,1,1,1,632.813696),-- [sealed_dark_crystal_helmet_low]
(21573,5525,1,1,1,3365.109684),-- [sealed_dark_crystal_helmet_design]
(21573,12234,1,1,1,632.813696),-- [sealed_tallum_bonnet_low]
(21573,5526,1,1,1,3365.123155),-- [sealed_tallum_bonnet_design]
(21573,1873,1,1,2,47496.60231),-- [silver_nugget]
(21573,1868,1,3,2,118741.505775),-- [thread]
(21573,1876,1,1,2,23748.301155),-- [mithril_ore]
(21573,1895,1,1,2,33925.974255),-- [metallic_fiber]
(21573,4042,1,1,2,1979.12441),-- [enria]
(21573,5434,1,1,2,44.095305),-- [rp_dragon_slayer_i]
(21573,8730,1,1,2,1319.283855),-- [general_67_a]
(21573,8740,1,1,2,329.72165),-- [special_67_a]
(21573,8750,1,1,2,32.972165),-- [rare_67_a]
(21573,8760,1,1,2,6.753335),-- [unique_67_a]
(21573,1343,10,30,2,169630.665785),-- [silver_arrow]
(21574,5448,1,1,-1,2000),-- [rp_soul_separator_i]
(21574,5494,1,1,-1,113405),-- [sealed_dark_crystal_shield_fragment]
(21574,729,1,1,-1,600),-- [scrl_of_ench_wp_a]
(21574,57,2136,4345,0,700000),-- [adena]
(21574,11960,1,1,1,219.553866),-- [halbard_low]
(21574,5542,1,1,1,2689.446134),-- [halbard_edge]
(21574,1868,1,3,2,199376.20096),-- [thread]
(21574,1873,1,1,2,79750.480384),-- [silver_nugget]
(21574,5549,1,1,2,19937.620096),-- [iron_thread]
(21574,1889,1,1,2,13291.885002),-- [compound_braid]
(21574,4044,1,1,2,6645.735094),-- [thons]
(21574,5466,1,1,2,73.836892),-- [rp_sword_of_miracle_i]
(21574,10305,1,1,2,797.687322),-- [sb_transform_oel_mahum]
(21574,1343,30,90,2,94940.55425),-- [silver_arrow]
(21575,5448,1,1,-1,1127),-- [rp_soul_separator_i]
(21575,5494,1,1,-1,63890),-- [sealed_dark_crystal_shield_fragment]
(21575,729,1,1,-1,338),-- [scrl_of_ench_wp_a]
(21575,57,1203,2448,0,700000),-- [adena]
(21575,11960,1,1,1,123.701886),-- [halbard_low]
(21575,5542,1,1,1,1515.298114),-- [halbard_edge]
(21575,1868,1,1,2,224648.956168),-- [thread]
(21575,1873,1,1,2,44929.700634),-- [silver_nugget]
(21575,5549,1,1,2,11232.538408),-- [iron_thread]
(21575,1889,1,1,2,7488.509938),-- [compound_braid]
(21575,4044,1,1,2,3744.02847),-- [thons]
(21575,5466,1,1,2,41.675816),-- [rp_sword_of_miracle_i]
(21575,10305,1,1,2,449.374016),-- [sb_transform_oel_mahum]
(21575,1343,10,30,2,160463.21655),-- [silver_arrow]
(21576,5450,1,1,-1,1316),-- [rp_dragon_grinder_i]
(21576,5497,1,1,-1,83285),-- [sealed_tallum_boots_lining]
(21576,5456,1,1,-1,1316),-- [rp_tallum_glaive_i]
(21576,57,1405,2858,0,700000),-- [adena]
(21576,11951,1,1,1,144.401082),-- [bloody_orchid_low]
(21576,5536,1,1,1,1784.598918),-- [bloody_orchid_head]
(21576,1873,1,1,2,38154.28234),-- [silver_nugget]
(21576,1868,1,1,2,190770.58179),-- [thread]
(21576,1876,1,1,2,19077.14117),-- [mithril_ore]
(21576,1895,1,1,2,27252.999535),-- [metallic_fiber]
(21576,4042,1,1,2,1589.692605),-- [enria]
(21576,6337,1,1,2,489.231945),-- [rp_sealed_majestic_earing_i]
(21576,8730,1,1,2,1059.79507),-- [general_67_a]
(21576,8740,1,1,2,265.156245),-- [special_67_a]
(21576,8750,1,1,2,26.55712),-- [rare_67_a]
(21576,8760,1,1,2,5.394415),-- [unique_67_a]
(21576,1343,10,30,2,136264.167765),-- [silver_arrow]
(21577,5450,1,1,-1,1270),-- [rp_dragon_grinder_i]
(21577,5497,1,1,-1,80418),-- [sealed_tallum_boots_lining]
(21577,5456,1,1,-1,1270),-- [rp_tallum_glaive_i]
(21577,57,1356,2760,0,700000),-- [adena]
(21577,11951,1,1,1,139.460454),-- [bloody_orchid_low]
(21577,5536,1,1,1,1723.539546),-- [bloody_orchid_head]
(21577,1873,1,1,2,36840.80516),-- [silver_nugget]
(21577,1868,1,1,2,184203.22446),-- [thread]
(21577,1876,1,1,2,18420.40258),-- [mithril_ore]
(21577,1895,1,1,2,26314.80359),-- [metallic_fiber]
(21577,4042,1,1,2,1534.96677),-- [enria]
(21577,6337,1,1,2,472.38993),-- [rp_sealed_majestic_earing_i]
(21577,8730,1,1,2,1023.31118),-- [general_67_a]
(21577,8740,1,1,2,256.02813),-- [special_67_a]
(21577,8750,1,1,2,25.64288),-- [rare_67_a]
(21577,8760,1,1,2,5.20871),-- [unique_67_a]
(21577,1343,10,30,2,131573.21661),-- [silver_arrow]
(21578,5482,1,1,-1,42487),-- [sealed_legging_of_dark_crystal_design]
(21578,5464,1,1,-1,1192),-- [rp_dark_legion's_edge_i]
(21578,5485,1,1,-1,27069),-- [sealed_tallum_tunic_texture]
(21578,57,1588,3238,0,700000),-- [adena]
(21578,11950,1,1,1,163.627632),-- [blood_tornado_low]
(21578,5539,1,1,1,2004.372368),-- [blood_tornado_edge]
(21578,1871,1,1,2,108051.58614),-- [charcoal]
(21578,1866,1,1,2,72034.39076),-- [suede]
(21578,1877,1,1,2,4321.998614),-- [admantite_nugget]
(21578,4041,1,1,2,939.734042),-- [mold_hardener]
(21578,4040,1,1,2,2161.161386),-- [mold_lubricant]
(21578,5277,1,1,2,47.975384),-- [rp_adv_comp_spiritshot_s]
(21578,8730,1,1,2,1200.681232),-- [general_67_a]
(21578,8740,1,1,2,300.170308),-- [special_67_a]
(21578,8750,1,1,2,30.146694),-- [rare_67_a]
(21578,8760,1,1,2,6.159002),-- [unique_67_a]
(21578,1344,10,30,2,135063.996438),-- [mithril_arrow]
(21579,729,1,1,-1,374),-- [scrl_of_ench_wp_a]
(21579,4042,1,1,-1,56029),-- [enria]
(21579,1876,1,1,-1,672353),-- [mithril_ore]
(21579,57,1659,3381,0,700000),-- [adena]
(21579,11955,1,1,1,170.892162),-- [carnium_bow_low]
(21579,5535,1,1,1,2118.107838),-- [carnium_bow_shaft]
(21579,1873,1,1,2,49650.7685),-- [silver_nugget]
(21579,1868,1,1,2,248253.8425),-- [thread]
(21579,1876,1,1,2,24825.203208),-- [mithril_ore]
(21579,1895,1,1,2,35464.679464),-- [metallic_fiber]
(21579,4042,1,1,2,2068.947976),-- [enria]
(21579,5282,1,1,2,55.036768),-- [rp_adv_comp_bspiritshot_s]
(21579,8730,1,1,2,1379.177956),-- [general_67_a]
(21579,8740,1,1,2,344.703968),-- [special_67_a]
(21579,8750,1,1,2,34.39798),-- [rare_67_a]
(21579,8760,1,1,2,7.24168),-- [unique_67_a]
(21580,5486,1,1,-1,20169),-- [sealed_dark_crystal_robe_fabric]
(21580,5466,1,1,-1,1262),-- [rp_sword_of_miracle_i]
(21580,5489,1,1,-1,44988),-- [sealed_tallum_hose_fabric]
(21580,57,1682,3428,0,700000),-- [adena]
(21580,11951,1,1,1,173.221412),-- [bloody_orchid_low]
(21580,5536,1,1,1,2140.778588),-- [bloody_orchid_head]
(21580,1873,1,1,2,45765.053124),-- [silver_nugget]
(21580,1868,1,1,2,228825.742384),-- [thread]
(21580,1876,1,1,2,22882.764944),-- [mithril_ore]
(21580,1895,1,1,2,32689.32366),-- [metallic_fiber]
(21580,4042,1,1,2,1907.056),-- [enria]
(21580,5282,1,1,2,51.013748),-- [rp_adv_comp_bspiritshot_s]
(21580,8730,1,1,2,1271.052824),-- [general_67_a]
(21580,8740,1,1,2,318.001588),-- [special_67_a]
(21580,8750,1,1,2,31.943188),-- [rare_67_a]
(21580,8760,1,1,2,6.197932),-- [unique_67_a]
(21580,1344,10,30,2,143015.850608),-- [mithril_arrow]
(21581,6335,1,1,-1,14337),-- [rp_sealed_majestic_necklace_i]
(21581,5494,1,1,-1,78289),-- [sealed_dark_crystal_shield_fragment]
(21581,730,1,1,-1,3106),-- [scrl_of_ench_am_a]
(21581,57,1839,3749,0,700000),-- [adena]
(21581,11950,1,1,1,189.43974),-- [blood_tornado_low]
(21581,5539,1,1,1,2320.56026),-- [blood_tornado_edge]
(21581,1865,1,1,2,137639.296222),-- [varnish]
(21581,1870,1,1,2,137639.296222),-- [coal]
(21581,1879,1,1,2,22939.830676),-- [cokes]
(21581,1875,1,1,2,9175.807404),-- [stone_of_purity]
(21581,4040,1,1,2,2752.679788),-- [mold_lubricant]
(21581,1808,1,1,2,61.184536),-- [rp_soulshot_s]
(21581,8730,1,1,2,1529.301234),-- [general_67_a]
(21581,8740,1,1,2,382.40335),-- [special_67_a]
(21581,8750,1,1,2,38.084252),-- [rare_67_a]
(21581,8760,1,1,2,8.116316),-- [unique_67_a]
(21582,4041,1,1,-1,32122),-- [mold_hardener]
(21582,5220,1,1,-1,147761),-- [reinforcing_agent]
(21582,5496,1,1,-1,86612),-- [sealed_dark_crystal_boots_lining]
(21582,57,1823,3716,0,700000),-- [adena]
(21582,11955,1,1,1,187.76487),-- [carnium_bow_low]
(21582,5535,1,1,1,2327.23513),-- [carnium_bow_shaft]
(21582,1866,1,1,2,82663.495092),-- [suede]
(21582,1871,1,1,2,123995.242638),-- [charcoal]
(21582,5220,1,1,2,4959.976836),-- [reinforcing_agent]
(21582,1885,1,1,2,10332.841926),-- [high_grade_suede]
(21582,4041,1,1,2,1078.371438),-- [mold_hardener]
(21582,3036,1,1,2,55.07709),-- [rp_spiritshot_s]
(21582,8730,1,1,2,1377.686934),-- [general_67_a]
(21582,8740,1,1,2,344.516694),-- [special_67_a]
(21582,8750,1,1,2,34.565622),-- [rare_67_a]
(21582,8760,1,1,2,6.837156),-- [unique_67_a]
(21582,1344,10,30,2,154993.388574),-- [mithril_arrow]
(21583,1884,1,5,-1,772646),-- [cord]
(21583,4039,1,1,-1,125555),-- [mold_glue]
(21583,5532,1,1,-1,12702),-- [meteor_shower_head]
(21583,57,1857,3793,0,700000),-- [adena]
(21583,11946,1,1,1,47.854653),-- [dasparion's_staff_low]
(21583,5543,1,1,1,591.727752),-- [dasparion's_staff_head]
(21583,11949,1,1,1,47.854653),-- [meteor_shower_low]
(21583,5532,1,1,1,586.201077),-- [meteor_shower_head]
(21583,11953,1,1,1,47.854653),-- [eye_of_soul_low]
(21583,8341,1,1,1,585.451482),-- [eye_of_soul_piece]
(21583,11958,1,1,1,47.854653),-- [hammer_of_destroyer_low]
(21583,8346,1,1,1,586.201077),-- [hammer_of_destroyer_piece]
(21583,1864,4,12,2,43461.312186),-- [stem]
(21583,1869,1,1,2,173844.30309),-- [iron_ore]
(21583,1878,1,1,2,69537.721236),-- [braided_hemp]
(21583,1884,1,1,2,106981.364193),-- [cord]
(21583,4039,1,1,2,5794.967712),-- [mold_glue]
(21583,3036,1,1,2,77.070801),-- [rp_spiritshot_s]
(21583,10305,1,1,2,695.528517),-- [sb_transform_oel_mahum]
(21583,1344,30,90,2,72434.732265),-- [mithril_arrow]
(21584,1884,1,5,-1,720616),-- [cord]
(21584,4039,1,1,-1,117100),-- [mold_glue]
(21584,5532,1,1,-1,11847),-- [meteor_shower_head]
(21584,57,1732,3537,0,700000),-- [adena]
(21584,11946,1,1,1,44.63421),-- [dasparion's_staff_low]
(21584,5543,1,1,1,551.90664),-- [dasparion's_staff_head]
(21584,11949,1,1,1,44.63421),-- [meteor_shower_low]
(21584,5532,1,1,1,546.75189),-- [meteor_shower_head]
(21584,11953,1,1,1,44.63421),-- [eye_of_soul_low]
(21584,8341,1,1,1,546.05274),-- [eye_of_soul_piece]
(21584,11958,1,1,1,44.63421),-- [hammer_of_destroyer_low]
(21584,8346,1,1,1,546.75189),-- [hammer_of_destroyer_piece]
(21584,1864,4,12,2,40534.643066),-- [stem]
(21584,1869,1,1,2,162137.69029),-- [iron_ore]
(21584,1878,1,1,2,64855.076116),-- [braided_hemp]
(21584,1884,1,1,2,99777.277633),-- [cord]
(21584,4039,1,1,2,5404.736672),-- [mold_glue]
(21584,3036,1,1,2,71.880881),-- [rp_spiritshot_s]
(21584,10305,1,1,2,648.691877),-- [sb_transform_oel_mahum]
(21584,1344,30,90,2,67557.003465);-- [mithril_arrow]

INSERT INTO `droplist` VALUES
(21585,5536,1,1,-1,9955),-- [bloody_orchid_head]
(21585,730,1,1,-1,2438),-- [scrl_of_ench_am_a]
(21585,5352,1,1,-1,3785),-- [rp_sealed_majestic_robe_i]
(21585,57,1443,2946,0,700000),-- [adena]
(21585,11955,1,1,1,148.718736),-- [carnium_bow_low]
(21585,5535,1,1,1,1843.281264),-- [carnium_bow_shaft]
(21585,1873,1,1,2,39287.676435),-- [silver_nugget]
(21585,1868,1,1,2,196438.79146),-- [thread]
(21585,1876,1,1,2,19644.04286),-- [mithril_ore]
(21585,1895,1,1,2,28062.626025),-- [metallic_fiber]
(21585,4042,1,1,2,1637.14),-- [enria]
(21585,3036,1,1,2,43.793495),-- [rp_spiritshot_s]
(21585,8730,1,1,2,1091.15381),-- [general_67_a]
(21585,8740,1,1,2,272.993095),-- [special_67_a]
(21585,8750,1,1,2,27.422095),-- [rare_67_a]
(21585,8760,1,1,2,5.320705),-- [unique_67_a]
(21585,1344,10,30,2,122774.04002),-- [mithril_arrow]
(21586,1895,1,3,-1,501916),-- [metallic_fiber]
(21586,5539,1,1,-1,11848),-- [blood_tornado_edge]
(21586,5462,1,1,-1,1301),-- [rp_worldtree's_branch_i]
(21586,57,1733,3538,0,700000),-- [adena]
(21586,11951,1,1,1,178.53633),-- [bloody_orchid_low]
(21586,5536,1,1,1,2206.46367),-- [bloody_orchid_head]
(21586,1873,1,1,2,51890.294),-- [silver_nugget]
(21586,1868,1,1,2,259451.47),-- [thread]
(21586,1876,1,1,2,25944.957792),-- [mithril_ore]
(21586,1895,1,1,2,37064.333536),-- [metallic_fiber]
(21586,4042,1,1,2,2162.269024),-- [enria]
(21586,3957,1,1,2,57.519232),-- [rp_blessed_spiritshot_s]
(21586,8730,1,1,2,1441.386544),-- [general_67_a]
(21586,8740,1,1,2,360.252032),-- [special_67_a]
(21586,8750,1,1,2,35.94952),-- [rare_67_a]
(21586,8760,1,1,2,7.56832),-- [unique_67_a]
(21587,5542,1,1,-1,12411),-- [halbard_edge]
(21587,5464,1,1,-1,1363),-- [rp_dark_legion's_edge_i]
(21587,5543,1,1,-1,12528),-- [dasparion's_staff_head]
(21587,57,1815,3706,0,700000),-- [adena]
(21587,11950,1,1,1,187.024572),-- [blood_tornado_low]
(21587,5539,1,1,1,2290.975428),-- [blood_tornado_edge]
(21587,1865,1,1,2,123538.193216),-- [varnish]
(21587,1870,1,1,2,123538.193216),-- [coal]
(21587,1879,1,1,2,20589.554),-- [cokes]
(21587,1875,1,1,2,8235.8216),-- [stone_of_purity]
(21587,4040,1,1,2,2470.74648),-- [mold_lubricant]
(21587,5157,1,1,2,54.760608),-- [rp_comp_soulshot_s]
(21587,8730,1,1,2,1372.492064),-- [general_67_a]
(21587,8740,1,1,2,343.34032),-- [special_67_a]
(21587,8750,1,1,2,34.334032),-- [rare_67_a]
(21587,8760,1,1,2,6.953728),-- [unique_67_a]
(21587,1344,10,30,2,154423.610736),-- [mithril_arrow]
(21588,5478,1,1,-1,25534),-- [sealed_dark_crystal_leather_mail_pattern]
(21588,729,1,1,-1,337),-- [scrl_of_ench_wp_a]
(21588,5350,1,1,-1,3928),-- [rp_sealed_robe_of_nightmare_i]
(21588,57,1499,3053,0,700000),-- [adena]
(21588,11957,1,1,1,51.43059),-- [tallum_blade_low]
(21588,5548,1,1,1,635.620615),-- [tallum_blade_edge]
(21588,11952,1,1,1,51.43059),-- [elemental_sword_low]
(21588,5547,1,1,1,635.620615),-- [elemental_sword_edge]
(21588,11954,1,1,1,51.43059),-- [inferno_master_low]
(21588,8331,1,1,1,637.467),-- [inferno_master_blade]
(21588,1873,1,1,2,40769.081556),-- [silver_nugget]
(21588,1868,1,1,2,203845.40778),-- [thread]
(21588,1876,1,1,2,20384.753044),-- [mithril_ore]
(21588,1895,1,1,2,29120.77254),-- [metallic_fiber]
(21588,4042,1,1,2,1698.552532),-- [enria]
(21588,6901,1,1,2,101.88768),-- [rp_shining_arrow]
(21588,8731,1,1,2,943.734636),-- [general_70_a]
(21588,8741,1,1,2,236.039792),-- [special_70_a]
(21588,8751,1,1,2,23.773792),-- [rare_70_a]
(21588,8761,1,1,2,4.669852),-- [unique_70_a]
(21588,1344,10,30,2,127403.326796),-- [mithril_arrow]
(21589,5478,1,1,-1,26193),-- [sealed_dark_crystal_leather_mail_pattern]
(21589,729,1,1,-1,346),-- [scrl_of_ench_wp_a]
(21589,5350,1,1,-1,4030),-- [rp_sealed_robe_of_nightmare_i]
(21589,57,1538,3132,0,700000),-- [adena]
(21589,11957,1,1,1,52.77681),-- [tallum_blade_low]
(21589,5548,1,1,1,652.258285),-- [tallum_blade_edge]
(21589,11952,1,1,1,52.77681),-- [elemental_sword_low]
(21589,5547,1,1,1,652.258285),-- [elemental_sword_edge]
(21589,11954,1,1,1,52.77681),-- [inferno_master_low]
(21589,8331,1,1,1,654.153),-- [inferno_master_blade]
(21589,1873,1,1,2,41822.467533),-- [silver_nugget]
(21589,1868,1,1,2,209112.337665),-- [thread]
(21589,1876,1,1,2,20911.451517),-- [mithril_ore]
(21589,1895,1,1,2,29873.191095),-- [metallic_fiber]
(21589,4042,1,1,2,1742.439501),-- [enria]
(21589,6901,1,1,2,104.52024),-- [rp_shining_arrow]
(21589,8731,1,1,2,968.118723),-- [general_70_a]
(21589,8741,1,1,2,242.138556),-- [special_70_a]
(21589,8751,1,1,2,24.388056),-- [rare_70_a]
(21589,8761,1,1,2,4.790511),-- [unique_70_a]
(21589,1344,10,30,2,130695.156603),-- [mithril_arrow]
(21590,5482,1,1,-1,40077),-- [sealed_legging_of_dark_crystal_design]
(21590,5440,1,1,-1,1125),-- [rp_elysian_i]
(21590,5485,1,1,-1,25534),-- [sealed_tallum_tunic_texture]
(21590,57,1499,3053,0,700000),-- [adena]
(21590,11950,1,1,1,154.34433),-- [blood_tornado_low]
(21590,5539,1,1,1,1890.65567),-- [blood_tornado_edge]
(21590,1864,1,3,2,101922.66196),-- [stem]
(21590,1869,1,1,2,101922.66196),-- [iron_ore]
(21590,1878,1,1,2,40769.24054),-- [braided_hemp]
(21590,1884,1,1,2,62721.60433),-- [cord]
(21590,4039,1,1,2,3397.36348),-- [mold_glue]
(21590,3036,1,1,2,45.25717),-- [rp_spiritshot_s]
(21590,8731,1,1,2,943.80972),-- [general_70_a]
(21590,8741,1,1,2,235.95243),-- [special_70_a]
(21590,8751,1,1,2,23.72706),-- [rare_70_a]
(21590,8761,1,1,2,4.83329),-- [unique_70_a]
(21590,1344,10,30,2,127402.88806),-- [mithril_arrow]
(21591,5482,1,1,-1,46877),-- [sealed_legging_of_dark_crystal_design]
(21591,5440,1,1,-1,1315),-- [rp_elysian_i]
(21591,5485,1,1,-1,29866),-- [sealed_tallum_tunic_texture]
(21591,57,1754,3571,0,700000),-- [adena]
(21591,11950,1,1,1,180.533808),-- [blood_tornado_low]
(21591,5539,1,1,1,2211.466192),-- [blood_tornado_edge]
(21591,1864,1,3,2,119217.113252),-- [stem]
(21591,1869,1,1,2,119217.113252),-- [iron_ore]
(21591,1878,1,1,2,47686.762381),-- [braided_hemp]
(21591,1884,1,1,2,73364.536847),-- [cord]
(21591,4039,1,1,2,3973.931415),-- [mold_glue]
(21591,3036,1,1,2,53.068672),-- [rp_spiritshot_s]
(21591,8731,1,1,2,1103.662538),-- [general_70_a]
(21591,8741,1,1,2,276.122934),-- [special_70_a]
(21591,8751,1,1,2,27.778133),-- [rare_70_a]
(21591,8761,1,1,2,5.389787),-- [unique_70_a]
(21591,1344,30,90,2,49673.520789),-- [mithril_arrow]
(21592,5482,1,1,-1,34520),-- [sealed_legging_of_dark_crystal_design]
(21592,5440,1,1,-1,969),-- [rp_elysian_i]
(21592,5485,1,1,-1,21993),-- [sealed_tallum_tunic_texture]
(21592,57,1292,2630,0,700000),-- [adena]
(21592,11950,1,1,1,132.909714),-- [blood_tornado_low]
(21592,5539,1,1,1,1628.090286),-- [blood_tornado_edge]
(21592,1864,1,1,2,175577.430272),-- [stem]
(21592,1869,1,1,2,87788.715136),-- [iron_ore]
(21592,1878,1,1,2,35115.392805),-- [braided_hemp]
(21592,1884,1,1,2,54024.03989),-- [cord]
(21592,4039,1,1,2,2926.166172),-- [mold_glue]
(21592,3036,1,1,2,39.164748),-- [rp_spiritshot_s]
(21592,8731,1,1,2,812.668521),-- [general_70_a]
(21592,8741,1,1,2,203.283692),-- [special_70_a]
(21592,8751,1,1,2,20.514868),-- [rare_70_a]
(21592,8761,1,1,2,4.196223),-- [unique_70_a]
(21592,1344,10,30,2,109735.427673),-- [mithril_arrow]
(21593,5448,1,1,-1,1551),-- [rp_soul_separator_i]
(21593,5494,1,1,-1,87939),-- [sealed_dark_crystal_shield_fragment]
(21593,729,1,1,-1,465),-- [scrl_of_ench_wp_a]
(21593,57,2068,4210,0,700000),-- [adena]
(21593,11950,1,1,1,212.83668),-- [blood_tornado_low]
(21593,5539,1,1,1,2607.16332),-- [blood_tornado_edge]
(21593,1873,1,1,2,61841.835264),-- [silver_nugget]
(21593,1868,1,1,2,309210.077568),-- [thread]
(21593,1876,1,1,2,30920.917632),-- [mithril_ore]
(21593,1895,1,1,2,44172.868224),-- [metallic_fiber]
(21593,4042,1,1,2,2576.668032),-- [enria]
(21593,5162,1,1,2,68.494848),-- [rp_comp_spiritshot_s]
(21593,8731,1,1,2,1431.632448),-- [general_70_a]
(21593,8741,1,1,2,357.795456),-- [special_70_a]
(21593,8751,1,1,2,35.599296),-- [rare_70_a]
(21593,8761,1,1,2,8.111232),-- [unique_70_a]
(21594,5448,1,1,-1,1454),-- [rp_soul_separator_i]
(21594,5494,1,1,-1,82446),-- [sealed_dark_crystal_shield_fragment]
(21594,729,1,1,-1,436),-- [scrl_of_ench_wp_a]
(21594,57,1939,3947,0,700000),-- [adena]
(21594,11950,1,1,1,199.477782),-- [blood_tornado_low]
(21594,5539,1,1,1,2443.522218),-- [blood_tornado_edge]
(21594,1873,1,1,2,57979.190808),-- [silver_nugget]
(21594,1868,1,1,2,289896.798996),-- [thread]
(21594,1876,1,1,2,28989.595404),-- [mithril_ore]
(21594,1895,1,1,2,41413.828428),-- [metallic_fiber]
(21594,4042,1,1,2,2415.729204),-- [enria]
(21594,5162,1,1,2,64.216656),-- [rp_comp_spiritshot_s]
(21594,8731,1,1,2,1342.212606),-- [general_70_a]
(21594,8741,1,1,2,335.447532),-- [special_70_a]
(21594,8751,1,1,2,33.375762),-- [rare_70_a]
(21594,8761,1,1,2,7.604604),-- [unique_70_a]
(21595,5448,1,1,-1,1028),-- [rp_soul_separator_i]
(21595,5494,1,1,-1,58278),-- [sealed_dark_crystal_shield_fragment]
(21595,729,1,1,-1,308),-- [scrl_of_ench_wp_a]
(21595,57,1370,2790,0,700000),-- [adena]
(21595,11950,1,1,1,141.060906),-- [blood_tornado_low]
(21595,5539,1,1,1,1727.939094),-- [blood_tornado_edge]
(21595,1873,1,1,2,40983.198388),-- [silver_nugget]
(21595,1868,1,1,2,204916.589206),-- [thread]
(21595,1876,1,1,2,20491.599194),-- [mithril_ore]
(21595,1895,1,1,2,29273.798458),-- [metallic_fiber]
(21595,4042,1,1,2,1707.583494),-- [enria]
(21595,5162,1,1,2,45.392216),-- [rp_comp_spiritshot_s]
(21595,8731,1,1,2,948.757041),-- [general_70_a]
(21595,8741,1,1,2,237.114602),-- [special_70_a]
(21595,8751,1,1,2,23.592007),-- [rare_70_a]
(21595,8761,1,1,2,5.375394),-- [unique_70_a]
(21596,6337,1,1,-1,25686),-- [rp_sealed_majestic_earing_i]
(21596,5535,1,1,-1,17090),-- [carnium_bow_shaft]
(21596,6339,1,1,-1,38529),-- [rp_sealed_majestic_ring_i]
(21596,57,1981,4028,0,700000),-- [adena]
(21596,11960,1,1,1,203.628852),-- [halbard_low]
(21596,5542,1,1,1,2494.371148),-- [halbard_edge]
(21596,1872,1,1,2,164389.655484),-- [animal_bone]
(21596,1867,1,1,2,164389.655484),-- [animal_skin]
(21596,1881,1,1,2,16439.054449),-- [coarse_bone_powder]
(21596,1875,1,1,2,8219.304973),-- [stone_of_purity]
(21596,4041,1,1,2,1072.141236),-- [mold_hardener]
(21596,729,1,1,2,13.779593),-- [scrl_of_ench_wp_a]
(21596,5350,1,1,2,159.576577),-- [rp_sealed_robe_of_nightmare_i]
(21596,8730,1,1,2,1369.958246),-- [general_67_a]
(21596,8740,1,1,2,342.26731),-- [special_67_a]
(21596,8750,1,1,2,34.226731),-- [rare_67_a]
(21596,8760,1,1,2,6.667545),-- [unique_67_a]
(21596,1343,20,60,2,88066.712372),-- [silver_arrow]
(21597,4043,1,1,-1,105426),-- [asofe]
(21597,5550,1,1,-1,42170),-- [reinforcing_plate]
(21597,4052,1,1,-1,111977),-- [earing_of_black_ore_piece]
(21597,57,1247,2548,0,700000),-- [adena]
(21597,11944,1,1,1,152.582616),-- [hazard_bow_low]
(21597,4121,1,1,1,2034.417384),-- [hazard_bow_shaft]
(21597,1869,1,1,2,84930.721004),-- [iron_ore]
(21597,1864,1,1,2,169861.442008),-- [stem]
(21597,1880,1,1,2,8493.150123),-- [steel]
(21597,5550,1,1,2,1132.498039),-- [reinforcing_plate]
(21597,4043,1,1,2,2831.050041),-- [asofe]
(21597,6335,1,1,2,326.524581),-- [rp_sealed_majestic_necklace_i]
(21597,8730,1,1,2,943.683347),-- [general_67_a]
(21597,8740,1,1,2,236.018365),-- [special_67_a]
(21597,8750,1,1,2,23.40678),-- [rare_67_a]
(21597,8760,1,1,2,4.681356),-- [unique_67_a]
(21597,1343,10,30,2,121329.824356),-- [silver_arrow]
(21598,5230,1,1,-1,4723),-- [rp_mithril_arrow]
(21598,4053,1,1,-1,151817),-- [ring_of_black_ore_gemstone]
(21598,5271,1,1,-1,4723),-- [rp_adv_comp_soulshot_a]
(21598,57,1396,2854,0,700000),-- [adena]
(21598,12201,1,1,1,232.088538),-- [blue_wolve's_tunic_low]
(21598,4084,1,1,1,2272.917086),-- [blue_wolve's_tunic_fabric]
(21598,12192,1,1,1,232.088538),-- [tunic_of_doom_low]
(21598,4085,1,1,1,2272.917086),-- [tunic_of_doom_pattern]
(21598,12203,1,1,1,371.546186),-- [blue_wolve's_hose_low]
(21598,4086,1,1,1,3068.94819),-- [blue_wolve's_hose_pattern]
(21598,12205,1,1,1,371.546186),-- [hose_of_doom_low]
(21598,4087,1,1,1,3068.94819),-- [hose_of_doom_pattern]
(21598,1870,1,1,2,104621.868848),-- [coal]
(21598,1865,1,1,2,104621.868848),-- [varnish]
(21598,1874,1,1,2,6974.776242),-- [oriharukon_ore]
(21598,4043,1,1,2,3487.50073),-- [asofe]
(21598,4039,1,1,2,3487.50073),-- [mold_glue]
(21598,6337,1,1,2,536.469276),-- [rp_sealed_majestic_earing_i]
(21598,8730,1,1,2,1162.575316),-- [general_67_a]
(21598,8740,1,1,2,290.53122),-- [special_67_a]
(21598,8750,1,1,2,29.053122),-- [rare_67_a]
(21598,8760,1,1,2,5.855668),-- [unique_67_a]
(21599,6337,1,1,-1,21949),-- [rp_sealed_majestic_earing_i]
(21599,5497,1,1,-1,100352),-- [sealed_tallum_boots_lining]
(21599,6339,1,1,-1,32923),-- [rp_sealed_majestic_ring_i]
(21599,57,2112,4305,0,700000),-- [adena]
(21599,11951,1,1,1,217.537348),-- [bloody_orchid_low]
(21599,5536,1,1,1,2688.462652),-- [bloody_orchid_head]
(21599,1867,1,1,2,210707.58995),-- [animal_skin]
(21599,1872,1,1,2,210707.58995),-- [animal_bone]
(21599,1882,1,1,2,35117.85382),-- [leather]
(21599,1894,1,1,2,5545.04719),-- [crafted_leather]
(21599,4042,1,1,2,2634.0492),-- [enria]
(21599,3957,1,1,2,70.0545),-- [rp_blessed_spiritshot_s]
(21599,8730,1,1,2,1756.0328),-- [general_67_a]
(21599,8740,1,1,2,439.0082),-- [special_67_a]
(21599,8750,1,1,2,43.90082),-- [rare_67_a]
(21599,8760,1,1,2,8.87357),-- [unique_67_a]
(21600,1884,1,5,-1,714570),-- [cord]
(21600,5509,1,1,-1,81677),-- [sealed_tallum_gloves_design]
(21600,5462,1,1,-1,1290),-- [rp_worldtree's_branch_i]
(21600,57,1378,2803,0,700000),-- [adena]
(21600,11957,1,1,1,47.21742),-- [tallum_blade_low]
(21600,5548,1,1,1,583.55087),-- [tallum_blade_edge]
(21600,11952,1,1,1,47.21742),-- [elemental_sword_low]
(21600,5547,1,1,1,583.55087),-- [elemental_sword_edge]
(21600,11954,1,1,1,47.21742),-- [inferno_master_low]
(21600,8331,1,1,1,585.246),-- [inferno_master_blade]
(21600,1864,1,3,2,93543.607194),-- [stem]
(21600,1869,1,1,2,93543.607194),-- [iron_ore]
(21600,1878,1,1,2,37417.52691),-- [braided_hemp]
(21600,1884,1,1,2,57565.135134),-- [cord]
(21600,4039,1,1,2,3118.022202),-- [mold_glue]
(21600,729,1,1,2,10.50405),-- [scrl_of_ench_wp_a]
(21600,8730,1,1,2,1039.480788),-- [general_67_a]
(21600,8740,1,1,2,259.660116),-- [special_67_a]
(21600,8750,1,1,2,26.050044),-- [rare_67_a]
(21600,8760,1,1,2,5.041944),-- [unique_67_a]
(21600,1343,10,30,2,133633.364424),-- [silver_arrow]
(21601,5520,1,1,-1,27079),-- [sealed_dark_crystal_breastplate_pattern]
(21601,5464,1,1,-1,1555),-- [rp_dark_legion's_edge_i]
(21601,5521,1,1,-1,19108),-- [sealed_tallum_plate_armor_pattern]
(21601,57,1661,3379,0,700000),-- [adena]
(21601,11946,1,1,1,42.675578),-- [dasparion's_staff_low]
(21601,5543,1,1,1,527.687952),-- [dasparion's_staff_head]
(21601,11949,1,1,1,42.675578),-- [meteor_shower_low]
(21601,5532,1,1,1,522.759402),-- [meteor_shower_head]
(21601,11953,1,1,1,42.675578),-- [eye_of_soul_low]
(21601,8341,1,1,1,522.090932),-- [eye_of_soul_piece]
(21601,11958,1,1,1,42.675578),-- [hammer_of_destroyer_low]
(21601,8346,1,1,1,522.759402),-- [hammer_of_destroyer_piece]
(21601,1871,1,1,2,124041.7755),-- [charcoal]
(21601,1866,1,1,2,82694.444625),-- [suede]
(21601,1877,1,1,2,4961.7405),-- [admantite_nugget]
(21601,4041,1,1,2,1078.677),-- [mold_hardener]
(21601,4040,1,1,2,2480.87025),-- [mold_lubricant]
(21601,730,1,1,2,103.3515),-- [scrl_of_ench_am_a]
(21601,8730,1,1,2,1378.3095),-- [general_67_a]
(21601,8740,1,1,2,344.577375),-- [special_67_a]
(21601,8750,1,1,2,34.522875),-- [rare_67_a]
(21601,8760,1,1,2,6.730875),-- [unique_67_a]
(21602,5231,1,1,-1,105371),-- [rp_reinforcing_agent]
(21602,1902,1,1,-1,149462),-- [elven_earing_beads]
(21602,1825,1,1,-1,105371),-- [rp_oriharukon]
(21602,57,583,1185,0,700000),-- [adena]
(21602,1125,1,1,1,164.178675),-- [assault_boots]
(21602,1957,1,1,1,6889.959775),-- [assault_boots_part]
(21602,2427,1,1,1,164.178675),-- [slamander_skin_boots]
(21602,2931,1,1,1,6889.959775),-- [slamander_skin_boots_lining]
(21602,2428,1,1,1,164.178675),-- [plate_boots]
(21602,2932,1,1,1,6889.959775),-- [plate_boots_design]
(21602,61,1,1,1,164.178675),-- [mithril_glove]
(21602,1949,1,1,1,6889.959775),-- [mithril_glove_design]
(21602,607,1,1,1,164.178675),-- [ogre_power_gauntlet]
(21602,1963,1,1,1,6889.959775),-- [ogre_power_gauntlet_part]
(21602,2451,1,1,1,164.178675),-- [sage's_worn_gloves]
(21602,2933,1,1,1,6890.129075),-- [sage's_worn_gloves_lining]
(21602,1865,1,1,2,105824.795083),-- [varnish]
(21602,1870,1,1,2,105824.795083),-- [coal]
(21602,1879,1,1,2,17637.425469),-- [cokes]
(21602,1875,1,1,2,7054.87328),-- [stone_of_purity]
(21602,2162,1,1,2,5112.360438),-- [rp_aquastone_necklace]
(21602,5159,1,1,2,352.743664),-- [rp_comp_spiritshot_c]
(21602,2312,1,1,2,462.006983),-- [rp_crystallized_ice_bow]
(21603,5231,1,1,-1,149211),-- [rp_reinforcing_agent]
(21603,1902,1,1,-1,211647),-- [elven_earing_beads]
(21603,1825,1,1,-1,149211),-- [rp_oriharukon]
(21603,57,826,1678,0,700000),-- [adena]
(21603,1125,1,1,1,232.483986),-- [assault_boots]
(21603,1957,1,1,1,9756.476058),-- [assault_boots_part]
(21603,2427,1,1,1,232.483986),-- [slamander_skin_boots]
(21603,2931,1,1,1,9756.476058),-- [slamander_skin_boots_lining]
(21603,2428,1,1,1,232.483986),-- [plate_boots]
(21603,2932,1,1,1,9756.476058),-- [plate_boots_design]
(21603,61,1,1,1,232.483986),-- [mithril_glove]
(21603,1949,1,1,1,9756.476058),-- [mithril_glove_design]
(21603,607,1,1,1,232.483986),-- [ogre_power_gauntlet]
(21603,1963,1,1,1,9756.476058),-- [ogre_power_gauntlet_part]
(21603,2451,1,1,1,232.483986),-- [sage's_worn_gloves]
(21603,2933,1,1,1,9756.715794),-- [sage's_worn_gloves_lining]
(21603,1865,1,1,2,149853.630262),-- [varnish]
(21603,1870,1,1,2,149853.630262),-- [coal]
(21603,1879,1,1,2,24975.547866),-- [cokes]
(21603,1875,1,1,2,9990.08192),-- [stone_of_purity]
(21603,2162,1,1,2,7239.378732),-- [rp_aquastone_necklace]
(21603,5159,1,1,2,499.504096),-- [rp_comp_spiritshot_c]
(21603,2312,1,1,2,654.226862),-- [rp_crystallized_ice_bow]
(21604,4469,1,1,-1,19300),-- [dye_s1c1_d]
(21604,1905,1,1,-1,328557),-- [onyxbeast'seye_earing_gemstone]
(21604,1805,1,1,-1,11259),-- [rp_soulshot_c]
(21604,57,1336,2712,0,700000),-- [adena]
(21604,353,1,1,1,281.9227),-- [half_plate]
(21604,1950,1,1,1,13762.5163),-- [half_plate_temper]
(21604,380,1,1,1,451.0835),-- [plate_gaiters]
(21604,1951,1,1,1,21404.4775),-- [plate_gaiters_part]
(21604,1867,1,3,2,226141.22874),-- [animal_skin]
(21604,1872,1,3,2,150760.664055),-- [animal_bone]
(21604,1882,1,1,2,75380.564685),-- [leather]
(21604,1894,1,1,2,11902.292385),-- [crafted_leather]
(21604,1805,1,1,2,1130.250135),-- [rp_soulshot_c]
(21605,1874,1,1,-1,109271),-- [oriharukon_ore]
(21605,1875,1,1,-1,109271),-- [stone_of_purity]
(21605,1905,1,1,-1,159442),-- [onyxbeast'seye_earing_gemstone]
(21605,57,645,1322,0,700000),-- [adena]
(21605,281,1,1,1,43.937055),-- [crystallized_ice_bow]
(21605,2074,1,1,1,2743.062945),-- [crystallized_ice_bow_shaft]
(21605,1872,1,1,2,93896.55652),-- [animal_bone]
(21605,1867,1,1,2,93896.55652),-- [animal_skin]
(21605,1881,1,1,2,9389.655652),-- [coarse_bone_powder]
(21605,1875,1,1,2,4694.827826),-- [stone_of_purity]
(21605,2209,1,1,2,5294.880108),-- [rp_eldarake]
(21605,2205,1,1,2,2228.491358),-- [rp_chain_gaiters]
(21605,2299,1,1,2,307.598788),-- [rp_big_hammer]
(21605,8723,1,1,2,2816.81137),-- [general_46_c]
(21605,8733,1,1,2,704.149514),-- [special_46_c]
(21605,8743,1,1,2,70.39362),-- [rare_46_c]
(21605,8753,1,1,2,14.078724),-- [unique_46_c]
(21606,1874,1,1,-1,154734),-- [oriharukon_ore]
(21606,1875,1,1,-1,154734),-- [stone_of_purity]
(21606,1905,1,1,-1,225779),-- [onyxbeast'seye_earing_gemstone]
(21606,57,914,1872,0,700000),-- [adena]
(21606,281,1,1,1,62.224455),-- [crystallized_ice_bow]
(21606,2074,1,1,1,3884.775545),-- [crystallized_ice_bow_shaft]
(21606,1872,1,1,2,132962.53152),-- [animal_bone]
(21606,1867,1,1,2,132962.53152),-- [animal_skin]
(21606,1881,1,1,2,13296.253152),-- [coarse_bone_powder]
(21606,1875,1,1,2,6648.126576),-- [stone_of_purity]
(21606,2209,1,1,2,7497.832608),-- [rp_eldarake]
(21606,2205,1,1,2,3155.662608),-- [rp_chain_gaiters]
(21606,2299,1,1,2,435.576288),-- [rp_big_hammer]
(21606,8723,1,1,2,3988.75512),-- [general_46_c]
(21606,8733,1,1,2,997.113264),-- [special_46_c]
(21606,8743,1,1,2,99.68112),-- [rare_46_c]
(21606,8753,1,1,2,19.936224),-- [unique_46_c]
(21607,1908,1,1,-1,343437),-- [moonstone_earing_wire]
(21607,2163,1,1,-1,185036),-- [rp_earing_of_protection]
(21607,1909,1,1,-1,489763),-- [aquastone_ring_wire]
(21607,57,1428,2926,0,700000),-- [adena]
(21607,354,1,1,1,220.540424),-- [chain_mail_shirt]
(21607,1959,1,1,1,11541.781628),-- [chain_mail_shirt_material]
(21607,381,1,1,1,352.807728),-- [chain_gaiters]
(21607,1960,1,1,1,23478.87022),-- [chain_gaiters_part]
(21607,1875,1,1,2,11426.934725),-- [stone_of_purity]
(21607,1879,1,1,2,28567.382425),-- [cokes]
(21607,1885,1,1,2,14283.736825),-- [high_grade_suede]
(21607,5550,1,1,2,2285.3687),-- [reinforcing_plate]
(21607,5549,1,1,2,17140.4477),-- [iron_thread]
(21607,2163,1,1,2,8745.102175),-- [rp_earing_of_protection]
(21607,8723,1,1,2,6856.197325),-- [general_46_c]
(21607,8733,1,1,2,1714.026525),-- [special_46_c]
(21607,8743,1,1,2,171.411775),-- [rare_46_c]
(21607,8753,1,1,2,34.391825),-- [unique_46_c]
(21608,1871,1,3,-1,672407),-- [charcoal]
(21608,1879,1,1,-1,224136),-- [cokes]
(21608,1906,1,1,-1,184854),-- [mithril_ring_wire]
(21608,57,532,1080,0,700000),-- [adena]
(21608,439,1,1,1,109.209568),-- [karmian_tunic]
(21608,1962,1,1,1,5085.111961),-- [karmian_tunic_pattern]
(21608,471,1,1,1,174.536344),-- [karmian_hose]
(21608,1954,1,1,1,8448.142127),-- [karmian_hose_pattern]
(21608,1865,1,1,2,45398.748968),-- [varnish]
(21608,1870,1,1,2,45398.748968),-- [coal]
(21608,1879,1,1,2,7566.420949),-- [cokes]
(21608,1875,1,1,2,3026.590707),-- [stone_of_purity]
(21608,4040,1,1,2,907.943721),-- [mold_lubricant]
(21608,3000,1,1,2,2910.153316),-- [rp_dwarven_chain_shield]
(21608,2303,1,1,2,198.267312),-- [rp_skull_graver]
(21608,2990,1,1,2,3603.084175),-- [rp_chain_boots]
(21608,3033,1,1,2,151.379772),-- [rp_spiritshot_c]
(21608,3954,1,1,2,151.379772),-- [rp_blessed_spiritshot_c]
(21608,8723,1,1,2,1815.999079),-- [general_46_c]
(21608,8733,1,1,2,454.027679),-- [special_46_c]
(21608,8743,1,1,2,45.436259),-- [rare_46_c]
(21608,8753,1,1,2,8.819323),-- [unique_46_c]
(21609,1871,1,5,-1,634776),-- [charcoal]
(21609,1879,1,1,-1,317388),-- [cokes]
(21609,1906,1,1,-1,261763),-- [mithril_ring_wire]
(21609,57,753,1530,0,700000),-- [adena]
(21609,439,1,1,1,154.64176),-- [karmian_tunic]
(21609,1962,1,1,1,7200.565645),-- [karmian_tunic_pattern]
(21609,471,1,1,1,247.14508),-- [karmian_hose]
(21609,1954,1,1,1,11962.647515),-- [karmian_hose_pattern]
(21609,1865,1,1,2,64286.665112),-- [varnish]
(21609,1870,1,1,2,64286.665112),-- [coal]
(21609,1879,1,1,2,10714.391491),-- [cokes]
(21609,1875,1,1,2,4285.788213),-- [stone_of_purity]
(21609,4040,1,1,2,1285.689039),-- [mold_lubricant]
(21609,3000,1,1,2,4120.907644),-- [rp_dwarven_chain_shield]
(21609,2303,1,1,2,280.755408),-- [rp_skull_graver]
(21609,2990,1,1,2,5102.128825),-- [rp_chain_boots]
(21609,3033,1,1,2,214.360548),-- [rp_spiritshot_c]
(21609,3954,1,1,2,214.360548),-- [rp_blessed_spiritshot_c]
(21609,8723,1,1,2,2571.536161),-- [general_46_c]
(21609,8733,1,1,2,642.923561),-- [special_46_c]
(21609,8743,1,1,2,64.339781),-- [rare_46_c]
(21609,8753,1,1,2,12.488557),-- [unique_46_c]
(21610,4043,1,1,-1,115864),-- [asofe]
(21610,1869,1,7,-1,868979),-- [iron_ore]
(21610,2163,1,1,-1,177343),-- [rp_earing_of_protection]
(21610,57,1375,2793,0,700000),-- [adena]
(21610,397,1,1,1,282.259744),-- [tempered_mithril_shirt]
(21610,1961,1,1,1,13142.826463),-- [tempered_mithril_shirt_fabric]
(21610,2387,1,1,1,451.101352),-- [tempered_mithril_gaiters]
(21610,2935,1,1,1,21834.812441),-- [tempered_mithril_gaiters_fragment]
(21610,1869,1,1,2,164277.135296),-- [iron_ore]
(21610,1864,1,3,2,164277.135296),-- [stem]
(21610,1880,1,1,2,16427.67616),-- [steel]
(21610,5550,1,1,2,2190.232256),-- [reinforcing_plate]
(21610,4043,1,1,2,5475.767488),-- [asofe]
(21610,2164,1,1,2,12636.53024),-- [rp_ring_of_protection]
(21610,8723,1,1,2,6571.070464),-- [general_46_c]
(21610,8733,1,1,2,1642.767616),-- [special_46_c]
(21610,8743,1,1,2,164.42624),-- [rare_46_c]
(21610,8753,1,1,2,33.258944),-- [unique_46_c]
(21611,2320,1,1,-1,5440),-- [rp_cursed_staff]
(21611,2066,1,1,-1,12245),-- [heavy_doom_hammer_head]
(21611,1908,1,1,-1,147842),-- [moonstone_earing_wire]
(21611,57,615,1258,0,700000),-- [adena]
(21611,631,1,1,1,241.128),-- [eldarake]
(21611,1964,1,1,1,9936.86715),-- [eldarake_temper]
(21611,2495,1,1,1,241.128),-- [chain_shield]
(21611,2945,1,1,1,9936.86715),-- [chain_shield_fragment]
(21611,2413,1,1,1,168.7896),-- [chain_hood]
(21611,2936,1,1,1,9025.2201),-- [chain_hood_pattern]
(21611,1867,1,1,2,81983.522937),-- [animal_skin]
(21611,1872,1,1,2,81983.522937),-- [animal_bone]
(21611,1882,1,1,2,13663.885935),-- [leather]
(21611,1894,1,1,2,2157.444762),-- [crafted_leather]
(21611,4042,1,1,2,1024.817361),-- [enria]
(21611,2230,1,1,2,1191.715596),-- [rp_theca_leather_gaiters]
(21611,2326,1,1,2,214.168791),-- [rp_horn_of_glory]
(21611,6668,1,1,2,21959.868513),-- [key_of_treasure_box4]
(21611,8723,1,1,2,2459.520201),-- [general_46_c]
(21611,8733,1,1,2,614.931882),-- [special_46_c]
(21611,8743,1,1,2,61.576119),-- [rare_46_c]
(21611,8753,1,1,2,12.024966),-- [unique_46_c]
(21612,2320,1,1,-1,7703),-- [rp_cursed_staff]
(21612,2066,1,1,-1,17339),-- [heavy_doom_hammer_head]
(21612,1908,1,1,-1,209352),-- [moonstone_earing_wire]
(21612,57,871,1781,0,700000),-- [adena]
(21612,631,1,1,1,341.44704),-- [eldarake]
(21612,1964,1,1,1,14071.007412),-- [eldarake_temper]
(21612,2495,1,1,1,341.44704),-- [chain_shield]
(21612,2945,1,1,1,14071.007412),-- [chain_shield_fragment]
(21612,2413,1,1,1,239.012928),-- [chain_hood]
(21612,2936,1,1,1,12780.078168),-- [chain_hood_pattern]
(21612,1867,1,1,2,116093.005566),-- [animal_skin]
(21612,1872,1,1,2,116093.005566),-- [animal_bone]
(21612,1882,1,1,2,19348.78533),-- [leather]
(21612,1894,1,1,2,3055.055916),-- [crafted_leather]
(21612,4042,1,1,2,1451.195598),-- [enria]
(21612,2230,1,1,2,1687.532328),-- [rp_theca_leather_gaiters]
(21612,2326,1,1,2,303.274338),-- [rp_horn_of_glory]
(21612,6668,1,1,2,31096.335534),-- [key_of_treasure_box4]
(21612,8723,1,1,2,3482.810718),-- [general_46_c]
(21612,8733,1,1,2,870.776076),-- [special_46_c]
(21612,8743,1,1,2,87.195042),-- [rare_46_c]
(21612,8753,1,1,2,17.027988),-- [unique_46_c]
(21613,2219,1,1,-1,234342),-- [rp_crimson_boots]
(21613,2062,1,1,-1,29591),-- [scythe_edge]
(21613,1864,1,15,-1,943225),-- [stem]
(21613,57,1486,3039,0,700000),-- [adena]
(21613,226,1,1,1,50.575783),-- [cursed_dagger]
(21613,2070,1,1,1,3539.924217),-- [cursed_dagger_blade]
(21613,232,1,1,1,50.575783),-- [darkelven_dagger]
(21613,2072,1,1,1,3539.924217),-- [darkelven_dagger_edge]
(21613,1869,1,1,2,178313.227248),-- [iron_ore]
(21613,1864,1,3,2,178313.227248),-- [stem]
(21613,1880,1,1,2,17831.491376),-- [steel]
(21613,5550,1,1,2,2377.560292),-- [reinforcing_plate]
(21613,4043,1,1,2,5943.689916),-- [asofe]
(21613,2251,1,1,2,29718.871208),-- [rp_fine_steel_arrow]
(21613,8723,1,1,2,7132.680876),-- [general_46_c]
(21613,8733,1,1,2,1783.064812),-- [special_46_c]
(21613,8743,1,1,2,178.348644),-- [rare_46_c]
(21613,8753,1,1,2,35.83838),-- [unique_46_c]
(21614,2328,1,1,-1,3746),-- [rp_sword_of_delusion]
(21614,1967,1,1,-1,87860),-- [plate_leather_gaiters_material]
(21614,2166,1,1,-1,54607),-- [rp_earing_of_binding]
(21614,57,636,1297,0,700000),-- [adena]
(21614,227,1,1,1,16.152476),-- [stiletto]
(21614,2083,1,1,1,1185.847524),-- [stiletto_edge]
(21614,242,1,1,1,16.152476),-- [dagger_of_magicflame]
(21614,2084,1,1,1,1185.847524),-- [dagger_of_magicflame_blade]
(21614,1868,1,1,2,129774.441057),-- [thread]
(21614,1873,1,1,2,25954.853586),-- [silver_nugget]
(21614,5549,1,1,2,6488.79996),-- [iron_thread]
(21614,1889,1,1,2,4325.751222),-- [compound_braid]
(21614,4044,1,1,2,2162.875611),-- [thons]
(21614,2229,1,1,2,786.515961),-- [rp_theca_leather_mail]
(21614,952,1,1,2,865.115619),-- [scrl_of_ench_am_c]
(21614,8724,1,1,2,2162.875611),-- [general_49_c]
(21614,8734,1,1,2,540.675621),-- [special_49_c]
(21614,8744,1,1,2,54.015624),-- [rare_49_c]
(21614,8754,1,1,2,11.080128),-- [unique_49_c]
(21615,2328,1,1,-1,5305),-- [rp_sword_of_delusion]
(21615,1967,1,1,-1,124414),-- [plate_leather_gaiters_material]
(21615,2166,1,1,-1,77327),-- [rp_earing_of_binding]
(21615,57,900,1837,0,700000),-- [adena]
(21615,227,1,1,1,22.871476),-- [stiletto]
(21615,2083,1,1,1,1679.128524),-- [stiletto_edge]
(21615,242,1,1,1,22.871476),-- [dagger_of_magicflame]
(21615,2084,1,1,1,1679.128524),-- [dagger_of_magicflame_blade]
(21615,1868,1,1,2,183766.731196),-- [thread]
(21615,1873,1,1,2,36753.297208),-- [silver_nugget]
(21615,5549,1,1,2,9188.44688),-- [iron_thread]
(21615,1889,1,1,2,6125.467816),-- [compound_braid]
(21615,4044,1,1,2,3062.733908),-- [thons]
(21615,2229,1,1,2,1113.743708),-- [rp_theca_leather_mail]
(21615,952,1,1,2,1225.044532),-- [scrl_of_ench_am_c]
(21615,8724,1,1,2,3062.733908),-- [general_49_c]
(21615,8734,1,1,2,765.622188),-- [special_49_c]
(21615,8744,1,1,2,76.488672),-- [rare_49_c]
(21615,8754,1,1,2,15.689984),-- [unique_49_c]
(21616,1873,1,3,-1,832740),-- [silver_nugget]
(21616,1911,1,1,-1,309684),-- [earing_of_protection_gemstone]
(21616,1966,1,1,-1,152015),-- [plate_leather_fragment]
(21616,57,1643,3353,0,700000),-- [adena]
(21616,2496,1,1,1,512.025192),-- [dwarven_chain_shield]
(21616,2947,1,1,1,21961.458792),-- [dwarven_chain_shield_fragment]
(21616,632,1,1,1,472.674552),-- [knight_shield]
(21616,1972,1,1,1,24596.81784),-- [knight_shield_fragment]
(21616,500,1,1,1,330.945552),-- [great_helmet]
(21616,1971,1,1,1,18822.078072),-- [great_helmet_material]
(21616,1873,1,1,2,73793.528028),-- [silver_nugget]
(21616,1868,1,3,2,184484.179236),-- [thread]
(21616,1876,1,1,2,36896.764014),-- [mithril_ore]
(21616,1895,1,1,2,52709.765496),-- [metallic_fiber]
(21616,4042,1,1,2,3074.820126),-- [enria]
(21616,951,1,1,2,335.461044),-- [scrl_of_ench_wp_c]
(21616,8724,1,1,2,6149.640252),-- [general_49_c]
(21616,8734,1,1,2,1537.23048),-- [special_49_c]
(21616,8744,1,1,2,153.723048),-- [rare_49_c]
(21616,8754,1,1,2,30.888276),-- [unique_49_c]
(21617,4438,1,1,-1,11695),-- [knuckle_dust_edge]
(21617,951,1,1,-1,2982),-- [scrl_of_ench_wp_c]
(21617,1911,1,1,-1,121965),-- [earing_of_protection_gemstone]
(21617,57,648,1318,0,700000),-- [adena]
(21617,282,1,1,1,16.439522),-- [elemental_bow]
(21617,2085,1,1,1,1256.560478),-- [elemental_bow_shaft]
(21617,285,1,1,1,16.439522),-- [noble_elven_bow]
(21617,2086,1,1,1,1256.560478),-- [noble_elven_bow_shaft]
(21617,1869,1,1,2,60547.2658),-- [iron_ore]
(21617,1864,1,1,2,121094.33742),-- [stem]
(21617,1880,1,1,2,6054.72658),-- [steel]
(21617,5550,1,1,2,807.20626),-- [reinforcing_plate]
(21617,4043,1,1,2,2018.30692),-- [asofe]
(21617,2348,1,1,2,140.7805),-- [rp_heathen's_book]
(21617,2351,1,1,2,126.60536),-- [rp_scorpion]
(21617,952,1,1,2,807.20626),-- [scrl_of_ench_am_c]
(21617,8724,1,1,2,2018.30692),-- [general_49_c]
(21617,8734,1,1,2,504.47964),-- [special_49_c]
(21617,8744,1,1,2,50.4868),-- [rare_49_c]
(21617,8754,1,1,2,10.29154),-- [unique_49_c]
(21618,4438,1,1,-1,16560),-- [knuckle_dust_edge]
(21618,951,1,1,-1,4222),-- [scrl_of_ench_wp_c]
(21618,1911,1,1,-1,172710),-- [earing_of_protection_gemstone]
(21618,57,918,1867,0,700000),-- [adena]
(21618,282,1,1,1,23.277485),-- [elemental_bow]
(21618,2085,1,1,1,1779.222515),-- [elemental_bow_shaft]
(21618,285,1,1,1,23.277485),-- [noble_elven_bow]
(21618,2086,1,1,1,1779.222515),-- [noble_elven_bow_shaft]
(21618,1869,1,1,2,85738.3957),-- [iron_ore]
(21618,1864,1,1,2,171476.51643),-- [stem]
(21618,1880,1,1,2,8573.83957),-- [steel]
(21618,5550,1,1,2,1143.05029),-- [reinforcing_plate]
(21618,4043,1,1,2,2858.03818),-- [asofe]
(21618,2348,1,1,2,199.35325),-- [rp_heathen's_book]
(21618,2351,1,1,2,179.28044),-- [rp_scorpion]
(21618,952,1,1,2,1143.05029),-- [scrl_of_ench_am_c]
(21618,8724,1,1,2,2858.03818),-- [general_49_c]
(21618,8734,1,1,2,714.37206),-- [special_49_c]
(21618,8744,1,1,2,71.4922),-- [rare_49_c]
(21618,8754,1,1,2,14.57341),-- [unique_49_c]
(21619,2166,1,1,-1,143676),-- [rp_earing_of_binding]
(21619,1912,1,1,-1,456727),-- [ring_of_protection_gemstone]
(21619,2167,1,1,-1,216246),-- [rp_ring_of_ages]
(21619,57,1676,3407,0,700000),-- [adena]
(21619,282,1,1,1,42.493517),-- [elemental_bow]
(21619,2085,1,1,1,3248.006483),-- [elemental_bow_shaft]
(21619,285,1,1,1,42.493517),-- [noble_elven_bow]
(21619,2086,1,1,1,3248.006483),-- [noble_elven_bow_shaft]
(21619,1869,2,6,2,46948.722525),-- [iron_ore]
(21619,1870,2,6,2,37558.97802),-- [coal]
(21619,1871,1,1,2,187795.381581),-- [charcoal]
(21619,1872,1,3,2,125196.921054),-- [animal_bone]
(21619,1867,1,3,2,83464.777863),-- [animal_skin]
(21619,952,1,1,2,2504.095695),-- [scrl_of_ench_am_c]
(21619,8724,1,1,2,6259.993497),-- [general_49_c]
(21619,8734,1,1,2,1564.875504),-- [special_49_c]
(21619,8744,1,1,2,156.290958),-- [rare_49_c]
(21619,8754,1,1,2,30.963303),-- [unique_49_c]
(21620,2335,1,1,-1,3676),-- [rp_war_axe]
(21620,1976,1,1,-1,96108),-- [rind_leather_gaiters_material]
(21620,2167,1,1,-1,80638),-- [rp_ring_of_ages]
(21620,57,624,1272,0,700000),-- [adena]
(21620,853,1,1,1,155.099014),-- [earing_of_protection]
(21620,1911,1,1,1,8681.3888),-- [earing_of_protection_gemstone]
(21620,916,1,1,1,116.367552),-- [necklace_of_protection]
(21620,1913,1,1,1,7097.670286),-- [necklace_of_protection_gemstone]
(21620,884,1,1,1,232.735104),-- [ring_of_protection]
(21620,1912,1,1,1,12577.739244),-- [ring_of_protection_gemstone]
(21620,1870,1,1,2,70028.1594),-- [coal]
(21620,1865,1,1,2,70028.1594),-- [varnish]
(21620,1874,1,1,2,4668.595065),-- [oriharukon_ore]
(21620,4043,1,1,2,2334.220875),-- [asofe]
(21620,4039,1,1,2,2334.220875),-- [mold_glue]
(21620,952,1,1,2,933.68835),-- [scrl_of_ench_am_c]
(21620,8724,1,1,2,2334.220875),-- [general_49_c]
(21620,8734,1,1,2,583.51689),-- [special_49_c]
(21620,8744,1,1,2,58.413015),-- [rare_49_c]
(21620,8754,1,1,2,11.805255),-- [unique_49_c]
(21621,2335,1,1,-1,5205),-- [rp_war_axe]
(21621,1976,1,1,-1,136094),-- [rind_leather_gaiters_material]
(21621,2167,1,1,-1,114187),-- [rp_ring_of_ages]
(21621,57,883,1802,0,700000),-- [adena]
(21621,853,1,1,1,219.630006),-- [earing_of_protection]
(21621,1911,1,1,1,12293.3952),-- [earing_of_protection_gemstone]
(21621,916,1,1,1,164.783808),-- [necklace_of_protection]
(21621,1913,1,1,1,10050.749694),-- [necklace_of_protection_gemstone]
(21621,884,1,1,1,329.567616),-- [ring_of_protection]
(21621,1912,1,1,1,17810.873676),-- [ring_of_protection_gemstone]
(21621,1870,1,1,2,99163.96628),-- [coal]
(21621,1865,1,1,2,99163.96628),-- [varnish]
(21621,1874,1,1,2,6611.003453),-- [oriharukon_ore]
(21621,4043,1,1,2,3305.393175),-- [asofe]
(21621,4039,1,1,2,3305.393175),-- [mold_glue]
(21621,952,1,1,2,1322.15727),-- [scrl_of_ench_am_c]
(21621,8724,1,1,2,3305.393175),-- [general_49_c]
(21621,8734,1,1,2,826.294018),-- [special_49_c]
(21621,8744,1,1,2,82.716243),-- [rare_49_c]
(21621,8754,1,1,2,16.716931),-- [unique_49_c]
(21622,1913,1,1,-1,248409),-- [necklace_of_protection_gemstone]
(21622,951,1,1,-1,7427),-- [scrl_of_ench_wp_c]
(21622,1865,1,9,-1,817018),-- [varnish]
(21622,57,1612,3288,0,700000),-- [adena]
(21622,853,1,1,1,400.889652),-- [earing_of_protection]
(21622,1911,1,1,1,22439.0784),-- [earing_of_protection_gemstone]
(21622,916,1,1,1,300.779136),-- [necklace_of_protection]
(21622,1913,1,1,1,18345.587748),-- [necklace_of_protection_gemstone]
(21622,884,1,1,1,601.558272),-- [ring_of_protection]
(21622,1912,1,1,1,32510.106792),-- [ring_of_protection_gemstone]
(21622,1864,5,15,2,32909.279491),-- [stem]
(21622,1865,3,9,2,27424.326173),-- [varnish]
(21622,1866,1,1,2,109696.864275),-- [suede]
(21622,1873,1,1,2,65818.118565),-- [silver_nugget]
(21622,1868,1,3,2,109696.864275),-- [thread]
(21622,2166,1,1,2,5577.881305),-- [rp_earing_of_binding]
(21622,8724,1,1,2,5484.953318),-- [general_49_c]
(21622,8734,1,1,2,1371.018121),-- [special_49_c]
(21622,8744,1,1,2,136.969687),-- [rare_49_c]
(21622,8754,1,1,2,27.305854),-- [unique_49_c]
(21622,1342,40,120,2,82273.418936),-- [fine_steel_arrow]
(21623,4601,1,1,-1,4445),-- [dye_s3c3_c]
(21623,1539,1,1,-1,444475),-- [greater_healing_potion]
(21623,1914,1,1,-1,112367),-- [earing_of_binding_gemstone]
(21623,57,791,1608,0,700000),-- [adena]
(21623,283,1,1,1,25.03392),-- [akat_long_bow]
(21623,2109,1,1,1,2318.96608),-- [akat_long_bow_shaft]
(21623,1871,1,1,2,68928.022516),-- [charcoal]
(21623,1866,1,1,2,45951.932222),-- [suede]
(21623,1877,1,1,2,2757.110966),-- [admantite_nugget]
(21623,4041,1,1,2,599.431341),-- [mold_hardener]
(21623,4040,1,1,2,1378.555483),-- [mold_lubricant]
(21623,2357,1,1,2,112.385615),-- [rp_crystal_dagger]
(21623,3014,1,1,2,1925.333232),-- [rp_full_plate_boots]
(21623,4188,1,1,2,79.352937),-- [rp_hell_knife]
(21623,8725,1,1,2,1914.653494),-- [general_52_c]
(21623,8735,1,1,2,478.725465),-- [special_52_c]
(21623,8745,1,1,2,47.810455),-- [rare_52_c]
(21623,8755,1,1,2,9.686274),-- [unique_52_c]
(21624,4601,1,1,-1,6294),-- [dye_s3c3_c]
(21624,1539,1,1,-1,629400),-- [greater_healing_potion]
(21624,1914,1,1,-1,159118),-- [earing_of_binding_gemstone]
(21624,57,1120,2277,0,700000),-- [adena]
(21624,283,1,1,1,35.44692),-- [akat_long_bow]
(21624,2109,1,1,1,3283.55308),-- [akat_long_bow_shaft]
(21624,1871,1,1,2,97605.339148),-- [charcoal]
(21624,1866,1,1,2,65070.108866),-- [suede]
(21624,1877,1,1,2,3904.199498),-- [admantite_nugget]
(21624,4041,1,1,2,848.823123),-- [mold_hardener]
(21624,4040,1,1,2,1952.099749),-- [mold_lubricant]
(21624,2357,1,1,2,159.143345),-- [rp_crystal_dagger]
(21624,3014,1,1,2,2726.362896),-- [rp_full_plate_boots]
(21624,4188,1,1,2,112.367511),-- [rp_hell_knife]
(21624,8725,1,1,2,2711.239882),-- [general_52_c]
(21624,8735,1,1,2,677.897895),-- [special_52_c]
(21624,8745,1,1,2,67.701865),-- [rare_52_c]
(21624,8755,1,1,2,13.716222),-- [unique_52_c]
(21626,4603,1,1,-1,3968),-- [dye_c3s3_c]
(21626,1539,1,1,-1,396845),-- [greater_healing_potion]
(21626,4041,1,1,-1,15529),-- [mold_hardener]
(21626,57,707,1437,0,700000),-- [adena]
(21626,854,1,1,1,108.633591),-- [earing_of_binding]
(21626,1914,1,1,1,6913.98058),-- [earing_of_binding_gemstone]
(21626,917,1,1,1,81.48103),-- [necklace_of_mermaid]
(21626,1916,1,1,1,5236.96557),-- [necklace_of_mermaid_teardrop]
(21626,885,1,1,1,162.892019),-- [ring_of_ages]
(21626,1915,1,1,1,10843.04721),-- [ring_of_ages_gemstone]
(21626,1872,1,1,2,82055.327472),-- [animal_bone]
(21626,1867,1,1,2,82055.327472),-- [animal_skin]
(21626,1881,1,1,2,8205.496844),-- [coarse_bone_powder]
(21626,1875,1,1,2,4102.83818),-- [stone_of_purity]
(21626,4041,1,1,2,535.137196),-- [mold_hardener]
(21626,4601,1,1,2,136.791192),-- [dye_s3c3_c]
(21626,4609,1,1,2,136.791192),-- [dye_m3i3_c]
(21626,2355,1,1,2,100.349444),-- [rp_ghoul's_staff]
(21626,8725,1,1,2,1709.530868),-- [general_52_c]
(21626,8735,1,1,2,427.427596),-- [special_52_c]
(21626,8745,1,1,2,42.724808),-- [rare_52_c]
(21626,8755,1,1,2,8.257736),-- [unique_52_c]
(21627,4603,1,1,-1,5620),-- [dye_c3s3_c]
(21627,1539,1,1,-1,561953),-- [greater_healing_potion]
(21627,4041,1,1,-1,21989),-- [mold_hardener]
(21627,57,1001,2034,0,700000),-- [adena]
(21627,854,1,1,1,153.832833),-- [earing_of_binding]
(21627,1914,1,1,1,9790.68454),-- [earing_of_binding_gemstone]
(21627,917,1,1,1,115.38289),-- [necklace_of_mermaid]
(21627,1916,1,1,1,7415.91291),-- [necklace_of_mermaid_teardrop]
(21627,885,1,1,1,230.666597),-- [ring_of_ages]
(21627,1915,1,1,1,15354.52023),-- [ring_of_ages_gemstone]
(21627,1872,1,1,2,116194.614768),-- [animal_bone]
(21627,1867,1,1,2,116194.614768),-- [animal_skin]
(21627,1881,1,1,2,11619.410636),-- [coarse_bone_powder]
(21627,1875,1,1,2,5809.83242),-- [stone_of_purity]
(21627,4041,1,1,2,757.782124),-- [mold_hardener]
(21627,4601,1,1,2,193.703448),-- [dye_s3c3_c]
(21627,4609,1,1,2,193.703448),-- [dye_m3i3_c]
(21627,2355,1,1,2,142.100036),-- [rp_ghoul's_staff]
(21627,8725,1,1,2,2420.784692),-- [general_52_c]
(21627,8735,1,1,2,605.259724),-- [special_52_c]
(21627,8745,1,1,2,60.500552),-- [rare_52_c]
(21627,8755,1,1,2,11.693384),-- [unique_52_c]
(21628,1874,1,1,-1,307715),-- [oriharukon_ore]
(21628,4604,1,1,-1,10257),-- [dye_c3c3_c]
(21628,1539,1,3,-1,512859),-- [greater_healing_potion]
(21628,57,1828,3713,0,700000),-- [adena]
(21628,162,1,1,1,7.220367),-- [war_axe]
(21628,2097,1,1,1,638.983884),-- [war_axe_blade]
(21628,174,1,1,1,7.220367),-- [nirvana_axe]
(21628,2098,1,1,1,638.983884),-- [nirvana_axe_blade]
(21628,196,1,1,1,7.220367),-- [stick_of_eternity]
(21628,2099,1,1,1,672.482349),-- [stick_of_eternity_shaft]
(21628,197,1,1,1,7.220367),-- [paradia_staff]
(21628,2100,1,1,1,672.482349),-- [paradia_staff_head]
(21628,199,1,1,1,7.220367),-- [paagrio_hammer]
(21628,2102,1,1,1,648.361329),-- [paagrio_hammer_head]
(21628,200,1,1,1,7.220367),-- [sage's_staff]
(21628,2103,1,1,1,672.482349),-- [sage's_staff_head]
(21628,201,1,1,1,7.220367),-- [club_of_nature]
(21628,2104,1,1,1,672.482349),-- [club_of_nature_head]
(21628,202,1,1,1,7.220367),-- [mace_of_underworld]
(21628,2105,1,1,1,638.978571),-- [mace_of_underworld_head]
(21628,1874,1,1,2,11568.38119),-- [oriharukon_ore]
(21628,1878,1,1,2,69410.71907),-- [braided_hemp]
(21628,1884,1,1,2,106785.837935),-- [cord]
(21628,1889,1,1,2,11568.38119),-- [compound_braid]
(21628,5220,1,1,2,6941.1151),-- [reinforcing_agent]
(21628,2356,1,1,2,283.130115),-- [rp_demon's_staff]
(21628,3012,1,1,2,3237.531315),-- [rp_full_plate_helmet]
(21628,8725,1,1,2,4820.122835),-- [general_52_c]
(21628,8735,1,1,2,1205.0847),-- [special_52_c]
(21628,8745,1,1,2,120.50847),-- [rare_52_c]
(21628,8755,1,1,2,24.18808),-- [unique_52_c]
(21629,2100,1,1,-1,13718),-- [paradia_staff_head]
(21629,2354,1,1,-1,3970),-- [rp_deadman's_staff]
(21629,4042,1,1,-1,40560),-- [enria]
(21629,57,967,1954,0,700000),-- [adena]
(21629,75,1,1,1,5.075532),-- [caliburs]
(21629,2089,1,1,1,456.925392),-- [caliburs_edge]
(21629,76,1,1,1,5.075532),-- [sword_of_delusion]
(21629,2090,1,1,1,456.925392),-- [sword_of_delusion_blade]
(21629,77,1,1,1,5.075532),-- [tsurugi]
(21629,2091,1,1,1,456.925392),-- [tsurugi_blade]
(21629,84,1,1,1,5.075532),-- [homunkulus's_sword]
(21629,2092,1,1,1,456.925392),-- [homunkulus's_sword_blade]
(21629,134,1,1,1,5.075532),-- [sword_of_nightmare]
(21629,2095,1,1,1,456.925392),-- [sword_of_nightmare_blade]
(21629,145,1,1,1,5.075532),-- [deathbreath_sword]
(21629,2096,1,1,1,456.919848),-- [deathbreath_sword_blade]
(21629,1873,1,1,2,28754.269544),-- [silver_nugget]
(21629,1868,1,1,2,143770.883256),-- [thread]
(21629,1876,1,1,2,14377.018656),-- [mithril_ore]
(21629,1895,1,1,2,20538.59808),-- [metallic_fiber]
(21629,4042,1,1,2,1198.084888),-- [enria]
(21629,4608,1,1,2,159.775616),-- [dye_i3w3_c]
(21629,3017,1,1,2,2007.877872),-- [rp_blessed_gloves]
(21629,5155,1,1,2,143.751608),-- [rp_comp_soulshot_b]
(21629,6669,1,1,2,16717.452752),-- [key_of_treasure_box5]
(21629,8725,1,1,2,1996.730736),-- [general_52_c]
(21629,8735,1,1,2,499.2988),-- [special_52_c]
(21629,8745,1,1,2,49.92988),-- [rare_52_c]
(21629,8755,1,1,2,10.45044),-- [unique_52_c]
(21630,2100,1,1,-1,19426),-- [paradia_staff_head]
(21630,2354,1,1,-1,5622),-- [rp_deadman's_staff]
(21630,4042,1,1,-1,57436),-- [enria]
(21630,57,1369,2766,0,700000),-- [adena]
(21630,75,1,1,1,7.188506),-- [caliburs]
(21630,2089,1,1,1,647.146136),-- [caliburs_edge]
(21630,76,1,1,1,7.188506),-- [sword_of_delusion]
(21630,2090,1,1,1,647.146136),-- [sword_of_delusion_blade]
(21630,77,1,1,1,7.188506),-- [tsurugi]
(21630,2091,1,1,1,647.146136),-- [tsurugi_blade]
(21630,84,1,1,1,7.188506),-- [homunkulus's_sword]
(21630,2092,1,1,1,647.146136),-- [homunkulus's_sword_blade]
(21630,134,1,1,1,7.188506),-- [sword_of_nightmare]
(21630,2095,1,1,1,647.146136),-- [sword_of_nightmare_blade]
(21630,145,1,1,1,7.188506),-- [deathbreath_sword]
(21630,2096,1,1,1,647.138284),-- [deathbreath_sword_blade]
(21630,1873,1,1,2,40717.591901),-- [silver_nugget]
(21630,1868,1,1,2,203587.301799),-- [thread]
(21630,1876,1,1,2,20358.631524),-- [mithril_ore]
(21630,1895,1,1,2,29083.75932),-- [metallic_fiber]
(21630,4042,1,1,2,1696.552627),-- [enria]
(21630,4608,1,1,2,226.250864),-- [dye_i3w3_c]
(21630,3017,1,1,2,2843.263038),-- [rp_blessed_gloves]
(21630,5155,1,1,2,203.560007),-- [rp_comp_soulshot_b]
(21630,6669,1,1,2,23672.812058),-- [key_of_treasure_box5]
(21630,8725,1,1,2,2827.478094),-- [general_52_c]
(21630,8735,1,1,2,707.03395),-- [special_52_c]
(21630,8745,1,1,2,70.703395),-- [rare_52_c]
(21630,8755,1,1,2,14.798385),-- [unique_52_c]
(21631,2091,1,1,-1,30793),-- [tsurugi_blade]
(21631,2353,1,1,-1,9218),-- [rp_samurai_longsword]
(21631,2092,1,1,-1,30793),-- [homunkulus's_sword_blade]
(21631,57,2244,4536,0,700000),-- [adena]
(21631,103,1,1,1,294.589262),-- [tower_shield]
(21631,1978,1,1,1,18723.076077),-- [tower_shield_fragment]
(21631,107,1,1,1,294.589262),-- [composite_shield]
(21631,4055,1,1,1,18723.076077),-- [composite_shield_fragment]
(21631,517,1,1,1,206.30218),-- [composite_helmet]
(21631,2957,1,1,1,12810.532481),-- [composite_helmet_design]
(21631,1149,1,1,1,206.30218),-- [shining_circlet]
(21631,1983,1,1,1,12810.532481),-- [shining_circlet_pattern]
(21631,1873,1,1,2,84970.373859),-- [silver_nugget]
(21631,1868,1,3,2,212425.726659),-- [thread]
(21631,1876,1,1,2,42484.978941),-- [mithril_ore]
(21631,1895,1,1,2,60693.124185),-- [metallic_fiber]
(21631,4042,1,1,2,3540.380247),-- [enria]
(21631,2357,1,1,2,346.508841),-- [rp_crystal_dagger]
(21631,3012,1,1,2,3963.012879),-- [rp_full_plate_helmet]
(21631,8725,1,1,2,5900.633745),-- [general_52_c]
(21631,8735,1,1,2,1475.054442),-- [special_52_c]
(21631,8745,1,1,2,147.671835),-- [rare_52_c]
(21631,8755,1,1,2,29.534367),-- [unique_52_c]
(21632,2955,1,1,-1,135850),-- [theca_leather_gloves_texture]
(21632,4042,1,1,-1,35774),-- [enria]
(21632,1918,1,1,-1,92959),-- [nassen's_earing_gemstone]
(21632,57,850,1726,0,700000),-- [adena]
(21632,400,1,1,1,41.603614),-- [theca_leather_mail]
(21632,1984,1,1,1,2831.361299),-- [theca_leather_mail_pattern]
(21632,401,1,1,1,19.696443),-- [drake_leather_mail]
(21632,1987,1,1,1,2015.154804),-- [drake_leather_mail_texture]
(21632,420,1,1,1,66.588652),-- [theca_leather_gaiters]
(21632,1985,1,1,1,4554.595188),-- [theca_leather_gaiters_pattern]
(21632,1870,1,1,2,66044.127513),-- [coal]
(21632,1865,1,1,2,66044.127513),-- [varnish]
(21632,1874,1,1,2,4402.970824),-- [oriharukon_ore]
(21632,4043,1,1,2,2201.485412),-- [asofe]
(21632,4039,1,1,2,2201.485412),-- [mold_glue]
(21632,4133,1,1,2,317.583259),-- [rp_shrnoen's_breastplate]
(21632,4959,1,1,2,1272.507271),-- [rp_avadon_boots_i]
(21632,4941,1,1,2,508.046245),-- [rp_shrnoen's_gaiters_i]
(21632,8726,1,1,2,1528.777103),-- [general_55_c]
(21632,8736,1,1,2,382.230513),-- [special_55_c]
(21632,8746,1,1,2,38.266536),-- [rare_55_c]
(21632,8756,1,1,2,7.392399),-- [unique_55_c]
(21633,2955,1,1,-1,192371),-- [theca_leather_gloves_texture]
(21633,4042,1,1,-1,50658),-- [enria]
(21633,1918,1,1,-1,131635),-- [nassen's_earing_gemstone]
(21633,57,1203,2444,0,700000),-- [adena]
(21633,400,1,1,1,58.910438),-- [theca_leather_mail]
(21633,1984,1,1,1,4009.188583),-- [theca_leather_mail_pattern]
(21633,401,1,1,1,27.890031),-- [drake_leather_mail]
(21633,1987,1,1,1,2853.445668),-- [drake_leather_mail_texture]
(21633,420,1,1,1,94.289084),-- [theca_leather_gaiters]
(21633,1985,1,1,1,6449.276196),-- [theca_leather_gaiters_pattern]
(21633,1870,1,1,2,93521.772435),-- [coal]
(21633,1865,1,1,2,93521.772435),-- [varnish]
(21633,1874,1,1,2,6234.82588),-- [oriharukon_ore]
(21633,4043,1,1,2,3117.41294),-- [asofe]
(21633,4039,1,1,2,3117.41294),-- [mold_glue]
(21633,4133,1,1,2,449.713705),-- [rp_shrnoen's_breastplate]
(21633,4959,1,1,2,1801.933645),-- [rp_avadon_boots_i]
(21633,4941,1,1,2,719.418775),-- [rp_shrnoen's_gaiters_i]
(21633,8726,1,1,2,2164.824485),-- [general_55_c]
(21633,8736,1,1,2,541.257435),-- [special_55_c]
(21633,8746,1,1,2,54.18732),-- [rare_55_c]
(21633,8756,1,1,2,10.468005),-- [unique_55_c]
(21634,1806,1,1,-1,11096),-- [rp_soulshot_b]
(21634,1918,1,1,-1,240271),-- [nassen's_earing_gemstone]
(21634,4039,1,1,-1,184928),-- [mold_glue]
(21634,57,2196,4461,0,700000),-- [adena]
(21634,135,1,1,1,21.728315),-- [samurai_longsword]
(21634,2115,1,1,1,2346.288378),-- [samurai_longsword_blade]
(21634,5286,1,1,1,21.728315),-- [berserker_blade]
(21634,5530,1,1,1,2349.254992),-- [berserker_blade_edge]
(21634,1894,1,1,2,7187.52632),-- [crafted_leather]
(21634,4039,1,1,2,6828.17148),-- [mold_glue]
(21634,4041,1,1,2,1781.25012),-- [mold_hardener]
(21634,4044,1,1,2,6828.17148),-- [thons]
(21634,1806,1,1,2,409.70072),-- [rp_soulshot_b]
(21634,4134,1,1,2,1575.7248),-- [rp_shrnoen's_gaiters]
(21634,8726,1,1,2,4741.77808),-- [general_55_c]
(21634,8736,1,1,2,1185.44452),-- [special_55_c]
(21634,8746,1,1,2,118.54752),-- [rare_55_c]
(21634,8756,1,1,2,23.68496),-- [unique_55_c]
(21635,1985,1,1,-1,70752),-- [theca_leather_gaiters_pattern]
(21635,4937,1,1,-1,33858),-- [rp_adamantite_earing_i]
(21635,1806,1,1,-1,4104),-- [rp_soulshot_b]
(21635,57,810,1651,0,700000),-- [adena]
(21635,2436,1,1,1,51.147582),-- [theca_leather_boots]
(21635,2954,1,1,1,3425.59672),-- [theca_leather_boots_texture]
(21635,2437,1,1,1,39.351028),-- [drake_leather_boots]
(21635,2960,1,1,1,2947.146874),-- [drake_leather_boots_design]
(21635,2438,1,1,1,39.351028),-- [full_plate_boots]
(21635,2961,1,1,1,2947.146874),-- [full_plate_boots_part]
(21635,2460,1,1,1,51.147582),-- [theca_leather_gloves]
(21635,2955,1,1,1,3425.59672),-- [theca_leather_gloves_texture]
(21635,2461,1,1,1,39.351028),-- [drake_leather_gloves]
(21635,2962,1,1,1,2947.146874),-- [drake_leather_gloves_design]
(21635,2462,1,1,1,39.351028),-- [full_plate_gauntlet]
(21635,2963,1,1,1,2947.146874),-- [full_plate_gauntlet_part]
(21635,2463,1,1,1,39.351028),-- [blessed_gloves]
(21635,2964,1,1,1,2947.16876),-- [blessed_gloves_pattern]
(21635,1864,1,1,2,126266.154028),-- [stem]
(21635,1869,1,1,2,63132.947596),-- [iron_ore]
(21635,1878,1,1,2,25253.33434),-- [braided_hemp]
(21635,1884,1,1,2,38851.024764),-- [cord]
(21635,4039,1,1,2,2104.33668),-- [mold_glue]
(21635,4178,1,1,2,1158.2911),-- [rp_shrnoen's_shield]
(21635,4184,1,1,2,72.732916),-- [rp_sprite's_staff]
(21635,5160,1,1,2,126.311968),-- [rp_comp_spiritshot_b]
(21635,8726,1,1,2,1461.388056),-- [general_55_c]
(21635,8736,1,1,2,365.476432),-- [special_55_c]
(21635,8746,1,1,2,36.495876),-- [rare_55_c]
(21635,8756,1,1,2,7.506244),-- [unique_55_c]
(21636,1985,1,1,-1,100189),-- [theca_leather_gaiters_pattern]
(21636,4937,1,1,-1,47945),-- [rp_adamantite_earing_i]
(21636,1806,1,1,-1,5811),-- [rp_soulshot_b]
(21636,57,1148,2337,0,700000),-- [adena]
(21636,2436,1,1,1,72.428304),-- [theca_leather_boots]
(21636,2954,1,1,1,4850.86784),-- [theca_leather_boots_texture]
(21636,2437,1,1,1,55.723616),-- [drake_leather_boots]
(21636,2960,1,1,1,4173.351728),-- [drake_leather_boots_design]
(21636,2438,1,1,1,55.723616),-- [full_plate_boots]
(21636,2961,1,1,1,4173.351728),-- [full_plate_boots_part]
(21636,2460,1,1,1,72.428304),-- [theca_leather_gloves]
(21636,2955,1,1,1,4850.86784),-- [theca_leather_gloves_texture]
(21636,2461,1,1,1,55.723616),-- [drake_leather_gloves]
(21636,2962,1,1,1,4173.351728),-- [drake_leather_gloves_design]
(21636,2462,1,1,1,55.723616),-- [full_plate_gauntlet]
(21636,2963,1,1,1,4173.351728),-- [full_plate_gauntlet_part]
(21636,2463,1,1,1,55.723616),-- [blessed_gloves]
(21636,2964,1,1,1,4173.38272),-- [blessed_gloves_pattern]
(21636,1864,1,1,2,178799.325075),-- [stem]
(21636,1869,1,1,2,89399.479275),-- [iron_ore]
(21636,1878,1,1,2,35760.011625),-- [braided_hemp]
(21636,1884,1,1,2,55015.035975),-- [cord]
(21636,4039,1,1,2,2979.84825),-- [mold_glue]
(21636,4178,1,1,2,1640.199375),-- [rp_shrnoen's_shield]
(21636,4184,1,1,2,102.993525),-- [rp_sprite's_staff]
(21636,5160,1,1,2,178.8642),-- [rp_comp_spiritshot_b]
(21636,8726,1,1,2,2069.40015),-- [general_55_c]
(21636,8736,1,1,2,517.5333),-- [special_55_c]
(21636,8746,1,1,2,51.680025),-- [rare_55_c]
(21636,8756,1,1,2,10.629225),-- [unique_55_c]
(21637,2115,1,1,-1,24296),-- [samurai_longsword_blade]
(21637,4141,1,1,-1,25497),-- [rp_avadon_breastplate]
(21637,2116,1,1,-1,24951),-- [deadman's_staff_head]
(21637,57,2095,4266,0,700000),-- [adena]
(21637,135,1,1,1,20.77005),-- [samurai_longsword]
(21637,2115,1,1,1,2242.81206),-- [samurai_longsword_blade]
(21637,5286,1,1,1,20.77005),-- [berserker_blade]
(21637,5530,1,1,1,2245.64784),-- [berserker_blade_edge]
(21637,1864,4,12,2,44503.242147),-- [stem]
(21637,1865,2,6,2,35602.354575),-- [varnish]
(21637,1866,1,1,2,118674.913821),-- [suede]
(21637,1873,1,1,2,71205.107721),-- [silver_nugget]
(21637,1868,1,3,2,118674.913821),-- [thread]
(21637,4142,1,1,2,1369.489956),-- [rp_avadon_gaiters]
(21637,4936,1,1,2,3266.289345),-- [rp_avadon_shield_i]
(21637,8726,1,1,2,4120.825569),-- [general_55_c]
(21637,8736,1,1,2,1030.306035),-- [special_55_c]
(21637,8746,1,1,2,102.831318),-- [rare_55_c]
(21637,8756,1,1,2,20.725692),-- [unique_55_c]
(21638,2203,1,1,-1,99396),-- [rp_mithril_boots]
(21638,1935,1,1,-1,25488),-- [scale_mail_fragment]
(21638,1900,1,1,-1,49916),-- [enchanted_necklace_chain]
(21638,57,193,384,0,700000),-- [adena]
(21638,316,1,1,1,21.746132),-- [blood_of_saints]
(21638,317,1,1,1,21.746132),-- [tome_of_blood]
(21638,2030,1,1,1,945.507736),-- [tome_of_blood_page]
(21638,1874,1,1,2,2310.220763),-- [oriharukon_ore]
(21638,1878,1,1,2,13861.222136),-- [braided_hemp]
(21638,1884,1,1,2,21324.992593),-- [cord]
(21638,1889,1,1,2,2310.220763),-- [compound_braid]
(21638,5220,1,1,2,1386.142702),-- [reinforcing_agent]
(21638,2153,1,1,2,5389.268736),-- [rp_tiger'seye_earing]
(21638,2977,1,1,2,4638.932307),-- [rp_brigandine_boots]
(21639,2021,1,1,-1,6804),-- [spinebone_sword_blade]
(21639,2184,1,1,-1,56604),-- [rp_mithril_banded_gaiters]
(21639,2153,1,1,-1,83805),-- [rp_tiger'seye_earing]
(21639,57,227,455,0,700000),-- [adena]
(21639,83,1,1,1,17.34048),-- [sword_of_magic]
(21639,144,1,1,1,17.34048),-- [sword_of_occult]
(21639,124,1,1,1,12.845952),-- [two-handed_sword]
(21639,2026,1,1,1,574.780536),-- [two-handed_sword_edge]
(21639,127,1,1,1,12.845952),-- [crimson_sword]
(21639,130,1,1,1,12.8466),-- [elven_sword]
(21639,1875,1,1,2,3183.424369),-- [stone_of_purity]
(21639,1879,1,1,2,7958.577158),-- [cokes]
(21639,1885,1,1,2,3979.288579),-- [high_grade_suede]
(21639,5550,1,1,2,636.691368),-- [reinforcing_plate]
(21639,5549,1,1,2,4775.152789),-- [iron_thread]
(21639,2250,1,1,2,11937.865737),-- [rp_bone_arrow]
(21641,2302,1,1,-1,3052),-- [rp_war_pick]
(21641,1956,1,1,-1,79338),-- [square_shield_fragment]
(21641,2154,1,1,-1,74836),-- [rp_elven_earing]
(21641,57,296,590,0,700000),-- [adena]
(21641,88,1,1,1,6.72708),-- [morning_star]
(21641,2031,1,1,1,365.64681),-- [morning_star_head]
(21641,90,1,1,1,6.72708),-- [goathead_staff]
(21641,2032,1,1,1,333.78285),-- [goathead_staff_head]
(21641,158,1,1,1,6.72708),-- [tarbar]
(21641,2035,1,1,1,365.64681),-- [tarbar_head]
(21641,169,1,1,1,6.72708),-- [skull_breaker]
(21641,2036,1,1,1,365.64681),-- [skull_breaker_head]
(21641,172,1,1,1,6.72708),-- [heavy_bone_club]
(21641,2037,1,1,1,365.64132),-- [heavy_bone_club_head]
(21641,1874,1,1,2,3010.925489),-- [oriharukon_ore]
(21641,1878,1,1,2,18065.345155),-- [braided_hemp]
(21641,1884,1,1,2,27792.726819),-- [cord]
(21641,1889,1,1,2,3010.925489),-- [compound_braid]
(21641,5220,1,1,2,1806.430626),-- [reinforcing_agent]
(21641,2190,1,1,2,3225.976754),-- [rp_mithril_hose]
(21641,2279,1,1,2,322.680787),-- [rp_hammer_in_flames]
(21641,1341,10,30,2,150543.988881),-- [bone_arrow]
(21642,2145,1,1,-1,45818),-- [rp_mithirl_alloy]
(21642,1904,1,1,-1,59864),-- [elven_necklace_beads]
(21642,1868,1,3,-1,641445),-- [thread]
(21642,57,271,541,0,700000),-- [adena]
(21642,279,1,1,1,30.87216),-- [strengthening_long_bow]
(21642,2040,1,1,1,1918.12784),-- [strengthening_long_bow_shaft]
(21642,1873,1,1,2,22105.244736),-- [silver_nugget]
(21642,1868,1,1,2,110526.22368),-- [thread]
(21642,1876,1,1,2,11052.622368),-- [mithril_ore]
(21642,1895,1,1,2,15789.437136),-- [metallic_fiber]
(21642,2146,1,1,2,3947.318352),-- [rp_artisan's_frame]
(21642,2285,1,1,2,307.153728),-- [rp_claymore]
(21643,2145,1,1,-1,58218),-- [rp_mithirl_alloy]
(21643,1904,1,1,-1,76067),-- [elven_necklace_beads]
(21643,1868,1,3,-1,815056),-- [thread]
(21643,57,345,687,0,700000),-- [adena]
(21643,279,1,1,1,39.23568),-- [strengthening_long_bow]
(21643,2040,1,1,1,2437.76432),-- [strengthening_long_bow_shaft]
(21643,1873,1,1,2,28088.031492),-- [silver_nugget]
(21643,1868,1,1,2,140440.15746),-- [thread]
(21643,1876,1,1,2,14044.015746),-- [mithril_ore]
(21643,1895,1,1,2,20062.849917),-- [metallic_fiber]
(21643,2146,1,1,2,5015.660469),-- [rp_artisan's_frame]
(21643,2285,1,1,2,390.284916),-- [rp_claymore]
(21644,2026,1,1,-1,4711),-- [two-handed_sword_edge]
(21644,2155,1,1,-1,62822),-- [rp_elven_ring]
(21644,5550,1,1,-1,5218),-- [reinforcing_plate]
(21644,57,166,330,0,700000),-- [adena]
(21644,395,1,1,1,58.81275),-- [manticor_skin_shirt]
(21644,1942,1,1,1,2579.8905),-- [manticor_skin_shirt_texture]
(21644,417,1,1,1,93.92625),-- [manticor_skin_gaiters]
(21644,1943,1,1,1,4017.3705),-- [manticor_skin_gaiters_pattern]
(21644,1875,1,1,2,1685.957287),-- [stone_of_purity]
(21644,1879,1,1,2,4214.885927),-- [cokes]
(21644,1885,1,1,2,2107.450254),-- [high_grade_suede]
(21644,5550,1,1,2,337.185625),-- [reinforcing_plate]
(21644,5549,1,1,2,2528.92864),-- [iron_thread]
(21644,2278,1,1,2,180.644009),-- [rp_strengthening_long_bow]
(21644,2286,1,1,2,140.502516),-- [rp_bonebreaker]
(21644,2977,1,1,2,3385.445742),-- [rp_brigandine_boots]
(21645,1870,1,1,-1,720648),-- [coal]
(21645,2029,1,1,-1,8596),-- [gastraphetes_shaft]
(21645,5549,1,1,-1,72065),-- [iron_thread]
(21645,57,301,600,0,700000),-- [adena]
(21645,850,1,1,1,172.699016),-- [elven_earing]
(21645,1902,1,1,1,6290.24193),-- [elven_earing_beads]
(21645,913,1,1,1,129.61627),-- [elven_necklace]
(21645,1904,1,1,1,5794.180798),-- [elven_necklace_beads]
(21645,881,1,1,1,259.23254),-- [elven_ring]
(21645,1903,1,1,1,10356.029446),-- [elven_ring_piece]
(21645,1875,1,1,2,2759.404299),-- [stone_of_purity]
(21645,1879,1,1,2,6898.614586),-- [cokes]
(21645,1885,1,1,2,3449.307293),-- [high_grade_suede]
(21645,5550,1,1,2,551.797789),-- [reinforcing_plate]
(21645,5549,1,1,2,4139.210287),-- [iron_thread]
(21645,2188,1,1,2,2956.489772),-- [rp_manticor_skin_gaiters]
(21645,5473,1,1,2,2956.489772),-- [rp_reinforcing_plate]
(21645,1832,1,1,2,45991.317712),-- [advanced_antidote]
(21645,1341,10,30,2,137974.36849),-- [bone_arrow]
(21646,5508,1,1,-1,80750),-- [sealed_dark_crystal_gloves_design]
(21646,730,1,1,-1,2870),-- [scrl_of_ench_am_a]
(21646,1894,1,1,-1,120842),-- [crafted_leather]
(21646,57,1701,3463,0,700000),-- [adena]
(21646,12225,1,1,1,879.400095),-- [sealed_dark_crystal_shield_low]
(21646,5494,1,1,1,4451.04739),-- [sealed_dark_crystal_shield_fragment]
(21646,12226,1,1,1,616.09024),-- [sealed_dark_crystal_helmet_low]
(21646,5525,1,1,1,3276.17946),-- [sealed_dark_crystal_helmet_design]
(21646,12234,1,1,1,616.09024),-- [sealed_tallum_bonnet_low]
(21646,5526,1,1,1,3276.192575),-- [sealed_tallum_bonnet_design]
(21646,1867,1,1,2,154137.061536),-- [animal_skin]
(21646,1872,1,1,2,154137.061536),-- [animal_bone]
(21646,1882,1,1,2,25689.510256),-- [leather]
(21646,1894,1,1,2,4056.059456),-- [crafted_leather]
(21646,4042,1,1,2,1926.48248),-- [enria]
(21646,5277,1,1,2,51.502432),-- [rp_adv_comp_spiritshot_s]
(21646,8731,1,1,2,1070.376016),-- [general_70_a]
(21646,8741,1,1,2,267.715472),-- [special_70_a]
(21646,8751,1,1,2,26.72296),-- [rare_70_a]
(21646,8761,1,1,2,5.344592),-- [unique_70_a]
(21646,1344,10,30,2,144504.163264),-- [mithril_arrow]
(21647,4044,1,1,-1,96846),-- [thons]
(21647,5509,1,1,-1,68122),-- [sealed_tallum_gloves_design]
(21647,5462,1,1,-1,1076),-- [rp_worldtree's_branch_i]
(21647,57,1435,2921,0,700000),-- [adena]
(21647,12227,1,1,1,194.890605),-- [sealed_dark_crystal_breastplate_low]
(21647,5520,1,1,1,1153.07335),-- [sealed_dark_crystal_breastplate_pattern]
(21647,12233,1,1,1,120.00638),-- [sealed_tallum_plate_armor_low]
(21647,5521,1,1,1,813.65336),-- [sealed_tallum_plate_armor_pattern]
(21647,12220,1,1,1,310.977485),-- [sealed_dark_crystal_gaiters_low]
(21647,5524,1,1,1,1762.39882),-- [sealed_dark_crystal_gaiters_pattern]
(21647,1868,1,1,2,214552.24957),-- [thread]
(21647,1873,1,1,2,42910.449914),-- [silver_nugget]
(21647,5549,1,1,2,10727.47236),-- [iron_thread]
(21647,1889,1,1,2,7151.64824),-- [compound_braid]
(21647,4044,1,1,2,3575.82412),-- [thons]
(21647,5282,1,1,2,47.64029),-- [rp_adv_comp_bspiritshot_s]
(21647,8731,1,1,2,993.159928),-- [general_70_a]
(21647,8741,1,1,2,248.289982),-- [special_70_a]
(21647,8751,1,1,2,24.941093),-- [rare_70_a]
(21647,8761,1,1,2,5.324503),-- [unique_70_a]
(21648,5482,1,1,-1,41890),-- [sealed_legging_of_dark_crystal_design]
(21648,5464,1,1,-1,1175),-- [rp_dark_legion's_edge_i]
(21648,5485,1,1,-1,26688),-- [sealed_tallum_tunic_texture]
(21648,57,1566,3192,0,700000),-- [adena]
(21648,12225,1,1,1,810.402558),-- [sealed_dark_crystal_shield_low]
(21648,5494,1,1,1,4101.819196),-- [sealed_dark_crystal_shield_fragment]
(21648,12226,1,1,1,567.751936),-- [sealed_dark_crystal_helmet_low]
(21648,5525,1,1,1,3019.131144),-- [sealed_dark_crystal_helmet_design]
(21648,12234,1,1,1,567.751936),-- [sealed_tallum_bonnet_low]
(21648,5526,1,1,1,3019.14323),-- [sealed_tallum_bonnet_design]
(21648,1869,1,1,2,106532.87281),-- [iron_ore]
(21648,1870,1,1,2,106532.87281),-- [coal]
(21648,1871,1,1,2,106532.87281),-- [charcoal]
(21648,1872,1,3,2,71022.07273),-- [animal_bone]
(21648,1867,1,3,2,47347.73344),-- [animal_skin]
(21648,5167,1,1,2,47.257),-- [rp_comp_bspiritshot_s]
(21648,8731,1,1,2,986.25359),-- [general_70_a]
(21648,8741,1,1,2,246.68154),-- [special_70_a]
(21648,8751,1,1,2,24.57364),-- [rare_70_a]
(21648,8761,1,1,2,4.7257),-- [unique_70_a]
(21648,1344,40,120,2,33292.08393),-- [mithril_arrow]
(21649,729,1,1,-1,417),-- [scrl_of_ench_wp_a]
(21649,4044,1,1,-1,125138),-- [thons]
(21649,1894,1,1,-1,131724),-- [crafted_leather]
(21649,57,1853,3776,0,700000),-- [adena]
(21649,12227,1,1,1,251.813877),-- [sealed_dark_crystal_breastplate_low]
(21649,5520,1,1,1,1489.86079),-- [sealed_dark_crystal_breastplate_pattern]
(21649,12233,1,1,1,155.057612),-- [sealed_tallum_plate_armor_low]
(21649,5521,1,1,1,1051.303664),-- [sealed_tallum_plate_armor_pattern]
(21649,12220,1,1,1,401.807189),-- [sealed_dark_crystal_gaiters_low]
(21649,5524,1,1,1,2277.156868),-- [sealed_dark_crystal_gaiters_pattern]
(21649,1894,1,1,2,5404.10768),-- [crafted_leather]
(21649,4039,1,1,2,5133.898515),-- [mold_glue]
(21649,4041,1,1,2,1339.26801),-- [mold_hardener]
(21649,4044,1,1,2,5133.898515),-- [thons]
(21649,5272,1,1,2,68.455005),-- [rp_adv_comp_soulshot_s]
(21649,8731,1,1,2,1426.07977),-- [general_70_a]
(21649,8741,1,1,2,356.529395),-- [special_70_a]
(21649,8751,1,1,2,35.65483),-- [rare_70_a]
(21649,8761,1,1,2,7.10828),-- [unique_70_a]
(21650,5162,1,1,-1,1530),-- [rp_comp_spiritshot_s]
(21650,5514,1,1,-1,58132),-- [sealed_gloves_of_nightmare_design]
(21650,5167,1,1,-1,1530),-- [rp_comp_bspiritshot_s]
(21650,57,1698,3464,0,700000),-- [adena]
(21650,11951,1,1,1,174.943146),-- [bloody_orchid_low]
(21650,5536,1,1,1,2162.056854),-- [bloody_orchid_head]
(21650,1895,1,1,2,36310.96792),-- [metallic_fiber]
(21650,4040,1,1,2,2541.79243),-- [mold_lubricant]
(21650,4042,1,1,2,2118.19463),-- [enria]
(21650,4043,1,1,2,4236.18363),-- [asofe]
(21650,3957,1,1,2,56.54825),-- [rp_blessed_spiritshot_s]
(21650,8731,1,1,2,1176.82049),-- [general_70_a]
(21650,8741,1,1,2,294.25653),-- [special_70_a]
(21650,8751,1,1,2,29.40509),-- [rare_70_a]
(21650,8761,1,1,2,5.96327),-- [unique_70_a]
(21650,1344,10,30,2,158859.86776),-- [mithril_arrow]
(21651,5515,1,1,-1,55534),-- [sealed_magestic_gloves_design]
(21651,1889,1,1,-1,219210),-- [compound_braid]
(21651,4044,1,1,-1,109605),-- [thons]
(21651,57,1622,3309,0,700000),-- [adena]
(21651,11946,1,1,1,41.771594),-- [dasparion's_staff_low]
(21651,5543,1,1,1,516.510096),-- [dasparion's_staff_head]
(21651,11949,1,1,1,41.771594),-- [meteor_shower_low]
(21651,5532,1,1,1,511.685946),-- [meteor_shower_head]
(21651,11953,1,1,1,41.771594),-- [eye_of_soul_low]
(21651,8341,1,1,1,511.031636),-- [eye_of_soul_piece]
(21651,11958,1,1,1,41.771594),-- [hammer_of_destroyer_low]
(21651,8346,1,1,1,511.685946),-- [hammer_of_destroyer_piece]
(21651,1868,1,1,2,242817.03955),-- [thread]
(21651,1873,1,1,2,48563.40791),-- [silver_nugget]
(21651,5549,1,1,2,12140.6934),-- [iron_thread]
(21651,1889,1,1,2,8093.7956),-- [compound_braid]
(21651,4044,1,1,2,4046.8978),-- [thons]
(21651,5157,1,1,2,53.91635),-- [rp_comp_soulshot_s]
(21651,8731,1,1,2,1123.99732),-- [general_70_a]
(21651,8741,1,1,2,280.99933),-- [special_70_a]
(21651,8751,1,1,2,28.226795),-- [rare_70_a]
(21651,8761,1,1,2,6.025945),-- [unique_70_a]
(21652,5272,1,1,-1,5080),-- [rp_adv_comp_soulshot_s]
(21652,5545,1,1,-1,31358),-- [dark_legion's_edge_edge]
(21652,5277,1,1,-1,5080),-- [rp_adv_comp_spiritshot_s]
(21652,57,5636,11501,0,700000),-- [adena]
(21652,305,1,1,1,20.347728),-- [tallum_glaive]
(21652,5541,1,1,1,5786.652272),-- [tallum_glaive_edge]
(21652,1867,4,12,2,78154.646772),-- [animal_skin]
(21652,1872,1,3,2,208412.811436),-- [animal_bone]
(21652,1882,1,1,2,104206.195696),-- [leather]
(21652,1894,1,1,2,16453.543524),-- [crafted_leather]
(21652,4042,1,1,2,7815.338664),-- [enria]
(21652,959,1,1,2,18.90198),-- [scrl_of_ench_wp_s]
(21652,8732,1,1,2,3907.669332),-- [general_75_s]
(21652,8742,1,1,2,977.022344),-- [special_75_s]
(21652,8752,1,1,2,97.870252),-- [rare_75_s]
(21653,5544,1,1,-1,26668),-- [worldtree's_branch_head]
(21653,5157,1,1,-1,4325),-- [rp_comp_soulshot_s]
(21653,5545,1,1,-1,26699),-- [dark_legion's_edge_edge]
(21653,57,4798,9794,0,700000),-- [adena]
(21653,270,1,1,1,17.325838),-- [dragon_grinder]
(21653,5538,1,1,1,4928.674162),-- [dragon_grinder_edge]
(21653,1895,1,1,2,114073.70024),-- [metallic_fiber]
(21653,4040,1,1,2,7985.32532),-- [mold_lubricant]
(21653,4042,1,1,2,6654.1078),-- [enria]
(21653,4043,1,1,2,13308.61156),-- [asofe]
(21653,960,1,1,2,159.57188),-- [scrl_of_ench_am_s]
(21653,8732,1,1,2,3327.25188),-- [general_75_s]
(21653,8742,1,1,2,831.91196),-- [special_75_s]
(21653,8752,1,1,2,83.1516),-- [rare_75_s]
(21653,1344,20,60,2,249536.36776),-- [mithril_arrow]
(21654,5167,1,1,-1,4782),-- [rp_comp_bspiritshot_s]
(21654,5488,1,1,-1,48447),-- [sealed_majestic_robe_fabric]
(21654,4042,1,1,-1,179309),-- [enria]
(21654,57,5293,10839,0,700000),-- [adena]
(21654,81,1,1,1,6.384495),-- [dragon_slayer]
(21654,5529,1,1,1,1815.72554),-- [dragon_slayer_edge]
(21654,151,1,1,1,6.384495),-- [sword_of_miracle]
(21654,5546,1,1,1,1994.40108),-- [sword_of_miracle_edge]
(21654,2500,1,1,1,6.384495),-- [dark_legion's_edge]
(21654,5545,1,1,1,1815.719895),-- [dark_legion's_edge_edge]
(21654,1867,5,15,2,52965.127416),-- [animal_skin]
(21654,1872,1,3,2,176550.891587),-- [animal_bone]
(21654,1882,1,1,2,88275.21236),-- [leather]
(21654,1894,1,1,2,13938.314285),-- [crafted_leather]
(21654,4042,1,1,2,6620.640927),-- [enria]
(21654,960,1,1,2,158.73478),-- [scrl_of_ench_am_s]
(21654,8732,1,1,2,3310.553897),-- [general_75_s]
(21654,8742,1,1,2,827.755191),-- [special_75_s]
(21654,8752,1,1,2,82.635459),-- [rare_75_s]
(21654,1344,40,120,2,124137.134098),-- [mithril_arrow]
(21655,6344,1,1,-1,150349),-- [sealed_majestic_necklace_beads]
(21655,6901,1,1,-1,10256),-- [rp_shining_arrow]
(21655,13099,1,1,-1,143031),-- [sealed_arcana_sigil_part]
(21655,57,5046,10335,0,700000),-- [adena]
(21655,5311,1,1,1,21.507996),-- [sealed_armor_of_nightmare]
(21655,5522,1,1,1,3224.492004),-- [sealed_armor_of_nightmare_pattern]
(21655,5316,1,1,1,21.507996),-- [sealed_majestic_platte_armor]
(21655,5523,1,1,1,3224.492004),-- [sealed_majestic_platte_armor_pattern]
(21655,1865,1,3,2,126228.542048),-- [varnish]
(21655,1870,2,6,2,94671.406536),-- [coal]
(21655,1879,1,1,2,63114.271024),-- [cokes]
(21655,1875,1,1,2,25245.561072),-- [stone_of_purity]
(21655,4040,1,1,2,7573.889328),-- [mold_lubricant]
(21655,960,1,1,2,151.389384),-- [scrl_of_ench_am_s]
(21655,8732,1,1,2,3155.603048),-- [general_75_s]
(21655,8742,1,1,2,788.992848),-- [special_75_s]
(21655,8752,1,1,2,78.825616),-- [rare_75_s]
(21655,1344,100,300,2,47335.519096),-- [mithril_arrow]
(21656,6704,1,1,-1,219330),-- [sealed_imperial_crusader_boots_design]
(21656,6705,1,1,-1,214834),-- [sealed_imperial_crusader_shield_part]
(21656,6706,1,1,-1,249893),-- [sealed_imperial_crusader_helmet_pattern]
(21656,57,7595,15500,0,700000),-- [adena]
(21656,5315,1,1,1,133.330893),-- [sealed_shield_of_nightmare]
(21656,5495,1,1,1,14393.419393),-- [sealed_shield_of_nightmare_fragment]
(21656,5312,1,1,1,93.297984),-- [sealed_helm_of_nightmare]
(21656,5527,1,1,1,11332.826873),-- [sealed_helm_of_nightmare_design]
(21656,5317,1,1,1,93.297984),-- [sealed_magestic_circlet]
(21656,5528,1,1,1,11332.826873),-- [sealed_magestic_circlet_design]
(21656,1872,5,15,2,75838.20699),-- [animal_bone]
(21656,1867,9,27,2,42132.1035),-- [animal_skin]
(21656,1881,1,1,2,75838.20699),-- [coarse_bone_powder]
(21656,1875,1,1,2,37918.89315),-- [stone_of_purity]
(21656,4041,1,1,2,4946.05233),-- [mold_hardener]
(21656,960,1,1,2,227.59329),-- [scrl_of_ench_am_s]
(21656,8732,1,1,2,4739.91423),-- [general_75_s]
(21656,8742,1,1,2,1185.08373),-- [special_75_s]
(21656,8752,1,1,2,118.63458),-- [rare_75_s]
(21656,1344,40,120,2,177745.31121),-- [mithril_arrow]
(21657,6688,1,1,-1,31026),-- [forgotten_blade_edge]
(21657,6689,1,1,-1,30442),-- [basalt_battlehammer_head]
(21657,6690,1,1,-1,31085),-- [piece_of_imperial_staff]
(21657,57,7076,14446,0,700000),-- [adena]
(21657,5320,1,1,1,40.133496),-- [sealed_leather_mail_of_nightmare]
(21657,5480,1,1,1,5946.366504),-- [sealed_leather_mail_of_nightmare_fabric]
(21657,5323,1,1,1,40.133496),-- [sealed_majestic_leather_mail]
(21657,5481,1,1,1,5946.366504),-- [sealed_majestic_leather_mail_fabric]
(21657,1865,9,27,2,29444.351638),-- [varnish]
(21657,1870,2,6,2,132499.582371),-- [coal]
(21657,1879,1,1,2,88333.054914),-- [cokes]
(21657,1875,1,1,2,35333.148305),-- [stone_of_purity]
(21657,4040,1,1,2,10600.128643),-- [mold_lubricant]
(21657,960,1,1,2,212.142528),-- [scrl_of_ench_am_s]
(21657,8732,1,1,2,4416.689576),-- [general_75_s]
(21657,8742,1,1,2,1104.172394),-- [special_75_s]
(21657,8752,1,1,2,110.4909),-- [rare_75_s]
(21657,1344,100,300,2,66249.238731),-- [mithril_arrow]
(21658,1876,1,1,-1,727098),-- [mithril_ore]
(21658,4052,1,1,-1,128713),-- [earing_of_black_ore_piece]
(21658,57,1443,2919,0,700000),-- [adena]
(21658,11930,1,1,1,58.453316),-- [sword_of_damascus_low]
(21658,4114,1,1,1,783.318352),-- [sword_of_damascus_blade]
(21658,11929,1,1,1,58.453316),-- [guardians_sword_low]
(21658,8330,1,1,1,782.000824),-- [guardians_sword_blade]
(21658,11943,1,1,1,58.453316),-- [tears_of_wizard_low]
(21658,8336,1,1,1,783.320876),-- [tears_of_wizard_blade]
(21658,1876,1,1,2,17897.773922),-- [mithril_ore]
(21658,1880,1,1,2,8948.886961),-- [steel]
(21658,1877,1,1,2,3579.593285),-- [admantite_nugget]
(21658,1881,1,1,2,11931.720946),-- [coarse_bone_powder]
(21658,1882,1,1,2,19886.329912),-- [leather]
(21658,1807,1,1,2,119.35186),-- [rp_soulshot_a]
(21658,5392,1,1,2,771.359521),-- [rp_sealed_dark_crystal_gloves_i]
(21658,8729,1,1,2,1193.133594),-- [general_64_a]
(21658,8739,1,1,2,298.37965),-- [special_64_a]
(21658,8749,1,1,2,29.837965),-- [rare_64_a]
(21658,8759,1,1,2,5.967593),-- [unique_64_a]
(21658,1343,10,30,2,127840.664791),-- [silver_arrow]
(21659,1869,1,3,-1,635864),-- [iron_ore]
(21659,1061,1,1,-1,770744),-- [healing_potion]
(21659,1900,1,1,-1,139139),-- [enchanted_necklace_chain]
(21659,57,536,1073,0,700000),-- [adena]
(21659,627,1,1,1,2583.325615),-- [aspis]
(21659,46,1,1,1,1809.674385),-- [bronze_helmet]
(21659,1869,1,1,2,115824.879009),-- [iron_ore]
(21659,1864,1,1,2,231649.758018),-- [stem]
(21659,1880,1,1,2,11582.600946),-- [steel]
(21659,5550,1,1,2,1544.196066),-- [reinforcing_plate]
(21659,737,1,1,2,11582.600946),-- [scroll_of_resurrection]
(21659,6387,1,1,2,4632.965015),-- [blessed_scroll_of_resurrection_pet]
(21660,2190,1,1,-1,126744),-- [rp_mithril_hose]
(21660,1940,1,1,-1,264838),-- [iron_boots_design]
(21660,1870,1,3,-1,887208),-- [coal]
(21660,57,749,1495,0,700000),-- [adena]
(21660,553,1,1,1,689.387352),-- [iron_boots]
(21660,1940,1,1,1,20115.675888),-- [iron_boots_design]
(21660,2422,1,1,1,689.387352),-- [reinforce_leather_boots]
(21660,2423,1,1,1,689.387352),-- [boots_of_knowledge]
(21660,63,1,1,1,689.387352),-- [gauntlet]
(21660,2446,1,1,1,689.387352),-- [reinforce_leather_gloves]
(21660,2447,1,1,1,689.387352),-- [gloves_of_knowledge]
(21660,1870,1,3,2,117930.3516),-- [coal]
(21660,1865,1,1,2,235861.1028),-- [varnish]
(21660,1874,1,1,2,15724.26),-- [oriharukon_ore]
(21660,2192,1,1,2,30084.2856),-- [rp_kite_shield]
(21661,1901,1,1,-1,189223),-- [tiger'seye_earing_stone]
(21661,1875,1,1,-1,91332),-- [stone_of_purity]
(21661,1879,1,1,-1,228329),-- [cokes]
(21661,57,579,1158,0,700000),-- [adena]
(21661,278,1,1,1,97.963868),-- [gastraphetes]
(21661,2029,1,1,1,4344.036132),-- [gastraphetes_shaft]
(21661,1875,1,1,2,8093.3412),-- [stone_of_purity]
(21661,1879,1,1,2,20233.3856),-- [cokes]
(21661,1885,1,1,2,10116.6928),-- [high_grade_suede]
(21661,5550,1,1,2,1618.6552),-- [reinforcing_plate]
(21661,5549,1,1,2,12140.0444),-- [iron_thread]
(21661,2154,1,1,2,12997.8808),-- [rp_elven_earing]
(21662,1876,1,1,-1,304870),-- [mithril_ore]
(21662,2026,1,1,-1,18347),-- [two-handed_sword_edge]
(21662,2191,1,1,-1,204063),-- [rp_gauntlet_of_repose_of_the_soul]
(21662,57,644,1285,0,700000),-- [adena]
(21662,849,1,1,1,820.320485),-- [tiger'seye_earing]
(21662,1901,1,1,1,27985.785794),-- [tiger'seye_earing_stone]
(21662,912,1,1,1,614.910887),-- [near_forest_necklace]
(21662,880,1,1,1,1227.982834),-- [black_pearl_ring]
(21662,1876,1,1,2,27016.076109),-- [mithril_ore]
(21662,1880,1,1,2,13508.094074),-- [steel]
(21662,1877,1,1,2,5403.192814),-- [admantite_nugget]
(21662,1881,1,1,2,18010.717406),-- [coarse_bone_powder]
(21662,1882,1,1,2,30017.824997),-- [leather]
(21662,2193,1,1,2,18083.0946),-- [rp_boots_of_power]
(21663,1938,1,1,-1,100705),-- [mithril_banded_mail_material]
(21663,2154,1,1,-1,160385),-- [rp_elven_earing]
(21663,1939,1,1,-1,131576),-- [mithril_banded_gaiters_material]
(21663,57,633,1266,0,700000),-- [adena]
(21663,849,1,1,1,806.135035),-- [tiger'seye_earing]
(21663,1901,1,1,1,27501.839614),-- [tiger'seye_earing_stone]
(21663,912,1,1,1,604.277497),-- [near_forest_necklace]
(21663,880,1,1,1,1206.747854),-- [black_pearl_ring]
(21663,1874,1,1,2,8849.658333),-- [oriharukon_ore]
(21663,1878,1,1,2,53097.770895),-- [braided_hemp]
(21663,1884,1,1,2,81688.8783),-- [cord]
(21663,1889,1,1,2,8849.658333),-- [compound_braid]
(21663,5220,1,1,2,5309.866641),-- [reinforcing_agent]
(21663,2155,1,1,2,21307.167498),-- [rp_elven_ring]
(21664,2153,1,1,-1,127997),-- [rp_tiger'seye_earing]
(21664,1933,1,1,-1,96826),-- [dark_hose_fabric]
(21664,2183,1,1,-1,54146),-- [rp_mithril_banded_mail]
(21664,57,347,694,0,700000),-- [adena]
(21664,848,1,1,1,685.579742),-- [enchanted_earing]
(21664,911,1,1,1,514.569931),-- [enchanted_necklace]
(21664,1900,1,1,1,12301.341586),-- [enchanted_necklace_chain]
(21664,879,1,1,1,1031.508741),-- [enchanted_ring]
(21664,1869,1,1,2,89949.637161),-- [iron_ore]
(21664,1864,1,1,2,179899.274322),-- [stem]
(21664,1880,1,1,2,8995.047837),-- [steel]
(21664,5550,1,1,2,1199.283631),-- [reinforcing_plate]
(21664,955,1,1,2,359.757049),-- [scrl_of_ench_wp_d]
(21665,2027,1,1,-1,17685),-- [spike_club_head]
(21665,2192,1,1,-1,172191),-- [rp_kite_shield]
(21665,2028,1,1,-1,16040),-- [knife_o'_silenus_edge]
(21665,57,570,1138,0,700000),-- [adena]
(21665,436,1,1,1,613.463652),-- [tunic_of_knowledge]
(21665,469,1,1,1,980.536348),-- [hose_of_knowledge]
(21665,1875,1,1,2,6835.916625),-- [stone_of_purity]
(21665,1879,1,1,2,17089.984875),-- [cokes]
(21665,1885,1,1,2,8545.18575),-- [high_grade_suede]
(21665,5550,1,1,2,1367.106),-- [reinforcing_plate]
(21665,5549,1,1,2,10254.06825),-- [iron_thread]
(21665,2269,1,1,2,732.26775),-- [rp_morning_star]
(21665,1341,10,30,2,341800.47075),-- [bone_arrow]
(21666,1935,1,1,-1,57679),-- [scale_mail_fragment]
(21666,955,1,1,-1,4130),-- [scrl_of_ench_wp_d]
(21666,1872,1,3,-1,688304),-- [animal_bone]
(21666,57,436,871,0,700000),-- [adena]
(21666,69,1,1,1,45.547201),-- [bastard_sword]
(21666,125,1,1,1,45.547201),-- [spinebone_sword]
(21666,2021,1,1,1,1424.807982),-- [spinebone_sword_blade]
(21666,126,1,1,1,45.547201),-- [artisan's_sword]
(21666,128,1,1,1,45.550415),-- [knight's_sword]
(21666,1872,1,1,2,150452.83595),-- [animal_bone]
(21666,1867,1,1,2,150452.83595),-- [animal_skin]
(21666,1881,1,1,2,15045.283595),-- [coarse_bone_powder]
(21666,1875,1,1,2,7522.805415),-- [stone_of_purity]
(21666,956,1,1,2,3761.23909),-- [scrl_of_ench_am_d]
(21667,2155,1,1,-1,194440),-- [rp_elven_ring]
(21667,1940,1,1,-1,180800),-- [iron_boots_design]
(21667,1874,1,1,-1,80757),-- [oriharukon_ore]
(21667,57,512,1024,0,700000),-- [adena]
(21667,628,1,1,1,1570.90251),-- [hoplon]
(21667,47,1,1,1,1099.09749),-- [helmet]
(21667,1874,1,1,2,7156.344832),-- [oriharukon_ore]
(21667,1878,1,1,2,42938.477568),-- [braided_hemp]
(21667,1884,1,1,2,66059.112448),-- [cord]
(21667,1889,1,1,2,7156.344832),-- [compound_braid]
(21667,5220,1,1,2,4293.861376),-- [reinforcing_agent]
(21667,2156,1,1,2,8587.858944),-- [rp_elven_necklace]
(21668,1864,1,5,-1,724636),-- [stem]
(21668,1832,1,3,-1,603864),-- [advanced_antidote]
(21668,1936,1,1,-1,88949),-- [white_tunic_pattern]
(21668,57,459,917,0,700000),-- [adena]
(21668,348,1,1,1,289.749609),-- [scale_mail]
(21668,1935,1,1,1,8296.124238),-- [scale_mail_fragment]
(21668,377,1,1,1,463.333329),-- [scale_gaiters]
(21668,1937,1,1,1,12757.792824),-- [scale_gaiters_fragment]
(21668,1869,1,1,2,98996.537724),-- [iron_ore]
(21668,1864,1,1,2,197993.075448),-- [stem]
(21668,1880,1,1,2,9899.49065),-- [steel]
(21668,5550,1,1,2,1320.068022),-- [reinforcing_plate]
(21668,1829,1,1,2,39598.778212),-- [scroll_of_escape_to_agit]
(21668,1061,1,1,2,59998.049944),-- [healing_potion]
(21669,5550,1,1,-1,17008),-- [reinforcing_plate]
(21669,2026,1,1,-1,15353),-- [two-handed_sword_edge]
(21669,2156,1,1,-1,102046),-- [rp_elven_necklace]
(21669,57,539,1078,0,700000),-- [adena]
(21669,316,1,1,1,60.818808),-- [blood_of_saints]
(21669,317,1,1,1,60.818808),-- [tome_of_blood]
(21669,2030,1,1,1,2644.362384),-- [tome_of_blood_page]
(21669,1869,1,1,2,113035.988166),-- [iron_ore]
(21669,1864,1,3,2,75357.45657),-- [stem]
(21669,1880,1,1,2,11303.71683),-- [steel]
(21669,5550,1,1,2,1507.031118),-- [reinforcing_plate]
(21669,2186,1,1,2,3780.36258),-- [rp_brigandine]
(21669,1341,20,60,2,188393.444736),-- [bone_arrow]
(21670,1878,1,1,-1,601988),-- [braided_hemp]
(21670,1884,1,1,-1,926136),-- [cord]
(21670,2029,1,1,-1,17952),-- [gastraphetes_shaft]
(21670,57,636,1268,0,700000),-- [adena]
(21670,393,1,1,1,227.975928),-- [mithril_banded_mail]
(21670,1938,1,1,1,8965.486248),-- [mithril_banded_mail_material]
(21670,394,1,1,1,227.975928),-- [reinforce_leather_shirt]
(21670,415,1,1,1,364.385424),-- [mithril_banded_gaiters]
(21670,1939,1,1,1,11713.812912),-- [mithril_banded_gaiters_material]
(21670,416,1,1,1,364.36356),-- [reinforce_leather_gaiters]
(21670,1874,1,1,2,8890.914032),-- [oriharukon_ore]
(21670,1878,1,1,2,53345.324708),-- [braided_hemp]
(21670,1884,1,1,2,82069.828464),-- [cord]
(21670,1889,1,1,2,8890.914032),-- [compound_braid]
(21670,5220,1,1,2,5334.580316),-- [reinforcing_agent]
(21670,2270,1,1,2,952.438448),-- [rp_goathead_staff]
(21671,2184,1,1,-1,46479),-- [rp_mithril_banded_gaiters]
(21671,1937,1,1,-1,38014),-- [scale_gaiters_fragment]
(21671,2185,1,1,-1,87103),-- [rp_iron_boots]
(21671,57,187,373,0,700000),-- [adena]
(21671,1123,1,1,1,944.5),-- [blue_buckskin_boots]
(21671,605,1,1,1,944.5),-- [leather_gauntlet]
(21671,1876,1,1,2,6908.494544),-- [mithril_ore]
(21671,1880,1,1,2,3454.247272),-- [steel]
(21671,1877,1,1,2,1381.675136),-- [admantite_nugget]
(21671,1881,1,1,2,4605.623408),-- [coarse_bone_powder]
(21671,1882,1,1,2,7676.058824),-- [leather]
(21671,1830,1,1,2,13816.929656),-- [scroll_of_escape_to_castle]
(21671,6667,1,1,2,21588.97116),-- [key_of_treasure_box3]
(21672,2193,1,1,-1,424088),-- [rp_boots_of_power]
(21672,2030,1,1,-1,37052),-- [tome_of_blood_page]
(21672,2269,1,1,-1,22628),-- [rp_morning_star]
(21672,57,1338,2670,0,700000),-- [adena]
(21672,157,1,1,1,151.026668),-- [spike_club]
(21672,2027,1,1,1,7354.946664),-- [spike_club_head]
(21672,186,1,1,1,151.026668),-- [staff_of_magicpower]
(21672,1864,4,12,2,70182.020871),-- [stem]
(21672,1865,2,6,2,56145.43311),-- [varnish]
(21672,1866,3,9,2,31191.856287),-- [suede]
(21672,1873,1,1,2,112290.86622),-- [silver_nugget]
(21672,1868,1,3,2,187151.596689),-- [thread]
(21672,2271,1,1,2,2005.226823),-- [rp_winged_spear]
(21673,1901,1,1,-1,445848),-- [tiger'seye_earing_stone]
(21673,1889,1,1,-1,215196),-- [compound_braid]
(21673,5220,1,1,-1,129118),-- [reinforcing_agent]
(21673,57,1363,2720,0,700000),-- [adena]
(21673,393,1,1,1,488.963738),-- [mithril_banded_mail]
(21673,1938,1,1,1,19229.212958),-- [mithril_banded_mail_material]
(21673,394,1,1,1,488.963738),-- [reinforce_leather_shirt]
(21673,415,1,1,1,781.535404),-- [mithril_banded_gaiters]
(21673,1939,1,1,1,25123.835652),-- [mithril_banded_gaiters_material]
(21673,416,1,1,1,781.48851),-- [reinforce_leather_gaiters]
(21673,1874,1,1,2,19069.662612),-- [oriharukon_ore]
(21673,1878,1,1,2,114417.633603),-- [braided_hemp]
(21673,1884,1,1,2,176027.339124),-- [cord]
(21673,1889,1,1,2,19069.662612),-- [compound_braid]
(21673,5220,1,1,2,11441.865981),-- [reinforcing_agent]
(21673,2272,1,1,2,2042.836068),-- [rp_sword_of_revolution]
(21674,1938,1,1,-1,8463),-- [mithril_banded_mail_material]
(21674,2270,1,1,-1,899),-- [rp_goathead_staff]
(21674,1939,1,1,-1,11057),-- [mithril_banded_gaiters_material]
(21674,57,53,106,0,700000),-- [adena]
(21674,260,1,1,1,18),-- [triple-edged_jamadhr]
(21674,1875,1,1,2,637.3666),-- [stone_of_purity]
(21674,1879,1,1,2,1593.420998),-- [cokes]
(21674,1885,1,1,2,796.712748),-- [high_grade_suede]
(21674,5550,1,1,2,127.47332),-- [reinforcing_plate]
(21674,5549,1,1,2,956.054398),-- [iron_thread]
(21674,2273,1,1,2,68.288636),-- [rp_tarbar]
(21674,6036,1,1,2,318.6833),-- [potion_of_acumen3]
(21675,2021,1,1,-1,3319),-- [spinebone_sword_blade]
(21675,956,1,1,-1,8761),-- [scrl_of_ench_am_d]
(21675,1880,1,1,-1,26283),-- [steel]
(21675,57,111,222,0,700000),-- [adena]
(21675,292,1,1,1,58),-- [pike]
(21675,1869,1,1,2,28725.7002),-- [iron_ore]
(21675,1864,1,1,2,57451.3065),-- [stem]
(21675,1880,1,1,2,2872.5888),-- [steel]
(21675,5550,1,1,2,383.0181),-- [reinforcing_plate]
(21675,2153,1,1,2,4467.3864),-- [rp_tiger'seye_earing]
(21676,1865,1,7,-1,726143),-- [varnish]
(21676,1870,1,7,-1,726143),-- [coal]
(21676,2029,1,1,-1,34646),-- [gastraphetes_shaft]
(21676,57,1227,2454,0,700000),-- [adena]
(21676,849,1,1,1,1563.102765),-- [tiger'seye_earing]
(21676,1901,1,1,1,53326.303506),-- [tiger'seye_earing_stone]
(21676,912,1,1,1,1171.699263),-- [near_forest_necklace]
(21676,880,1,1,1,2339.894466),-- [black_pearl_ring]
(21676,1865,1,3,2,154434.072451),-- [varnish]
(21676,1870,1,3,2,102955.931127),-- [coal]
(21676,1879,1,1,2,51478.141324),-- [cokes]
(21676,1875,1,1,2,20591.045617),-- [stone_of_purity]
(21676,2188,1,1,2,22061.809481),-- [rp_manticor_skin_gaiters]
(21677,6667,1,3,-1,738208),-- [key_of_treasure_box3]
(21677,2250,1,1,-1,590566),-- [rp_bone_arrow]
(21677,1900,1,1,-1,258453),-- [enchanted_necklace_chain]
(21677,57,996,1993,0,700000),-- [adena]
(21677,6667,3,9,1,425208),-- [key_of_treasure_box3]
(21678,6667,1,3,-1,880592),-- [key_of_treasure_box3]
(21678,2154,1,1,-1,301702),-- [rp_elven_earing]
(21678,1901,1,1,-1,389212),-- [tiger'seye_earing_stone]
(21678,57,1191,2381,0,700000),-- [adena]
(21678,6667,12,36,1,125721),-- [key_of_treasure_box3]
(21679,956,1,1,-1,77629),-- [scrl_of_ench_am_d]
(21679,955,1,1,-1,9315),-- [scrl_of_ench_wp_d]
(21679,6387,1,1,-1,93155),-- [blessed_scroll_of_resurrection_pet]
(21679,57,982,1965,0,700000),-- [adena]
(21679,1123,1,1,1,4971),-- [blue_buckskin_boots]
(21679,605,1,1,1,4971),-- [leather_gauntlet]
(21679,956,1,1,2,21210.710892),-- [scrl_of_ench_am_d]
(21679,955,1,1,2,2545.289108),-- [scrl_of_ench_wp_d]
(21680,1938,1,1,-1,208130),-- [mithril_banded_mail_material]
(21680,1901,1,1,-1,427616),-- [tiger'seye_earing_stone]
(21680,2154,1,1,-1,331471),-- [rp_elven_earing]
(21680,57,1308,2609,0,700000),-- [adena]
(21680,316,1,1,1,147.605444),-- [blood_of_saints]
(21680,317,1,1,1,147.605444),-- [tome_of_blood]
(21680,2030,1,1,1,6417.789112),-- [tome_of_blood_page]
(21680,956,1,1,2,27434.817039),-- [scrl_of_ench_am_d]
(21680,955,1,1,2,3292.182961),-- [scrl_of_ench_wp_d]
(21681,2155,1,1,-1,431241),-- [rp_elven_ring]
(21681,1939,1,1,-1,235980),-- [mithril_banded_gaiters_material]
(21681,2156,1,1,-1,214931),-- [rp_elven_necklace]
(21681,57,1135,2270,0,700000),-- [adena]
(21681,628,1,1,1,3484.226466),-- [hoplon]
(21681,47,1,1,1,2437.773534),-- [helmet]
(21681,956,1,1,2,23808.031905),-- [scrl_of_ench_am_d]
(21681,955,1,1,2,2856.968095),-- [scrl_of_ench_wp_d]
(21682,6036,1,1,-1,73165),-- [potion_of_acumen3]
(21682,1944,1,1,-1,111959),-- [mithril_tunic_fabric]
(21682,2148,1,1,-1,156783),-- [rp_crafted_leather]
(21682,57,916,1829,0,700000),-- [adena]
(21682,437,1,1,1,329.830615),-- [mithril_tunic]
(21682,1944,1,1,1,14468.40813),-- [mithril_tunic_fabric]
(21682,470,1,1,1,526.752325),-- [mithril_hose]
(21682,1945,1,1,1,22530.00893),-- [mithril_hose_design]
(21682,1867,1,3,2,151283.147256),-- [animal_skin]
(21682,1872,1,3,2,100855.431504),-- [animal_bone]
(21682,1882,1,1,2,50427.715752),-- [leather]
(21682,1894,1,1,2,7962.392223),-- [crafted_leather]
(21682,2157,1,1,2,18754.313265),-- [rp_onyxbeast'seye_earing]
(21683,1910,1,1,-1,222740),-- [aquastone_necklace_chain]
(21683,2164,1,1,-1,227537),-- [rp_ring_of_protection]
(21683,1954,1,1,-1,157256),-- [karmian_hose_pattern]
(21683,57,1170,2376,0,700000),-- [adena]
(21683,263,1,1,1,79.29713),-- [chakram]
(21683,2073,1,1,1,5402.70287),-- [chakram_edge]
(21683,1873,1,1,2,55919.671785),-- [silver_nugget]
(21683,1868,1,1,2,279597.522399),-- [thread]
(21683,1876,1,1,2,27959.626761),-- [mithril_ore]
(21683,1895,1,1,2,39942.443448),-- [metallic_fiber]
(21683,4042,1,1,2,2330.143173),-- [enria]
(21683,2165,1,1,2,5356.275978),-- [rp_necklace_of_protection]
(21683,8723,1,1,2,5591.758047),-- [general_46_c]
(21683,8733,1,1,2,1397.834946),-- [special_46_c]
(21683,8743,1,1,2,139.699842),-- [rare_46_c]
(21683,8753,1,1,2,28.023621),-- [unique_46_c]
(21684,1906,1,1,-1,319295),-- [mithril_ring_wire]
(21684,2160,1,1,-1,149862),-- [rp_moonstone_earing]
(21684,1907,1,1,-1,161591),-- [necklace_of_darkness_gem]
(21684,57,919,1865,0,700000),-- [adena]
(21684,353,1,1,1,193.89057),-- [half_plate]
(21684,1950,1,1,1,9465.08433),-- [half_plate_temper]
(21684,380,1,1,1,310.22985),-- [plate_gaiters]
(21684,1951,1,1,1,14720.79525),-- [plate_gaiters_part]
(21684,1872,1,3,2,155525.042959),-- [animal_bone]
(21684,1867,1,3,2,103683.468945),-- [animal_skin]
(21684,1881,1,1,2,31104.880225),-- [coarse_bone_powder]
(21684,1875,1,1,2,15552.600571),-- [stone_of_purity]
(21684,2160,1,1,2,15051.0073),-- [rp_moonstone_earing]
(21685,2165,1,1,-1,97361),-- [rp_necklace_of_protection]
(21685,1958,1,1,-1,228416),-- [mithril_boots_design]
(21685,1873,1,3,-1,508225),-- [silver_nugget]
(21685,57,1005,2042,0,700000),-- [adena]
(21685,439,1,1,1,206.349728),-- [karmian_tunic]
(21685,1962,1,1,1,9608.237531),-- [karmian_tunic_pattern]
(21685,471,1,1,1,329.783624),-- [karmian_hose]
(21685,1954,1,1,1,15962.629117),-- [karmian_hose_pattern]
(21685,1868,1,1,2,240194.805461),-- [thread]
(21685,1873,1,1,2,48039.089199),-- [silver_nugget]
(21685,5549,1,1,2,12009.692233),-- [iron_thread]
(21685,1889,1,1,2,8006.354733),-- [compound_braid]
(21685,4044,1,1,2,4003.3375),-- [thons]
(21685,2213,1,1,2,1864.914741),-- [rp_dwarven_chain_mail_shirt]
(21685,8723,1,1,2,4804.005),-- [general_46_c]
(21685,8733,1,1,2,1201.00125),-- [special_46_c]
(21685,8743,1,1,2,120.100125),-- [rare_46_c]
(21685,8753,1,1,2,23.699758),-- [unique_46_c]
(21686,1864,1,11,-1,846642),-- [stem]
(21686,1869,1,5,-1,846642),-- [iron_ore]
(21686,4470,1,1,-1,14514),-- [dye_s1d1_d]
(21686,57,1004,2040,0,700000),-- [adena]
(21686,280,1,1,1,91.952059),-- [cyclone_bow]
(21686,2054,1,1,1,5427.047941),-- [cyclone_bow_shaft]
(21686,1864,3,9,2,85029.025977),-- [stem]
(21686,1869,2,6,2,63772.093917),-- [iron_ore]
(21686,1878,1,1,2,102035.004204),-- [braided_hemp]
(21686,1884,1,1,2,156976.862994),-- [cord]
(21686,2161,1,1,2,24766.012908),-- [rp_aquastone_ring]
(21687,1945,1,1,-1,112828),-- [mithril_hose_design]
(21687,2149,1,1,-1,101464),-- [rp_metallic_fiber]
(21687,1946,1,1,-1,191960),-- [gauntlet_of_repose_of_the_soul_pattern]
(21687,57,593,1184,0,700000),-- [adena]
(21687,1124,1,1,1,159.905806),-- [boots_of_power]
(21687,1948,1,1,1,6201.719194),-- [boots_of_power_pattern]
(21687,2424,1,1,1,159.905806),-- [manticor_skin_boots]
(21687,2923,1,1,1,6201.719194),-- [manticor_skin_boots_lining]
(21687,2425,1,1,1,159.905806),-- [brigandine_boots]
(21687,2924,1,1,1,6201.719194),-- [brigandine_boots_design]
(21687,2426,1,1,1,159.905806),-- [elven_mithril_boots]
(21687,2925,1,1,1,6201.719194),-- [elven_mithril_boots_design]
(21687,606,1,1,1,159.905806),-- [gauntlet_of_repose_of_the_soul]
(21687,1946,1,1,1,6201.719194),-- [gauntlet_of_repose_of_the_soul_pattern]
(21687,2448,1,1,1,159.905806),-- [manticor_skin_gloves]
(21687,2926,1,1,1,6201.719194),-- [manticor_skin_gloves_linging]
(21687,2449,1,1,1,159.905806),-- [brigandine_gauntlet]
(21687,2927,1,1,1,6201.719194),-- [brigandine_gauntlet_pattern]
(21687,2450,1,1,1,159.905806),-- [elven_mithril_gloves]
(21687,2928,1,1,1,6201.719194),-- [elven_mithril_gloves_design]
(21687,1872,1,1,2,163175.610456),-- [animal_bone]
(21687,1867,1,1,2,163175.610456),-- [animal_skin]
(21687,1881,1,1,2,16317.487035),-- [coarse_bone_powder]
(21687,1875,1,1,2,8158.928544),-- [stone_of_purity]
(21687,2158,1,1,2,15146.26929),-- [rp_mithril_ring]
(21687,6036,1,1,2,4079.094219),-- [potion_of_acumen3]
(21688,4042,1,1,-1,37507),-- [enria]
(21688,1959,1,1,-1,60618),-- [chain_mail_shirt_material]
(21688,1908,1,1,-1,213109),-- [moonstone_earing_wire]
(21688,57,890,1808,0,700000),-- [adena]
(21688,281,1,1,1,60.332655),-- [crystallized_ice_bow]
(21688,2074,1,1,1,3766.667345),-- [crystallized_ice_bow_shaft]
(21688,1873,1,1,2,42543.602178),-- [silver_nugget]
(21688,1868,1,1,2,212717.377334),-- [thread]
(21688,1876,1,1,2,21271.6427),-- [mithril_ore]
(21688,1895,1,1,2,30388.196762),-- [metallic_fiber]
(21688,4042,1,1,2,1772.689688),-- [enria]
(21688,2214,1,1,2,2639.077518),-- [rp_dwarven_chain_gaiters]
(21688,8723,1,1,2,4254.32854),-- [general_46_c]
(21688,8733,1,1,2,1063.740524),-- [special_46_c]
(21688,8743,1,1,2,106.437408),-- [rare_46_c]
(21688,8753,1,1,2,20.907348),-- [unique_46_c]
(21689,1867,1,5,-1,791992),-- [animal_skin]
(21689,1872,1,5,-1,791992),-- [animal_bone]
(21689,6036,1,1,-1,59399),-- [potion_of_acumen3]
(21689,57,744,1485,0,700000),-- [adena]
(21689,352,1,1,1,133.671476),-- [brigandine]
(21689,1941,1,1,1,6105.317763),-- [brigandine_temper]
(21689,2377,1,1,1,213.819619),-- [mithril_scale_gaiters]
(21689,2918,1,1,1,9108.198203),-- [mithril_scale_gaiters_material]
(21689,2378,1,1,1,213.819619),-- [brigandine_gaiters]
(21689,2919,1,1,1,9108.17332),-- [brigandine_gaiters_material]
(21689,1867,1,3,2,122819.6691),-- [animal_skin]
(21689,1872,1,1,2,245639.765436),-- [animal_bone]
(21689,1882,1,1,2,40939.8897),-- [leather]
(21689,1894,1,1,2,6464.08068),-- [crafted_leather]
(21689,2159,1,1,2,11372.595084),-- [rp_necklace_of_darkness]
(21690,1949,1,1,-1,229233),-- [mithril_glove_design]
(21690,2161,1,1,-1,199410),-- [rp_aquastone_ring]
(21690,1950,1,1,-1,66664),-- [half_plate_temper]
(21690,57,812,1649,0,700000),-- [adena]
(21690,1125,1,1,1,228.58947),-- [assault_boots]
(21690,1957,1,1,1,9593.03791),-- [assault_boots_part]
(21690,2427,1,1,1,228.58947),-- [slamander_skin_boots]
(21690,2931,1,1,1,9593.03791),-- [slamander_skin_boots_lining]
(21690,2428,1,1,1,228.58947),-- [plate_boots]
(21690,2932,1,1,1,9593.03791),-- [plate_boots_design]
(21690,61,1,1,1,228.58947),-- [mithril_glove]
(21690,1949,1,1,1,9593.03791),-- [mithril_glove_design]
(21690,607,1,1,1,228.58947),-- [ogre_power_gauntlet]
(21690,1963,1,1,1,9593.03791),-- [ogre_power_gauntlet_part]
(21690,2451,1,1,1,228.58947),-- [sage's_worn_gloves]
(21690,2933,1,1,1,9593.27363),-- [sage's_worn_gloves_lining]
(21690,1868,1,3,2,206277.286132),-- [thread]
(21690,1873,1,1,2,82511.047706),-- [silver_nugget]
(21690,5549,1,1,2,20627.59536),-- [iron_thread]
(21690,1889,1,1,2,13751.73024),-- [compound_braid]
(21690,2162,1,1,2,9965.340562),-- [rp_aquastone_necklace]
(21691,1947,1,1,-1,270129),-- [kite_shield_fragment]
(21691,2157,1,1,-1,155045),-- [rp_onyxbeast'seye_earing]
(21691,1948,1,1,-1,253520),-- [boots_of_power_pattern]
(21691,57,783,1563,0,700000),-- [adena]
(21691,279,1,1,1,90.288),-- [strengthening_long_bow]
(21691,2040,1,1,1,5609.712),-- [strengthening_long_bow_shaft]
(21691,1865,1,1,2,193954.314364),-- [varnish]
(21691,1870,1,1,2,193954.314364),-- [coal]
(21691,1879,1,1,2,32325.79456),-- [cokes]
(21691,1875,1,1,2,12930.317824),-- [stone_of_purity]
(21691,2194,1,1,2,19831.258888),-- [rp_mithril_glove]
(21692,2162,1,1,-1,104484),-- [rp_aquastone_necklace]
(21692,1951,1,1,-1,109178),-- [plate_gaiters_part]
(21692,1866,1,3,-1,720938),-- [suede]
(21692,57,855,1737,0,700000),-- [adena]
(21692,159,1,1,1,15.659924),-- [bonebreaker]
(21692,2048,1,1,1,897.876168),-- [bonebreaker_head]
(21692,187,1,1,1,15.659924),-- [atuba_hammer]
(21692,2049,1,1,1,897.876168),-- [atuba_hammer_head]
(21692,188,1,1,1,15.659924),-- [ghost_staff]
(21692,2050,1,1,1,952.038276),-- [ghost_staff_head]
(21692,189,1,1,1,15.659924),-- [life_stick]
(21692,2051,1,1,1,952.038276),-- [life_stick_shaft]
(21692,190,1,1,1,15.659924),-- [atuba_mace]
(21692,2058,1,1,1,897.871492),-- [atuba_mace_head]
(21692,1866,1,1,2,144808.707174),-- [suede]
(21692,1871,1,1,2,217213.458738),-- [charcoal]
(21692,5220,1,1,2,8688.633864),-- [reinforcing_agent]
(21692,1885,1,1,2,18101.187891),-- [high_grade_suede]
(21692,2199,1,1,2,9165.012333),-- [rp_karmian_hose]
(21693,2213,1,1,-1,38957),-- [rp_dwarven_chain_mail_shirt]
(21693,1960,1,1,-1,137469),-- [chain_gaiters_part]
(21693,2214,1,1,-1,62254),-- [rp_dwarven_chain_gaiters]
(21693,57,992,2016,0,700000),-- [adena]
(21693,631,1,1,1,387.48576),-- [eldarake]
(21693,1964,1,1,1,15968.259678),-- [eldarake_temper]
(21693,2495,1,1,1,387.48576),-- [chain_shield]
(21693,2945,1,1,1,15968.259678),-- [chain_shield_fragment]
(21693,2413,1,1,1,271.240032),-- [chain_hood]
(21693,2936,1,1,1,14503.269092),-- [chain_hood_pattern]
(21693,1873,1,1,2,47428.251993),-- [silver_nugget]
(21693,1868,1,1,2,237141.611684),-- [thread]
(21693,1876,1,1,2,23714.301856),-- [mithril_ore]
(21693,1895,1,1,2,33877.222361),-- [metallic_fiber]
(21693,4042,1,1,2,1976.309061),-- [enria]
(21693,2215,1,1,2,1510.281386),-- [rp_robe_of_seal]
(21693,8723,1,1,2,4742.930715),-- [general_46_c]
(21693,8733,1,1,2,1185.644749),-- [special_46_c]
(21693,8743,1,1,2,118.529303),-- [rare_46_c]
(21693,8753,1,1,2,23.916892),-- [unique_46_c]
(21694,2158,1,1,-1,94518),-- [rp_mithril_ring]
(21694,2031,1,1,-1,7731),-- [morning_star_head]
(21694,1895,1,1,-1,218202),-- [metallic_fiber]
(21694,57,319,636,0,700000),-- [adena]
(21694,88,1,1,1,7.352),-- [morning_star]
(21694,2031,1,1,1,399.614),-- [morning_star_head]
(21694,90,1,1,1,7.352),-- [goathead_staff]
(21694,2032,1,1,1,364.79),-- [goathead_staff_head]
(21694,158,1,1,1,7.352),-- [tarbar]
(21694,2035,1,1,1,399.614),-- [tarbar_head]
(21694,169,1,1,1,7.352),-- [skull_breaker]
(21694,2036,1,1,1,399.614),-- [skull_breaker_head]
(21694,172,1,1,1,7.352),-- [heavy_bone_club]
(21694,2037,1,1,1,399.608),-- [heavy_bone_club_head]
(21694,1895,1,1,2,28198.35246),-- [metallic_fiber]
(21694,2195,1,1,2,2524.15536),-- [rp_half_plate]
(21694,5473,1,1,2,7049.56986),-- [rp_reinforcing_plate]
(21694,6668,1,1,2,35247.92232),-- [key_of_treasure_box4]
(21695,1961,1,1,-1,168993),-- [tempered_mithril_shirt_fabric]
(21695,4041,1,1,-1,45922),-- [mold_hardener]
(21695,1872,1,15,-1,880170),-- [animal_bone]
(21695,57,2089,4243,0,700000),-- [adena]
(21695,96,1,1,1,47.192537),-- [scythe]
(21695,2062,1,1,1,3262.47082),-- [scythe_edge]
(21695,298,1,1,1,47.192537),-- [orcish_glaive]
(21695,2075,1,1,1,3262.47082),-- [orcish_glaive_blade]
(21695,302,1,1,1,47.192537),-- [body_slasher]
(21695,2076,1,1,1,3262.480749),-- [body_slasher_blade]
(21695,1872,1,3,2,166392.457034),-- [animal_bone]
(21695,1867,1,3,2,110928.187189),-- [animal_skin]
(21695,1881,1,1,2,33278.561907),-- [coarse_bone_powder]
(21695,1875,1,1,2,16639.104703),-- [stone_of_purity]
(21695,4041,1,1,2,2170.348657),-- [mold_hardener]
(21695,2216,1,1,2,10313.474258),-- [rp_great_helmet]
(21695,8723,1,1,2,9983.533322),-- [general_46_c]
(21695,8733,1,1,2,2496.059581),-- [special_46_c]
(21695,8743,1,1,2,249.570708),-- [rare_46_c]
(21695,8753,1,1,2,49.702641),-- [unique_46_c]
(21696,1962,1,1,-1,172193),-- [karmian_tunic_pattern]
(21696,2215,1,1,-1,68548),-- [rp_robe_of_seal]
(21696,1894,1,1,-1,188808),-- [crafted_leather]
(21696,57,2128,4323,0,700000),-- [adena]
(21696,281,1,1,1,144.265515),-- [crystallized_ice_bow]
(21696,2074,1,1,1,9006.734485),-- [crystallized_ice_bow_shaft]
(21696,1894,1,1,2,9914.792608),-- [crafted_leather]
(21696,4039,1,1,2,9419.040498),-- [mold_glue]
(21696,4041,1,1,2,2457.170842),-- [mold_hardener]
(21696,4044,1,1,2,9419.040498),-- [thons]
(21696,2217,1,1,2,16720.230478),-- [rp_knight_shield]
(21696,8723,1,1,2,11302.898516),-- [general_46_c]
(21696,8733,1,1,2,2825.69343),-- [special_46_c]
(21696,8743,1,1,2,282.600542),-- [rare_46_c]
(21696,8753,1,1,2,56.532588),-- [unique_46_c]
(21697,1964,1,1,-1,16957),-- [eldarake_temper]
(21697,2216,1,1,-1,8671),-- [rp_great_helmet]
(21697,2059,1,1,-1,1559),-- [flamberge_blade]
(21697,57,83,169,0,700000),-- [adena]
(21697,263,1,1,1,5.626885),-- [chakram]
(21697,2073,1,1,1,383.373115),-- [chakram_edge]
(21697,1864,1,1,2,19835.043195),-- [stem]
(21697,1869,1,1,2,9917.500959),-- [iron_ore]
(21697,1878,1,1,2,3967.008639),-- [braided_hemp]
(21697,1884,1,1,2,6103.093389),-- [cord]
(21697,4039,1,1,2,330.587493),-- [mold_glue]
(21697,2219,1,1,2,615.976671),-- [rp_crimson_boots]
(21697,8723,1,1,2,396.713247),-- [general_46_c]
(21697,8733,1,1,2,99.188631),-- [special_46_c]
(21697,8743,1,1,2,9.90648),-- [rare_46_c]
(21697,8753,1,1,2,1.981296),-- [unique_46_c]
(21698,1871,1,1,-1,453642),-- [charcoal]
(21698,6036,1,1,-1,15121),-- [potion_of_acumen3]
(21698,2032,1,1,-1,4192),-- [goathead_staff_head]
(21698,57,189,378,0,700000),-- [adena]
(21698,395,1,1,1,68.170512),-- [manticor_skin_shirt]
(21698,1942,1,1,1,2990.379744),-- [manticor_skin_shirt_texture]
(21698,417,1,1,1,108.87096),-- [manticor_skin_gaiters]
(21698,1943,1,1,1,4656.578784),-- [manticor_skin_gaiters_pattern]
(21698,1871,1,1,2,46899.512352),-- [charcoal]
(21698,1866,1,1,2,31266.341568),-- [suede]
(21698,1877,1,1,2,1875.866112),-- [admantite_nugget]
(21698,2196,1,1,2,1922.095536),-- [rp_plate_gaiters]
(21698,1341,10,30,2,156332.184432),-- [bone_arrow]
(21699,2199,1,1,-1,207800),-- [rp_karmian_hose]
(21699,1953,1,1,-1,157747),-- [sage's_rag_lining]
(21699,2203,1,3,-1,536477),-- [rp_mithril_boots]
(21699,57,1947,3955,0,700000),-- [adena]
(21699,70,1,1,1,89.149925),-- [claymore]
(21699,2047,1,1,1,5435.116325),-- [claymore_blade]
(21699,2499,1,1,1,89.149925),-- [elven_long_sword]
(21699,2967,1,1,1,5361.583825),-- [elven_long_sword_blade]
(21699,1869,1,3,2,164869.335895),-- [iron_ore]
(21699,1864,4,12,2,123652.090514),-- [stem]
(21699,1880,1,1,2,49460.623583),-- [steel]
(21699,5550,1,1,2,6594.84431),-- [reinforcing_plate]
(21699,2204,1,1,2,9794.105698),-- [rp_chain_mail_shirt]
(21700,6668,1,3,-1,728069),-- [key_of_treasure_box4]
(21700,6036,1,1,-1,135906),-- [potion_of_acumen3]
(21700,1902,1,1,-1,413089),-- [elven_earing_beads]
(21700,57,1702,3397,0,700000),-- [adena]
(21700,6668,3,9,1,412199),-- [key_of_treasure_box4]
(21701,6668,1,3,-1,853195),-- [key_of_treasure_box4]
(21701,1905,1,1,-1,464775),-- [onyxbeast'seye_earing_gemstone]
(21701,2160,1,1,-1,308251),-- [rp_moonstone_earing]
(21701,57,1889,3837,0,700000),-- [adena]
(21701,6668,3,9,1,478839),-- [key_of_treasure_box4]
(21702,1902,1,1,-1,407248),-- [elven_earing_beads]
(21702,2157,1,1,-1,332193),-- [rp_onyxbeast'seye_earing]
(21702,1903,1,1,-1,670482),-- [elven_ring_piece]
(21702,57,1678,3349,0,700000),-- [adena]
(21702,395,1,1,1,604.011299),-- [manticor_skin_shirt]
(21702,1942,1,1,1,26495.666538),-- [manticor_skin_shirt_texture]
(21702,417,1,1,1,964.629545),-- [manticor_skin_gaiters]
(21702,1943,1,1,1,41258.692618),-- [manticor_skin_gaiters_pattern]
(21702,952,1,1,2,13852.08),-- [scrl_of_ench_am_c]
(21702,951,1,1,2,1888.92),-- [scrl_of_ench_wp_c]
(21703,951,1,1,-1,9384),-- [scrl_of_ench_wp_c]
(21703,952,1,1,-1,68813),-- [scrl_of_ench_am_c]
(21703,2163,1,1,-1,263316),-- [rp_earing_of_protection]
(21703,57,2041,4146,0,700000),-- [adena]
(21703,631,1,1,1,797.1096),-- [eldarake]
(21703,1964,1,1,1,32848.828005),-- [eldarake_temper]
(21703,2495,1,1,1,797.1096),-- [chain_shield]
(21703,2945,1,1,1,32848.828005),-- [chain_shield_fragment]
(21703,2413,1,1,1,557.97672),-- [chain_hood]
(21703,2936,1,1,1,29835.14807),-- [chain_hood_pattern]
(21703,951,1,1,2,739.141548),-- [scrl_of_ench_wp_c]
(21703,952,1,1,2,5420.4253),-- [scrl_of_ench_am_c]
(21703,8723,1,1,2,16261.2759),-- [general_46_c]
(21703,8733,1,1,2,4065.305488),-- [special_46_c]
(21703,8743,1,1,2,406.525154),-- [rare_46_c]
(21703,8753,1,1,2,81.32661),-- [unique_46_c]
(21704,951,1,1,-1,8282),-- [scrl_of_ench_wp_c]
(21704,952,1,1,-1,60738),-- [scrl_of_ench_am_c]
(21704,1905,1,1,-1,443126),-- [onyxbeast'seye_earing_gemstone]
(21704,57,1801,3658,0,700000),-- [adena]
(21704,1125,1,1,1,506.977542),-- [assault_boots]
(21704,1957,1,1,1,21275.935326),-- [assault_boots_part]
(21704,2427,1,1,1,506.977542),-- [slamander_skin_boots]
(21704,2931,1,1,1,21275.935326),-- [slamander_skin_boots_lining]
(21704,2428,1,1,1,506.977542),-- [plate_boots]
(21704,2932,1,1,1,21275.935326),-- [plate_boots_design]
(21704,61,1,1,1,506.977542),-- [mithril_glove]
(21704,1949,1,1,1,21275.935326),-- [mithril_glove_design]
(21704,607,1,1,1,506.977542),-- [ogre_power_gauntlet]
(21704,1963,1,1,1,21275.935326),-- [ogre_power_gauntlet_part]
(21704,2451,1,1,1,506.977542),-- [sage's_worn_gloves]
(21704,2933,1,1,1,21276.458118),-- [sage's_worn_gloves_lining]
(21704,951,1,1,2,2079.48),-- [scrl_of_ench_wp_c]
(21704,952,1,1,2,15249.52),-- [scrl_of_ench_am_c]
(21705,1914,1,1,-1,195926),-- [earing_of_binding_gemstone]
(21705,2169,1,1,-1,61725),-- [rp_necklace_of_binding]
(21705,1915,1,1,-1,307267),-- [ring_of_ages_gemstone]
(21705,57,1379,2804,0,700000),-- [adena]
(21705,75,1,1,1,7.274563),-- [caliburs]
(21705,2089,1,1,1,654.893428),-- [caliburs_edge]
(21705,76,1,1,1,7.274563),-- [sword_of_delusion]
(21705,2090,1,1,1,654.893428),-- [sword_of_delusion_blade]
(21705,77,1,1,1,7.274563),-- [tsurugi]
(21705,2091,1,1,1,654.893428),-- [tsurugi_blade]
(21705,84,1,1,1,7.274563),-- [homunkulus's_sword]
(21705,2092,1,1,1,654.893428),-- [homunkulus's_sword_blade]
(21705,134,1,1,1,7.274563),-- [sword_of_nightmare]
(21705,2095,1,1,1,654.893428),-- [sword_of_nightmare_blade]
(21705,145,1,1,1,7.274563),-- [deathbreath_sword]
(21705,2096,1,1,1,654.885482),-- [deathbreath_sword_blade]
(21705,1872,1,1,2,192294.568988),-- [animal_bone]
(21705,1867,1,1,2,192294.568988),-- [animal_skin]
(21705,1881,1,1,2,19229.287612),-- [coarse_bone_powder]
(21705,1875,1,1,2,9614.643806),-- [stone_of_purity]
(21705,4041,1,1,2,1253.991971),-- [mold_hardener]
(21705,2170,1,1,2,3401.395029),-- [rp_nassen's_earing]
(21705,8725,1,1,2,4006.172122),-- [general_52_c]
(21705,8735,1,1,2,1001.331422),-- [special_52_c]
(21705,8745,1,1,2,100.302429),-- [rare_52_c]
(21705,8755,1,1,2,20.737633),-- [unique_52_c]
(21706,4039,1,1,-1,148647),-- [mold_glue]
(21706,1870,1,9,-1,891882),-- [coal]
(21706,2117,1,1,-1,20981),-- [ghoul's_staff_head]
(21706,57,1762,3590,0,700000),-- [adena]
(21706,135,1,1,1,17.464265),-- [samurai_longsword]
(21706,2115,1,1,1,1885.843518),-- [samurai_longsword_blade]
(21706,5286,1,1,1,17.464265),-- [berserker_blade]
(21706,5530,1,1,1,1888.227952),-- [berserker_blade_edge]
(21706,1870,1,1,2,149686.356764),-- [coal]
(21706,1865,1,1,2,149686.356764),-- [varnish]
(21706,1874,1,1,2,9979.24207),-- [oriharukon_ore]
(21706,4043,1,1,2,4989.458586),-- [asofe]
(21706,4039,1,1,2,4989.458586),-- [mold_glue]
(21706,4143,1,1,2,959.423794),-- [rp_shrnoen's_leather_shirts]
(21706,4971,1,1,2,172.520838),-- [rp_dark_elven_long_bow_i]
(21706,8726,1,1,2,3465.03717),-- [general_55_c]
(21706,8736,1,1,2,866.178068),-- [special_55_c]
(21706,8746,1,1,2,86.747766),-- [rare_55_c]
(21706,8756,1,1,2,17.219594),-- [unique_55_c]
(21707,1885,1,1,-1,296029),-- [high_grade_suede]
(21707,1920,1,1,-1,121552),-- [necklace_of_binding_chain]
(21707,3034,1,1,-1,7105),-- [rp_spiritshot_b]
(21707,57,1406,2856,0,700000),-- [adena]
(21707,286,1,1,1,27.831292),-- [eminence_bow]
(21707,2121,1,1,1,3016.168708),-- [eminence_bow_shaft]
(21707,1875,1,1,2,8744.303472),-- [stone_of_purity]
(21707,1879,1,1,2,21860.728032),-- [cokes]
(21707,1885,1,1,2,10930.364016),-- [high_grade_suede]
(21707,5550,1,1,2,1748.836176),-- [reinforcing_plate]
(21707,5549,1,1,2,13116.42456),-- [iron_thread]
(21707,4134,1,1,2,1008.93216),-- [rp_shrnoen's_gaiters]
(21707,8726,1,1,2,3036.236064),-- [general_55_c]
(21707,8736,1,1,2,759.028368),-- [special_55_c]
(21707,8746,1,1,2,75.884448),-- [rare_55_c]
(21707,8756,1,1,2,15.262704),-- [unique_55_c]
(21708,4142,1,1,-1,29469),-- [rp_avadon_gaiters]
(21708,2118,1,1,-1,18024),-- [demon's_staff_head]
(21708,4143,1,1,-1,24557),-- [rp_shrnoen's_leather_shirts]
(21708,57,1514,3084,0,700000),-- [adena]
(21708,286,1,1,1,30.007326),-- [eminence_bow]
(21708,2121,1,1,1,3251.992674),-- [eminence_bow_shaft]
(21708,1864,1,3,2,128591.499712),-- [stem]
(21708,1869,1,1,2,128591.499712),-- [iron_ore]
(21708,1878,1,1,2,51436.520421),-- [braided_hemp]
(21708,1884,1,1,2,79133.230592),-- [cord]
(21708,4039,1,1,2,4286.277372),-- [mold_glue]
(21708,4144,1,1,2,1321.482994),-- [rp_shrnoen's_leather_gaiters]
(21708,4972,1,1,2,148.199987),-- [rp_great_axe_i]
(21708,8726,1,1,2,2976.713948),-- [general_55_c]
(21708,8736,1,1,2,744.178487),-- [special_55_c]
(21708,8746,1,1,2,74.298653),-- [rare_55_c]
(21708,8756,1,1,2,15.098122),-- [unique_55_c]
(21709,1984,1,1,-1,83265),-- [theca_leather_mail_pattern]
(21709,3955,1,1,-1,7769),-- [rp_blessed_spiritshot_b]
(21709,1985,1,1,-1,133941),-- [theca_leather_gaiters_pattern]
(21709,57,1538,3123,0,700000),-- [adena]
(21709,203,1,1,1,7.79848),-- [paagrio_axe]
(21709,2112,1,1,1,694.54632),-- [paagrio_axe_blade]
(21709,204,1,1,1,6.08536),-- [deadman's_staff]
(21709,2116,1,1,1,674.7904),-- [deadman's_staff_head]
(21709,205,1,1,1,6.08536),-- [ghoul's_staff]
(21709,2117,1,1,1,674.7904),-- [ghoul's_staff_head]
(21709,206,1,1,1,6.08536),-- [demon's_staff]
(21709,2118,1,1,1,674.7904),-- [demon's_staff_head]
(21709,2503,1,1,1,6.08536),-- [yaksa_mace]
(21709,2969,1,1,1,688.94256),-- [yaksa_mace_head]
(21709,1895,1,1,2,45530.579024),-- [metallic_fiber]
(21709,4040,1,1,2,3187.160284),-- [mold_lubricant]
(21709,4042,1,1,2,2655.946328),-- [enria]
(21709,4043,1,1,2,5311.892656),-- [asofe]
(21709,3955,1,1,2,318.691338),-- [rp_blessed_spiritshot_b]
(21709,8726,1,1,2,3688.807486),-- [general_55_c]
(21709,8736,1,1,2,922.18644),-- [special_55_c]
(21709,8746,1,1,2,92.218644),-- [rare_55_c]
(21709,8756,1,1,2,18.5178),-- [unique_55_c]
(21710,2170,1,1,-1,53231),-- [rp_nassen's_earing]
(21710,1916,1,1,-1,96042),-- [necklace_of_mermaid_teardrop]
(21710,1866,1,3,-1,752328),-- [suede]
(21710,57,893,1815,0,700000),-- [adena]
(21710,64,1,1,1,247.18237),-- [composite_boots]
(21710,2956,1,1,1,13725.81763),-- [composite_boots_part]
(21710,608,1,1,1,247.18237),-- [mithril_gauntlet]
(21710,1981,1,1,1,13725.81763),-- [mithril_gauntlet_design]
(21710,1871,1,1,2,84850.130792),-- [charcoal]
(21710,1866,1,1,2,56566.810356),-- [suede]
(21710,1877,1,1,2,3394.086584),-- [admantite_nugget]
(21710,4041,1,1,2,737.763852),-- [mold_hardener]
(21710,4040,1,1,2,1697.043292),-- [mold_lubricant]
(21710,2231,1,1,2,365.746472),-- [rp_full_plate_armor]
(21710,8725,1,1,2,2357.013988),-- [general_52_c]
(21710,8735,1,1,2,589.295868),-- [special_52_c]
(21710,8745,1,1,2,58.980432),-- [rare_52_c]
(21710,8755,1,1,2,11.86388),-- [unique_52_c]
(21710,1539,1,1,2,18855.264484),-- [greater_healing_potion]
(21711,2119,1,1,-1,15460),-- [crystal_dagger_blade]
(21711,4041,1,1,-1,29502),-- [mold_hardener]
(21711,4040,1,1,-1,67854),-- [mold_lubricant]
(21711,57,1341,2731,0,700000),-- [adena]
(21711,203,1,1,1,6.812335),-- [paagrio_axe]
(21711,2112,1,1,1,606.718515),-- [paagrio_axe_blade]
(21711,204,1,1,1,5.315845),-- [deadman's_staff]
(21711,2116,1,1,1,589.4608),-- [deadman's_staff_head]
(21711,205,1,1,1,5.315845),-- [ghoul's_staff]
(21711,2117,1,1,1,589.4608),-- [ghoul's_staff_head]
(21711,206,1,1,1,5.315845),-- [demon's_staff]
(21711,2118,1,1,1,589.4608),-- [demon's_staff_head]
(21711,2503,1,1,1,5.315845),-- [yaksa_mace]
(21711,2969,1,1,1,601.82337),-- [yaksa_mace_head]
(21711,1871,1,1,2,113881.22889),-- [charcoal]
(21711,1866,1,1,2,75920.75205),-- [suede]
(21711,1877,1,1,2,4555.22496),-- [admantite_nugget]
(21711,4041,1,1,2,990.20493),-- [mold_hardener]
(21711,4040,1,1,2,2277.61248),-- [mold_lubricant]
(21711,4145,1,1,2,499.43751),-- [rp_avadon_leather_mail]
(21711,4972,1,1,2,131.26113),-- [rp_great_axe_i]
(21711,8726,1,1,2,2636.11062),-- [general_55_c]
(21711,8736,1,1,2,659.12847),-- [special_55_c]
(21711,8746,1,1,2,65.93301),-- [rare_55_c]
(21711,8756,1,1,2,13.10595),-- [unique_55_c]
(21712,5549,1,1,-1,283133),-- [iron_thread]
(21712,4602,1,1,-1,6292),-- [dye_s3d3_c]
(21712,1539,1,1,-1,629184),-- [greater_healing_potion]
(21712,57,1120,2277,0,700000),-- [adena]
(21712,854,1,1,1,172.235448),-- [earing_of_binding]
(21712,1914,1,1,1,10961.91824),-- [earing_of_binding_gemstone]
(21712,917,1,1,1,129.18584),-- [necklace_of_mermaid]
(21712,1916,1,1,1,8303.05896),-- [necklace_of_mermaid_teardrop]
(21712,885,1,1,1,258.260632),-- [ring_of_ages]
(21712,1915,1,1,1,17191.34088),-- [ring_of_ages_gemstone]
(21712,1868,1,1,2,234172.29052),-- [thread]
(21712,1873,1,1,2,46834.3344),-- [silver_nugget]
(21712,5549,1,1,2,11708.5836),-- [iron_thread]
(21712,1889,1,1,2,7805.7224),-- [compound_braid]
(21712,4044,1,1,2,3902.8612),-- [thons]
(21712,2232,1,1,2,672.94976),-- [rp_drake_leather_mail]
(21712,8725,1,1,2,3252.48742),-- [general_52_c]
(21712,8735,1,1,2,813.04454),-- [special_52_c]
(21712,8745,1,1,2,81.33538),-- [rare_52_c]
(21712,8755,1,1,2,16.39078),-- [unique_52_c]
(21713,1874,1,1,-1,209404),-- [oriharukon_ore]
(21713,4043,1,1,-1,104702),-- [asofe]
(21713,1986,1,1,-1,33191),-- [full_plate_armor_temper]
(21713,57,1243,2526,0,700000),-- [adena]
(21713,135,1,1,1,12.301555),-- [samurai_longsword]
(21713,2115,1,1,1,1328.358666),-- [samurai_longsword_blade]
(21713,5286,1,1,1,12.301555),-- [berserker_blade]
(21713,5530,1,1,1,1330.038224),-- [berserker_blade_edge]
(21713,1870,1,1,2,115977.494732),-- [coal]
(21713,1865,1,1,2,115977.494732),-- [varnish]
(21713,1874,1,1,2,7731.950941),-- [oriharukon_ore]
(21713,4043,1,1,2,3865.849086),-- [asofe]
(21713,4039,1,1,2,3865.849086),-- [mold_glue]
(21713,4126,1,1,2,1913.714099),-- [rp_adamantite_earing]
(21713,8726,1,1,2,2684.659549),-- [general_55_c]
(21713,8736,1,1,2,671.101695),-- [special_55_c]
(21713,8746,1,1,2,67.236554),-- [rare_55_c]
(21713,8756,1,1,2,13.649526),-- [unique_55_c]
(21714,1977,1,1,-1,44094),-- [composite_armor_temper]
(21714,2231,1,1,-1,12848),-- [rp_full_plate_armor]
(21714,1978,1,1,-1,191076),-- [tower_shield_fragment]
(21714,57,1179,2397,0,700000),-- [adena]
(21714,64,1,1,1,326.45126),-- [composite_boots]
(21714,2956,1,1,1,18127.54874),-- [composite_boots_part]
(21714,608,1,1,1,326.45126),-- [mithril_gauntlet]
(21714,1981,1,1,1,18127.54874),-- [mithril_gauntlet_design]
(21714,1895,1,1,2,35219.244522),-- [metallic_fiber]
(21714,4040,1,1,2,2465.319702),-- [mold_lubricant]
(21714,4042,1,1,2,2054.47788),-- [enria]
(21714,4043,1,1,2,4108.902006),-- [asofe]
(21714,2233,1,1,2,1152.055728),-- [rp_divine_tunic]
(21714,2970,1,1,2,4371.167772),-- [rp_ring_of_binding]
(21714,8725,1,1,2,3424.076046),-- [general_52_c]
(21714,8735,1,1,2,856.03245),-- [special_52_c]
(21714,8745,1,1,2,85.576368),-- [rare_52_c]
(21714,8755,1,1,2,17.147526),-- [unique_52_c]
(21715,4126,1,1,-1,54581),-- [rp_adamantite_earing]
(21715,1987,1,1,-1,50463),-- [drake_leather_mail_texture]
(21715,4127,1,1,-1,81871),-- [rp_adamantite_ring]
(21715,57,1309,2660,0,700000),-- [adena]
(21715,442,1,1,1,74.01585),-- [divine_tunic]
(21715,1988,1,1,1,5866.542054),-- [divine_tunic_fabric]
(21715,473,1,1,1,118.394838),-- [divine_hose]
(21715,1989,1,1,1,9202.047258),-- [divine_hose_pattern]
(21715,1867,1,1,2,162835.031093),-- [animal_skin]
(21715,1872,1,1,2,162835.031093),-- [animal_bone]
(21715,1882,1,1,2,27139.110887),-- [leather]
(21715,1894,1,1,2,4285.007265),-- [crafted_leather]
(21715,4042,1,1,2,2035.515615),-- [enria]
(21715,4127,1,1,2,3023.097315),-- [rp_adamantite_ring]
(21715,8726,1,1,2,2827.044059),-- [general_55_c]
(21715,8736,1,1,2,706.669572),-- [special_55_c]
(21715,8746,1,1,2,70.593803),-- [rare_55_c]
(21715,8756,1,1,2,13.899298),-- [unique_55_c]
(21716,2120,1,1,-1,18168),-- [great_pata_blade]
(21716,4144,1,1,-1,38872),-- [rp_shrnoen's_leather_gaiters]
(21716,2121,1,1,-1,17393),-- [eminence_bow_shaft]
(21716,57,1495,3045,0,700000),-- [adena]
(21716,135,1,1,1,14.814135),-- [samurai_longsword]
(21716,2115,1,1,1,1599.674562),-- [samurai_longsword_blade]
(21716,5286,1,1,1,14.814135),-- [berserker_blade]
(21716,5530,1,1,1,1601.697168),-- [berserker_blade_edge]
(21716,1874,1,1,2,9310.165887),-- [oriharukon_ore]
(21716,1878,1,1,2,55860.482205),-- [braided_hemp]
(21716,1884,1,1,2,85939.229706),-- [cord]
(21716,1889,1,1,2,9310.165887),-- [compound_braid]
(21716,5220,1,1,2,5586.13374),-- [reinforcing_agent]
(21716,4146,1,1,2,895.218126),-- [rp_tunic_of_shrnoen]
(21716,8726,1,1,2,3232.6371),-- [general_55_c]
(21716,8736,1,1,2,808.159275),-- [special_55_c]
(21716,8746,1,1,2,80.901447),-- [rare_55_c]
(21716,8756,1,1,2,15.906627),-- [unique_55_c]
(21717,2232,1,1,-1,6974),-- [rp_drake_leather_mail]
(21717,1981,1,1,-1,71378),-- [mithril_gauntlet_design]
(21717,1877,1,1,-1,48537),-- [admantite_nugget]
(21717,57,480,976,0,700000),-- [adena]
(21717,103,1,1,1,63.263882),-- [tower_shield]
(21717,1978,1,1,1,4020.833847),-- [tower_shield_fragment]
(21717,107,1,1,1,63.263882),-- [composite_shield]
(21717,4055,1,1,1,4020.833847),-- [composite_shield_fragment]
(21717,517,1,1,1,44.30398),-- [composite_helmet]
(21717,2957,1,1,1,2751.098291),-- [composite_helmet_design]
(21717,1149,1,1,1,44.30398),-- [shining_circlet]
(21717,1983,1,1,1,2751.098291),-- [shining_circlet_pattern]
(21717,1871,1,1,2,38599.778274),-- [charcoal]
(21717,1866,1,1,2,25733.289402),-- [suede]
(21717,1877,1,1,2,1543.953732),-- [admantite_nugget]
(21717,4041,1,1,2,335.655666),-- [mold_hardener]
(21717,4040,1,1,2,771.976866),-- [mold_lubricant]
(21717,2234,1,1,2,575.320668),-- [rp_divine_hose]
(21717,3012,1,1,2,720.085809),-- [rp_full_plate_helmet]
(21717,6669,1,1,2,8976.685374),-- [key_of_treasure_box5]
(21717,8725,1,1,2,1072.259349),-- [general_52_c]
(21717,8735,1,1,2,268.02588),-- [special_52_c]
(21717,8745,1,1,2,26.802588),-- [rare_52_c]
(21717,8755,1,1,2,5.298186),-- [unique_52_c]
(21717,1342,10,30,2,77199.868206),-- [fine_steel_arrow]
(21718,4145,1,1,-1,34919),-- [rp_avadon_leather_mail]
(21718,2122,1,1,-1,36339),-- [orcish_poleaxe_blade]
(21718,4044,1,1,-1,265386),-- [thons]
(21718,57,3146,6410,0,700000),-- [adena]
(21718,442,1,1,1,178.1599),-- [divine_tunic]
(21718,1988,1,1,1,14121.063876),-- [divine_tunic_fabric]
(21718,473,1,1,1,284.982372),-- [divine_hose]
(21718,1989,1,1,1,22149.793852),-- [divine_hose_pattern]
(21718,1868,1,3,2,267241.391685),-- [thread]
(21718,1873,1,1,2,106896.644365),-- [silver_nugget]
(21718,5549,1,1,2,26724.270705),-- [iron_thread]
(21718,1889,1,1,2,17816.18047),-- [compound_braid]
(21718,4044,1,1,2,8908.090235),-- [thons]
(21718,4147,1,1,2,2746.48212),-- [rp_hose_of_shrnoen]
(21718,8311,1,1,2,203.881575),-- [rp_bone_of_kaim_vanul]
(21718,8726,1,1,2,6186.161595),-- [general_55_c]
(21718,8736,1,1,2,1546.430785),-- [special_55_c]
(21718,8746,1,1,2,154.774615),-- [rare_55_c]
(21718,8756,1,1,2,30.69185),-- [unique_55_c]
(21719,1876,1,3,-1,811236),-- [mithril_ore]
(21719,2917,1,1,-1,465960),-- [ring_of_binding_gemstone]
(21719,4146,1,1,-1,52002),-- [rp_tunic_of_shrnoen]
(21719,57,3206,6531,0,700000),-- [adena]
(21719,2436,1,1,1,202.222947),-- [theca_leather_boots]
(21719,2954,1,1,1,13543.83212),-- [theca_leather_boots_texture]
(21719,2437,1,1,1,155.582738),-- [drake_leather_boots]
(21719,2960,1,1,1,11652.177929),-- [drake_leather_boots_design]
(21719,2438,1,1,1,155.582738),-- [full_plate_boots]
(21719,2961,1,1,1,11652.177929),-- [full_plate_boots_part]
(21719,2460,1,1,1,202.222947),-- [theca_leather_gloves]
(21719,2955,1,1,1,13543.83212),-- [theca_leather_gloves_texture]
(21719,2461,1,1,1,155.582738),-- [drake_leather_gloves]
(21719,2962,1,1,1,11652.177929),-- [drake_leather_gloves_design]
(21719,2462,1,1,1,155.582738),-- [full_plate_gauntlet]
(21719,2963,1,1,1,11652.177929),-- [full_plate_gauntlet_part]
(21719,2463,1,1,1,155.582738),-- [blessed_gloves]
(21719,2964,1,1,1,11652.26446),-- [blessed_gloves_pattern]
(21719,1873,1,1,2,119813.339128),-- [silver_nugget]
(21719,1868,3,9,2,99844.322498),-- [thread]
(21719,1876,1,1,2,59906.669564),-- [mithril_ore]
(21719,1895,1,1,2,85580.95652),-- [metallic_fiber]
(21719,4042,1,1,2,4992.159076),-- [enria]
(21719,4148,1,1,2,1313.646004),-- [rp_avadon_robe]
(21719,8726,1,1,2,6933.723306),-- [general_55_c]
(21719,8736,1,1,2,1733.525908),-- [special_55_c]
(21719,8746,1,1,2,173.428656),-- [rare_55_c]
(21719,8756,1,1,2,34.22934),-- [unique_55_c]
(21720,2954,1,1,-1,20023),-- [theca_leather_boots_texture]
(21720,4147,1,1,-1,3251),-- [rp_hose_of_shrnoen]
(21720,2955,1,1,-1,20023),-- [theca_leather_gloves_texture]
(21720,57,125,255,0,700000),-- [adena]
(21720,301,1,1,1,1.05728),-- [scorpion]
(21720,2113,1,1,1,94.157),-- [scorpion_blade]
(21720,303,1,1,1,1.05728),-- [widow_maker]
(21720,2114,1,1,1,94.157),-- [widow_maker_head]
(21720,299,1,1,1,0.82488),-- [orcish_poleaxe]
(21720,2122,1,1,1,88.74656),-- [orcish_poleaxe_blade]
(21720,1866,1,1,2,7787.405109),-- [suede]
(21720,1871,1,1,2,11681.09691),-- [charcoal]
(21720,5220,1,1,2,467.239575),-- [reinforcing_agent]
(21720,1885,1,1,2,973.428327),-- [high_grade_suede]
(21720,4041,1,1,2,101.577561),-- [mold_hardener]
(21720,4149,1,1,2,150.140367),-- [rp_avadon_circlet]
(21720,8726,1,1,2,270.386004),-- [general_55_c]
(21720,8736,1,1,2,67.596501),-- [special_55_c]
(21720,8746,1,1,2,6.753198),-- [rare_55_c]
(21720,8756,1,1,2,1.376448),-- [unique_55_c]
(21721,1865,1,1,-1,720775),-- [varnish]
(21721,4603,1,1,-1,1602),-- [dye_c3s3_c]
(21721,1539,1,1,-1,160172),-- [greater_healing_potion]
(21721,57,285,580,0,700000),-- [adena]
(21721,231,1,1,1,4.508932),-- [grace_dagger]
(21721,2106,1,1,1,405.991068),-- [grace_dagger_edge]
(21721,233,1,1,1,4.508932),-- [dark_screamer]
(21721,2107,1,1,1,405.991068),-- [dark_screamer_edge]
(21721,1870,1,1,2,29806.676424),-- [coal]
(21721,1865,1,1,2,29806.676424),-- [varnish]
(21721,1874,1,1,2,1987.13764),-- [oriharukon_ore]
(21721,4043,1,1,2,993.536472),-- [asofe]
(21721,4039,1,1,2,993.536472),-- [mold_glue]
(21721,2353,1,1,2,48.651392),-- [rp_samurai_longsword]
(21721,8725,1,1,2,827.979408),-- [general_52_c]
(21721,8735,1,1,2,206.962504),-- [special_52_c]
(21721,8745,1,1,2,20.70272),-- [rare_52_c]
(21721,8755,1,1,2,4.140544),-- [unique_52_c]
(21722,1989,1,1,-1,226991),-- [divine_hose_pattern]
(21722,4128,1,1,-1,93213),-- [rp_adamantite_necklace]
(21722,2112,1,1,-1,36472),-- [paagrio_axe_blade]
(21722,57,2981,6056,0,700000),-- [adena]
(21722,301,1,1,1,25.2048),-- [scorpion]
(21722,2113,1,1,1,2244.635625),-- [scorpion_blade]
(21722,303,1,1,1,25.2048),-- [widow_maker]
(21722,2114,1,1,1,2244.635625),-- [widow_maker_head]
(21722,299,1,1,1,19.66455),-- [orcish_poleaxe]
(21722,2122,1,1,1,2115.6546),-- [orcish_poleaxe_blade]
(21722,1865,1,3,2,139044.434802),-- [varnish]
(21722,1870,1,1,2,278088.869604),-- [coal]
(21722,1879,1,1,2,46348.144934),-- [cokes]
(21722,1875,1,1,2,18539.05911),-- [stone_of_purity]
(21722,4040,1,1,2,5561.717733),-- [mold_lubricant]
(21722,4133,1,1,2,1336.860551),-- [rp_shrnoen's_breastplate]
(21722,8726,1,1,2,6437.214732),-- [general_55_c]
(21722,8736,1,1,2,1609.303683),-- [special_55_c]
(21722,8746,1,1,2,161.079516),-- [rare_55_c]
(21722,8756,1,1,2,32.315335),-- [unique_55_c]
(21723,6669,1,3,-1,753266),-- [key_of_treasure_box5]
(21723,4601,1,1,-1,14396),-- [dye_s3c3_c]
(21723,1539,1,3,-1,719788),-- [greater_healing_potion]
(21723,57,2562,5209,0,700000),-- [adena]
(21723,6669,1,3,1,240303.493541),-- [key_of_treasure_box5]
(21723,8725,1,1,1,57405.972284),-- [general_52_c]
(21723,8735,1,1,1,14351.493071),-- [special_52_c]
(21723,8745,1,1,1,1435.243442),-- [rare_52_c]
(21723,8755,1,1,1,286.797662),-- [unique_52_c]
(21724,6669,1,3,-1,849629),-- [key_of_treasure_box5]
(21724,1984,1,1,-1,156630),-- [theca_leather_mail_pattern]
(21724,4126,1,1,-1,120574),-- [rp_adamantite_earing]
(21724,57,2892,5875,0,700000),-- [adena]
(21724,6669,1,3,1,263516.06152),-- [key_of_treasure_box5]
(21724,8726,1,1,1,52459.182272),-- [general_55_c]
(21724,8736,1,1,1,13114.795568),-- [special_55_c]
(21724,8746,1,1,1,1311.413424),-- [rare_55_c]
(21724,8756,1,1,1,262.547216),-- [unique_55_c]
(21725,951,1,1,-1,11612),-- [scrl_of_ench_wp_c]
(21725,952,1,1,-1,85153),-- [scrl_of_ench_am_c]
(21725,1914,1,1,-1,358792),-- [earing_of_binding_gemstone]
(21725,57,2526,5135,0,700000),-- [adena]
(21725,162,1,1,1,9.991368),-- [war_axe]
(21725,2097,1,1,1,884.210336),-- [war_axe_blade]
(21725,174,1,1,1,9.991368),-- [nirvana_axe]
(21725,2098,1,1,1,884.210336),-- [nirvana_axe_blade]
(21725,196,1,1,1,9.991368),-- [stick_of_eternity]
(21725,2099,1,1,1,930.564696),-- [stick_of_eternity_shaft]
(21725,197,1,1,1,9.991368),-- [paradia_staff]
(21725,2100,1,1,1,930.564696),-- [paradia_staff_head]
(21725,199,1,1,1,9.991368),-- [paagrio_hammer]
(21725,2102,1,1,1,897.186616),-- [paagrio_hammer_head]
(21725,200,1,1,1,9.991368),-- [sage's_staff]
(21725,2103,1,1,1,930.564696),-- [sage's_staff_head]
(21725,201,1,1,1,9.991368),-- [club_of_nature]
(21725,2104,1,1,1,930.564696),-- [club_of_nature_head]
(21725,202,1,1,1,9.991368),-- [mace_of_underworld]
(21725,2105,1,1,1,884.202984),-- [mace_of_underworld_head]
(21725,1894,1,1,2,9266.986612),-- [crafted_leather]
(21725,4039,1,1,2,8803.603231),-- [mold_glue]
(21725,4041,1,1,2,2296.614354),-- [mold_hardener]
(21725,4044,1,1,2,8803.603231),-- [thons]
(21725,951,1,1,2,480.195766),-- [scrl_of_ench_wp_c]
(21725,952,1,1,2,3521.449805),-- [scrl_of_ench_am_c]
(21725,8725,1,1,2,7336.371495),-- [general_52_c]
(21725,8735,1,1,2,1834.082233),-- [special_52_c]
(21725,8745,1,1,2,183.403967),-- [rare_52_c]
(21725,8755,1,1,2,36.689306),-- [unique_52_c]
(21726,951,1,1,-1,14147),-- [scrl_of_ench_wp_c]
(21726,952,1,1,-1,103742),-- [scrl_of_ench_am_c]
(21726,4127,1,1,-1,192590),-- [rp_adamantite_ring]
(21726,57,3075,6264,0,700000),-- [adena]
(21726,855,1,1,1,293.92956),-- [nassen's_earing]
(21726,1918,1,1,1,20737.44528),-- [nassen's_earing_gemstone]
(21726,119,1,1,1,220.47996),-- [necklace_of_binding]
(21726,1920,1,1,1,16384.1793),-- [necklace_of_binding_chain]
(21726,886,1,1,1,440.89434),-- [ring_of_binding]
(21726,2917,1,1,1,27503.07156),-- [ring_of_binding_gemstone]
(21726,951,1,1,2,870.547482),-- [scrl_of_ench_wp_c]
(21726,952,1,1,2,6383.929104),-- [scrl_of_ench_am_c]
(21726,8726,1,1,2,11083.217397),-- [general_55_c]
(21726,8736,1,1,2,2770.798989),-- [special_55_c]
(21726,8746,1,1,2,277.082043),-- [rare_55_c]
(21726,8756,1,1,2,55.424985),-- [unique_55_c]
(21727,951,1,1,-1,12666),-- [scrl_of_ench_wp_c]
(21727,952,1,1,-1,92886),-- [scrl_of_ench_am_c]
(21727,1984,1,1,-1,149334),-- [theca_leather_mail_pattern]
(21727,57,2758,5602,0,700000),-- [adena]
(21727,855,1,1,1,263.169594),-- [nassen's_earing]
(21727,1918,1,1,1,18567.254872),-- [nassen's_earing_gemstone]
(21727,119,1,1,1,197.406554),-- [necklace_of_binding]
(21727,1920,1,1,1,14669.561695),-- [necklace_of_binding_chain]
(21727,886,1,1,1,394.754391),-- [ring_of_binding]
(21727,2917,1,1,1,24624.852894),-- [ring_of_binding_gemstone]
(21727,951,1,1,2,779.477196),-- [scrl_of_ench_wp_c]
(21727,952,1,1,2,5716.089312),-- [scrl_of_ench_am_c]
(21727,8726,1,1,2,9923.772566),-- [general_55_c]
(21727,8736,1,1,2,2480.938342),-- [special_55_c]
(21727,8746,1,1,2,248.095754),-- [rare_55_c]
(21727,8756,1,1,2,49.62683),-- [unique_55_c]
(21728,1867,1,15,-1,851364),-- [animal_skin]
(21728,1881,1,1,-1,681091),-- [coarse_bone_powder]
(21728,4614,1,1,-1,7046),-- [dye_s4d4_c]
(21728,57,2020,4107,0,700000),-- [adena]
(21728,357,1,1,1,23.6358),-- [shrnoen's_breastplate]
(21728,4056,1,1,1,3414.917892),-- [shrnoen's_breastplate_part]
(21728,2376,1,1,1,23.6358),-- [avadon_breastplate]
(21728,4064,1,1,1,3414.917892),-- [avadon_breastplate_part]
(21728,383,1,1,1,37.81728),-- [shrnoen's_gaiters]
(21728,4057,1,1,1,5277.61152),-- [shrnoen's_gaiters_material]
(21728,2379,1,1,1,37.81728),-- [avadon_gaiters]
(21728,4065,1,1,1,5277.646536),-- [avadon_gaiters_material]
(21728,1872,1,1,2,201183.611929),-- [animal_bone]
(21728,1867,1,1,2,201183.611929),-- [animal_skin]
(21728,1881,1,1,2,20118.317322),-- [coarse_bone_powder]
(21728,1875,1,1,2,10059.158661),-- [stone_of_purity]
(21728,4041,1,1,2,1312.178619),-- [mold_hardener]
(21728,4129,1,1,2,1632.874898),-- [rp_earing_of_black_ore]
(21728,8728,1,1,2,2514.679988),-- [general_61_b]
(21728,8738,1,1,2,628.669997),-- [special_61_b]
(21728,8748,1,1,2,62.735387),-- [rare_61_b]
(21728,8758,1,1,2,13.16127),-- [unique_61_b]
(21729,1807,1,1,-1,8500),-- [rp_soulshot_a]
(21729,4085,1,1,-1,110793),-- [tunic_of_doom_pattern]
(21729,3035,1,1,-1,8500),-- [rp_spiritshot_a]
(21729,57,2526,5122,0,700000),-- [adena]
(21729,97,1,1,1,18.661898),-- [lancia]
(21729,4115,1,1,1,4107.338102),-- [lancia_blade]
(21729,1874,1,1,2,12553.916375),-- [oriharukon_ore]
(21729,1878,1,1,2,75323.270225),-- [braided_hemp]
(21729,1884,1,1,2,115882.076975),-- [cord]
(21729,1889,1,1,2,12553.916375),-- [compound_braid]
(21729,5220,1,1,2,7532.349825),-- [reinforcing_agent]
(21729,6337,1,1,2,965.685875),-- [rp_sealed_majestic_earing_i]
(21729,8729,1,1,2,2510.783275),-- [general_64_a]
(21729,8739,1,1,2,627.752825),-- [special_64_a]
(21729,8749,1,1,2,62.706875),-- [rare_64_a]
(21729,8759,1,1,2,12.541375),-- [unique_64_a]
(21730,4087,1,1,-1,120236),-- [hose_of_doom_pattern]
(21730,5276,1,1,-1,6832),-- [rp_adv_comp_spiritshot_a]
(21730,4088,1,1,-1,193646),-- [blue_wolve's_helmet_design]
(21730,57,2032,4115,0,700000),-- [adena]
(21730,287,1,1,1,14.99883),-- [hazard_bow]
(21730,4121,1,1,1,3296.00117),-- [hazard_bow_shaft]
(21730,1870,1,1,2,151351.171776),-- [coal]
(21730,1865,1,1,2,151351.171776),-- [varnish]
(21730,1874,1,1,2,10090.034712),-- [oriharukon_ore]
(21730,4043,1,1,2,5045.017356),-- [asofe]
(21730,4039,1,1,2,5045.017356),-- [mold_glue]
(21730,5438,1,1,2,82.689192),-- [rp_meteor_shower_i]
(21730,8729,1,1,2,2018.072052),-- [general_64_a]
(21730,8739,1,1,2,504.5994),-- [special_64_a]
(21730,8749,1,1,2,50.45994),-- [rare_64_a]
(21730,8759,1,1,2,9.76644),-- [unique_64_a]
(21731,4086,1,1,-1,128514),-- [blue_wolve's_hose_pattern]
(21731,1894,1,1,-1,192162),-- [crafted_leather]
(21731,4042,1,1,-1,91277),-- [enria]
(21731,57,2170,4400,0,700000),-- [adena]
(21731,110,1,1,1,82.98527),-- [doom_shield]
(21731,4077,1,1,1,12129.68575),-- [doom_shield_fragment]
(21731,2416,1,1,1,58.09296),-- [blue_wolve's_helmet]
(21731,4088,1,1,1,10190.57153),-- [blue_wolve's_helmet_design]
(21731,2417,1,1,1,58.09296),-- [doom_helmet]
(21731,4089,1,1,1,10190.57153),-- [doom_helmet_pattern]
(21731,1867,1,3,2,65361.890284),-- [animal_skin]
(21731,1872,1,1,2,196086.08128),-- [animal_bone]
(21731,1882,1,1,2,32681.150356),-- [leather]
(21731,1894,1,1,2,5160.311244),-- [crafted_leather]
(21731,4042,1,1,2,2451.076016),-- [enria]
(21731,6339,1,1,2,1131.139568),-- [rp_sealed_majestic_ring_i]
(21731,8729,1,1,2,1961.024984),-- [general_64_a]
(21731,8739,1,1,2,490.051032),-- [special_64_a]
(21731,8749,1,1,2,48.840932),-- [rare_64_a]
(21731,8759,1,1,2,9.850272),-- [unique_64_a]
(21731,1343,20,60,2,105046.584032),-- [silver_arrow]
(21732,5281,1,1,-1,7470),-- [rp_adv_comp_bspiritshot_a]
(21732,4089,1,1,-1,211741),-- [doom_helmet_pattern]
(21732,4039,1,1,-1,186755),-- [mold_glue]
(21732,57,2222,4499,0,700000),-- [adena]
(21732,234,1,1,1,16.400973),-- [demon's_sword]
(21732,4119,1,1,1,3622.599027),-- [demon's_sword_edge]
(21732,1864,4,12,2,37612.227775),-- [stem]
(21732,1869,1,1,2,150448.490969),-- [iron_ore]
(21732,1878,1,1,2,60179.56444),-- [braided_hemp]
(21732,1884,1,1,2,92583.848339),-- [cord]
(21732,4039,1,1,2,5015.103747),-- [mold_glue]
(21732,5444,1,1,2,82.345676),-- [rp_carnium_bow_i]
(21732,8729,1,1,2,2006.125525),-- [general_64_a]
(21732,8739,1,1,2,501.636414),-- [special_64_a]
(21732,8749,1,1,2,49.995589),-- [rare_64_a]
(21732,8759,1,1,2,10.083144),-- [unique_64_a]
(21732,1343,30,90,2,71641.578382),-- [silver_arrow]
(21733,4056,1,1,-1,59834),-- [shrnoen's_breastplate_part]
(21733,4131,1,1,-1,26877),-- [rp_necklace_of_black_ore]
(21733,4057,1,1,-1,92471),-- [shrnoen's_gaiters_material]
(21733,57,1308,2658,0,700000),-- [adena]
(21733,91,1,1,1,7.30784),-- [heavy_war_axe]
(21733,4105,1,1,1,1396.64965),-- [heavy_war_axe_head]
(21733,92,1,1,1,7.30784),-- [sprite's_staff]
(21733,4106,1,1,1,1373.73467),-- [sprite's_staff_head]
(21733,1872,1,1,2,118363.192878),-- [animal_bone]
(21733,1867,1,1,2,118363.192878),-- [animal_skin]
(21733,1881,1,1,2,11836.203666),-- [coarse_bone_powder]
(21733,1875,1,1,2,5918.294536),-- [stone_of_purity]
(21733,4041,1,1,2,771.968218),-- [mold_hardener]
(21733,4130,1,1,2,1441.033034),-- [rp_ring_of_black_ore]
(21733,8728,1,1,2,1479.573634),-- [general_61_b]
(21733,8738,1,1,2,369.98976),-- [special_61_b]
(21733,8748,1,1,2,36.998976),-- [rare_61_b]
(21733,8758,1,1,2,7.322714),-- [unique_61_b]
(21733,1343,10,30,2,126818.229706),-- [silver_arrow]
(21734,4087,1,1,-1,113812),-- [hose_of_doom_pattern]
(21734,3956,1,1,-1,6467),-- [rp_blessed_spiritshot_a]
(21734,4088,1,1,-1,183300),-- [blue_wolve's_helmet_design]
(21734,57,1922,3897,0,700000),-- [adena]
(21734,2391,1,1,1,23.742072),-- [blue_wolve's_leather_mail]
(21734,4082,1,1,1,4047.257928),-- [blue_wolve's_leather_mail_texture]
(21734,2392,1,1,1,23.742072),-- [leather_mail_of_doom]
(21734,4083,1,1,1,4047.257928),-- [leather_mail_of_doom_design]
(21734,1864,1,3,2,143264.840715),-- [stem]
(21734,1869,1,1,2,143264.840715),-- [iron_ore]
(21734,1878,1,1,2,57306.11198),-- [braided_hemp]
(21734,1884,1,1,2,88162.809965),-- [cord]
(21734,4039,1,1,2,4775.36292),-- [mold_glue]
(21734,729,1,1,2,15.81246),-- [scrl_of_ench_wp_a]
(21734,8729,1,1,2,1910.233015),-- [general_64_a]
(21734,8739,1,1,2,477.448445),-- [special_64_a]
(21734,8749,1,1,2,47.876615),-- [rare_64_a]
(21734,8759,1,1,2,9.66317),-- [unique_64_a]
(21735,4154,1,1,-1,49078),-- [rp_doom_shield]
(21735,4064,1,1,-1,75061),-- [avadon_breastplate_part]
(21735,948,1,1,-1,10368),-- [scrl_of_ench_am_b]
(21735,57,1640,3334,0,700000),-- [adena]
(21735,300,1,1,1,18.33528),-- [great_axe]
(21735,4113,1,1,1,3151.66472),-- [great_axe_head]
(21735,1894,1,1,2,4775.892408),-- [crafted_leather]
(21735,4039,1,1,2,4537.099692),-- [mold_glue]
(21735,4041,1,1,2,1183.5846),-- [mold_hardener]
(21735,4044,1,1,2,4537.099692),-- [thons]
(21735,4131,1,1,2,1106.608752),-- [rp_necklace_of_black_ore]
(21735,8728,1,1,2,2268.540324),-- [general_61_b]
(21735,8738,1,1,2,567.13032),-- [special_61_b]
(21735,8748,1,1,2,56.713032),-- [rare_61_b]
(21735,8758,1,1,2,11.33118),-- [unique_61_b]
(21736,5220,1,1,-1,181225),-- [reinforcing_agent]
(21736,4090,1,1,-1,203395),-- [blue_wolve's_boots_design]
(21736,5438,1,1,-1,2476),-- [rp_meteor_shower_i]
(21736,57,1797,3638,0,700000),-- [adena]
(21736,97,1,1,1,13.261436),-- [lancia]
(21736,4115,1,1,1,2918.738564),-- [lancia_blade]
(21736,1866,1,1,2,89218.36224),-- [suede]
(21736,1871,1,1,2,133827.421824),-- [charcoal]
(21736,5220,1,1,2,5353.174656),-- [reinforcing_agent]
(21736,1885,1,1,2,11152.386432),-- [high_grade_suede]
(21736,4041,1,1,2,1163.828736),-- [mold_hardener]
(21736,5446,1,1,2,73.164672),-- [rp_bloody_orchid_i]
(21736,8729,1,1,2,1784.391552),-- [general_64_a]
(21736,8739,1,1,2,446.03712),-- [special_64_a]
(21736,8749,1,1,2,44.725248),-- [rare_64_a]
(21736,8759,1,1,2,8.50752),-- [unique_64_a]
(21737,1880,1,1,-1,436600),-- [steel]
(21737,5550,1,1,-1,58213),-- [reinforcing_plate]
(21737,4615,1,1,-1,6022),-- [dye_c4s4_c]
(21737,57,1727,3510,0,700000),-- [adena]
(21737,229,1,1,1,9.652236),-- [kris]
(21737,4109,1,1,1,1816.347764),-- [kris_edge]
(21737,243,1,1,1,9.652236),-- [hell_knife]
(21737,4110,1,1,1,1816.347764),-- [hell_knife_edge]
(21737,1869,1,1,2,117240.823812),-- [iron_ore]
(21737,1864,1,3,2,117240.823812),-- [stem]
(21737,1880,1,1,2,11724.040076),-- [steel]
(21737,5550,1,1,2,1563.17714),-- [reinforcing_plate]
(21737,4043,1,1,2,3908.154376),-- [asofe]
(21737,4154,1,1,2,1387.61056),-- [rp_doom_shield]
(21737,8728,1,1,2,1954.077188),-- [general_61_b]
(21737,8738,1,1,2,488.62506),-- [special_61_b]
(21737,8748,1,1,2,48.65098),-- [rare_61_b]
(21737,8758,1,1,2,9.730196),-- [unique_61_b]
(21737,1343,10,30,2,167486.2868),-- [silver_arrow]
(21738,4091,1,1,-1,214178),-- [doom_gloves_part]
(21738,5444,1,1,-1,2607),-- [rp_carnium_bow_i]
(21738,4096,1,1,-1,214178),-- [blue_wolve's_gloves_fabric]
(21738,57,1892,3831,0,700000),-- [adena]
(21738,79,1,1,1,4.654791),-- [sword_of_damascus]
(21738,4114,1,1,1,1028.253552),-- [sword_of_damascus_blade]
(21738,7883,1,1,1,4.654791),-- [guardians_sword]
(21738,8330,1,1,1,1026.525426),-- [guardians_sword_blade]
(21738,7889,1,1,1,4.654791),-- [tears_of_wizard]
(21738,8336,1,1,1,1028.256649),-- [tears_of_wizard_blade]
(21738,1865,1,1,2,128111.325055),-- [varnish]
(21738,1870,1,1,2,128111.325055),-- [coal]
(21738,1879,1,1,2,21351.966501),-- [cokes]
(21738,1875,1,1,2,8540.59702),-- [stone_of_purity]
(21738,4040,1,1,2,2562.179106),-- [mold_lubricant]
(21738,5452,1,1,2,70.144748),-- [rp_blood_tornado_i]
(21738,8729,1,1,2,1708.119404),-- [general_64_a]
(21738,8739,1,1,2,427.029851),-- [special_64_a]
(21738,8749,1,1,2,42.65559),-- [rare_64_a]
(21738,8759,1,1,2,8.531118),-- [unique_64_a]
(21738,1343,10,30,2,183017.126552),-- [silver_arrow]
(21739,5156,1,1,-1,7209),-- [rp_comp_soulshot_a]
(21739,4089,1,1,-1,204345),-- [doom_helmet_pattern]
(21739,5220,1,1,-1,216279),-- [reinforcing_agent]
(21739,57,2143,4344,0,700000),-- [adena]
(21739,864,1,1,1,74.877555),-- [earing_of_black_ore]
(21739,4052,1,1,1,9423.78114),-- [earing_of_black_ore_piece]
(21739,926,1,1,1,56.164746),-- [necklace_of_black_ore]
(21739,4054,1,1,1,5242.7448),-- [necklace_of_black_ore_beads]
(21739,895,1,1,1,112.303173),-- [ring_of_black_ore]
(21739,4053,1,1,1,11409.128586),-- [ring_of_black_ore_gemstone]
(21739,1866,1,1,2,96796.186686),-- [suede]
(21739,1871,1,1,2,145194.280029),-- [charcoal]
(21739,5220,1,1,2,5807.752354),-- [reinforcing_agent]
(21739,1885,1,1,2,12099.405541),-- [high_grade_suede]
(21739,4041,1,1,2,1262.75972),-- [mold_hardener]
(21739,730,1,1,2,121.093003),-- [scrl_of_ench_am_a]
(21739,8729,1,1,2,1936.074511),-- [general_64_a]
(21739,8739,1,1,2,483.900833),-- [special_64_a]
(21739,8749,1,1,2,48.531437),-- [rare_64_a]
(21739,8759,1,1,2,9.894759),-- [unique_64_a]
(21739,1343,10,30,2,207419.121127),-- [silver_arrow]
(21740,4065,1,1,-1,49715),-- [avadon_gaiters_material]
(21740,4155,1,1,-1,5520),-- [rp_blue_wolve's_breastplate]
(21740,4066,1,1,-1,41903),-- [shrnoen's_leather_shirts_fabric]
(21740,57,703,1429,0,700000),-- [adena]
(21740,357,1,1,1,8.2242),-- [shrnoen's_breastplate]
(21740,4056,1,1,1,1188.238508),-- [shrnoen's_breastplate_part]
(21740,2376,1,1,1,8.2242),-- [avadon_breastplate]
(21740,4064,1,1,1,1188.238508),-- [avadon_breastplate_part]
(21740,383,1,1,1,13.15872),-- [shrnoen's_gaiters]
(21740,4057,1,1,1,1836.37248),-- [shrnoen's_gaiters_material]
(21740,2379,1,1,1,13.15872),-- [avadon_gaiters]
(21740,4065,1,1,1,1836.384664),-- [avadon_gaiters_material]
(21740,1895,1,1,2,14999.987416),-- [metallic_fiber]
(21740,4040,1,1,2,1049.9951),-- [mold_lubricant]
(21740,4042,1,1,2,874.991132),-- [enria]
(21740,4043,1,1,2,1750.010972),-- [asofe]
(21740,4155,1,1,2,163.032732),-- [rp_blue_wolve's_breastplate]
(21740,6670,1,1,2,8749.997444),-- [key_of_treasure_box6]
(21740,8728,1,1,2,874.991132),-- [general_61_b]
(21740,8738,1,1,2,218.75496),-- [special_61_b]
(21740,8748,1,1,2,21.875496),-- [rare_61_b]
(21740,8758,1,1,2,4.363616),-- [unique_61_b]
(21741,4040,1,1,-1,227632),-- [mold_lubricant]
(21741,4090,1,1,-1,510958),-- [blue_wolve's_boots_design]
(21741,5161,1,1,-1,15175),-- [rp_comp_spiritshot_a]
(21741,57,4510,9145,0,700000),-- [adena]
(21741,79,1,1,1,11.105667),-- [sword_of_damascus]
(21741,4114,1,1,1,2453.266224),-- [sword_of_damascus_blade]
(21741,7883,1,1,1,11.105667),-- [guardians_sword]
(21741,8330,1,1,1,2449.143162),-- [guardians_sword_blade]
(21741,7889,1,1,1,11.105667),-- [tears_of_wizard]
(21741,8336,1,1,1,2453.273613),-- [tears_of_wizard_blade]
(21741,1871,1,3,2,168097.46061),-- [charcoal]
(21741,1866,1,1,2,224130.22827),-- [suede]
(21741,1877,1,1,2,13447.59468),-- [admantite_nugget]
(21741,4041,1,1,2,2923.445085),-- [mold_hardener]
(21741,4040,1,1,2,6723.79734),-- [mold_lubricant]
(21741,5434,1,1,2,124.67076),-- [rp_dragon_slayer_i]
(21741,8729,1,1,2,4482.671955),-- [general_64_a]
(21741,8739,1,1,2,1120.773285),-- [special_64_a]
(21741,8749,1,1,2,112.03521),-- [rare_64_a]
(21741,8759,1,1,2,22.322805),-- [unique_64_a]
(21742,4091,1,1,-1,520636),-- [doom_gloves_part]
(21742,5166,1,1,-1,15463),-- [rp_comp_bspiritshot_a]
(21742,4096,1,1,-1,520636),-- [blue_wolve's_gloves_fabric]
(21742,57,4596,9318,0,700000),-- [adena]
(21742,234,1,1,1,33.946724),-- [demon's_sword]
(21742,4119,1,1,1,7498.053276),-- [demon's_sword_edge]
(21742,1867,1,3,2,138408.963184),-- [animal_skin]
(21742,1872,2,6,2,103806.439296),-- [animal_bone]
(21742,1882,1,1,2,69204.292864),-- [leather]
(21742,1894,1,1,2,10926.973744),-- [crafted_leather]
(21742,4042,1,1,2,5190.397456),-- [enria]
(21742,5440,1,1,2,115.501536),-- [rp_elysian_i]
(21742,8729,1,1,2,4152.393456),-- [general_64_a]
(21742,8739,1,1,2,1038.004),-- [special_64_a]
(21742,8749,1,1,2,103.8004),-- [rare_64_a]
(21742,8759,1,1,2,20.76008),-- [unique_64_a]
(21742,1343,100,300,2,44488.473984),-- [silver_arrow]
(21743,1877,1,1,-1,18090),-- [admantite_nugget]
(21743,4041,1,1,-1,3933),-- [mold_hardener]
(21743,4099,1,1,-1,20303),-- [doom_boots_part]
(21743,57,179,363,0,700000),-- [adena]
(21743,358,1,1,1,1.800056),-- [blue_wolve's_breastplate]
(21743,4078,1,1,1,325.405527),-- [blue_wolve's_breastplate_part]
(21743,2381,1,1,1,1.107882),-- [doom_plate_armor]
(21743,4081,1,1,1,219.567481),-- [doom_plate_armor_temper]
(21743,2380,1,1,1,2.879686),-- [blue_wolve's_gaiters]
(21743,4080,1,1,1,458.239368),-- [blue_wolve's_gaiters_material]
(21743,1871,1,1,2,13358.63214),-- [charcoal]
(21743,1866,1,1,2,8905.75476),-- [suede]
(21743,1877,1,1,2,534.353715),-- [admantite_nugget]
(21743,4041,1,1,2,116.161815),-- [mold_hardener]
(21743,4040,1,1,2,267.16515),-- [mold_lubricant]
(21743,5442,1,1,2,4.940565),-- [rp_soul_bow_i]
(21743,8729,1,1,2,178.117905),-- [general_64_a]
(21743,8739,1,1,2,44.53533),-- [special_64_a]
(21743,8749,1,1,2,4.44885),-- [rare_64_a]
(21743,8759,1,1,2,0.88977),-- [unique_64_a]
(21744,4157,1,1,-1,5252),-- [rp_blue_wolve's_gaiters]
(21744,4067,1,1,-1,37792),-- [shrnoen's_leather_gaiters_texture]
(21744,947,1,1,-1,422),-- [scrl_of_ench_wp_b]
(21744,57,418,849,0,700000),-- [adena]
(21744,2397,1,1,1,8.683896),-- [tunic_of_shrnoen]
(21744,4069,1,1,1,1225.609632),-- [tunic_of_shrnoen_fabric]
(21744,2406,1,1,1,5.341752),-- [avadon_robe]
(21744,4071,1,1,1,941.572008),-- [avadon_robe_fabric]
(21744,2402,1,1,1,13.895856),-- [hose_of_shrnoen]
(21744,4070,1,1,1,1860.896856),-- [hose_of_shrnoen_fabric]
(21744,1868,1,1,2,56699.599515),-- [thread]
(21744,1873,1,1,2,11339.965885),-- [silver_nugget]
(21744,5549,1,1,2,2835.02021),-- [iron_thread]
(21744,1889,1,1,2,1889.975155),-- [compound_braid]
(21744,4044,1,1,2,945.045055),-- [thons]
(21744,4157,1,1,2,141.049785),-- [rp_blue_wolve's_gaiters]
(21744,8728,1,1,2,472.46505),-- [general_61_b]
(21744,8738,1,1,2,118.17374),-- [special_61_b]
(21744,8748,1,1,2,11.840365),-- [rare_61_b]
(21744,8758,1,1,2,2.414055),-- [unique_61_b]
(21744,1343,10,30,2,40499.451185),-- [silver_arrow]
(21745,5446,1,1,-1,5936),-- [rp_bloody_orchid_i]
(21745,4114,1,1,-1,47551),-- [sword_of_damascus_blade]
(21745,5452,1,1,-1,5936),-- [rp_blood_tornado_i]
(21745,57,4309,8724,0,700000),-- [adena]
(21745,268,1,1,1,31.799145),-- [bellion_cestus]
(21745,4120,1,1,1,7011.200855),-- [bellion_cestus_edge]
(21745,1871,1,3,2,97239.14411),-- [charcoal]
(21745,1866,1,1,2,194477.919233),-- [suede]
(21745,1877,1,1,2,11668.844888),-- [admantite_nugget]
(21745,4041,1,1,2,2536.785625),-- [mold_hardener]
(21745,4040,1,1,2,5834.422444),-- [mold_lubricant]
(21745,5460,1,1,2,159.402384),-- [rp_dasparion's_staff_i]
(21745,8729,1,1,2,3889.491967),-- [general_64_a]
(21745,8739,1,1,2,972.280745),-- [special_64_a]
(21745,8749,1,1,2,97.412568),-- [rare_64_a]
(21745,8759,1,1,2,19.556311),-- [unique_64_a]
(21745,1343,80,240,2,52091.739725),-- [silver_arrow]
(21746,6670,1,3,-1,790715),-- [key_of_treasure_box6]
(21746,947,1,1,-1,3795),-- [scrl_of_ench_wp_b]
(21746,57,3753,7629,0,700000),-- [adena]
(21746,6670,1,3,1,233565.185724),-- [key_of_treasure_box6]
(21746,8728,1,1,1,46713.154488),-- [general_61_b]
(21746,8738,1,1,1,11678.288622),-- [special_61_b]
(21746,8748,1,1,1,1167.858198),-- [rare_61_b]
(21746,8758,1,1,1,233.512968),-- [unique_61_b]
(21747,6670,1,3,-1,878270),-- [key_of_treasure_box6]
(21747,1894,1,1,-1,369798),-- [crafted_leather]
(21747,4052,1,1,-1,373136),-- [earing_of_black_ore_piece]
(21747,57,4180,8463,0,700000),-- [adena]
(21747,6670,1,3,1,259427.203254),-- [key_of_treasure_box6]
(21747,8729,1,1,1,41508.327516),-- [general_64_a]
(21747,8739,1,1,1,10377.238158),-- [special_64_a]
(21747,8749,1,1,1,1037.69256),-- [rare_64_a]
(21747,8759,1,1,1,207.538512),-- [unique_64_a]
(21748,947,1,1,-1,3742),-- [scrl_of_ench_wp_b]
(21748,948,1,1,-1,23386),-- [scrl_of_ench_am_b]
(21748,4129,1,1,-1,101238),-- [rp_earing_of_black_ore]
(21748,57,3700,7521,0,700000),-- [adena]
(21748,267,1,1,1,41.361392),-- [arthro_nail]
(21748,4111,1,1,1,7906.638608),-- [arthro_nail_blade]
(21748,1872,1,3,2,167463.771489),-- [animal_bone]
(21748,1867,1,3,2,111642.514326),-- [animal_skin]
(21748,1881,1,1,2,33492.619251),-- [coarse_bone_powder]
(21748,1875,1,1,2,16746.478434),-- [stone_of_purity]
(21748,4041,1,1,2,2184.38199),-- [mold_hardener]
(21748,947,1,1,2,100.609866),-- [scrl_of_ench_wp_b]
(21748,948,1,1,2,627.96762),-- [scrl_of_ench_am_b]
(21748,8728,1,1,2,4186.4508),-- [general_61_b]
(21748,8738,1,1,2,1046.6127),-- [special_61_b]
(21748,8748,1,1,2,104.66127),-- [rare_61_b]
(21748,8758,1,1,2,20.932254),-- [unique_61_b]
(21749,947,1,1,-1,4449),-- [scrl_of_ench_wp_b]
(21749,948,1,1,-1,27807),-- [scrl_of_ench_am_b]
(21749,4053,1,1,-1,476765),-- [ring_of_black_ore_gemstone]
(21749,57,4408,8937,0,700000),-- [adena]
(21749,601,1,1,1,132.73836),-- [doom_boots]
(21749,4099,1,1,1,18437.26164),-- [doom_boots_part]
(21749,2439,1,1,1,132.73836),-- [blue_wolve's_boots]
(21749,4090,1,1,1,18437.26164),-- [blue_wolve's_boots_design]
(21749,2475,1,1,1,132.73836),-- [doom_gloves]
(21749,4091,1,1,1,18437.26164),-- [doom_gloves_part]
(21749,2487,1,1,1,132.73836),-- [blue_wolve's_gloves]
(21749,4096,1,1,1,18437.26164),-- [blue_wolve's_gloves_fabric]
(21749,947,1,1,2,219.040822),-- [scrl_of_ench_wp_b]
(21749,948,1,1,2,1369.035206),-- [scrl_of_ench_am_b]
(21749,8729,1,1,2,7301.50652),-- [general_64_a]
(21749,8739,1,1,2,1825.37663),-- [special_64_a]
(21749,8749,1,1,2,182.532196),-- [rare_64_a]
(21749,8759,1,1,2,36.508626),-- [unique_64_a]
(21750,947,1,1,-1,4019),-- [scrl_of_ench_wp_b]
(21750,948,1,1,-1,25121),-- [scrl_of_ench_am_b]
(21750,5230,1,1,-1,13398),-- [rp_mithril_arrow]
(21750,57,3985,8069,0,700000),-- [adena]
(21750,110,1,1,1,152.258055),-- [doom_shield]
(21750,4077,1,1,1,22255.062375),-- [doom_shield_fragment]
(21750,2416,1,1,1,106.58664),-- [blue_wolve's_helmet]
(21750,4088,1,1,1,18697.253145),-- [blue_wolve's_helmet_design]
(21750,2417,1,1,1,106.58664),-- [doom_helmet]
(21750,4089,1,1,1,18697.253145),-- [doom_helmet_pattern]
(21750,947,1,1,2,197.865941),-- [scrl_of_ench_wp_b]
(21750,948,1,1,2,1236.689293),-- [scrl_of_ench_am_b]
(21750,8729,1,1,2,6595.66306),-- [general_64_a]
(21750,8739,1,1,2,1648.915765),-- [special_64_a]
(21750,8749,1,1,2,164.886638),-- [rare_64_a]
(21750,8759,1,1,2,32.979303),-- [unique_64_a]
(21751,729,1,1,-1,794),-- [scrl_of_ench_wp_a]
(21751,1876,1,3,-1,714323),-- [mithril_ore]
(21751,1895,1,5,-1,680308),-- [metallic_fiber]
(21751,57,2825,5748,0,700000),-- [adena]
(21751,269,1,1,1,14.967297),-- [blood_tornado]
(21751,5539,1,1,1,3558.032703),-- [blood_tornado_edge]
(21751,1873,1,1,2,76727.328436),-- [silver_nugget]
(21751,1868,1,3,2,191818.091564),-- [thread]
(21751,1876,1,1,2,38363.434692),-- [mithril_ore]
(21751,1895,1,1,2,54805.300176),-- [metallic_fiber]
(21751,4042,1,1,2,3196.838128),-- [enria]
(21751,5434,1,1,2,71.15306),-- [rp_dragon_slayer_i]
(21751,8730,1,1,2,2131.378436),-- [general_67_a]
(21751,8740,1,1,2,532.959372),-- [special_67_a]
(21751,8750,1,1,2,53.250032),-- [rare_67_a]
(21751,8760,1,1,2,10.558196),-- [unique_67_a]
(21751,1343,30,90,2,91341.707908),-- [silver_arrow]
(21752,5522,1,1,-1,23752),-- [sealed_armor_of_nightmare_pattern]
(21752,5272,1,1,-1,3100),-- [rp_adv_comp_soulshot_s]
(21752,5523,1,1,-1,23752),-- [sealed_majestic_platte_armor_pattern]
(21752,57,3440,7020,0,700000),-- [adena]
(21752,269,1,1,1,18.268229),-- [blood_tornado]
(21752,5539,1,1,1,4342.731771),-- [blood_tornado_edge]
(21752,1872,1,3,2,156071.585124),-- [animal_bone]
(21752,1867,1,3,2,104047.723416),-- [animal_skin]
(21752,1881,1,1,2,31214.240022),-- [coarse_bone_powder]
(21752,1875,1,1,2,15607.312518),-- [stone_of_purity]
(21752,4041,1,1,2,2035.569018),-- [mold_hardener]
(21752,5162,1,1,2,103.95378),-- [rp_comp_spiritshot_s]
(21752,8731,1,1,2,2167.62882),-- [general_70_a]
(21752,8741,1,1,2,542.099712),-- [special_70_a]
(21752,8751,1,1,2,54.286974),-- [rare_70_a]
(21752,8761,1,1,2,10.780392),-- [unique_70_a]
(21752,1344,40,120,2,73158.820224),-- [mithril_arrow]
(21753,5520,1,1,-1,36478),-- [sealed_dark_crystal_breastplate_pattern]
(21753,5464,1,1,-1,2095),-- [rp_dark_legion's_edge_i]
(21753,5521,1,1,-1,25740),-- [sealed_tallum_plate_armor_pattern]
(21753,57,2793,5688,0,700000),-- [adena]
(21753,5287,1,1,1,19.545087),-- [sealed_dark_crystal_breastplate]
(21753,5520,1,1,1,2244.887619),-- [sealed_dark_crystal_breastplate_pattern]
(21753,5293,1,1,1,12.031689),-- [sealed_tallum_plate_armor]
(21753,5521,1,1,1,1584.082068),-- [sealed_tallum_plate_armor_pattern]
(21753,5288,1,1,1,31.276533),-- [sealed_dark_crystal_gaiters]
(21753,5524,1,1,1,3431.177004),-- [sealed_dark_crystal_gaiters_pattern]
(21753,1869,1,1,2,189880.055386),-- [iron_ore]
(21753,1864,1,3,2,189880.055386),-- [stem]
(21753,1880,1,1,2,18987.956622),-- [steel]
(21753,5550,1,1,2,2531.923216),-- [reinforcing_plate]
(21753,4043,1,1,2,6329.318874),-- [asofe]
(21753,6901,1,1,2,189.796408),-- [rp_shining_arrow]
(21753,8731,1,1,2,1758.062604),-- [general_70_a]
(21753,8741,1,1,2,439.760234),-- [special_70_a]
(21753,8751,1,1,2,44.02494),-- [rare_70_a]
(21753,8761,1,1,2,8.804988),-- [unique_70_a]
(21753,1344,30,90,2,79116.241342),-- [mithril_arrow]
(21754,5277,1,1,-1,2663),-- [rp_adv_comp_spiritshot_s]
(21754,5527,1,1,-1,71635),-- [sealed_helm_of_nightmare_design]
(21754,4042,1,1,-1,99859),-- [enria]
(21754,57,2956,6030,0,700000),-- [adena]
(21754,288,1,1,1,15.6906),-- [carnium_bow]
(21754,5535,1,1,1,3774.3094),-- [carnium_bow_shaft]
(21754,1873,1,1,2,88490.527136),-- [silver_nugget]
(21754,1868,1,3,2,221226.741418),-- [thread]
(21754,1876,1,1,2,44245.263568),-- [mithril_ore]
(21754,1895,1,1,2,63207.579894),-- [metallic_fiber]
(21754,4042,1,1,2,3687.24649),-- [enria]
(21754,5167,1,1,2,98.270096),-- [rp_comp_bspiritshot_s]
(21754,8731,1,1,2,2048.423208),-- [general_70_a]
(21754,8741,1,1,2,512.105802),-- [special_70_a]
(21754,8751,1,1,2,51.252938),-- [rare_70_a]
(21754,8761,1,1,2,10.58945),-- [unique_70_a]
(21755,729,1,1,-1,687),-- [scrl_of_ench_wp_a]
(21755,1874,1,1,-1,412363),-- [oriharukon_ore]
(21755,4043,1,1,-1,206181),-- [asofe]
(21755,57,3054,6219,0,700000),-- [adena]
(21755,6324,1,1,1,75.749399),-- [sealed_phoenix's_earing]
(21755,6341,1,1,1,10527.59323),-- [sealed_phoenix's_earing_gemstone]
(21755,6323,1,1,1,56.803681),-- [sealed_phoenix's_necklace]
(21755,6343,1,1,1,8138.223544),-- [sealed_phoenix's_necklace_beads]
(21755,6325,1,1,1,113.607362),-- [sealed_phoenix's_ring]
(21755,6345,1,1,1,14561.022784),-- [sealed_phoenix's_ring_gemstone]
(21755,1870,1,1,2,228385.807984),-- [coal]
(21755,1865,1,1,2,228385.807984),-- [varnish]
(21755,1874,1,1,2,15225.753201),-- [oriharukon_ore]
(21755,4043,1,1,2,7612.631585),-- [asofe]
(21755,4039,1,1,2,7612.631585),-- [mold_glue]
(21755,1808,1,1,2,101.436417),-- [rp_soulshot_s]
(21755,8731,1,1,2,2114.483765),-- [general_70_a]
(21755,8741,1,1,2,528.743449),-- [special_70_a]
(21755,8751,1,1,2,52.923348),-- [rare_70_a]
(21755,8761,1,1,2,10.780682),-- [unique_70_a]
(21756,5524,1,1,-1,45563),-- [sealed_dark_crystal_gaiters_pattern]
(21756,5466,1,1,-1,1712),-- [rp_sword_of_miracle_i]
(21756,5525,1,1,-1,71462),-- [sealed_dark_crystal_helmet_design]
(21756,57,1828,3720,0,700000),-- [adena]
(21756,288,1,1,1,9.6876),-- [carnium_bow]
(21756,5535,1,1,1,2330.3124),-- [carnium_bow_shaft]
(21756,1873,1,1,2,54620.82496),-- [silver_nugget]
(21756,1868,1,1,2,273104.92144),-- [thread]
(21756,1876,1,1,2,27310.41248),-- [mithril_ore]
(21756,1895,1,1,2,39015.04568),-- [metallic_fiber]
(21756,4042,1,1,2,2276.00048),-- [enria]
(21756,5440,1,1,2,50.58664),-- [rp_elysian_i]
(21756,8730,1,1,2,1517.20088),-- [general_67_a]
(21756,8740,1,1,2,379.20064),-- [special_67_a]
(21756,8750,1,1,2,37.8404),-- [rare_67_a]
(21756,8760,1,1,2,7.9664),-- [unique_67_a]
(21757,4041,1,1,-1,46140),-- [mold_hardener]
(21757,5528,1,1,-1,63440),-- [sealed_magestic_circlet_design]
(21757,5282,1,1,-1,2358),-- [rp_adv_comp_bspiritshot_s]
(21757,57,2617,5341,0,700000),-- [adena]
(21757,235,1,1,1,13.896744),-- [bloody_orchid]
(21757,5536,1,1,1,3333.103256),-- [bloody_orchid_head]
(21757,1871,1,1,2,178108.583588),-- [charcoal]
(21757,1866,1,1,2,118739.196589),-- [suede]
(21757,1877,1,1,2,7124.461669),-- [admantite_nugget]
(21757,4041,1,1,2,1548.796015),-- [mold_hardener]
(21757,4040,1,1,2,3562.019539),-- [mold_lubricant]
(21757,5272,1,1,2,79.024517),-- [rp_adv_comp_soulshot_s]
(21757,8731,1,1,2,1648.950082),-- [general_70_a]
(21757,8741,1,1,2,412.448816),-- [special_70_a]
(21757,8751,1,1,2,41.413918),-- [rare_70_a]
(21757,8761,1,1,2,8.45182),-- [unique_70_a]
(21757,1344,20,60,2,111317.653447),-- [mithril_arrow]
(21758,6335,1,1,-1,22305),-- [rp_sealed_majestic_necklace_i]
(21758,5526,1,1,-1,89647),-- [sealed_tallum_bonnet_design]
(21758,730,1,1,-1,4833),-- [scrl_of_ench_am_a]
(21758,57,2294,4666,0,700000),-- [adena]
(21758,235,1,1,1,12.148752),-- [bloody_orchid]
(21758,5536,1,1,1,2913.851248),-- [bloody_orchid_head]
(21758,1865,1,1,2,155728.231308),-- [varnish]
(21758,1870,1,1,2,155728.231308),-- [coal]
(21758,1879,1,1,2,25954.705218),-- [cokes]
(21758,1875,1,1,2,10381.97497),-- [stone_of_purity]
(21758,4040,1,1,2,3114.360284),-- [mold_lubricant]
(21758,5442,1,1,2,57.587336),-- [rp_soul_bow_i]
(21758,8730,1,1,2,1730.406564),-- [general_67_a]
(21758,8740,1,1,2,432.369434),-- [special_67_a]
(21758,8750,1,1,2,43.190502),-- [rare_67_a]
(21758,8760,1,1,2,8.823866),-- [unique_67_a]
(21758,1343,20,60,2,111234.11921),-- [silver_arrow]
(21759,5524,1,1,-1,49299),-- [sealed_dark_crystal_gaiters_pattern]
(21759,5466,1,1,-1,1853),-- [rp_sword_of_miracle_i]
(21759,5525,1,1,-1,77321),-- [sealed_dark_crystal_helmet_design]
(21759,57,2470,5029,0,700000),-- [adena]
(21759,212,1,1,1,3.27503),-- [dasparion's_staff]
(21759,5543,1,1,1,785.978994),-- [dasparion's_staff_head]
(21759,2504,1,1,1,3.27503),-- [meteor_shower]
(21759,5532,1,1,1,778.639166),-- [meteor_shower_head]
(21759,7894,1,1,1,3.27503),-- [eye_of_soul]
(21759,8341,1,1,1,777.642554),-- [eye_of_soul_piece]
(21759,7899,1,1,1,3.27503),-- [hammer_of_destroyer]
(21759,8346,1,1,1,778.639166),-- [hammer_of_destroyer_piece]
(21759,1871,1,1,2,167895.571012),-- [charcoal]
(21759,1866,1,1,2,111930.513461),-- [suede]
(21759,1877,1,1,2,6715.934381),-- [admantite_nugget]
(21759,4041,1,1,2,1459.985735),-- [mold_hardener]
(21759,4040,1,1,2,3357.768011),-- [mold_lubricant]
(21759,3036,1,1,2,74.493133),-- [rp_spiritshot_s]
(21759,8731,1,1,2,1554.396818),-- [general_70_a]
(21759,8741,1,1,2,388.798384),-- [special_70_a]
(21759,8751,1,1,2,39.039182),-- [rare_70_a]
(21759,8761,1,1,2,7.96718),-- [unique_70_a]
(21759,1344,20,60,2,104934.532703),-- [mithril_arrow]
(21760,5220,1,1,-1,244215),-- [reinforcing_agent]
(21760,1885,1,1,-1,508781),-- [high_grade_suede]
(21760,5532,1,1,-1,20589),-- [meteor_shower_head]
(21760,57,2415,4913,0,700000),-- [adena]
(21760,5291,1,1,1,50.658804),-- [sealed_dark_crystal_boots]
(21760,5496,1,1,1,5286.341196),-- [sealed_dark_crystal_boots_lining]
(21760,5296,1,1,1,50.658804),-- [sealed_tallum_boots]
(21760,5497,1,1,1,5286.341196),-- [sealed_tallum_boots_lining]
(21760,5290,1,1,1,50.658804),-- [sealed_dark_crystal_gloves]
(21760,5508,1,1,1,5286.341196),-- [sealed_dark_crystal_gloves_design]
(21760,5295,1,1,1,50.658804),-- [sealed_tallum_gloves]
(21760,5509,1,1,1,5286.341196),-- [sealed_tallum_gloves_design]
(21760,1866,1,1,2,120228.659184),-- [suede]
(21760,1871,1,1,2,180342.988776),-- [charcoal]
(21760,5220,1,1,2,7213.601826),-- [reinforcing_agent]
(21760,1885,1,1,2,15028.582398),-- [high_grade_suede]
(21760,4041,1,1,2,1568.359144),-- [mold_hardener]
(21760,5448,1,1,2,66.710856),-- [rp_soul_separator_i]
(21760,8730,1,1,2,2003.941792),-- [general_67_a]
(21760,8740,1,1,2,500.985448),-- [special_67_a]
(21760,8750,1,1,2,50.033142),-- [rare_67_a]
(21760,8760,1,1,2,10.137434),-- [unique_67_a]
(21761,6335,1,1,-1,20258),-- [rp_sealed_majestic_necklace_i]
(21761,5526,1,1,-1,81420),-- [sealed_tallum_bonnet_design]
(21761,730,1,1,-1,4389),-- [scrl_of_ench_am_a]
(21761,57,2601,5296,0,700000),-- [adena]
(21761,269,1,1,1,13.794377),-- [blood_tornado]
(21761,5539,1,1,1,3279.205623),-- [blood_tornado_edge]
(21761,1872,1,3,2,129650.70038),-- [animal_bone]
(21761,1867,1,1,2,259301.40076),-- [animal_skin]
(21761,1881,1,1,2,25930.05369),-- [coarse_bone_powder]
(21761,1875,1,1,2,12965.24281),-- [stone_of_purity]
(21761,4041,1,1,2,1691.00595),-- [mold_hardener]
(21761,3957,1,1,2,86.386),-- [rp_blessed_spiritshot_s]
(21761,8731,1,1,2,1800.71617),-- [general_70_a]
(21761,8741,1,1,2,450.07106),-- [special_70_a]
(21761,8751,1,1,2,44.92072),-- [rare_70_a]
(21761,8761,1,1,2,9.50246),-- [unique_70_a]
(21762,5529,1,1,-1,16229),-- [dragon_slayer_edge]
(21762,6901,1,1,-1,5915),-- [rp_shining_arrow]
(21762,5533,1,1,-1,16226),-- [elysian_head]
(21762,57,2918,5954,0,700000),-- [adena]
(21762,269,1,1,1,15.490922),-- [blood_tornado]
(21762,5539,1,1,1,3682.509078),-- [blood_tornado_edge]
(21762,1867,1,3,2,145609.12963),-- [animal_skin]
(21762,1872,1,1,2,291218.758614),-- [animal_bone]
(21762,1882,1,1,2,48536.210092),-- [leather]
(21762,1894,1,1,2,7663.585838),-- [crafted_leather]
(21762,4042,1,1,2,3640.29066),-- [enria]
(21762,5277,1,1,2,96.874676),-- [rp_adv_comp_spiritshot_s]
(21762,8731,1,1,2,2022.3837),-- [general_70_a]
(21762,8741,1,1,2,505.346248),-- [special_70_a]
(21762,8751,1,1,2,50.434754),-- [rare_70_a]
(21762,8761,1,1,2,10.985788),-- [unique_70_a]
(21763,6337,1,1,-1,12746),-- [rp_sealed_majestic_earing_i]
(21763,5535,1,1,-1,8480),-- [carnium_bow_shaft]
(21763,6339,1,1,-1,19118),-- [rp_sealed_majestic_ring_i]
(21763,57,983,2000,0,700000),-- [adena]
(21763,212,1,1,1,1.30207),-- [dasparion's_staff]
(21763,5543,1,1,1,312.485586),-- [dasparion's_staff_head]
(21763,2504,1,1,1,1.30207),-- [meteor_shower]
(21763,5532,1,1,1,309.567454),-- [meteor_shower_head]
(21763,7894,1,1,1,1.30207),-- [eye_of_soul]
(21763,8341,1,1,1,309.171226),-- [eye_of_soul_piece]
(21763,7899,1,1,1,1.30207),-- [hammer_of_destroyer]
(21763,8346,1,1,1,309.567454),-- [hammer_of_destroyer_piece]
(21763,1867,1,1,2,81572.041845),-- [animal_skin]
(21763,1872,1,1,2,81572.041845),-- [animal_bone]
(21763,1882,1,1,2,13595.477805),-- [leather]
(21763,1894,1,1,2,2146.61097),-- [crafted_leather]
(21763,4042,1,1,2,1019.68146),-- [enria]
(21763,5450,1,1,2,22.54959),-- [rp_dragon_grinder_i]
(21763,6671,1,1,2,6797.601405),-- [key_of_treasure_box7]
(21763,8730,1,1,2,679.78764),-- [general_67_a]
(21763,8740,1,1,2,169.94691),-- [special_67_a]
(21763,8750,1,1,2,17.04969),-- [rare_67_a]
(21763,8760,1,1,2,3.29994),-- [unique_67_a]
(21763,1343,10,30,2,87398.9109),-- [silver_arrow]
(21764,4040,1,1,-1,249035),-- [mold_lubricant]
(21764,4042,1,1,-1,207529),-- [enria]
(21764,5534,1,1,-1,34185),-- [soul_bow_shaft]
(21764,57,6142,12533,0,700000),-- [adena]
(21764,269,1,1,1,32.611365),-- [blood_tornado]
(21764,5539,1,1,1,7752.388635),-- [blood_tornado_edge]
(21764,1895,1,1,2,131359.410125),-- [metallic_fiber]
(21764,4040,1,1,2,9195.272845),-- [mold_lubricant]
(21764,4042,1,1,2,7662.65128),-- [enria]
(21764,4043,1,1,2,15325.30256),-- [asofe]
(21764,5282,1,1,2,204.53216),-- [rp_adv_comp_bspiritshot_s]
(21764,8731,1,1,2,4256.82558),-- [general_70_a]
(21764,8741,1,1,2,1064.206395),-- [special_70_a]
(21764,8751,1,1,2,106.374985),-- [rare_70_a]
(21764,8761,1,1,2,21.457615),-- [unique_70_a]
(21764,1344,20,60,2,287348.966455),-- [mithril_arrow]
(21765,1808,1,1,-1,5639),-- [rp_soulshot_s]
(21765,5537,1,1,-1,34808),-- [soul_separator_head]
(21765,3036,1,1,-1,5639),-- [rp_spiritshot_s]
(21765,57,6259,12770,0,700000),-- [adena]
(21765,288,1,1,1,33.22764),-- [carnium_bow]
(21765,5535,1,1,1,7992.77236),-- [carnium_bow_shaft]
(21765,1868,3,9,2,156155.19046),-- [thread]
(21765,1873,1,1,2,187386.05125),-- [silver_nugget]
(21765,5549,1,1,2,46846.73444),-- [iron_thread]
(21765,1889,1,1,2,31230.86079),-- [compound_braid]
(21765,4044,1,1,2,15615.430395),-- [thons]
(21765,6901,1,1,2,468.520535),-- [rp_shining_arrow]
(21765,8731,1,1,2,4337.69343),-- [general_70_a]
(21765,8741,1,1,2,1084.20173),-- [special_70_a]
(21765,8751,1,1,2,108.597475),-- [rare_70_a]
(21765,8761,1,1,2,21.719495),-- [unique_70_a]
(21766,5538,1,1,-1,1357),-- [dragon_grinder_edge]
(21766,4041,1,1,-1,4302),-- [mold_hardener]
(21766,1875,1,1,-1,32985),-- [stone_of_purity]
(21766,57,244,498,0,700000),-- [adena]
(21766,235,1,1,1,1.295424),-- [bloody_orchid]
(21766,5536,1,1,1,310.704576),-- [bloody_orchid_head]
(21766,1872,1,1,2,22143.894474),-- [animal_bone]
(21766,1867,1,1,2,22143.894474),-- [animal_skin]
(21766,1881,1,1,2,2214.368832),-- [coarse_bone_powder]
(21766,1875,1,1,2,1107.184416),-- [stone_of_purity]
(21766,4041,1,1,2,144.445236),-- [mold_hardener]
(21766,1808,1,1,2,7.352826),-- [rp_soulshot_s]
(21766,8731,1,1,2,153.790884),-- [general_70_a]
(21766,8741,1,1,2,38.413362),-- [special_70_a]
(21766,8751,1,1,2,3.848208),-- [rare_70_a]
(21766,8761,1,1,2,0.755898),-- [unique_70_a]
(21766,1344,10,30,2,20760.05139),-- [mithril_arrow]
(21767,5536,1,1,-1,5023),-- [bloody_orchid_head]
(21767,729,1,1,-1,164),-- [scrl_of_ench_wp_a]
(21767,4044,1,1,-1,49211),-- [thons]
(21767,57,584,1188,0,700000),-- [adena]
(21767,269,1,1,1,3.091482),-- [blood_tornado]
(21767,5539,1,1,1,734.908518),-- [blood_tornado_edge]
(21767,1868,1,1,2,87216.700884),-- [thread]
(21767,1873,1,1,2,17443.385784),-- [silver_nugget]
(21767,5549,1,1,2,4360.846446),-- [iron_thread]
(21767,1889,1,1,2,2907.230964),-- [compound_braid]
(21767,4044,1,1,2,1453.615482),-- [thons]
(21767,5456,1,1,2,16.190556),-- [rp_tallum_glaive_i]
(21767,8730,1,1,2,484.5765),-- [general_67_a]
(21767,8740,1,1,2,121.087116),-- [special_67_a]
(21767,8750,1,1,2,12.085908),-- [rare_67_a]
(21767,8760,1,1,2,2.28036),-- [unique_67_a]
(21768,6337,1,1,-1,61505),-- [rp_sealed_majestic_earing_i]
(21768,5535,1,1,-1,40923),-- [carnium_bow_shaft]
(21768,6339,1,1,-1,92257),-- [rp_sealed_majestic_ring_i]
(21768,57,5923,12058,0,700000),-- [adena]
(21768,235,1,1,1,31.40988),-- [bloody_orchid]
(21768,5536,1,1,1,7533.59012),-- [bloody_orchid_head]
(21768,1871,1,3,2,221417.291809),-- [charcoal]
(21768,1866,1,3,2,98407.606206),-- [suede]
(21768,1877,1,1,2,17713.4118),-- [admantite_nugget]
(21768,4041,1,1,2,3850.710766),-- [mold_hardener]
(21768,4040,1,1,2,8856.7059),-- [mold_lubricant]
(21768,5162,1,1,2,196.697123),-- [rp_comp_spiritshot_s]
(21768,8731,1,1,2,4100.405848),-- [general_70_a]
(21768,8741,1,1,2,1025.101462),-- [special_70_a]
(21768,8751,1,1,2,102.439008),-- [rare_70_a]
(21768,8761,1,1,2,20.630078),-- [unique_70_a]
(21769,6671,1,3,-1,737151),-- [key_of_treasure_box7]
(21769,5478,1,1,-1,111577),-- [sealed_dark_crystal_leather_mail_pattern]
(21769,729,1,1,-1,1474),-- [scrl_of_ench_wp_a]
(21769,57,5248,10676,0,700000),-- [adena]
(21769,6671,1,1,1,435485.9027),-- [key_of_treasure_box7]
(21769,8730,1,1,1,43548.344656),-- [general_67_a]
(21769,8740,1,1,1,10887.086164),-- [special_67_a]
(21769,8750,1,1,1,1088.561248),-- [rare_67_a]
(21769,8760,1,1,1,218.105232),-- [unique_67_a]
(21770,6671,1,3,-1,646418),-- [key_of_treasure_box7]
(21770,1894,1,1,-1,408264),-- [crafted_leather]
(21770,57,5746,11699,0,700000),-- [adena]
(21770,6671,1,3,1,238677.24872),-- [key_of_treasure_box7]
(21770,8731,1,1,1,39779.637985),-- [general_70_a]
(21770,8741,1,1,1,9944.981895),-- [special_70_a]
(21770,8751,1,1,1,994.46923),-- [rare_70_a]
(21770,8761,1,1,1,198.66217),-- [unique_70_a]
(21771,729,1,1,-1,1453),-- [scrl_of_ench_wp_a]
(21771,730,1,1,-1,10901),-- [scrl_of_ench_am_a]
(21771,5479,1,1,-1,77403),-- [sealed_tallum_leather_mail_pattern]
(21771,57,5173,10525,0,700000),-- [adena]
(21771,235,1,1,1,27.407352),-- [bloody_orchid]
(21771,5536,1,1,1,6573.592648),-- [bloody_orchid_head]
(21771,729,1,1,2,71.553042),-- [scrl_of_ench_wp_a]
(21771,730,1,1,2,536.647815),-- [scrl_of_ench_am_a]
(21771,8730,1,1,2,7155.313967),-- [general_67_a]
(21771,8740,1,1,2,1788.82605),-- [special_67_a]
(21771,8750,1,1,2,178.882605),-- [rare_67_a]
(21771,8760,1,1,2,35.776521),-- [unique_67_a]
(21772,729,1,1,-1,1352),-- [scrl_of_ench_wp_a]
(21772,730,1,1,-1,10141),-- [scrl_of_ench_am_a]
(21772,6901,1,1,-1,12169),-- [rp_shining_arrow]
(21772,57,6003,12248,0,700000),-- [adena]
(21772,212,1,1,1,7.96708),-- [dasparion's_staff]
(21772,5543,1,1,1,1912.030584),-- [dasparion's_staff_head]
(21772,2504,1,1,1,7.96708),-- [meteor_shower]
(21772,5532,1,1,1,1894.175176),-- [meteor_shower_head]
(21772,7894,1,1,1,7.96708),-- [eye_of_soul]
(21772,8341,1,1,1,1891.750744),-- [eye_of_soul_piece]
(21772,7899,1,1,1,7.96708),-- [hammer_of_destroyer]
(21772,8346,1,1,1,1894.175176),-- [hammer_of_destroyer_piece]
(21772,729,1,1,2,83.209189),-- [scrl_of_ench_wp_a]
(21772,730,1,1,2,624.073709),-- [scrl_of_ench_am_a]
(21772,8731,1,1,2,6934.153387),-- [general_70_a]
(21772,8741,1,1,2,1733.535951),-- [special_70_a]
(21772,8751,1,1,2,173.35647),-- [rare_70_a]
(21772,8761,1,1,2,34.671294),-- [unique_70_a]
(21773,729,1,1,-1,1233),-- [scrl_of_ench_wp_a]
(21773,730,1,1,-1,9245),-- [scrl_of_ench_am_a]
(21773,5482,1,1,-1,146420),-- [sealed_legging_of_dark_crystal_design]
(21773,57,5478,11154,0,700000),-- [adena]
(21773,288,1,1,1,29.05452),-- [carnium_bow]
(21773,5535,1,1,1,6988.94548),-- [carnium_bow_shaft]
(21773,729,1,1,2,75.854688),-- [scrl_of_ench_wp_a]
(21773,730,1,1,2,568.914528),-- [scrl_of_ench_am_a]
(21773,8731,1,1,2,6321.273504),-- [general_70_a]
(21773,8741,1,1,2,1580.316192),-- [special_70_a]
(21773,8751,1,1,2,158.03424),-- [rare_70_a]
(21773,8761,1,1,2,31.606848),-- [unique_70_a]
(21774,1876,1,3,-1,765263),-- [mithril_ore]
(21774,1895,1,5,-1,728822),-- [metallic_fiber]
(21774,5546,1,1,-1,23061),-- [sword_of_miracle_edge]
(21774,57,3773,7702,0,700000),-- [adena]
(21774,305,1,1,1,13.623552),-- [tallum_glaive]
(21774,5541,1,1,1,3874.376448),-- [tallum_glaive_edge]
(21774,1873,1,1,2,125581.51365),-- [silver_nugget]
(21774,1868,3,9,2,104651.000505),-- [thread]
(21774,1876,1,1,2,62790.756825),-- [mithril_ore]
(21774,1895,1,1,2,89700.801675),-- [metallic_fiber]
(21774,4042,1,1,2,5232.53046),-- [enria]
(21774,959,1,1,2,12.52176),-- [scrl_of_ench_wp_s]
(21774,8732,1,1,2,2616.26523),-- [general_75_s]
(21774,8742,1,1,2,654.26196),-- [special_75_s]
(21774,8752,1,1,2,65.347935),-- [rare_75_s]
(21775,960,1,1,-1,3646),-- [scrl_of_ench_am_s]
(21775,4041,1,1,-1,79260),-- [mold_hardener]
(21775,5220,1,1,-1,364595),-- [reinforcing_agent]
(21775,57,4493,9173,0,700000),-- [adena]
(21775,5311,1,1,1,19.112697),-- [sealed_armor_of_nightmare]
(21775,5522,1,1,1,2865.387303),-- [sealed_armor_of_nightmare_pattern]
(21775,5316,1,1,1,19.112697),-- [sealed_majestic_platte_armor]
(21775,5523,1,1,1,2865.387303),-- [sealed_majestic_platte_armor_pattern]
(21775,1866,1,1,2,249295.545558),-- [suede]
(21775,1871,1,3,2,186971.903982),-- [charcoal]
(21775,5220,1,1,2,14957.615223),-- [reinforcing_agent]
(21775,1885,1,1,2,31161.820788),-- [high_grade_suede]
(21775,4041,1,1,2,3251.612907),-- [mold_hardener]
(21775,959,1,1,2,15.178437),-- [scrl_of_ench_wp_s]
(21775,8732,1,1,2,3115.986228),-- [general_75_s]
(21775,8742,1,1,2,778.996557),-- [special_75_s]
(21775,8752,1,1,2,78.34032),-- [rare_75_s]
(21776,6707,1,1,-1,37008),-- [sealed_draconic_leather_armor_part]
(21776,6708,1,1,-1,106346),-- [sealed_draconic_leather_gloves_fabric]
(21776,6709,1,1,-1,106346),-- [sealed_draconic_leather_boots_design]
(21776,57,3684,7518,0,700000),-- [adena]
(21776,5326,1,1,1,20.884591),-- [sealed_robe_of_nightmare]
(21776,5487,1,1,1,3104.615409),-- [sealed_robe_of_nightmare_fabric]
(21776,5329,1,1,1,20.884591),-- [sealed_majestic_robe]
(21776,5488,1,1,1,3104.615409),-- [sealed_majestic_robe_fabric]
(21776,1867,1,3,2,183857.10798),-- [animal_skin]
(21776,1872,1,3,2,122571.40532),-- [animal_bone]
(21776,1882,1,1,2,61285.70266),-- [leather]
(21776,1894,1,1,2,9676.789096),-- [crafted_leather]
(21776,4042,1,1,2,4596.663305),-- [enria]
(21776,960,1,1,2,110.263374),-- [scrl_of_ench_am_s]
(21776,8732,1,1,2,2298.096047),-- [general_75_s]
(21776,8742,1,1,2,574.406209),-- [special_75_s]
(21776,8752,1,1,2,57.487742),-- [rare_75_s]
(21776,1344,40,120,2,86183.078267),-- [mithril_arrow]
(21777,6691,1,1,-1,16925),-- [angel_slayer_blade]
(21777,6693,1,1,-1,17232),-- [dragon_hunter_axe_blade]
(21777,6694,1,1,-1,17232),-- [saint_spear_blade]
(21777,57,3860,7880,0,700000),-- [adena]
(21777,5326,1,1,1,21.893573),-- [sealed_robe_of_nightmare]
(21777,5487,1,1,1,3254.606427),-- [sealed_robe_of_nightmare_fabric]
(21777,5329,1,1,1,21.893573),-- [sealed_majestic_robe]
(21777,5488,1,1,1,3254.606427),-- [sealed_majestic_robe_fabric]
(21777,1869,2,6,2,72280.060965),-- [iron_ore]
(21777,1864,5,15,2,57824.048772),-- [stem]
(21777,1880,1,1,2,28912.024386),-- [steel]
(21777,5550,1,1,2,3854.857608),-- [reinforcing_plate]
(21777,4043,1,1,2,9637.440183),-- [asofe]
(21777,960,1,1,2,115.50357),-- [scrl_of_ench_am_s]
(21777,8732,1,1,2,2409.286005),-- [general_75_s]
(21777,8742,1,1,2,602.395542),-- [special_75_s]
(21777,8752,1,1,2,60.121089),-- [rare_75_s]
(21777,1344,30,90,2,120467.26188),-- [mithril_arrow]
(21778,960,1,1,-1,3267),-- [scrl_of_ench_am_s]
(21778,4042,1,1,-1,136119),-- [enria]
(21778,4043,1,1,-1,272238),-- [asofe]
(21778,57,4028,8221,0,700000),-- [adena]
(21778,6327,1,1,1,67.101165),-- [sealed_majestic_earing]
(21778,6342,1,1,1,11385.396355),-- [sealed_majestic_earing_gemstone]
(21778,6326,1,1,1,50.31704),-- [sealed_majestic_necklace]
(21778,6344,1,1,1,7367.98353),-- [sealed_majestic_necklace_beads]
(21778,6328,1,1,1,100.63408),-- [sealed_majestic_ring]
(21778,6346,1,1,1,16363.56783),-- [sealed_majestic_ring_gemstrone]
(21778,1895,1,1,2,107698.69836),-- [metallic_fiber]
(21778,4040,1,1,2,7538.87574),-- [mold_lubricant]
(21778,4042,1,1,2,6282.39645),-- [enria]
(21778,4043,1,1,2,12564.7929),-- [asofe]
(21778,959,1,1,2,15.053445),-- [scrl_of_ench_wp_s]
(21778,8732,1,1,2,3141.198225),-- [general_75_s]
(21778,8742,1,1,2,785.26503),-- [special_75_s]
(21778,8752,1,1,2,78.71985),-- [rare_75_s]
(21779,5162,1,1,-1,2201),-- [rp_comp_spiritshot_s]
(21779,6342,1,1,-1,112188),-- [sealed_majestic_earing_gemstone]
(21779,5167,1,1,-1,2201),-- [rp_comp_bspiritshot_s]
(21779,57,2441,4984,0,700000),-- [adena]
(21779,5320,1,1,1,13.847112),-- [sealed_leather_mail_of_nightmare]
(21779,5480,1,1,1,2051.652888),-- [sealed_leather_mail_of_nightmare_fabric]
(21779,5323,1,1,1,13.847112),-- [sealed_majestic_leather_mail]
(21779,5481,1,1,1,2051.652888),-- [sealed_majestic_leather_mail_fabric]
(21779,1894,1,1,2,7129.135104),-- [crafted_leather]
(21779,4039,1,1,2,6772.73408),-- [mold_glue]
(21779,4041,1,1,2,1766.67904),-- [mold_hardener]
(21779,4044,1,1,2,6772.73408),-- [thons]
(21779,960,1,1,2,81.367552),-- [scrl_of_ench_am_s]
(21779,8732,1,1,2,1693.113856),-- [general_75_s]
(21779,8742,1,1,2,423.278464),-- [special_75_s]
(21779,8752,1,1,2,42.355712),-- [rare_75_s]
(21779,1344,10,30,2,253974.602112),-- [mithril_arrow]
(21780,959,1,1,-1,277),-- [scrl_of_ench_wp_s]
(21780,1894,1,1,-1,243319),-- [crafted_leather]
(21780,4042,1,1,-1,115576),-- [enria]
(21780,57,3419,6979,0,700000),-- [adena]
(21780,6327,1,1,1,56.975697),-- [sealed_majestic_earing]
(21780,6342,1,1,1,9667.356639),-- [sealed_majestic_earing_gemstone]
(21780,6326,1,1,1,42.724272),-- [sealed_majestic_necklace]
(21780,6344,1,1,1,6256.165554),-- [sealed_majestic_necklace_beads]
(21780,6328,1,1,1,85.448544),-- [sealed_majestic_ring]
(21780,6346,1,1,1,13894.329294),-- [sealed_majestic_ring_gemstrone]
(21780,1867,1,3,2,189664.15704),-- [animal_skin]
(21780,1872,1,3,2,126442.506636),-- [animal_bone]
(21780,1882,1,1,2,63221.253318),-- [leather]
(21780,1894,1,1,2,9982.344954),-- [crafted_leather]
(21780,4042,1,1,2,4741.603926),-- [enria]
(21780,959,1,1,2,11.515494),-- [scrl_of_ench_wp_s]
(21780,8732,1,1,2,2370.60342),-- [general_75_s]
(21780,8742,1,1,2,592.849398),-- [special_75_s]
(21780,8752,1,1,2,59.165814),-- [rare_75_s]
(21781,6344,1,1,-1,91077),-- [sealed_majestic_necklace_beads]
(21781,4041,1,1,-1,54024),-- [mold_hardener]
(21781,4040,1,1,-1,124256),-- [mold_lubricant]
(21781,57,3063,6253,0,700000),-- [adena]
(21781,5311,1,1,1,13.026716),-- [sealed_armor_of_nightmare]
(21781,5522,1,1,1,1952.973284),-- [sealed_armor_of_nightmare_pattern]
(21781,5316,1,1,1,13.026716),-- [sealed_majestic_platte_armor]
(21781,5523,1,1,1,1952.973284),-- [sealed_majestic_platte_armor_pattern]
(21781,1871,1,1,2,254884.450515),-- [charcoal]
(21781,1866,1,1,2,169922.818665),-- [suede]
(21781,1877,1,1,2,10195.306815),-- [admantite_nugget]
(21781,4041,1,1,2,2216.2743),-- [mold_hardener]
(21781,4040,1,1,2,5097.875925),-- [mold_lubricant]
(21781,959,1,1,2,10.235805),-- [scrl_of_ench_wp_s]
(21781,8732,1,1,2,2124.152055),-- [general_75_s]
(21781,8742,1,1,2,530.926755),-- [special_75_s]
(21781,8752,1,1,2,52.959165),-- [rare_75_s]
(21782,6710,1,1,-1,107136),-- [sealed_draconic_leather_helmet_pattern]
(21782,6711,1,1,-1,32723),-- [sealed_major_arcana_robe_part]
(21782,6712,1,1,-1,94033),-- [sealed_major_arcana_gloves_fabric]
(21782,57,3257,6648,0,700000),-- [adena]
(21782,5314,1,1,1,44.992152),-- [sealed_boots_of_nightmare]
(21782,5502,1,1,1,5148.007848),-- [sealed_boots_of_nightmare_lining]
(21782,5319,1,1,1,44.992152),-- [sealed_magestic_boots]
(21782,5503,1,1,1,5148.007848),-- [sealed_magestic_boots_lining]
(21782,5313,1,1,1,44.992152),-- [sealed_gloves_of_nightmare]
(21782,5514,1,1,1,5148.007848),-- [sealed_gloves_of_nightmare_design]
(21782,5318,1,1,1,44.992152),-- [sealed_magestic_gloves]
(21782,5515,1,1,1,5148.007848),-- [sealed_magestic_gloves_design]
(21782,1873,1,1,2,97542.129277),-- [silver_nugget]
(21782,1868,4,12,2,60963.975289),-- [thread]
(21782,1876,1,1,2,48770.871984),-- [mithril_ore]
(21782,1895,1,1,2,69673.114616),-- [metallic_fiber]
(21782,4042,1,1,2,4064.239332),-- [enria]
(21782,960,1,1,2,97.483177),-- [scrl_of_ench_am_s]
(21782,8732,1,1,2,2032.119666),-- [general_75_s]
(21782,8742,1,1,2,508.222571),-- [special_75_s]
(21782,8752,1,1,2,50.860788),-- [rare_75_s]
(21782,1344,30,90,2,101605.9833),-- [mithril_arrow]
(21783,6346,1,1,-1,212950),-- [sealed_majestic_ring_gemstrone]
(21783,5272,1,1,-1,2907),-- [rp_adv_comp_soulshot_s]
(21783,5480,1,1,-1,29350),-- [sealed_leather_mail_of_nightmare_fabric]
(21783,57,3224,6583,0,700000),-- [adena]
(21783,5326,1,1,1,18.288634),-- [sealed_robe_of_nightmare]
(21783,5487,1,1,1,2718.711366),-- [sealed_robe_of_nightmare_fabric]
(21783,5329,1,1,1,18.288634),-- [sealed_majestic_robe]
(21783,5488,1,1,1,2718.711366),-- [sealed_majestic_robe_fabric]
(21783,1865,1,3,2,80501.604066),-- [varnish]
(21783,1870,2,6,2,60376.114134),-- [coal]
(21783,1879,1,1,2,40250.624202),-- [cokes]
(21783,1875,1,1,2,16100.463078),-- [stone_of_purity]
(21783,4040,1,1,2,4830.245622),-- [mold_lubricant]
(21783,960,1,1,2,96.740064),-- [scrl_of_ench_am_s]
(21783,8732,1,1,2,2012.691258),-- [general_75_s]
(21783,8742,1,1,2,503.26173),-- [special_75_s]
(21783,8752,1,1,2,50.148342),-- [rare_75_s]
(21783,1344,20,60,2,150940.107504),-- [mithril_arrow]
(21784,959,1,1,-1,278),-- [scrl_of_ench_wp_s]
(21784,4041,1,1,-1,60474),-- [mold_hardener]
(21784,4044,1,1,-1,231818),-- [thons]
(21784,57,3430,7000,0,700000),-- [adena]
(21784,5315,1,1,1,60.193125),-- [sealed_shield_of_nightmare]
(21784,5495,1,1,1,6498.005625),-- [sealed_shield_of_nightmare_fragment]
(21784,5312,1,1,1,42.12),-- [sealed_helm_of_nightmare]
(21784,5527,1,1,1,5116.280625),-- [sealed_helm_of_nightmare_design]
(21784,5317,1,1,1,42.12),-- [sealed_magestic_circlet]
(21784,5528,1,1,1,5116.280625),-- [sealed_magestic_circlet_design]
(21784,1894,1,1,2,11262.32075),-- [crafted_leather]
(21784,4039,1,1,2,10699.1775),-- [mold_glue]
(21784,4041,1,1,2,2791.108375),-- [mold_hardener]
(21784,4044,1,1,2,10699.1775),-- [thons]
(21784,959,1,1,2,12.82875),-- [scrl_of_ench_wp_s]
(21784,8732,1,1,2,2674.794375),-- [general_75_s]
(21784,8742,1,1,2,668.688875),-- [special_75_s]
(21784,8752,1,1,2,66.903875),-- [rare_75_s]
(21785,6695,1,1,-1,16395),-- [demon_splinter_blade]
(21785,6696,1,1,-1,16975),-- [heavens_divider_edge]
(21785,6697,1,1,-1,16395),-- [arcana_mace_head]
(21785,57,3811,7780,0,700000),-- [adena]
(21785,5314,1,1,1,52.664124),-- [sealed_boots_of_nightmare]
(21785,5502,1,1,1,6025.835876),-- [sealed_boots_of_nightmare_lining]
(21785,5319,1,1,1,52.664124),-- [sealed_magestic_boots]
(21785,5503,1,1,1,6025.835876),-- [sealed_magestic_boots_lining]
(21785,5313,1,1,1,52.664124),-- [sealed_gloves_of_nightmare]
(21785,5514,1,1,1,6025.835876),-- [sealed_gloves_of_nightmare_design]
(21785,5318,1,1,1,52.664124),-- [sealed_magestic_gloves]
(21785,5515,1,1,1,6025.835876),-- [sealed_magestic_gloves_design]
(21785,1868,4,12,2,71360.98215),-- [thread]
(21785,1873,1,1,2,114177.93615),-- [silver_nugget]
(21785,5549,1,1,2,28544.39286),-- [iron_thread]
(21785,1889,1,1,2,19029.47367),-- [compound_braid]
(21785,4044,1,1,2,9514.91919),-- [thons]
(21785,960,1,1,2,114.15423),-- [scrl_of_ench_am_s]
(21785,8732,1,1,2,2378.63862),-- [general_75_s]
(21785,8742,1,1,2,594.84201),-- [special_75_s]
(21785,8752,1,1,2,59.44773),-- [rare_75_s]
(21785,1344,30,90,2,118935.21339),-- [mithril_arrow]
(21786,5277,1,1,-1,1183),-- [rp_adv_comp_spiritshot_s]
(21786,5481,1,1,-1,11948),-- [sealed_majestic_leather_mail_fabric]
(21786,5220,1,1,-1,106505),-- [reinforcing_agent]
(21786,57,1313,2680,0,700000),-- [adena]
(21786,6327,1,1,1,21.87648),-- [sealed_majestic_earing]
(21786,6342,1,1,1,3711.89376),-- [sealed_majestic_earing_gemstone]
(21786,6326,1,1,1,16.40448),-- [sealed_majestic_necklace]
(21786,6344,1,1,1,2402.12736),-- [sealed_majestic_necklace_beads]
(21786,6328,1,1,1,32.80896),-- [sealed_majestic_ring]
(21786,6346,1,1,1,5334.88896),-- [sealed_majestic_ring_gemstrone]
(21786,1866,1,1,2,72824.004294),-- [suede]
(21786,1871,1,1,2,109236.109814),-- [charcoal]
(21786,5220,1,1,2,4369.369964),-- [reinforcing_agent]
(21786,1885,1,1,2,9103.02638),-- [high_grade_suede]
(21786,4041,1,1,2,949.791124),-- [mold_hardener]
(21786,6672,1,1,2,9103.02638),-- [key_of_treasure_box8]
(21786,8732,1,1,2,910.302638),-- [general_75_s]
(21786,8742,1,1,2,227.627346),-- [special_75_s]
(21786,8752,1,1,2,22.74206),-- [rare_75_s]
(21787,960,1,1,-1,6509),-- [scrl_of_ench_am_s]
(21787,6688,1,1,-1,35174),-- [forgotten_blade_edge]
(21787,959,1,1,-1,651),-- [scrl_of_ench_wp_s]
(21787,57,8022,16377,0,700000),-- [adena]
(21787,5315,1,1,1,140.846562),-- [sealed_shield_of_nightmare]
(21787,5495,1,1,1,15204.755562),-- [sealed_shield_of_nightmare_fragment]
(21787,5312,1,1,1,98.557056),-- [sealed_helm_of_nightmare]
(21787,5527,1,1,1,11971.641882),-- [sealed_helm_of_nightmare_design]
(21787,5317,1,1,1,98.557056),-- [sealed_magestic_circlet]
(21787,5528,1,1,1,11971.641882),-- [sealed_magestic_circlet_design]
(21787,1864,4,12,2,166904.233588),-- [stem]
(21787,1865,2,6,2,133523.674085),-- [varnish]
(21787,1866,3,9,2,74179.872124),-- [suede]
(21787,1873,4,12,2,33381.038194),-- [silver_nugget]
(21787,1868,10,30,2,63582.610766),-- [thread]
(21787,959,1,1,2,26.806696),-- [scrl_of_ench_wp_s]
(21787,8732,1,1,2,5563.346802),-- [general_75_s]
(21787,8742,1,1,2,1391.076046),-- [special_75_s]
(21787,8752,1,1,2,138.341699),-- [rare_75_s]
(21788,6698,1,1,-1,325700),-- [sealed_sanddragon's_earing_piece]
(21788,6699,1,1,-1,361407),-- [sealed_ring_of_aurakyria_gem]
(21788,6700,1,1,-1,198508),-- [sealed_dragon_necklace_wire]
(21788,57,8174,16687,0,700000),-- [adena]
(21788,81,1,1,1,9.8397),-- [dragon_slayer]
(21788,5529,1,1,1,2798.3724),-- [dragon_slayer_edge]
(21788,151,1,1,1,9.8397),-- [sword_of_miracle]
(21788,5546,1,1,1,3073.7448),-- [sword_of_miracle_edge]
(21788,2500,1,1,1,9.8397),-- [dark_legion's_edge]
(21788,5545,1,1,1,2798.3637),-- [dark_legion's_edge_edge]
(21788,1869,2,6,2,122447.124952),-- [iron_ore]
(21788,1870,3,9,2,102038.991404),-- [coal]
(21788,1871,3,9,2,87461.992632),-- [charcoal]
(21788,1872,8,24,2,51019.705244),-- [animal_bone]
(21788,1867,13,39,2,30233.977012),-- [animal_skin]
(21788,960,1,1,2,244.745056),-- [scrl_of_ench_am_s]
(21788,8732,1,1,2,5101.928616),-- [general_75_s]
(21788,8742,1,1,2,1275.691696),-- [special_75_s]
(21788,8752,1,1,2,127.401536),-- [rare_75_s]
(21788,1344,400,1200,2,19132.441852),-- [mithril_arrow]
(21789,959,1,1,-1,26),-- [scrl_of_ench_wp_s]
(21789,1894,1,1,-1,22689),-- [crafted_leather]
(21789,4039,1,1,-1,21554),-- [mold_glue]
(21789,57,319,651,0,700000),-- [adena]
(21789,164,1,1,1,0.288204),-- [elysian]
(21789,5533,1,1,1,81.986142),-- [elysian_head]
(21789,213,1,1,1,0.288204),-- [worldtree's_branch]
(21789,5544,1,1,1,81.905208),-- [worldtree's_branch_head]
(21789,7895,1,1,1,0.288204),-- [dragon_flame_head]
(21789,8342,1,1,1,81.986142),-- [dragon_flame_head_piece]
(21789,7902,1,1,1,0.288204),-- [doom_crusher]
(21789,8349,1,1,1,81.969692),-- [doom_crusher_head]
(21789,1894,1,1,2,1047.28719),-- [crafted_leather]
(21789,4039,1,1,2,994.9203),-- [mold_glue]
(21789,4041,1,1,2,259.546155),-- [mold_hardener]
(21789,4044,1,1,2,994.9203),-- [thons]
(21789,959,1,1,2,1.19295),-- [scrl_of_ench_wp_s]
(21789,8732,1,1,2,248.730075),-- [general_75_s]
(21789,8742,1,1,2,62.181615),-- [special_75_s]
(21789,8752,1,1,2,6.221415),-- [rare_75_s]
(21790,5550,1,1,-1,21088),-- [reinforcing_plate]
(21790,5487,1,1,-1,7122),-- [sealed_robe_of_nightmare_fabric]
(21790,5282,1,1,-1,703),-- [rp_adv_comp_bspiritshot_s]
(21790,57,780,1592,0,700000),-- [adena]
(21790,5314,1,1,1,10.773684),-- [sealed_boots_of_nightmare]
(21790,5502,1,1,1,1232.726316),-- [sealed_boots_of_nightmare_lining]
(21790,5319,1,1,1,10.773684),-- [sealed_magestic_boots]
(21790,5503,1,1,1,1232.726316),-- [sealed_magestic_boots_lining]
(21790,5313,1,1,1,10.773684),-- [sealed_gloves_of_nightmare]
(21790,5514,1,1,1,1232.726316),-- [sealed_gloves_of_nightmare_design]
(21790,5318,1,1,1,10.773684),-- [sealed_magestic_gloves]
(21790,5515,1,1,1,1232.726316),-- [sealed_magestic_gloves_design]
(21790,1869,1,1,2,58397.655524),-- [iron_ore]
(21790,1864,1,1,2,116795.311048),-- [stem]
(21790,1880,1,1,2,5839.868512),-- [steel]
(21790,5550,1,1,2,778.631975),-- [reinforcing_plate]
(21790,4043,1,1,2,1946.708637),-- [asofe]
(21790,960,1,1,2,23.423309),-- [scrl_of_ench_am_s]
(21790,8732,1,1,2,486.741509),-- [general_75_s]
(21790,8742,1,1,2,121.749727),-- [special_75_s]
(21790,8752,1,1,2,12.097753),-- [rare_75_s]
(21790,1344,10,30,2,72996.812006),-- [mithril_arrow]
(21791,960,1,1,-1,6334),-- [scrl_of_ench_am_s]
(21791,1875,1,3,-1,527864),-- [stone_of_purity]
(21791,4040,1,1,-1,316718),-- [mold_lubricant]
(21791,57,7810,15940,0,700000),-- [adena]
(21791,164,1,1,1,7.04742),-- [elysian]
(21791,5533,1,1,1,2004.79791),-- [elysian_head]
(21791,213,1,1,1,7.04742),-- [worldtree's_branch]
(21791,5544,1,1,1,2002.81884),-- [worldtree's_branch_head]
(21791,7895,1,1,1,7.04742),-- [dragon_flame_head]
(21791,8342,1,1,1,2004.79791),-- [dragon_flame_head_piece]
(21791,7902,1,1,1,7.04742),-- [doom_crusher]
(21791,8349,1,1,1,2004.39566),-- [doom_crusher_head]
(21791,1865,4,12,2,81209.892433),-- [varnish]
(21791,1870,1,3,2,216559.556727),-- [coal]
(21791,1879,1,1,2,108279.543722),-- [cokes]
(21791,1875,1,1,2,43312.005202),-- [stone_of_purity]
(21791,4040,1,1,2,12993.507704),-- [mold_lubricant]
(21791,959,1,1,2,25.810565),-- [scrl_of_ench_wp_s]
(21791,8732,1,1,2,5414.117971),-- [general_75_s]
(21791,8742,1,1,2,1353.412172),-- [special_75_s]
(21791,8752,1,1,2,135.153504),-- [rare_75_s]
(21792,6672,1,3,-1,592289),-- [key_of_treasure_box8]
(21792,1894,1,1,-1,498770),-- [crafted_leather]
(21792,57,7008,14306,0,700000),-- [adena]
(21792,6672,1,3,1,273364.229536),-- [key_of_treasure_box8]
(21792,8732,1,1,1,54672.983136),-- [general_75_s]
(21792,8742,1,1,1,13668.331552),-- [special_75_s]
(21792,8752,1,1,1,1366.455776),-- [rare_75_s]
(21793,6672,1,3,-1,640139),-- [key_of_treasure_box8]
(21793,6689,1,1,-1,32582),-- [basalt_battlehammer_head]
(21793,6690,1,1,-1,33271),-- [piece_of_imperial_staff]
(21793,57,7577,15464,0,700000),-- [adena]
(21793,6672,1,3,1,295448.698644),-- [key_of_treasure_box8]
(21793,8732,1,1,1,59089.888044),-- [general_75_s]
(21793,8742,1,1,1,14772.564708),-- [special_75_s]
(21793,8752,1,1,1,1476.848604),-- [rare_75_s]
(21794,959,1,1,-1,561),-- [scrl_of_ench_wp_s]
(21794,960,1,1,-1,5606),-- [scrl_of_ench_am_s]
(21794,1808,1,1,-1,6228),-- [rp_soulshot_s]
(21794,57,6908,14104,0,700000),-- [adena]
(21794,81,1,1,1,8.316243),-- [dragon_slayer]
(21794,5529,1,1,1,2365.107156),-- [dragon_slayer_edge]
(21794,151,1,1,1,8.316243),-- [sword_of_miracle]
(21794,5546,1,1,1,2597.844312),-- [sword_of_miracle_edge]
(21794,2500,1,1,1,8.316243),-- [dark_legion's_edge]
(21794,5545,1,1,1,2365.099803),-- [dark_legion's_edge_edge]
(21794,959,1,1,2,41.395365),-- [scrl_of_ench_wp_s]
(21794,960,1,1,2,413.95365),-- [scrl_of_ench_am_s]
(21794,8732,1,1,2,8624.034375),-- [general_75_s]
(21794,8742,1,1,2,2156.005731),-- [special_75_s]
(21794,8752,1,1,2,215.610879),-- [rare_75_s]
(21795,959,1,1,-1,636),-- [scrl_of_ench_wp_s]
(21795,960,1,1,-1,6361),-- [scrl_of_ench_am_s]
(21795,6691,1,1,-1,34375),-- [angel_slayer_blade]
(21795,57,7840,16005,0,700000),-- [adena]
(21795,289,1,1,1,28.3115),-- [soul_bow]
(21795,5534,1,1,1,8060.6885),-- [soul_bow_shaft]
(21795,959,1,1,2,46.976925),-- [scrl_of_ench_wp_s]
(21795,960,1,1,2,469.76925),-- [scrl_of_ench_am_s]
(21795,8732,1,1,2,9786.859375),-- [general_75_s]
(21795,8742,1,1,2,2446.711595),-- [special_75_s]
(21795,8752,1,1,2,244.682855),-- [rare_75_s]
(21796,959,1,1,-1,586),-- [scrl_of_ench_wp_s]
(21796,960,1,1,-1,5859),-- [scrl_of_ench_am_s]
(21796,57,7224,14744,0,700000),-- [adena]
(21796,289,1,1,1,26.075),-- [soul_bow]
(21796,5534,1,1,1,7423.925),-- [soul_bow_shaft]
(21796,959,1,1,2,43.267935),-- [scrl_of_ench_wp_s]
(21796,960,1,1,2,432.67935),-- [scrl_of_ench_am_s]
(21796,8732,1,1,2,9014.153125),-- [general_75_s]
(21796,8742,1,1,2,2253.535289),-- [special_75_s]
(21796,8752,1,1,2,225.364301),-- [rare_75_s]
(21797,2961,1,1,-1,43468),-- [full_plate_boots_part]
(21797,1867,1,3,-1,532190),-- [animal_skin]
(21797,1869,1,1,-1,798286),-- [iron_ore]
(21797,57,315,643,0,700000),-- [adena]
(21797,2497,1,1,1,51.030204),-- [full_plate_shield]
(21797,2966,1,1,1,4032.292964),-- [full_plate_shield_fragment]
(21797,2414,1,1,1,35.720476),-- [full_plate_helmet]
(21797,2959,1,1,1,2548.956356),-- [full_plate_helmet_design]
(21797,1869,1,1,2,26795.514532),-- [iron_ore]
(21797,1870,1,1,2,26795.514532),-- [coal]
(21797,1871,1,1,2,26795.514532),-- [charcoal]
(21797,1872,1,1,2,35727.250588),-- [animal_bone]
(21797,1867,1,1,2,35727.250588),-- [animal_skin]
(21797,4175,1,1,2,516.22334),-- [rp_avadon_boots]
(21797,4972,1,1,2,30.942764),-- [rp_great_axe_i]
(21797,8726,1,1,2,620.233918),-- [general_55_c]
(21797,8736,1,1,2,155.020184),-- [special_55_c]
(21797,8746,1,1,2,15.471382),-- [rare_55_c]
(21797,8756,1,1,2,3.06364),-- [unique_55_c]
(21798,5487,1,1,-1,18126),-- [sealed_robe_of_nightmare_fabric]
(21798,5282,1,1,-1,1789),-- [rp_adv_comp_bspiritshot_s]
(21798,5488,1,1,-1,18126),-- [sealed_majestic_robe_fabric]
(21798,57,1980,4055,0,700000),-- [adena]
(21798,12222,1,1,1,359.776175),-- [sealed_dark_crystal_leather_mail_low]
(21798,5478,1,1,1,2082.9424),-- [sealed_dark_crystal_leather_mail_pattern]
(21798,12230,1,1,1,221.1627),-- [sealed_tallum_leather_mail_low]
(21798,5479,1,1,1,1465.701325),-- [sealed_tallum_leather_mail_pattern]
(21798,12228,1,1,1,576.058175),-- [sealed_legging_of_dark_crystal_low]
(21798,5482,1,1,1,3269.359225),-- [sealed_legging_of_dark_crystal_design]
(21798,1895,1,1,2,42463.885912),-- [metallic_fiber]
(21798,4040,1,1,2,2972.492228),-- [mold_lubricant]
(21798,4042,1,1,2,2476.992631),-- [enria]
(21798,4043,1,1,2,4953.985262),-- [asofe]
(21798,5282,1,1,2,65.948697),-- [rp_adv_comp_bspiritshot_s]
(21798,6672,1,1,2,12385.215832),-- [key_of_treasure_box8]
(21798,8732,1,1,2,1238.622654),-- [general_75_s]
(21798,8742,1,1,2,309.529325),-- [special_75_s]
(21798,8752,1,1,2,31.079271),-- [rare_75_s]
(21798,1344,10,30,2,185779.248188),-- [mithril_arrow]
(21799,6901,1,1,-1,7403),-- [rp_shining_arrow]
(21799,5495,1,1,-1,112412),-- [sealed_shield_of_nightmare_fragment]
(21799,1894,1,1,-1,259750),-- [crafted_leather]
(21799,57,3642,7457,0,700000),-- [adena]
(21799,11946,1,1,1,94.052002),-- [dasparion's_staff_low]
(21799,5543,1,1,1,1162.962768),-- [dasparion's_staff_head]
(21799,11949,1,1,1,94.052002),-- [meteor_shower_low]
(21799,5532,1,1,1,1152.100818),-- [meteor_shower_head]
(21799,11953,1,1,1,94.052002),-- [eye_of_soul_low]
(21799,8341,1,1,1,1150.627588),-- [eye_of_soul_piece]
(21799,11958,1,1,1,94.052002),-- [hammer_of_destroyer_low]
(21799,8346,1,1,1,1152.100818),-- [hammer_of_destroyer_piece]
(21799,6901,1,1,2,683.358768),-- [rp_shining_arrow]
(21799,8732,1,1,2,5694.624624),-- [general_75_s]
(21799,8742,1,1,2,1423.652184),-- [special_75_s]
(21799,8752,1,1,2,142.364424),-- [rare_75_s]
(21800,5167,1,1,-1,1670),-- [rp_comp_bspiritshot_s]
(21800,5529,1,1,-1,10311),-- [dragon_slayer_edge]
(21800,4042,1,1,-1,62641),-- [enria]
(21800,57,1853,3785,0,700000),-- [adena]
(21800,11946,1,1,1,47.760488),-- [dasparion's_staff_low]
(21800,5543,1,1,1,590.563392),-- [dasparion's_staff_head]
(21800,11949,1,1,1,47.760488),-- [meteor_shower_low]
(21800,5532,1,1,1,585.047592),-- [meteor_shower_head]
(21800,11953,1,1,1,47.760488),-- [eye_of_soul_low]
(21800,8341,1,1,1,584.299472),-- [eye_of_soul_piece]
(21800,11958,1,1,1,47.760488),-- [hammer_of_destroyer_low]
(21800,8346,1,1,1,585.047592),-- [hammer_of_destroyer_piece]
(21800,1867,1,3,2,92515.426572),-- [animal_skin]
(21800,1872,1,1,2,185030.853144),-- [animal_bone]
(21800,1882,1,1,2,30838.639047),-- [leather]
(21800,1894,1,1,2,4869.387894),-- [crafted_leather]
(21800,4042,1,1,2,2313.032835),-- [enria]
(21800,5272,1,1,2,61.811694),-- [rp_adv_comp_soulshot_s]
(21800,8732,1,1,2,1156.271133),-- [general_75_s]
(21800,8742,1,1,2,288.945141),-- [special_75_s]
(21800,8752,1,1,2,28.943571),-- [rare_75_s]
(21800,1344,10,30,2,173465.688969),-- [mithril_arrow]
(21801,1864,1,1,-1,469914),-- [stem]
(21801,1869,1,1,-1,234957),-- [iron_ore]
(21801,1926,1,1,-1,23733),-- [piece_bone_breastplate_fragment]
(21801,57,107,191,0,700000),-- [adena]
(21801,39,1,1,1,974.077488),-- [boots]
(21801,1930,1,1,1,11863.831212),-- [boots_lining]
(21801,51,1,1,1,974.0913),-- [bracer]
(21801,1864,1,1,2,69402.827492),-- [stem]
(21801,1869,1,1,2,34701.413746),-- [iron_ore]
(21801,1878,1,1,2,13880.514438),-- [braided_hemp]
(21801,2151,1,1,2,9666.244324),-- [rp_necklace_of_devotion]
(21802,2151,1,1,-1,76492),-- [rp_necklace_of_devotion]
(21802,1928,1,1,-1,40001),-- [piece_bone_gaiters_fragment]
(21802,2176,1,1,-1,131391),-- [rp_leather_boots]
(21802,57,122,225,0,700000),-- [adena]
(21802,625,1,1,1,1638.598572),-- [bone_shield]
(21802,1148,1,1,1,1142.401428),-- [hard_leather_helmet]
(21802,1865,1,1,2,40557.41856),-- [varnish]
(21802,1870,1,1,2,40557.41856),-- [coal]
(21802,1879,1,1,2,6759.60552),-- [cokes]
(21802,2176,1,1,2,19405.55736),-- [rp_leather_boots]
(21803,1899,1,1,-1,49588),-- [necklace_of_devotion_chain]
(21803,1871,1,1,-1,317362),-- [charcoal]
(21803,5220,1,1,-1,12695),-- [reinforcing_agent]
(21803,57,137,264,0,700000),-- [adena]
(21803,40,1,1,1,553.161216),-- [leather_boots]
(21803,1931,1,1,1,5820.838784),-- [leather_boots_lining]
(21803,604,1,1,1,553.161216),-- [excellence_leather_gloves]
(21803,1934,1,1,1,5820.838784),-- [excellence_leather_gloves_lining]
(21803,1866,1,1,2,23748.367168),-- [suede]
(21803,1871,1,1,2,35622.550752),-- [charcoal]
(21803,5220,1,1,2,1424.88242),-- [reinforcing_agent]
(21803,1885,1,1,2,2968.545896),-- [high_grade_suede]
(21803,2152,1,1,2,6271.653764),-- [rp_enchanted_necklace]
(21804,1061,1,1,-1,221263),-- [healing_potion]
(21804,1900,1,1,-1,39943),-- [enchanted_necklace_chain]
(21804,2250,1,1,-1,91271),-- [rp_bone_arrow]
(21804,57,154,308,0,700000),-- [adena]
(21804,627,1,1,1,741.537355),-- [aspis]
(21804,46,1,1,1,519.462645),-- [bronze_helmet]
(21804,1867,1,1,2,66501.276345),-- [animal_skin]
(21804,1872,1,1,2,66501.276345),-- [animal_bone]
(21804,1882,1,1,2,11083.46778),-- [leather]
(21804,2250,1,1,2,12468.97953),-- [rp_bone_arrow]
(21805,1901,1,1,-1,60152),-- [tiger'seye_earing_stone]
(21805,2154,1,1,-1,46627),-- [rp_elven_earing]
(21805,1938,1,1,-1,29277),-- [mithril_banded_mail_material]
(21805,57,184,368,0,700000),-- [adena]
(21805,553,1,1,1,169.191552),-- [iron_boots]
(21805,1940,1,1,1,4936.850688),-- [iron_boots_design]
(21805,2422,1,1,1,169.191552),-- [reinforce_leather_boots]
(21805,2423,1,1,1,169.191552),-- [boots_of_knowledge]
(21805,63,1,1,1,169.191552),-- [gauntlet]
(21805,2446,1,1,1,169.191552),-- [reinforce_leather_gloves]
(21805,2447,1,1,1,169.191552),-- [gloves_of_knowledge]
(21805,1868,1,1,2,92621.084796),-- [thread]
(21805,1873,1,1,2,18524.266488),-- [silver_nugget]
(21805,5549,1,1,2,4631.066622),-- [iron_thread]
(21805,1889,1,1,2,3087.377748),-- [compound_braid]
(21805,2154,1,1,2,4958.204346),-- [rp_elven_earing]
(21806,1864,1,3,-1,512417),-- [stem]
(21806,1880,1,1,-1,51242),-- [steel]
(21806,1939,1,1,-1,45008),-- [mithril_banded_gaiters_material]
(21806,57,216,433,0,700000),-- [adena]
(21806,628,1,1,1,664.250537),-- [hoplon]
(21806,47,1,1,1,464.749463),-- [helmet]
(21806,1869,1,1,2,54489.709341),-- [iron_ore]
(21806,1864,1,1,2,108979.418682),-- [stem]
(21806,1880,1,1,2,5448.953095),-- [steel]
(21806,5550,1,1,2,726.586543),-- [reinforcing_plate]
(21806,2155,1,1,2,8746.332339),-- [rp_elven_ring]
(21807,2157,1,1,-1,49421),-- [rp_onyxbeast'seye_earing]
(21807,1902,1,1,-1,60588),-- [elven_earing_beads]
(21807,2158,1,1,-1,74010),-- [rp_mithril_ring]
(21807,57,253,504,0,700000),-- [adena]
(21807,1124,1,1,1,67.31735),-- [boots_of_power]
(21807,1948,1,1,1,2610.80765),-- [boots_of_power_pattern]
(21807,2424,1,1,1,67.31735),-- [manticor_skin_boots]
(21807,2923,1,1,1,2610.80765),-- [manticor_skin_boots_lining]
(21807,2425,1,1,1,67.31735),-- [brigandine_boots]
(21807,2924,1,1,1,2610.80765),-- [brigandine_boots_design]
(21807,2426,1,1,1,67.31735),-- [elven_mithril_boots]
(21807,2925,1,1,1,2610.80765),-- [elven_mithril_boots_design]
(21807,606,1,1,1,67.31735),-- [gauntlet_of_repose_of_the_soul]
(21807,1946,1,1,1,2610.80765),-- [gauntlet_of_repose_of_the_soul_pattern]
(21807,2448,1,1,1,67.31735),-- [manticor_skin_gloves]
(21807,2926,1,1,1,2610.80765),-- [manticor_skin_gloves_linging]
(21807,2449,1,1,1,67.31735),-- [brigandine_gauntlet]
(21807,2927,1,1,1,2610.80765),-- [brigandine_gauntlet_pattern]
(21807,2450,1,1,1,67.31735),-- [elven_mithril_gloves]
(21807,2928,1,1,1,2610.80765),-- [elven_mithril_gloves_design]
(21807,1870,1,1,2,77280.051235),-- [coal]
(21807,1865,1,1,2,77280.051235),-- [varnish]
(21807,1874,1,1,2,5152.058782),-- [oriharukon_ore]
(21807,2157,1,1,2,6386.838748),-- [rp_onyxbeast'seye_earing]
(21808,1905,1,1,-1,68125),-- [onyxbeast'seye_earing_gemstone]
(21808,1871,1,1,-1,700321),-- [charcoal]
(21808,1866,1,1,-1,466881),-- [suede]
(21808,57,282,570,0,700000),-- [adena]
(21808,630,1,1,1,148.37993),-- [square_shield]
(21808,1956,1,1,1,6652.40065),-- [square_shield_fragment]
(21808,2494,1,1,1,148.37993),-- [plate_shield]
(21808,2934,1,1,1,6652.40065),-- [plate_shield_fragment]
(21808,2412,1,1,1,103.90834),-- [plate_helmet]
(21808,2930,1,1,1,4724.5305),-- [plate_helmet_design]
(21808,1871,1,1,2,87917.448492),-- [charcoal]
(21808,1866,1,1,2,58611.632328),-- [suede]
(21808,1877,1,1,2,3516.735312),-- [admantite_nugget]
(21808,2160,1,1,2,5672.183868),-- [rp_moonstone_earing]
(21809,4553,1,1,-1,3236),-- [dye_s1c1_c]
(21809,1908,1,1,-1,76616),-- [moonstone_earing_wire]
(21809,2163,1,1,-1,41279),-- [rp_earing_of_protection]
(21809,57,320,650,0,700000),-- [adena]
(21809,62,1,1,1,43.754131),-- [mithril_boots]
(21809,1958,1,1,1,1909.466138),-- [mithril_boots_design]
(21809,2429,1,1,1,43.754131),-- [chain_boots]
(21809,2937,1,1,1,1909.466138),-- [chain_boots_part]
(21809,2430,1,1,1,43.754131),-- [karmian_boots]
(21809,2938,1,1,1,1909.466138),-- [karmian_boots_fabric]
(21809,2431,1,1,1,43.754131),-- [plate_leather_boots]
(21809,2939,1,1,1,1909.466138),-- [plate_leather_boots_lining]
(21809,2432,1,1,1,43.754131),-- [dwarven_chain_boots]
(21809,2940,1,1,1,1909.466138),-- [dwarven_chain_boots_part]
(21809,2433,1,1,1,43.754131),-- [boots_of_seal]
(21809,2941,1,1,1,1909.466138),-- [boots_of_seal_pattern]
(21809,2452,1,1,1,43.754131),-- [reinforce_mithril_gloves]
(21809,2942,1,1,1,1909.466138),-- [reinforce_mithril_gloves_design]
(21809,2453,1,1,1,43.754131),-- [chain_gloves]
(21809,2943,1,1,1,1909.466138),-- [chain_gloves_design]
(21809,2454,1,1,1,43.754131),-- [karmian_gloves]
(21809,2944,1,1,1,1909.483717),-- [karmian_gloves_fabric]
(21809,1872,1,1,2,50983.244305),-- [animal_bone]
(21809,1867,1,1,2,50983.244305),-- [animal_skin]
(21809,1881,1,1,2,5098.313045),-- [coarse_bone_powder]
(21809,1875,1,1,2,2549.21345),-- [stone_of_purity]
(21809,4041,1,1,2,332.4566),-- [mold_hardener]
(21809,2163,1,1,2,1950.905425),-- [rp_earing_of_protection]
(21809,8723,1,1,2,1529.52807),-- [general_46_c]
(21809,8733,1,1,2,382.32509),-- [special_46_c]
(21809,8743,1,1,2,38.25528),-- [rare_46_c]
(21809,8753,1,1,2,7.51443),-- [unique_46_c]
(21810,1966,1,1,-1,33611),-- [plate_leather_fragment]
(21810,2166,1,1,-1,31207),-- [rp_earing_of_binding]
(21810,1967,1,1,-1,50211),-- [plate_leather_gaiters_material]
(21810,57,364,740,0,700000),-- [adena]
(21810,2496,1,1,1,113.212719),-- [dwarven_chain_shield]
(21810,2947,1,1,1,4855.847919),-- [dwarven_chain_shield_fragment]
(21810,632,1,1,1,104.511989),-- [knight_shield]
(21810,1972,1,1,1,5438.54613),-- [knight_shield_fragment]
(21810,500,1,1,1,73.174614),-- [great_helmet]
(21810,1971,1,1,1,4161.706629),-- [great_helmet_material]
(21810,1873,1,1,2,16316.145312),-- [silver_nugget]
(21810,1868,1,1,2,81580.483536),-- [thread]
(21810,1876,1,1,2,8158.072656),-- [mithril_ore]
(21810,1895,1,1,2,11654.337432),-- [metallic_fiber]
(21810,4042,1,1,2,679.85964),-- [enria]
(21810,2166,1,1,2,1382.685048),-- [rp_earing_of_binding]
(21810,8724,1,1,2,1359.71928),-- [general_49_c]
(21810,8734,1,1,2,339.869064),-- [special_49_c]
(21810,8744,1,1,2,34.02336),-- [rare_49_c]
(21810,8754,1,1,2,6.804672),-- [unique_49_c]
(21811,1878,1,1,-1,417148),-- [braided_hemp]
(21811,1884,1,1,-1,641767),-- [cord]
(21811,4601,1,1,-1,2317),-- [dye_s3c3_c]
(21811,57,413,839,0,700000),-- [adena]
(21811,64,1,1,1,114.215485),-- [composite_boots]
(21811,2956,1,1,1,6342.284515),-- [composite_boots_part]
(21811,608,1,1,1,114.215485),-- [mithril_gauntlet]
(21811,1981,1,1,1,6342.284515),-- [mithril_gauntlet_design]
(21811,1864,1,1,2,86253.57085),-- [stem]
(21811,1869,1,1,2,43126.785425),-- [iron_ore]
(21811,1878,1,1,2,17250.71417),-- [braided_hemp]
(21811,1884,1,1,2,26539.64191),-- [cord]
(21811,4039,1,1,2,1437.53003),-- [mold_glue]
(21811,2169,1,1,2,763.345075),-- [rp_necklace_of_binding]
(21811,8725,1,1,2,1198.00066),-- [general_52_c]
(21811,8735,1,1,2,299.500165),-- [special_52_c]
(21811,8745,1,1,2,29.896945),-- [rare_52_c]
(21811,8755,1,1,2,6.01477),-- [unique_52_c]
(21812,1984,1,1,-1,25182),-- [theca_leather_mail_pattern]
(21812,4126,1,1,-1,19385),-- [rp_adamantite_earing]
(21812,1985,1,1,-1,40508),-- [theca_leather_gaiters_pattern]
(21812,57,464,945,0,700000),-- [adena]
(21812,2497,1,1,1,75.091236),-- [full_plate_shield]
(21812,2966,1,1,1,5933.542076),-- [full_plate_shield_fragment]
(21812,2414,1,1,1,52.562884),-- [full_plate_helmet]
(21812,2959,1,1,1,3750.803804),-- [full_plate_helmet_design]
(21812,1865,1,1,2,43374.460392),-- [varnish]
(21812,1870,1,1,2,43374.460392),-- [coal]
(21812,1879,1,1,2,7229.109978),-- [cokes]
(21812,1875,1,1,2,2891.604096),-- [stone_of_purity]
(21812,4040,1,1,2,867.521124),-- [mold_lubricant]
(21812,4126,1,1,2,715.719888),-- [rp_adamantite_earing]
(21812,8726,1,1,2,1004.062446),-- [general_55_c]
(21812,8736,1,1,2,251.040546),-- [special_55_c]
(21812,8746,1,1,2,25.133976),-- [rare_55_c]
(21812,8756,1,1,2,4.887162),-- [unique_55_c]
(21813,4129,1,1,-1,14243),-- [rp_earing_of_black_ore]
(21813,4049,1,1,-1,69028),-- [adamantite_earing_gemstone]
(21813,947,1,1,-1,526),-- [scrl_of_ench_wp_b]
(21813,57,519,1060,0,700000),-- [adena]
(21813,12147,1,1,1,464.977275),-- [shrnoen's_boots_low]
(21813,4097,1,1,1,2528.772725),-- [shrnoen's_boots_design]
(21813,12149,1,1,1,464.977275),-- [avadon_boots_low]
(21813,4098,1,1,1,2528.772725),-- [avadon_boots_design]
(21813,12146,1,1,1,464.977275),-- [shrnoen's_gauntlet_low]
(21813,4100,1,1,1,2528.772725),-- [shrnoen's_gauntlet_part]
(21813,12148,1,1,1,464.977275),-- [avadon_gloves_low]
(21813,4073,1,1,1,2528.772725),-- [avadon_gloves_part]
(21813,1866,1,1,2,25915.519371),-- [suede]
(21813,1871,1,1,2,38873.243388),-- [charcoal]
(21813,5220,1,1,2,1554.932589),-- [reinforcing_agent]
(21813,1885,1,1,2,3239.41317),-- [high_grade_suede]
(21813,4041,1,1,2,337.994706),-- [mold_hardener]
(21813,4129,1,1,2,420.674289),-- [rp_earing_of_black_ore]
(21813,8727,1,1,2,777.430626),-- [general_58_b]
(21813,8737,1,1,2,194.393325),-- [special_58_b]
(21813,8747,1,1,2,19.403664),-- [rare_58_b]
(21813,8757,1,1,2,3.994872),-- [unique_58_b]
(21814,1867,1,5,-1,651751),-- [animal_skin]
(21814,1872,1,5,-1,651751),-- [animal_bone]
(21814,4613,1,1,-1,2023),-- [dye_s4c4_c]
(21814,57,580,1179,0,700000),-- [adena]
(21814,12159,1,1,1,494.493554),-- [shrnoen's_shield_low]
(21814,4101,1,1,1,3138.93983),-- [shrnoen's_shield_fragment]
(21814,12171,1,1,1,494.493554),-- [avadon_shield_low]
(21814,4439,1,1,1,3734.256236),-- [avadon_shield_fragment]
(21814,12160,1,1,1,345.98313),-- [shrnoen's_helmet_low]
(21814,4102,1,1,1,2431.918574),-- [shrnoen's_helmet_design]
(21814,12170,1,1,1,345.98313),-- [avadon_circlet_low]
(21814,4072,1,1,1,2431.931992),-- [avadon_circlet_pattern]
(21814,1867,1,1,2,57755.02248),-- [animal_skin]
(21814,1872,1,1,2,57755.02248),-- [animal_bone]
(21814,1882,1,1,2,9625.83708),-- [leather]
(21814,1894,1,1,2,1519.807905),-- [crafted_leather]
(21814,4042,1,1,2,721.91198),-- [enria]
(21814,4130,1,1,2,703.206255),-- [rp_ring_of_black_ore]
(21814,8728,1,1,2,721.91198),-- [general_61_b]
(21814,8738,1,1,2,180.477995),-- [special_61_b]
(21814,8748,1,1,2,18.0607),-- [rare_61_b]
(21814,8758,1,1,2,3.741145),-- [unique_61_b]
(21815,4052,1,1,-1,57668),-- [earing_of_black_ore_piece]
(21815,5230,1,1,-1,2172),-- [rp_mithril_arrow]
(21815,4053,1,1,-1,69816),-- [ring_of_black_ore_gemstone]
(21815,57,646,1308,0,700000),-- [adena]
(21815,12188,1,1,1,319.888157),-- [doom_boots_low]
(21815,4099,1,1,1,2699.861843),-- [doom_boots_part]
(21815,12189,1,1,1,319.888157),-- [blue_wolve's_boots_low]
(21815,4090,1,1,1,2699.861843),-- [blue_wolve's_boots_design]
(21815,12187,1,1,1,319.888157),-- [doom_gloves_low]
(21815,4091,1,1,1,2699.861843),-- [doom_gloves_part]
(21815,12190,1,1,1,319.888157),-- [blue_wolve's_gloves_low]
(21815,4096,1,1,1,2699.861843),-- [blue_wolve's_gloves_fabric]
(21815,1868,1,1,2,96225.909675),-- [thread]
(21815,1873,1,1,2,19245.181935),-- [silver_nugget]
(21815,5549,1,1,2,4811.263989),-- [iron_thread]
(21815,1889,1,1,2,3207.551319),-- [compound_braid]
(21815,4044,1,1,2,1603.71267),-- [thons]
(21815,5230,1,1,2,64.123311),-- [rp_mithril_arrow]
(21815,8729,1,1,2,641.485068),-- [general_64_a]
(21815,8739,1,1,2,160.371267),-- [special_64_a]
(21815,8749,1,1,2,15.999333),-- [rare_64_a]
(21815,8759,1,1,2,3.401433),-- [unique_64_a]
(21816,5438,1,1,-1,985),-- [rp_meteor_shower_i]
(21816,4054,1,1,-1,35501),-- [necklace_of_black_ore_beads]
(21816,5550,1,1,-1,24032),-- [reinforcing_plate]
(21816,57,714,1448,0,700000),-- [adena]
(21816,12183,1,1,1,450.405402),-- [doom_shield_low]
(21816,4077,1,1,1,3991.455498),-- [doom_shield_fragment]
(21816,12202,1,1,1,315.20604),-- [blue_wolve's_helmet_low]
(21816,4088,1,1,1,3353.36351),-- [blue_wolve's_helmet_design]
(21816,12185,1,1,1,315.20604),-- [doom_helmet_low]
(21816,4089,1,1,1,3353.36351),-- [doom_helmet_pattern]
(21816,1869,1,1,2,53239.04443),-- [iron_ore]
(21816,1864,1,1,2,106478.257314),-- [stem]
(21816,1880,1,1,2,5323.98867),-- [steel]
(21816,5550,1,1,2,709.865156),-- [reinforcing_plate]
(21816,4043,1,1,2,1774.66289),-- [asofe]
(21816,5434,1,1,2,19.709118),-- [rp_dragon_slayer_i]
(21816,8729,1,1,2,709.865156),-- [general_64_a]
(21816,8739,1,1,2,177.382062),-- [special_64_a]
(21816,8749,1,1,2,17.68767),-- [rare_64_a]
(21816,8759,1,1,2,3.537534),-- [unique_64_a]
(21817,1874,1,1,-1,132389),-- [oriharukon_ore]
(21817,5478,1,1,-1,16699),-- [sealed_dark_crystal_leather_mail_pattern]
(21817,5434,1,1,-1,735),-- [rp_dragon_slayer_i]
(21817,57,786,1596,0,700000),-- [adena]
(21817,12224,1,1,1,319.504745),-- [sealed_dark_crystal_boots_low]
(21817,5496,1,1,1,1719.245255),-- [sealed_dark_crystal_boots_lining]
(21817,12231,1,1,1,319.504745),-- [sealed_tallum_boots_low]
(21817,5497,1,1,1,1719.245255),-- [sealed_tallum_boots_lining]
(21817,12221,1,1,1,319.504745),-- [sealed_dark_crystal_gloves_low]
(21817,5508,1,1,1,1719.245255),-- [sealed_dark_crystal_gloves_design]
(21817,12229,1,1,1,319.504745),-- [sealed_tallum_gloves_low]
(21817,5509,1,1,1,1719.245255),-- [sealed_tallum_gloves_design]
(21817,1870,1,1,2,58658.39661),-- [coal]
(21817,1865,1,1,2,58658.39661),-- [varnish]
(21817,1874,1,1,2,3910.601772),-- [oriharukon_ore]
(21817,4043,1,1,2,1955.300886),-- [asofe]
(21817,4039,1,1,2,1955.300886),-- [mold_glue]
(21817,5440,1,1,2,21.670968),-- [rp_elysian_i]
(21817,8730,1,1,2,651.766962),-- [general_67_a]
(21817,8740,1,1,2,162.910242),-- [special_67_a]
(21817,8750,1,1,2,16.253226),-- [rare_67_a]
(21817,8760,1,1,2,3.401838),-- [unique_67_a]
(21818,5479,1,1,-1,10319),-- [sealed_tallum_leather_mail_pattern]
(21818,5440,1,1,-1,646),-- [rp_elysian_i]
(21818,5482,1,1,-1,23018),-- [sealed_legging_of_dark_crystal_design]
(21818,57,860,1756,0,700000),-- [adena]
(21818,12225,1,1,1,445.298973),-- [sealed_dark_crystal_shield_low]
(21818,5494,1,1,1,2253.862426),-- [sealed_dark_crystal_shield_fragment]
(21818,12226,1,1,1,311.967616),-- [sealed_dark_crystal_helmet_low]
(21818,5525,1,1,1,1658.948364),-- [sealed_dark_crystal_helmet_design]
(21818,12234,1,1,1,311.967616),-- [sealed_tallum_bonnet_low]
(21818,5526,1,1,1,1658.955005),-- [sealed_tallum_bonnet_design]
(21818,1871,1,1,2,64393.374788),-- [charcoal]
(21818,1866,1,1,2,42928.87895),-- [suede]
(21818,1877,1,1,2,2575.7891),-- [admantite_nugget]
(21818,4041,1,1,2,559.910042),-- [mold_hardener]
(21818,4040,1,1,2,1287.89455),-- [mold_lubricant]
(21818,6901,1,1,2,64.366546),-- [rp_shining_arrow]
(21818,8730,1,1,2,715.471922),-- [general_67_a]
(21818,8740,1,1,2,178.896162),-- [special_67_a]
(21818,8750,1,1,2,17.923434),-- [rare_67_a]
(21818,8760,1,1,2,3.494506),-- [unique_67_a]
(21819,1875,1,1,-1,127175),-- [stone_of_purity]
(21819,4041,1,1,-1,16588),-- [mold_hardener]
(21819,5480,1,1,-1,8560),-- [sealed_leather_mail_of_nightmare_fabric]
(21819,57,941,1920,0,700000),-- [adena]
(21819,12224,1,1,1,383.640768),-- [sealed_dark_crystal_boots_low]
(21819,5496,1,1,1,2064.359232),-- [sealed_dark_crystal_boots_lining]
(21819,12231,1,1,1,383.640768),-- [sealed_tallum_boots_low]
(21819,5497,1,1,1,2064.359232),-- [sealed_tallum_boots_lining]
(21819,12221,1,1,1,383.640768),-- [sealed_dark_crystal_gloves_low]
(21819,5508,1,1,1,2064.359232),-- [sealed_dark_crystal_gloves_design]
(21819,12229,1,1,1,383.640768),-- [sealed_tallum_gloves_low]
(21819,5509,1,1,1,2064.359232),-- [sealed_tallum_gloves_design]
(21819,1872,1,1,2,93914.12859),-- [animal_bone]
(21819,1867,1,1,2,93914.12859),-- [animal_skin]
(21819,1881,1,1,2,9391.514556),-- [coarse_bone_powder]
(21819,1875,1,1,2,4695.757278),-- [stone_of_purity]
(21819,4041,1,1,2,612.419334),-- [mold_hardener]
(21819,1808,1,1,2,31.322676),-- [rp_soulshot_s]
(21819,8731,1,1,2,652.081164),-- [general_70_a]
(21819,8741,1,1,2,163.121988),-- [special_70_a]
(21819,8751,1,1,2,16.27152),-- [rare_70_a]
(21819,8761,1,1,2,3.254304),-- [unique_70_a]
(21820,6901,1,1,-1,2078),-- [rp_shining_arrow]
(21820,5481,1,1,-1,9325),-- [sealed_majestic_leather_mail_fabric]
(21820,1808,1,1,-1,924),-- [rp_soulshot_s]
(21820,57,1025,2092,0,700000),-- [adena]
(21820,12225,1,1,1,530.657442),-- [sealed_dark_crystal_shield_low]
(21820,5494,1,1,1,2685.900804),-- [sealed_dark_crystal_shield_fragment]
(21820,12226,1,1,1,371.768064),-- [sealed_dark_crystal_helmet_low]
(21820,5525,1,1,1,1976.948856),-- [sealed_dark_crystal_helmet_design]
(21820,12234,1,1,1,371.768064),-- [sealed_tallum_bonnet_low]
(21820,5526,1,1,1,1976.95677),-- [sealed_tallum_bonnet_design]
(21820,1873,1,1,2,30693.24115),-- [silver_nugget]
(21820,1868,1,1,2,153466.525225),-- [thread]
(21820,1876,1,1,2,15346.620575),-- [mithril_ore]
(21820,1895,1,1,2,21923.6524),-- [metallic_fiber]
(21820,4042,1,1,2,1278.858425),-- [enria]
(21820,3036,1,1,2,34.183825),-- [rp_spiritshot_s]
(21820,8732,1,1,2,639.58895),-- [general_75_s]
(21820,8742,1,1,2,159.7375),-- [special_75_s]
(21820,8752,1,1,2,15.97375),-- [rare_75_s]
(21820,1344,10,30,2,95916.6182),-- [mithril_arrow]
(21821,5487,1,1,-1,10159),-- [sealed_robe_of_nightmare_fabric]
(21821,4039,1,1,-1,75202),-- [mold_glue]
(21821,4041,1,1,-1,19618),-- [mold_hardener]
(21821,57,1110,2273,0,700000),-- [adena]
(21821,12267,1,1,1,283.34792),-- [sealed_boots_of_nightmare_low]
(21821,5502,1,1,1,1758.65208),-- [sealed_boots_of_nightmare_lining]
(21821,12260,1,1,1,283.34792),-- [sealed_magestic_boots_low]
(21821,5503,1,1,1,1758.65208),-- [sealed_magestic_boots_lining]
(21821,12264,1,1,1,283.34792),-- [sealed_gloves_of_nightmare_low]
(21821,5514,1,1,1,1758.65208),-- [sealed_gloves_of_nightmare_design]
(21821,12257,1,1,1,283.34792),-- [sealed_magestic_gloves_low]
(21821,5515,1,1,1,1758.65208),-- [sealed_magestic_gloves_design]
(21821,1894,1,1,2,3653.482366),-- [crafted_leather]
(21821,4039,1,1,2,3470.79942),-- [mold_glue]
(21821,4041,1,1,2,905.431967),-- [mold_hardener]
(21821,4044,1,1,2,3470.79942),-- [thons]
(21821,959,1,1,2,4.16163),-- [scrl_of_ench_wp_s]
(21821,8732,1,1,2,867.699855),-- [general_75_s]
(21821,8742,1,1,2,216.921811),-- [special_75_s]
(21821,8752,1,1,2,21.703531),-- [rare_75_s]
(21822,6688,1,1,-1,5261),-- [forgotten_blade_edge]
(21822,6689,1,1,-1,5162),-- [basalt_battlehammer_head]
(21822,6690,1,1,-1,5271),-- [piece_of_imperial_staff]
(21822,57,1200,2449,0,700000),-- [adena]
(21822,12268,1,1,1,388.524756),-- [sealed_shield_of_nightmare_low]
(21822,5495,1,1,1,2274.346552),-- [sealed_shield_of_nightmare_fragment]
(21822,12269,1,1,1,271.82546),-- [sealed_helm_of_nightmare_low]
(21822,5527,1,1,1,1790.735492),-- [sealed_helm_of_nightmare_design]
(21822,12261,1,1,1,271.82546),-- [sealed_magestic_circlet_low]
(21822,5528,1,1,1,1790.74228),-- [sealed_magestic_circlet_design]
(21822,1895,1,1,2,32095.182002),-- [metallic_fiber]
(21822,4040,1,1,2,2246.678395),-- [mold_lubricant]
(21822,4042,1,1,2,1872.238862),-- [enria]
(21822,4043,1,1,2,3744.436527),-- [asofe]
(21822,960,1,1,2,44.945927),-- [scrl_of_ench_am_s]
(21822,8732,1,1,2,936.119431),-- [general_75_s]
(21822,8742,1,1,2,234.040157),-- [special_75_s]
(21822,8752,1,1,2,23.358699),-- [rare_75_s]
(21823,1894,1,1,-1,725194),-- [crafted_leather]
(21823,4039,1,1,-1,688934),-- [mold_glue]
(21823,5480,1,1,-1,92742),-- [sealed_leather_mail_of_nightmare_fabric]
(21823,57,10189,20801,0,700000),-- [adena]
(21823,11975,1,1,1,678.352818),-- [soul_bow_low]
(21823,5534,1,1,1,10475.647182),-- [soul_bow_shaft]
(21823,1894,1,1,2,33470.603298),-- [crafted_leather]
(21823,4039,1,1,2,31796.99226),-- [mold_glue]
(21823,4041,1,1,2,8294.922801),-- [mold_hardener]
(21823,4044,1,1,2,31796.99226),-- [thons]
(21823,959,1,1,2,38.12589),-- [scrl_of_ench_wp_s]
(21823,8732,1,1,2,7949.248065),-- [general_75_s]
(21823,8742,1,1,2,1987.283133),-- [special_75_s]
(21823,8752,1,1,2,198.832293),-- [rare_75_s]
(21824,1894,1,1,-1,374050),-- [crafted_leather]
(21824,4052,1,1,-1,377427),-- [earing_of_black_ore_piece]
(21824,1807,1,1,-1,14214),-- [rp_soulshot_a]
(21824,171,1,1,0,6.240355),-- [deadman's_glory]
(21824,4116,1,1,0,1375.68045),-- [deadman's_glory_stone]
(21824,175,1,1,0,6.240355),-- [art_of_battle_axe]
(21824,4117,1,1,0,1375.68045),-- [art_of_battle_axe_blade]
(21824,210,1,1,0,6.240355),-- [staff_of_evil_sprit]
(21824,4118,1,1,0,1303.37982),-- [staff_of_evil_sprit_head]
(21824,7893,1,1,0,6.240355),-- [bone_of_kaim_vanul]
(21824,8340,1,1,0,1375.68045),-- [bone_of_kaim_vanul_head]
(21824,7901,1,1,0,6.240355),-- [star_buster]
(21824,8348,1,1,0,1373.377055),-- [star_buster_head]
(21824,1894,1,1,1,12276.64191),-- [crafted_leather]
(21824,4039,1,1,1,11662.81428),-- [mold_glue]
(21824,4041,1,1,1,3042.479115),-- [mold_hardener]
(21824,4044,1,1,1,11662.81428),-- [thons]
(21824,729,1,1,1,38.894505),-- [scrl_of_ench_wp_a]
(21824,8729,1,1,1,4665.10785),-- [general_64_a]
(21824,8739,1,1,1,1166.29929),-- [special_64_a]
(21824,8749,1,1,1,116.63886),-- [rare_64_a]
(21824,8759,1,1,1,23.30991),-- [unique_64_a]
(21825,4053,1,1,-1,435874),-- [ring_of_black_ore_gemstone]
(21825,3035,1,1,-1,13559),-- [rp_spiritshot_a]
(21825,4054,1,1,-1,200294),-- [necklace_of_black_ore_beads]
(21825,358,1,1,0,40.453984),-- [blue_wolve's_breastplate]
(21825,4078,1,1,0,7313.078028),-- [blue_wolve's_breastplate_part]
(21825,2380,1,1,0,64.717304),-- [blue_wolve's_gaiters]
(21825,4080,1,1,0,10298.350752),-- [blue_wolve's_gaiters_material]
(21825,2381,1,1,0,24.898248),-- [doom_plate_armor]
(21825,4081,1,1,0,4934.501684),-- [doom_plate_armor_temper]
(21825,1869,2,6,1,68266.92215),-- [iron_ore]
(21825,1864,5,15,1,54613.47815),-- [stem]
(21825,1880,1,1,1,27306.59015),-- [steel]
(21825,5550,1,1,1,3640.9184),-- [reinforcing_plate]
(21825,4043,1,1,1,9102.296),-- [asofe]
(21825,730,1,1,1,227.5574),-- [scrl_of_ench_am_a]
(21825,8729,1,1,1,3640.9184),-- [general_64_a]
(21825,8739,1,1,1,910.2296),-- [special_64_a]
(21825,8749,1,1,1,91.1421),-- [rare_64_a]
(21825,8759,1,1,1,18.16885),-- [unique_64_a]
(21825,1343,30,90,1,130031.7788),-- [silver_arrow]
(21826,1874,1,1,-1,758857),-- [oriharukon_ore]
(21826,4043,1,1,-1,379428),-- [asofe]
(21826,4077,1,1,-1,512049),-- [doom_shield_fragment]
(21826,358,1,1,0,45.283272),-- [blue_wolve's_breastplate]
(21826,4078,1,1,0,8186.093649),-- [blue_wolve's_breastplate_part]
(21826,2380,1,1,0,72.443082),-- [blue_wolve's_gaiters]
(21826,4080,1,1,0,11527.740216),-- [blue_wolve's_gaiters_material]
(21826,2381,1,1,0,27.870534),-- [doom_plate_armor]
(21826,4081,1,1,0,5523.569247),-- [doom_plate_armor_temper]
(21826,1870,1,3,1,168116.069575),-- [coal]
(21826,1865,1,3,1,112077.601312),-- [varnish]
(21826,1874,1,1,1,22415.586741),-- [oriharukon_ore]
(21826,4043,1,1,1,11207.627174),-- [asofe]
(21826,4039,1,1,1,11207.627174),-- [mold_glue]
(21826,6339,1,1,1,2586.349933),-- [rp_sealed_majestic_ring_i]
(21826,8730,1,1,1,3735.764927),-- [general_67_a]
(21826,8740,1,1,1,934.02433),-- [special_67_a]
(21826,8750,1,1,1,93.402433),-- [rare_67_a]
(21826,8760,1,1,1,18.946401),-- [unique_67_a]
(21827,3956,1,1,-1,14477),-- [rp_blessed_spiritshot_a]
(21827,4078,1,1,-1,158605),-- [blue_wolve's_breastplate_part]
(21827,5156,1,1,-1,14477),-- [rp_comp_soulshot_a]
(21827,79,1,1,0,10.594647),-- [sword_of_damascus]
(21827,4114,1,1,0,2340.380784),-- [sword_of_damascus_blade]
(21827,7883,1,1,0,10.594647),-- [guardians_sword]
(21827,8330,1,1,0,2336.447442),-- [guardians_sword_blade]
(21827,7889,1,1,0,10.594647),-- [tears_of_wizard]
(21827,8336,1,1,0,2340.387833),-- [tears_of_wizard_blade]
(21827,1871,1,3,1,97191.068),-- [charcoal]
(21827,1866,1,1,1,194382.503925),-- [suede]
(21827,1877,1,1,1,11662.854575),-- [admantite_nugget]
(21827,4041,1,1,1,2535.371175),-- [mold_hardener]
(21827,4040,1,1,1,5831.61125),-- [mold_lubricant]
(21827,5456,1,1,1,108.16995),-- [rp_tallum_glaive_i]
(21827,8730,1,1,1,3239.579625),-- [general_67_a]
(21827,8740,1,1,1,809.802925),-- [special_67_a]
(21827,8750,1,1,1,80.9435),-- [rare_67_a]
(21827,8760,1,1,1,16.1887),-- [unique_67_a]
(21827,1343,80,240,1,52066.906375),-- [silver_arrow]
(21828,5478,1,1,-1,102093),-- [sealed_dark_crystal_leather_mail_pattern]
(21828,729,1,1,-1,1349),-- [scrl_of_ench_wp_a]
(21828,1875,1,1,-1,809392),-- [stone_of_purity]
(21828,212,1,1,0,6.35987),-- [dasparion's_staff]
(21828,5543,1,1,0,1526.314026),-- [dasparion's_staff_head]
(21828,2504,1,1,0,6.35987),-- [meteor_shower]
(21828,5532,1,1,0,1512.060614),-- [meteor_shower_head]
(21828,7894,1,1,0,6.35987),-- [eye_of_soul]
(21828,8341,1,1,0,1510.125266),-- [eye_of_soul_piece]
(21828,7899,1,1,0,6.35987),-- [hammer_of_destroyer]
(21828,8346,1,1,0,1512.060614),-- [hammer_of_destroyer_piece]
(21828,1865,1,3,1,179311.212336),-- [varnish]
(21828,1870,1,3,1,119540.808224),-- [coal]
(21828,1879,1,1,1,59770.404112),-- [cokes]
(21828,1875,1,1,1,23908.240632),-- [stone_of_purity]
(21828,4040,1,1,1,7172.432696),-- [mold_lubricant]
(21828,5450,1,1,1,132.698496),-- [rp_dragon_grinder_i]
(21828,8730,1,1,1,3984.509304),-- [general_67_a]
(21828,8740,1,1,1,996.028592),-- [special_67_a]
(21828,8750,1,1,1,99.523872),-- [rare_67_a]
(21828,8760,1,1,1,20.141736),-- [unique_67_a]
(21829,4053,1,1,-1,496406),-- [ring_of_black_ore_gemstone]
(21829,3035,1,1,-1,15442),-- [rp_spiritshot_a]
(21829,4054,1,1,-1,228110),-- [necklace_of_black_ore_beads]
(21829,5304,1,1,0,42.690813),-- [sealed_tallum_tunic]
(21829,5485,1,1,0,4793.923453),-- [sealed_tallum_tunic_texture]
(21829,5305,1,1,0,68.270477),-- [sealed_tallum_hose]
(21829,5489,1,1,0,7524.505098),-- [sealed_tallum_hose_fabric]
(21829,5308,1,1,0,26.260311),-- [sealed_dark_crystal_robe]
(21829,5486,1,1,0,3373.349848),-- [sealed_dark_crystal_robe_fabric]
(21829,1869,2,6,1,77747.608656),-- [iron_ore]
(21829,1864,5,15,1,62198.154562),-- [stem]
(21829,1880,1,1,1,31098.908188),-- [steel]
(21829,5550,1,1,1,4146.498546),-- [reinforcing_plate]
(21829,4043,1,1,1,10366.415458),-- [asofe]
(21829,5448,1,1,1,115.321426),-- [rp_soul_separator_i]
(21829,8730,1,1,1,3455.584548),-- [general_67_a]
(21829,8740,1,1,1,863.727044),-- [special_67_a]
(21829,8750,1,1,1,86.23743),-- [rare_67_a]
(21829,8760,1,1,1,17.247486),-- [unique_67_a]
(21829,1343,30,90,1,148090.296656),-- [silver_arrow]
(22001,1867,1,1,-1,494275),-- [animal_skin]
(22001,1899,1,1,-1,57923),-- [necklace_of_devotion_chain]
(22001,2152,1,1,-1,65265),-- [rp_enchanted_necklace]
(22001,57,163,306,0,700000),-- [adena]
(22001,391,1,1,1,431.702537),-- [puma_skin_shirt]
(22001,413,1,1,1,691.297463),-- [puma_skin_gaiters]
(22001,1867,1,1,2,69350.699259),-- [animal_skin]
(22001,1872,1,1,2,69350.699259),-- [animal_bone]
(22001,1882,1,1,2,11558.370168),-- [leather]
(22001,2152,1,1,2,9157.231314),-- [rp_enchanted_necklace]
(22002,1931,1,1,-1,51043),-- [leather_boots_lining]
(22002,2178,1,1,-1,62477),-- [rp_dark_hose]
(22002,1932,1,1,-1,61981),-- [bone_helmet_design]
(22002,57,170,324,0,700000),-- [adena]
(22002,258,1,1,1,139),-- [bagh-nakh]
(22002,1872,1,1,2,58439.726211),-- [animal_bone]
(22002,1867,1,1,2,58439.726211),-- [animal_skin]
(22002,1881,1,1,2,5843.934606),-- [coarse_bone_powder]
(22002,1875,1,1,2,2921.967303),-- [stone_of_purity]
(22002,8301,1,1,2,1071.645669),-- [rp_sword_of_priest]
(22003,1874,1,1,-1,32142),-- [oriharukon_ore]
(22003,1878,1,1,-1,192855),-- [braided_hemp]
(22003,1934,1,1,-1,63024),-- [excellence_leather_gloves_lining]
(22003,57,208,401,0,700000),-- [adena]
(22003,274,1,1,1,172),-- [strengthening_bow]
(22003,1874,1,1,2,3006.579),-- [oriharukon_ore]
(22003,1878,1,1,2,18039.303),-- [braided_hemp]
(22003,1884,1,1,2,27752.787),-- [cord]
(22003,1889,1,1,2,3006.579),-- [compound_braid]
(22003,5220,1,1,2,1803.936),-- [reinforcing_agent]
(22003,2180,1,1,2,3390.816),-- [rp_scale_mail]
(22004,2180,1,1,-1,43085),-- [rp_scale_mail]
(22004,2017,1,1,-1,7615),-- [saber_blade]
(22004,2181,1,1,-1,57361),-- [rp_white_tunic]
(22004,57,247,477,0,700000),-- [adena]
(22004,123,1,1,1,25.523518),-- [saber]
(22004,2017,1,1,1,534.189158),-- [saber_blade]
(22004,5285,1,1,1,25.523518),-- [heavy_sword]
(22004,5531,1,1,1,674.909546),-- [heavy_sword_edge]
(22004,7880,1,1,1,25.523518),-- [iron_sword]
(22004,8327,1,1,1,674.909546),-- [iron_sword_edge]
(22004,7885,1,1,1,25.523518),-- [sword_of_priest]
(22004,8332,1,1,1,667.897678),-- [sword_of_priest_edge]
(22004,1875,1,1,2,3062.880723),-- [stone_of_purity]
(22004,1879,1,1,2,7657.227907),-- [cokes]
(22004,1885,1,1,2,3828.587854),-- [high_grade_suede]
(22004,5550,1,1,2,612.555265),-- [reinforcing_plate]
(22004,5549,1,1,2,4594.347184),-- [iron_thread]
(22004,2181,1,1,2,4598.940696),-- [rp_white_tunic]
(22004,1061,1,1,2,27844.460371),-- [healing_potion]
(22005,2018,1,1,-1,6735),-- [assassin_knife_edge]
(22005,1876,1,1,-1,101359),-- [mithril_ore]
(22005,1880,1,1,-1,50680),-- [steel]
(22005,57,217,425,0,700000),-- [adena]
(22005,220,1,1,1,181),-- [handiwork_dagger]
(22005,1876,1,1,2,9481.070088),-- [mithril_ore]
(22005,1880,1,1,2,4740.554376),-- [steel]
(22005,1877,1,1,2,1896.198552),-- [admantite_nugget]
(22005,1881,1,1,2,6320.713392),-- [coarse_bone_powder]
(22005,1882,1,1,2,10534.548096),-- [leather]
(22005,2182,1,1,2,5690.915496),-- [rp_scale_gaiters]
(22006,1061,1,1,-1,321463),-- [healing_potion]
(22006,1900,1,1,-1,58032),-- [enchanted_necklace_chain]
(22006,2153,1,1,-1,82490),-- [rp_tiger'seye_earing]
(22006,57,225,445,0,700000),-- [adena]
(22006,292,1,1,1,117),-- [pike]
(22006,1874,1,1,2,3220.565136),-- [oriharukon_ore]
(22006,1878,1,1,2,19323.390816),-- [braided_hemp]
(22006,1884,1,1,2,29728.298352),-- [cord]
(22006,1889,1,1,2,3220.565136),-- [compound_braid]
(22006,5220,1,1,2,1932.363984),-- [reinforcing_agent]
(22006,737,1,1,2,4830.816576),-- [scroll_of_resurrection]
(22007,1933,1,1,-1,68021),-- [dark_hose_fabric]
(22007,2183,1,1,-1,38038),-- [rp_mithril_banded_mail]
(22007,1935,1,1,-1,32300),-- [scale_mail_fragment]
(22007,57,245,485,0,700000),-- [adena]
(22007,86,1,1,1,12.756868),-- [tomahawk]
(22007,179,1,1,1,12.756868),-- [mace_of_prayer]
(22007,180,1,1,1,12.756868),-- [mace_of_judgment]
(22007,2022,1,1,1,492.29994),-- [mace_of_judgment_head]
(22007,181,1,1,1,12.756868),-- [mace_of_miracle]
(22007,182,1,1,1,12.756868),-- [doom_hammer]
(22007,183,1,1,1,12.756868),-- [mystic_staff]
(22007,184,1,1,1,12.756868),-- [conjure_staff]
(22007,2023,1,1,1,391.64413),-- [conjure_staff_head]
(22007,185,1,1,1,12.757854),-- [staff_of_mana]
(22007,1876,1,1,2,10531.836848),-- [mithril_ore]
(22007,1880,1,1,2,5265.918424),-- [steel]
(22007,1877,1,1,2,2106.360002),-- [admantite_nugget]
(22007,1881,1,1,2,7021.212286),-- [coarse_bone_powder]
(22007,1882,1,1,2,11702.032756),-- [leather]
(22007,955,1,1,2,210.639684),-- [scrl_of_ench_wp_d]
(22008,955,1,1,-1,2219),-- [scrl_of_ench_wp_d]
(22008,1877,1,1,-1,22185),-- [admantite_nugget]
(22008,1881,1,1,-1,73951),-- [coarse_bone_powder]
(22008,57,234,468,0,700000),-- [adena]
(22008,348,1,1,1,147.844449),-- [scale_mail]
(22008,1935,1,1,1,4233.089118),-- [scale_mail_fragment]
(22008,377,1,1,1,236.415369),-- [scale_gaiters]
(22008,1937,1,1,1,6509.651064),-- [scale_gaiters_fragment]
(22008,1876,1,1,2,10102.76541),-- [mithril_ore]
(22008,1880,1,1,2,5051.382705),-- [steel]
(22008,1877,1,1,2,2020.553082),-- [admantite_nugget]
(22008,1881,1,1,2,6735.189213),-- [coarse_bone_powder]
(22008,1882,1,1,2,11225.303082),-- [leather]
(22008,956,1,1,2,1683.806508),-- [scrl_of_ench_am_d]
(22009,1832,1,1,-1,713613),-- [advanced_antidote]
(22009,1936,1,1,-1,52557),-- [white_tunic_pattern]
(22009,2184,1,1,-1,67463),-- [rp_mithril_banded_gaiters]
(22009,57,272,542,0,700000),-- [adena]
(22009,848,1,1,1,535.000334),-- [enchanted_earing]
(22009,879,1,1,1,804.950157),-- [enchanted_ring]
(22009,911,1,1,1,401.550787),-- [enchanted_necklace]
(22009,1900,1,1,1,9599.498722),-- [enchanted_necklace_chain]
(22009,1875,1,1,2,3342.52409),-- [stone_of_purity]
(22009,1879,1,1,2,8356.164242),-- [cokes]
(22009,1885,1,1,2,4178.130782),-- [high_grade_suede]
(22009,5550,1,1,2,668.504818),-- [reinforcing_plate]
(22009,5549,1,1,2,5013.737474),-- [iron_thread]
(22009,1829,1,1,2,20054.949896),-- [scroll_of_escape_to_agit]
(22009,1832,1,1,2,55707.988698),-- [advanced_antidote]
(22010,1937,1,1,-1,58413),-- [scale_gaiters_fragment]
(22010,2185,1,1,-1,133844),-- [rp_iron_boots]
(22010,2021,1,1,-1,8585),-- [spinebone_sword_blade]
(22010,57,286,575,0,700000),-- [adena]
(22010,46,1,1,1,967.658805),-- [bronze_helmet]
(22010,627,1,1,1,1381.341195),-- [aspis]
(22010,1868,1,1,2,148621.281435),-- [thread]
(22010,1873,1,1,2,29724.168105),-- [silver_nugget]
(22010,5549,1,1,2,7431.09714),-- [iron_thread]
(22010,1889,1,1,2,4954.06476),-- [compound_braid]
(22010,1830,1,1,2,29724.38856),-- [scroll_of_escape_to_castle]
(22011,1871,1,1,-1,778674),-- [charcoal]
(22011,1866,1,1,-1,519116),-- [suede]
(22011,1901,1,1,-1,107552),-- [tiger'seye_earing_stone]
(22011,57,329,658,0,700000),-- [adena]
(22011,58,1,1,1,83.854923),-- [mithril_breastplate]
(22011,59,1,1,1,121.22904),-- [mithril_gaiters]
(22011,349,1,1,1,83.854923),-- [compound_scale_mail]
(22011,350,1,1,1,83.854923),-- [dwarven_scale_mail]
(22011,351,1,1,1,75.748802),-- [blast_plate]
(22011,378,1,1,1,121.22904),-- [compound_scale_gaiters]
(22011,379,1,1,1,121.228349),-- [dwarven_scale_gaiters]
(22011,1871,1,1,2,103503.645072),-- [charcoal]
(22011,1866,1,1,2,69002.430048),-- [suede]
(22011,1877,1,1,2,4140.153312),-- [admantite_nugget]
(22011,2154,1,1,2,11081.771568),-- [rp_elven_earing]
(22012,2154,1,1,-1,83370),-- [rp_elven_earing]
(22012,1938,1,1,-1,52348),-- [mithril_banded_mail_material]
(22012,2155,1,1,-1,124988),-- [rp_elven_ring]
(22012,57,329,658,0,700000),-- [adena]
(22012,58,1,1,1,83.854923),-- [mithril_breastplate]
(22012,59,1,1,1,121.22904),-- [mithril_gaiters]
(22012,349,1,1,1,83.854923),-- [compound_scale_mail]
(22012,350,1,1,1,83.854923),-- [dwarven_scale_mail]
(22012,351,1,1,1,75.748802),-- [blast_plate]
(22012,378,1,1,1,121.22904),-- [compound_scale_gaiters]
(22012,379,1,1,1,121.228349),-- [dwarven_scale_gaiters]
(22012,1871,1,1,2,103503.67842),-- [charcoal]
(22012,1866,1,1,2,69002.5167),-- [suede]
(22012,1877,1,1,2,4140.20898),-- [admantite_nugget]
(22012,2155,1,1,2,16613.5959),-- [rp_elven_ring]
(22013,1939,1,1,-1,68395),-- [mithril_banded_gaiters_material]
(22013,1865,1,1,-1,778674),-- [varnish]
(22013,1870,1,1,-1,778674),-- [coal]
(22013,57,329,658,0,700000),-- [adena]
(22013,83,1,1,1,25.04736),-- [sword_of_magic]
(22013,124,1,1,1,18.555264),-- [two-handed_sword]
(22013,2026,1,1,1,830.238552),-- [two-handed_sword_edge]
(22013,127,1,1,1,18.555264),-- [crimson_sword]
(22013,130,1,1,1,18.555264),-- [elven_sword]
(22013,144,1,1,1,25.048296),-- [sword_of_occult]
(22013,1865,1,1,2,82803.091627),-- [varnish]
(22013,1870,1,1,2,82803.091627),-- [coal]
(22013,1879,1,1,2,13800.483346),-- [cokes]
(22013,1875,1,1,2,5520.116718),-- [stone_of_purity]
(22013,2156,1,1,2,6624.216682),-- [rp_elven_necklace]
(22014,1940,1,1,-1,116220),-- [iron_boots_design]
(22014,2156,1,1,-1,62294),-- [rp_elven_necklace]
(22014,2026,1,1,-1,9372),-- [two-handed_sword_edge]
(22014,57,329,658,0,700000),-- [adena]
(22014,83,1,1,1,25.04736),-- [sword_of_magic]
(22014,124,1,1,1,18.555264),-- [two-handed_sword]
(22014,2026,1,1,1,830.238552),-- [two-handed_sword_edge]
(22014,127,1,1,1,18.555264),-- [crimson_sword]
(22014,130,1,1,1,18.555264),-- [elven_sword]
(22014,144,1,1,1,25.048296),-- [sword_of_occult]
(22014,1865,1,1,2,69002.425128),-- [varnish]
(22014,1870,1,1,2,69002.425128),-- [coal]
(22014,1879,1,1,2,11500.275381),-- [cokes]
(22014,1875,1,1,2,4600.342005),-- [stone_of_purity]
(22014,2186,1,1,2,2307.706212),-- [rp_brigandine]
(22014,1341,10,30,2,230007.826146),-- [bone_arrow]
(22015,2186,1,1,-1,26043),-- [rp_brigandine]
(22015,2027,1,1,-1,10201),-- [spike_club_head]
(22015,1884,1,1,-1,479184),-- [cord]
(22015,57,329,658,0,700000),-- [adena]
(22015,260,1,1,1,111),-- [triple-edged_jamadhr]
(22015,1874,1,1,2,4600.180565),-- [oriharukon_ore]
(22015,1878,1,1,2,27600.998285),-- [braided_hemp]
(22015,1884,1,1,2,42463.054645),-- [cord]
(22015,1889,1,1,2,4600.180565),-- [compound_braid]
(22015,5220,1,1,2,2760.12536),-- [reinforcing_agent]
(22015,2187,1,1,2,3080.46058),-- [rp_manticor_skin_shirt]
(22016,1889,1,1,-1,51912),-- [compound_braid]
(22016,2028,1,1,-1,9252),-- [knife_o'_silenus_edge]
(22016,2187,1,1,-1,34762),-- [rp_manticor_skin_shirt]
(22016,57,329,658,0,700000),-- [adena]
(22016,260,1,1,1,111),-- [triple-edged_jamadhr]
(22016,1874,1,1,2,4600.161512),-- [oriharukon_ore]
(22016,1878,1,1,2,27600.882119),-- [braided_hemp]
(22016,1884,1,1,2,42462.975832),-- [cord]
(22016,1889,1,1,2,4600.161512),-- [compound_braid]
(22016,5220,1,1,2,2760.062126),-- [reinforcing_agent]
(22016,2188,1,1,2,4928.756899),-- [rp_manticor_skin_gaiters]
(22017,1900,1,1,-1,64708),-- [enchanted_necklace_chain]
(22017,2153,1,1,-1,91981),-- [rp_tiger'seye_earing]
(22017,1933,1,1,-1,69581),-- [dark_hose_fabric]
(22017,57,249,499,0,700000),-- [adena]
(22017,69,1,1,1,26.103903),-- [bastard_sword]
(22017,125,1,1,1,26.103903),-- [spinebone_sword]
(22017,2021,1,1,1,816.582546),-- [spinebone_sword_blade]
(22017,126,1,1,1,26.103903),-- [artisan's_sword]
(22017,128,1,1,1,26.105745),-- [knight's_sword]
(22017,1869,1,1,2,64639.352724),-- [iron_ore]
(22017,1864,1,1,2,129278.913156),-- [stem]
(22017,1880,1,1,2,6463.87296),-- [steel]
(22017,5550,1,1,2,861.780492),-- [reinforcing_plate]
(22017,737,1,1,2,6464.080668),-- [scroll_of_resurrection]
(22018,956,1,1,-1,16825),-- [scrl_of_ench_am_d]
(22018,1872,1,1,-1,672999),-- [animal_bone]
(22018,1882,1,1,-1,112167),-- [leather]
(22018,57,213,426,0,700000),-- [adena]
(22018,392,1,1,1,358.558431),-- [lion_skin_shirt]
(22018,414,1,1,1,574.441569),-- [lion_skin_gaiters]
(22018,1867,1,1,2,91942.1756),-- [animal_skin]
(22018,1872,1,1,2,91942.1756),-- [animal_bone]
(22018,1882,1,1,2,15323.762428),-- [leather]
(22018,955,1,1,2,275.886372),-- [scrl_of_ench_wp_d]
(22019,1834,1,1,-1,763138),-- [emergency_dressing]
(22019,1935,1,1,-1,38370),-- [scale_mail_fragment]
(22019,2183,1,1,-1,45186),-- [rp_mithril_banded_mail]
(22019,57,289,580,0,700000),-- [adena]
(22019,433,1,1,1,122.021896),-- [elven_tunic]
(22019,434,1,1,1,122.021896),-- [white_tunic]
(22019,1936,1,1,1,3839.539144),-- [white_tunic_pattern]
(22019,435,1,1,1,122.021896),-- [mage's_tunic]
(22019,466,1,1,1,195.494896),-- [elven_hose]
(22019,467,1,1,1,195.494896),-- [dark_hose]
(22019,1933,1,1,1,5519.900168),-- [dark_hose_fabric]
(22019,468,1,1,1,195.505208),-- [mage's_hose]
(22019,1869,1,1,2,62553.737331),-- [iron_ore]
(22019,1864,1,1,2,125107.474662),-- [stem]
(22019,1880,1,1,2,6255.303309),-- [steel]
(22019,5550,1,1,2,834.056091),-- [reinforcing_plate]
(22019,956,1,1,2,2085.022854),-- [scrl_of_ench_am_d]
(22019,1061,1,1,2,37911.405753),-- [healing_potion]
(22020,1901,1,1,-1,78285),-- [tiger'seye_earing_stone]
(22020,2154,1,1,-1,60684),-- [rp_elven_earing]
(22020,1938,1,1,-1,38103),-- [mithril_banded_mail_material]
(22020,57,239,479,0,700000),-- [adena]
(22020,58,1,1,1,61.040559),-- [mithril_breastplate]
(22020,59,1,1,1,88.24632),-- [mithril_gaiters]
(22020,349,1,1,1,61.040559),-- [compound_scale_mail]
(22020,350,1,1,1,61.040559),-- [dwarven_scale_mail]
(22020,351,1,1,1,55.139866),-- [blast_plate]
(22020,378,1,1,1,88.24632),-- [compound_scale_gaiters]
(22020,379,1,1,1,88.245817),-- [dwarven_scale_gaiters]
(22020,1872,1,1,2,80361.58368),-- [animal_bone]
(22020,1867,1,1,2,80361.58368),-- [animal_skin]
(22020,1881,1,1,2,8036.158368),-- [coarse_bone_powder]
(22020,1875,1,1,2,4018.079184),-- [stone_of_purity]
(22020,8302,1,1,2,430.595088),-- [rp_sword_of_magic_fog]
(22021,5220,1,1,-1,27560),-- [reinforcing_agent]
(22021,1874,1,1,-1,45933),-- [oriharukon_ore]
(22021,1939,1,1,-1,60518),-- [mithril_banded_gaiters_material]
(22021,57,291,580,0,700000),-- [adena]
(22021,157,1,1,1,32.84046),-- [spike_club]
(22021,2027,1,1,1,1599.31908),-- [spike_club_head]
(22021,186,1,1,1,32.84046),-- [staff_of_magicpower]
(22021,1874,1,1,2,3488.918165),-- [oriharukon_ore]
(22021,1878,1,1,2,20933.98306),-- [braided_hemp]
(22021,1884,1,1,2,32206.182485),-- [cord]
(22021,1889,1,1,2,3488.918165),-- [compound_braid]
(22021,5220,1,1,2,2093.49312),-- [reinforcing_agent]
(22021,8295,1,1,2,373.804195),-- [rp_giants_sword]
(22021,1341,10,30,2,174449.70081),-- [bone_arrow]
(22022,2155,1,1,-1,130876),-- [rp_elven_ring]
(22022,1940,1,1,-1,121696),-- [iron_boots_design]
(22022,2156,1,1,-1,65229),-- [rp_elven_necklace]
(22022,57,344,687,0,700000),-- [adena]
(22022,223,1,1,1,23.31348),-- [kukuri]
(22022,238,1,1,1,23.31348),-- [dagger_of_mana]
(22022,239,1,1,1,23.31348),-- [mystic_knife]
(22022,241,1,1,1,23.31348),-- [knife_o'_silenus]
(22022,2028,1,1,1,1029.74608),-- [knife_o'_silenus_edge]
(22022,1872,1,1,2,115605.509632),-- [animal_bone]
(22022,1867,1,1,2,115605.509632),-- [animal_skin]
(22022,1881,1,1,2,11560.576512),-- [coarse_bone_powder]
(22022,1875,1,1,2,5780.160512),-- [stone_of_purity]
(22022,2156,1,1,2,6936.243712),-- [rp_elven_necklace]
(22023,2026,1,1,-1,11205),-- [two-handed_sword_edge]
(22023,1868,1,3,-1,930959),-- [thread]
(22023,1873,1,1,-1,372383),-- [silver_nugget]
(22023,57,392,787,0,700000),-- [adena]
(22023,83,1,1,1,29.94444),-- [sword_of_magic]
(22023,124,1,1,1,22.183056),-- [two-handed_sword]
(22023,2026,1,1,1,992.560833),-- [two-handed_sword_edge]
(22023,127,1,1,1,22.183056),-- [crimson_sword]
(22023,130,1,1,1,22.183056),-- [elven_sword]
(22023,144,1,1,1,29.945559),-- [sword_of_occult]
(22023,1868,1,1,2,197993.601342),-- [thread]
(22023,1873,1,1,2,39598.822188),-- [silver_nugget]
(22023,5549,1,1,2,9899.705547),-- [iron_thread]
(22023,1889,1,1,2,6599.803698),-- [compound_braid]
(22023,8295,1,1,2,707.067225),-- [rp_giants_sword]
(22024,6036,1,1,-1,29133),-- [potion_of_acumen3]
(22024,1902,1,1,-1,88550),-- [elven_earing_beads]
(22024,1825,1,1,-1,62428),-- [rp_oriharukon]
(22024,57,369,737,0,700000),-- [adena]
(22024,395,1,1,1,131.331049),-- [manticor_skin_shirt]
(22024,1942,1,1,1,5760.991038),-- [manticor_skin_shirt_texture]
(22024,417,1,1,1,209.740795),-- [manticor_skin_gaiters]
(22024,1943,1,1,1,8970.937118),-- [manticor_skin_gaiters_pattern]
(22024,1872,1,1,2,120476.305702),-- [animal_bone]
(22024,1867,1,1,2,120476.305702),-- [animal_skin]
(22024,1881,1,1,2,12047.657118),-- [coarse_bone_powder]
(22024,1875,1,1,2,6023.69582),-- [stone_of_purity]
(22024,1825,1,1,2,6454.035658),-- [rp_oriharukon]
(22025,1903,1,1,-1,145444),-- [elven_ring_piece]
(22025,2145,1,1,-1,62281),-- [rp_mithirl_alloy]
(22025,1904,1,1,-1,81375),-- [elven_necklace_beads]
(22025,57,369,736,0,700000),-- [adena]
(22025,352,1,1,1,65.409472),-- [brigandine]
(22025,1941,1,1,1,2987.515536),-- [brigandine_temper]
(22025,2377,1,1,1,104.628368),-- [mithril_scale_gaiters]
(22025,2918,1,1,1,4456.915216),-- [mithril_scale_gaiters_material]
(22025,2378,1,1,1,104.628368),-- [brigandine_gaiters]
(22025,2919,1,1,1,4456.90304),-- [brigandine_gaiters_material]
(22025,1867,1,1,2,120192.92252),-- [animal_skin]
(22025,1872,1,1,2,120192.92252),-- [animal_bone]
(22025,1882,1,1,2,20032.24376),-- [leather]
(22025,1894,1,1,2,3163.01428),-- [crafted_leather]
(22025,2145,1,1,2,6438.89692),-- [rp_mithirl_alloy]
(22026,1864,1,5,-1,763202),-- [stem]
(22026,1869,1,3,-1,572402),-- [iron_ore]
(22026,6036,1,1,-1,38160),-- [potion_of_acumen3]
(22026,57,478,954,0,700000),-- [adena]
(22026,129,1,1,1,18.36401),-- [sword_of_revolution]
(22026,2034,1,1,1,1041.92956),-- [sword_of_revolution_blade]
(22026,7881,1,1,1,18.36401),-- [giants_sword]
(22026,8328,1,1,1,941.41663),-- [giants_sword_edge]
(22026,7886,1,1,1,18.36401),-- [sword_of_magic_fog]
(22026,8333,1,1,1,971.56178),-- [sword_of_magic_fog_blade]
(22026,1864,1,1,2,236710.175405),-- [stem]
(22026,1869,1,1,2,118354.845855),-- [iron_ore]
(22026,1878,1,1,2,47342.13182),-- [braided_hemp]
(22026,1884,1,1,2,72833.82571),-- [cord]
(22026,2146,1,1,2,8454.02121),-- [rp_artisan's_frame]
(22027,1941,1,1,-1,87978),-- [brigandine_temper]
(22027,2146,1,1,-1,158015),-- [rp_artisan's_frame]
(22027,1942,1,1,-1,112839),-- [manticor_skin_shirt_texture]
(22027,57,936,1864,0,700000),-- [adena]
(22027,279,1,1,1,106.47648),-- [strengthening_long_bow]
(22027,2040,1,1,1,6615.52352),-- [strengthening_long_bow_shaft]
(22027,1870,1,1,2,228708.264224),-- [coal]
(22027,1865,1,1,2,228708.264224),-- [varnish]
(22027,1874,1,1,2,15247.350048),-- [oriharukon_ore]
(22027,2147,1,1,2,16336.44648),-- [rp_blacksmith's_frame]
(22027,6036,1,1,2,7623.675024),-- [potion_of_acumen3]
(22028,2147,1,1,-1,142506),-- [rp_blacksmith's_frame]
(22028,1943,1,1,-1,158466),-- [manticor_skin_gaiters_pattern]
(22028,1878,1,1,-1,798035),-- [braided_hemp]
(22028,57,833,1662,0,700000),-- [adena]
(22028,129,1,1,1,32.005846),-- [sword_of_revolution]
(22028,2034,1,1,1,1815.934376),-- [sword_of_revolution_blade]
(22028,7881,1,1,1,32.005846),-- [giants_sword]
(22028,8328,1,1,1,1640.754698),-- [giants_sword_edge]
(22028,7886,1,1,1,32.005846),-- [sword_of_magic_fog]
(22028,8333,1,1,1,1693.293388),-- [sword_of_magic_fog_blade]
(22028,1864,3,9,2,68753.834406),-- [stem]
(22028,1869,1,1,2,206261.004036),-- [iron_ore]
(22028,1878,1,1,2,82504.301778),-- [braided_hemp]
(22028,1884,1,1,2,126930.002232),-- [cord]
(22028,2148,1,1,2,14732.857548),-- [rp_crafted_leather]
(22029,5549,1,1,-1,118798),-- [iron_thread]
(22029,6036,1,1,-1,39599),-- [potion_of_acumen3]
(22029,1944,1,1,-1,60596),-- [mithril_tunic_fabric]
(22029,57,496,990,0,700000),-- [adena]
(22029,88,1,1,1,8.167724),-- [morning_star]
(22029,2031,1,1,1,444.074651),-- [morning_star_head]
(22029,90,1,1,1,8.167724),-- [goathead_staff]
(22029,2032,1,1,1,405.374899),-- [goathead_staff_head]
(22029,158,1,1,1,8.167724),-- [tarbar]
(22029,2035,1,1,1,444.074651),-- [tarbar_head]
(22029,169,1,1,1,8.167724),-- [skull_breaker]
(22029,2036,1,1,1,444.074651),-- [skull_breaker_head]
(22029,172,1,1,1,8.167724),-- [heavy_bone_club]
(22029,2037,1,1,1,444.074651),-- [heavy_bone_club_head]
(22029,7890,1,1,1,8.167724),-- [mace_of_priest]
(22029,8337,1,1,1,444.074651),-- [mace_of_priest_head]
(22029,7896,1,1,1,8.167724),-- [giants_hammer]
(22029,8343,1,1,1,444.077778),-- [giants_hammer_piece]
(22029,1868,1,1,2,245637.916984),-- [thread]
(22029,1873,1,1,2,49127.713),-- [silver_nugget]
(22029,5549,1,1,2,12281.847248),-- [iron_thread]
(22029,1889,1,1,2,8188.006168),-- [compound_braid]
(22029,2149,1,1,2,8772.5166),-- [rp_metallic_fiber]
(22030,1805,1,1,-1,4171),-- [rp_soulshot_c]
(22030,1905,1,1,-1,121725),-- [onyxbeast'seye_earing_gemstone]
(22030,2160,1,1,-1,80731),-- [rp_moonstone_earing]
(22030,57,504,1018,0,700000),-- [adena]
(22030,438,1,1,1,171.405545),-- [sage's_rag]
(22030,1953,1,1,1,10063.594455),-- [sage's_rag_lining]
(22030,1873,1,1,2,50268.909142),-- [silver_nugget]
(22030,1868,1,1,2,251344.54571),-- [thread]
(22030,1876,1,1,2,25134.454571),-- [mithril_ore]
(22030,1895,1,1,2,35906.467408),-- [metallic_fiber]
(22030,1805,1,1,2,418.623169),-- [rp_soulshot_c]
(22031,1906,1,1,-1,160045),-- [mithril_ring_wire]
(22031,1873,1,1,-1,465732),-- [silver_nugget]
(22031,1868,1,5,-1,776220),-- [thread]
(22031,57,460,935,0,700000),-- [adena]
(22031,280,1,1,1,42.15233),-- [cyclone_bow]
(22031,2054,1,1,1,2487.84767),-- [cyclone_bow_shaft]
(22031,1873,1,1,2,46773.908608),-- [silver_nugget]
(22031,1868,1,1,2,233870.218944),-- [thread]
(22031,1876,1,1,2,23386.954304),-- [mithril_ore]
(22031,1895,1,1,2,33409.93472),-- [metallic_fiber]
(22031,8303,1,1,2,510.983424),-- [rp_mystery_sword]
(22032,4553,1,1,-1,5824),-- [dye_s1c1_c]
(22032,1908,1,1,-1,137871),-- [moonstone_earing_wire]
(22032,2163,1,1,-1,74282),-- [rp_earing_of_protection]
(22032,57,573,1175,0,700000),-- [adena]
(22032,71,1,1,1,13.009464),-- [flamberge]
(22032,2059,1,1,1,851.817504),-- [flamberge_blade]
(22032,72,1,1,1,13.009464),-- [stormbringer]
(22032,2060,1,1,1,910.559424),-- [stormbringer_blade]
(22032,7887,1,1,1,13.009464),-- [mystery_sword]
(22032,8334,1,1,1,910.59468),-- [mystery_sword_blade]
(22032,1868,1,1,2,152908.674048),-- [thread]
(22032,1873,1,1,2,30581.694),-- [silver_nugget]
(22032,5549,1,1,2,7645.474512),-- [iron_thread]
(22032,1889,1,1,2,5096.914992),-- [compound_braid]
(22032,2163,1,1,2,3900.785616),-- [rp_earing_of_protection]
(22032,8723,1,1,2,3058.271424),-- [general_46_c]
(22032,8733,1,1,2,764.567856),-- [special_46_c]
(22032,8743,1,1,2,76.518),-- [rare_46_c]
(22032,8753,1,1,2,15.099552),-- [unique_46_c]
(22033,1909,1,1,-1,252912),-- [aquastone_ring_wire]
(22033,2164,1,1,-1,144063),-- [rp_ring_of_protection]
(22033,1910,1,1,-1,141025),-- [aquastone_necklace_chain]
(22033,57,741,1505,0,700000),-- [adena]
(22033,439,1,1,1,152.080864),-- [karmian_tunic]
(22033,1962,1,1,1,7081.322953),-- [karmian_tunic_pattern]
(22033,471,1,1,1,243.052312),-- [karmian_hose]
(22033,1954,1,1,1,11764.543871),-- [karmian_hose_pattern]
(22033,1872,1,1,2,118015.861076),-- [animal_bone]
(22033,1867,1,1,2,118015.861076),-- [animal_skin]
(22033,1881,1,1,2,11801.612692),-- [coarse_bone_powder]
(22033,1875,1,1,2,5900.673424),-- [stone_of_purity]
(22033,4041,1,1,2,769.61838),-- [mold_hardener]
(22033,2164,1,1,2,6808.530684),-- [rp_ring_of_protection]
(22033,8723,1,1,2,3540.510392),-- [general_46_c]
(22033,8733,1,1,2,884.994676),-- [special_46_c]
(22033,8743,1,1,2,88.526052),-- [rare_46_c]
(22033,8753,1,1,2,17.811548),-- [unique_46_c]
(22034,1909,1,1,-1,231934),-- [aquastone_ring_wire]
(22034,2164,1,1,-1,132113),-- [rp_ring_of_protection]
(22034,1910,1,1,-1,129328),-- [aquastone_necklace_chain]
(22034,57,679,1380,0,700000),-- [adena]
(22034,439,1,1,1,139.46608),-- [karmian_tunic]
(22034,1962,1,1,1,6493.942285),-- [karmian_tunic_pattern]
(22034,471,1,1,1,222.89164),-- [karmian_hose]
(22034,1954,1,1,1,10788.699995),-- [karmian_hose_pattern]
(22034,1872,1,1,2,108227.113665),-- [animal_bone]
(22034,1867,1,1,2,108227.113665),-- [animal_skin]
(22034,1881,1,1,2,10822.830236),-- [coarse_bone_powder]
(22034,1875,1,1,2,5411.415118),-- [stone_of_purity]
(22034,4041,1,1,2,705.847091),-- [mold_hardener]
(22034,8319,1,1,2,188.764766),-- [rp_horn_of_karik]
(22034,8723,1,1,2,3246.801523),-- [general_46_c]
(22034,8733,1,1,2,811.640946),-- [special_46_c]
(22034,8743,1,1,2,81.068999),-- [rare_46_c]
(22034,8753,1,1,2,16.403991),-- [unique_46_c]
(22035,1909,1,1,-1,252912),-- [aquastone_ring_wire]
(22035,2164,1,1,-1,144063),-- [rp_ring_of_protection]
(22035,1910,1,1,-1,141025),-- [aquastone_necklace_chain]
(22035,57,741,1505,0,700000),-- [adena]
(22035,439,1,1,1,152.080864),-- [karmian_tunic]
(22035,1962,1,1,1,7081.322953),-- [karmian_tunic_pattern]
(22035,471,1,1,1,243.052312),-- [karmian_hose]
(22035,1954,1,1,1,11764.543871),-- [karmian_hose_pattern]
(22035,1872,1,1,2,118015.98913),-- [animal_bone]
(22035,1867,1,1,2,118015.98913),-- [animal_skin]
(22035,1881,1,1,2,11801.52079),-- [coarse_bone_powder]
(22035,1875,1,1,2,5900.8906),-- [stone_of_purity]
(22035,4041,1,1,2,769.77196),-- [mold_hardener]
(22035,2213,1,1,2,1374.44398),-- [rp_dwarven_chain_mail_shirt]
(22035,8723,1,1,2,3540.53436),-- [general_46_c]
(22035,8733,1,1,2,885.13359),-- [special_46_c]
(22035,8743,1,1,2,88.5394),-- [rare_46_c]
(22035,8753,1,1,2,17.18706),-- [unique_46_c]
(22036,1909,1,1,-1,178179),-- [aquastone_ring_wire]
(22036,2164,1,1,-1,101494),-- [rp_ring_of_protection]
(22036,1910,1,1,-1,99354),-- [aquastone_necklace_chain]
(22036,57,522,1060,0,700000),-- [adena]
(22036,439,1,1,1,107.146624),-- [karmian_tunic]
(22036,1962,1,1,1,4989.055348),-- [karmian_tunic_pattern]
(22036,471,1,1,1,171.239392),-- [karmian_hose]
(22036,1954,1,1,1,8288.558636),-- [karmian_hose_pattern]
(22036,1872,1,1,2,83143.650447),-- [animal_bone]
(22036,1867,1,1,2,83143.650447),-- [animal_skin]
(22036,1881,1,1,2,8314.420257),-- [coarse_bone_powder]
(22036,1875,1,1,2,4157.118108),-- [stone_of_purity]
(22036,4041,1,1,2,542.184786),-- [mold_hardener]
(22036,2214,1,1,2,1547.416728),-- [rp_dwarven_chain_gaiters]
(22036,8723,1,1,2,2494.307673),-- [general_46_c]
(22036,8733,1,1,2,623.530908),-- [special_46_c]
(22036,8743,1,1,2,62.389899),-- [rare_46_c]
(22036,8753,1,1,2,12.330747),-- [unique_46_c]
(22037,1875,1,1,-1,96375),-- [stone_of_purity]
(22037,4555,1,1,-1,5783),-- [dye_c1s1_c]
(22037,1960,1,1,-1,79213),-- [chain_gaiters_part]
(22037,57,572,1161,0,700000),-- [adena]
(22037,439,1,1,1,117.390208),-- [karmian_tunic]
(22037,1962,1,1,1,5466.026116),-- [karmian_tunic_pattern]
(22037,471,1,1,1,187.610464),-- [karmian_hose]
(22037,1954,1,1,1,9080.973212),-- [karmian_hose_pattern]
(22037,1872,1,1,2,91097.024483),-- [animal_bone]
(22037,1867,1,1,2,91097.024483),-- [animal_skin]
(22037,1881,1,1,2,9109.642202),-- [coarse_bone_powder]
(22037,1875,1,1,2,4554.821101),-- [stone_of_purity]
(22037,4041,1,1,2,594.028518),-- [mold_hardener]
(22037,2215,1,1,2,870.358214),-- [rp_robe_of_seal]
(22037,8723,1,1,2,2732.972989),-- [general_46_c]
(22037,8733,1,1,2,683.193042),-- [special_46_c]
(22037,8743,1,1,2,68.27914),-- [rare_46_c]
(22037,8753,1,1,2,13.655828),-- [unique_46_c]
(22038,2166,1,1,-1,58836),-- [rp_earing_of_binding]
(22038,1911,1,1,-1,129093),-- [earing_of_protection_gemstone]
(22038,2167,1,1,-1,88554),-- [rp_ring_of_ages]
(22038,57,686,1395,0,700000),-- [adena]
(22038,355,1,1,1,77.59934),-- [dwarven_chain_mail_shirt]
(22038,1968,1,1,1,4632.57096),-- [dwarven_chain_mail_shirt_material]
(22038,382,1,1,1,124.158944),-- [dwarven_chain_gaiters]
(22038,1969,1,1,1,7347.670756),-- [dwarven_chain_gaiters_material]
(22038,1871,1,1,2,76903.233096),-- [charcoal]
(22038,1866,1,1,2,51268.822064),-- [suede]
(22038,1877,1,1,2,3076.151224),-- [admantite_nugget]
(22038,4041,1,1,2,668.776136),-- [mold_hardener]
(22038,4040,1,1,2,1538.075612),-- [mold_lubricant]
(22038,951,1,1,2,139.887272),-- [scrl_of_ench_wp_c]
(22038,8724,1,1,2,2563.413728),-- [general_49_c]
(22038,8734,1,1,2,640.853432),-- [special_49_c]
(22038,8744,1,1,2,64.057968),-- [rare_49_c]
(22038,8754,1,1,2,12.729468),-- [unique_49_c]
(22039,1912,1,1,-1,195087),-- [ring_of_protection_gemstone]
(22039,951,1,1,-1,3292),-- [scrl_of_ench_wp_c]
(22039,1877,1,1,-1,72416),-- [admantite_nugget]
(22039,57,715,1457,0,700000),-- [adena]
(22039,73,1,1,1,9.07536),-- [shamshir]
(22039,2077,1,1,1,666.17464),-- [shamshir_blade]
(22039,74,1,1,1,9.07536),-- [katana]
(22039,2078,1,1,1,666.17464),-- [katana_blade]
(22039,131,1,1,1,9.07536),-- [spirits_sword]
(22039,2080,1,1,1,666.17464),-- [spirits_sword_blade]
(22039,133,1,1,1,9.07536),-- [raid_sword]
(22039,2081,1,1,1,666.17464),-- [raid_sword_blade]
(22039,1871,1,1,2,72922.6745),-- [charcoal]
(22039,1866,1,1,2,48615.2035),-- [suede]
(22039,1877,1,1,2,2916.90175),-- [admantite_nugget]
(22039,4041,1,1,2,634.1375),-- [mold_hardener]
(22039,4040,1,1,2,1458.51625),-- [mold_lubricant]
(22039,952,1,1,2,972.257),-- [scrl_of_ench_am_c]
(22039,8318,1,1,2,118.9825),-- [rp_dwarven_hammer]
(22039,8724,1,1,2,2430.77325),-- [general_49_c]
(22039,8734,1,1,2,607.726),-- [special_49_c]
(22039,8744,1,1,2,60.79875),-- [rare_49_c]
(22039,8754,1,1,2,12.029),-- [unique_49_c]
(22040,4041,1,1,-1,12090),-- [mold_hardener]
(22040,4589,1,1,-1,4634),-- [dye_s2c2_c]
(22040,1913,1,1,-1,84545),-- [necklace_of_protection_gemstone]
(22040,57,549,1120,0,700000),-- [adena]
(22040,282,1,1,1,13.940663),-- [elemental_bow]
(22040,2085,1,1,1,1065.559337),-- [elemental_bow_shaft]
(22040,285,1,1,1,13.940663),-- [noble_elven_bow]
(22040,2086,1,1,1,1065.559337),-- [noble_elven_bow_shaft]
(22040,1872,1,1,2,74670.33511),-- [animal_bone]
(22040,1867,1,1,2,74670.33511),-- [animal_skin]
(22040,1881,1,1,2,7467.172172),-- [coarse_bone_powder]
(22040,1875,1,1,2,3733.586086),-- [stone_of_purity]
(22040,4041,1,1,2,486.977432),-- [mold_hardener]
(22040,2166,1,1,2,1898.26909),-- [rp_earing_of_binding]
(22040,8724,1,1,2,1866.654382),-- [general_49_c]
(22040,8734,1,1,2,466.732926),-- [special_49_c]
(22040,8744,1,1,2,46.590096),-- [rare_49_c]
(22040,8754,1,1,2,9.428948),-- [unique_49_c]
(22040,1342,10,30,2,112005.918648),-- [fine_steel_arrow]
(22041,4041,1,1,-1,20152),-- [mold_hardener]
(22041,4589,1,1,-1,7725),-- [dye_s2c2_c]
(22041,1913,1,1,-1,140926),-- [necklace_of_protection_gemstone]
(22041,57,917,1863,0,700000),-- [adena]
(22041,162,1,1,1,3.625812),-- [war_axe]
(22041,2097,1,1,1,320.875024),-- [war_axe_blade]
(22041,174,1,1,1,3.625812),-- [nirvana_axe]
(22041,2098,1,1,1,320.875024),-- [nirvana_axe_blade]
(22041,196,1,1,1,3.625812),-- [stick_of_eternity]
(22041,2099,1,1,1,337.696764),-- [stick_of_eternity_shaft]
(22041,197,1,1,1,3.625812),-- [paradia_staff]
(22041,2100,1,1,1,337.696764),-- [paradia_staff_head]
(22041,199,1,1,1,3.625812),-- [paagrio_hammer]
(22041,2102,1,1,1,325.584044),-- [paagrio_hammer_head]
(22041,200,1,1,1,3.625812),-- [sage's_staff]
(22041,2103,1,1,1,337.696764),-- [sage's_staff_head]
(22041,201,1,1,1,3.625812),-- [club_of_nature]
(22041,2104,1,1,1,337.696764),-- [club_of_nature_head]
(22041,202,1,1,1,3.625812),-- [mace_of_underworld]
(22041,2105,1,1,1,320.872356),-- [mace_of_underworld_head]
(22041,1872,1,1,2,127784.765471),-- [animal_bone]
(22041,1867,1,1,2,127784.765471),-- [animal_skin]
(22041,1881,1,1,2,12778.391879),-- [coarse_bone_powder]
(22041,1875,1,1,2,6389.337053),-- [stone_of_purity]
(22041,4041,1,1,2,833.416331),-- [mold_hardener]
(22041,2166,1,1,2,3248.714997),-- [rp_earing_of_binding]
(22041,8725,1,1,2,2662.247291),-- [general_52_c]
(22041,8735,1,1,2,665.491266),-- [special_52_c]
(22041,8745,1,1,2,66.605572),-- [rare_52_c]
(22041,8755,1,1,2,13.264669),-- [unique_52_c]
(22042,4041,1,1,-1,18481),-- [mold_hardener]
(22042,4589,1,1,-1,7084),-- [dye_s2c2_c]
(22042,1913,1,1,-1,129237),-- [necklace_of_protection_gemstone]
(22042,57,841,1709,0,700000),-- [adena]
(22042,162,1,1,1,3.325473),-- [war_axe]
(22042,2097,1,1,1,294.295796),-- [war_axe_blade]
(22042,174,1,1,1,3.325473),-- [nirvana_axe]
(22042,2098,1,1,1,294.295796),-- [nirvana_axe_blade]
(22042,196,1,1,1,3.325473),-- [stick_of_eternity]
(22042,2099,1,1,1,309.724131),-- [stick_of_eternity_shaft]
(22042,197,1,1,1,3.325473),-- [paradia_staff]
(22042,2100,1,1,1,309.724131),-- [paradia_staff_head]
(22042,199,1,1,1,3.325473),-- [paagrio_hammer]
(22042,2102,1,1,1,298.614751),-- [paagrio_hammer_head]
(22042,200,1,1,1,3.325473),-- [sage's_staff]
(22042,2103,1,1,1,309.724131),-- [sage's_staff_head]
(22042,201,1,1,1,3.325473),-- [club_of_nature]
(22042,2104,1,1,1,309.724131),-- [club_of_nature_head]
(22042,202,1,1,1,3.325473),-- [mace_of_underworld]
(22042,2105,1,1,1,294.293349),-- [mace_of_underworld_head]
(22042,1872,1,1,2,117185.802314),-- [animal_bone]
(22042,1867,1,1,2,117185.802314),-- [animal_skin]
(22042,1881,1,1,2,11718.502586),-- [coarse_bone_powder]
(22042,1875,1,1,2,5859.380702),-- [stone_of_purity]
(22042,4041,1,1,2,764.289554),-- [mold_hardener]
(22042,2166,1,1,2,2979.253998),-- [rp_earing_of_binding]
(22042,8725,1,1,2,2441.430194),-- [general_52_c]
(22042,8735,1,1,2,610.292844),-- [special_52_c]
(22042,8745,1,1,2,61.081048),-- [rare_52_c]
(22042,8755,1,1,2,12.164446),-- [unique_52_c]
(22043,4041,1,1,-1,20152),-- [mold_hardener]
(22043,4589,1,1,-1,7725),-- [dye_s2c2_c]
(22043,1913,1,1,-1,140926),-- [necklace_of_protection_gemstone]
(22043,57,917,1863,0,700000),-- [adena]
(22043,162,1,1,1,3.625812),-- [war_axe]
(22043,2097,1,1,1,320.875024),-- [war_axe_blade]
(22043,174,1,1,1,3.625812),-- [nirvana_axe]
(22043,2098,1,1,1,320.875024),-- [nirvana_axe_blade]
(22043,196,1,1,1,3.625812),-- [stick_of_eternity]
(22043,2099,1,1,1,337.696764),-- [stick_of_eternity_shaft]
(22043,197,1,1,1,3.625812),-- [paradia_staff]
(22043,2100,1,1,1,337.696764),-- [paradia_staff_head]
(22043,199,1,1,1,3.625812),-- [paagrio_hammer]
(22043,2102,1,1,1,325.584044),-- [paagrio_hammer_head]
(22043,200,1,1,1,3.625812),-- [sage's_staff]
(22043,2103,1,1,1,337.696764),-- [sage's_staff_head]
(22043,201,1,1,1,3.625812),-- [club_of_nature]
(22043,2104,1,1,1,337.696764),-- [club_of_nature_head]
(22043,202,1,1,1,3.625812),-- [mace_of_underworld]
(22043,2105,1,1,1,320.872356),-- [mace_of_underworld_head]
(22043,1872,1,1,2,116167.778793),-- [animal_bone]
(22043,1867,1,1,2,116167.778793),-- [animal_skin]
(22043,1881,1,1,2,11616.6951),-- [coarse_bone_powder]
(22043,1875,1,1,2,5808.34755),-- [stone_of_purity]
(22043,4041,1,1,2,757.706526),-- [mold_hardener]
(22043,2166,1,1,2,2953.289493),-- [rp_earing_of_binding]
(22043,8725,1,1,2,2420.190801),-- [general_52_c]
(22043,8735,1,1,2,605.116683),-- [special_52_c]
(22043,8745,1,1,2,60.428889),-- [rare_52_c]
(22043,8755,1,1,2,12.140964),-- [unique_52_c]
(22043,1539,1,1,2,19361.526408),-- [greater_healing_potion]
(22044,4041,1,1,-1,14198),-- [mold_hardener]
(22044,4589,1,1,-1,5442),-- [dye_s2c2_c]
(22044,1913,1,1,-1,99284),-- [necklace_of_protection_gemstone]
(22044,57,646,1313,0,700000),-- [adena]
(22044,162,1,1,1,2.553561),-- [war_axe]
(22044,2097,1,1,1,225.983572),-- [war_axe_blade]
(22044,174,1,1,1,2.553561),-- [nirvana_axe]
(22044,2098,1,1,1,225.983572),-- [nirvana_axe_blade]
(22044,196,1,1,1,2.553561),-- [stick_of_eternity]
(22044,2099,1,1,1,237.830667),-- [stick_of_eternity_shaft]
(22044,197,1,1,1,2.553561),-- [paradia_staff]
(22044,2100,1,1,1,237.830667),-- [paradia_staff_head]
(22044,199,1,1,1,2.553561),-- [paagrio_hammer]
(22044,2102,1,1,1,229.300007),-- [paagrio_hammer_head]
(22044,200,1,1,1,2.553561),-- [sage's_staff]
(22044,2103,1,1,1,237.830667),-- [sage's_staff_head]
(22044,201,1,1,1,2.553561),-- [club_of_nature]
(22044,2104,1,1,1,237.830667),-- [club_of_nature_head]
(22044,202,1,1,1,2.553561),-- [mace_of_underworld]
(22044,2105,1,1,1,225.981693),-- [mace_of_underworld_head]
(22044,1872,1,1,2,90025.761136),-- [animal_bone]
(22044,1867,1,1,2,90025.761136),-- [animal_skin]
(22044,1881,1,1,2,9002.516464),-- [coarse_bone_powder]
(22044,1875,1,1,2,4501.357648),-- [stone_of_purity]
(22044,4041,1,1,2,587.150896),-- [mold_hardener]
(22044,2166,1,1,2,2288.755152),-- [rp_earing_of_binding]
(22044,8725,1,1,2,1875.582256),-- [general_52_c]
(22044,8735,1,1,2,468.845856);-- [special_52_c]

INSERT INTO `droplist` VALUES
(22044,8745,1,1,2,46.924352),-- [rare_52_c]
(22044,8755,1,1,2,9.345104),-- [unique_52_c]
(22045,1902,1,1,-1,49514),-- [elven_earing_beads]
(22045,1879,1,1,-1,81451),-- [cokes]
(22045,1875,1,1,-1,32580),-- [stone_of_purity]
(22045,57,204,407,0,700000),-- [adena]
(22045,606,1,1,1,55.013278),-- [gauntlet_of_repose_of_the_soul]
(22045,1946,1,1,1,2133.611722),-- [gauntlet_of_repose_of_the_soul_pattern]
(22045,1124,1,1,1,55.013278),-- [boots_of_power]
(22045,1948,1,1,1,2133.611722),-- [boots_of_power_pattern]
(22045,2424,1,1,1,55.013278),-- [manticor_skin_boots]
(22045,2923,1,1,1,2133.611722),-- [manticor_skin_boots_lining]
(22045,2425,1,1,1,55.013278),-- [brigandine_boots]
(22045,2924,1,1,1,2133.611722),-- [brigandine_boots_design]
(22045,2426,1,1,1,55.013278),-- [elven_mithril_boots]
(22045,2925,1,1,1,2133.611722),-- [elven_mithril_boots_design]
(22045,2448,1,1,1,55.013278),-- [manticor_skin_gloves]
(22045,2926,1,1,1,2133.611722),-- [manticor_skin_gloves_linging]
(22045,2449,1,1,1,55.013278),-- [brigandine_gauntlet]
(22045,2927,1,1,1,2133.611722),-- [brigandine_gauntlet_pattern]
(22045,2450,1,1,1,55.013278),-- [elven_mithril_gloves]
(22045,2928,1,1,1,2133.611722),-- [elven_mithril_gloves_design]
(22045,1865,1,1,2,50524.490148),-- [varnish]
(22045,1870,1,1,2,50524.490148),-- [coal]
(22045,1879,1,1,2,8420.748358),-- [cokes]
(22045,1875,1,1,2,3368.345922),-- [stone_of_purity]
(22045,1825,1,1,2,3608.925424),-- [rp_oriharukon]
(22046,4553,1,1,-1,2196),-- [dye_s1c1_c]
(22046,1908,1,1,-1,51995),-- [moonstone_earing_wire]
(22046,2163,1,1,-1,28014),-- [rp_earing_of_protection]
(22046,57,216,442,0,700000),-- [adena]
(22046,96,1,1,1,4.905096),-- [scythe]
(22046,2062,1,1,1,339.09456),-- [scythe_edge]
(22046,298,1,1,1,4.905096),-- [orcish_glaive]
(22046,2075,1,1,1,339.09456),-- [orcish_glaive_blade]
(22046,302,1,1,1,4.905096),-- [body_slasher]
(22046,2076,1,1,1,339.095592),-- [body_slasher_blade]
(22046,1866,1,1,2,17300.074932),-- [suede]
(22046,1871,1,1,2,25950.112398),-- [charcoal]
(22046,5220,1,1,2,1037.980818),-- [reinforcing_agent]
(22046,1885,1,1,2,2162.534031),-- [high_grade_suede]
(22046,4041,1,1,2,225.630846),-- [mold_hardener]
(22046,2163,1,1,2,1323.99036),-- [rp_earing_of_protection]
(22046,8723,1,1,2,1037.980818),-- [general_46_c]
(22046,8733,1,1,2,259.519869),-- [special_46_c]
(22046,8743,1,1,2,25.947054),-- [rare_46_c]
(22046,8753,1,1,2,5.228874),-- [unique_46_c]
(22047,1909,1,1,-1,64552),-- [aquastone_ring_wire]
(22047,2164,1,1,-1,36770),-- [rp_ring_of_protection]
(22047,1910,1,1,-1,35994),-- [aquastone_necklace_chain]
(22047,57,188,386,0,700000),-- [adena]
(22047,439,1,1,1,38.816544),-- [karmian_tunic]
(22047,1962,1,1,1,1807.410063),-- [karmian_tunic_pattern]
(22047,471,1,1,1,62.035752),-- [karmian_hose]
(22047,1954,1,1,1,3002.737641),-- [karmian_hose_pattern]
(22047,1895,1,1,2,10757.843964),-- [metallic_fiber]
(22047,2164,1,1,2,2896.350996),-- [rp_ring_of_protection]
(22047,8723,1,1,2,1506.093792),-- [general_46_c]
(22047,8733,1,1,2,376.523448),-- [special_46_c]
(22047,8743,1,1,2,37.646112),-- [rare_46_c]
(22047,8753,1,1,2,7.541688),-- [unique_46_c]
(22048,1875,1,1,-1,30323),-- [stone_of_purity]
(22048,1879,1,1,-1,75807),-- [cokes]
(22048,4469,1,1,-1,2599),-- [dye_s1c1_d]
(22048,57,183,370,0,700000),-- [adena]
(22048,851,1,1,1,81.604063),-- [onyxbeast'seye_earing]
(22048,1905,1,1,1,3703.037631),-- [onyxbeast'seye_earing_gemstone]
(22048,882,1,1,1,122.40017),-- [mithril_ring]
(22048,1906,1,1,1,5232.601343),-- [mithril_ring_wire]
(22048,914,1,1,1,61.200085),-- [necklace_of_darkness]
(22048,1907,1,1,1,2648.156708),-- [necklace_of_darkness_gem]
(22048,1875,1,1,2,2537.843616),-- [stone_of_purity]
(22048,1879,1,1,2,6344.60904),-- [cokes]
(22048,1885,1,1,2,3172.312768),-- [high_grade_suede]
(22048,5550,1,1,2,507.565424),-- [reinforcing_plate]
(22048,5549,1,1,2,3806.765424),-- [iron_thread]
(22048,1805,1,1,2,126.903728),-- [rp_soulshot_c]
(22049,1911,1,1,-1,46387),-- [earing_of_protection_gemstone]
(22049,2166,1,1,-1,21141),-- [rp_earing_of_binding]
(22049,1912,1,1,-1,67206),-- [ring_of_protection_gemstone]
(22049,57,246,502,0,700000),-- [adena]
(22049,500,1,1,1,49.575342),-- [great_helmet]
(22049,1971,1,1,1,2819.540128),-- [great_helmet_material]
(22049,632,1,1,1,70.806217),-- [knight_shield]
(22049,1972,1,1,1,3684.58089),-- [knight_shield_fragment]
(22049,2496,1,1,1,76.700907),-- [dwarven_chain_shield]
(22049,2947,1,1,1,3289.796516),-- [dwarven_chain_shield_fragment]
(22049,1872,1,1,2,36844.401825),-- [animal_bone]
(22049,1867,1,1,2,36844.401825),-- [animal_skin]
(22049,1881,1,1,2,3684.39984),-- [coarse_bone_powder]
(22049,1875,1,1,2,1842.19992),-- [stone_of_purity]
(22049,4041,1,1,2,240.27993),-- [mold_hardener]
(22049,951,1,1,2,50.266755),-- [scrl_of_ench_wp_c]
(22049,8724,1,1,2,921.09996),-- [general_49_c]
(22049,8734,1,1,2,230.27499),-- [special_49_c]
(22049,8744,1,1,2,22.995225),-- [rare_49_c]
(22049,8754,1,1,2,4.67973),-- [unique_49_c]
(22050,2163,1,1,-1,81320),-- [rp_earing_of_protection]
(22050,1908,1,1,-1,150934),-- [moonstone_earing_wire]
(22050,1881,1,1,-1,212515),-- [coarse_bone_powder]
(22050,57,628,1284,0,700000),-- [adena]
(22050,226,1,1,1,21.361419),-- [cursed_dagger]
(22050,2070,1,1,1,1495.138581),-- [cursed_dagger_blade]
(22050,232,1,1,1,21.361419),-- [darkelven_dagger]
(22050,2072,1,1,1,1495.138581),-- [darkelven_dagger_edge]
(22050,1872,1,1,2,100437.730136),-- [animal_bone]
(22050,1867,1,1,2,100437.730136),-- [animal_skin]
(22050,1881,1,1,2,10043.750584),-- [coarse_bone_powder]
(22050,1875,1,1,2,5021.98744),-- [stone_of_purity]
(22050,4041,1,1,2,654.94432),-- [mold_hardener]
(22050,2163,1,1,2,3843.31196),-- [rp_earing_of_protection]
(22050,8723,1,1,2,3013.192464),-- [general_46_c]
(22050,8733,1,1,2,753.185968),-- [special_46_c]
(22050,8743,1,1,2,75.363456),-- [rare_46_c]
(22050,8753,1,1,2,14.803536),-- [unique_46_c]
(22051,1894,1,1,-1,42869),-- [crafted_leather]
(22051,4589,1,1,-1,4073),-- [dye_s2c2_c]
(22051,1911,1,1,-1,90871),-- [earing_of_protection_gemstone]
(22051,57,482,984,0,700000),-- [adena]
(22051,1126,1,1,1,72.81756),-- [crimson_boots]
(22051,1974,1,1,1,3793.729077),-- [crimson_boots_fabric]
(22051,2434,1,1,1,72.81756),-- [rind_leather_boots]
(22051,2948,1,1,1,3793.729077),-- [rind_leather_boots_lining]
(22051,2455,1,1,1,78.849135),-- [plate_leather_gloves]
(22051,2946,1,1,1,2521.373814),-- [plate_leather_gloves_design]
(22051,2456,1,1,1,72.81756),-- [dwarven_chain_gloves]
(22051,2949,1,1,1,3793.729077),-- [dwarven_chain_gloves_design]
(22051,2457,1,1,1,72.81756),-- [gloves_of_seal]
(22051,2950,1,1,1,3793.729077),-- [gloves_of_seal_pattern]
(22051,2458,1,1,1,72.81756),-- [rind_leather_gloves]
(22051,2951,1,1,1,3793.772943),-- [rind_leather_gloves_design]
(22051,1894,1,1,2,2110.455292),-- [crafted_leather]
(22051,4039,1,1,2,2004.926936),-- [mold_glue]
(22051,4041,1,1,2,523.028875),-- [mold_hardener]
(22051,4044,1,1,2,2004.926936),-- [thons]
(22051,951,1,1,2,109.358465),-- [scrl_of_ench_wp_c]
(22051,8724,1,1,2,2004.926936),-- [general_49_c]
(22051,8734,1,1,2,501.231734),-- [special_49_c]
(22051,8744,1,1,2,50.126901),-- [rare_49_c]
(22051,8754,1,1,2,10.017925),-- [unique_49_c]
(22052,2166,1,1,-1,60728),-- [rp_earing_of_binding]
(22052,1912,1,1,-1,193047),-- [ring_of_protection_gemstone]
(22052,2167,1,1,-1,91402),-- [rp_ring_of_ages]
(22052,57,707,1443,0,700000),-- [adena]
(22052,355,1,1,1,80.09638),-- [dwarven_chain_mail_shirt]
(22052,1968,1,1,1,4781.64072),-- [dwarven_chain_mail_shirt_material]
(22052,382,1,1,1,128.154208),-- [dwarven_chain_gaiters]
(22052,1969,1,1,1,7584.108692),-- [dwarven_chain_gaiters_material]
(22052,1873,1,1,2,28864.080435),-- [silver_nugget]
(22052,1876,1,1,2,14431.933395),-- [mithril_ore]
(22052,1895,1,1,2,20617.16979),-- [metallic_fiber]
(22052,4042,1,1,2,1202.607705),-- [enria]
(22052,952,1,1,2,962.043435),-- [scrl_of_ench_am_c]
(22052,8296,1,1,2,167.711325),-- [rp_sword_of_paagrio]
(22052,8724,1,1,2,2405.429055),-- [general_49_c]
(22052,8734,1,1,2,601.410675),-- [special_49_c]
(22052,8744,1,1,2,60.034245),-- [rare_49_c]
(22052,8754,1,1,2,11.96412),-- [unique_49_c]
(22052,1342,10,30,2,144320.61582),-- [fine_steel_arrow]
(22053,1913,1,1,-1,107021),-- [necklace_of_protection_gemstone]
(22053,952,1,1,-1,23466),-- [scrl_of_ench_am_c]
(22053,1866,1,3,-1,586654),-- [suede]
(22053,57,696,1415,0,700000),-- [adena]
(22053,500,1,1,1,139.898628),-- [great_helmet]
(22053,1971,1,1,1,7956.572352),-- [great_helmet_material]
(22053,632,1,1,1,199.810878),-- [knight_shield]
(22053,1972,1,1,1,10397.66526),-- [knight_shield_fragment]
(22053,2496,1,1,1,216.445338),-- [dwarven_chain_shield]
(22053,2947,1,1,1,9283.607544),-- [dwarven_chain_shield_fragment]
(22053,1866,1,1,2,51986.708898),-- [suede]
(22053,1871,1,1,2,77980.063347),-- [charcoal]
(22053,5220,1,1,2,3119.14989),-- [reinforcing_agent]
(22053,1885,1,1,2,6498.302054),-- [high_grade_suede]
(22053,4041,1,1,2,678.082421),-- [mold_hardener]
(22053,2166,1,1,2,2643.453941),-- [rp_earing_of_binding]
(22053,8724,1,1,2,2599.291575),-- [general_49_c]
(22053,8734,1,1,2,649.859452),-- [special_49_c]
(22053,8744,1,1,2,64.927452),-- [rare_49_c]
(22053,8754,1,1,2,13.16097),-- [unique_49_c]
(22054,1884,1,3,-1,558523),-- [cord]
(22054,4590,1,1,-1,6051),-- [dye_s2d2_c]
(22054,1966,1,1,-1,66272),-- [plate_leather_fragment]
(22054,57,718,1459,0,700000),-- [adena]
(22054,1126,1,1,1,108.18884),-- [crimson_boots]
(22054,1974,1,1,1,5636.540803),-- [crimson_boots_fabric]
(22054,2434,1,1,1,108.18884),-- [rind_leather_boots]
(22054,2948,1,1,1,5636.540803),-- [rind_leather_boots_lining]
(22054,2455,1,1,1,117.150265),-- [plate_leather_gloves]
(22054,2946,1,1,1,3746.136346),-- [plate_leather_gloves_design]
(22054,2456,1,1,1,108.18884),-- [dwarven_chain_gloves]
(22054,2949,1,1,1,5636.540803),-- [dwarven_chain_gloves_design]
(22054,2457,1,1,1,108.18884),-- [gloves_of_seal]
(22054,2950,1,1,1,5636.540803),-- [gloves_of_seal_pattern]
(22054,2458,1,1,1,108.18884),-- [rind_leather_gloves]
(22054,2951,1,1,1,5636.605977),-- [rind_leather_gloves_design]
(22054,1864,1,1,2,160854.761193),-- [stem]
(22054,1869,1,1,2,80427.547178),-- [iron_ore]
(22054,1878,1,1,2,32170.885606),-- [braided_hemp]
(22054,1884,1,1,2,49493.695791),-- [cord]
(22054,4039,1,1,2,2680.962661),-- [mold_glue]
(22054,2167,1,1,2,4103.568671),-- [rp_ring_of_ages]
(22054,8724,1,1,2,2680.962661),-- [general_49_c]
(22054,8734,1,1,2,670.323956),-- [special_49_c]
(22054,8744,1,1,2,66.965763),-- [rare_49_c]
(22054,8754,1,1,2,13.32652),-- [unique_49_c]
(22055,2168,1,1,-1,49644),-- [rp_necklace_of_mermaid]
(22055,1967,1,1,-1,106408),-- [plate_leather_gaiters_material]
(22055,2222,1,1,-1,12194),-- [rp_composite_armor]
(22055,57,770,1571,0,700000),-- [adena]
(22055,500,1,1,1,155.082348),-- [great_helmet]
(22055,1971,1,1,1,8820.128832),-- [great_helmet_material]
(22055,632,1,1,1,221.497098),-- [knight_shield]
(22055,1972,1,1,1,11526.16266),-- [knight_shield_fragment]
(22055,2496,1,1,1,239.936958),-- [dwarven_chain_shield]
(22055,2947,1,1,1,10291.192104),-- [dwarven_chain_shield_fragment]
(22055,1865,1,1,2,78585.428352),-- [varnish]
(22055,1870,1,1,2,78585.428352),-- [coal]
(22055,1879,1,1,2,13097.505384),-- [cokes]
(22055,1875,1,1,2,5239.120968),-- [stone_of_purity]
(22055,4040,1,1,2,1571.716488),-- [mold_lubricant]
(22055,8318,1,1,2,128.121528),-- [rp_dwarven_hammer]
(22055,8724,1,1,2,2619.461472),-- [general_49_c]
(22055,8734,1,1,2,654.865368),-- [special_49_c]
(22055,8744,1,1,2,65.545944),-- [rare_49_c]
(22055,8754,1,1,2,13.069584),-- [unique_49_c]
(22055,1539,1,1,2,17463.73656),-- [greater_healing_potion]
(22056,1968,1,1,-1,42292),-- [dwarven_chain_mail_shirt_material]
(22056,951,1,1,-1,3191),-- [scrl_of_ench_wp_c]
(22056,1876,1,1,-1,351020),-- [mithril_ore]
(22056,57,693,1413,0,700000),-- [adena]
(22056,355,1,1,1,78.47203),-- [dwarven_chain_mail_shirt]
(22056,1968,1,1,1,4684.66932),-- [dwarven_chain_mail_shirt_material]
(22056,382,1,1,1,125.555248),-- [dwarven_chain_gaiters]
(22056,1969,1,1,1,7430.303402),-- [dwarven_chain_gaiters_material]
(22056,1873,1,1,2,34562.030166),-- [silver_nugget]
(22056,1876,1,1,2,17281.015083),-- [mithril_ore]
(22056,1895,1,1,2,24687.211374),-- [metallic_fiber]
(22056,4042,1,1,2,1440.09144),-- [enria]
(22056,2222,1,1,2,540.03429),-- [rp_composite_armor]
(22056,8724,1,1,2,2880.18288),-- [general_49_c]
(22056,8734,1,1,2,720.04572),-- [special_49_c]
(22056,8744,1,1,2,72.004572),-- [rare_49_c]
(22056,8754,1,1,2,14.384475),-- [unique_49_c]
(22057,1875,1,1,-1,92483),-- [stone_of_purity]
(22057,4601,1,1,-1,3083),-- [dye_s3c3_c]
(22057,1539,1,1,-1,308276),-- [greater_healing_potion]
(22057,57,549,1115,0,700000),-- [adena]
(22057,854,1,1,1,84.391461),-- [earing_of_binding]
(22057,1914,1,1,1,5371.09118),-- [earing_of_binding_gemstone]
(22057,885,1,1,1,126.541849),-- [ring_of_ages]
(22057,1915,1,1,1,8423.385047),-- [ring_of_ages_gemstone]
(22057,917,1,1,1,63.29813),-- [necklace_of_mermaid]
(22057,1916,1,1,1,4068.292333),-- [necklace_of_mermaid_teardrop]
(22057,1872,1,1,2,76490.633493),-- [animal_bone]
(22057,1867,1,1,2,76490.633493),-- [animal_skin]
(22057,1881,1,1,2,7649.113752),-- [coarse_bone_powder]
(22057,1875,1,1,2,3824.556876),-- [stone_of_purity]
(22057,4041,1,1,2,498.818721),-- [mold_hardener]
(22057,2169,1,1,2,1015.446396),-- [rp_necklace_of_binding]
(22057,8725,1,1,2,1593.565365),-- [general_52_c]
(22057,8735,1,1,2,398.349339),-- [special_52_c]
(22057,8745,1,1,2,39.818133),-- [rare_52_c]
(22057,8755,1,1,2,8.064432),-- [unique_52_c]
(22058,1914,1,1,-1,119035),-- [earing_of_binding_gemstone]
(22058,2169,1,1,-1,37501),-- [rp_necklace_of_binding]
(22058,1915,1,1,-1,186681),-- [ring_of_ages_gemstone]
(22058,57,839,1705,0,700000),-- [adena]
(22058,854,1,1,1,128.892753),-- [earing_of_binding]
(22058,1914,1,1,1,8203.37414),-- [earing_of_binding_gemstone]
(22058,885,1,1,1,193.269877),-- [ring_of_ages]
(22058,1915,1,1,1,12865.203131),-- [ring_of_ages_gemstone]
(22058,917,1,1,1,96.67649),-- [necklace_of_mermaid]
(22058,1916,1,1,1,6213.583609),-- [necklace_of_mermaid_teardrop]
(22058,1869,1,1,2,79655.972682),-- [iron_ore]
(22058,1864,1,1,2,159311.945364),-- [stem]
(22058,1880,1,1,2,7965.472866),-- [steel]
(22058,5550,1,1,2,1061.980114),-- [reinforcing_plate]
(22058,4043,1,1,2,2655.157622),-- [asofe]
(22058,2170,1,1,2,1878.47322),-- [rp_nassen's_earing]
(22058,8725,1,1,2,2212.700464),-- [general_52_c]
(22058,8735,1,1,2,553.175116),-- [special_52_c]
(22058,8745,1,1,2,55.151642),-- [rare_52_c]
(22058,8755,1,1,2,11.196198),-- [unique_52_c]
(22058,1342,10,30,2,159312.774712),-- [fine_steel_arrow]
(22059,2170,1,1,-1,130904),-- [rp_nassen's_earing]
(22059,1916,1,1,-1,236183),-- [necklace_of_mermaid_teardrop]
(22059,1869,1,11,-1,925052),-- [iron_ore]
(22059,57,2198,4465,0,700000),-- [adena]
(22059,265,1,1,1,69.457584),-- [fist_blade]
(22059,2108,1,1,1,6146.542416),-- [fist_blade_piece]
(22059,1869,1,3,2,76508.864982),-- [iron_ore]
(22059,1864,1,3,2,229526.246097),-- [stem]
(22059,1880,1,1,2,22952.519955),-- [steel]
(22059,5550,1,1,2,3060.452277),-- [reinforcing_plate]
(22059,4043,1,1,2,7650.956268),-- [asofe]
(22059,2231,1,1,2,989.335764),-- [rp_full_plate_armor]
(22059,8725,1,1,2,6375.564324),-- [general_52_c]
(22059,8735,1,1,2,1593.891081),-- [special_52_c]
(22059,8745,1,1,2,159.423993),-- [rare_52_c]
(22059,8755,1,1,2,31.745259),-- [unique_52_c]
(22060,1870,1,11,-1,820524),-- [coal]
(22060,4602,1,1,-1,10940),-- [dye_s3d3_c]
(22060,1539,1,3,-1,547016),-- [greater_healing_potion]
(22060,57,1956,3952,0,700000),-- [adena]
(22060,75,1,1,1,8.801346),-- [caliburs]
(22060,2089,1,1,1,792.550338),-- [caliburs_edge]
(22060,76,1,1,1,8.801346),-- [sword_of_delusion]
(22060,2090,1,1,1,792.550338),-- [sword_of_delusion_blade]
(22060,77,1,1,1,8.801346),-- [tsurugi]
(22060,2091,1,1,1,792.550338),-- [tsurugi_blade]
(22060,84,1,1,1,8.801346),-- [homunkulus's_sword]
(22060,2092,1,1,1,792.550338),-- [homunkulus's_sword_blade]
(22060,134,1,1,1,8.801346),-- [sword_of_nightmare]
(22060,2095,1,1,1,792.550338),-- [sword_of_nightmare_blade]
(22060,145,1,1,1,8.801346),-- [deathbreath_sword]
(22060,2096,1,1,1,792.550338),-- [deathbreath_sword_blade]
(22060,7882,1,1,1,8.801346),-- [sword_of_paagrio]
(22060,8329,1,1,1,757.08855),-- [sword_of_paagrio_edge]
(22060,1870,1,1,2,203591.265381),-- [coal]
(22060,1865,1,1,2,203591.265381),-- [varnish]
(22060,1874,1,1,2,13572.927785),-- [oriharukon_ore]
(22060,4043,1,1,2,6786.242943),-- [asofe]
(22060,4039,1,1,2,6786.242943),-- [mold_glue]
(22060,8304,1,1,2,332.308048),-- [rp_sword_of_eclipse]
(22060,8725,1,1,2,5655.423402),-- [general_52_c]
(22060,8735,1,1,2,1413.634901),-- [special_52_c]
(22060,8745,1,1,2,141.40768),-- [rare_52_c]
(22060,8755,1,1,2,28.281536),-- [unique_52_c]
(22061,1977,1,1,-1,46483),-- [composite_armor_temper]
(22061,2231,1,1,-1,13544),-- [rp_full_plate_armor]
(22061,1978,1,1,-1,201428),-- [tower_shield_fragment]
(22061,57,1244,2528,0,700000),-- [adena]
(22061,326,1,1,1,39.326346),-- [heathen's_book]
(22061,2110,1,1,1,3662.673654),-- [heathen's_book_page]
(22061,1871,1,1,2,118131.931906),-- [charcoal]
(22061,1866,1,1,2,78754.542722),-- [suede]
(22061,1877,1,1,2,4725.173592),-- [admantite_nugget]
(22061,4041,1,1,2,1027.180914),-- [mold_hardener]
(22061,4040,1,1,2,2362.586796),-- [mold_lubricant]
(22061,8308,1,1,2,192.758428),-- [rp_eclipse_axe]
(22061,8725,1,1,2,3281.37055),-- [general_52_c]
(22061,8735,1,1,2,820.283726),-- [special_52_c]
(22061,8745,1,1,2,82.004808),-- [rare_52_c]
(22061,8755,1,1,2,16.49522),-- [unique_52_c]
(22061,1539,1,1,2,26251.671338),-- [greater_healing_potion]
(22062,2232,1,1,-1,26234),-- [rp_drake_leather_mail]
(22062,1981,1,1,-1,268514),-- [mithril_gauntlet_design]
(22062,1894,1,1,-1,160166),-- [crafted_leather]
(22062,57,1813,3664,0,700000),-- [adena]
(22062,231,1,1,1,28.563892),-- [grace_dagger]
(22062,2106,1,1,1,2571.936108),-- [grace_dagger_edge]
(22062,233,1,1,1,28.563892),-- [dark_screamer]
(22062,2107,1,1,1,2571.936108),-- [dark_screamer_edge]
(22062,1867,1,3,2,125846.187856),-- [animal_skin]
(22062,1872,1,1,2,251692.375712),-- [animal_bone]
(22062,1882,1,1,2,41948.875546),-- [leather]
(22062,1894,1,1,2,6623.41429),-- [crafted_leather]
(22062,4042,1,1,2,3146.06694),-- [enria]
(22062,2234,1,1,2,2813.470184),-- [rp_divine_hose]
(22062,8725,1,1,2,5243.4449),-- [general_52_c]
(22062,8735,1,1,2,1311.080616),-- [special_52_c]
(22062,8745,1,1,2,131.195818),-- [rare_52_c]
(22062,8755,1,1,2,25.888138),-- [unique_52_c]
(22063,1864,1,25,-1,944873),-- [stem]
(22063,4603,1,1,-1,13648),-- [dye_c3s3_c]
(22063,1539,1,3,-1,682408),-- [greater_healing_potion]
(22063,57,2440,4930,0,700000),-- [adena]
(22063,75,1,1,1,10.980366),-- [caliburs]
(22063,2089,1,1,1,988.768398),-- [caliburs_edge]
(22063,76,1,1,1,10.980366),-- [sword_of_delusion]
(22063,2090,1,1,1,988.768398),-- [sword_of_delusion_blade]
(22063,77,1,1,1,10.980366),-- [tsurugi]
(22063,2091,1,1,1,988.768398),-- [tsurugi_blade]
(22063,84,1,1,1,10.980366),-- [homunkulus's_sword]
(22063,2092,1,1,1,988.768398),-- [homunkulus's_sword_blade]
(22063,134,1,1,1,10.980366),-- [sword_of_nightmare]
(22063,2095,1,1,1,988.768398),-- [sword_of_nightmare_blade]
(22063,145,1,1,1,10.980366),-- [deathbreath_sword]
(22063,2096,1,1,1,988.768398),-- [deathbreath_sword_blade]
(22063,7882,1,1,1,10.980366),-- [sword_of_paagrio]
(22063,8329,1,1,1,944.52705),-- [sword_of_paagrio_edge]
(22063,1864,3,9,2,94067.459136),-- [stem]
(22063,1865,2,6,2,70550.594352),-- [varnish]
(22063,1866,1,1,2,188134.442145),-- [suede]
(22063,1873,1,1,2,112880.665287),-- [silver_nugget]
(22063,2353,1,1,2,460.414809),-- [rp_samurai_longsword]
(22063,8725,1,1,2,7838.954928),-- [general_52_c]
(22063,8735,1,1,2,1959.738732),-- [special_52_c]
(22063,8745,1,1,2,196.164324),-- [rare_52_c]
(22063,8755,1,1,2,38.566287),-- [unique_52_c]
(22064,1983,1,1,-1,253278),-- [shining_circlet_pattern]
(22064,2233,1,1,-1,53970),-- [rp_divine_tunic]
(22064,2089,1,1,-1,31470),-- [caliburs_edge]
(22064,57,2294,4636,0,700000),-- [adena]
(22064,265,1,1,1,72.273432),-- [fist_blade]
(22064,2108,1,1,1,6395.726568),-- [fist_blade_piece]
(22064,1868,4,12,2,54274.47171),-- [thread]
(22064,1873,1,1,2,86839.492075),-- [silver_nugget]
(22064,5549,1,1,2,21709.788684),-- [iron_thread]
(22064,1889,1,1,2,14473.192456),-- [compound_braid]
(22064,4044,1,1,2,7236.596228),-- [thons]
(22064,8308,1,1,2,354.20595),-- [rp_eclipse_axe]
(22064,8725,1,1,2,6030.609303),-- [general_52_c]
(22064,8735,1,1,2,1507.567991),-- [special_52_c]
(22064,8745,1,1,2,150.790533),-- [rare_52_c]
(22064,8755,1,1,2,30.023171),-- [unique_52_c]
(22064,1342,30,90,2,144732.261899),-- [fine_steel_arrow]
(22065,1806,1,1,-1,12020),-- [rp_soulshot_b]
(22065,1918,1,1,-1,260288),-- [nassen's_earing_gemstone]
(22065,1895,1,3,-1,858579),-- [metallic_fiber]
(22065,57,2379,4833,0,700000),-- [adena]
(22065,266,1,1,1,47.081012),-- [great_pata]
(22065,2120,1,1,1,5329.918988),-- [great_pata_blade]
(22065,1873,1,1,2,98626.366995),-- [silver_nugget]
(22065,1876,1,1,2,49313.06835),-- [mithril_ore]
(22065,1895,1,1,2,70447.2405),-- [metallic_fiber]
(22065,4042,1,1,2,4109.38398),-- [enria]
(22065,1806,1,1,2,493.061595),-- [rp_soulshot_b]
(22065,8726,1,1,2,5707.63128),-- [general_55_c]
(22065,8736,1,1,2,1426.90782),-- [special_55_c]
(22065,8746,1,1,2,142.7829),-- [rare_55_c]
(22065,8756,1,1,2,28.55658),-- [unique_55_c]
(22066,4042,1,1,-1,54680),-- [enria]
(22066,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22066,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22066,57,1299,2638,0,700000),-- [adena]
(22066,203,1,1,1,4.705644),-- [paagrio_axe]
(22066,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22066,204,1,1,1,3.672486),-- [deadman's_staff]
(22066,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22066,205,1,1,1,3.672486),-- [ghoul's_staff]
(22066,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22066,206,1,1,1,3.672486),-- [demon's_staff]
(22066,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22066,2503,1,1,1,3.672486),-- [yaksa_mace]
(22066,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22066,7891,1,1,1,3.672486),-- [eclipse_axe]
(22066,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22066,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22066,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22066,1869,1,1,2,121137.865608),-- [iron_ore]
(22066,1864,1,1,2,242275.731216),-- [stem]
(22066,1880,1,1,2,12113.632556),-- [steel]
(22066,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22066,4043,1,1,2,4038.005856),-- [asofe]
(22066,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22066,8726,1,1,2,2804.042396),-- [general_55_c]
(22066,8736,1,1,2,701.106852),-- [special_55_c]
(22066,8746,1,1,2,70.072184),-- [rare_55_c]
(22066,8756,1,1,2,14.245444),-- [unique_55_c]
(22067,4042,1,1,-1,54680),-- [enria]
(22067,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22067,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22067,57,1299,2638,0,700000),-- [adena]
(22067,203,1,1,1,4.705644),-- [paagrio_axe]
(22067,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22067,204,1,1,1,3.672486),-- [deadman's_staff]
(22067,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22067,205,1,1,1,3.672486),-- [ghoul's_staff]
(22067,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22067,206,1,1,1,3.672486),-- [demon's_staff]
(22067,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22067,2503,1,1,1,3.672486),-- [yaksa_mace]
(22067,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22067,7891,1,1,1,3.672486),-- [eclipse_axe]
(22067,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22067,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22067,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22067,1869,1,1,2,121137.865608),-- [iron_ore]
(22067,1864,1,1,2,242275.731216),-- [stem]
(22067,1880,1,1,2,12113.632556),-- [steel]
(22067,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22067,4043,1,1,2,4038.005856),-- [asofe]
(22067,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22067,8726,1,1,2,2804.042396),-- [general_55_c]
(22067,8736,1,1,2,701.106852),-- [special_55_c]
(22067,8746,1,1,2,70.072184),-- [rare_55_c]
(22067,8756,1,1,2,14.245444),-- [unique_55_c]
(22068,4042,1,1,-1,54680),-- [enria]
(22068,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22068,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22068,57,1299,2638,0,700000),-- [adena]
(22068,203,1,1,1,4.705644),-- [paagrio_axe]
(22068,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22068,204,1,1,1,3.672486),-- [deadman's_staff]
(22068,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22068,205,1,1,1,3.672486),-- [ghoul's_staff]
(22068,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22068,206,1,1,1,3.672486),-- [demon's_staff]
(22068,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22068,2503,1,1,1,3.672486),-- [yaksa_mace]
(22068,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22068,7891,1,1,1,3.672486),-- [eclipse_axe]
(22068,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22068,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22068,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22068,1869,1,1,2,121137.865608),-- [iron_ore]
(22068,1864,1,1,2,242275.731216),-- [stem]
(22068,1880,1,1,2,12113.632556),-- [steel]
(22068,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22068,4043,1,1,2,4038.005856),-- [asofe]
(22068,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22068,8726,1,1,2,2804.042396),-- [general_55_c]
(22068,8736,1,1,2,701.106852),-- [special_55_c]
(22068,8746,1,1,2,70.072184),-- [rare_55_c]
(22068,8756,1,1,2,14.245444),-- [unique_55_c]
(22069,4042,1,1,-1,54680),-- [enria]
(22069,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22069,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22069,57,1299,2638,0,700000),-- [adena]
(22069,203,1,1,1,4.705644),-- [paagrio_axe]
(22069,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22069,204,1,1,1,3.672486),-- [deadman's_staff]
(22069,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22069,205,1,1,1,3.672486),-- [ghoul's_staff]
(22069,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22069,206,1,1,1,3.672486),-- [demon's_staff]
(22069,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22069,2503,1,1,1,3.672486),-- [yaksa_mace]
(22069,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22069,7891,1,1,1,3.672486),-- [eclipse_axe]
(22069,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22069,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22069,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22069,1869,1,1,2,121137.865608),-- [iron_ore]
(22069,1864,1,1,2,242275.731216),-- [stem]
(22069,1880,1,1,2,12113.632556),-- [steel]
(22069,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22069,4043,1,1,2,4038.005856),-- [asofe]
(22069,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22069,8726,1,1,2,2804.042396),-- [general_55_c]
(22069,8736,1,1,2,701.106852),-- [special_55_c]
(22069,8746,1,1,2,70.072184),-- [rare_55_c]
(22069,8756,1,1,2,14.245444),-- [unique_55_c]
(22070,4042,1,1,-1,54680),-- [enria]
(22070,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22070,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22070,57,1299,2638,0,700000),-- [adena]
(22070,203,1,1,1,4.705644),-- [paagrio_axe]
(22070,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22070,204,1,1,1,3.672486),-- [deadman's_staff]
(22070,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22070,205,1,1,1,3.672486),-- [ghoul's_staff]
(22070,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22070,206,1,1,1,3.672486),-- [demon's_staff]
(22070,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22070,2503,1,1,1,3.672486),-- [yaksa_mace]
(22070,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22070,7891,1,1,1,3.672486),-- [eclipse_axe]
(22070,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22070,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22070,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22070,1869,1,1,2,121137.865608),-- [iron_ore]
(22070,1864,1,1,2,242275.731216),-- [stem]
(22070,1880,1,1,2,12113.632556),-- [steel]
(22070,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22070,4043,1,1,2,4038.005856),-- [asofe]
(22070,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22070,8726,1,1,2,2804.042396),-- [general_55_c]
(22070,8736,1,1,2,701.106852),-- [special_55_c]
(22070,8746,1,1,2,70.072184),-- [rare_55_c]
(22070,8756,1,1,2,14.245444),-- [unique_55_c]
(22071,4042,1,1,-1,54680),-- [enria]
(22071,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22071,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22071,57,1299,2638,0,700000),-- [adena]
(22071,203,1,1,1,4.705644),-- [paagrio_axe]
(22071,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22071,204,1,1,1,3.672486),-- [deadman's_staff]
(22071,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22071,205,1,1,1,3.672486),-- [ghoul's_staff]
(22071,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22071,206,1,1,1,3.672486),-- [demon's_staff]
(22071,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22071,2503,1,1,1,3.672486),-- [yaksa_mace]
(22071,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22071,7891,1,1,1,3.672486),-- [eclipse_axe]
(22071,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22071,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22071,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22071,1869,1,1,2,121137.865608),-- [iron_ore]
(22071,1864,1,1,2,242275.731216),-- [stem]
(22071,1880,1,1,2,12113.632556),-- [steel]
(22071,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22071,4043,1,1,2,4038.005856),-- [asofe]
(22071,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22071,8726,1,1,2,2804.042396),-- [general_55_c]
(22071,8736,1,1,2,701.106852),-- [special_55_c]
(22071,8746,1,1,2,70.072184),-- [rare_55_c]
(22071,8756,1,1,2,14.245444),-- [unique_55_c]
(22072,4042,1,1,-1,54680),-- [enria]
(22072,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22072,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22072,57,1299,2638,0,700000),-- [adena]
(22072,203,1,1,1,4.705644),-- [paagrio_axe]
(22072,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22072,204,1,1,1,3.672486),-- [deadman's_staff]
(22072,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22072,205,1,1,1,3.672486),-- [ghoul's_staff]
(22072,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22072,206,1,1,1,3.672486),-- [demon's_staff]
(22072,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22072,2503,1,1,1,3.672486),-- [yaksa_mace]
(22072,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22072,7891,1,1,1,3.672486),-- [eclipse_axe]
(22072,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22072,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22072,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22072,1869,1,1,2,121137.865608),-- [iron_ore]
(22072,1864,1,1,2,242275.731216),-- [stem]
(22072,1880,1,1,2,12113.632556),-- [steel]
(22072,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22072,4043,1,1,2,4038.005856),-- [asofe]
(22072,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22072,8726,1,1,2,2804.042396),-- [general_55_c]
(22072,8736,1,1,2,701.106852),-- [special_55_c]
(22072,8746,1,1,2,70.072184),-- [rare_55_c]
(22072,8756,1,1,2,14.245444),-- [unique_55_c]
(22073,4042,1,1,-1,54680),-- [enria]
(22073,1920,1,1,-1,112261),-- [necklace_of_binding_chain]
(22073,3034,1,1,-1,6562),-- [rp_spiritshot_b]
(22073,57,1299,2638,0,700000),-- [adena]
(22073,203,1,1,1,4.705644),-- [paagrio_axe]
(22073,2112,1,1,1,419.12355),-- [paagrio_axe_blade]
(22073,204,1,1,1,3.672486),-- [deadman's_staff]
(22073,2116,1,1,1,407.203164),-- [deadman's_staff_head]
(22073,205,1,1,1,3.672486),-- [ghoul's_staff]
(22073,2117,1,1,1,407.203164),-- [ghoul's_staff_head]
(22073,206,1,1,1,3.672486),-- [demon's_staff]
(22073,2118,1,1,1,407.203164),-- [demon's_staff_head]
(22073,2503,1,1,1,3.672486),-- [yaksa_mace]
(22073,2969,1,1,1,415.740464),-- [yaksa_mace_head]
(22073,7891,1,1,1,3.672486),-- [eclipse_axe]
(22073,8338,1,1,1,415.740464),-- [eclipse_axe_head]
(22073,7897,1,1,1,3.672486),-- [dwarven_hammer]
(22073,8344,1,1,1,395.04547),-- [dwarven_hammer_piece]
(22073,1869,1,1,2,121137.865608),-- [iron_ore]
(22073,1864,1,1,2,242275.731216),-- [stem]
(22073,1880,1,1,2,12113.632556),-- [steel]
(22073,5550,1,1,2,1615.12534),-- [reinforcing_plate]
(22073,4043,1,1,2,4038.005856),-- [asofe]
(22073,3034,1,1,2,242.172548),-- [rp_spiritshot_b]
(22073,8726,1,1,2,2804.042396),-- [general_55_c]
(22073,8736,1,1,2,701.106852),-- [special_55_c]
(22073,8746,1,1,2,70.072184),-- [rare_55_c]
(22073,8756,1,1,2,14.245444),-- [unique_55_c]
(22074,2115,1,1,-1,23474),-- [samurai_longsword_blade]
(22074,4141,1,1,-1,24633),-- [rp_avadon_breastplate]
(22074,2116,1,1,-1,24107),-- [deadman's_staff_head]
(22074,57,2028,4120,0,700000),-- [adena]
(22074,135,1,1,1,13.379184),-- [samurai_longsword]
(22074,2115,1,1,1,1444.589328),-- [samurai_longsword_blade]
(22074,5286,1,1,1,13.379184),-- [berserker_blade]
(22074,5530,1,1,1,1446.415152),-- [berserker_blade_edge]
(22074,7888,1,1,1,13.379184),-- [sword_of_eclipse]
(22074,8335,1,1,1,1436.857968),-- [sword_of_eclipse_edge]
(22074,1873,1,1,2,75674.008971),-- [silver_nugget]
(22074,1868,1,3,2,189185.205909),-- [thread]
(22074,1876,1,1,2,37837.187967),-- [mithril_ore]
(22074,1895,1,1,2,54052.915974),-- [metallic_fiber]
(22074,4042,1,1,2,3152.946096),-- [enria]
(22074,4142,1,1,2,1455.375258),-- [rp_avadon_gaiters]
(22074,8726,1,1,2,4379.336442),-- [general_55_c]
(22074,8736,1,1,2,1094.650629),-- [special_55_c]
(22074,8746,1,1,2,109.354974),-- [rare_55_c]
(22074,8756,1,1,2,22.01778),-- [unique_55_c]
(22075,8308,1,1,-1,5333),-- [rp_eclipse_axe]
(22075,4040,1,1,-1,65387),-- [mold_lubricant]
(22075,4604,1,1,-1,7265),-- [dye_c3c3_c]
(22075,57,1299,2624,0,700000),-- [adena]
(22075,231,1,1,1,20.4577),-- [grace_dagger]
(22075,2106,1,1,1,1842.0423),-- [grace_dagger_edge]
(22075,233,1,1,1,20.4577),-- [dark_screamer]
(22075,2107,1,1,1,1842.0423),-- [dark_screamer_edge]
(22075,1895,1,1,2,42920.479756),-- [metallic_fiber]
(22075,4040,1,1,2,3004.404708),-- [mold_lubricant]
(22075,4042,1,1,2,2503.701308),-- [enria]
(22075,4043,1,1,2,5007.402616),-- [asofe]
(22075,2169,1,1,2,2658.765772),-- [rp_necklace_of_binding]
(22075,8725,1,1,2,4172.794556),-- [general_52_c]
(22075,8735,1,1,2,1043.18328),-- [special_52_c]
(22075,8745,1,1,2,104.318328),-- [rare_52_c]
(22075,8755,1,1,2,20.949676),-- [unique_52_c]
(22076,2117,1,1,-1,28277),-- [ghoul's_staff_head]
(22076,8310,1,1,-1,6924),-- [rp_spell_breaker_i]
(22076,2118,1,1,-1,28277),-- [demon's_staff_head]
(22076,57,2379,4833,0,700000),-- [adena]
(22076,135,1,1,1,15.691749),-- [samurai_longsword]
(22076,2115,1,1,1,1694.283683),-- [samurai_longsword_blade]
(22076,5286,1,1,1,15.691749),-- [berserker_blade]
(22076,5530,1,1,1,1696.425097),-- [berserker_blade_edge]
(22076,7888,1,1,1,15.691749),-- [sword_of_eclipse]
(22076,8335,1,1,1,1685.215973),-- [sword_of_eclipse_edge]
(22076,1866,1,1,2,147939.601134),-- [suede]
(22076,1871,1,1,2,221909.198712),-- [charcoal]
(22076,5220,1,1,2,8876.302992),-- [reinforcing_agent]
(22076,1885,1,1,2,18492.2979),-- [high_grade_suede]
(22076,4041,1,1,2,1929.613434),-- [mold_hardener]
(22076,8321,1,1,2,255.76614),-- [rp_ice_storm_hammer]
(22076,8726,1,1,2,5136.839634),-- [general_55_c]
(22076,8736,1,1,2,1284.108414),-- [special_55_c]
(22076,8746,1,1,2,128.289048),-- [rare_55_c]
(22076,8756,1,1,2,25.982592),-- [unique_55_c]
(22077,8322,1,1,-1,7203),-- [rp_ice_storm_hammer_i]
(22077,2119,1,1,-1,28489),-- [crystal_dagger_blade]
(22077,1869,1,13,-1,893152),-- [iron_ore]
(22077,57,2469,5029,0,700000),-- [adena]
(22077,203,1,1,1,8.96739),-- [paagrio_axe]
(22077,2112,1,1,1,798.709875),-- [paagrio_axe_blade]
(22077,204,1,1,1,6.998535),-- [deadman's_staff]
(22077,2116,1,1,1,775.99359),-- [deadman's_staff_head]
(22077,205,1,1,1,6.998535),-- [ghoul's_staff]
(22077,2117,1,1,1,775.99359),-- [ghoul's_staff_head]
(22077,206,1,1,1,6.998535),-- [demon's_staff]
(22077,2118,1,1,1,775.99359),-- [demon's_staff_head]
(22077,2503,1,1,1,6.998535),-- [yaksa_mace]
(22077,2969,1,1,1,792.26284),-- [yaksa_mace_head]
(22077,7891,1,1,1,6.998535),-- [eclipse_axe]
(22077,8338,1,1,1,792.26284),-- [eclipse_axe_head]
(22077,7897,1,1,1,6.998535),-- [dwarven_hammer]
(22077,8344,1,1,1,752.825075),-- [dwarven_hammer_piece]
(22077,1869,1,3,2,76948.570088),-- [iron_ore]
(22077,1864,1,3,2,230846.059022),-- [stem]
(22077,1880,1,1,2,23084.640778),-- [steel]
(22077,5550,1,1,2,3077.78935),-- [reinforcing_plate]
(22077,4043,1,1,2,7694.996512),-- [asofe]
(22077,8310,1,1,2,266.102354),-- [rp_spell_breaker_i]
(22077,8726,1,1,2,5343.670076),-- [general_55_c]
(22077,8736,1,1,2,1335.74314),-- [special_55_c]
(22077,8746,1,1,2,133.574314),-- [rare_55_c]
(22077,8756,1,1,2,26.854366),-- [unique_55_c]
(22078,1880,1,1,-1,625206),-- [steel]
(22078,2120,1,1,-1,30032),-- [great_pata_blade]
(22078,4144,1,1,-1,64256),-- [rp_shrnoen's_leather_gaiters]
(22078,57,2469,5029,0,700000),-- [adena]
(22078,356,1,1,1,129.104375),-- [full_plate_armor]
(22078,1986,1,1,1,12195.895625),-- [full_plate_armor_temper]
(22078,1870,1,1,2,230845.224442),-- [coal]
(22078,1865,1,1,2,230845.224442),-- [varnish]
(22078,1874,1,1,2,15389.448403),-- [oriharukon_ore]
(22078,4043,1,1,2,7694.974087),-- [asofe]
(22078,4039,1,1,2,7694.974087),-- [mold_glue]
(22078,3955,1,1,2,461.788404),-- [rp_blessed_spiritshot_b]
(22078,8726,1,1,2,5343.551532),-- [general_55_c]
(22078,8736,1,1,2,1335.887883),-- [special_55_c]
(22078,8746,1,1,2,133.438857),-- [rare_55_c]
(22078,8756,1,1,2,26.487863),-- [unique_55_c]
(22079,2121,1,1,-1,6491),-- [eminence_bow_shaft]
(22079,4145,1,1,-1,6191),-- [rp_avadon_leather_mail]
(22079,2122,1,1,-1,6443),-- [orcish_poleaxe_blade]
(22079,57,559,1135,0,700000),-- [adena]
(22079,442,1,1,1,31.58805),-- [divine_tunic]
(22079,1988,1,1,1,2503.688382),-- [divine_tunic_fabric]
(22079,473,1,1,1,50.527854),-- [divine_hose]
(22079,1989,1,1,1,3927.195714),-- [divine_hose_pattern]
(22079,1871,1,1,2,52120.334604),-- [charcoal]
(22079,1866,1,1,2,34746.889736),-- [suede]
(22079,1877,1,1,2,2084.805956),-- [admantite_nugget]
(22079,4041,1,1,2,453.210612),-- [mold_hardener]
(22079,4040,1,1,2,1042.449404),-- [mold_lubricant]
(22079,4126,1,1,2,860.088076),-- [rp_adamantite_earing]
(22079,8726,1,1,2,1206.518888),-- [general_55_c]
(22079,8736,1,1,2,301.583296),-- [special_55_c]
(22079,8746,1,1,2,30.1769),-- [rare_55_c]
(22079,8756,1,1,2,5.942528),-- [unique_55_c]
(22080,1867,1,5,-1,690227),-- [animal_skin]
(22080,1872,1,5,-1,690227),-- [animal_bone]
(22080,2917,1,1,-1,89202),-- [ring_of_binding_gemstone]
(22080,57,613,1249,0,700000),-- [adena]
(22080,119,1,1,1,44.001856),-- [necklace_of_binding]
(22080,1920,1,1,1,3269.84048),-- [necklace_of_binding_chain]
(22080,855,1,1,1,58.660416),-- [nassen's_earing]
(22080,1918,1,1,1,4138.635008),-- [nassen's_earing_gemstone]
(22080,886,1,1,1,87.990624),-- [ring_of_binding]
(22080,2917,1,1,1,5488.871616),-- [ring_of_binding_gemstone]
(22080,1871,1,1,2,57341.798358),-- [charcoal]
(22080,1866,1,1,2,38227.865572),-- [suede]
(22080,1877,1,1,2,2293.663762),-- [admantite_nugget]
(22080,4041,1,1,2,498.613674),-- [mold_hardener]
(22080,4040,1,1,2,1146.882958),-- [mold_lubricant]
(22080,4126,1,1,2,946.252502),-- [rp_adamantite_earing]
(22080,8726,1,1,2,1327.389076),-- [general_55_c]
(22080,8736,1,1,2,331.796192),-- [special_55_c]
(22080,8746,1,1,2,33.20005),-- [rare_55_c]
(22080,8756,1,1,2,6.537856),-- [unique_55_c]
(22081,4146,1,1,-1,9434),-- [rp_tunic_of_shrnoen]
(22081,2954,1,1,-1,93142),-- [theca_leather_boots_texture]
(22081,4147,1,1,-1,15125),-- [rp_hose_of_shrnoen]
(22081,57,583,1183,0,700000),-- [adena]
(22081,2436,1,1,1,36.683889),-- [theca_leather_boots]
(22081,2954,1,1,1,2456.89444),-- [theca_leather_boots_texture]
(22081,2437,1,1,1,28.223206),-- [drake_leather_boots]
(22081,2960,1,1,1,2113.742323),-- [drake_leather_boots_design]
(22081,2438,1,1,1,28.223206),-- [full_plate_boots]
(22081,2961,1,1,1,2113.742323),-- [full_plate_boots_part]
(22081,2460,1,1,1,36.683889),-- [theca_leather_gloves]
(22081,2955,1,1,1,2456.89444),-- [theca_leather_gloves_texture]
(22081,2461,1,1,1,28.223206),-- [drake_leather_gloves]
(22081,2962,1,1,1,2113.742323),-- [drake_leather_gloves_design]
(22081,2462,1,1,1,28.223206),-- [full_plate_gauntlet]
(22081,2963,1,1,1,2113.742323),-- [full_plate_gauntlet_part]
(22081,2463,1,1,1,28.223206),-- [blessed_gloves]
(22081,2964,1,1,1,2113.75802),-- [blessed_gloves_pattern]
(22081,1868,1,1,2,108675.06356),-- [thread]
(22081,1873,1,1,2,21734.984),-- [silver_nugget]
(22081,5549,1,1,2,5433.746),-- [iron_thread]
(22081,1889,1,1,2,3622.44948),-- [compound_braid]
(22081,4044,1,1,2,1811.29652),-- [thons]
(22081,4128,1,1,2,672.43504),-- [rp_adamantite_necklace]
(22081,8726,1,1,2,1257.87272),-- [general_55_c]
(22081,8736,1,1,2,314.3964),-- [special_55_c]
(22081,8746,1,1,2,31.43964),-- [rare_55_c]
(22081,8756,1,1,2,6.31664),-- [unique_55_c]
(22082,2955,1,1,-1,107064),-- [theca_leather_gloves_texture]
(22082,4041,1,1,-1,14710),-- [mold_hardener]
(22082,1872,1,5,-1,751825),-- [animal_bone]
(22082,57,668,1361,0,700000),-- [adena]
(22082,2414,1,1,1,75.689053),-- [full_plate_helmet]
(22082,2959,1,1,1,5401.036314),-- [full_plate_helmet_design]
(22082,2497,1,1,1,108.129237),-- [full_plate_shield]
(22082,2966,1,1,1,8544.145396),-- [full_plate_shield_fragment]
(22082,1868,1,1,2,124918.791018),-- [thread]
(22082,1873,1,1,2,24983.7252),-- [silver_nugget]
(22082,5549,1,1,2,6245.9313),-- [iron_thread]
(22082,1889,1,1,2,4163.899194),-- [compound_braid]
(22082,4044,1,1,2,2082.032106),-- [thons]
(22082,4128,1,1,2,772.944312),-- [rp_adamantite_necklace]
(22082,8726,1,1,2,1445.887716),-- [general_55_c]
(22082,8736,1,1,2,361.38942),-- [special_55_c]
(22082,8746,1,1,2,36.138942),-- [rare_55_c]
(22082,8756,1,1,2,7.260792),-- [unique_55_c]
(22083,2959,1,1,-1,52739),-- [full_plate_helmet_design]
(22083,4148,1,1,-1,6687),-- [rp_avadon_robe]
(22083,2960,1,1,-1,83021),-- [drake_leather_boots_design]
(22083,57,603,1228,0,700000),-- [adena]
(22083,119,1,1,1,43.198338),-- [necklace_of_binding]
(22083,1920,1,1,1,3210.129915),-- [necklace_of_binding_chain]
(22083,855,1,1,1,57.589218),-- [nassen's_earing]
(22083,1918,1,1,1,4063.059384),-- [nassen's_earing_gemstone]
(22083,886,1,1,1,86.383827),-- [ring_of_binding]
(22083,2917,1,1,1,5388.639318),-- [ring_of_binding_gemstone]
(22083,1871,1,1,2,56295.95622),-- [charcoal]
(22083,1866,1,1,2,37530.70401),-- [suede]
(22083,1877,1,1,2,2251.874175),-- [admantite_nugget]
(22083,4041,1,1,2,489.494475),-- [mold_hardener]
(22083,4040,1,1,2,1125.88719),-- [mold_lubricant]
(22083,4134,1,1,2,433.010505),-- [rp_shrnoen's_gaiters]
(22083,8726,1,1,2,1303.12311),-- [general_55_c]
(22083,8736,1,1,2,325.830675),-- [special_55_c]
(22083,8746,1,1,2,32.53317),-- [rare_55_c]
(22083,8756,1,1,2,6.58647),-- [unique_55_c]
(22084,8311,1,1,-1,1209),-- [rp_bone_of_kaim_vanul]
(22084,4049,1,1,-1,83088),-- [adamantite_earing_gemstone]
(22084,947,1,1,-1,634),-- [scrl_of_ench_wp_b]
(22084,57,625,1276,0,700000),-- [adena]
(22084,12175,1,1,1,249.162664),-- [tunic_of_shrnoen_low]
(22084,4069,1,1,1,1838.681664),-- [tunic_of_shrnoen_fabric]
(22084,12176,1,1,1,398.916228),-- [hose_of_shrnoen_low]
(22084,4070,1,1,1,2791.756572),-- [hose_of_shrnoen_fabric]
(22084,12166,1,1,1,152.915492),-- [avadon_robe_low]
(22084,4071,1,1,1,1412.56738),-- [avadon_robe_fabric]
(22084,1871,1,1,2,46791.165736),-- [charcoal]
(22084,1866,1,1,2,31194.165788),-- [suede]
(22084,1877,1,1,2,1871.67649),-- [admantite_nugget]
(22084,4041,1,1,2,406.85013),-- [mold_hardener]
(22084,4040,1,1,2,935.796772),-- [mold_lubricant]
(22084,4134,1,1,2,359.902694),-- [rp_shrnoen's_gaiters]
(22084,8726,1,1,2,1083.108868),-- [general_55_c]
(22084,8736,1,1,2,270.81869),-- [special_55_c]
(22084,8746,1,1,2,27.040396),-- [rare_55_c]
(22084,8756,1,1,2,5.474436),-- [unique_55_c]
(22085,1874,1,1,-1,93121),-- [oriharukon_ore]
(22085,4043,1,1,-1,46560),-- [asofe]
(22085,1918,1,1,-1,60494),-- [nassen's_earing_gemstone]
(22085,57,552,1125,0,700000),-- [adena]
(22085,119,1,1,1,39.574102),-- [necklace_of_binding]
(22085,1920,1,1,1,2940.807785),-- [necklace_of_binding_chain]
(22085,855,1,1,1,52.757622),-- [nassen's_earing]
(22085,1918,1,1,1,3722.178536),-- [nassen's_earing_gemstone]
(22085,886,1,1,1,79.136433),-- [ring_of_binding]
(22085,2917,1,1,1,4936.545522),-- [ring_of_binding_gemstone]
(22085,1870,1,1,2,46885.901538),-- [coal]
(22085,1865,1,1,2,46885.901538),-- [varnish]
(22085,1874,1,1,2,3125.767386),-- [oriharukon_ore]
(22085,4043,1,1,2,1562.832922),-- [asofe]
(22085,4039,1,1,2,1562.832922),-- [mold_glue]
(22085,1806,1,1,2,93.723266),-- [rp_soulshot_b]
(22085,8297,1,1,2,35.742784),-- [rp_guardians_sword]
(22085,8726,1,1,2,1085.280896),-- [general_55_c]
(22085,8736,1,1,2,271.320224),-- [special_55_c]
(22085,8746,1,1,2,27.111714),-- [rare_55_c]
(22085,8756,1,1,2,5.58481),-- [unique_55_c]
(22086,4130,1,1,-1,26373),-- [rp_ring_of_black_ore]
(22086,4049,1,1,-1,85213),-- [adamantite_earing_gemstone]
(22086,4131,1,1,-1,13208),-- [rp_necklace_of_black_ore]
(22086,57,641,1309,0,700000),-- [adena]
(22086,12151,1,1,1,255.533714),-- [shrnoen's_leather_shirts_low]
(22086,4066,1,1,1,1885.696464),-- [shrnoen's_leather_shirts_fabric]
(22086,12150,1,1,1,409.116453),-- [shrnoen's_leather_gaiters_low]
(22086,4067,1,1,1,2863.141347),-- [shrnoen's_leather_gaiters_texture]
(22086,12165,1,1,1,156.825517),-- [avadon_leather_mail_low]
(22086,4068,1,1,1,1448.686505),-- [avadon_leather_mail_lining]
(22086,1870,1,1,2,43625.10072),-- [coal]
(22086,1865,1,1,2,43625.10072),-- [varnish]
(22086,1874,1,1,2,2908.37784),-- [oriharukon_ore]
(22086,4043,1,1,2,1454.14168),-- [asofe]
(22086,4039,1,1,2,1454.14168),-- [mold_glue]
(22086,1806,1,1,2,87.20504),-- [rp_soulshot_b]
(22086,8297,1,1,2,33.25696),-- [rp_guardians_sword]
(22086,8726,1,1,2,1009.80224),-- [general_55_c]
(22086,8736,1,1,2,252.45056),-- [special_55_c]
(22086,8746,1,1,2,25.22616),-- [rare_55_c]
(22086,8756,1,1,2,5.1964),-- [unique_55_c]
(22087,4050,1,1,-1,161543),-- [adamantite_ring_wire]
(22087,948,1,1,-1,6518),-- [scrl_of_ench_am_b]
(22087,1865,1,5,-1,869100),-- [varnish]
(22087,57,1029,2101,0,700000),-- [adena]
(22087,11915,1,1,1,110.18856),-- [kris_low]
(22087,4109,1,1,1,1084.81144),-- [kris_edge]
(22087,11919,1,1,1,110.18856),-- [hell_knife_low]
(22087,4110,1,1,1,1084.81144),-- [hell_knife_edge]
(22087,1864,1,1,2,140028.390366),-- [stem]
(22087,1865,1,1,2,70014.40857),-- [varnish]
(22087,1866,1,1,2,46676.27238),-- [suede]
(22087,1873,1,1,2,28005.763428),-- [silver_nugget]
(22087,1868,1,1,2,140028.390366),-- [thread]
(22087,948,1,1,2,174.97734),-- [scrl_of_ench_am_b]
(22087,8298,1,1,2,53.34675),-- [rp_guardians_sword_i]
(22087,8727,1,1,2,1400.245494),-- [general_58_b]
(22087,8737,1,1,2,349.95468),-- [special_58_b]
(22087,8747,1,1,2,34.995468),-- [rare_58_b]
(22087,8757,1,1,2,7.255158),-- [unique_58_b]
(22088,1867,1,5,-1,705071),-- [animal_skin]
(22088,4613,1,1,-1,2188),-- [dye_s4c4_c]
(22088,4051,1,1,-1,61524),-- [adamantite_necklace_chain]
(22088,57,626,1278,0,700000),-- [adena]
(22088,11889,1,1,1,44.69199),-- [great_sword_low]
(22088,4104,1,1,1,446.924283),-- [great_sword_blade]
(22088,11916,1,1,1,44.69199),-- [kshanberk_low]
(22088,4107,1,1,1,439.999143),-- [kshanberk_blade]
(22088,11900,1,1,1,44.69199),-- [sword_of_valhalla_low]
(22088,4108,1,1,1,440.000604),-- [sword_of_valhalla_blade]
(22088,1864,1,1,2,85200.06403),-- [stem]
(22088,1865,1,1,2,42600.16185),-- [varnish]
(22088,1866,1,1,2,28400.1079),-- [suede]
(22088,1873,1,1,2,17040.06474),-- [silver_nugget]
(22088,1868,1,1,2,85200.06403),-- [thread]
(22088,948,1,1,2,106.4647),-- [scrl_of_ench_am_b]
(22088,8298,1,1,2,32.45875),-- [rp_guardians_sword_i]
(22088,8727,1,1,2,851.97727),-- [general_58_b]
(22088,8737,1,1,2,212.9294),-- [special_58_b]
(22088,8747,1,1,2,21.29294),-- [rare_58_b]
(22088,8757,1,1,2,4.41439),-- [unique_58_b]
(22089,4154,1,1,-1,21580),-- [rp_doom_shield]
(22089,4056,1,1,-1,33004),-- [shrnoen's_breastplate_part]
(22089,4155,1,1,-1,5663),-- [rp_blue_wolve's_breastplate]
(22089,57,719,1469,0,700000),-- [adena]
(22089,11918,1,1,1,38.52585),-- [heavy_war_axe_low]
(22089,4105,1,1,1,385.26015),-- [heavy_war_axe_head]
(22089,11908,1,1,1,38.52585),-- [sprite's_staff_low]
(22089,4106,1,1,1,378.939),-- [sprite's_staff_head]
(22089,11902,1,1,1,38.52585),-- [spell_breaker_low]
(22089,8339,1,1,1,385.26015),-- [spell_breaker_head]
(22089,11904,1,1,1,38.52585),-- [ice_storm_hammer_low]
(22089,8347,1,1,1,346.4373),-- [ice_storm_hammer_head]
(22089,1873,1,1,2,21545.294904),-- [silver_nugget]
(22089,1868,1,1,2,107726.790024),-- [thread]
(22089,1876,1,1,2,10772.726328),-- [mithril_ore]
(22089,1895,1,1,2,15389.49636),-- [metallic_fiber]
(22089,4042,1,1,2,897.766632),-- [enria]
(22089,8312,1,1,2,41.173272),-- [rp_bone_of_kaim_vanul_i]
(22089,8727,1,1,2,1077.288408),-- [general_58_b]
(22089,8737,1,1,2,269.282664),-- [special_58_b]
(22089,8747,1,1,2,26.975592),-- [rare_58_b]
(22089,8757,1,1,2,5.205816),-- [unique_58_b]
(22090,4057,1,1,-1,52897),-- [shrnoen's_gaiters_material]
(22090,947,1,1,-1,756),-- [scrl_of_ench_wp_b]
(22090,1866,1,3,-1,630360),-- [suede]
(22090,57,747,1521,0,700000),-- [adena]
(22090,11918,1,1,1,39.950139),-- [heavy_war_axe_low]
(22090,4105,1,1,1,399.503101),-- [heavy_war_axe_head]
(22090,11908,1,1,1,39.950139),-- [sprite's_staff_low]
(22090,4106,1,1,1,392.94826),-- [sprite's_staff_head]
(22090,11902,1,1,1,39.950139),-- [spell_breaker_low]
(22090,8339,1,1,1,399.503101),-- [spell_breaker_head]
(22090,11904,1,1,1,39.950139),-- [ice_storm_hammer_low]
(22090,8347,1,1,1,359.244982),-- [ice_storm_hammer_head]
(22090,1873,1,1,2,22343.860623),-- [silver_nugget]
(22090,1868,1,1,2,111719.630313),-- [thread]
(22090,1876,1,1,2,11172.012111),-- [mithril_ore]
(22090,1895,1,1,2,15959.900445),-- [metallic_fiber]
(22090,4042,1,1,2,931.041909),-- [enria]
(22090,8312,1,1,2,42.699339),-- [rp_bone_of_kaim_vanul_i]
(22090,8727,1,1,2,1117.217571),-- [general_58_b]
(22090,8737,1,1,2,279.263493),-- [special_58_b]
(22090,8747,1,1,2,27.975429),-- [rare_58_b]
(22090,8757,1,1,2,5.398767),-- [unique_58_b]
(22091,1869,1,5,-1,664016),-- [iron_ore]
(22091,4614,1,1,-1,2748),-- [dye_s4d4_c]
(22091,8306,1,1,-1,1521),-- [rp_tears_of_wizard_i]
(22091,57,787,1603,0,700000),-- [adena]
(22091,12161,1,1,1,176.1697),-- [shrnoen's_breastplate_low]
(22091,4056,1,1,1,1331.212106),-- [shrnoen's_breastplate_part]
(22091,12152,1,1,1,281.79459),-- [shrnoen's_gaiters_low]
(22091,4057,1,1,1,2057.323604),-- [shrnoen's_gaiters_material]
(22091,12173,1,1,1,176.1697),-- [avadon_breastplate_low]
(22091,4064,1,1,1,1331.212106),-- [avadon_breastplate_part]
(22091,12172,1,1,1,281.79459),-- [avadon_gaiters_low]
(22091,4065,1,1,1,2057.323604),-- [avadon_gaiters_material]
(22091,1869,1,1,2,58842.070304),-- [iron_ore]
(22091,1870,1,1,2,58842.070304),-- [coal]
(22091,1871,1,1,2,58842.070304),-- [charcoal]
(22091,1872,1,1,2,78456.3175),-- [animal_bone]
(22091,1867,1,1,2,78456.3175),-- [animal_skin]
(22091,4154,1,1,2,696.45715),-- [rp_doom_shield]
(22091,8727,1,1,2,1176.760852),-- [general_58_b]
(22091,8737,1,1,2,294.358034),-- [special_58_b]
(22091,8747,1,1,2,29.536496),-- [rare_58_b]
(22091,8757,1,1,2,6.041556),-- [unique_58_b]
(22092,4157,1,1,-1,10280),-- [rp_blue_wolve's_gaiters]
(22092,4065,1,1,-1,57797),-- [avadon_gaiters_material]
(22092,8314,1,1,-1,1129),-- [rp_eye_of_soul_i]
(22092,57,816,1662,0,700000),-- [adena]
(22092,11889,1,1,1,58.21277),-- [great_sword_low]
(22092,4104,1,1,1,582.133409),-- [great_sword_blade]
(22092,11916,1,1,1,58.21277),-- [kshanberk_low]
(22092,4107,1,1,1,573.113189),-- [kshanberk_blade]
(22092,11900,1,1,1,58.21277),-- [sword_of_valhalla_low]
(22092,4108,1,1,1,573.115092),-- [sword_of_valhalla_blade]
(22092,1869,1,1,2,61033.11968),-- [iron_ore]
(22092,1870,1,1,2,61033.11968),-- [coal]
(22092,1871,1,1,2,61033.11968),-- [charcoal]
(22092,1872,1,1,2,81377.725),-- [animal_bone]
(22092,1867,1,1,2,81377.725),-- [animal_skin]
(22092,4154,1,1,2,722.3905),-- [rp_doom_shield]
(22092,8727,1,1,2,1220.57884),-- [general_58_b]
(22092,8737,1,1,2,305.31878),-- [special_58_b]
(22092,8747,1,1,2,30.63632),-- [rare_58_b]
(22092,8757,1,1,2,6.26652),-- [unique_58_b]
(22093,8316,1,1,-1,1117),-- [rp_dragon_flame_head_i]
(22093,4615,1,1,-1,4162),-- [dye_c4s4_c]
(22093,8300,1,1,-1,1649),-- [rp_inferno_master_i]
(22093,57,1193,2426,0,700000),-- [adena]
(22093,12151,1,1,1,474.55221),-- [shrnoen's_leather_shirts_low]
(22093,4066,1,1,1,3501.93096),-- [shrnoen's_leather_shirts_fabric]
(22093,12150,1,1,1,759.771045),-- [shrnoen's_leather_gaiters_low]
(22093,4067,1,1,1,5317.145955),-- [shrnoen's_leather_gaiters_texture]
(22093,12165,1,1,1,291.241005),-- [avadon_leather_mail_low]
(22093,4068,1,1,1,2690.358825),-- [avadon_leather_mail_lining]
(22093,1873,1,1,2,32407.956224),-- [silver_nugget]
(22093,1868,1,1,2,162039.428096),-- [thread]
(22093,1876,1,1,2,16203.8016),-- [mithril_ore]
(22093,1895,1,1,2,23148.489728),-- [metallic_fiber]
(22093,4042,1,1,2,1350.3168),-- [enria]
(22093,4157,1,1,2,403.153408),-- [rp_blue_wolve's_gaiters]
(22093,8728,1,1,2,1350.3168),-- [general_61_b]
(22093,8738,1,1,2,337.490944),-- [special_61_b]
(22093,8748,1,1,2,33.890304),-- [rare_61_b]
(22093,8758,1,1,2,6.707456),-- [unique_61_b]
(22093,1343,10,30,2,115742.44864),-- [silver_arrow]
(22094,4066,1,1,-1,43180),-- [shrnoen's_leather_shirts_fabric]
(22094,948,1,1,-1,4579),-- [scrl_of_ench_am_b]
(22094,4042,1,1,-1,30524),-- [enria]
(22094,57,726,1472,0,700000),-- [adena]
(22094,11918,1,1,1,38.689293),-- [heavy_war_axe_low]
(22094,4105,1,1,1,386.894587),-- [heavy_war_axe_head]
(22094,11908,1,1,1,38.689293),-- [sprite's_staff_low]
(22094,4106,1,1,1,380.54662),-- [sprite's_staff_head]
(22094,11902,1,1,1,38.689293),-- [spell_breaker_low]
(22094,8339,1,1,1,386.894587),-- [spell_breaker_head]
(22094,11904,1,1,1,38.689293),-- [ice_storm_hammer_low]
(22094,8347,1,1,1,347.907034),-- [ice_storm_hammer_head]
(22094,1873,1,1,2,21639.46204),-- [silver_nugget]
(22094,1868,1,1,2,108197.151762),-- [thread]
(22094,1876,1,1,2,10819.73102),-- [mithril_ore]
(22094,1895,1,1,2,15456.735966),-- [metallic_fiber]
(22094,4042,1,1,2,901.670658),-- [enria]
(22094,4157,1,1,2,269.186162),-- [rp_blue_wolve's_gaiters]
(22094,8728,1,1,2,901.670658),-- [general_61_b]
(22094,8738,1,1,2,225.457274),-- [special_61_b]
(22094,8748,1,1,2,22.498196),-- [rare_61_b]
(22094,8758,1,1,2,4.436264),-- [unique_61_b]
(22095,4159,1,1,-1,5380),-- [rp_blue_wolve's_leather_mail]
(22095,4068,1,1,-1,34399),-- [avadon_leather_mail_lining]
(22095,4160,1,1,-1,5380),-- [rp_leather_mail_of_doom]
(22095,57,753,1526,0,700000),-- [adena]
(22095,11915,1,1,1,80.267064),-- [kris_low]
(22095,4109,1,1,1,790.232936),-- [kris_edge]
(22095,11919,1,1,1,80.267064),-- [hell_knife_low]
(22095,4110,1,1,1,790.232936),-- [hell_knife_edge]
(22095,1865,1,1,2,46748.78988),-- [varnish]
(22095,1870,1,1,2,46748.78988),-- [coal]
(22095,1879,1,1,2,7791.46498),-- [cokes]
(22095,1875,1,1,2,3116.62065),-- [stone_of_purity]
(22095,4040,1,1,2,934.89955),-- [mold_lubricant]
(22095,4159,1,1,2,132.39356),-- [rp_blue_wolve's_leather_mail]
(22095,8306,1,1,2,35.69774),-- [rp_tears_of_wizard_i]
(22095,8728,1,1,2,779.11184),-- [general_61_b]
(22095,8738,1,1,2,194.77796),-- [special_61_b]
(22095,8748,1,1,2,19.40848),-- [rare_61_b]
(22095,8758,1,1,2,3.81238),-- [unique_61_b]
(22095,1343,10,30,2,66784.2331),-- [silver_arrow]
(22096,4052,1,1,-1,69634),-- [earing_of_black_ore_piece]
(22096,1875,1,1,-1,131122),-- [stone_of_purity]
(22096,4041,1,1,-1,17103),-- [mold_hardener]
(22096,57,780,1580,0,700000),-- [adena]
(22096,11935,1,1,1,18.9702),-- [deadman's_glory_low]
(22096,4116,1,1,1,253.78245),-- [deadman's_glory_stone]
(22096,11938,1,1,1,18.9702),-- [art_of_battle_axe_low]
(22096,4117,1,1,1,253.78245),-- [art_of_battle_axe_blade]
(22096,11934,1,1,1,18.9702),-- [staff_of_evil_sprit_low]
(22096,4118,1,1,1,240.44445),-- [staff_of_evil_sprit_head]
(22096,11941,1,1,1,18.9702),-- [bone_of_kaim_vanul_low]
(22096,8340,1,1,1,253.78245),-- [bone_of_kaim_vanul_head]
(22096,11936,1,1,1,18.9702),-- [star_buster_low]
(22096,8348,1,1,1,253.3572),-- [star_buster_head]
(22096,1865,1,1,2,52815.250437),-- [varnish]
(22096,1870,1,1,2,52815.250437),-- [coal]
(22096,1879,1,1,2,8802.521685),-- [cokes]
(22096,1875,1,1,2,3521.008674),-- [stone_of_purity]
(22096,4040,1,1,2,1056.350733),-- [mold_lubricant]
(22096,4159,1,1,2,149.566461),-- [rp_blue_wolve's_leather_mail]
(22096,8306,1,1,2,40.309545),-- [rp_tears_of_wizard_i]
(22096,8728,1,1,2,880.312332),-- [general_61_b]
(22096,8738,1,1,2,220.078083),-- [special_61_b]
(22096,8748,1,1,2,22.019841),-- [rare_61_b]
(22096,8758,1,1,2,4.331772),-- [unique_61_b]
(22097,4053,1,1,-1,98368),-- [ring_of_black_ore_gemstone]
(22097,1807,1,1,-1,3060),-- [rp_soulshot_a]
(22097,4054,1,1,-1,45202),-- [necklace_of_black_ore_beads]
(22097,57,910,1844,0,700000),-- [adena]
(22097,12201,1,1,1,150.366672),-- [blue_wolve's_tunic_low]
(22097,4084,1,1,1,1472.588784),-- [blue_wolve's_tunic_fabric]
(22097,12192,1,1,1,150.366672),-- [tunic_of_doom_low]
(22097,4085,1,1,1,1472.588784),-- [tunic_of_doom_pattern]
(22097,12203,1,1,1,240.719184),-- [blue_wolve's_hose_low]
(22097,4086,1,1,1,1988.32536),-- [blue_wolve's_hose_pattern]
(22097,12205,1,1,1,240.719184),-- [hose_of_doom_low]
(22097,4087,1,1,1,1988.32536),-- [hose_of_doom_pattern]
(22097,1865,1,1,2,52144.816815),-- [varnish]
(22097,1870,1,1,2,52144.816815),-- [coal]
(22097,1879,1,1,2,8690.899308),-- [cokes]
(22097,1875,1,1,2,3476.321121),-- [stone_of_purity]
(22097,4040,1,1,2,1042.838433),-- [mold_lubricant]
(22097,3035,1,1,2,69.48396),-- [rp_spiritshot_a]
(22097,8326,1,1,2,19.3011),-- [rp_doom_crusher_i]
(22097,8305,1,1,2,39.760266),-- [rp_tears_of_wizard]
(22097,8729,1,1,2,695.225622),-- [general_64_a]
(22097,8739,1,1,2,173.902911),-- [special_64_a]
(22097,8749,1,1,2,17.37099),-- [rare_64_a]
(22097,8759,1,1,2,3.474198),-- [unique_64_a]
(22097,1343,10,30,2,74492.788461),-- [silver_arrow]
(22098,3035,1,1,-1,3168),-- [rp_spiritshot_a]
(22098,4077,1,1,-1,106869),-- [doom_shield_fragment]
(22098,4039,1,1,-1,79190),-- [mold_glue]
(22098,57,942,1908,0,700000),-- [adena]
(22098,11930,1,1,1,38.21235),-- [sword_of_damascus_low]
(22098,4114,1,1,1,512.0742),-- [sword_of_damascus_blade]
(22098,11929,1,1,1,38.21235),-- [guardians_sword_low]
(22098,8330,1,1,1,511.2129),-- [guardians_sword_blade]
(22098,11943,1,1,1,38.21235),-- [tears_of_wizard_low]
(22098,8336,1,1,1,512.07585),-- [tears_of_wizard_blade]
(22098,1865,1,1,2,58478.571322),-- [varnish]
(22098,1870,1,1,2,58478.571322),-- [coal]
(22098,1879,1,1,2,9746.450706),-- [cokes]
(22098,1875,1,1,2,3898.633448),-- [stone_of_purity]
(22098,4040,1,1,2,1169.510286),-- [mold_lubricant]
(22098,3035,1,1,2,78.020518),-- [rp_spiritshot_a]
(22098,8326,1,1,2,21.664982),-- [rp_doom_crusher_i]
(22098,8305,1,1,2,44.659104),-- [rp_tears_of_wizard]
(22098,8729,1,1,2,779.673524),-- [general_64_a]
(22098,8739,1,1,2,194.984838),-- [special_64_a]
(22098,8749,1,1,2,19.538358),-- [rare_64_a]
(22098,8759,1,1,2,3.721592),-- [unique_64_a]
(22099,4039,1,1,-1,345184),-- [mold_glue]
(22099,4616,1,1,-1,14283),-- [dye_c4c4_c]
(22099,4049,1,1,-1,543169),-- [adamantite_earing_gemstone]
(22099,57,4084,8341,0,700000),-- [adena]
(22099,78,1,1,1,15.263371),-- [great_sword]
(22099,4104,1,1,1,2917.201987),-- [great_sword_blade]
(22099,142,1,1,1,15.263371),-- [kshanberk]
(22099,4107,1,1,1,2872.00395),-- [kshanberk_blade]
(22099,148,1,1,1,15.263371),-- [sword_of_valhalla]
(22099,4108,1,1,1,2872.00395),-- [sword_of_valhalla_blade]
(22099,1864,3,9,2,101961.985544),-- [stem]
(22099,1869,2,6,2,76471.22172),-- [iron_ore]
(22099,1878,1,1,2,122354.311336),-- [braided_hemp]
(22099,1884,2,6,2,37647.425552),-- [cord]
(22099,4039,1,1,2,10196.162896),-- [mold_glue]
(22099,947,1,1,2,122.308312),-- [scrl_of_ench_wp_b]
(22099,8727,1,1,2,6117.555104),-- [general_58_b]
(22099,8737,1,1,2,1529.388776),-- [special_58_b]
(22099,8747,1,1,2,152.974536),-- [rare_58_b]
(22099,8757,1,1,2,30.666224),-- [unique_58_b]
(22100,4129,1,1,-1,133766),-- [rp_earing_of_black_ore]
(22100,4050,1,1,-1,765795),-- [adamantite_ring_wire]
(22100,4130,1,1,-1,200648),-- [rp_ring_of_black_ore]
(22100,57,4881,9944,0,700000),-- [adena]
(22100,2384,1,1,1,101.669667),-- [shrnoen's_leather_shirts]
(22100,4066,1,1,1,14349.241764),-- [shrnoen's_leather_shirts_fabric]
(22100,2388,1,1,1,162.690462),-- [shrnoen's_leather_gaiters]
(22100,4067,1,1,1,21787.083087),-- [shrnoen's_leather_gaiters_texture]
(22100,2390,1,1,1,62.540379),-- [avadon_leather_mail]
(22100,4068,1,1,1,11023.774641),-- [avadon_leather_mail_lining]
(22100,1871,1,3,2,182546.816116),-- [charcoal]
(22100,1866,1,1,2,243395.908582),-- [suede]
(22100,1877,1,1,2,14603.726838),-- [admantite_nugget]
(22100,4041,1,1,2,3174.542724),-- [mold_hardener]
(22100,4040,1,1,2,7302.09406),-- [mold_lubricant]
(22100,948,1,1,2,912.877078),-- [scrl_of_ench_am_b]
(22100,8727,1,1,2,7302.09406),-- [general_58_b]
(22100,8737,1,1,2,1825.292874),-- [special_58_b]
(22100,8747,1,1,2,182.667672),-- [rare_58_b]
(22100,8757,1,1,2,35.979996),-- [unique_58_b]
(22101,4051,1,1,-1,419407),-- [adamantite_necklace_chain]
(22101,947,1,1,-1,4326),-- [scrl_of_ench_wp_b]
(22101,5220,1,1,-1,432576),-- [reinforcing_agent]
(22101,57,4271,8700,0,700000),-- [adena]
(22101,357,1,1,1,50.03775),-- [shrnoen's_breastplate]
(22101,4056,1,1,1,7229.491185),-- [shrnoen's_breastplate_part]
(22101,383,1,1,1,80.0604),-- [shrnoen's_gaiters]
(22101,4057,1,1,1,11172.8736),-- [shrnoen's_gaiters_material]
(22101,2376,1,1,1,50.03775),-- [avadon_breastplate]
(22101,4064,1,1,1,7229.491185),-- [avadon_breastplate_part]
(22101,2379,1,1,1,80.0604),-- [avadon_gaiters]
(22101,4065,1,1,1,11172.94773),-- [avadon_gaiters_material]
(22101,1866,1,1,2,212960.604012),-- [suede]
(22101,1871,1,3,2,159720.453009),-- [charcoal]
(22101,5220,1,1,2,12777.67036),-- [reinforcing_agent]
(22101,1885,1,1,2,26619.862256),-- [high_grade_suede]
(22101,4041,1,1,2,2777.735883),-- [mold_hardener]
(22101,4129,1,1,2,3457.136046),-- [rp_earing_of_black_ore]
(22101,8727,1,1,2,6388.83518),-- [general_58_b]
(22101,8737,1,1,2,1597.208795),-- [special_58_b]
(22101,8747,1,1,2,159.507634),-- [rare_58_b]
(22101,8757,1,1,2,31.986825),-- [unique_58_b]
(22102,1895,1,7,-1,772457),-- [metallic_fiber]
(22102,4617,1,1,-1,14916),-- [dye_d4s4_c]
(22102,4056,1,1,-1,195736),-- [shrnoen's_breastplate_part]
(22102,57,4271,8700,0,700000),-- [adena]
(22102,229,1,1,1,23.908578),-- [kris]
(22102,4109,1,1,1,4499.091422),-- [kris_edge]
(22102,243,1,1,1,23.908578),-- [hell_knife]
(22102,4110,1,1,1,4499.091422),-- [hell_knife_edge]
(22102,1873,1,1,2,127776.407142),-- [silver_nugget]
(22102,1868,3,9,2,106480.339285),-- [thread]
(22102,1876,1,1,2,63888.203571),-- [mithril_ore]
(22102,1895,1,1,2,91268.747056),-- [metallic_fiber]
(22102,4042,1,1,2,5324.117754),-- [enria]
(22102,8324,1,1,2,243.911195),-- [rp_star_buster_i]
(22102,8727,1,1,2,6388.860673),-- [general_58_b]
(22102,8737,1,1,2,1597.315958),-- [special_58_b]
(22102,8747,1,1,2,159.650964),-- [rare_58_b]
(22102,8757,1,1,2,31.446402),-- [unique_58_b]
(22103,4131,1,1,-1,88634),-- [rp_necklace_of_black_ore]
(22103,4057,1,1,-1,304949),-- [shrnoen's_gaiters_material]
(22103,4154,1,1,-1,129017),-- [rp_doom_shield]
(22103,57,4299,8781,0,700000),-- [adena]
(22103,357,1,1,1,50.44275),-- [shrnoen's_breastplate]
(22103,4056,1,1,1,7288.005885),-- [shrnoen's_breastplate_part]
(22103,383,1,1,1,80.7084),-- [shrnoen's_gaiters]
(22103,4057,1,1,1,11263.3056),-- [shrnoen's_gaiters_material]
(22103,2376,1,1,1,50.44275),-- [avadon_breastplate]
(22103,4064,1,1,1,7288.005885),-- [avadon_breastplate_part]
(22103,2379,1,1,1,80.7084),-- [avadon_gaiters]
(22103,4065,1,1,1,11263.38033),-- [avadon_gaiters_material]
(22103,1866,1,1,2,195167.589288),-- [suede]
(22103,1871,1,3,2,146375.400864),-- [charcoal]
(22103,5220,1,1,2,11710.06312),-- [reinforcing_agent]
(22103,1885,1,1,2,24395.900144),-- [high_grade_suede]
(22103,4041,1,1,2,2545.784024),-- [mold_hardener]
(22103,8305,1,1,2,223.566336),-- [rp_tears_of_wizard]
(22103,8323,1,1,2,223.566336),-- [rp_star_buster]
(22103,8727,1,1,2,5855.03156),-- [general_58_b]
(22103,8737,1,1,2,1463.660856),-- [special_58_b]
(22103,8747,1,1,2,146.327272),-- [rare_58_b]
(22103,8757,1,1,2,29.1102),-- [unique_58_b]
(22104,4064,1,1,-1,206116),-- [avadon_breastplate_part]
(22104,948,1,1,-1,28470),-- [scrl_of_ench_am_b]
(22104,4040,1,1,-1,227758),-- [mold_lubricant]
(22104,57,4497,9162,0,700000),-- [adena]
(22104,554,1,1,1,210.712224),-- [shrnoen's_boots]
(22104,4097,1,1,1,21885.787776),-- [shrnoen's_boots_design]
(22104,600,1,1,1,210.712224),-- [avadon_boots]
(22104,4098,1,1,1,21885.787776),-- [avadon_boots_design]
(22104,612,1,1,1,210.712224),-- [shrnoen's_gauntlet]
(22104,4100,1,1,1,21885.787776),-- [shrnoen's_gauntlet_part]
(22104,2464,1,1,1,210.712224),-- [avadon_gloves]
(22104,4073,1,1,1,21885.787776),-- [avadon_gloves_part]
(22104,1865,1,3,2,168190.4448),-- [varnish]
(22104,1870,1,3,2,112126.837158),-- [coal]
(22104,1879,1,1,2,56063.607642),-- [cokes]
(22104,1875,1,1,2,22425.518682),-- [stone_of_purity]
(22104,4040,1,1,2,6727.617792),-- [mold_lubricant]
(22104,4154,1,1,2,3980.910528),-- [rp_doom_shield]
(22104,8727,1,1,2,6727.617792),-- [general_58_b]
(22104,8737,1,1,2,1681.904448),-- [special_58_b]
(22104,8747,1,1,2,168.26607),-- [rare_58_b]
(22104,8757,1,1,2,33.275088),-- [unique_58_b]
(22105,1875,1,1,-1,559892),-- [stone_of_purity]
(22105,5478,1,1,-1,70622),-- [sealed_dark_crystal_leather_mail_pattern]
(22105,5434,1,1,-1,3111),-- [rp_dragon_slayer_i]
(22105,57,4141,8456,0,700000),-- [adena]
(22105,212,1,1,1,5.49879),-- [dasparion's_staff]
(22105,5543,1,1,1,1319.662242),-- [dasparion's_staff_head]
(22105,2504,1,1,1,5.49879),-- [meteor_shower]
(22105,5532,1,1,1,1307.338638),-- [meteor_shower_head]
(22105,7894,1,1,1,5.49879),-- [eye_of_soul]
(22105,8341,1,1,1,1305.665322),-- [eye_of_soul_piece]
(22105,7899,1,1,1,5.49879),-- [hammer_of_destroyer]
(22105,8346,1,1,1,1307.338638),-- [hammer_of_destroyer_piece]
(22105,1872,1,3,2,206729.341574),-- [animal_bone]
(22105,1867,1,3,2,137819.423357),-- [animal_skin]
(22105,1881,1,1,2,41345.703084),-- [coarse_bone_powder]
(22105,1875,1,1,2,20672.851542),-- [stone_of_purity]
(22105,4041,1,1,2,2696.566656),-- [mold_hardener]
(22105,3957,1,1,2,137.967718),-- [rp_blessed_spiritshot_s]
(22105,8731,1,1,2,2871.298227),-- [general_70_a]
(22105,8741,1,1,2,717.927826),-- [special_70_a]
(22105,8751,1,1,2,71.875398),-- [rare_70_a]
(22105,8761,1,1,2,14.044618),-- [unique_70_a]
(22106,5479,1,1,-1,51240),-- [sealed_tallum_leather_mail_pattern]
(22106,5440,1,1,-1,3207),-- [rp_elysian_i]
(22106,5482,1,1,-1,114296),-- [sealed_legging_of_dark_crystal_design]
(22106,57,4276,8707,0,700000),-- [adena]
(22106,212,1,1,1,5.67017),-- [dasparion's_staff]
(22106,5543,1,1,1,1360.791966),-- [dasparion's_staff_head]
(22106,2504,1,1,1,5.67017),-- [meteor_shower]
(22106,5532,1,1,1,1348.084274),-- [meteor_shower_head]
(22106,7894,1,1,1,5.67017),-- [eye_of_soul]
(22106,8341,1,1,1,1346.358806),-- [eye_of_soul_piece]
(22106,7899,1,1,1,5.67017),-- [hammer_of_destroyer]
(22106,8346,1,1,1,1348.084274),-- [hammer_of_destroyer_piece]
(22106,1872,1,3,2,193781.973372),-- [animal_bone]
(22106,1867,1,3,2,129187.982248),-- [animal_skin]
(22106,1881,1,1,2,38756.299066),-- [coarse_bone_powder]
(22106,1875,1,1,2,19378.388554),-- [stone_of_purity]
(22106,4041,1,1,2,2527.408054),-- [mold_hardener]
(22106,3957,1,1,2,129.07134),-- [rp_blessed_spiritshot_s]
(22106,8731,1,1,2,2691.37646),-- [general_70_a]
(22106,8741,1,1,2,673.083136),-- [special_70_a]
(22106,8751,1,1,2,67.403922),-- [rare_70_a]
(22106,8761,1,1,2,13.385176),-- [unique_70_a]
(22106,1344,40,120,2,90835.628672),-- [mithril_arrow]
(22107,729,1,1,-1,991),-- [scrl_of_ench_wp_a]
(22107,4039,1,1,-1,297302),-- [mold_glue]
(22107,4041,1,1,-1,77557),-- [mold_hardener]
(22107,57,4401,8971,0,700000),-- [adena]
(22107,98,1,1,1,23.357864),-- [halbard]
(22107,5542,1,1,1,5552.642136),-- [halbard_edge]
(22107,1894,1,1,2,12838.936384),-- [crafted_leather]
(22107,4039,1,1,2,12196.980582),-- [mold_glue]
(22107,4041,1,1,2,3181.797588),-- [mold_hardener]
(22107,4044,1,1,2,12196.980582),-- [thons]
(22107,3957,1,1,2,162.633594),-- [rp_blessed_spiritshot_s]
(22107,8731,1,1,2,3388.042676),-- [general_70_a]
(22107,8741,1,1,2,847.033126),-- [special_70_a]
(22107,8751,1,1,2,84.707804),-- [rare_70_a]
(22107,8761,1,1,2,16.887664),-- [unique_70_a]
(22108,5485,1,1,-1,104604),-- [sealed_tallum_tunic_texture]
(22108,5442,1,1,-1,4607),-- [rp_soul_bow_i]
(22108,5486,1,1,-1,73607),-- [sealed_dark_crystal_robe_fabric]
(22108,57,6139,12513,0,700000),-- [adena]
(22108,5297,1,1,1,57.319341),-- [sealed_dark_crystal_leather_mail]
(22108,5478,1,1,1,6436.619821),-- [sealed_dark_crystal_leather_mail_pattern]
(22108,5298,1,1,1,91.664189),-- [sealed_legging_of_dark_crystal]
(22108,5482,1,1,1,10102.868586),-- [sealed_legging_of_dark_crystal_design]
(22108,5301,1,1,1,35.258727),-- [sealed_tallum_leather_mail]
(22108,5479,1,1,1,4529.269336),-- [sealed_tallum_leather_mail_pattern]
(22108,1869,2,6,2,164038.266112),-- [iron_ore]
(22108,1864,5,15,2,131230.788768),-- [stem]
(22108,1880,1,1,2,65615.394384),-- [steel]
(22108,5550,1,1,2,8748.631312),-- [reinforcing_plate]
(22108,4043,1,1,2,21871.798128),-- [asofe]
(22108,10302,1,1,2,2624.545424),-- [sb_transform_heretic]
(22108,1344,180,540,2,45566.575872),-- [mithril_arrow]
(22109,5448,1,1,-1,4546),-- [rp_soul_separator_i]
(22109,5489,1,1,-1,162002),-- [sealed_tallum_hose_fabric]
(22109,730,1,1,-1,10228),-- [scrl_of_ench_am_a]
(22109,57,6057,12346,0,700000),-- [adena]
(22109,5287,1,1,1,42.41041),-- [sealed_dark_crystal_breastplate]
(22109,5520,1,1,1,4871.12717),-- [sealed_dark_crystal_breastplate_pattern]
(22109,5288,1,1,1,67.86619),-- [sealed_dark_crystal_gaiters]
(22109,5524,1,1,1,7445.21183),-- [sealed_dark_crystal_gaiters_pattern]
(22109,5293,1,1,1,26.10727),-- [sealed_tallum_plate_armor]
(22109,5521,1,1,1,3437.27713),-- [sealed_tallum_plate_armor_pattern]
(22109,1864,21,63,2,35967.96414),-- [stem]
(22109,1869,2,6,2,188830.62279),-- [iron_ore]
(22109,1878,3,9,2,50354.99127),-- [braided_hemp]
(22109,1884,2,6,2,92962.81692),-- [cord]
(22109,4039,1,1,2,25177.495635),-- [mold_glue]
(22109,10302,1,1,2,3021.109245),-- [sb_transform_heretic]
(22110,1885,1,1,-1,774742),-- [high_grade_suede]
(22110,4041,1,1,-1,80843),-- [mold_hardener]
(22110,5494,1,1,-1,195252),-- [sealed_dark_crystal_shield_fragment]
(22110,57,4588,9352,0,700000),-- [adena]
(22110,5287,1,1,1,32.124084),-- [sealed_dark_crystal_breastplate]
(22110,5520,1,1,1,3689.671908),-- [sealed_dark_crystal_breastplate_pattern]
(22110,5288,1,1,1,51.405756),-- [sealed_dark_crystal_gaiters]
(22110,5524,1,1,1,5639.431692),-- [sealed_dark_crystal_gaiters_pattern]
(22110,5293,1,1,1,19.775148),-- [sealed_tallum_plate_armor]
(22110,5521,1,1,1,2603.591412),-- [sealed_tallum_plate_armor_pattern]
(22110,1866,2,6,2,81731.108396),-- [suede]
(22110,1871,1,3,2,163461.843594),-- [charcoal]
(22110,5220,1,1,2,19615.28688),-- [reinforcing_agent]
(22110,1885,1,1,2,40865.554198),-- [high_grade_suede]
(22110,4041,1,1,2,4264.160348),-- [mold_hardener]
(22110,10302,1,1,2,1961.528688),-- [sb_transform_heretic]
(22110,1344,100,300,2,61298.517896),-- [mithril_arrow]
(22111,1808,1,1,-1,3980),-- [rp_soulshot_s]
(22111,5480,1,1,-1,40184),-- [sealed_leather_mail_of_nightmare_fabric]
(22111,3036,1,1,-1,3980),-- [rp_spiritshot_s]
(22111,57,4417,9013,0,700000),-- [adena]
(22111,212,1,1,1,5.863495),-- [dasparion's_staff]
(22111,5543,1,1,1,1407.188301),-- [dasparion's_staff_head]
(22111,2504,1,1,1,5.863495),-- [meteor_shower]
(22111,5532,1,1,1,1394.047339),-- [meteor_shower_head]
(22111,7894,1,1,1,5.863495),-- [eye_of_soul]
(22111,8341,1,1,1,1392.263041),-- [eye_of_soul_piece]
(22111,7899,1,1,1,5.863495),-- [hammer_of_destroyer]
(22111,8346,1,1,1,1394.047339),-- [hammer_of_destroyer_piece]
(22111,1870,1,3,2,165326.624265),-- [coal]
(22111,1865,1,3,2,110217.533712),-- [varnish]
(22111,1874,1,1,2,22043.442003),-- [oriharukon_ore]
(22111,4043,1,1,2,11021.88285),-- [asofe]
(22111,4039,1,1,2,11021.88285),-- [mold_glue]
(22111,5272,1,1,2,146.958438),-- [rp_adv_comp_soulshot_s]
(22111,8731,1,1,2,3061.526226),-- [general_70_a]
(22111,8741,1,1,2,765.543405),-- [special_70_a]
(22111,8751,1,1,2,76.392492),-- [rare_70_a]
(22111,8761,1,1,2,15.213759),-- [unique_70_a]
(22112,5478,1,1,-1,95559),-- [sealed_dark_crystal_leather_mail_pattern]
(22112,729,1,1,-1,1263),-- [scrl_of_ench_wp_a]
(22112,4041,1,1,-1,98816),-- [mold_hardener]
(22112,57,5608,11431,0,700000),-- [adena]
(22112,5289,1,1,1,104.68714),-- [sealed_dark_crystal_helmet]
(22112,5525,1,1,1,10810.753104),-- [sealed_dark_crystal_helmet_design]
(22112,5292,1,1,1,149.60544),-- [sealed_dark_crystal_shield]
(22112,5494,1,1,1,14687.55074),-- [sealed_dark_crystal_shield_fragment]
(22112,5294,1,1,1,104.68714),-- [sealed_tallum_bonnet]
(22112,5526,1,1,1,10810.716436),-- [sealed_tallum_bonnet_design]
(22112,1872,4,12,2,116552.36797),-- [animal_bone]
(22112,1867,7,21,2,62161.43756),-- [animal_skin]
(22112,1881,1,1,2,93241.828885),-- [coarse_bone_powder]
(22112,1875,1,1,2,46621.07817),-- [stone_of_purity]
(22112,4041,1,1,2,6080.83935),-- [mold_hardener]
(22112,10302,1,1,2,2797.448065),-- [sb_transform_heretic]
(22113,1875,1,3,-1,475374),-- [stone_of_purity]
(22113,5480,1,1,-1,63993),-- [sealed_leather_mail_of_nightmare_fabric]
(22113,3957,1,1,-1,6338),-- [rp_blessed_spiritshot_s]
(22113,57,7035,14354,0,700000),-- [adena]
(22113,80,1,1,1,12.449766),-- [tallum_blade]
(22113,5548,1,1,1,2985.33326),-- [tallum_blade_edge]
(22113,150,1,1,1,12.449766),-- [elemental_sword]
(22113,5547,1,1,1,2985.33326),-- [elemental_sword_edge]
(22113,7884,1,1,1,12.449766),-- [inferno_master]
(22113,8331,1,1,1,2993.984182),-- [inferno_master_blade]
(22113,1872,5,15,2,63826.407948),-- [animal_bone]
(22113,1867,9,27,2,35459.351972),-- [animal_skin]
(22113,1881,1,1,2,63826.407948),-- [coarse_bone_powder]
(22113,1875,1,1,2,31913.381308),-- [stone_of_purity]
(22113,4041,1,1,2,4162.738316),-- [mold_hardener]
(22113,5282,1,1,2,212.8008),-- [rp_adv_comp_bspiritshot_s]
(22113,8731,1,1,2,4432.285996),-- [general_70_a]
(22113,8741,1,1,2,1107.982832),-- [special_70_a]
(22113,8751,1,1,2,110.656416),-- [rare_70_a]
(22113,8761,1,1,2,21.989416),-- [unique_70_a]
(22113,1344,40,120,2,149593.997048),-- [mithril_arrow]
(22114,5481,1,1,-1,42968),-- [sealed_majestic_leather_mail_fabric]
(22114,5157,1,1,-1,4256),-- [rp_comp_soulshot_s]
(22114,5487,1,1,-1,43119),-- [sealed_robe_of_nightmare_fabric]
(22114,57,4723,9638,0,700000),-- [adena]
(22114,80,1,1,1,8.360235),-- [tallum_blade]
(22114,5548,1,1,1,2004.70335),-- [tallum_blade_edge]
(22114,150,1,1,1,8.360235),-- [elemental_sword]
(22114,5547,1,1,1,2004.70335),-- [elemental_sword_edge]
(22114,7884,1,1,1,8.360235),-- [inferno_master]
(22114,8331,1,1,1,2010.512595),-- [inferno_master_blade]
(22114,1873,1,1,2,141423.43495),-- [silver_nugget]
(22114,1868,3,9,2,117853.00954),-- [thread]
(22114,1876,1,1,2,70711.717475),-- [mithril_ore]
(22114,1895,1,1,2,101016.86532),-- [metallic_fiber]
(22114,4042,1,1,2,5892.826975),-- [enria]
(22114,1808,1,1,2,157.08322),-- [rp_soulshot_s]
(22114,8731,1,1,2,3273.596655),-- [general_70_a]
(22114,8741,1,1,2,818.509475),-- [special_70_a]
(22114,8751,1,1,2,81.630325),-- [rare_70_a]
(22114,8761,1,1,2,16.326065),-- [unique_70_a]
(22115,4041,1,1,-1,68518),-- [mold_hardener]
(22115,1875,1,1,-1,525307),-- [stone_of_purity]
(22115,5488,1,1,-1,35483),-- [sealed_majestic_robe_fabric]
(22115,57,3877,7938,0,700000),-- [adena]
(22115,80,1,1,1,6.879042),-- [tallum_blade]
(22115,5548,1,1,1,1649.52762),-- [tallum_blade_edge]
(22115,150,1,1,1,6.879042),-- [elemental_sword]
(22115,5547,1,1,1,1649.52762),-- [elemental_sword_edge]
(22115,7884,1,1,1,6.879042),-- [inferno_master]
(22115,8331,1,1,1,1654.307634),-- [inferno_master_blade]
(22115,1872,1,3,2,193959.679287),-- [animal_bone]
(22115,1867,1,3,2,129306.452858),-- [animal_skin]
(22115,1881,1,1,2,38792.031482),-- [coarse_bone_powder]
(22115,1875,1,1,2,19396.015741),-- [stone_of_purity]
(22115,4041,1,1,2,2529.748793),-- [mold_hardener]
(22115,3036,1,1,2,129.09321),-- [rp_spiritshot_s]
(22115,8732,1,1,2,2424.561733),-- [general_75_s]
(22115,8742,1,1,2,606.259964),-- [special_75_s]
(22115,8752,1,1,2,60.721621),-- [rare_75_s]
(22115,1344,40,120,2,90918.435311),-- [mithril_arrow]
(22116,5162,1,1,-1,3604),-- [rp_comp_spiritshot_s]
(22116,5495,1,1,-1,123133),-- [sealed_shield_of_nightmare_fragment]
(22116,5167,1,1,-1,3604),-- [rp_comp_bspiritshot_s]
(22116,57,3997,8166,0,700000),-- [adena]
(22116,269,1,1,1,21.23823),-- [blood_tornado]
(22116,5539,1,1,1,5048.76177),-- [blood_tornado_edge]
(22116,1866,1,1,2,221782.717825),-- [suede]
(22116,1871,1,3,2,166337.1473),-- [charcoal]
(22116,5220,1,1,2,13307.0415),-- [reinforcing_agent]
(22116,1885,1,1,2,27723.003125),-- [high_grade_suede]
(22116,4041,1,1,2,2892.778275),-- [mold_hardener]
(22116,3957,1,1,2,147.710775),-- [rp_blessed_spiritshot_s]
(22116,8732,1,1,2,2772.08245),-- [general_75_s]
(22116,8742,1,1,2,693.238475),-- [special_75_s]
(22116,8752,1,1,2,69.280275),-- [rare_75_s]
(22117,5502,1,1,-1,140851),-- [sealed_boots_of_nightmare_lining]
(22117,5550,1,1,-1,111197),-- [reinforcing_plate]
(22117,4043,1,1,-1,277993),-- [asofe]
(22117,57,4113,8395,0,700000),-- [adena]
(22117,98,1,1,1,21.841446),-- [halbard]
(22117,5542,1,1,1,5192.158554),-- [halbard_edge]
(22117,1869,2,6,2,76982.53098),-- [iron_ore]
(22117,1864,5,15,2,61586.024784),-- [stem]
(22117,1880,1,1,2,30793.012392),-- [steel]
(22117,5550,1,1,2,4105.819104),-- [reinforcing_plate]
(22117,4043,1,1,2,10264.232316),-- [asofe]
(22117,5157,1,1,2,136.902696),-- [rp_comp_soulshot_s]
(22117,8732,1,1,2,2566.13694),-- [general_75_s]
(22117,8742,1,1,2,641.613096),-- [special_75_s]
(22117,8752,1,1,2,64.035132),-- [rare_75_s]
(22117,1344,30,90,2,128303.69256),-- [mithril_arrow]
(22118,5503,1,1,-1,197084),-- [sealed_magestic_boots_lining]
(22118,5272,1,1,-1,5186),-- [rp_adv_comp_soulshot_s]
(22118,5514,1,1,-1,197084),-- [sealed_gloves_of_nightmare_design]
(22118,57,5754,11742,0,700000),-- [adena]
(22118,6326,1,1,1,71.88352),-- [sealed_majestic_necklace]
(22118,6344,1,1,1,10525.98864),-- [sealed_majestic_necklace_beads]
(22118,6327,1,1,1,95.86152),-- [sealed_majestic_earing]
(22118,6342,1,1,1,16265.31224),-- [sealed_majestic_earing_gemstone]
(22118,6328,1,1,1,143.76704),-- [sealed_majestic_ring]
(22118,6346,1,1,1,23377.18704),-- [sealed_majestic_ring_gemstrone]
(22118,1867,4,12,2,79790.512668),-- [animal_skin]
(22118,1872,1,3,2,212775.129284),-- [animal_bone]
(22118,1882,1,1,2,106387.350224),-- [leather]
(22118,1894,1,1,2,16797.934956),-- [crafted_leather]
(22118,4042,1,1,2,7978.922616),-- [enria]
(22118,959,1,1,2,19.29762),-- [scrl_of_ench_wp_s]
(22118,8732,1,1,2,3989.461308),-- [general_75_s]
(22118,8742,1,1,2,997.472536),-- [special_75_s]
(22118,8752,1,1,2,99.918788),-- [rare_75_s]
(22119,5277,1,1,-1,3838),-- [rp_adv_comp_spiritshot_s]
(22119,5515,1,1,-1,145843),-- [sealed_magestic_gloves_design]
(22119,4042,1,1,-1,143923),-- [enria]
(22119,57,4258,8689,0,700000),-- [adena]
(22119,6326,1,1,1,53.19352),-- [sealed_majestic_necklace]
(22119,6344,1,1,1,7789.18989),-- [sealed_majestic_necklace_beads]
(22119,6327,1,1,1,70.937145),-- [sealed_majestic_earing]
(22119,6342,1,1,1,12036.266615),-- [sealed_majestic_earing_gemstone]
(22119,6328,1,1,1,106.38704),-- [sealed_majestic_ring]
(22119,6346,1,1,1,17299.02579),-- [sealed_majestic_ring_gemstrone]
(22119,1873,1,1,2,127537.520055),-- [silver_nugget]
(22119,1868,4,12,2,79710.900345),-- [thread]
(22119,1876,1,1,2,63768.56127),-- [mithril_ore]
(22119,1895,1,1,2,91098.115035),-- [metallic_fiber]
(22119,4042,1,1,2,5313.98052),-- [enria]
(22119,960,1,1,2,127.602315),-- [scrl_of_ench_am_s]
(22119,8732,1,1,2,2656.99026),-- [general_75_s]
(22119,8742,1,1,2,664.247565),-- [special_75_s]
(22119,8752,1,1,2,66.385005),-- [rare_75_s]
(22119,1344,150,450,2,26570.69763),-- [mithril_arrow]
(22120,5522,1,1,-1,56599),-- [sealed_armor_of_nightmare_pattern]
(22120,5282,1,1,-1,7387),-- [rp_adv_comp_bspiritshot_s]
(22120,57,5463,11149,0,700000),-- [adena]
(22120,5313,1,1,1,75.480768),-- [sealed_gloves_of_nightmare]
(22120,5514,1,1,1,8636.519232),-- [sealed_gloves_of_nightmare_design]
(22120,5314,1,1,1,75.480768),-- [sealed_boots_of_nightmare]
(22120,5502,1,1,1,8636.519232),-- [sealed_boots_of_nightmare_lining]
(22120,5318,1,1,1,75.480768),-- [sealed_magestic_gloves]
(22120,5515,1,1,1,8636.519232),-- [sealed_magestic_gloves_design]
(22120,5319,1,1,1,75.480768),-- [sealed_magestic_boots]
(22120,5503,1,1,1,8636.519232),-- [sealed_magestic_boots_lining]
(22120,1869,2,6,2,113639.63046),-- [iron_ore]
(22120,1870,2,6,2,90911.63354),-- [coal]
(22120,1871,3,9,2,75759.75364),-- [charcoal]
(22120,1872,7,21,2,43291.13602),-- [animal_bone]
(22120,1867,12,36,2,25253.36926),-- [animal_skin]
(22120,6901,1,1,2,454.71576),-- [rp_shining_arrow]
(22120,8732,1,1,2,3787.88144),-- [general_75_s]
(22120,8742,1,1,2,946.97036),-- [special_75_s]
(22120,8752,1,1,2,94.90952),-- [rare_75_s]
(22121,5523,1,1,-1,29268),-- [sealed_majestic_platte_armor_pattern]
(22121,1808,1,1,-1,3820),-- [rp_soulshot_s]
(22121,5527,1,1,-1,102753),-- [sealed_helm_of_nightmare_design]
(22121,57,4237,8649,0,700000),-- [adena]
(22121,5326,1,1,1,24.028472),-- [sealed_robe_of_nightmare]
(22121,5487,1,1,1,3571.971528),-- [sealed_robe_of_nightmare_fabric]
(22121,5329,1,1,1,24.028472),-- [sealed_majestic_robe]
(22121,5488,1,1,1,3571.971528),-- [sealed_majestic_robe_fabric]
(22121,1864,4,12,2,113330.646099),-- [stem]
(22121,1869,2,6,2,90664.422093),-- [iron_ore]
(22121,1878,1,1,2,181328.844186),-- [braided_hemp]
(22121,1884,3,9,2,46494.526824),-- [cord]
(22121,4039,1,1,2,15110.816004),-- [mold_glue]
(22121,959,1,1,2,18.009378),-- [scrl_of_ench_wp_s]
(22121,1344,210,630,2,26983.735416),-- [mithril_arrow]
(22122,6901,1,1,-1,11538),-- [rp_shining_arrow]
(22122,6346,1,1,-1,375658),-- [sealed_majestic_ring_gemstrone]
(22122,4040,1,1,-1,230766),-- [mold_lubricant]
(22122,57,5688,11612,0,700000),-- [adena]
(22122,5313,1,1,1,78.60414),-- [sealed_gloves_of_nightmare]
(22122,5514,1,1,1,8993.89586),-- [sealed_gloves_of_nightmare_design]
(22122,5314,1,1,1,78.60414),-- [sealed_boots_of_nightmare]
(22122,5502,1,1,1,8993.89586),-- [sealed_boots_of_nightmare_lining]
(22122,5318,1,1,1,78.60414),-- [sealed_magestic_gloves]
(22122,5515,1,1,1,8993.89586),-- [sealed_magestic_gloves_design]
(22122,5319,1,1,1,78.60414),-- [sealed_magestic_boots]
(22122,5503,1,1,1,8993.89586),-- [sealed_magestic_boots_lining]
(22122,1865,4,12,2,88756.297632),-- [varnish]
(22122,1870,7,21,2,47336.565568),-- [coal]
(22122,1879,1,1,2,118341.41392),-- [cokes]
(22122,1875,1,1,2,47336.565568),-- [stone_of_purity]
(22122,4040,1,1,2,14200.843168),-- [mold_lubricant]
(22122,960,1,1,2,284.314144),-- [scrl_of_ench_am_s]
(22123,6342,1,1,-1,264323),-- [sealed_majestic_earing_gemstone]
(22123,5282,1,1,-1,5186),-- [rp_adv_comp_bspiritshot_s]
(22123,6344,1,1,-1,171056),-- [sealed_majestic_necklace_beads]
(22123,57,5741,11756,0,700000),-- [adena]
(22123,5312,1,1,1,70.676736),-- [sealed_helm_of_nightmare]
(22123,5527,1,1,1,8585.043092),-- [sealed_helm_of_nightmare_design]
(22123,5315,1,1,1,101.003172),-- [sealed_shield_of_nightmare]
(22123,5495,1,1,1,10903.557172),-- [sealed_shield_of_nightmare_fragment]
(22123,5317,1,1,1,70.676736),-- [sealed_magestic_circlet]
(22123,5528,1,1,1,8585.043092),-- [sealed_magestic_circlet_design]
(22123,1895,1,1,2,153870.98702),-- [metallic_fiber]
(22123,4040,1,1,2,10771.05218),-- [mold_lubricant]
(22123,4042,1,1,2,8975.74493),-- [enria]
(22123,4043,1,1,2,17951.68769),-- [asofe]
(22123,6901,1,1,2,538.49326),-- [rp_shining_arrow]
(22123,8732,1,1,2,4487.97138),-- [general_75_s]
(22123,8742,1,1,2,1121.89393),-- [special_75_s]
(22123,8752,1,1,2,112.16961),-- [rare_75_s]
(22124,4040,1,1,-1,185092),-- [mold_lubricant]
(22124,5480,1,1,-1,41527),-- [sealed_leather_mail_of_nightmare_fabric]
(22124,1808,1,1,-1,4113),-- [rp_soulshot_s]
(22124,57,4553,9324,0,700000),-- [adena]
(22124,6326,1,1,1,57.008416),-- [sealed_majestic_necklace]
(22124,6344,1,1,1,8347.809612),-- [sealed_majestic_necklace_beads]
(22124,6327,1,1,1,76.024566),-- [sealed_majestic_earing]
(22124,6342,1,1,1,12899.475242),-- [sealed_majestic_earing_gemstone]
(22124,6328,1,1,1,114.016832),-- [sealed_majestic_ring]
(22124,6346,1,1,1,18539.665332),-- [sealed_majestic_ring_gemstrone]
(22124,1873,1,1,2,151870.17367),-- [silver_nugget]
(22124,1868,3,9,2,126558.162579),-- [thread]
(22124,1876,1,1,2,75935.086835),-- [mithril_ore]
(22124,1895,1,1,2,108478.357465),-- [metallic_fiber]
(22124,4042,1,1,2,6327.884468),-- [enria]
(22124,959,1,1,2,15.143008),-- [scrl_of_ench_wp_s]
(22124,8732,1,1,2,3163.942234),-- [general_75_s]
(22124,8742,1,1,2,791.222168),-- [special_75_s]
(22124,8752,1,1,2,79.027573),-- [rare_75_s]
(22125,5481,1,1,-1,41603),-- [sealed_majestic_leather_mail_fabric]
(22125,3036,1,1,-1,4121),-- [rp_spiritshot_s]
(22125,5487,1,1,-1,41751),-- [sealed_robe_of_nightmare_fabric]
(22125,57,4561,9343,0,700000),-- [adena]
(22125,305,1,1,1,16.50384),-- [tallum_glaive]
(22125,5541,1,1,1,4693.49616),-- [tallum_glaive_edge]
(22125,1895,1,1,2,195619.46802),-- [metallic_fiber]
(22125,4040,1,1,2,13693.41884),-- [mold_lubricant]
(22125,4042,1,1,2,11411.01982),-- [enria]
(22125,4043,1,1,2,22822.28346),-- [asofe]
(22125,960,1,1,2,273.80986),-- [scrl_of_ench_am_s]
(22126,5550,1,1,-1,126630),-- [reinforcing_plate]
(22126,4043,1,1,-1,316576),-- [asofe]
(22126,5488,1,1,-1,42767),-- [sealed_majestic_robe_fabric]
(22126,57,4672,9570,0,700000),-- [adena]
(22126,5311,1,1,1,19.914443),-- [sealed_armor_of_nightmare]
(22126,5522,1,1,1,2985.585557),-- [sealed_armor_of_nightmare_pattern]
(22126,5316,1,1,1,19.914443),-- [sealed_majestic_platte_armor]
(22126,5523,1,1,1,2985.585557),-- [sealed_majestic_platte_armor_pattern]
(22126,1868,3,9,2,129877.243314),-- [thread]
(22126,1873,1,1,2,155852.765614),-- [silver_nugget]
(22126,5549,1,1,2,38963.28345),-- [iron_thread]
(22126,1889,1,1,2,25975.5223),-- [compound_braid]
(22126,4044,1,1,2,12987.76115),-- [thons]
(22126,6901,1,1,2,389.540788),-- [rp_shining_arrow]
(22126,8732,1,1,2,3247.032334),-- [general_75_s]
(22126,8742,1,1,2,811.85013),-- [special_75_s]
(22126,8752,1,1,2,81.00092),-- [rare_75_s]
(22127,4041,1,1,-1,82682),-- [mold_hardener]
(22127,6688,1,1,-1,20552),-- [forgotten_blade_edge]
(22127,6901,1,1,-1,9508),-- [rp_shining_arrow]
(22127,57,4689,9571,0,700000),-- [adena]
(22127,164,1,1,1,4.231956),-- [elysian]
(22127,5533,1,1,1,1203.875538),-- [elysian_head]
(22127,213,1,1,1,4.231956),-- [worldtree's_branch]
(22127,5544,1,1,1,1202.687112),-- [worldtree's_branch_head]
(22127,7895,1,1,1,4.231956),-- [dragon_flame_head]
(22127,8342,1,1,1,1203.875538),-- [dragon_flame_head_piece]
(22127,7902,1,1,1,4.231956),-- [doom_crusher]
(22127,8349,1,1,1,1203.633988),-- [doom_crusher_head]
(22127,1872,4,12,2,97522.48209),-- [animal_bone]
(22127,1867,1,3,2,260060.112147),-- [animal_skin]
(22127,1881,1,1,2,78017.985672),-- [coarse_bone_powder]
(22127,1875,1,1,2,39008.992836),-- [stone_of_purity]
(22127,4041,1,1,2,5087.920926),-- [mold_hardener]
(22127,959,1,1,2,23.506329),-- [scrl_of_ench_wp_s]
(22128,1875,1,1,-1,186510),-- [stone_of_purity]
(22128,4041,1,1,-1,24327),-- [mold_hardener]
(22128,6695,1,1,-1,5933),-- [demon_splinter_blade]
(22128,57,1380,2816,0,700000),-- [adena]
(22128,289,1,1,1,4.9805),-- [soul_bow]
(22128,5534,1,1,1,1418.0195),-- [soul_bow_shaft]
(22128,1869,1,1,2,172163.363792),-- [iron_ore]
(22128,1864,1,3,2,172163.363792),-- [stem]
(22128,1880,1,1,2,17216.26245),-- [steel]
(22128,5550,1,1,2,2295.50166),-- [reinforcing_plate]
(22128,4043,1,1,2,5738.75415),-- [asofe]
(22128,960,1,1,2,68.754156),-- [scrl_of_ench_am_s]
(22129,6698,1,1,-1,196115),-- [sealed_sanddragon's_earing_piece]
(22129,6699,1,1,-1,217615),-- [sealed_ring_of_aurakyria_gem]
(22129,6700,1,1,-1,119528),-- [sealed_dragon_necklace_wire]
(22129,57,4923,10046,0,700000),-- [adena]
(22129,5320,1,1,1,27.915456),-- [sealed_leather_mail_of_nightmare]
(22129,5480,1,1,1,4136.084544),-- [sealed_leather_mail_of_nightmare_fabric]
(22129,5323,1,1,1,27.915456),-- [sealed_majestic_leather_mail]
(22129,5481,1,1,1,4136.084544),-- [sealed_majestic_leather_mail_fabric]
(22129,1895,1,1,2,210655.145883),-- [metallic_fiber]
(22129,4040,1,1,2,14745.789201),-- [mold_lubricant]
(22129,4042,1,1,2,12288.289169),-- [enria]
(22129,4043,1,1,2,24576.315335),-- [asofe]
(22129,6901,1,1,2,737.460412),-- [rp_shining_arrow]
(22130,959,1,1,-1,587),-- [scrl_of_ench_wp_s]
(22130,1894,1,1,-1,514911),-- [crafted_leather]
(22130,4039,1,1,-1,489165),-- [mold_glue]
(22130,57,7234,14769,0,700000),-- [adena]
(22130,236,1,1,1,26.12492),-- [soul_separator]
(22130,5537,1,1,1,7433.87508),-- [soul_separator_head]
(22130,1868,3,9,2,200682.8368),-- [thread]
(22130,1873,2,6,2,60204.85104),-- [silver_nugget]
(22130,5549,1,1,2,60204.85104),-- [iron_thread]
(22130,1889,1,1,2,40136.56736),-- [compound_braid]
(22130,4044,1,1,2,20068.28368),-- [thons]
(22130,959,1,1,2,24.038516),-- [scrl_of_ench_wp_s]
(22130,8732,1,1,2,5017.07092),-- [general_75_s]
(22130,8742,1,1,2,1254.26773),-- [special_75_s]
(22130,8752,1,1,2,125.232914),-- [rare_75_s]
(22131,6704,1,1,-1,224973),-- [sealed_imperial_crusader_boots_design]
(22131,6705,1,1,-1,220361),-- [sealed_imperial_crusader_shield_part]
(22131,6706,1,1,-1,256322),-- [sealed_imperial_crusader_helmet_pattern]
(22131,57,7789,15902,0,700000),-- [adena]
(22131,5326,1,1,1,44.178043),-- [sealed_robe_of_nightmare]
(22131,5487,1,1,1,6567.321957),-- [sealed_robe_of_nightmare_fabric]
(22131,5329,1,1,1,44.178043),-- [sealed_majestic_robe]
(22131,5488,1,1,1,6567.321957),-- [sealed_majestic_robe_fabric]
(22131,1894,1,1,2,40941.960885),-- [crafted_leather]
(22131,4039,1,1,2,38894.946915),-- [mold_glue]
(22131,4041,1,1,2,10146.468525),-- [mold_hardener]
(22131,4044,1,1,2,38894.946915),-- [thons]
(22131,960,1,1,2,466.67676),-- [scrl_of_ench_am_s]
(22132,6701,1,1,-1,54702),-- [sealed_imperial_crusader_armor_part]
(22132,6702,1,1,-1,70417),-- [sealed_imperial_crusader_gaiters_pattern]
(22132,13099,1,1,-1,143288),-- [sealed_arcana_sigil_part]
(22132,57,5056,10350,0,700000),-- [adena]
(22132,81,1,1,1,6.097221),-- [dragon_slayer]
(22132,5529,1,1,1,1734.025932),-- [dragon_slayer_edge]
(22132,151,1,1,1,6.097221),-- [sword_of_miracle]
(22132,5546,1,1,1,1904.661864),-- [sword_of_miracle_edge]
(22132,2500,1,1,1,6.097221),-- [dark_legion's_edge]
(22132,5545,1,1,1,1734.020541),-- [dark_legion's_edge_edge]
(22132,1872,4,12,2,70252.962048),-- [animal_bone]
(22132,1867,1,3,2,187341.582592),-- [animal_skin]
(22132,1881,1,1,2,56202.509824),-- [coarse_bone_powder]
(22132,1875,1,1,2,28101.254912),-- [stone_of_purity]
(22132,4041,1,1,2,3665.502976),-- [mold_hardener]
(22132,6901,1,1,2,421.608192),-- [rp_shining_arrow]
(22132,8732,1,1,2,3512.700672),-- [general_75_s]
(22132,8742,1,1,2,878.262784),-- [special_75_s]
(22132,8752,1,1,2,87.616),-- [rare_75_s]
(22133,6688,1,1,-1,8634),-- [forgotten_blade_edge]
(22133,6689,1,1,-1,8471),-- [basalt_battlehammer_head]
(22133,6690,1,1,-1,8650),-- [piece_of_imperial_staff]
(22133,57,1966,4024,0,700000),-- [adena]
(22133,236,1,1,1,7.10906),-- [soul_separator]
(22133,5537,1,1,1,2022.89094),-- [soul_separator_head]
(22133,1872,1,3,2,163866.451562),-- [animal_bone]
(22133,1867,1,3,2,109244.192902),-- [animal_skin]
(22133,1881,1,1,2,32773.355196),-- [coarse_bone_powder]
(22133,1875,1,1,2,16386.677598),-- [stone_of_purity]
(22133,4041,1,1,2,2137.265784),-- [mold_hardener]
(22133,959,1,1,2,10.056958),-- [scrl_of_ench_wp_s]
(22134,6707,1,1,-1,51815),-- [sealed_draconic_leather_armor_part]
(22134,6708,1,1,-1,148895),-- [sealed_draconic_leather_gloves_fabric]
(22134,6709,1,1,-1,148895),-- [sealed_draconic_leather_boots_design]
(22134,57,5142,10540,0,700000),-- [adena]
(22134,81,1,1,1,6.205797),-- [dragon_slayer]
(22134,5529,1,1,1,1764.904524),-- [dragon_slayer_edge]
(22134,151,1,1,1,6.205797),-- [sword_of_miracle]
(22134,5546,1,1,1,1938.579048),-- [sword_of_miracle_edge]
(22134,2500,1,1,1,6.205797),-- [dark_legion's_edge]
(22134,5545,1,1,1,1764.899037),-- [dark_legion's_edge_edge]
(22134,1894,1,1,2,27096.807465),-- [crafted_leather]
(22134,4039,1,1,2,25742.022735),-- [mold_glue]
(22134,4041,1,1,2,6715.284225),-- [mold_hardener]
(22134,4044,1,1,2,25742.022735),-- [thons]
(22134,960,1,1,2,308.86284),-- [scrl_of_ench_am_s]
(22135,6691,1,1,-1,36433),-- [angel_slayer_blade]
(22135,6693,1,1,-1,37093),-- [dragon_hunter_axe_blade]
(22135,6694,1,1,-1,37093),-- [saint_spear_blade]
(22135,57,8288,16989,0,700000),-- [adena]
(22135,6326,1,1,1,103.83096),-- [sealed_majestic_necklace]
(22135,6344,1,1,1,15204.08997),-- [sealed_majestic_necklace_beads]
(22135,6327,1,1,1,138.465585),-- [sealed_majestic_earing]
(22135,6342,1,1,1,23494.160895),-- [sealed_majestic_earing_gemstone]
(22135,6328,1,1,1,207.66192),-- [sealed_majestic_ring]
(22135,6346,1,1,1,33766.79067),-- [sealed_majestic_ring_gemstrone]
(22135,1895,1,1,2,222271.746968),-- [metallic_fiber]
(22135,4040,1,1,2,15559.142312),-- [mold_lubricant]
(22135,4042,1,1,2,12965.761412),-- [enria]
(22135,4043,1,1,2,25931.808596),-- [asofe]
(22135,6901,1,1,2,777.871384),-- [rp_shining_arrow]
(22135,8732,1,1,2,6483.023592),-- [general_75_s]
(22135,8742,1,1,2,1620.613012),-- [special_75_s]
(22135,8752,1,1,2,162.032724),-- [rare_75_s]
(22137,4041,1,1,-1,8702),-- [mold_hardener]
(22137,4040,1,1,-1,20015),-- [mold_lubricant]
(22137,5480,1,1,-1,4491),-- [sealed_leather_mail_of_nightmare_fabric]
(22137,57,492,1008,0,700000),-- [adena]
(22137,11976,1,1,1,32.87466),-- [tallum_glaive_low]
(22137,5541,1,1,1,507.12534),-- [tallum_glaive_edge]
(22137,1871,1,1,2,52787.883876),-- [charcoal]
(22137,1866,1,1,2,35191.922584),-- [suede]
(22137,1877,1,1,2,2111.527964),-- [admantite_nugget]
(22137,4041,1,1,2,458.966144),-- [mold_hardener]
(22137,4040,1,1,2,1055.685176),-- [mold_lubricant]
(22137,960,1,1,2,21.120008),-- [scrl_of_ench_am_s]
(22137,1344,10,30,2,65984.894248),-- [mithril_arrow]
(22138,6901,1,1,-1,1106),-- [rp_shining_arrow]
(22138,6688,1,1,-1,2390),-- [forgotten_blade_edge]
(22138,57,545,1113,0,700000),-- [adena]
(22138,12263,1,1,1,42.807391),-- [sealed_armor_of_nightmare_low]
(22138,5522,1,1,1,347.692609),-- [sealed_armor_of_nightmare_pattern]
(22138,12262,1,1,1,42.807391),-- [sealed_majestic_platte_armor_low]
(22138,5523,1,1,1,347.692609),-- [sealed_majestic_platte_armor_pattern]
(22138,1873,1,1,2,16333.443952),-- [silver_nugget]
(22138,1868,1,1,2,81667.559824),-- [thread]
(22138,1876,1,1,2,8166.806992),-- [mithril_ore]
(22138,1895,1,1,2,11666.74568),-- [metallic_fiber]
(22138,4042,1,1,2,680.638096),-- [enria]
(22138,6901,1,1,2,40.80768),-- [rp_shining_arrow]
(22138,8732,1,1,2,340.234032),-- [general_75_s]
(22138,8742,1,1,2,85.016),-- [special_75_s]
(22138,8752,1,1,2,8.5016),-- [rare_75_s]
(22138,1344,10,30,2,51042.246144),-- [mithril_arrow]
(22139,5515,1,1,-1,155316),-- [sealed_magestic_gloves_design]
(22139,3957,1,1,-1,4087),-- [rp_blessed_spiritshot_s]
(22139,5522,1,1,-1,31318),-- [sealed_armor_of_nightmare_pattern]
(22139,57,4525,9265,0,700000),-- [adena]
(22139,305,1,1,1,16.370688),-- [tallum_glaive]
(22139,5541,1,1,1,4655.629312),-- [tallum_glaive_edge]
(22139,1894,1,1,2,19856.989196),-- [crafted_leather]
(22139,4039,1,1,2,18863.869188),-- [mold_glue]
(22139,4041,1,1,2,4921.063644),-- [mold_hardener]
(22139,4044,1,1,2,18863.869188),-- [thons]
(22139,959,1,1,2,22.476312),-- [scrl_of_ench_wp_s]
(22139,1344,20,60,2,353699.732472),-- [mithril_arrow]
(22140,5488,1,1,-1,40326),-- [sealed_majestic_robe_fabric]
(22140,5495,1,1,-1,135982),-- [sealed_shield_of_nightmare_fragment]
(22140,730,1,1,-1,7463),-- [scrl_of_ench_am_a]
(22140,57,4415,9013,0,700000),-- [adena]
(22140,5313,1,1,1,61.00539),-- [sealed_gloves_of_nightmare]
(22140,5514,1,1,1,6980.24461),-- [sealed_gloves_of_nightmare_design]
(22140,5314,1,1,1,61.00539),-- [sealed_boots_of_nightmare]
(22140,5502,1,1,1,6980.24461),-- [sealed_boots_of_nightmare_lining]
(22140,5318,1,1,1,61.00539),-- [sealed_magestic_gloves]
(22140,5515,1,1,1,6980.24461),-- [sealed_magestic_gloves_design]
(22140,5319,1,1,1,61.00539),-- [sealed_magestic_boots]
(22140,5503,1,1,1,6980.24461),-- [sealed_magestic_boots_lining]
(22140,1871,1,3,2,157452.774742),-- [charcoal]
(22140,1866,2,6,2,78726.551302),-- [suede]
(22140,1877,1,1,2,18894.359198),-- [admantite_nugget]
(22140,4041,1,1,2,4107.455136),-- [mold_hardener]
(22140,4040,1,1,2,9447.015668),-- [mold_lubricant]
(22140,960,1,1,2,188.848512),-- [scrl_of_ench_am_s]
(22140,1344,100,300,2,59044.995442),-- [mithril_arrow]
(22141,5488,1,1,-1,41711),-- [sealed_majestic_robe_fabric]
(22141,730,1,1,-1,7719),-- [scrl_of_ench_am_a]
(22141,5480,1,1,-1,41564),-- [sealed_leather_mail_of_nightmare_fabric]
(22141,57,4566,9322,0,700000),-- [adena]
(22141,5312,1,1,1,56.102592),-- [sealed_helm_of_nightmare]
(22141,5527,1,1,1,6814.734199),-- [sealed_helm_of_nightmare_design]
(22141,5315,1,1,1,80.175459),-- [sealed_shield_of_nightmare]
(22141,5495,1,1,1,8655.150959),-- [sealed_shield_of_nightmare_fragment]
(22141,5317,1,1,1,56.102592),-- [sealed_magestic_circlet]
(22141,5528,1,1,1,6814.734199),-- [sealed_magestic_circlet_design]
(22141,1865,1,3,2,114002.34504),-- [varnish]
(22141,1870,2,6,2,85501.75878),-- [coal]
(22141,1879,1,1,2,57001.17252),-- [cokes]
(22141,1875,1,1,2,22800.469008),-- [stone_of_purity]
(22141,4040,1,1,2,6840.207277),-- [mold_lubricant]
(22141,6901,1,1,2,341.860571),-- [rp_shining_arrow]
(22141,8732,1,1,2,2850.058626),-- [general_75_s]
(22141,8742,1,1,2,712.681093),-- [special_75_s]
(22141,8752,1,1,2,71.234822),-- [rare_75_s]
(22141,1344,100,300,2,42751.212263),-- [mithril_arrow]
(22142,5220,1,1,-1,372700),-- [reinforcing_agent]
(22142,5495,1,1,-1,141485),-- [sealed_shield_of_nightmare_fragment]
(22142,3957,1,1,-1,4141),-- [rp_blessed_spiritshot_s]
(22142,57,4584,9387,0,700000),-- [adena]
(22142,5312,1,1,1,56.43456),-- [sealed_helm_of_nightmare]
(22142,5527,1,1,1,6855.05807),-- [sealed_helm_of_nightmare_design]
(22142,5315,1,1,1,80.64987),-- [sealed_shield_of_nightmare]
(22142,5495,1,1,1,8706.36487),-- [sealed_shield_of_nightmare_fragment]
(22142,5317,1,1,1,56.43456),-- [sealed_magestic_circlet]
(22142,5528,1,1,1,6855.05807),-- [sealed_magestic_circlet_design]
(22142,1866,1,3,2,127418.849625),-- [suede]
(22142,1871,1,3,2,286692.289197),-- [charcoal]
(22142,5220,1,1,2,22935.148014),-- [reinforcing_agent]
(22142,1885,1,1,2,47782.129839),-- [high_grade_suede]
(22142,4041,1,1,2,4986.050823),-- [mold_hardener]
(22142,959,1,1,2,22.532502),-- [scrl_of_ench_wp_s]
(22143,5502,1,1,-1,182996),-- [sealed_boots_of_nightmare_lining]
(22143,5157,1,1,-1,4816),-- [rp_comp_soulshot_s]
(22143,5503,1,1,-1,182996),-- [sealed_magestic_boots_lining]
(22143,57,5331,10918,0,700000),-- [adena]
(22143,5313,1,1,1,73.812948),-- [sealed_gloves_of_nightmare]
(22143,5514,1,1,1,8445.687052),-- [sealed_gloves_of_nightmare_design]
(22143,5314,1,1,1,73.812948),-- [sealed_boots_of_nightmare]
(22143,5502,1,1,1,8445.687052),-- [sealed_boots_of_nightmare_lining]
(22143,5318,1,1,1,73.812948),-- [sealed_magestic_gloves]
(22143,5515,1,1,1,8445.687052),-- [sealed_magestic_gloves_design]
(22143,5319,1,1,1,73.812948),-- [sealed_magestic_boots]
(22143,5503,1,1,1,8445.687052),-- [sealed_magestic_boots_lining]
(22143,1869,1,3,2,222260.435307),-- [iron_ore]
(22143,1864,4,12,2,166695.204726),-- [stem]
(22143,1880,1,1,2,66677.984487),-- [steel]
(22143,5550,1,1,2,8890.495335),-- [reinforcing_plate]
(22143,4043,1,1,2,22225.994829),-- [asofe]
(22143,960,1,1,2,266.885316),-- [scrl_of_ench_am_s]
(22144,1894,1,1,-1,331138),-- [crafted_leather]
(22144,4042,1,1,-1,157290),-- [enria]
(22144,5514,1,1,-1,159389),-- [sealed_gloves_of_nightmare_design]
(22144,57,4643,9510,0,700000),-- [adena]
(22144,81,1,1,1,5.600712),-- [dragon_slayer]
(22144,5529,1,1,1,1592.820704),-- [dragon_slayer_edge]
(22144,151,1,1,1,5.600712),-- [sword_of_miracle]
(22144,5546,1,1,1,1749.561408),-- [sword_of_miracle_edge]
(22144,2500,1,1,1,5.600712),-- [dark_legion's_edge]
(22144,5545,1,1,1,1592.815752),-- [dark_legion's_edge_edge]
(22144,1867,5,15,2,46461.21233),-- [animal_skin]
(22144,1872,1,3,2,154871.254096),-- [animal_bone]
(22144,1882,1,1,2,77435.627048),-- [leather]
(22144,1894,1,1,2,12226.85048),-- [crafted_leather]
(22144,4042,1,1,2,5807.753978),-- [enria]
(22144,6901,1,1,2,348.28495),-- [rp_shining_arrow]
(22144,8732,1,1,2,2903.876989),-- [general_75_s]
(22144,8742,1,1,2,726.071684),-- [special_75_s]
(22144,8752,1,1,2,72.525219),-- [rare_75_s]
(22144,1344,40,120,2,108893.543226),-- [mithril_arrow]
(22145,5162,1,1,-1,4026),-- [rp_comp_spiritshot_s]
(22145,5515,1,1,-1,152986),-- [sealed_magestic_gloves_design]
(22145,5167,1,1,-1,4026),-- [rp_comp_bspiritshot_s]
(22145,57,4457,9126,0,700000),-- [adena]
(22145,6326,1,1,1,55.79944),-- [sealed_majestic_necklace]
(22145,6344,1,1,1,8170.77783),-- [sealed_majestic_necklace_beads]
(22145,6327,1,1,1,74.412315),-- [sealed_majestic_earing]
(22145,6342,1,1,1,12625.916405),-- [sealed_majestic_earing_gemstone]
(22145,6328,1,1,1,111.59888),-- [sealed_majestic_ring]
(22145,6346,1,1,1,18146.49513),-- [sealed_majestic_ring_gemstrone]
(22145,1868,4,12,2,119450.477082),-- [thread]
(22145,1873,1,1,2,191120.495751),-- [silver_nugget]
(22145,5549,1,1,2,47780.012446),-- [iron_thread]
(22145,1889,1,1,2,31853.638942),-- [compound_braid]
(22145,4044,1,1,2,15926.819471),-- [thons]
(22145,959,1,1,2,19.176581),-- [scrl_of_ench_wp_s]
(22145,1344,150,450,2,39816.379727),-- [mithril_arrow]
(22146,6688,1,1,-1,21727),-- [forgotten_blade_edge]
(22146,960,1,1,-1,4021),-- [scrl_of_ench_am_s]
(22146,57,4956,10114,0,700000),-- [adena]
(22146,5326,1,1,1,28.104492),-- [sealed_robe_of_nightmare]
(22146,5487,1,1,1,4177.895508),-- [sealed_robe_of_nightmare_fabric]
(22146,5329,1,1,1,28.104492),-- [sealed_majestic_robe]
(22146,5488,1,1,1,4177.895508),-- [sealed_majestic_robe_fabric]
(22146,1864,4,12,2,154647.031884),-- [stem]
(22146,1865,2,6,2,123717.800382),-- [varnish]
(22146,1866,3,9,2,68731.917018),-- [suede]
(22146,1873,4,12,2,30929.231502),-- [silver_nugget]
(22146,1868,10,30,2,58913.134185),-- [thread]
(22146,960,1,1,2,247.885029),-- [scrl_of_ench_am_s]
(22147,6689,1,1,-1,21231),-- [basalt_battlehammer_head]
(22147,6901,1,1,-1,10011),-- [rp_shining_arrow]
(22147,57,4937,10077,0,700000),-- [adena]
(22147,6326,1,1,1,61.667744),-- [sealed_majestic_necklace]
(22147,6344,1,1,1,9030.080508),-- [sealed_majestic_necklace_beads]
(22147,6327,1,1,1,82.238094),-- [sealed_majestic_earing]
(22147,6342,1,1,1,13953.756178),-- [sealed_majestic_earing_gemstone]
(22147,6328,1,1,1,123.335488),-- [sealed_majestic_ring]
(22147,6346,1,1,1,20054.921988),-- [sealed_majestic_ring_gemstrone]
(22147,1869,2,6,2,73927.297044),-- [iron_ore]
(22147,1870,3,9,2,61606.259472),-- [coal]
(22147,1871,3,9,2,52805.110116),-- [charcoal]
(22147,1872,8,24,2,30803.129736),-- [animal_bone]
(22147,1867,13,39,2,18253.838808),-- [animal_skin]
(22147,6901,1,1,2,369.70614),-- [rp_shining_arrow]
(22147,8732,1,1,2,3080.170092),-- [general_75_s]
(22147,8742,1,1,2,770.131824),-- [special_75_s]
(22147,8752,1,1,2,77.156064),-- [rare_75_s]
(22147,1344,40,120,2,115511.200704),-- [mithril_arrow]
(22148,5480,1,1,-1,35322),-- [sealed_leather_mail_of_nightmare_fabric]
(22148,1808,1,1,-1,3499),-- [rp_soulshot_s]
(22148,5481,1,1,-1,35322),-- [sealed_majestic_leather_mail_fabric]
(22148,57,3873,7932,0,700000),-- [adena]
(22148,270,1,1,1,14.012),-- [dragon_grinder]
(22148,5538,1,1,1,3985.988),-- [dragon_grinder_edge]
(22148,1869,2,6,2,121103.620604),-- [iron_ore]
(22148,1870,2,6,2,96882.747768),-- [coal]
(22148,1871,3,9,2,80735.62314),-- [charcoal]
(22148,1872,7,21,2,46134.801132),-- [animal_bone]
(22148,1867,12,36,2,26911.87438),-- [animal_skin]
(22148,959,1,1,2,19.332976),-- [scrl_of_ench_wp_s]
(22149,4042,1,1,-1,157290),-- [enria]
(22149,1876,1,3,-1,943743),-- [mithril_ore]
(22149,5487,1,1,-1,42498),-- [sealed_robe_of_nightmare_fabric]
(22149,57,4643,9510,0,700000),-- [adena]
(22149,81,1,1,1,5.600712),-- [dragon_slayer]
(22149,5529,1,1,1,1592.820704),-- [dragon_slayer_edge]
(22149,151,1,1,1,5.600712),-- [sword_of_miracle]
(22149,5546,1,1,1,1749.561408),-- [sword_of_miracle_edge]
(22149,2500,1,1,1,5.600712),-- [dark_legion's_edge]
(22149,5545,1,1,1,1592.815752),-- [dark_legion's_edge_edge]
(22149,1873,1,1,2,139383.463769),-- [silver_nugget]
(22149,1868,4,12,2,87114.610551),-- [thread]
(22149,1876,1,1,2,69691.514666),-- [mithril_ore]
(22149,1895,1,1,2,99559.492853),-- [metallic_fiber]
(22149,4042,1,1,2,5807.553816),-- [enria]
(22149,960,1,1,2,139.454277),-- [scrl_of_ench_am_s]
(22149,8732,1,1,2,2903.776908),-- [general_75_s]
(22149,8742,1,1,2,725.944227),-- [special_75_s]
(22149,8752,1,1,2,72.550979),-- [rare_75_s]
(22149,1344,150,450,2,29038.637954),-- [mithril_arrow]
(22150,6901,1,1,-1,8287),-- [rp_shining_arrow]
(22150,6688,1,1,-1,17911),-- [forgotten_blade_edge]
(22150,57,4087,8341,0,700000),-- [adena]
(22150,81,1,1,1,4.917588),-- [dragon_slayer]
(22150,5529,1,1,1,1398.542896),-- [dragon_slayer_edge]
(22150,151,1,1,1,4.917588),-- [sword_of_miracle]
(22150,5546,1,1,1,1536.165792),-- [sword_of_miracle_edge]
(22150,2500,1,1,1,4.917588),-- [dark_legion's_edge]
(22150,5545,1,1,1,1398.538548),-- [dark_legion's_edge_edge]
(22150,1873,2,6,2,50994.245276),-- [silver_nugget]
(22150,1868,3,9,2,169981.136034),-- [thread]
(22150,1876,1,1,2,101988.490552),-- [mithril_ore]
(22150,1895,1,1,2,145698.253078),-- [metallic_fiber]
(22150,4042,1,1,2,8499.200103),-- [enria]
(22150,6901,1,1,2,509.674957),-- [rp_shining_arrow]
(22151,6689,1,1,-1,24744),-- [basalt_battlehammer_head]
(22151,959,1,1,-1,467),-- [scrl_of_ench_wp_s]
(22151,5549,1,3,-1,583380),-- [iron_thread]
(22151,57,5752,11742,0,700000),-- [adena]
(22151,81,1,1,1,6.923982),-- [dragon_slayer]
(22151,5529,1,1,1,1969.153544),-- [dragon_slayer_edge]
(22151,151,1,1,1,6.923982),-- [sword_of_miracle]
(22151,5546,1,1,1,2162.927088),-- [sword_of_miracle_edge]
(22151,2500,1,1,1,6.923982),-- [dark_legion's_edge]
(22151,5545,1,1,1,1969.147422),-- [dark_legion's_edge_edge]
(22151,1868,3,9,2,239335.088495),-- [thread]
(22151,1873,2,6,2,71800.572025),-- [silver_nugget]
(22151,5549,1,1,2,71800.572025),-- [iron_thread]
(22151,1889,1,1,2,47867.199605),-- [compound_braid]
(22151,4044,1,1,2,23933.37242),-- [thons]
(22151,959,1,1,2,28.19543),-- [scrl_of_ench_wp_s]
(22152,1889,1,1,-1,684135),-- [compound_braid]
(22152,6690,1,1,-1,22223),-- [piece_of_imperial_staff]
(22152,6901,1,1,-1,10262),-- [rp_shining_arrow]
(22152,57,5060,10326,0,700000),-- [adena]
(22152,236,1,1,1,18.269934),-- [soul_separator]
(22152,5537,1,1,1,5198.730066),-- [soul_separator_head]
(22152,1868,4,12,2,94726.51379),-- [thread]
(22152,1873,1,1,2,151562.90619),-- [silver_nugget]
(22152,5549,1,1,2,37890.605516),-- [iron_thread]
(22152,1889,1,1,2,25260.242302),-- [compound_braid]
(22152,4044,1,1,2,12630.363214),-- [thons]
(22152,960,1,1,2,151.531438),-- [scrl_of_ench_am_s]
(22152,8732,1,1,2,3157.469772),-- [general_75_s]
(22152,8742,1,1,2,789.609506),-- [special_75_s]
(22152,8752,1,1,2,78.912538),-- [rare_75_s]
(22152,1344,30,90,2,157877.845734),-- [mithril_arrow]
(22153,6691,1,1,-1,21445),-- [angel_slayer_blade]
(22153,6901,1,1,-1,9921),-- [rp_shining_arrow]
(22153,6693,1,1,-1,21833),-- [dragon_hunter_axe_blade]
(22153,57,4892,9983,0,700000),-- [adena]
(22153,81,1,1,1,5.886855),-- [dragon_slayer]
(22153,5529,1,1,1,1674.19866),-- [dragon_slayer_edge]
(22153,151,1,1,1,5.886855),-- [sword_of_miracle]
(22153,5546,1,1,1,1838.94732),-- [sword_of_miracle_edge]
(22153,2500,1,1,1,5.886855),-- [dark_legion's_edge]
(22153,5545,1,1,1,1674.193455),-- [dark_legion's_edge_edge]
(22153,1868,4,12,2,91581.045832),-- [thread]
(22153,1873,1,1,2,146529.486024),-- [silver_nugget]
(22153,5549,1,1,2,36632.137372),-- [iron_thread]
(22153,1889,1,1,2,24421.581004),-- [compound_braid]
(22153,4044,1,1,2,12210.556368),-- [thons]
(22153,6901,1,1,2,366.185576),-- [rp_shining_arrow]
(22153,8732,1,1,2,3052.639092),-- [general_75_s]
(22153,8742,1,1,2,763.27684),-- [special_75_s]
(22153,8752,1,1,2,76.327684),-- [rare_75_s]
(22153,1344,30,90,2,152634.764208),-- [mithril_arrow]
(22154,960,1,1,-1,4004),-- [scrl_of_ench_am_s]
(22154,1895,1,7,-1,715000),-- [metallic_fiber]
(22154,4042,1,1,-1,166833),-- [enria]
(22154,57,4935,10074,0,700000),-- [adena]
(22154,6326,1,1,1,61.662048),-- [sealed_majestic_necklace]
(22154,6344,1,1,1,9029.246436),-- [sealed_majestic_necklace_beads]
(22154,6327,1,1,1,82.230498),-- [sealed_majestic_earing]
(22154,6342,1,1,1,13952.467326),-- [sealed_majestic_earing_gemstone]
(22154,6328,1,1,1,123.324096),-- [sealed_majestic_ring]
(22154,6346,1,1,1,20053.069596),-- [sealed_majestic_ring_gemstrone]
(22154,1873,3,9,2,35200.033875),-- [silver_nugget]
(22154,1868,4,12,2,132000.960873),-- [thread]
(22154,1876,1,1,2,105600.578106),-- [mithril_ore]
(22154,1895,1,1,2,150858.172929),-- [metallic_fiber]
(22154,4042,1,1,2,8800.127589),-- [enria]
(22154,959,1,1,2,20.965164),-- [scrl_of_ench_wp_s]
(22154,1344,150,450,2,44000.161464),-- [mithril_arrow]
(22155,6704,1,1,-1,203748),-- [sealed_imperial_crusader_boots_design]
(22155,6705,1,1,-1,199571),-- [sealed_imperial_crusader_shield_part]
(22155,6706,1,1,-1,232140),-- [sealed_imperial_crusader_helmet_pattern]
(22155,57,7054,14402,0,700000),-- [adena]
(22155,5326,1,1,1,40.011816),-- [sealed_robe_of_nightmare]
(22155,5487,1,1,1,5947.988184),-- [sealed_robe_of_nightmare_fabric]
(22155,5329,1,1,1,40.011816),-- [sealed_majestic_robe]
(22155,5488,1,1,1,5947.988184),-- [sealed_majestic_robe_fabric]
(22155,1868,15,45,2,58708.665),-- [thread]
(22155,1873,2,6,2,88062.9975),-- [silver_nugget]
(22155,5549,1,1,2,88062.9975),-- [iron_thread]
(22155,1889,1,1,2,58708.665),-- [compound_braid]
(22155,4044,1,1,2,29354.3325),-- [thons]
(22155,960,1,1,2,352.3425),-- [scrl_of_ench_am_s]
(22156,6688,1,1,-1,28190),-- [forgotten_blade_edge]
(22156,6689,1,1,-1,27659),-- [basalt_battlehammer_head]
(22156,13099,1,1,-1,181883),-- [sealed_arcana_sigil_part]
(22156,57,6418,13138,0,700000),-- [adena]
(22156,6326,1,1,1,80.337808),-- [sealed_majestic_necklace]
(22156,6344,1,1,1,11763.960006),-- [sealed_majestic_necklace_beads]
(22156,6327,1,1,1,107.135883),-- [sealed_majestic_earing]
(22156,6342,1,1,1,18178.290821),-- [sealed_majestic_earing_gemstone]
(22156,6328,1,1,1,160.675616),-- [sealed_majestic_ring]
(22156,6346,1,1,1,26126.599866),-- [sealed_majestic_ring_gemstrone]
(22156,1868,3,9,2,178350.969123),-- [thread]
(22156,1873,2,6,2,53505.394263),-- [silver_nugget]
(22156,5549,1,1,2,53505.394263),-- [iron_thread]
(22156,1889,1,1,2,35670.262842),-- [compound_braid]
(22156,4044,1,1,2,17835.131421),-- [thons]
(22156,6901,1,1,2,534.88485),-- [rp_shining_arrow]
(22156,8732,1,1,2,4458.869127),-- [general_75_s]
(22156,8742,1,1,2,1114.63101),-- [special_75_s]
(22156,8752,1,1,2,111.463101),-- [rare_75_s]
(22157,959,1,1,-1,500),-- [scrl_of_ench_wp_s]
(22157,1894,1,1,-1,438256),-- [crafted_leather]
(22157,4039,1,1,-1,416344),-- [mold_glue]
(22157,57,6157,12570,0,700000),-- [adena]
(22157,6326,1,1,1,76.940144),-- [sealed_majestic_necklace]
(22157,6344,1,1,1,11266.436058),-- [sealed_majestic_necklace_beads]
(22157,6327,1,1,1,102.604869),-- [sealed_majestic_earing]
(22157,6342,1,1,1,17409.490603),-- [sealed_majestic_earing_gemstone]
(22157,6328,1,1,1,153.880288),-- [sealed_majestic_ring]
(22157,6346,1,1,1,25021.648038),-- [sealed_majestic_ring_gemstrone]
(22157,1873,2,6,2,76863.419325),-- [silver_nugget]
(22157,1868,15,45,2,51242.27955),-- [thread]
(22157,1876,1,1,2,153726.507375),-- [mithril_ore]
(22157,1895,3,9,2,36601.580925),-- [metallic_fiber]
(22157,4042,1,1,2,12810.40425),-- [enria]
(22157,959,1,1,2,30.808575),-- [scrl_of_ench_wp_s]
(22158,960,1,1,-1,5096),-- [scrl_of_ench_am_s]
(22158,4040,1,1,-1,254792),-- [mold_lubricant]
(22158,1877,1,1,-1,509585),-- [admantite_nugget]
(22158,57,6280,12821,0,700000),-- [adena]
(22158,5313,1,1,1,86.787288),-- [sealed_gloves_of_nightmare]
(22158,5514,1,1,1,9930.212712),-- [sealed_gloves_of_nightmare_design]
(22158,5314,1,1,1,86.787288),-- [sealed_boots_of_nightmare]
(22158,5502,1,1,1,9930.212712),-- [sealed_boots_of_nightmare_lining]
(22158,5318,1,1,1,86.787288),-- [sealed_magestic_gloves]
(22158,5515,1,1,1,9930.212712),-- [sealed_magestic_gloves_design]
(22158,5319,1,1,1,86.787288),-- [sealed_magestic_boots]
(22158,5503,1,1,1,9930.212712),-- [sealed_magestic_boots_lining]
(22158,1871,1,3,2,261325.428096),-- [charcoal]
(22158,1866,1,3,2,116144.68128),-- [suede]
(22158,1877,1,1,2,20906.084544),-- [admantite_nugget]
(22158,4041,1,1,2,4544.691648),-- [mold_hardener]
(22158,4040,1,1,2,10452.832704),-- [mold_lubricant]
(22158,960,1,1,2,209.148864),-- [scrl_of_ench_am_s]
(22158,8732,1,1,2,4355.242176),-- [general_75_s]
(22158,8742,1,1,2,1088.915328),-- [special_75_s]
(22158,8752,1,1,2,108.97536),-- [rare_75_s]
(22159,6701,1,1,-1,77997),-- [sealed_imperial_crusader_armor_part]
(22159,6702,1,1,-1,100403),-- [sealed_imperial_crusader_gaiters_pattern]
(22159,6703,1,1,-1,208583),-- [sealed_imperial_crusader_gauntlet_design]
(22159,57,7209,14758,0,700000),-- [adena]
(22159,5326,1,1,1,40.96066),-- [sealed_robe_of_nightmare]
(22159,5487,1,1,1,6089.03934),-- [sealed_robe_of_nightmare_fabric]
(22159,5329,1,1,1,40.96066),-- [sealed_majestic_robe]
(22159,5488,1,1,1,6089.03934),-- [sealed_majestic_robe_fabric]
(22159,1867,4,12,2,100169.913572),-- [animal_skin]
(22159,1872,7,21,2,53423.932222),-- [animal_bone]
(22159,1882,1,1,2,133559.993178),-- [leather]
(22159,1894,1,1,2,21088.300148),-- [crafted_leather]
(22159,4042,1,1,2,10016.926308),-- [enria]
(22159,6901,1,1,2,601.054608),-- [rp_shining_arrow]
(22159,8732,1,1,2,5008.463154),-- [general_75_s]
(22159,8742,1,1,2,1252.1971),-- [special_75_s]
(22159,8752,1,1,2,125.21971),-- [rare_75_s]
(22160,6691,1,1,-1,28190),-- [angel_slayer_blade]
(22160,6693,1,1,-1,28701),-- [dragon_hunter_axe_blade]
(22160,6694,1,1,-1,28701),-- [saint_spear_blade]
(22160,57,6418,13138,0,700000),-- [adena]
(22160,6326,1,1,1,80.337808),-- [sealed_majestic_necklace]
(22160,6344,1,1,1,11763.960006),-- [sealed_majestic_necklace_beads]
(22160,6327,1,1,1,107.135883),-- [sealed_majestic_earing]
(22160,6342,1,1,1,18178.290821),-- [sealed_majestic_earing_gemstone]
(22160,6328,1,1,1,160.675616),-- [sealed_majestic_ring]
(22160,6346,1,1,1,26126.599866),-- [sealed_majestic_ring_gemstrone]
(22160,1895,1,1,2,275170.017875),-- [metallic_fiber]
(22160,4040,1,1,2,19262.034875),-- [mold_lubricant]
(22160,4042,1,1,2,16051.638625),-- [enria]
(22160,4043,1,1,2,32103.27725),-- [asofe]
(22160,959,1,1,2,38.031375),-- [scrl_of_ench_wp_s]
(22161,959,1,1,-1,591),-- [scrl_of_ench_wp_s]
(22161,1894,1,1,-1,518308),-- [crafted_leather]
(22161,4039,1,1,-1,492392),-- [mold_glue]
(22161,57,7282,14866,0,700000),-- [adena]
(22161,5312,1,1,1,89.471616),-- [sealed_helm_of_nightmare]
(22161,5527,1,1,1,10868.041202),-- [sealed_helm_of_nightmare_design]
(22161,5315,1,1,1,127.862682),-- [sealed_shield_of_nightmare]
(22161,5495,1,1,1,13803.111682),-- [sealed_shield_of_nightmare_fragment]
(22161,5317,1,1,1,89.471616),-- [sealed_magestic_circlet]
(22161,5528,1,1,1,10868.041202),-- [sealed_magestic_circlet_design]
(22161,1873,3,9,2,36361.320543),-- [silver_nugget]
(22161,1868,4,12,2,136354.827489),-- [thread]
(22161,1876,1,1,2,109083.961629),-- [mithril_ore]
(22161,1895,1,1,2,155834.017389),-- [metallic_fiber]
(22161,4042,1,1,2,9090.454683),-- [enria]
(22161,960,1,1,2,218.206782),-- [scrl_of_ench_am_s]
(22161,8732,1,1,2,4544.978247),-- [general_75_s]
(22161,8742,1,1,2,1136.369109),-- [special_75_s]
(22161,8752,1,1,2,113.587092),-- [rare_75_s]
(22161,1344,150,450,2,45451.277037),-- [mithril_arrow]
(22162,960,1,1,-1,5096),-- [scrl_of_ench_am_s]
(22162,4040,1,1,-1,254792),-- [mold_lubricant]
(22162,1877,1,1,-1,509585),-- [admantite_nugget]
(22162,57,6280,12821,0,700000),-- [adena]
(22162,81,1,1,1,7.559604),-- [dragon_slayer]
(22162,5529,1,1,1,2149.921968),-- [dragon_slayer_edge]
(22162,151,1,1,1,7.559604),-- [sword_of_miracle]
(22162,5546,1,1,1,2361.483936),-- [sword_of_miracle_edge]
(22162,2500,1,1,1,7.559604),-- [dark_legion's_edge]
(22162,5545,1,1,1,2149.915284),-- [dark_legion's_edge_edge]
(22162,1894,1,1,2,33009.505821),-- [crafted_leather]
(22162,4039,1,1,2,31359.077712),-- [mold_glue]
(22162,4041,1,1,2,8180.633527),-- [mold_hardener]
(22162,4044,1,1,2,31359.077712),-- [thons]
(22162,6901,1,1,2,940.705228),-- [rp_shining_arrow]
(22163,6707,1,1,-1,84077),-- [sealed_draconic_leather_armor_part]
(22163,6708,1,1,-1,241600),-- [sealed_draconic_leather_gloves_fabric]
(22163,6709,1,1,-1,241600),-- [sealed_draconic_leather_boots_design]
(22163,57,8351,17094,0,700000),-- [adena]
(22163,236,1,1,1,30.208252),-- [soul_separator]
(22163,5537,1,1,1,8595.791748),-- [soul_separator_head]
(22163,1871,4,12,2,87019.345168),-- [charcoal]
(22163,1866,1,3,2,154701.322048),-- [suede]
(22163,1877,1,1,2,27846.095424),-- [admantite_nugget]
(22163,4041,1,1,2,6053.395712),-- [mold_hardener]
(22163,4040,1,1,2,13923.047712),-- [mold_lubricant]
(22163,959,1,1,2,27.914992),-- [scrl_of_ench_wp_s]
(22163,8732,1,1,2,5801.26988),-- [general_75_s]
(22163,8742,1,1,2,1450.391712),-- [special_75_s]
(22163,8752,1,1,2,145.217352),-- [rare_75_s]
(22164,6695,1,1,-1,27659),-- [demon_splinter_blade]
(22164,6696,1,1,-1,28638),-- [heavens_divider_edge]
(22164,6697,1,1,-1,27659),-- [arcana_mace_head]
(22164,57,6418,13138,0,700000),-- [adena]
(22164,6326,1,1,1,80.337808),-- [sealed_majestic_necklace]
(22164,6344,1,1,1,11763.960006),-- [sealed_majestic_necklace_beads]
(22164,6327,1,1,1,107.135883),-- [sealed_majestic_earing]
(22164,6342,1,1,1,18178.290821),-- [sealed_majestic_earing_gemstone]
(22164,6328,1,1,1,160.675616),-- [sealed_majestic_ring]
(22164,6346,1,1,1,26126.599866),-- [sealed_majestic_ring_gemstrone]
(22164,1865,4,12,2,100322.602443),-- [varnish]
(22164,1870,7,21,2,53505.244982),-- [coal]
(22164,1879,1,1,2,133763.112455),-- [cokes]
(22164,1875,1,1,2,53505.244982),-- [stone_of_purity]
(22164,4040,1,1,2,16051.430507),-- [mold_lubricant]
(22164,960,1,1,2,321.364631),-- [scrl_of_ench_am_s]
(22165,959,1,1,-1,500),-- [scrl_of_ench_wp_s]
(22165,1894,1,1,-1,438256),-- [crafted_leather]
(22165,4039,1,1,-1,416344),-- [mold_glue]
(22165,57,6157,12570,0,700000),-- [adena]
(22165,5313,1,1,1,85.089144),-- [sealed_gloves_of_nightmare]
(22165,5514,1,1,1,9735.910856),-- [sealed_gloves_of_nightmare_design]
(22165,5314,1,1,1,85.089144),-- [sealed_boots_of_nightmare]
(22165,5502,1,1,1,9735.910856),-- [sealed_boots_of_nightmare_lining]
(22165,5318,1,1,1,85.089144),-- [sealed_magestic_gloves]
(22165,5515,1,1,1,9735.910856),-- [sealed_magestic_gloves_design]
(22165,5319,1,1,1,85.089144),-- [sealed_magestic_boots]
(22165,5503,1,1,1,9735.910856),-- [sealed_magestic_boots_lining]
(22165,1866,1,3,2,113871.65958),-- [suede]
(22165,1871,1,3,2,256211.67775),-- [charcoal]
(22165,5220,1,1,2,20496.93422),-- [reinforcing_agent]
(22165,1885,1,1,2,42702.09419),-- [high_grade_suede]
(22165,4041,1,1,2,4456.028885),-- [mold_hardener]
(22165,6901,1,1,2,512.467725),-- [rp_shining_arrow]
(22165,8732,1,1,2,4270.12068),-- [general_75_s]
(22165,8742,1,1,2,1067.53017),-- [special_75_s]
(22165,8752,1,1,2,106.4868),-- [rare_75_s]
(22166,960,1,1,-1,4996),-- [scrl_of_ench_am_s]
(22166,4040,1,1,-1,249806),-- [mold_lubricant]
(22166,1877,1,1,-1,499612),-- [admantite_nugget]
(22166,57,6157,12570,0,700000),-- [adena]
(22166,6326,1,1,1,76.940144),-- [sealed_majestic_necklace]
(22166,6344,1,1,1,11266.436058),-- [sealed_majestic_necklace_beads]
(22166,6327,1,1,1,102.604869),-- [sealed_majestic_earing]
(22166,6342,1,1,1,17409.490603),-- [sealed_majestic_earing_gemstone]
(22166,6328,1,1,1,153.880288),-- [sealed_majestic_ring]
(22166,6346,1,1,1,25021.648038),-- [sealed_majestic_ring_gemstrone]
(22166,1869,7,21,2,51242.314752),-- [iron_ore]
(22166,1864,4,12,2,192159.392652),-- [stem]
(22166,1880,1,1,2,76863.828294),-- [steel]
(22166,5550,1,1,2,10248.320484),-- [reinforcing_plate]
(22166,4043,1,1,2,25621.157376),-- [asofe]
(22166,959,1,1,2,30.986442),-- [scrl_of_ench_wp_s]
(22167,6710,1,1,-1,243157),-- [sealed_draconic_leather_helmet_pattern]
(22167,6711,1,1,-1,74269),-- [sealed_major_arcana_robe_part]
(22167,6712,1,1,-1,213418),-- [sealed_major_arcana_gloves_fabric]
(22167,57,7370,15108,0,700000),-- [adena]
(22167,5326,1,1,1,41.909504),-- [sealed_robe_of_nightmare]
(22167,5487,1,1,1,6230.090496),-- [sealed_robe_of_nightmare_fabric]
(22167,5329,1,1,1,41.909504),-- [sealed_majestic_robe]
(22167,5488,1,1,1,6230.090496),-- [sealed_majestic_robe_fabric]
(22167,1894,1,1,2,38838.915633),-- [crafted_leather]
(22167,4039,1,1,2,36897.049607),-- [mold_glue]
(22167,4041,1,1,2,9625.279945),-- [mold_hardener]
(22167,4044,1,1,2,36897.049607),-- [thons]
(22167,960,1,1,2,442.705208),-- [scrl_of_ench_am_s]
(22168,6698,1,1,-1,256985),-- [sealed_sanddragon's_earing_piece]
(22168,6699,1,1,-1,285159),-- [sealed_ring_of_aurakyria_gem]
(22168,6700,1,1,-1,156628),-- [sealed_dragon_necklace_wire]
(22168,57,6433,13186,0,700000),-- [adena]
(22168,5320,1,1,1,36.580376),-- [sealed_leather_mail_of_nightmare]
(22168,5480,1,1,1,5419.919624),-- [sealed_leather_mail_of_nightmare_fabric]
(22168,5323,1,1,1,36.580376),-- [sealed_majestic_leather_mail]
(22168,5481,1,1,1,5419.919624),-- [sealed_majestic_leather_mail_fabric]
(22168,1869,18,54,2,22364.284899),-- [iron_ore]
(22168,1870,2,6,2,161022.587403),-- [coal]
(22168,1871,3,9,2,134185.269611),-- [charcoal]
(22168,1872,7,21,2,76677.485399),-- [animal_bone]
(22168,1867,12,36,2,44728.569798),-- [animal_skin]
(22168,6901,1,1,2,804.80289),-- [rp_shining_arrow]
(22169,1894,1,1,-1,530607),-- [crafted_leather]
(22169,4039,1,1,-1,504077),-- [mold_glue]
(22169,13099,1,1,-1,210896),-- [sealed_arcana_sigil_part]
(22169,57,7442,15233,0,700000),-- [adena]
(22169,5311,1,1,1,31.712036),-- [sealed_armor_of_nightmare]
(22169,5522,1,1,1,4754.287964),-- [sealed_armor_of_nightmare_pattern]
(22169,5316,1,1,1,31.712036),-- [sealed_majestic_platte_armor]
(22169,5523,1,1,1,4754.287964),-- [sealed_majestic_platte_armor_pattern]
(22169,1864,5,15,2,111672.574277),-- [stem]
(22169,1865,3,9,2,93060.537341),-- [varnish]
(22169,1866,3,9,2,53177.399529),-- [suede]
(22169,1873,4,12,2,24816.049248),-- [silver_nugget]
(22169,1868,12,36,2,46530.445001),-- [thread]
(22169,959,1,1,2,22.217643),-- [scrl_of_ench_wp_s]
(22169,8732,1,1,2,4653.009234),-- [general_75_s]
(22169,8742,1,1,2,1163.428639),-- [special_75_s]
(22169,8752,1,1,2,116.37813),-- [rare_75_s]
(22169,1344,400,1200,2,17448.960958),-- [mithril_arrow]
(22170,960,1,1,-1,5217),-- [scrl_of_ench_am_s]
(22170,4040,1,1,-1,260839),-- [mold_lubricant]
(22170,1877,1,1,-1,521677),-- [admantite_nugget]
(22170,57,6418,13138,0,700000),-- [adena]
(22170,5326,1,1,1,36.463674),-- [sealed_robe_of_nightmare]
(22170,5487,1,1,1,5420.536326),-- [sealed_robe_of_nightmare_fabric]
(22170,5329,1,1,1,36.463674),-- [sealed_majestic_robe]
(22170,5488,1,1,1,5420.536326),-- [sealed_majestic_robe_fabric]
(22170,1894,1,1,2,33792.746547),-- [crafted_leather]
(22170,4039,1,1,2,32103.178613),-- [mold_glue]
(22170,4041,1,1,2,8374.709755),-- [mold_hardener]
(22170,4044,1,1,2,32103.178613),-- [thons]
(22170,960,1,1,2,385.186472),-- [scrl_of_ench_am_s]
(22171,6713,1,1,-1,247201),-- [sealed_major_arcana_boots_design]
(22171,6714,1,1,-1,281647),-- [sealed_major_arcana_hood_pattern]
(22171,7579,1,1,-1,37962),-- [draconic_bow_shaft]
(22171,57,8537,17499,0,700000),-- [adena]
(22171,164,1,1,1,7.727196),-- [elysian]
(22171,5533,1,1,1,2198.175558),-- [elysian_head]
(22171,213,1,1,1,7.727196),-- [worldtree's_branch]
(22171,5544,1,1,1,2196.005592),-- [worldtree's_branch_head]
(22171,7895,1,1,1,7.727196),-- [dragon_flame_head]
(22171,8342,1,1,1,2198.175558),-- [dragon_flame_head_piece]
(22171,7902,1,1,1,7.727196),-- [doom_crusher]
(22171,8349,1,1,1,2197.734508),-- [doom_crusher_head]
(22171,1873,2,6,2,106843.953105),-- [silver_nugget]
(22171,1868,15,45,2,71229.30207),-- [thread]
(22171,1876,1,1,2,213687.90621),-- [mithril_ore]
(22171,1895,3,9,2,50877.875115),-- [metallic_fiber]
(22171,4042,1,1,2,17807.556275),-- [enria]
(22171,6901,1,1,2,1068.407225),-- [rp_shining_arrow]
(22172,6901,1,1,-1,15122),-- [rp_shining_arrow]
(22172,6714,1,1,-1,245313),-- [sealed_major_arcana_hood_pattern]
(22172,959,1,1,-1,605),-- [scrl_of_ench_wp_s]
(22172,57,7442,15233,0,700000),-- [adena]
(22172,5312,1,1,1,91.595712),-- [sealed_helm_of_nightmare]
(22172,5527,1,1,1,11126.053339),-- [sealed_helm_of_nightmare_design]
(22172,5315,1,1,1,130.898199),-- [sealed_shield_of_nightmare]
(22172,5495,1,1,1,14130.803699),-- [sealed_shield_of_nightmare_fragment]
(22172,5317,1,1,1,91.595712),-- [sealed_magestic_circlet]
(22172,5528,1,1,1,11126.053339),-- [sealed_magestic_circlet_design]
(22172,1872,5,15,2,74448.227302),-- [animal_bone]
(22172,1867,9,27,2,41359.942822),-- [animal_skin]
(22172,1881,1,1,2,74448.227302),-- [coarse_bone_powder]
(22172,1875,1,1,2,37223.907262),-- [stone_of_purity]
(22172,4041,1,1,2,4855.507614),-- [mold_hardener]
(22172,959,1,1,2,22.290012),-- [scrl_of_ench_wp_s]
(22172,8732,1,1,2,4652.833616),-- [general_75_s]
(22172,8742,1,1,2,1163.208404),-- [special_75_s]
(22172,8752,1,1,2,116.403396),-- [rare_75_s]
(22172,1344,40,120,2,174487.45227),-- [mithril_arrow]
(22173,959,1,1,-1,511),-- [scrl_of_ench_wp_s]
(22173,1894,1,1,-1,448656),-- [crafted_leather]
(22173,4039,1,1,-1,426223),-- [mold_glue]
(22173,57,6293,12881,0,700000),-- [adena]
(22173,5326,1,1,1,35.752041),-- [sealed_robe_of_nightmare]
(22173,5487,1,1,1,5314.747959),-- [sealed_robe_of_nightmare_fabric]
(22173,5329,1,1,1,35.752041),-- [sealed_majestic_robe]
(22173,5488,1,1,1,5314.747959),-- [sealed_majestic_robe_fabric]
(22173,1868,3,9,2,262291.389312),-- [thread]
(22173,1873,2,6,2,78687.31706),-- [silver_nugget]
(22173,5549,1,1,2,78687.31706),-- [iron_thread]
(22173,1889,1,1,2,52458.377596),-- [compound_braid]
(22173,4044,1,1,2,26228.939464),-- [thons]
(22173,960,1,1,2,314.659508),-- [scrl_of_ench_am_s]
(22174,960,1,1,-1,5096),-- [scrl_of_ench_am_s]
(22174,4040,1,1,-1,254792),-- [mold_lubricant]
(22174,1877,1,1,-1,509585),-- [admantite_nugget]
(22174,57,6280,12821,0,700000),-- [adena]
(22174,5326,1,1,1,35.618401),-- [sealed_robe_of_nightmare]
(22174,5487,1,1,1,5294.881599),-- [sealed_robe_of_nightmare_fabric]
(22174,5329,1,1,1,35.618401),-- [sealed_majestic_robe]
(22174,5488,1,1,1,5294.881599),-- [sealed_majestic_robe_fabric]
(22174,1872,5,15,2,89597.323944),-- [animal_bone]
(22174,1867,9,27,2,49776.454506),-- [animal_skin]
(22174,1881,1,1,2,89597.323944),-- [coarse_bone_powder]
(22174,1875,1,1,2,44798.661972),-- [stone_of_purity]
(22174,4041,1,1,2,5843.133204),-- [mold_hardener]
(22174,6901,1,1,2,672.171138),-- [rp_shining_arrow]
(22174,1344,40,120,2,209992.931292),-- [mithril_arrow]
(22175,6689,1,1,-1,1078),-- [basalt_battlehammer_head]
(22175,960,1,1,-1,203),-- [scrl_of_ench_am_s]
(22175,4042,1,1,-1,8469),-- [enria]
(22175,57,250,511,0,700000),-- [adena]
(22175,5311,1,1,1,1.066786),-- [sealed_armor_of_nightmare]
(22175,5522,1,1,1,159.933214),-- [sealed_armor_of_nightmare_pattern]
(22175,5316,1,1,1,1.066786),-- [sealed_majestic_platte_armor]
(22175,5523,1,1,1,159.933214),-- [sealed_majestic_platte_armor_pattern]
(22175,1873,1,1,2,12507.628896),-- [silver_nugget]
(22175,1868,1,1,2,62538.14448),-- [thread]
(22175,1876,1,1,2,6253.814448),-- [mithril_ore]
(22175,1895,1,1,2,8934.02064),-- [metallic_fiber]
(22175,4042,1,1,2,521.120952),-- [enria]
(22175,959,1,1,2,1.270584),-- [scrl_of_ench_wp_s]
(22176,1877,1,1,-1,20325),-- [admantite_nugget]
(22176,6690,1,1,-1,1100),-- [piece_of_imperial_staff]
(22176,6901,1,1,-1,508),-- [rp_shining_arrow]
(22176,57,250,511,0,700000),-- [adena]
(22176,5320,1,1,1,1.421248),-- [sealed_leather_mail_of_nightmare]
(22176,5480,1,1,1,210.578752),-- [sealed_leather_mail_of_nightmare_fabric]
(22176,5323,1,1,1,1.421248),-- [sealed_majestic_leather_mail]
(22176,5481,1,1,1,210.578752),-- [sealed_majestic_leather_mail_fabric]
(22176,1871,1,1,2,26801.878152),-- [charcoal]
(22176,1866,1,1,2,17867.918768),-- [suede]
(22176,1877,1,1,2,1072.081528),-- [admantite_nugget]
(22176,4041,1,1,2,233.029888),-- [mold_hardener]
(22176,4040,1,1,2,536.000752),-- [mold_lubricant]
(22176,960,1,1,2,10.723216),-- [scrl_of_ench_am_s]
(22176,1344,10,30,2,33502.367696),-- [mithril_arrow]
(22188,1894,1,1,-1,366512),-- [crafted_leather]
(22188,6688,1,1,-1,22578),-- [forgotten_blade_edge]
(22188,6901,1,1,-1,10446),-- [rp_shining_arrow]
(22188,57,5136,10528,0,700000),-- [adena]
(22188,81,1,1,1,6.19788),-- [dragon_slayer]
(22188,5529,1,1,1,1762.65296),-- [dragon_slayer_edge]
(22188,151,1,1,1,6.19788),-- [sword_of_miracle]
(22188,5546,1,1,1,1936.10592),-- [sword_of_miracle_edge]
(22188,2500,1,1,1,6.19788),-- [dark_legion's_edge]
(22188,5545,1,1,1,1762.64748),-- [dark_legion's_edge_edge]
(22188,1894,1,1,2,16915.93334),-- [crafted_leather]
(22188,4039,1,1,2,16070.0958),-- [mold_glue]
(22188,4041,1,1,2,4192.22683),-- [mold_hardener]
(22188,4044,1,1,2,16070.0958),-- [thons]
(22188,959,1,1,2,19.2687),-- [scrl_of_ench_wp_s]
(22188,8732,1,1,2,4017.52395),-- [general_75_s]
(22188,8742,1,1,2,1004.36639),-- [special_75_s]
(22188,8752,1,1,2,100.48919),-- [rare_75_s]
(22189,6689,1,1,-1,17862),-- [basalt_battlehammer_head]
(22189,6901,1,1,-1,8422),-- [rp_shining_arrow]
(22189,6690,1,1,-1,18240),-- [piece_of_imperial_staff]
(22189,57,4145,8484,0,700000),-- [adena]
(22189,164,1,1,1,3.748404),-- [elysian]
(22189,5533,1,1,1,1066.318242),-- [elysian_head]
(22189,213,1,1,1,3.748404),-- [worldtree's_branch]
(22189,5544,1,1,1,1065.265608),-- [worldtree's_branch_head]
(22189,7895,1,1,1,3.748404),-- [dragon_flame_head]
(22189,8342,1,1,1,1066.318242),-- [dragon_flame_head_piece]
(22189,7902,1,1,1,3.748404),-- [doom_crusher]
(22189,8349,1,1,1,1066.104292),-- [doom_crusher_head]
(22189,1894,1,1,2,21823.051152),-- [crafted_leather]
(22189,4039,1,1,2,20731.943408),-- [mold_glue]
(22189,4041,1,1,2,5408.31208),-- [mold_hardener]
(22189,4044,1,1,2,20731.943408),-- [thons]
(22189,960,1,1,2,248.749952),-- [scrl_of_ench_am_s]
(22190,959,1,1,-1,391),-- [scrl_of_ench_wp_s]
(22190,1895,1,5,-1,931221),-- [metallic_fiber]
(22190,4040,1,1,-1,195556),-- [mold_lubricant]
(22190,57,4812,9850,0,700000),-- [adena]
(22190,5312,1,1,1,59.222592),-- [sealed_helm_of_nightmare]
(22190,5527,1,1,1,7193.717949),-- [sealed_helm_of_nightmare_design]
(22190,5315,1,1,1,84.634209),-- [sealed_shield_of_nightmare]
(22190,5495,1,1,1,9136.484709),-- [sealed_shield_of_nightmare_fragment]
(22190,5317,1,1,1,59.222592),-- [sealed_magestic_circlet]
(22190,5528,1,1,1,7193.717949),-- [sealed_magestic_circlet_design]
(22190,1895,1,1,2,128938.022556),-- [metallic_fiber]
(22190,4040,1,1,2,9025.731204),-- [mold_lubricant]
(22190,4042,1,1,2,7521.332154),-- [enria]
(22190,4043,1,1,2,15042.830082),-- [asofe]
(22190,6901,1,1,2,451.236828),-- [rp_shining_arrow]
(22190,8732,1,1,2,3760.748964),-- [general_75_s]
(22190,8742,1,1,2,940.104354),-- [special_75_s]
(22190,8752,1,1,2,93.993858),-- [rare_75_s]
(22191,6691,1,1,-1,10329),-- [angel_slayer_blade]
(22191,6901,1,1,-1,4779),-- [rp_shining_arrow]
(22191,6693,1,1,-1,10517),-- [dragon_hunter_axe_blade]
(22191,57,2350,4817,0,700000),-- [adena]
(22191,5320,1,1,1,13.361072),-- [sealed_leather_mail_of_nightmare]
(22191,5480,1,1,1,1979.638928),-- [sealed_leather_mail_of_nightmare_fabric]
(22191,5323,1,1,1,13.361072),-- [sealed_majestic_leather_mail]
(22191,5481,1,1,1,1979.638928),-- [sealed_majestic_leather_mail_fabric]
(22191,1895,1,1,2,100828.880158),-- [metallic_fiber]
(22191,4040,1,1,2,7058.070574),-- [mold_lubricant]
(22191,4042,1,1,2,5881.704554),-- [enria]
(22191,4043,1,1,2,11763.409108),-- [asofe]
(22191,959,1,1,2,13.935606),-- [scrl_of_ench_wp_s]
(22192,6901,1,1,-1,2552),-- [rp_shining_arrow]
(22192,6694,1,1,-1,5617),-- [saint_spear_blade]
(22192,960,1,1,-1,1021),-- [scrl_of_ench_am_s]
(22192,57,1256,2571,0,700000),-- [adena]
(22192,5311,1,1,1,5.350495),-- [sealed_armor_of_nightmare]
(22192,5522,1,1,1,802.149505),-- [sealed_armor_of_nightmare_pattern]
(22192,5316,1,1,1,5.350495),-- [sealed_majestic_platte_armor]
(22192,5523,1,1,1,802.149505),-- [sealed_majestic_platte_armor_pattern]
(22192,1894,1,1,2,6613.007436),-- [crafted_leather]
(22192,4039,1,1,2,6282.370644),-- [mold_glue]
(22192,4041,1,1,2,1638.87294),-- [mold_hardener]
(22192,4044,1,1,2,6282.370644),-- [thons]
(22192,960,1,1,2,75.378336),-- [scrl_of_ench_am_s]
(22193,4042,1,1,-1,42537),-- [enria]
(22193,4043,1,1,-1,85075),-- [asofe]
(22193,6695,1,1,-1,5413),-- [demon_splinter_blade]
(22193,57,1256,2571,0,700000),-- [adena]
(22193,5326,1,1,1,7.136376),-- [sealed_robe_of_nightmare]
(22193,5487,1,1,1,1060.863624),-- [sealed_robe_of_nightmare_fabric]
(22193,5329,1,1,1,7.136376),-- [sealed_majestic_robe]
(22193,5488,1,1,1,1060.863624),-- [sealed_majestic_robe_fabric]
(22193,1895,1,1,2,33655.924174),-- [metallic_fiber]
(22193,4040,1,1,2,2355.932866),-- [mold_lubricant]
(22193,4042,1,1,2,1963.248541),-- [enria]
(22193,4043,1,1,2,3926.540353),-- [asofe]
(22193,6901,1,1,2,117.783662),-- [rp_shining_arrow]
(22193,8732,1,1,2,981.645906),-- [general_75_s]
(22193,8742,1,1,2,245.389841),-- [special_75_s]
(22193,8752,1,1,2,24.534657),-- [rare_75_s]
(22195,5162,1,1,-1,4026),-- [rp_comp_spiritshot_s]
(22195,5515,1,1,-1,152986),-- [sealed_magestic_gloves_design]
(22195,5167,1,1,-1,4026),-- [rp_comp_bspiritshot_s]
(22195,57,4457,9126,0,700000),-- [adena]
(22195,6326,1,1,1,55.79944),-- [sealed_majestic_necklace]
(22195,6344,1,1,1,8170.77783),-- [sealed_majestic_necklace_beads]
(22195,6327,1,1,1,74.412315),-- [sealed_majestic_earing]
(22195,6342,1,1,1,12625.916405),-- [sealed_majestic_earing_gemstone]
(22195,6328,1,1,1,111.59888),-- [sealed_majestic_ring]
(22195,6346,1,1,1,18146.49513),-- [sealed_majestic_ring_gemstrone]
(22195,1868,4,12,2,83615.338457),-- [thread]
(22195,1873,1,1,2,133784.285201),-- [silver_nugget]
(22195,5549,1,1,2,33445.964496),-- [iron_thread]
(22195,1889,1,1,2,22297.309664),-- [compound_braid]
(22195,4044,1,1,2,11148.654832),-- [thons]
(22195,959,1,1,2,13.243727),-- [scrl_of_ench_wp_s]
(22195,8732,1,1,2,2787.163708),-- [general_75_s]
(22195,8742,1,1,2,696.790927),-- [special_75_s]
(22195,8752,1,1,2,69.636371),-- [rare_75_s]
(22195,1344,30,90,2,139358.612617),-- [mithril_arrow]
(22196,6688,1,1,-1,14653),-- [forgotten_blade_edge]
(22196,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22196,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22196,57,3342,6823,0,700000),-- [adena]
(22196,6364,1,1,1,2.927043),-- [forgotten_blade]
(22196,6372,1,1,1,2.927043),-- [heavens_divider]
(22196,6688,1,1,1,1352.826801),-- [forgotten_blade_edge]
(22196,6696,1,1,1,1374.319113),-- [heavens_divider_edge]
(22196,1879,1,1,2,46352.403325),-- [cokes]
(22196,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22196,9628,1,1,2,2181.29861),-- [renad]
(22196,9630,1,1,2,1463.78033),-- [oricalcum]
(22196,9629,1,1,2,1209.159715),-- [adamantium]
(22196,9573,1,1,2,1931.36615),-- [general_80_s]
(22196,9574,1,1,2,482.80311),-- [special_80_s]
(22196,9575,1,1,2,48.26494),-- [rare_80_s]
(22196,9576,1,1,2,9.68373),-- [unique_80_s]
(22197,6689,1,1,-1,14377),-- [basalt_battlehammer_head]
(22197,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22197,6690,1,1,-1,14681),-- [piece_of_imperial_staff]
(22197,57,3342,6823,0,700000),-- [adena]
(22197,6364,1,1,1,2.927043),-- [forgotten_blade]
(22197,6372,1,1,1,2.927043),-- [heavens_divider]
(22197,6688,1,1,1,1352.826801),-- [forgotten_blade_edge]
(22197,6696,1,1,1,1374.319113),-- [heavens_divider_edge]
(22197,1879,1,1,2,46352.403325),-- [cokes]
(22197,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22197,9628,1,1,2,2181.29861),-- [renad]
(22197,9630,1,1,2,1463.78033),-- [oricalcum]
(22197,9629,1,1,2,1209.159715),-- [adamantium]
(22197,9573,1,1,2,1931.36615),-- [general_80_s]
(22197,9574,1,1,2,482.80311),-- [special_80_s]
(22197,9575,1,1,2,48.26494),-- [rare_80_s]
(22197,9576,1,1,2,9.68373),-- [unique_80_s]
(22198,959,1,1,-1,407),-- [scrl_of_ench_wp_s]
(22198,13099,1,1,-1,141810),-- [sealed_arcana_sigil_part]
(22198,57,3342,6823,0,700000),-- [adena]
(22198,6364,1,1,1,2.927043),-- [forgotten_blade]
(22198,6372,1,1,1,2.927043),-- [heavens_divider]
(22198,6688,1,1,1,1352.826801),-- [forgotten_blade_edge]
(22198,6696,1,1,1,1374.319113),-- [heavens_divider_edge]
(22198,1879,1,1,2,46352.403325),-- [cokes]
(22198,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22198,9628,1,1,2,2181.29861),-- [renad]
(22198,9630,1,1,2,1463.78033),-- [oricalcum]
(22198,9629,1,1,2,1209.159715),-- [adamantium]
(22198,9573,1,1,2,1931.36615),-- [general_80_s]
(22198,9574,1,1,2,482.80311),-- [special_80_s]
(22198,9575,1,1,2,48.26494),-- [rare_80_s]
(22198,9576,1,1,2,9.68373),-- [unique_80_s]
(22199,6691,1,1,-1,14653),-- [angel_slayer_blade]
(22199,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22199,6693,1,1,-1,14918),-- [dragon_hunter_axe_blade]
(22199,57,3342,6823,0,700000),-- [adena]
(22199,6724,1,1,1,25.515042),-- [sealed_sanddragon's_earing]
(22199,6725,1,1,1,38.261382),-- [sealed_ring_of_aurakyria]
(22199,6726,1,1,1,19.11951),-- [sealed_dragon_necklace]
(22199,6698,1,1,1,8193.503886),-- [sealed_sanddragon's_earing_piece]
(22199,6699,1,1,1,9091.785426),-- [sealed_ring_of_aurakyria_gem]
(22199,6700,1,1,1,4993.814754),-- [sealed_dragon_necklace_wire]
(22199,1879,1,1,2,46352.403325),-- [cokes]
(22199,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22199,9628,1,1,2,2181.29861),-- [renad]
(22199,9630,1,1,2,1463.78033),-- [oricalcum]
(22199,9629,1,1,2,1209.159715),-- [adamantium]
(22199,9573,1,1,2,1931.36615),-- [general_80_s]
(22199,9574,1,1,2,482.80311),-- [special_80_s]
(22199,9575,1,1,2,48.26494),-- [rare_80_s]
(22199,9576,1,1,2,9.68373),-- [unique_80_s]
(22200,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22200,6694,1,1,-1,14918),-- [saint_spear_blade]
(22200,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22200,57,3342,6823,0,700000),-- [adena]
(22200,6365,1,1,1,1.951366),-- [basalt_battlehammer]
(22200,6366,1,1,1,1.951366),-- [imperial_staff]
(22200,6369,1,1,1,1.951366),-- [dragon_hunter_axe]
(22200,6689,1,1,1,885.355652),-- [basalt_battlehammer_head]
(22200,6690,1,1,1,904.076824),-- [piece_of_imperial_staff]
(22200,6693,1,1,1,918.713426),-- [dragon_hunter_axe_blade]
(22200,1879,1,1,2,46352.403325),-- [cokes]
(22200,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22200,9628,1,1,2,2181.29861),-- [renad]
(22200,9630,1,1,2,1463.78033),-- [oricalcum]
(22200,9629,1,1,2,1209.159715),-- [adamantium]
(22200,9573,1,1,2,1931.36615),-- [general_80_s]
(22200,9574,1,1,2,482.80311),-- [special_80_s]
(22200,9575,1,1,2,48.26494),-- [rare_80_s]
(22200,9576,1,1,2,9.68373),-- [unique_80_s]
(22201,1895,1,5,-1,645620),-- [metallic_fiber]
(22201,4040,1,1,-1,135580),-- [mold_lubricant]
(22201,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22201,57,3342,6823,0,700000),-- [adena]
(22201,6365,1,1,1,1.951366),-- [basalt_battlehammer]
(22201,6366,1,1,1,1.951366),-- [imperial_staff]
(22201,6369,1,1,1,1.951366),-- [dragon_hunter_axe]
(22201,6689,1,1,1,885.355652),-- [basalt_battlehammer_head]
(22201,6690,1,1,1,904.076824),-- [piece_of_imperial_staff]
(22201,6693,1,1,1,918.713426),-- [dragon_hunter_axe_blade]
(22201,1879,1,1,2,46352.403325),-- [cokes]
(22201,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22201,9628,1,1,2,2181.29861),-- [renad]
(22201,9630,1,1,2,1463.78033),-- [oricalcum]
(22201,9629,1,1,2,1209.159715),-- [adamantium]
(22201,9573,1,1,2,1931.36615),-- [general_80_s]
(22201,9574,1,1,2,482.80311),-- [special_80_s]
(22201,9575,1,1,2,48.26494),-- [rare_80_s]
(22201,9576,1,1,2,9.68373),-- [unique_80_s]
(22202,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22202,6696,1,1,-1,14886),-- [heavens_divider_edge]
(22202,57,3342,6823,0,700000),-- [adena]
(22202,6365,1,1,1,1.951366),-- [basalt_battlehammer]
(22202,6366,1,1,1,1.951366),-- [imperial_staff]
(22202,6369,1,1,1,1.951366),-- [dragon_hunter_axe]
(22202,6689,1,1,1,885.355652),-- [basalt_battlehammer_head]
(22202,6690,1,1,1,904.076824),-- [piece_of_imperial_staff]
(22202,6693,1,1,1,918.713426),-- [dragon_hunter_axe_blade]
(22202,1879,1,1,2,46352.403325),-- [cokes]
(22202,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22202,9628,1,1,2,2181.29861),-- [renad]
(22202,9630,1,1,2,1463.78033),-- [oricalcum]
(22202,9629,1,1,2,1209.159715),-- [adamantium]
(22202,9573,1,1,2,1931.36615),-- [general_80_s]
(22202,9574,1,1,2,482.80311),-- [special_80_s]
(22202,9575,1,1,2,48.26494),-- [rare_80_s]
(22202,9576,1,1,2,9.68373),-- [unique_80_s]
(22203,6697,1,1,-1,14377),-- [arcana_mace_head]
(22203,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22203,1875,1,1,-1,451934),-- [stone_of_purity]
(22203,57,3342,6823,0,700000),-- [adena]
(22203,7575,1,1,1,5.85417),-- [draconic_bow]
(22203,7579,1,1,1,2736.14583),-- [draconic_bow_shaft]
(22203,1879,1,1,2,46352.403325),-- [cokes]
(22203,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22203,9628,1,1,2,2181.29861),-- [renad]
(22203,9630,1,1,2,1463.78033),-- [oricalcum]
(22203,9629,1,1,2,1209.159715),-- [adamantium]
(22203,9573,1,1,2,1931.36615),-- [general_80_s]
(22203,9574,1,1,2,482.80311),-- [special_80_s]
(22203,9575,1,1,2,48.26494),-- [rare_80_s]
(22203,9576,1,1,2,9.68373),-- [unique_80_s]
(22204,1885,1,1,-1,564917),-- [high_grade_suede]
(22204,6698,1,1,-1,133157),-- [sealed_sanddragon's_earing_piece]
(22204,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22204,57,3342,6823,0,700000),-- [adena]
(22204,7575,1,1,1,5.85417),-- [draconic_bow]
(22204,7579,1,1,1,2736.14583),-- [draconic_bow_shaft]
(22204,1879,1,1,2,46352.403325),-- [cokes]
(22204,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22204,9628,1,1,2,2181.29861),-- [renad]
(22204,9630,1,1,2,1463.78033),-- [oricalcum]
(22204,9629,1,1,2,1209.159715),-- [adamantium]
(22204,9573,1,1,2,1931.36615),-- [general_80_s]
(22204,9574,1,1,2,482.80311),-- [special_80_s]
(22204,9575,1,1,2,48.26494),-- [rare_80_s]
(22204,9576,1,1,2,9.68373),-- [unique_80_s]
(22205,6699,1,1,-1,147755),-- [sealed_ring_of_aurakyria_gem]
(22205,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22205,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22205,57,3342,6823,0,700000),-- [adena]
(22205,7575,1,1,1,5.85417),-- [draconic_bow]
(22205,7579,1,1,1,2736.14583),-- [draconic_bow_shaft]
(22205,1879,1,1,2,46352.403325),-- [cokes]
(22205,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22205,9628,1,1,2,2181.29861),-- [renad]
(22205,9630,1,1,2,1463.78033),-- [oricalcum]
(22205,9629,1,1,2,1209.159715),-- [adamantium]
(22205,9573,1,1,2,1931.36615),-- [general_80_s]
(22205,9574,1,1,2,482.80311),-- [special_80_s]
(22205,9575,1,1,2,48.26494),-- [rare_80_s]
(22205,9576,1,1,2,9.68373),-- [unique_80_s]
(22208,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22208,6703,1,1,-1,96519),-- [sealed_imperial_crusader_gauntlet_design]
(22208,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22208,57,3342,6823,0,700000),-- [adena]
(22208,6367,1,1,1,5.853049),-- [angel_slayer]
(22208,6691,1,1,1,2705.146951),-- [angel_slayer_blade]
(22208,8954,1,1,2,1430.429),-- [blue_genesis_crystal]
(22208,8955,1,1,2,715.2145),-- [green_genesis_crystal]
(22208,8956,1,1,2,357.60725),-- [red_genesis_crystal]
(22208,8752,1,1,2,74.50025),-- [rare_75_s]
(22208,8762,1,1,2,14.8995),-- [unique_75_s]
(22208,959,1,1,2,14.3055),-- [scrl_of_ench_wp_s]
(22208,960,1,1,2,143.044),-- [scrl_of_ench_am_s]
(22209,1894,1,1,-1,237860),-- [crafted_leather]
(22209,4042,1,1,-1,112983),-- [enria]
(22209,6704,1,1,-1,96519),-- [sealed_imperial_crusader_boots_design]
(22209,57,3342,6823,0,700000),-- [adena]
(22209,6367,1,1,1,5.853049),-- [angel_slayer]
(22209,6691,1,1,1,2705.146951),-- [angel_slayer_blade]
(22209,8954,1,1,2,1430.429),-- [blue_genesis_crystal]
(22209,8955,1,1,2,715.2145),-- [green_genesis_crystal]
(22209,8956,1,1,2,357.60725),-- [red_genesis_crystal]
(22209,8752,1,1,2,74.50025),-- [rare_75_s]
(22209,8762,1,1,2,14.8995),-- [unique_75_s]
(22209,959,1,1,2,14.3055),-- [scrl_of_ench_wp_s]
(22209,960,1,1,2,143.044),-- [scrl_of_ench_am_s]
(22210,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22210,6705,1,1,-1,94540),-- [sealed_imperial_crusader_shield_part]
(22210,57,3342,6823,0,700000),-- [adena]
(22210,6367,1,1,1,5.853049),-- [angel_slayer]
(22210,6691,1,1,1,2705.146951),-- [angel_slayer_blade]
(22210,8954,1,1,2,1430.429),-- [blue_genesis_crystal]
(22210,8955,1,1,2,715.2145),-- [green_genesis_crystal]
(22210,8956,1,1,2,357.60725),-- [red_genesis_crystal]
(22210,8752,1,1,2,74.50025),-- [rare_75_s]
(22210,8762,1,1,2,14.8995),-- [unique_75_s]
(22210,959,1,1,2,14.3055),-- [scrl_of_ench_wp_s]
(22210,960,1,1,2,143.044),-- [scrl_of_ench_am_s]
(22211,6706,1,1,-1,109968),-- [sealed_imperial_crusader_helmet_pattern]
(22211,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22211,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22211,57,3342,6823,0,700000),-- [adena]
(22211,6371,1,1,1,5.85466),-- [demon_splinter]
(22211,6695,1,1,1,2654.14534),-- [demon_splinter_blade]
(22211,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22211,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22211,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22211,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22211,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22212,4041,1,1,-1,58948),-- [mold_hardener]
(22212,6707,1,1,-1,33589),-- [sealed_draconic_leather_armor_part]
(22212,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22212,57,3342,6823,0,700000),-- [adena]
(22212,6371,1,1,1,5.85466),-- [demon_splinter]
(22212,6695,1,1,1,2654.14534),-- [demon_splinter_blade]
(22212,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22212,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22212,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22212,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22212,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22213,6708,1,1,-1,96519),-- [sealed_draconic_leather_gloves_fabric]
(22213,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22213,6709,1,1,-1,96519),-- [sealed_draconic_leather_boots_design]
(22213,57,3342,6823,0,700000),-- [adena]
(22213,6371,1,1,1,5.85466),-- [demon_splinter]
(22213,6695,1,1,1,2654.14534),-- [demon_splinter_blade]
(22213,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22213,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22213,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22213,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22213,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22214,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22214,5549,1,1,-1,677901),-- [iron_thread]
(22214,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22214,57,3342,6823,0,700000),-- [adena]
(22214,6676,1,1,1,13.05678),-- [sealed_imperial_crusader_gauntlet]
(22214,6677,1,1,1,13.05678),-- [sealed_imperial_crusader_boots]
(22214,6681,1,1,1,13.05678),-- [sealed_draconic_leather_gloves]
(22214,6682,1,1,1,13.05678),-- [sealed_draconic_leather_boots]
(22214,6685,1,1,1,13.05678),-- [sealed_major_arcana_gloves]
(22214,6686,1,1,1,13.05678),-- [sealed_major_arcana_boots]
(22214,6703,1,1,1,2967.949182),-- [sealed_imperial_crusader_gauntlet_design]
(22214,6704,1,1,1,2967.949182),-- [sealed_imperial_crusader_boots_design]
(22214,6708,1,1,1,2967.949182),-- [sealed_draconic_leather_gloves_fabric]
(22214,6709,1,1,1,2967.949182),-- [sealed_draconic_leather_boots_design]
(22214,6712,1,1,1,2967.949182),-- [sealed_major_arcana_gloves_fabric]
(22214,6713,1,1,1,2967.91341),-- [sealed_major_arcana_boots_design]
(22214,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22214,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22214,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22214,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22214,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22215,6710,1,7,-1,797242),-- [sealed_draconic_leather_helmet_pattern]
(22215,6901,1,1,-1,196584),-- [rp_shining_arrow]
(22215,6711,1,3,-1,487016),-- [sealed_major_arcana_robe_part]
(22215,57,96910,197846,0,700000),-- [adena]
(22215,6370,1,1,1,169.752114),-- [saint_spear]
(22215,6694,1,1,1,79864.247886),-- [saint_spear_blade]
(22215,1879,15,45,2,44805.479755),-- [cokes]
(22215,1885,2,6,2,168020.01748),-- [high_grade_suede]
(22215,9628,1,1,2,63254.594816),-- [renad]
(22215,9630,1,1,2,42447.29661),-- [oricalcum]
(22215,9629,1,1,2,35065.269012),-- [adamantium]
(22215,9573,1,1,2,56006.530733),-- [general_80_s]
(22215,9574,1,1,2,14001.526363),-- [special_80_s]
(22215,9575,1,1,2,1400.025052),-- [rare_80_s]
(22215,9576,1,1,2,280.260179),-- [unique_80_s]
(22216,6901,1,1,-1,196584),-- [rp_shining_arrow]
(22216,6712,1,5,-1,932982),-- [sealed_major_arcana_gloves_fabric]
(22216,960,1,1,-1,78634),-- [scrl_of_ench_am_s]
(22216,57,96910,197846,0,700000),-- [adena]
(22216,6370,1,1,1,169.752114),-- [saint_spear]
(22216,6694,1,1,1,79864.247886),-- [saint_spear_blade]
(22216,1879,15,45,2,44805.479755),-- [cokes]
(22216,1885,2,6,2,168020.01748),-- [high_grade_suede]
(22216,9628,1,1,2,63254.594816),-- [renad]
(22216,9630,1,1,2,42447.29661),-- [oricalcum]
(22216,9629,1,1,2,35065.269012),-- [adamantium]
(22216,9573,1,1,2,56006.530733),-- [general_80_s]
(22216,9574,1,1,2,14001.526363),-- [special_80_s]
(22216,9575,1,1,2,1400.025052),-- [rare_80_s]
(22216,9576,1,1,2,280.260179),-- [unique_80_s]
(22217,4042,1,7,-1,819100),-- [enria]
(22217,4043,1,13,-1,936114),-- [asofe]
(22217,6713,1,5,-1,932982),-- [sealed_major_arcana_boots_design]
(22217,57,96910,197846,0,700000),-- [adena]
(22217,6370,1,1,1,169.752114),-- [saint_spear]
(22217,6694,1,1,1,79864.247886),-- [saint_spear_blade]
(22217,1879,15,45,2,44805.479755),-- [cokes]
(22217,1885,2,6,2,168020.01748),-- [high_grade_suede]
(22217,9628,1,1,2,63254.594816),-- [renad]
(22217,9630,1,1,2,42447.29661),-- [oricalcum]
(22217,9629,1,1,2,35065.269012),-- [adamantium]
(22217,9573,1,1,2,56006.530733),-- [general_80_s]
(22217,9574,1,1,2,14001.526363),-- [special_80_s]
(22217,9575,1,1,2,1400.025052),-- [rare_80_s]
(22217,9576,1,1,2,280.260179),-- [unique_80_s]
(22218,6688,1,1,-1,14653),-- [forgotten_blade_edge]
(22218,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22218,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22218,57,3342,6823,0,700000),-- [adena]
(22218,6364,1,1,1,2.927043),-- [forgotten_blade]
(22218,6372,1,1,1,2.927043),-- [heavens_divider]
(22218,6688,1,1,1,1352.826801),-- [forgotten_blade_edge]
(22218,6696,1,1,1,1374.319113),-- [heavens_divider_edge]
(22218,1879,1,1,2,46352.403325),-- [cokes]
(22218,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22218,9628,1,1,2,2181.29861),-- [renad]
(22218,9630,1,1,2,1463.78033),-- [oricalcum]
(22218,9629,1,1,2,1209.159715),-- [adamantium]
(22218,9573,1,1,2,1931.36615),-- [general_80_s]
(22218,9574,1,1,2,482.80311),-- [special_80_s]
(22218,9575,1,1,2,48.26494),-- [rare_80_s]
(22218,9576,1,1,2,9.68373),-- [unique_80_s]
(22219,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22219,6694,1,1,-1,14918),-- [saint_spear_blade]
(22219,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22219,57,3342,6823,0,700000),-- [adena]
(22219,6365,1,1,1,1.951366),-- [basalt_battlehammer]
(22219,6366,1,1,1,1.951366),-- [imperial_staff]
(22219,6369,1,1,1,1.951366),-- [dragon_hunter_axe]
(22219,6689,1,1,1,885.355652),-- [basalt_battlehammer_head]
(22219,6690,1,1,1,904.076824),-- [piece_of_imperial_staff]
(22219,6693,1,1,1,918.713426),-- [dragon_hunter_axe_blade]
(22219,1879,1,1,2,46352.403325),-- [cokes]
(22219,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22219,9628,1,1,2,2181.29861),-- [renad]
(22219,9630,1,1,2,1463.78033),-- [oricalcum]
(22219,9629,1,1,2,1209.159715),-- [adamantium]
(22219,9573,1,1,2,1931.36615),-- [general_80_s]
(22219,9574,1,1,2,482.80311),-- [special_80_s]
(22219,9575,1,1,2,48.26494),-- [rare_80_s]
(22219,9576,1,1,2,9.68373),-- [unique_80_s]
(22220,6697,1,1,-1,14377),-- [arcana_mace_head]
(22220,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22220,1875,1,1,-1,451934),-- [stone_of_purity]
(22220,57,3342,6823,0,700000),-- [adena]
(22220,7575,1,1,1,5.85417),-- [draconic_bow]
(22220,7579,1,1,1,2736.14583),-- [draconic_bow_shaft]
(22220,1879,1,1,2,46352.403325),-- [cokes]
(22220,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22220,9628,1,1,2,2181.29861),-- [renad]
(22220,9630,1,1,2,1463.78033),-- [oricalcum]
(22220,9629,1,1,2,1209.159715),-- [adamantium]
(22220,9573,1,1,2,1931.36615),-- [general_80_s]
(22220,9574,1,1,2,482.80311),-- [special_80_s]
(22220,9575,1,1,2,48.26494),-- [rare_80_s]
(22220,9576,1,1,2,9.68373),-- [unique_80_s]
(22221,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22221,6703,1,1,-1,96519),-- [sealed_imperial_crusader_gauntlet_design]
(22221,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22221,57,3342,6823,0,700000),-- [adena]
(22221,6367,1,1,1,5.853049),-- [angel_slayer]
(22221,6691,1,1,1,2705.146951),-- [angel_slayer_blade]
(22221,1879,1,1,2,46352.403325),-- [cokes]
(22221,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22221,9628,1,1,2,2181.29861),-- [renad]
(22221,9630,1,1,2,1463.78033),-- [oricalcum]
(22221,9629,1,1,2,1209.159715),-- [adamantium]
(22221,9573,1,1,2,1931.36615),-- [general_80_s]
(22221,9574,1,1,2,482.80311),-- [special_80_s]
(22221,9575,1,1,2,48.26494),-- [rare_80_s]
(22221,9576,1,1,2,9.68373),-- [unique_80_s]
(22222,6706,1,1,-1,109968),-- [sealed_imperial_crusader_helmet_pattern]
(22222,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22222,1875,1,1,-1,451934),-- [stone_of_purity]
(22222,57,3342,6823,0,700000),-- [adena]
(22222,6371,1,1,1,5.85466),-- [demon_splinter]
(22222,6695,1,1,1,2654.14534),-- [demon_splinter_blade]
(22222,8954,1,1,2,1430.429),-- [blue_genesis_crystal]
(22222,8955,1,1,2,715.2145),-- [green_genesis_crystal]
(22222,8956,1,1,2,357.60725),-- [red_genesis_crystal]
(22222,8752,1,1,2,74.50025),-- [rare_75_s]
(22222,8762,1,1,2,14.8995),-- [unique_75_s]
(22222,959,1,1,2,14.3055),-- [scrl_of_ench_wp_s]
(22222,960,1,1,2,143.044),-- [scrl_of_ench_am_s]
(22223,6688,1,1,-1,14653),-- [forgotten_blade_edge]
(22223,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22223,13099,1,1,-1,94540),-- [sealed_arcana_sigil_part]
(22223,57,5707,11651,0,700000),-- [adena]
(22223,81,1,1,1,6.869694),-- [dragon_slayer]
(22223,5529,1,1,1,1953.714248),-- [dragon_slayer_edge]
(22223,151,1,1,1,6.869694),-- [sword_of_miracle]
(22223,5546,1,1,1,2145.968496),-- [sword_of_miracle_edge]
(22223,2500,1,1,1,6.869694),-- [dark_legion's_edge]
(22223,5545,1,1,1,1953.708174),-- [dark_legion's_edge_edge]
(22223,1879,1,1,2,101770.251152),-- [cokes]
(22223,1885,1,1,2,50885.125576),-- [high_grade_suede]
(22223,9628,1,1,2,4789.190214),-- [renad]
(22223,9630,1,1,2,3213.731972),-- [oricalcum]
(22223,9629,1,1,2,2654.93586),-- [adamantium]
(22223,959,1,1,2,24.373718),-- [scrl_of_ench_wp_s]
(22223,960,1,1,2,244.391508),-- [scrl_of_ench_am_s]
(22224,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22224,6694,1,1,-1,14918),-- [saint_spear_blade]
(22224,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22224,57,3342,6823,0,700000),-- [adena]
(22224,6365,1,1,1,1.951366),-- [basalt_battlehammer]
(22224,6366,1,1,1,1.951366),-- [imperial_staff]
(22224,6369,1,1,1,1.951366),-- [dragon_hunter_axe]
(22224,6689,1,1,1,885.355652),-- [basalt_battlehammer_head]
(22224,6690,1,1,1,904.076824),-- [piece_of_imperial_staff]
(22224,6693,1,1,1,918.713426),-- [dragon_hunter_axe_blade]
(22224,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22224,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22224,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22224,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22224,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22225,6697,1,1,-1,14377),-- [arcana_mace_head]
(22225,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22225,1875,1,1,-1,451934),-- [stone_of_purity]
(22225,57,3342,6823,0,700000),-- [adena]
(22225,7575,1,1,1,5.85417),-- [draconic_bow]
(22225,7579,1,1,1,2736.14583),-- [draconic_bow_shaft]
(22225,1879,1,1,2,46352.403325),-- [cokes]
(22225,1885,1,1,2,23176.24009),-- [high_grade_suede]
(22225,9628,1,1,2,2181.29861),-- [renad]
(22225,9630,1,1,2,1463.78033),-- [oricalcum]
(22225,9629,1,1,2,1209.159715),-- [adamantium]
(22225,9573,1,1,2,1931.36615),-- [general_80_s]
(22225,9574,1,1,2,482.80311),-- [special_80_s]
(22225,9575,1,1,2,48.26494),-- [rare_80_s]
(22225,9576,1,1,2,9.68373),-- [unique_80_s]
(22226,6901,1,1,-1,6779),-- [rp_shining_arrow]
(22226,6703,1,1,-1,96519),-- [sealed_imperial_crusader_gauntlet_design]
(22226,959,1,1,-1,271),-- [scrl_of_ench_wp_s]
(22226,57,3342,6823,0,700000),-- [adena]
(22226,6367,1,1,1,5.853049),-- [angel_slayer]
(22226,6691,1,1,1,2705.146951),-- [angel_slayer_blade]
(22226,8954,1,1,2,1430.429),-- [blue_genesis_crystal]
(22226,8955,1,1,2,715.2145),-- [green_genesis_crystal]
(22226,8956,1,1,2,357.60725),-- [red_genesis_crystal]
(22226,8752,1,1,2,74.50025),-- [rare_75_s]
(22226,8762,1,1,2,14.8995),-- [unique_75_s]
(22226,959,1,1,2,14.3055),-- [scrl_of_ench_wp_s]
(22226,960,1,1,2,143.044),-- [scrl_of_ench_am_s]
(22227,6706,1,1,-1,109968),-- [sealed_imperial_crusader_helmet_pattern]
(22227,960,1,1,-1,2712),-- [scrl_of_ench_am_s]
(22227,1875,1,1,-1,451934),-- [stone_of_purity]
(22227,57,3342,6823,0,700000),-- [adena]
(22227,6371,1,1,1,5.85466),-- [demon_splinter]
(22227,6695,1,1,1,2654.14534),-- [demon_splinter_blade]
(22227,8954,1,1,2,2002.149016),-- [blue_genesis_crystal]
(22227,8955,1,1,2,1001.074508),-- [green_genesis_crystal]
(22227,8956,1,1,2,500.539116),-- [red_genesis_crystal]
(22227,959,1,1,2,20.020224),-- [scrl_of_ench_wp_s]
(22227,960,1,1,2,200.217136),-- [scrl_of_ench_am_s]
(22228,1864,1,1,-1,31786),-- [stem]
(22228,1666,1,1,-1,5298),-- [rp_wooden_arrow]
(22228,1786,1,1,-1,12714),-- [rp_broad_sword]
(22228,57,8,12,0,700000),-- [adena]
(22228,112,1,1,1,28826.1324),-- [apprentice's_earing]
(22228,116,1,1,1,43815.6836),-- [magic_ring]
(22228,118,1,1,1,21478.184),-- [necklace_of_magic]
(22228,1864,1,1,2,5476.875),-- [stem]
(22228,1865,1,1,2,2738.4375),-- [varnish]
(22228,1866,1,1,2,1825.630842),-- [suede]
(22228,1873,1,1,2,1095.375),-- [silver_nugget]
(22228,1868,1,1,2,5476.875),-- [thread]
(22228,1666,1,1,2,912.806658),-- [rp_wooden_arrow]
(22229,1871,1,1,-1,15893),-- [charcoal]
(22229,1866,1,1,-1,10595),-- [suede]
(22229,1787,1,1,-1,12714),-- [rp_willow_staff]
(22229,57,8,12,0,700000),-- [adena]
(22229,21,1,1,1,14540.73921),-- [shirt]
(22229,28,1,1,1,23142.26079),-- [pants]
(22229,1871,1,1,2,4107.736359),-- [charcoal]
(22229,1866,1,1,2,2738.490906),-- [suede]
(22229,1786,1,1,2,3286.182953),-- [rp_broad_sword]
(22229,17,10,30,2,20538.589782),-- [wooden_arrow]
(22230,1788,1,1,-1,14309),-- [rp_bow]
(22230,1870,1,1,-1,17886),-- [coal]
(22230,1865,1,1,-1,17886),-- [varnish]
(22230,57,8,13,0,700000),-- [adena]
(22230,18,1,1,1,61637.298112),-- [leather_shield]
(22230,41,1,1,1,44026.701888),-- [cloth_cap]
(22230,1870,1,1,2,6163.573894),-- [coal]
(22230,1865,1,1,2,6163.573894),-- [varnish]
(22230,1787,1,1,2,4930.852212),-- [rp_willow_staff]
(22231,1666,1,1,-1,9020),-- [rp_wooden_arrow]
(22231,1786,1,1,-1,21649),-- [rp_broad_sword]
(22231,1866,1,1,-1,18041),-- [suede]
(22231,57,13,20,0,700000),-- [adena]
(22231,13,1,1,1,9484),-- [short_bow]
(22231,1866,1,1,2,4662.7931),-- [suede]
(22231,1871,1,1,2,6994.18965),-- [charcoal]
(22231,1788,1,1,2,5595.35172),-- [rp_bow]
(22231,1060,1,1,2,15542.66553),-- [lesser_healing_potion]
(22232,1864,1,1,-1,77083),-- [stem]
(22232,1787,1,1,-1,30833),-- [rp_willow_staff]
(22232,1788,1,1,-1,30833),-- [rp_bow]
(22232,57,19,29,0,700000),-- [adena]
(22232,21,1,1,1,35261.95821),-- [shirt]
(22232,28,1,1,1,56121.04179),-- [pants]
(22232,1864,1,1,2,26564.4),-- [stem]
(22232,1869,1,1,2,13282.2),-- [iron_ore]
(22232,1666,1,1,2,4427.4),-- [rp_wooden_arrow]
(22233,1874,1,1,-1,3731),-- [oriharukon_ore]
(22233,4043,1,1,-1,1865),-- [asofe]
(22233,1666,1,1,-1,18654),-- [rp_wooden_arrow]
(22233,57,30,42,0,700000),-- [adena]
(22233,13,1,1,1,19612),-- [short_bow]
(22233,1870,1,1,2,19285.722),-- [coal]
(22233,1865,1,1,2,19285.722),-- [varnish]
(22233,1786,1,1,2,15428.556),-- [rp_broad_sword]
(22234,2005,1,1,-1,5489),-- [broad_sword_blade]
(22234,1789,1,1,-1,14204),-- [rp_cedar_staff]
(22234,2006,1,1,-1,5489),-- [willow_staff_head]
(22234,57,41,58,0,700000),-- [adena]
(22234,22,1,1,1,2427.747344),-- [leather_shirt]
(22234,29,1,1,1,3880.252656),-- [leather_pants]
(22234,1866,1,1,2,10087.997139),-- [suede]
(22234,1871,1,1,2,15131.9817),-- [charcoal]
(22234,1789,1,1,2,2797.021161),-- [rp_cedar_staff]
(22235,1877,1,1,-1,3864),-- [admantite_nugget]
(22235,4041,1,1,-1,840),-- [mold_hardener]
(22235,1060,1,1,-1,214653),-- [lesser_healing_potion]
(22235,57,51,71,0,700000),-- [adena]
(22235,14,1,1,1,594.321392),-- [bow]
(22235,2007,1,1,1,2037.678608),-- [bow_shaft]
(22235,1871,1,1,2,14266.175985),-- [charcoal]
(22235,1866,1,1,2,9510.78399),-- [suede]
(22235,1790,1,1,2,2636.96461),-- [rp_dirk]
(22235,17,10,30,2,71331.075415),-- [wooden_arrow]
(22236,2007,1,1,-1,8799),-- [bow_shaft]
(22236,1790,1,1,-1,22769),-- [rp_dirk]
(22236,2005,1,1,-1,8799),-- [broad_sword_blade]
(22236,57,66,90,0,700000),-- [adena]
(22236,14,1,1,1,758.030742),-- [bow]
(22236,2007,1,1,1,2598.969258),-- [bow_shaft]
(22236,1867,1,1,2,32343.13113),-- [animal_skin]
(22236,1872,1,1,2,32343.13113),-- [animal_bone]
(22236,1791,1,1,2,4483.73774),-- [rp_brandish]
(22237,1791,1,1,-1,27308),-- [rp_brandish]
(22237,2006,1,1,-1,10553),-- [willow_staff_head]
(22237,1865,1,1,-1,147736),-- [varnish]
(22237,57,79,107,0,700000),-- [adena]
(22237,3,1,1,1,909.094956),-- [broad_sword]
(22237,2005,1,1,1,3116.905044),-- [broad_sword_blade]
(22237,1865,1,1,2,21819.514624),-- [varnish]
(22237,1870,1,1,2,21819.514624),-- [coal]
(22237,1795,1,1,2,82337.41248),-- [rp_leather_shoes]
(22237,1060,1,1,2,48487.558272),-- [lesser_healing_potion]
(22238,4039,1,1,-1,5902),-- [mold_glue]
(22238,1060,1,1,-1,393476),-- [lesser_healing_potion]
(22238,2007,1,1,-1,12647),-- [bow_shaft]
(22238,57,95,129,0,700000),-- [adena]
(22238,5,1,1,1,544.793529),-- [mace]
(22238,8,1,1,1,544.793529),-- [willow_staff]
(22238,2006,1,1,1,1867.860813),-- [willow_staff_head]
(22238,152,1,1,1,843.552129),-- [heavy_chisel]
(22238,1870,1,1,2,34867.98525),-- [coal]
(22238,1865,1,1,2,34867.98525),-- [varnish]
(22238,1796,1,1,2,43859.0295),-- [rp_leather_tunic]
(22239,1792,1,1,-1,14651),-- [rp_short_spear]
(22239,1896,1,1,-1,84428),-- [necklace_of_anguish_chain]
(22239,1793,1,1,-1,14651),-- [rp_sword_of_reflexion]
(22239,57,108,145,0,700000),-- [adena]
(22239,66,1,1,1,188.6388),-- [gladius]
(22239,1333,1,1,1,188.6388),-- [brandish]
(22239,2010,1,1,1,1526.7224),-- [brandish_blade]
(22239,1867,1,1,2,52315.83525),-- [animal_skin]
(22239,1872,1,1,2,52315.83525),-- [animal_bone]
(22239,736,1,1,2,19618.3295),-- [scroll_of_escape]
(22240,1921,1,1,-1,133342),-- [leather_shoes_texture]
(22240,1869,1,1,-1,206680),-- [iron_ore]
(22240,1878,1,1,-1,82672),-- [braided_hemp]
(22240,57,110,152,0,700000),-- [adena]
(22240,9,1,1,1,195.673125),-- [cedar_staff]
(22240,2008,1,1,1,1583.65375),-- [cedar_staff_head]
(22240,154,1,1,1,195.673125),-- [dwarven_mace]
(22240,1864,1,1,2,81400.266774),-- [stem]
(22240,1869,1,1,2,40700.133387),-- [iron_ore]
(22240,1792,1,1,2,2992.599839),-- [rp_short_spear]
(22241,1831,1,1,-1,701496),-- [antidote]
(22241,1922,1,1,-1,67107),-- [leather_tunic_pattern]
(22241,1794,1,1,-1,19343),-- [rp_bow_of_forest]
(22241,57,138,196,0,700000),-- [adena]
(22241,271,1,1,1,747),-- [hunting_bow]
(22241,1871,1,1,2,51802.793256),-- [charcoal]
(22241,1866,1,1,2,34535.225553),-- [suede]
(22241,1793,1,1,2,3808.981191),-- [rp_sword_of_reflexion]
(22242,1923,1,1,-1,89762),-- [leather_hose_pattern]
(22242,1798,1,1,-1,214725),-- [rp_leather_helmet]
(22242,2008,1,1,-1,8522),-- [cedar_staff_head]
(22242,57,112,166,0,700000),-- [adena]
(22242,66,1,1,1,207.363975),-- [gladius]
(22242,1333,1,1,1,207.363975),-- [brandish]
(22242,2010,1,1,1,1678.27205),-- [brandish_blade]
(22242,1870,1,1,2,32347.647308),-- [coal]
(22242,1865,1,1,2,32347.647308),-- [varnish]
(22242,1794,1,1,2,2378.517008),-- [rp_bow_of_forest]
(22242,1831,1,1,2,86260.188376),-- [antidote]
(22243,1868,1,1,-1,457876),-- [thread]
(22243,1873,1,1,-1,91575),-- [silver_nugget]
(22243,1833,1,1,-1,610501),-- [bandage]
(22243,57,115,175,0,700000),-- [adena]
(22243,23,1,1,1,1473.292452),-- [wooden_breastplate]
(22243,30,1,1,1,2360.353774),-- [hard_leather_pants]
(22243,2386,1,1,1,2360.353774),-- [wooden_gaiters]
(22243,1868,1,1,2,90166.411153),-- [thread]
(22243,1873,1,1,2,18033.221271),-- [silver_nugget]
(22243,1798,1,1,2,44199.367576),-- [rp_leather_helmet]
(22244,1897,1,1,-1,55910),-- [necklace_of_wisdom_chain]
(22244,1800,1,1,-1,73843),-- [rp_piece_bone_breastplate]
(22244,1924,1,1,-1,75749),-- [leather_helmet_design]
(22244,57,116,181,0,700000),-- [adena]
(22244,38,1,1,1,1775.114565),-- [low_boots]
(22244,50,1,1,1,1775.114565),-- [leather_gloves]
(22244,1925,1,1,1,30322.77087),-- [leather_gloves_lining]
(22244,1870,1,1,2,46241.756625),-- [coal]
(22244,1865,1,1,2,46241.756625),-- [varnish]
(22244,1800,1,1,2,14541.48675),-- [rp_piece_bone_breastplate]
(22245,1801,1,1,-1,122537),-- [rp_piece_bone_gaiters]
(22245,1925,1,1,-1,159499),-- [leather_gloves_lining]
(22245,1870,1,1,-1,243236),-- [coal]
(22245,57,119,190,0,700000),-- [adena]
(22245,176,1,1,1,137),-- [apprentice's_staff]
(22245,2501,1,1,1,137),-- [bone_club]
(22245,1870,1,1,2,47898.763488),-- [coal]
(22245,1865,1,1,2,47898.763488),-- [varnish]
(22245,1801,1,1,2,24130.473024),-- [rp_piece_bone_gaiters]
(22246,1865,1,1,-1,250330),-- [varnish]
(22246,734,1,1,-1,41722),-- [quick_step_potion]
(22246,2011,1,1,-1,5711),-- [short_spear_edge]
(22246,57,120,198,0,700000),-- [adena]
(22246,44,1,1,1,945.585525),-- [leather_helmet]
(22246,1924,1,1,1,11926.6254),-- [leather_helmet_design]
(22246,102,1,1,1,1351.836075),-- [round_shield]
(22246,945,1,1,1,2800.953),-- [skeleton_buckler]
(22246,1870,1,1,2,49295.859795),-- [coal]
(22246,1865,1,1,2,49295.859795),-- [varnish]
(22246,1817,1,1,2,9859.28041),-- [rp_cord]
(22247,1792,1,1,-1,34791),-- [rp_short_spear]
(22247,1896,1,1,-1,200493),-- [necklace_of_anguish_chain]
(22247,1793,1,1,-1,34791),-- [rp_sword_of_reflexion]
(22247,57,238,361,0,700000),-- [adena]
(22247,23,1,1,1,3045.058116),-- [wooden_breastplate]
(22247,30,1,1,1,4878.470942),-- [hard_leather_pants]
(22247,2386,1,1,1,4878.470942),-- [wooden_gaiters]
(22247,1865,1,1,2,93176.8),-- [varnish]
(22247,1870,1,1,2,93176.8),-- [coal]
(22247,736,1,1,2,46588.4),-- [scroll_of_escape]
(22248,1921,1,1,-1,225868),-- [leather_shoes_texture]
(22248,1874,1,1,-1,23340),-- [oriharukon_ore]
(22248,4043,1,1,-1,11670),-- [asofe]
(22248,57,176,267,0,700000),-- [adena]
(22248,66,1,1,1,331.405875),-- [gladius]
(22248,1333,1,1,1,331.405875),-- [brandish]
(22248,2010,1,1,1,2682.18825),-- [brandish_blade]
(22248,1870,1,1,2,68941.94331),-- [coal]
(22248,1865,1,1,2,68941.94331),-- [varnish]
(22248,1792,1,1,2,5069.11338),-- [rp_short_spear]
(22249,735,1,1,-1,29924),-- [swift_attack_potion]
(22249,1897,1,1,-1,85498),-- [necklace_of_wisdom_chain]
(22249,1800,1,1,-1,112922),-- [rp_piece_bone_breastplate]
(22249,57,178,277,0,700000),-- [adena]
(22249,24,1,1,1,679.89405),-- [bone_breastplate]
(22249,31,1,1,1,1085.60595),-- [bone_gaiters]
(22249,390,1,1,1,679.89405),-- [tights_shirt]
(22249,412,1,1,1,1085.60595),-- [tights_pants]
(22249,1870,1,1,2,70713.48616),-- [coal]
(22249,1865,1,1,2,70713.48616),-- [varnish]
(22249,1800,1,1,2,22237.02768),-- [rp_piece_bone_breastplate]
(22250,1924,1,1,-1,115836),-- [leather_helmet_design]
(22250,1801,1,1,-1,180903),-- [rp_piece_bone_gaiters]
(22250,1925,1,1,-1,235470),-- [leather_gloves_lining]
(22250,57,178,277,0,700000),-- [adena]
(22250,38,1,1,1,2714.526595),-- [low_boots]
(22250,50,1,1,1,2714.526595),-- [leather_gloves]
(22250,1925,1,1,1,46369.94681),-- [leather_gloves_lining]
(22250,1873,1,1,2,21214.078708),-- [silver_nugget]
(22250,1868,1,1,2,106070.556382),-- [thread]
(22250,1801,1,1,2,26717.975466),-- [rp_piece_bone_gaiters]
(22250,734,1,1,2,8839.389444),-- [quick_step_potion]
(22251,5549,1,1,-1,37094),-- [iron_thread]
(22251,1889,1,1,-1,24730),-- [compound_braid]
(22251,6035,1,1,-1,30912),-- [potion_of_acumen2]
(22251,57,181,290,0,700000),-- [adena]
(22251,176,1,1,1,208.5),-- [apprentice's_staff]
(22251,2501,1,1,1,208.5),-- [bone_club]
(22251,1868,1,1,2,146094.659213),-- [thread]
(22251,1873,1,1,2,29218.893858),-- [silver_nugget]
(22251,1817,1,1,2,14609.446929),-- [rp_cord]
(22252,2011,1,1,-1,8430),-- [short_spear_edge]
(22252,1817,1,1,-1,73905),-- [rp_cord]
(22252,2012,1,1,-1,7698),-- [sword_of_reflexion_blade]
(22252,57,180,289,0,700000),-- [adena]
(22252,845,1,1,1,1595.819094),-- [cat'seye_earing]
(22252,877,1,1,1,2393.728641),-- [ring_of_wisdom]
(22252,908,1,1,1,1196.873411),-- [necklace_of_wisdom]
(22252,1897,1,1,1,12994.578854),-- [necklace_of_wisdom_chain]
(22252,1864,1,1,2,145535),-- [stem]
(22252,1869,1,1,2,72767.5),-- [iron_ore]
(22252,2139,1,1,2,14553.5),-- [rp_steel_mold]
(22253,2139,1,1,-1,76353),-- [rp_steel_mold]
(22253,2013,1,1,-1,8239),-- [bow_of_forest_shaft]
(22253,1869,1,1,-1,381764),-- [iron_ore]
(22253,57,183,301,0,700000),-- [adena]
(22253,15,1,1,1,214.769007),-- [short_spear]
(22253,2011,1,1,1,2572.230993),-- [short_spear_edge]
(22253,1869,1,1,2,37589.07751),-- [iron_ore]
(22253,1870,1,1,2,37589.07751),-- [coal]
(22253,1871,1,1,2,37589.07751),-- [charcoal]
(22253,1872,1,1,2,50118.696506),-- [animal_bone]
(22253,1867,1,1,2,50118.696506),-- [animal_skin]
(22253,2140,1,1,2,7517.374458),-- [rp_high_grade_suede]
(22254,1865,1,1,-1,382809),-- [varnish]
(22254,734,1,1,-1,63802),-- [quick_step_potion]
(22254,1897,1,1,-1,91145),-- [necklace_of_wisdom_chain]
(22254,57,183,302,0,700000),-- [adena]
(22254,217,1,1,1,215.5),-- [shining_knife]
(22254,218,1,1,1,215.5),-- [throw_knife]
(22254,1864,1,1,2,75383.951247),-- [stem]
(22254,1865,1,1,2,37691.857522),-- [varnish]
(22254,1866,1,1,2,25127.983749),-- [suede]
(22254,1873,1,1,2,15076.83749),-- [silver_nugget]
(22254,1868,1,1,2,75383.951247),-- [thread]
(22254,2141,1,1,2,7538.418745),-- [rp_silver_mold]
(22255,2140,1,1,-1,78741),-- [rp_high_grade_suede]
(22255,1924,1,1,-1,127002),-- [leather_helmet_design]
(22255,2141,1,1,-1,78741),-- [rp_silver_mold]
(22255,57,185,314,0,700000),-- [adena]
(22255,24,1,1,1,745.5536),-- [bone_breastplate]
(22255,31,1,1,1,1190.4464),-- [bone_gaiters]
(22255,390,1,1,1,745.5536),-- [tights_shirt]
(22255,412,1,1,1,1190.4464),-- [tights_pants]
(22255,1868,1,1,2,116294.966918),-- [thread]
(22255,1873,1,1,2,23258.930972),-- [silver_nugget]
(22255,2142,1,1,2,11629.465486),-- [rp_varnish_of_purity]
(22255,735,1,1,2,4845.636624),-- [swift_attack_potion]
(22256,1925,1,1,-1,285016),-- [leather_gloves_lining]
(22256,1871,1,1,-1,434649),-- [charcoal]
(22256,5220,1,1,-1,17386),-- [reinforcing_agent]
(22256,57,204,347,0,700000),-- [adena]
(22256,24,1,1,1,822.9587),-- [bone_breastplate]
(22256,31,1,1,1,1314.0413),-- [bone_gaiters]
(22256,390,1,1,1,822.9587),-- [tights_shirt]
(22256,412,1,1,1,1314.0413),-- [tights_pants]
(22256,1866,1,1,2,57061.808539),-- [suede]
(22256,1871,1,1,2,85592.632922),-- [charcoal]
(22256,2143,1,1,2,17118.558539),-- [rp_synthesis_cokes]
(22257,5480,1,1,-1,15799),-- [sealed_leather_mail_of_nightmare_fabric]
(22257,1808,1,1,-1,1565),-- [rp_soulshot_s]
(22257,5481,1,1,-1,15799),-- [sealed_majestic_leather_mail_fabric]
(22257,57,1771,3615,0,700000),-- [adena]
(22257,12221,1,1,1,708.082067),-- [sealed_dark_crystal_gloves_low]
(22257,5508,1,1,1,3810.167933),-- [sealed_dark_crystal_gloves_design]
(22257,12224,1,1,1,708.082067),-- [sealed_dark_crystal_boots_low]
(22257,5496,1,1,1,3810.167933),-- [sealed_dark_crystal_boots_lining]
(22257,12229,1,1,1,708.082067),-- [sealed_tallum_gloves_low]
(22257,5509,1,1,1,3810.167933),-- [sealed_tallum_gloves_design]
(22257,12231,1,1,1,708.082067),-- [sealed_tallum_boots_low]
(22257,5497,1,1,1,3810.167933),-- [sealed_tallum_boots_lining]
(22257,1873,1,1,2,47273.083),-- [silver_nugget]
(22257,1868,1,1,2,236365.069941),-- [thread]
(22257,1876,1,1,2,23636.5415),-- [mithril_ore]
(22257,1895,1,1,2,33766.438563),-- [metallic_fiber]
(22257,4042,1,1,2,1969.596772),-- [enria]
(22257,1808,1,1,2,52.448968),-- [rp_soulshot_s]
(22257,9573,1,1,2,820.550302),-- [general_80_s]
(22257,9574,1,1,2,205.310105),-- [special_80_s]
(22257,9575,1,1,2,20.358481),-- [rare_80_s]
(22257,9576,1,1,2,4.140708),-- [unique_80_s]
(22257,9546,1,1,2,945.46166),-- [ore_of_fire]
(22258,3036,1,1,-1,1206),-- [rp_spiritshot_s]
(22258,5487,1,1,-1,12222),-- [sealed_robe_of_nightmare_fabric]
(22258,1894,1,1,-1,95236),-- [crafted_leather]
(22258,57,1821,3717,0,700000),-- [adena]
(22258,11968,1,1,1,39.613827),-- [dragon_slayer_low]
(22258,5529,1,1,1,611.334009),-- [dragon_slayer_edge]
(22258,11971,1,1,1,39.613827),-- [sword_of_miracle_low]
(22258,5546,1,1,1,671.490501),-- [sword_of_miracle_edge]
(22258,11964,1,1,1,39.613827),-- [dark_legion's_edge_low]
(22258,5545,1,1,1,611.334009),-- [dark_legion's_edge_edge]
(22258,1894,1,1,2,7819.15422),-- [crafted_leather]
(22258,4039,1,1,2,7428.20179),-- [mold_glue]
(22258,4041,1,1,2,1937.783735),-- [mold_hardener]
(22258,4044,1,1,2,7428.20179),-- [thons]
(22258,959,1,1,2,8.92489),-- [scrl_of_ench_wp_s]
(22258,9546,1,1,2,1782.733575),-- [ore_of_fire]
(22259,4040,1,1,-1,59275),-- [mold_lubricant]
(22259,5488,1,1,-1,13346),-- [sealed_majestic_robe_fabric]
(22259,3957,1,1,-1,1317),-- [rp_blessed_spiritshot_s]
(22259,57,1988,4059,0,700000),-- [adena]
(22259,11974,1,1,1,32.451172),-- [elysian_low]
(22259,5533,1,1,1,500.698068),-- [elysian_head]
(22259,11970,1,1,1,32.451172),-- [worldtree's_branch_low]
(22259,5544,1,1,1,500.203444),-- [worldtree's_branch_head]
(22259,11969,1,1,1,32.451172),-- [dragon_flame_head_low]
(22259,8342,1,1,1,500.698068),-- [dragon_flame_head_piece]
(22259,11966,1,1,1,32.451172),-- [doom_crusher_low]
(22259,8349,1,1,1,500.595732),-- [doom_crusher_head]
(22259,1871,1,1,2,182498.511656),-- [charcoal]
(22259,1866,1,1,2,121665.818536),-- [suede]
(22259,1877,1,1,2,7299.750256),-- [admantite_nugget]
(22259,4041,1,1,2,1586.958616),-- [mold_hardener]
(22259,4040,1,1,2,3649.875128),-- [mold_lubricant]
(22259,960,1,1,2,73.058024),-- [scrl_of_ench_am_s]
(22259,9546,1,1,2,1459.863592),-- [ore_of_fire]
(22259,1344,20,60,2,114062.164192),-- [mithril_arrow]
(22260,5495,1,1,-1,37283),-- [sealed_shield_of_nightmare_fragment]
(22260,5157,1,1,-1,1091),-- [rp_comp_soulshot_s]
(22260,5502,1,1,-1,41467),-- [sealed_boots_of_nightmare_lining]
(22260,57,1647,3363,0,700000),-- [adena]
(22260,12263,1,1,1,126.777843),-- [sealed_armor_of_nightmare_low]
(22260,5522,1,1,1,1029.722157),-- [sealed_armor_of_nightmare_pattern]
(22260,12262,1,1,1,126.777843),-- [sealed_majestic_platte_armor_low]
(22260,5523,1,1,1,1029.722157),-- [sealed_majestic_platte_armor_pattern]
(22260,10557,1,1,2,20853),-- [sb_song_of_windstrom]
(22261,1885,1,1,-1,211091),-- [high_grade_suede]
(22261,4041,1,1,-1,22027),-- [mold_hardener]
(22261,5503,1,1,-1,42781),-- [sealed_magestic_boots_lining]
(22261,57,1696,3473,0,700000),-- [adena]
(22261,11975,1,1,1,110.930208),-- [soul_bow_low]
(22261,5534,1,1,1,1713.069792),-- [soul_bow_shaft]
(22261,10558,1,1,2,21514),-- [sb_blade_strom]
(22262,5162,1,1,-1,1140),-- [rp_comp_spiritshot_s]
(22262,5514,1,1,-1,43313),-- [sealed_gloves_of_nightmare_design]
(22262,5167,1,1,-1,1140),-- [rp_comp_bspiritshot_s]
(22262,57,1717,3516,0,700000),-- [adena]
(22262,11974,1,1,1,28.067524),-- [elysian_low]
(22262,5533,1,1,1,433.061556),-- [elysian_head]
(22262,11970,1,1,1,28.067524),-- [worldtree's_branch_low]
(22262,5544,1,1,1,432.633748),-- [worldtree's_branch_head]
(22262,11969,1,1,1,28.067524),-- [dragon_flame_head_low]
(22262,8342,1,1,1,433.061556),-- [dragon_flame_head_piece]
(22262,11966,1,1,1,28.067524),-- [doom_crusher_low]
(22262,8349,1,1,1,432.973044),-- [doom_crusher_head]
(22262,1895,1,1,2,36095.375106),-- [metallic_fiber]
(22262,4040,1,1,2,2526.658848),-- [mold_lubricant]
(22262,9628,1,1,2,990.85077),-- [renad]
(22262,9630,1,1,2,664.912458),-- [oricalcum]
(22262,960,1,1,2,50.52978),-- [scrl_of_ench_am_s]
(22262,9573,1,1,2,877.307382),-- [general_80_s]
(22262,9574,1,1,2,219.31623),-- [special_80_s]
(22262,9575,1,1,2,21.952854),-- [rare_80_s]
(22262,9576,1,1,2,4.373586),-- [unique_80_s]
(22262,9546,1,1,2,1010.722986),-- [ore_of_fire]
(22263,5515,1,1,-1,49910),-- [sealed_magestic_gloves_design]
(22263,1895,1,1,-1,844332),-- [metallic_fiber]
(22263,4040,1,1,-1,59103),-- [mold_lubricant]
(22263,57,1978,4052,0,700000),-- [adena]
(22263,11967,1,1,1,129.403242),-- [dragon_grinder_low]
(22263,5538,1,1,1,1996.596758),-- [dragon_grinder_edge]
(22263,1895,1,1,2,41592.732527),-- [metallic_fiber]
(22263,4040,1,1,2,2911.471216),-- [mold_lubricant]
(22263,9628,1,1,2,1141.758215),-- [renad]
(22263,9630,1,1,2,766.179211),-- [oricalcum]
(22263,960,1,1,2,58.22551),-- [scrl_of_ench_am_s]
(22263,9573,1,1,2,1010.922069),-- [general_80_s]
(22263,9574,1,1,2,252.718285),-- [special_80_s]
(22263,9575,1,1,2,25.296293),-- [rare_80_s]
(22263,9576,1,1,2,5.039687),-- [unique_80_s]
(22263,9546,1,1,2,1164.656987),-- [ore_of_fire]
(22264,5522,1,1,-1,8946),-- [sealed_armor_of_nightmare_pattern]
(22264,5272,1,1,-1,1167),-- [rp_adv_comp_soulshot_s]
(22264,5523,1,1,-1,8946),-- [sealed_majestic_platte_armor_pattern]
(22264,57,1759,3602,0,700000),-- [adena]
(22264,11975,1,1,1,115.004947),-- [soul_bow_low]
(22264,5534,1,1,1,1775.995053),-- [soul_bow_shaft]
(22264,1868,1,1,2,369712.693067),-- [thread]
(22264,1873,1,1,2,73942.635036),-- [silver_nugget]
(22264,5549,1,1,2,18485.658759),-- [iron_thread]
(22264,1889,1,1,2,12323.772506),-- [compound_braid]
(22264,4044,1,1,2,6161.886253),-- [thons]
(22264,959,1,1,2,7.231695),-- [scrl_of_ench_wp_s]
(22264,9546,1,1,2,1479.122684),-- [ore_of_fire]
(22265,6901,1,1,-1,3038),-- [rp_shining_arrow]
(22265,6688,1,1,-1,6566),-- [forgotten_blade_edge]
(22265,959,1,1,-1,122),-- [scrl_of_ench_wp_s]
(22265,57,1778,3566,0,700000),-- [adena]
(22265,11973,1,1,1,133.031216),-- [soul_separator_low]
(22265,5537,1,1,1,2052.968784),-- [soul_separator_head]
(22265,1895,1,1,2,42754.768648),-- [metallic_fiber]
(22265,4040,1,1,2,2992.813184),-- [mold_lubricant]
(22265,9628,1,1,2,1173.65716),-- [renad]
(22265,9630,1,1,2,787.585064),-- [oricalcum]
(22265,960,1,1,2,59.85224),-- [scrl_of_ench_am_s]
(22265,9573,1,1,2,1039.165656),-- [general_80_s]
(22265,9574,1,1,2,259.77884),-- [special_80_s]
(22265,9575,1,1,2,26.003032),-- [rare_80_s]
(22265,9576,1,1,2,5.180488),-- [unique_80_s]
(22265,9546,1,1,2,1197.195688),-- [ore_of_fire]
(22266,1895,1,1,-1,773207),-- [metallic_fiber]
(22266,4040,1,1,-1,54124),-- [mold_lubricant]
(22266,6689,1,1,-1,5739),-- [basalt_battlehammer_head]
(22266,57,1584,3176,0,700000),-- [adena]
(22266,11973,1,1,1,118.486632),-- [soul_separator_low]
(22266,5537,1,1,1,1828.513368),-- [soul_separator_head]
(22266,1895,1,1,2,54412.968016),-- [metallic_fiber]
(22266,4040,1,1,2,3808.985888),-- [mold_lubricant]
(22266,9628,1,1,2,1493.725848),-- [renad]
(22266,9630,1,1,2,1002.427968),-- [oricalcum]
(22266,6901,1,1,2,190.509392),-- [rp_shining_arrow]
(22266,9546,1,1,2,1523.47416),-- [ore_of_fire]
(22266,1344,10,30,2,238055.908728),-- [mithril_arrow]
(22267,6901,1,1,-1,42222),-- [rp_shining_arrow]
(22267,6690,1,1,-1,91435),-- [piece_of_imperial_staff]
(22267,57,24706,49558,0,700000),-- [adena]
(22267,11976,1,1,1,1848.773472),-- [tallum_glaive_low]
(22267,5541,1,1,1,28519.226528),-- [tallum_glaive_edge]
(22267,1895,3,9,2,198083.702472),-- [metallic_fiber]
(22267,4040,1,1,2,83195.101284),-- [mold_lubricant]
(22267,9628,1,1,2,32625.46404),-- [renad]
(22267,9630,1,1,2,21893.430024),-- [oricalcum]
(22267,959,1,1,2,166.30218),-- [scrl_of_ench_wp_s]
(22268,5480,1,1,-1,9230),-- [sealed_leather_mail_of_nightmare_fabric]
(22268,1876,1,1,-1,411375),-- [mithril_ore]
(22268,1895,1,1,-1,587678),-- [metallic_fiber]
(22268,57,1377,2821,0,700000),-- [adena]
(22268,12265,1,1,1,141.495048),-- [sealed_leather_mail_of_nightmare_low]
(22268,5480,1,1,1,1136.504952),-- [sealed_leather_mail_of_nightmare_fabric]
(22268,12258,1,1,1,141.495048),-- [sealed_majestic_leather_mail_low]
(22268,5481,1,1,1,1136.504952),-- [sealed_majestic_leather_mail_fabric]
(22268,1873,1,1,2,50661.908728),-- [silver_nugget]
(22268,1868,1,3,2,126654.971984),-- [thread]
(22268,1876,1,1,2,25331.154528),-- [mithril_ore]
(22268,1895,1,1,2,36187.249232),-- [metallic_fiber]
(22268,4042,1,1,2,2110.929544),-- [enria]
(22268,960,1,1,2,50.841656),-- [scrl_of_ench_am_s]
(22268,9548,1,1,2,1013.230168),-- [ore_of_earth]
(22268,1344,10,30,2,158317.71416),-- [mithril_arrow]
(22269,5481,1,1,-1,9321),-- [sealed_majestic_leather_mail_fabric]
(22269,1808,1,1,-1,923),-- [rp_soulshot_s]
(22269,5487,1,1,-1,9354),-- [sealed_robe_of_nightmare_fabric]
(22269,57,1391,2849,0,700000),-- [adena]
(22269,12263,1,1,1,107.265127),-- [sealed_armor_of_nightmare_low]
(22269,5522,1,1,1,871.234873),-- [sealed_armor_of_nightmare_pattern]
(22269,12262,1,1,1,107.265127),-- [sealed_majestic_platte_armor_low]
(22269,5523,1,1,1,871.234873),-- [sealed_majestic_platte_armor_pattern]
(22269,1872,1,1,2,194913.656213),-- [animal_bone]
(22269,1867,1,1,2,194913.656213),-- [animal_skin]
(22269,1881,1,1,2,19491.239126),-- [coarse_bone_powder]
(22269,1875,1,1,2,9745.619563),-- [stone_of_purity]
(22269,4041,1,1,2,1271.277765),-- [mold_hardener]
(22269,6901,1,1,2,146.312897),-- [rp_shining_arrow]
(22269,9548,1,1,2,1169.238223),-- [ore_of_earth]
(22270,3036,1,1,-1,1020),-- [rp_spiritshot_s]
(22270,5488,1,1,-1,10335),-- [sealed_majestic_robe_fabric]
(22270,4044,1,1,-1,76502),-- [thons]
(22270,57,1537,3147,0,700000),-- [adena]
(22270,12266,1,1,1,157.881424),-- [sealed_robe_of_nightmare_low]
(22270,5487,1,1,1,1272.618576),-- [sealed_robe_of_nightmare_fabric]
(22270,12259,1,1,1,157.881424),-- [sealed_majestic_robe_low]
(22270,5488,1,1,1,1272.618576),-- [sealed_majestic_robe_fabric]
(22270,1868,1,1,2,188428.48992),-- [thread]
(22270,1873,1,1,2,37685.62512),-- [silver_nugget]
(22270,5549,1,1,2,9421.3152),-- [iron_thread]
(22270,1889,1,1,2,6280.8768),-- [compound_braid]
(22270,4044,1,1,2,3140.4384),-- [thons]
(22270,959,1,1,2,3.6432),-- [scrl_of_ench_wp_s]
(22270,9573,1,1,2,654.31872),-- [general_80_s]
(22270,9574,1,1,2,163.57968),-- [special_80_s]
(22270,9575,1,1,2,16.3944),-- [rare_80_s]
(22270,9576,1,1,2,3.27888),-- [unique_80_s]
(22270,9549,1,1,2,753.77808),-- [ore_of_wind]
(22270,1344,10,30,2,117768.2616),-- [mithril_arrow]
(22271,1895,1,1,-1,655731),-- [metallic_fiber]
(22271,5495,1,1,-1,34850),-- [sealed_shield_of_nightmare_fragment]
(22271,3957,1,1,-1,1020),-- [rp_blessed_spiritshot_s]
(22271,57,1537,3147,0,700000),-- [adena]
(22271,12350,1,1,1,347.975824),-- [sealed_majestic_necklace_low]
(22271,6344,1,1,1,2762.22408),-- [sealed_majestic_necklace_beads]
(22271,12352,1,1,1,463.532496),-- [sealed_majestic_earing_low]
(22271,6342,1,1,1,4268.334224),-- [sealed_majestic_earing_gemstone]
(22271,12351,1,1,1,695.291408),-- [sealed_majestic_ring_low]
(22271,6346,1,1,1,6134.641968),-- [sealed_majestic_ring_gemstrone]
(22271,1895,1,1,2,53836.99099),-- [metallic_fiber]
(22271,4040,1,1,2,3768.598618),-- [mold_lubricant]
(22271,9628,1,1,2,1477.880602),-- [renad]
(22271,9630,1,1,2,991.707272),-- [oricalcum]
(22271,960,1,1,2,75.346076),-- [scrl_of_ench_am_s]
(22271,9549,1,1,2,1507.476442),-- [ore_of_wind]
(22272,5502,1,1,-1,55226),-- [sealed_boots_of_nightmare_lining]
(22272,5157,1,1,-1,1453),-- [rp_comp_soulshot_s]
(22272,5503,1,1,-1,55226),-- [sealed_magestic_boots_lining]
(22272,57,2189,4484,0,700000),-- [adena]
(22272,6326,1,1,1,26.873728),-- [sealed_majestic_necklace]
(22272,6344,1,1,1,3935.151696),-- [sealed_majestic_necklace_beads]
(22272,6327,1,1,1,35.837928),-- [sealed_majestic_earing]
(22272,6342,1,1,1,6080.803736),-- [sealed_majestic_earing_gemstone]
(22272,6328,1,1,1,53.747456),-- [sealed_majestic_ring]
(22272,6346,1,1,1,8739.585456),-- [sealed_majestic_ring_gemstrone]
(22272,1873,1,1,2,92045.237241),-- [silver_nugget]
(22272,1868,4,12,2,57528.408759),-- [thread]
(22272,1876,1,1,2,46022.799265),-- [mithril_ore]
(22272,1895,1,1,2,65746.649642),-- [metallic_fiber]
(22272,4042,1,1,2,3835.082735),-- [enria]
(22272,6901,1,1,2,230.141093),-- [rp_shining_arrow]
(22272,1344,30,90,2,95880.681265),-- [mithril_arrow]
(22273,4040,1,1,-1,63254),-- [mold_lubricant]
(22273,1895,1,1,-1,903635),-- [metallic_fiber]
(22273,5514,1,1,-1,53415),-- [sealed_gloves_of_nightmare_design]
(22273,57,2117,4337,0,700000),-- [adena]
(22273,5312,1,1,1,25.556544),-- [sealed_helm_of_nightmare]
(22273,5527,1,1,1,3104.331693),-- [sealed_helm_of_nightmare_design]
(22273,5315,1,1,1,36.522513),-- [sealed_shield_of_nightmare]
(22273,5495,1,1,1,3942.701013),-- [sealed_shield_of_nightmare_fragment]
(22273,5317,1,1,1,25.556544),-- [sealed_magestic_circlet]
(22273,5528,1,1,1,3104.331693),-- [sealed_magestic_circlet_design]
(22273,1895,1,1,2,49460.252802),-- [metallic_fiber]
(22273,4040,1,1,2,3462.205214),-- [mold_lubricant]
(22273,9628,1,1,2,1357.71641),-- [renad]
(22273,9630,1,1,2,911.082746),-- [oricalcum]
(22273,959,1,1,2,6.921914),-- [scrl_of_ench_wp_s]
(22273,9573,1,1,2,1202.143556),-- [general_80_s]
(22273,9574,1,1,2,300.535889),-- [special_80_s]
(22273,9575,1,1,2,30.07061),-- [rare_80_s]
(22273,9576,1,1,2,6.070859),-- [unique_80_s]
(22274,5162,1,1,-1,1434),-- [rp_comp_spiritshot_s]
(22274,5515,1,1,-1,54507),-- [sealed_magestic_gloves_design]
(22274,5167,1,1,-1,1434),-- [rp_comp_bspiritshot_s]
(22274,57,2161,4426,0,700000),-- [adena]
(22274,5312,1,1,1,26.080704),-- [sealed_helm_of_nightmare]
(22274,5527,1,1,1,3168.000963),-- [sealed_helm_of_nightmare_design]
(22274,5315,1,1,1,37.271583),-- [sealed_shield_of_nightmare]
(22274,5495,1,1,1,4023.565083),-- [sealed_shield_of_nightmare_fragment]
(22274,5317,1,1,1,26.080704),-- [sealed_magestic_circlet]
(22274,5528,1,1,1,3168.000963),-- [sealed_magestic_circlet_design]
(22274,1871,1,3,2,75706.540644),-- [charcoal]
(22274,1866,1,1,2,151413.081288),-- [suede]
(22274,1877,1,1,2,9084.615582),-- [admantite_nugget]
(22274,4041,1,1,2,1974.983346),-- [mold_hardener]
(22274,4040,1,1,2,4542.500172),-- [mold_lubricant]
(22274,960,1,1,2,90.803832),-- [scrl_of_ench_am_s]
(22274,1344,20,60,2,141949.475136),-- [mithril_arrow]
(22275,5522,1,1,-1,62805),-- [sealed_armor_of_nightmare_pattern]
(22275,1895,1,11,-1,878191),-- [metallic_fiber]
(22275,4040,1,1,-1,368840),-- [mold_lubricant]
(22275,57,12348,25286,0,700000),-- [adena]
(22275,164,1,1,1,10.95),-- [elysian]
(22275,5533,1,1,1,3114.975),-- [elysian_head]
(22275,213,1,1,1,10.95),-- [worldtree's_branch]
(22275,5544,1,1,1,3111.9),-- [worldtree's_branch_head]
(22275,7895,1,1,1,10.95),-- [dragon_flame_head]
(22275,8342,1,1,1,3114.975),-- [dragon_flame_head_piece]
(22275,7902,1,1,1,10.95),-- [doom_crusher]
(22275,8349,1,1,1,3114.35),-- [doom_crusher_head]
(22275,1895,1,3,2,216303.282885),-- [metallic_fiber]
(22275,4040,1,1,2,30282.426012),-- [mold_lubricant]
(22275,4042,1,1,2,25235.243037),-- [enria]
(22275,4043,1,1,2,50470.821993),-- [asofe]
(22275,6901,1,1,2,1513.986933),-- [rp_shining_arrow]
(22275,9546,1,1,2,12113.23914),-- [ore_of_fire]
(22276,5523,1,1,-1,19263),-- [sealed_majestic_platte_armor_pattern]
(22276,5272,1,1,-1,2514),-- [rp_adv_comp_soulshot_s]
(22276,5527,1,1,-1,67627),-- [sealed_helm_of_nightmare_design]
(22276,57,3787,7755,0,700000),-- [adena]
(22276,164,1,1,1,3.358584),-- [elysian]
(22276,5533,1,1,1,955.425132),-- [elysian_head]
(22276,213,1,1,1,3.358584),-- [worldtree's_branch]
(22276,5544,1,1,1,954.481968),-- [worldtree's_branch_head]
(22276,7895,1,1,1,3.358584),-- [dragon_flame_head]
(22276,8342,1,1,1,955.425132),-- [dragon_flame_head_piece]
(22276,7902,1,1,1,3.358584),-- [doom_crusher]
(22276,8349,1,1,1,955.233432),-- [doom_crusher_head]
(22276,1895,1,1,2,72373.456032),-- [metallic_fiber]
(22276,4040,1,1,2,5066.013384),-- [mold_lubricant]
(22276,9628,1,1,2,1986.719172),-- [renad]
(22276,9630,1,1,2,1333.182558),-- [oricalcum]
(22276,959,1,1,2,10.04205),-- [scrl_of_ench_wp_s]
(22276,9573,1,1,2,1758.965478),-- [general_80_s]
(22276,9574,1,1,2,439.84179),-- [special_80_s]
(22276,9575,1,1,2,43.783338),-- [rare_80_s]
(22276,9576,1,1,2,8.837004),-- [unique_80_s]
(22276,9546,1,1,2,2026.48569),-- [ore_of_fire]
(22276,1344,10,30,2,316634.673504),-- [mithril_arrow]
(22277,5277,1,1,-1,8196),-- [rp_adv_comp_spiritshot_s]
(22277,5528,1,1,-1,220493),-- [sealed_magestic_circlet_design]
(22277,4042,1,1,-1,307367),-- [enria]
(22277,57,12348,25286,0,700000),-- [adena]
(22277,289,1,1,1,43.8025),-- [soul_bow]
(22277,5534,1,1,1,12471.1975),-- [soul_bow_shaft]
(22277,1873,2,6,2,129781.89308),-- [silver_nugget]
(22277,1868,15,45,2,86521.377959),-- [thread]
(22277,1876,3,9,2,37080.54088),-- [mithril_ore]
(22277,1895,3,9,2,61801.133278),-- [metallic_fiber]
(22277,4042,1,1,2,21630.431419),-- [enria]
(22277,960,1,1,2,519.141481),-- [scrl_of_ench_am_s]
(22277,9547,1,1,2,10382.481903),-- [ore_of_water]
(22278,4039,1,1,-1,188545),-- [mold_glue]
(22278,5529,1,1,-1,15518),-- [dragon_slayer_edge]
(22278,5282,1,1,-1,2514),-- [rp_adv_comp_bspiritshot_s]
(22278,57,3787,7755,0,700000),-- [adena]
(22278,289,1,1,1,13.433),-- [soul_bow]
(22278,5534,1,1,1,3824.567),-- [soul_bow_shaft]
(22278,1894,1,1,2,13966.814088),-- [crafted_leather]
(22278,4039,1,1,2,13268.651184),-- [mold_glue]
(22278,4041,1,1,2,3461.477454),-- [mold_hardener]
(22278,4044,1,1,2,13268.651184),-- [thons]
(22278,6901,1,1,2,397.976562),-- [rp_shining_arrow]
(22278,9547,1,1,2,3184.405164),-- [ore_of_water]
(22278,1344,20,60,2,248786.024364),-- [mithril_arrow]
(22279,5533,1,1,-1,15188),-- [elysian_head]
(22279,1808,1,1,-1,2461),-- [rp_soulshot_s]
(22279,5534,1,1,-1,15201),-- [soul_bow_shaft]
(22279,57,3707,7592,0,700000),-- [adena]
(22279,81,1,1,1,4.383756),-- [dragon_slayer]
(22279,5529,1,1,1,1246.723152),-- [dragon_slayer_edge]
(22279,151,1,1,1,4.383756),-- [sword_of_miracle]
(22279,5546,1,1,1,1369.406304),-- [sword_of_miracle_edge]
(22279,2500,1,1,1,4.383756),-- [dark_legion's_edge]
(22279,5545,1,1,1,1246.719276),-- [dark_legion's_edge_edge]
(22279,1871,1,3,2,194826.902634),-- [charcoal]
(22279,1866,1,1,2,259769.365011),-- [suede]
(22279,1877,1,1,2,15586.26849),-- [admantite_nugget]
(22279,4041,1,1,2,3388.087521),-- [mold_hardener]
(22279,4040,1,1,2,7793.134245),-- [mold_lubricant]
(22279,959,1,1,2,15.503904),-- [scrl_of_ench_wp_s]
(22279,9546,1,1,2,3117.738195),-- [ore_of_fire]
(22280,4041,1,1,-1,27398),-- [mold_hardener]
(22280,4044,1,1,-1,105027),-- [thons]
(22280,5537,1,1,-1,8644),-- [soul_separator_head]
(22280,57,2109,4321,0,700000),-- [adena]
(22280,5313,1,1,1,28.636686),-- [sealed_gloves_of_nightmare]
(22280,5514,1,1,1,3276.613314),-- [sealed_gloves_of_nightmare_design]
(22280,5314,1,1,1,28.636686),-- [sealed_boots_of_nightmare]
(22280,5502,1,1,1,3276.613314),-- [sealed_boots_of_nightmare_lining]
(22280,5318,1,1,1,28.636686),-- [sealed_magestic_gloves]
(22280,5515,1,1,1,3276.613314),-- [sealed_magestic_gloves_design]
(22280,5319,1,1,1,28.636686),-- [sealed_magestic_boots]
(22280,5503,1,1,1,3276.613314),-- [sealed_magestic_boots_lining]
(22280,1894,1,1,2,5446.139841),-- [crafted_leather]
(22280,4039,1,1,2,5173.835823),-- [mold_glue]
(22280,4041,1,1,2,1349.703198),-- [mold_hardener]
(22280,4044,1,1,2,5173.835823),-- [thons]
(22280,960,1,1,2,62.078337),-- [scrl_of_ench_am_s]
(22280,9573,1,1,2,1077.875028),-- [general_80_s]
(22280,9574,1,1,2,269.468757),-- [special_80_s]
(22280,9575,1,1,2,26.944893),-- [rare_80_s]
(22280,9576,1,1,2,5.392944),-- [unique_80_s]
(22280,9546,1,1,2,1241.725356),-- [ore_of_fire]
(22281,3036,1,1,-1,840),-- [rp_spiritshot_s]
(22281,5538,1,1,-1,5187),-- [dragon_grinder_edge]
(22281,3957,1,1,-1,840),-- [rp_blessed_spiritshot_s]
(22281,57,1266,2593,0,700000),-- [adena]
(22281,305,1,1,1,4.492128),-- [tallum_glaive]
(22281,5541,1,1,1,1277.507872),-- [tallum_glaive_edge]
(22281,1895,1,1,2,44359.636629),-- [metallic_fiber]
(22281,4040,1,1,2,3105.175073),-- [mold_lubricant]
(22281,9628,1,1,2,1217.710725),-- [renad]
(22281,9630,1,1,2,817.151335),-- [oricalcum]
(22281,6901,1,1,2,155.23585),-- [rp_shining_arrow]
(22281,9546,1,1,2,1242.090388),-- [ore_of_fire]
(22282,5541,1,1,-1,15185),-- [tallum_glaive_edge]
(22282,5550,1,1,-1,73826),-- [reinforcing_plate]
(22282,4043,1,1,-1,184566),-- [asofe]
(22282,57,3707,7592,0,700000),-- [adena]
(22282,5320,1,1,1,20.655024),-- [sealed_leather_mail_of_nightmare]
(22282,5480,1,1,1,3060.344976),-- [sealed_leather_mail_of_nightmare_fabric]
(22282,5323,1,1,1,20.655024),-- [sealed_majestic_leather_mail]
(22282,5481,1,1,1,3060.344976),-- [sealed_majestic_leather_mail_fabric]
(22282,1869,1,3,2,129884.64426),-- [iron_ore]
(22282,1864,4,12,2,97413.4113),-- [stem]
(22282,1880,1,1,2,38965.36452),-- [steel]
(22282,5550,1,1,2,5195.42028),-- [reinforcing_plate]
(22282,4043,1,1,2,12988.5507),-- [asofe]
(22282,959,1,1,2,15.52932),-- [scrl_of_ench_wp_s]
(22282,9546,1,1,2,3117.07962),-- [ore_of_fire]
(22283,5544,1,1,-1,5182),-- [worldtree's_branch_head]
(22283,5157,1,1,-1,840),-- [rp_comp_soulshot_s]
(22283,5545,1,1,-1,5188),-- [dark_legion's_edge_edge]
(22283,57,1266,2593,0,700000),-- [adena]
(22283,5311,1,1,1,5.290861),-- [sealed_armor_of_nightmare]
(22283,5522,1,1,1,793.209139),-- [sealed_armor_of_nightmare_pattern]
(22283,5316,1,1,1,5.290861),-- [sealed_majestic_platte_armor]
(22283,5523,1,1,1,793.209139),-- [sealed_majestic_platte_armor_pattern]
(22283,1895,1,1,2,44359.76662),-- [metallic_fiber]
(22283,4040,1,1,2,3105.191284),-- [mold_lubricant]
(22283,9628,1,1,2,1217.721076),-- [renad]
(22283,9630,1,1,2,817.131536),-- [oricalcum]
(22283,960,1,1,2,62.082488),-- [scrl_of_ench_am_s]
(22283,9546,1,1,2,1242.106996),-- [ore_of_fire]
(22284,5162,1,1,-1,2358),-- [rp_comp_spiritshot_s]
(22284,5546,1,1,-1,15986),-- [sword_of_miracle_edge]
(22284,5549,1,1,-1,530489),-- [iron_thread]
(22284,57,3552,7274,0,700000),-- [adena]
(22284,5326,1,1,1,19.788743),-- [sealed_robe_of_nightmare]
(22284,5487,1,1,1,2941.711257),-- [sealed_robe_of_nightmare_fabric]
(22284,5329,1,1,1,19.788743),-- [sealed_majestic_robe]
(22284,5488,1,1,1,2941.711257),-- [sealed_majestic_robe_fabric]
(22284,1868,1,3,2,237568.069951),-- [thread]
(22284,1873,1,1,2,95027.381724),-- [silver_nugget]
(22284,5549,1,1,2,23756.845431),-- [iron_thread]
(22284,1889,1,1,2,15837.896954),-- [compound_braid]
(22284,4044,1,1,2,7918.948477),-- [thons]
(22284,6901,1,1,2,237.533862),-- [rp_shining_arrow]
(22284,9573,1,1,2,1649.668828),-- [general_80_s]
(22284,9574,1,1,2,412.417207),-- [special_80_s]
(22284,9575,1,1,2,41.126413),-- [rare_80_s]
(22284,9576,1,1,2,8.071539),-- [unique_80_s]
(22284,9547,1,1,2,1901.039614),-- [ore_of_water]
(22285,6342,1,1,-1,194619),-- [sealed_majestic_earing_gemstone]
(22285,5167,1,1,-1,3818),-- [rp_comp_bspiritshot_s]
(22285,57,3835,7853,0,700000),-- [adena]
(22285,6326,1,1,1,47.071744),-- [sealed_majestic_necklace]
(22285,6344,1,1,1,6892.771008),-- [sealed_majestic_necklace_beads]
(22285,6327,1,1,1,62.773344),-- [sealed_majestic_earing]
(22285,6342,1,1,1,10651.072928),-- [sealed_majestic_earing_gemstone]
(22285,6328,1,1,1,94.143488),-- [sealed_majestic_ring]
(22285,6346,1,1,1,15308.167488),-- [sealed_majestic_ring_gemstrone]
(22285,1864,4,12,2,100767.441024),-- [stem]
(22285,1865,2,6,2,80614.038624),-- [varnish]
(22285,1866,3,9,2,44785.81536),-- [suede]
(22285,1873,1,1,2,161228.077248),-- [silver_nugget]
(22285,1868,10,30,2,38387.780448),-- [thread]
(22285,959,1,1,2,16.302912),-- [scrl_of_ench_wp_s]
(22285,9547,1,1,2,3224.544384),-- [ore_of_water]
(22286,6344,1,1,-1,27722),-- [sealed_majestic_necklace_beads]
(22286,5272,1,1,-1,840),-- [rp_adv_comp_soulshot_s]
(22286,6346,1,1,-1,61568),-- [sealed_majestic_ring_gemstrone]
(22286,57,1266,2593,0,700000),-- [adena]
(22286,5313,1,1,1,17.18721),-- [sealed_gloves_of_nightmare]
(22286,5514,1,1,1,1966.56279),-- [sealed_gloves_of_nightmare_design]
(22286,5314,1,1,1,17.18721),-- [sealed_boots_of_nightmare]
(22286,5502,1,1,1,1966.56279),-- [sealed_boots_of_nightmare_lining]
(22286,5318,1,1,1,17.18721),-- [sealed_magestic_gloves]
(22286,5515,1,1,1,1966.56279),-- [sealed_magestic_gloves_design]
(22286,5319,1,1,1,17.18721),-- [sealed_magestic_boots]
(22286,5503,1,1,1,1966.56279),-- [sealed_magestic_boots_lining]
(22286,1869,2,6,2,33269.705755),-- [iron_ore]
(22286,1870,1,1,2,133078.374611),-- [coal]
(22286,1871,1,1,2,133078.374611),-- [charcoal]
(22286,1872,1,3,2,88719.065877),-- [animal_bone]
(22286,1867,1,3,2,59146.043918),-- [animal_skin]
(22286,960,1,1,2,53.360671),-- [scrl_of_ench_am_s]
(22286,9546,1,1,2,1064.074557),-- [ore_of_fire]
(22287,1894,1,1,-1,230482),-- [crafted_leather]
(22287,4039,1,1,-1,218958),-- [mold_glue]
(22287,8342,1,1,-1,18018),-- [dragon_flame_head_piece]
(22287,57,4398,9008,0,700000),-- [adena]
(22287,5312,1,1,1,53.079936),-- [sealed_helm_of_nightmare]
(22287,5527,1,1,1,6447.574742),-- [sealed_helm_of_nightmare_design]
(22287,5315,1,1,1,75.855822),-- [sealed_shield_of_nightmare]
(22287,5495,1,1,1,8188.834822),-- [sealed_shield_of_nightmare_fragment]
(22287,5317,1,1,1,53.079936),-- [sealed_magestic_circlet]
(22287,5528,1,1,1,6447.574742),-- [sealed_magestic_circlet_design]
(22287,1894,1,1,2,18922.98848),-- [crafted_leather]
(22287,4039,1,1,2,17976.85194),-- [mold_glue]
(22287,4041,1,1,2,4689.58274),-- [mold_hardener]
(22287,4044,1,1,2,17976.85194),-- [thons]
(22287,6901,1,1,2,539.32424),-- [rp_shining_arrow]
(22287,9546,1,1,2,4314.40066),-- [ore_of_fire]
(22288,5277,1,1,-1,3207),-- [rp_adv_comp_spiritshot_s]
(22288,8349,1,1,-1,19787),-- [doom_crusher_head]
(22288,5282,1,1,-1,3207),-- [rp_adv_comp_bspiritshot_s]
(22288,57,4830,9894,0,700000),-- [adena]
(22288,5312,1,1,1,58.30656),-- [sealed_helm_of_nightmare]
(22288,5527,1,1,1,7082.44832),-- [sealed_helm_of_nightmare_design]
(22288,5315,1,1,1,83.32512),-- [sealed_shield_of_nightmare]
(22288,5495,1,1,1,8995.16512),-- [sealed_shield_of_nightmare_fragment]
(22288,5317,1,1,1,58.30656),-- [sealed_magestic_circlet]
(22288,5528,1,1,1,7082.44832),-- [sealed_magestic_circlet_design]
(22288,1873,2,6,2,50775.71412),-- [silver_nugget]
(22288,1868,3,9,2,169251.901203),-- [thread]
(22288,1876,1,1,2,101551.42824),-- [mithril_ore]
(22288,1895,1,1,2,145073.058174),-- [metallic_fiber]
(22288,4042,1,1,2,8462.61902),-- [enria]
(22288,959,1,1,2,20.126274),-- [scrl_of_ench_wp_s]
(22288,9546,1,1,2,4062.152969),-- [ore_of_fire]
(22289,5480,1,1,-1,31544),-- [sealed_leather_mail_of_nightmare_fabric]
(22289,1876,1,3,-1,702978),-- [mithril_ore]
(22289,1895,1,5,-1,669503),-- [metallic_fiber]
(22289,57,4706,9640,0,700000),-- [adena]
(22289,164,1,1,1,4.17414),-- [elysian]
(22289,5533,1,1,1,1187.42847),-- [elysian_head]
(22289,213,1,1,1,4.17414),-- [worldtree's_branch]
(22289,5544,1,1,1,1186.25628),-- [worldtree's_branch_head]
(22289,7895,1,1,1,4.17414),-- [dragon_flame_head]
(22289,8342,1,1,1,1187.42847),-- [dragon_flame_head_piece]
(22289,7902,1,1,1,4.17414),-- [doom_crusher]
(22289,8349,1,1,1,1187.19022),-- [doom_crusher_head]
(22289,1873,1,1,2,125925.287646),-- [silver_nugget]
(22289,1868,3,9,2,104937.936936),-- [thread]
(22289,1876,1,1,2,62962.841054),-- [mithril_ore]
(22289,1895,1,1,2,89946.803088),-- [metallic_fiber]
(22289,4042,1,1,2,5246.739062),-- [enria]
(22289,960,1,1,2,125.833378),-- [scrl_of_ench_am_s]
(22289,9573,1,1,2,2186.108404),-- [general_80_s]
(22289,9574,1,1,2,546.724332),-- [special_80_s]
(22289,9575,1,1,2,54.830218),-- [rare_80_s]
(22289,9576,1,1,2,11.044936),-- [unique_80_s]
(22289,9546,1,1,2,2517.850946),-- [ore_of_fire]
(22290,5481,1,1,-1,94465),-- [sealed_majestic_leather_mail_fabric]
(22290,1808,1,1,-1,9356),-- [rp_soulshot_s]
(22290,5487,1,1,-1,94799),-- [sealed_robe_of_nightmare_fabric]
(22290,57,14094,28869,0,700000),-- [adena]
(22290,164,1,1,1,12.499644),-- [elysian]
(22290,5533,1,1,1,3555.806262),-- [elysian_head]
(22290,213,1,1,1,12.499644),-- [worldtree's_branch]
(22290,5544,1,1,1,3552.296088),-- [worldtree's_branch_head]
(22290,7895,1,1,1,12.499644),-- [dragon_flame_head]
(22290,8342,1,1,1,3555.806262),-- [dragon_flame_head_piece]
(22290,7902,1,1,1,12.499644),-- [doom_crusher]
(22290,8349,1,1,1,3555.092812),-- [doom_crusher_head]
(22290,1868,15,45,2,98766.1745),-- [thread]
(22290,1873,12,36,2,24691.76017),-- [silver_nugget]
(22290,5549,1,1,2,148149.26175),-- [iron_thread]
(22290,1889,1,1,2,98766.1745),-- [compound_braid]
(22290,4044,1,1,2,49383.08725),-- [thons]
(22290,6901,1,1,2,1481.60089),-- [rp_shining_arrow]
(22290,9546,1,1,2,11851.94094),-- [ore_of_fire]
(22291,3036,1,1,-1,8051),-- [rp_spiritshot_s]
(22291,5488,1,1,-1,81576),-- [sealed_majestic_robe_fabric]
(22291,1889,1,3,-1,603856),-- [compound_braid]
(22291,57,12128,24842,0,700000),-- [adena]
(22291,289,1,1,1,43.0255),-- [soul_bow]
(22291,5534,1,1,1,12249.9745),-- [soul_bow_shaft]
(22291,1868,15,45,2,84990.239232),-- [thread]
(22291,1873,2,6,2,127485.12),-- [silver_nugget]
(22291,5549,1,1,2,127485.12),-- [iron_thread]
(22291,1889,1,1,2,84990.239232),-- [compound_braid]
(22291,4044,1,1,2,42494.880768),-- [thons]
(22291,959,1,1,2,51.113472),-- [scrl_of_ench_wp_s]
(22291,9546,1,1,2,10199.287296),-- [ore_of_fire]
(22292,4040,1,1,-1,103289),-- [mold_lubricant]
(22292,5495,1,1,-1,78421),-- [sealed_shield_of_nightmare_fragment]
(22292,3957,1,1,-1,2295),-- [rp_blessed_spiritshot_s]
(22292,57,3458,7082,0,700000),-- [adena]
(22292,289,1,1,1,12.2675),-- [soul_bow]
(22292,5534,1,1,1,3492.7325),-- [soul_bow_shaft]
(22292,1895,1,1,2,72687.187004),-- [metallic_fiber]
(22292,4040,1,1,2,5088.068032),-- [mold_lubricant]
(22292,9628,1,1,2,1995.32918),-- [renad]
(22292,9630,1,1,2,1338.969772),-- [oricalcum]
(22292,960,1,1,2,101.75452),-- [scrl_of_ench_am_s]
(22292,9573,1,1,2,1766.680788),-- [general_80_s]
(22292,9574,1,1,2,441.64882),-- [special_80_s]
(22292,9575,1,1,2,44.207636),-- [rare_80_s]
(22292,9576,1,1,2,8.807324),-- [unique_80_s]
(22292,9546,1,1,2,2035.346924),-- [ore_of_fire]
(22293,5502,1,1,-1,101659),-- [sealed_boots_of_nightmare_lining]
(22293,5157,1,1,-1,2675),-- [rp_comp_soulshot_s]
(22293,5503,1,1,-1,101659),-- [sealed_magestic_boots_lining]
(22293,57,4030,8254,0,700000),-- [adena]
(22293,305,1,1,1,14.29632),-- [tallum_glaive]
(22293,5541,1,1,1,4065.70368),-- [tallum_glaive_edge]
(22293,1871,1,3,2,211794.810568),-- [charcoal]
(22293,1866,1,3,2,94130.951622),-- [suede]
(22293,1877,1,1,2,16943.544185),-- [admantite_nugget]
(22293,4041,1,1,2,3683.497027),-- [mold_hardener]
(22293,4040,1,1,2,8471.941511),-- [mold_lubricant]
(22293,6901,1,1,2,423.54625),-- [rp_shining_arrow]
(22293,9546,1,1,2,3388.708837),-- [ore_of_fire]
(22294,1895,1,3,-1,737778),-- [metallic_fiber]
(22294,4040,1,1,-1,103289),-- [mold_lubricant]
(22294,5514,1,1,-1,87223),-- [sealed_gloves_of_nightmare_design]
(22294,57,3458,7082,0,700000),-- [adena]
(22294,305,1,1,1,12.267504),-- [tallum_glaive]
(22294,5541,1,1,1,3488.732496),-- [tallum_glaive_edge]
(22294,1895,1,1,2,121145.623264),-- [metallic_fiber]
(22294,4040,1,1,2,8480.167296),-- [mold_lubricant]
(22294,9628,1,1,2,3325.51504),-- [renad]
(22294,9630,1,1,2,2231.608384),-- [oricalcum]
(22294,959,1,1,2,16.908224),-- [scrl_of_ench_wp_s]
(22294,9546,1,1,2,3392.177792),-- [ore_of_fire]
(22295,5162,1,1,-1,6687),-- [rp_comp_spiritshot_s]
(22295,5515,1,1,-1,254123),-- [sealed_magestic_gloves_design]
(22295,5167,1,1,-1,6687),-- [rp_comp_bspiritshot_s]
(22295,57,10074,20633,0,700000),-- [adena]
(22295,5320,1,1,1,56.125888),-- [sealed_leather_mail_of_nightmare]
(22295,5480,1,1,1,8315.874112),-- [sealed_leather_mail_of_nightmare_fabric]
(22295,5323,1,1,1,56.125888),-- [sealed_majestic_leather_mail]
(22295,5481,1,1,1,8315.874112),-- [sealed_majestic_leather_mail_fabric]
(22295,1895,1,1,2,352959.044913),-- [metallic_fiber]
(22295,4040,1,1,2,24707.218608),-- [mold_lubricant]
(22295,4042,1,1,2,20589.198903),-- [enria]
(22295,4043,1,1,2,41178.397806),-- [asofe]
(22295,960,1,1,2,494.342289),-- [scrl_of_ench_am_s]
(22295,9546,1,1,2,9882.797481),-- [ore_of_fire]
(22296,5522,1,1,-1,53897),-- [sealed_armor_of_nightmare_pattern]
(22296,1877,1,1,-1,633054),-- [admantite_nugget]
(22296,4041,1,1,-1,137620),-- [mold_hardener]
(22296,57,10596,21703,0,700000),-- [adena]
(22296,5311,1,1,1,44.278245),-- [sealed_armor_of_nightmare]
(22296,5522,1,1,1,6638.221755),-- [sealed_armor_of_nightmare_pattern]
(22296,5316,1,1,1,44.278245),-- [sealed_majestic_platte_armor]
(22296,5523,1,1,1,6638.221755),-- [sealed_majestic_platte_armor_pattern]
(22296,1871,9,27,2,54140.43668),-- [charcoal]
(22296,1866,2,6,2,162421.724135),-- [suede]
(22296,1877,1,1,2,38981.24692),-- [admantite_nugget]
(22296,4041,1,1,2,8474.04008),-- [mold_hardener]
(22296,4040,1,1,2,19490.62346),-- [mold_lubricant]
(22296,6901,1,1,2,974.365535),-- [rp_shining_arrow]
(22296,9546,1,1,2,7796.166565),-- [ore_of_fire]
(22296,1344,100,300,2,121816.396625),-- [mithril_arrow]
(22297,5523,1,1,-1,53050),-- [sealed_majestic_platte_armor_pattern]
(22297,5272,1,1,-1,6923),-- [rp_adv_comp_soulshot_s]
(22297,5527,1,1,-1,186245),-- [sealed_helm_of_nightmare_design]
(22297,57,10429,21361,0,700000),-- [adena]
(22297,5326,1,1,1,58.106672),-- [sealed_robe_of_nightmare]
(22297,5487,1,1,1,8637.893328),-- [sealed_robe_of_nightmare_fabric]
(22297,5329,1,1,1,58.106672),-- [sealed_majestic_robe]
(22297,5488,1,1,1,8637.893328),-- [sealed_majestic_robe_fabric]
(22297,1871,4,12,2,137029.418637),-- [charcoal]
(22297,1866,1,3,2,243607.493877),-- [suede]
(22297,1877,1,1,2,43849.358193),-- [admantite_nugget]
(22297,4041,1,1,2,9532.630827),-- [mold_hardener]
(22297,4040,1,1,2,21924.446718),-- [mold_lubricant]
(22297,959,1,1,2,43.687158),-- [scrl_of_ench_wp_s]
(22297,9546,1,1,2,8769.96459),-- [ore_of_fire]
(22298,5277,1,1,-1,15930),-- [rp_adv_comp_spiritshot_s]
(22298,5528,1,1,-1,428543),-- [sealed_magestic_circlet_design]
(22298,4042,1,1,-1,597389),-- [enria]
(22298,57,23997,49152,0,700000),-- [adena]
(22298,6326,1,1,1,294.574336),-- [sealed_majestic_necklace]
(22298,6344,1,1,1,43134.867552),-- [sealed_majestic_necklace_beads]
(22298,6327,1,1,1,392.834736),-- [sealed_majestic_earing]
(22298,6342,1,1,1,66654.270032),-- [sealed_majestic_earing_gemstone]
(22298,6328,1,1,1,589.148672),-- [sealed_majestic_ring]
(22298,6346,1,1,1,95798.304672),-- [sealed_majestic_ring_gemstrone]
(22298,1873,3,9,2,98093.577582),-- [silver_nugget]
(22298,1868,32,96,2,45981.134199),-- [thread]
(22298,1876,4,12,2,32697.859194),-- [mithril_ore]
(22298,1895,3,9,2,60057.434437),-- [metallic_fiber]
(22298,4042,1,1,2,24523.189691),-- [enria]
(22298,960,1,1,2,588.730142),-- [scrl_of_ench_am_s]
(22298,9573,1,1,2,10218.029822),-- [general_80_s]
(22298,9574,1,1,2,2554.71216),-- [special_80_s]
(22298,9575,1,1,2,255.471216),-- [rare_80_s]
(22298,9576,1,1,2,51.176125),-- [unique_80_s]
(22298,9546,1,1,2,11771.327568),-- [ore_of_fire]
(22298,1344,150,450,2,122616.357864),-- [mithril_arrow]
(22299,4041,1,1,-1,447646),-- [mold_hardener]
(22299,5529,1,1,-1,141233),-- [dragon_slayer_edge]
(22299,5282,1,1,-1,22880),-- [rp_adv_comp_bspiritshot_s]
(22299,57,34465,70594,0,700000),-- [adena]
(22299,5313,1,1,1,467.881992),-- [sealed_gloves_of_nightmare]
(22299,5514,1,1,1,53535.118008),-- [sealed_gloves_of_nightmare_design]
(22299,5314,1,1,1,467.881992),-- [sealed_boots_of_nightmare]
(22299,5502,1,1,1,53535.118008),-- [sealed_boots_of_nightmare_lining]
(22299,5318,1,1,1,467.881992),-- [sealed_magestic_gloves]
(22299,5515,1,1,1,53535.118008),-- [sealed_magestic_gloves_design]
(22299,5319,1,1,1,467.881992),-- [sealed_magestic_boots]
(22299,5503,1,1,1,53535.118008),-- [sealed_magestic_boots_lining]
(22299,1894,1,3,2,88979.871617),-- [crafted_leather]
(22299,4039,1,1,2,169061.898956),-- [mold_glue]
(22299,4041,1,1,2,44102.959121),-- [mold_hardener]
(22299,4044,1,1,2,169061.898956),-- [thons]
(22299,6901,1,1,2,5072.37135),-- [rp_shining_arrow]
(22300,5533,1,1,-1,22932),-- [elysian_head]
(22300,1808,1,1,-1,3716),-- [rp_soulshot_s]
(22300,5534,1,1,-1,22952),-- [soul_bow_shaft]
(22300,57,5597,11465,0,700000),-- [adena]
(22300,5312,1,1,1,67.559232),-- [sealed_helm_of_nightmare]
(22300,5527,1,1,1,8206.362529),-- [sealed_helm_of_nightmare_design]
(22300,5315,1,1,1,96.547989),-- [sealed_shield_of_nightmare]
(22300,5495,1,1,1,10422.608489),-- [sealed_shield_of_nightmare_fragment]
(22300,5317,1,1,1,67.559232),-- [sealed_magestic_circlet]
(22300,5528,1,1,1,8206.362529),-- [sealed_magestic_circlet_design]
(22300,1871,4,12,2,85800.698676),-- [charcoal]
(22300,1866,1,3,2,152534.638872),-- [suede]
(22300,1877,1,1,2,27456.360624),-- [admantite_nugget]
(22300,4041,1,1,2,5968.71198),-- [mold_hardener]
(22300,4040,1,1,2,13728.180312),-- [mold_lubricant]
(22300,959,1,1,2,27.409536),-- [scrl_of_ench_wp_s]
(22301,1875,1,7,-1,739835),-- [stone_of_purity]
(22301,4040,1,1,-1,887802),-- [mold_lubricant]
(22301,5537,1,1,-1,121784),-- [soul_separator_head]
(22301,57,29719,60872,0,700000),-- [adena]
(22301,81,1,1,1,35.143563),-- [dragon_slayer]
(22301,5529,1,1,1,9994.692596),-- [dragon_slayer_edge]
(22301,151,1,1,1,35.143563),-- [sword_of_miracle]
(22301,5546,1,1,1,10978.215192),-- [sword_of_miracle_edge]
(22301,2500,1,1,1,35.143563),-- [dark_legion's_edge]
(22301,5545,1,1,1,9994.661523),-- [dark_legion's_edge_edge]
(22301,1865,28,84,2,55783.293097),-- [varnish]
(22301,1870,60,180,2,26031.955145),-- [coal]
(22301,1879,3,9,2,86773.494192),-- [cokes]
(22301,1875,1,1,2,208256.572286),-- [stone_of_purity]
(22301,4040,1,1,2,62477.157911),-- [mold_lubricant]
(22301,960,1,1,2,1249.571092),-- [scrl_of_ench_am_s]
(22301,9546,1,1,2,24990.956277),-- [ore_of_fire]
(22302,3036,1,1,-1,11856),-- [rp_spiritshot_s]
(22302,5538,1,1,-1,73171),-- [dragon_grinder_edge]
(22302,3957,1,1,-1,11856),-- [rp_blessed_spiritshot_s]
(22302,57,17859,36581,0,700000),-- [adena]
(22302,164,1,1,1,15.838956),-- [elysian]
(22302,5533,1,1,1,4505.749038),-- [elysian_head]
(22302,213,1,1,1,15.838956),-- [worldtree's_branch]
(22302,5544,1,1,1,4501.301112),-- [worldtree's_branch_head]
(22302,7895,1,1,1,15.838956),-- [dragon_flame_head]
(22302,8342,1,1,1,4505.749038),-- [dragon_flame_head_piece]
(22302,7902,1,1,1,15.838956),-- [doom_crusher]
(22302,8349,1,1,1,4504.844988),-- [doom_crusher_head]
(22302,1895,1,3,2,375452.73921),-- [metallic_fiber]
(22302,4040,1,1,2,52563.54162),-- [mold_lubricant]
(22302,9628,1,1,2,20613.25389),-- [renad]
(22302,9630,1,1,2,13832.24169),-- [oricalcum]
(22302,6901,1,1,2,2628.22359),-- [rp_shining_arrow]
(22303,5541,1,1,-1,76313),-- [tallum_glaive_edge]
(22303,5550,1,1,-1,371029),-- [reinforcing_plate]
(22303,4043,1,1,-1,927572),-- [asofe]
(22303,57,18630,38159,0,700000),-- [adena]
(22303,270,1,1,1,66.091101),-- [dragon_grinder]
(22303,5538,1,1,1,18800.908899),-- [dragon_grinder_edge]
(22303,1869,7,21,2,152310.588869),-- [iron_ore]
(22303,1864,24,72,2,95193.972974),-- [stem]
(22303,1880,3,9,2,32637.845168),-- [steel]
(22303,5550,1,1,2,30462.195144),-- [reinforcing_plate]
(22303,4043,1,1,2,76155.101009),-- [asofe]
(22303,959,1,1,2,91.296836),-- [scrl_of_ench_wp_s]
(22304,5544,1,1,-1,76561),-- [worldtree's_branch_head]
(22304,5157,1,1,-1,12418),-- [rp_comp_soulshot_s]
(22304,5545,1,1,-1,76652),-- [dark_legion's_edge_edge]
(22304,57,18705,38313,0,700000),-- [adena]
(22304,289,1,1,1,66.3565),-- [soul_bow]
(22304,5534,1,1,1,18892.6435),-- [soul_bow_shaft]
(22304,1867,4,12,2,229388.231105),-- [animal_skin]
(22304,1872,7,21,2,122340.227683),-- [animal_bone]
(22304,1882,3,9,2,50975.054308),-- [leather]
(22304,1894,1,1,2,48292.25918),-- [crafted_leather]
(22304,4042,1,1,2,22938.579751),-- [enria]
(22304,960,1,1,2,550.479189),-- [scrl_of_ench_am_s]
(22304,9573,1,1,2,9557.701003),-- [general_80_s]
(22304,9574,1,1,2,2389.303571),-- [special_80_s]
(22304,9575,1,1,2,238.979029),-- [rare_80_s]
(22304,9576,1,1,2,48.185181),-- [unique_80_s]
(22305,5162,1,1,-1,2880),-- [rp_comp_spiritshot_s]
(22305,5546,1,1,-1,19529),-- [sword_of_miracle_edge]
(22305,1895,1,3,-1,925777),-- [metallic_fiber]
(22305,57,4339,8887,0,700000),-- [adena]
(22305,289,1,1,1,15.393),-- [soul_bow]
(22305,5534,1,1,1,4382.607),-- [soul_bow_shaft]
(22305,1895,1,1,2,152016.100383),-- [metallic_fiber]
(22305,4040,1,1,2,10641.128771),-- [mold_lubricant]
(22305,9628,1,1,2,4172.974575),-- [renad]
(22305,9630,1,1,2,2800.297045),-- [oricalcum]
(22305,6901,1,1,2,531.97795),-- [rp_shining_arrow]
(22305,9547,1,1,2,4256.521276),-- [ore_of_water]
(22306,6342,1,1,-1,505968),-- [sealed_majestic_earing_gemstone]
(22306,5167,1,1,-1,9927),-- [rp_comp_bspiritshot_s]
(22306,57,9969,20420,0,700000),-- [adena]
(22306,236,1,1,1,35.366698),-- [soul_separator]
(22306,5537,1,1,1,10063.633302),-- [soul_separator_head]
(22306,1864,36,108,2,29108.268112),-- [stem]
(22306,1865,25,75,2,20957.796024),-- [varnish]
(22306,1866,3,9,2,116432.74533),-- [suede]
(22306,1873,4,12,2,52394.817178),-- [silver_nugget]
(22306,1868,10,30,2,99799.449266),-- [thread]
(22306,959,1,1,2,41.871104),-- [scrl_of_ench_wp_s]
(22306,9547,1,1,2,8383.052986),-- [ore_of_water]
(22307,6344,1,1,-1,528217),-- [sealed_majestic_necklace_beads]
(22307,5272,1,1,-1,16014),-- [rp_adv_comp_soulshot_s]
(22307,6346,1,3,-1,586559),-- [sealed_majestic_ring_gemstrone]
(22307,57,24123,49411,0,700000),-- [adena]
(22307,236,1,1,1,85.578374),-- [soul_separator]
(22307,5537,1,1,1,24351.421626),-- [soul_separator_head]
(22307,1879,1,1,2,268937.773487),-- [cokes]
(22307,1885,1,1,2,134469.116478),-- [high_grade_suede]
(22307,9628,1,1,2,12656.073605),-- [renad]
(22307,9630,1,1,2,8492.824996),-- [oricalcum]
(22307,9629,1,1,2,7015.632161),-- [adamantium]
(22307,960,1,1,2,645.553945),-- [scrl_of_ench_am_s]
(22307,9573,1,1,2,11205.529972),-- [general_80_s]
(22307,9574,1,1,2,2801.382493),-- [special_80_s]
(22307,9575,1,1,2,280.27609),-- [rare_80_s]
(22307,9576,1,1,2,56.055218),-- [unique_80_s]
(22307,9547,1,1,2,12908.781555),-- [ore_of_water]
(22308,8342,1,1,-1,48761),-- [dragon_flame_head_piece]
(22308,57,3967,8126,0,700000),-- [adena]
(22308,5320,1,1,1,22.103088),-- [sealed_leather_mail_of_nightmare]
(22308,5480,1,1,1,3274.896912),-- [sealed_leather_mail_of_nightmare_fabric]
(22308,5323,1,1,1,22.103088),-- [sealed_majestic_leather_mail]
(22308,5481,1,1,1,3274.896912),-- [sealed_majestic_leather_mail_fabric]
(22308,1879,1,1,2,69501.008059),-- [cokes]
(22308,1885,1,1,2,34750.446388),-- [high_grade_suede]
(22308,9628,1,1,2,3270.57871),-- [renad]
(22308,9630,1,1,2,2194.757754),-- [oricalcum]
(22308,9629,1,1,2,1813.055741),-- [adamantium]
(22308,6901,1,1,2,416.978611),-- [rp_shining_arrow]
(22308,9547,1,1,2,3336.174737),-- [ore_of_water]
(22309,5277,1,1,-1,3614),-- [rp_adv_comp_spiritshot_s]
(22309,8349,1,1,-1,22297),-- [doom_crusher_head]
(22309,5282,1,1,-1,3614),-- [rp_adv_comp_bspiritshot_s]
(22309,57,5443,11149,0,700000),-- [adena]
(22309,5320,1,1,1,30.328896),-- [sealed_leather_mail_of_nightmare]
(22309,5480,1,1,1,4493.671104),-- [sealed_leather_mail_of_nightmare_fabric]
(22309,5323,1,1,1,30.328896),-- [sealed_majestic_leather_mail]
(22309,5481,1,1,1,4493.671104),-- [sealed_majestic_leather_mail_fabric]
(22309,1895,1,1,2,190722.714113),-- [metallic_fiber]
(22309,4040,1,1,2,13350.548532),-- [mold_lubricant]
(22309,9628,1,1,2,5235.445055),-- [renad]
(22309,9630,1,1,2,3513.279278),-- [oricalcum]
(22309,959,1,1,2,26.619058),-- [scrl_of_ench_wp_s]
(22309,9547,1,1,2,5340.393964),-- [ore_of_water]
(22310,5480,1,1,-1,34308),-- [sealed_leather_mail_of_nightmare_fabric]
(22310,1876,1,3,-1,764565),-- [mithril_ore]
(22310,1895,1,5,-1,728157),-- [metallic_fiber]
(22310,57,5119,10485,0,700000),-- [adena]
(22310,5326,1,1,1,28.518776),-- [sealed_robe_of_nightmare]
(22310,5487,1,1,1,4239.481224),-- [sealed_robe_of_nightmare_fabric]
(22310,5329,1,1,1,28.518776),-- [sealed_majestic_robe]
(22310,5488,1,1,1,4239.481224),-- [sealed_majestic_robe_fabric]
(22310,1895,1,1,2,153727.608429),-- [metallic_fiber]
(22310,4040,1,1,2,10761.073785),-- [mold_lubricant]
(22310,9628,1,1,2,4220.000685),-- [renad]
(22310,9630,1,1,2,2831.967684),-- [oricalcum]
(22310,960,1,1,2,215.250291),-- [scrl_of_ench_am_s]
(22310,9547,1,1,2,4304.429514),-- [ore_of_water]
(22310,1344,60,180,2,112092.669612),-- [mithril_arrow]
(22311,6688,1,1,-1,57298),-- [forgotten_blade_edge]
(22311,6901,1,1,-1,26509),-- [rp_shining_arrow]
(22311,6689,1,1,-1,56218),-- [basalt_battlehammer_head]
(22311,57,15512,31115,0,700000),-- [adena]
(22311,6326,1,1,1,217.859184),-- [sealed_majestic_necklace]
(22311,6344,1,1,1,31901.377338),-- [sealed_majestic_necklace_beads]
(22311,6327,1,1,1,290.529909),-- [sealed_majestic_earing]
(22311,6342,1,1,1,49295.689083),-- [sealed_majestic_earing_gemstone]
(22311,6328,1,1,1,435.718368),-- [sealed_majestic_ring]
(22311,6346,1,1,1,70849.826118),-- [sealed_majestic_ring_gemstrone]
(22311,1868,15,45,2,79142.3072),-- [thread]
(22311,1873,2,6,2,118713.4608),-- [silver_nugget]
(22311,5549,1,1,2,118713.4608),-- [iron_thread]
(22311,1889,1,1,2,79142.3072),-- [compound_braid]
(22311,4044,1,1,2,39571.1536),-- [thons]
(22311,6901,1,1,2,1186.952),-- [rp_shining_arrow]
(22311,10483,1,1,2,8243.83816),-- [general_82_s]
(22311,10484,1,1,2,2061.1878),-- [special_82_s]
(22311,10485,1,1,2,205.89052),-- [rare_82_s]
(22311,10486,1,1,2,41.0868),-- [unique_82_s]
(22311,9546,1,1,2,9498.35512),-- [ore_of_fire]
(22312,6901,1,1,-1,32736),-- [rp_shining_arrow]
(22312,6690,1,1,-1,70893),-- [piece_of_imperial_staff]
(22312,960,1,1,-1,13094),-- [scrl_of_ench_am_s]
(22312,57,19156,38424,0,700000),-- [adena]
(22312,5313,1,1,1,297.528258),-- [sealed_gloves_of_nightmare]
(22312,5514,1,1,1,34043.221742),-- [sealed_gloves_of_nightmare_design]
(22312,5314,1,1,1,297.528258),-- [sealed_boots_of_nightmare]
(22312,5502,1,1,1,34043.221742),-- [sealed_boots_of_nightmare_lining]
(22312,5318,1,1,1,297.528258),-- [sealed_magestic_gloves]
(22312,5515,1,1,1,34043.221742),-- [sealed_magestic_gloves_design]
(22312,5319,1,1,1,297.528258),-- [sealed_magestic_boots]
(22312,5503,1,1,1,34043.221742),-- [sealed_magestic_boots_lining]
(22312,1895,1,3,2,383952.44882),-- [metallic_fiber]
(22312,4040,1,1,2,53753.53076),-- [mold_lubricant]
(22312,9628,1,1,2,21079.7675),-- [renad]
(22312,9630,1,1,2,14145.82216),-- [oricalcum]
(22312,959,1,1,2,107.31518),-- [scrl_of_ench_wp_s]
(22312,9546,1,1,2,21501.11558),-- [ore_of_fire]
(22313,4042,1,1,-1,149381),-- [enria]
(22313,1876,1,3,-1,896287),-- [mithril_ore]
(22313,6691,1,1,-1,19373),-- [angel_slayer_blade]
(22313,57,5245,10520,0,700000),-- [adena]
(22313,5312,1,1,1,72.428928),-- [sealed_helm_of_nightmare]
(22313,5527,1,1,1,8797.880366),-- [sealed_helm_of_nightmare_design]
(22313,5315,1,1,1,103.507206),-- [sealed_shield_of_nightmare]
(22313,5495,1,1,1,11173.874206),-- [sealed_shield_of_nightmare_fragment]
(22313,5317,1,1,1,72.428928),-- [sealed_magestic_circlet]
(22313,5528,1,1,1,8797.880366),-- [sealed_magestic_circlet_design]
(22313,1873,3,9,2,36793.365),-- [silver_nugget]
(22313,1868,4,12,2,137974.5675),-- [thread]
(22313,1876,1,1,2,110379.7275),-- [mithril_ore]
(22313,1895,3,9,2,22526.6475),-- [metallic_fiber]
(22313,4042,1,1,2,9198.1575),-- [enria]
(22313,960,1,1,2,220.8675),-- [scrl_of_ench_am_s]
(22313,9546,1,1,2,4415.145),-- [ore_of_fire]
(22313,1344,150,450,2,45991.5225),-- [mithril_arrow]
(22314,6901,1,1,-1,8769),-- [rp_shining_arrow]
(22314,6693,1,1,-1,19298),-- [dragon_hunter_axe_blade]
(22314,57,5131,10293,0,700000),-- [adena]
(22314,164,1,1,1,5.206944),-- [elysian]
(22314,5533,1,1,1,1481.232912),-- [elysian_head]
(22314,213,1,1,1,5.206944),-- [worldtree's_branch]
(22314,5544,1,1,1,1479.770688),-- [worldtree's_branch_head]
(22314,7895,1,1,1,5.206944),-- [dragon_flame_head]
(22314,8342,1,1,1,1481.232912),-- [dragon_flame_head_piece]
(22314,7902,1,1,1,5.206944),-- [doom_crusher]
(22314,8349,1,1,1,1480.935712),-- [doom_crusher_head]
(22314,1895,1,1,2,205703.140026),-- [metallic_fiber]
(22314,4040,1,1,2,14399.222162),-- [mold_lubricant]
(22314,9628,1,1,2,5646.73065),-- [renad]
(22314,9630,1,1,2,3789.26899),-- [oricalcum]
(22314,6901,1,1,2,719.8549),-- [rp_shining_arrow]
(22314,9546,1,1,2,5759.783272),-- [ore_of_fire]
(22315,6694,1,1,-1,11476),-- [saint_spear_blade]
(22315,959,1,1,-1,209),-- [scrl_of_ench_wp_s]
(22315,4040,1,1,-1,104299),-- [mold_lubricant]
(22315,57,3052,6121,0,700000),-- [adena]
(22315,289,1,1,1,12.3865),-- [soul_bow]
(22315,5534,1,1,1,3526.6135),-- [soul_bow_shaft]
(22315,1895,1,1,2,66725.839312),-- [metallic_fiber]
(22315,4040,1,1,2,4670.690244),-- [mold_lubricant]
(22315,9628,1,1,2,1831.686802),-- [renad]
(22315,9630,1,1,2,1229.148503),-- [oricalcum]
(22315,959,1,1,2,9.258425),-- [scrl_of_ench_wp_s]
(22315,10483,1,1,2,1621.705723),-- [general_82_s]
(22315,10484,1,1,2,405.519015),-- [special_82_s]
(22315,10485,1,1,2,40.366733),-- [rare_82_s]
(22315,10486,1,1,2,8.147414),-- [unique_82_s]
(22315,9546,1,1,2,1868.350165),-- [ore_of_fire]
(22315,1344,10,30,2,291926.287664),-- [mithril_arrow]
(22316,4042,1,1,-1,251633),-- [enria]
(22316,6695,1,1,-1,32019),-- [demon_splinter_blade]
(22316,6901,1,1,-1,15098),-- [rp_shining_arrow]
(22316,57,8835,17721,0,700000),-- [adena]
(22316,236,1,1,1,35.856978),-- [soul_separator]
(22316,5537,1,1,1,10203.143022),-- [soul_separator_head]
(22316,1895,1,1,2,354163.533318),-- [metallic_fiber]
(22316,4040,1,1,2,24791.533088),-- [mold_lubricant]
(22316,4042,1,1,2,20659.460458),-- [enria]
(22316,4043,1,1,2,41318.920916),-- [asofe]
(22316,960,1,1,2,496.029254),-- [scrl_of_ench_am_s]
(22316,9546,1,1,2,9916.522966),-- [ore_of_fire]
(22317,6696,1,1,-1,4729),-- [heavens_divider_edge]
(22317,6901,1,1,-1,2154),-- [rp_shining_arrow]
(22317,6697,1,1,-1,4567),-- [arcana_mace_head]
(22317,57,1260,2528,0,700000),-- [adena]
(22317,5312,1,1,1,17.402112),-- [sealed_helm_of_nightmare]
(22317,5527,1,1,1,2113.819764),-- [sealed_helm_of_nightmare_design]
(22317,5315,1,1,1,24.869124),-- [sealed_shield_of_nightmare]
(22317,5495,1,1,1,2684.687124),-- [sealed_shield_of_nightmare_fragment]
(22317,5317,1,1,1,17.402112),-- [sealed_magestic_circlet]
(22317,5528,1,1,1,2113.819764),-- [sealed_magestic_circlet_design]
(22317,1873,1,1,2,35361.624473),-- [silver_nugget]
(22317,1868,1,1,2,176808.122365),-- [thread]
(22317,1876,1,1,2,17680.996571),-- [mithril_ore]
(22317,1895,1,1,2,25258.250528),-- [metallic_fiber]
(22317,4042,1,1,2,1473.569993),-- [enria]
(22317,6901,1,1,2,88.48056),-- [rp_shining_arrow]
(22317,10483,1,1,2,613.833885),-- [general_82_s]
(22317,10484,1,1,2,153.366304),-- [special_82_s]
(22317,10485,1,1,2,15.484098),-- [rare_82_s]
(22317,10486,1,1,2,2.949352),-- [unique_82_s]
(22317,9546,1,1,2,707.107142),-- [ore_of_fire]
(22317,1344,10,30,2,110505.214729),-- [mithril_arrow]
(22320,960,1,1,-1,11241),-- [scrl_of_ench_am_s]
(22320,1895,1,17,-1,892165),-- [metallic_fiber]
(22320,4040,1,1,-1,562064),-- [mold_lubricant]
(22320,57,16445,32986,0,700000),-- [adena]
(22320,5311,1,1,1,78.624116),-- [sealed_armor_of_nightmare]
(22320,5522,1,1,1,11787.375884),-- [sealed_armor_of_nightmare_pattern]
(22320,5316,1,1,1,78.624116),-- [sealed_majestic_platte_armor]
(22320,5523,1,1,1,11787.375884),-- [sealed_majestic_platte_armor_pattern]
(22320,1895,1,3,2,188352.764901),-- [metallic_fiber]
(22320,4040,1,1,2,39554.017965),-- [mold_lubricant]
(22320,9628,1,1,2,15511.23504),-- [renad]
(22320,9630,1,1,2,10408.893894),-- [oricalcum]
(22320,959,1,1,2,79.251795),-- [scrl_of_ench_wp_s]
(22320,9674,4,12,2,98885.229219),-- [permit_of_darion]
(22320,9551,1,1,2,15821.607186),-- [ore_of_holy]
(22320,9599,1,3,2,721000),-- [ancient_book_of_demon]
(22321,6698,1,1,-1,529832),-- [sealed_sanddragon's_earing_piece]
(22321,6901,1,1,-1,26974),-- [rp_shining_arrow]
(22321,6699,1,1,-1,587920),-- [sealed_ring_of_aurakyria_gem]
(22321,57,15784,31661,0,700000),-- [adena]
(22321,5326,1,1,1,100.617556),-- [sealed_robe_of_nightmare]
(22321,5487,1,1,1,14957.382444),-- [sealed_robe_of_nightmare_fabric]
(22321,5329,1,1,1,100.617556),-- [sealed_majestic_robe]
(22321,5488,1,1,1,14957.382444),-- [sealed_majestic_robe_fabric]
(22321,1866,16,48,2,30758.282217),-- [suede]
(22321,1871,10,30,2,70304.461929),-- [charcoal]
(22321,5220,1,1,2,59055.611277),-- [reinforcing_agent]
(22321,1885,1,1,2,123032.701545),-- [high_grade_suede]
(22321,4041,1,1,2,12838.064889),-- [mold_hardener]
(22321,960,1,1,2,590.560386),-- [scrl_of_ench_am_s]
(22321,9674,3,9,2,98426.161236),-- [permit_of_darion]
(22321,9551,1,1,2,11811.20772),-- [ore_of_holy]
(22321,1344,900,2700,2,20505.948801),-- [mithril_arrow]
(22321,9599,1,3,2,721000),-- [ancient_book_of_demon]
(22322,6901,1,1,-1,2192),-- [rp_shining_arrow]
(22322,6700,1,1,-1,26236),-- [sealed_dragon_necklace_wire]
(22322,959,1,1,-1,88),-- [scrl_of_ench_wp_s]
(22322,57,1282,2572,0,700000),-- [adena]
(22322,6326,1,1,1,18.010752),-- [sealed_majestic_necklace]
(22322,6344,1,1,1,2637.335664),-- [sealed_majestic_necklace_beads]
(22322,6327,1,1,1,24.018552),-- [sealed_majestic_earing]
(22322,6342,1,1,1,4075.350024),-- [sealed_majestic_earing_gemstone]
(22322,6328,1,1,1,36.021504),-- [sealed_majestic_ring]
(22322,6346,1,1,1,5857.263504),-- [sealed_majestic_ring_gemstrone]
(22322,1879,1,1,2,17992.774481),-- [cokes]
(22322,1885,1,1,2,8996.37227),-- [high_grade_suede]
(22322,9628,1,1,2,846.73148),-- [renad]
(22322,9630,1,1,2,568.190357),-- [oricalcum]
(22322,9629,1,1,2,469.385057),-- [adamantium]
(22322,6901,1,1,2,107.967246),-- [rp_shining_arrow]
(22322,10483,1,1,2,749.692699),-- [general_82_s]
(22322,10484,1,1,2,187.43066),-- [special_82_s]
(22322,10485,1,1,2,18.743066),-- [rare_82_s]
(22322,10486,1,1,2,3.712684),-- [unique_82_s]
(22322,9599,1,1,2,112500),-- [ancient_book_of_demon]
(22323,4044,1,1,-1,75435),-- [thons]
(22323,1894,1,1,-1,79405),-- [crafted_leather]
(22323,6701,1,1,-1,12049),-- [sealed_imperial_crusader_armor_part]
(22323,57,1324,2656,0,700000),-- [adena]
(22323,5313,1,1,1,20.568336),-- [sealed_gloves_of_nightmare]
(22323,5514,1,1,1,2353.431664),-- [sealed_gloves_of_nightmare_design]
(22323,5314,1,1,1,20.568336),-- [sealed_boots_of_nightmare]
(22323,5502,1,1,1,2353.431664),-- [sealed_boots_of_nightmare_lining]
(22323,5318,1,1,1,20.568336),-- [sealed_magestic_gloves]
(22323,5515,1,1,1,2353.431664),-- [sealed_magestic_gloves_design]
(22323,5319,1,1,1,20.568336),-- [sealed_magestic_boots]
(22323,5503,1,1,1,2353.431664),-- [sealed_magestic_boots_lining]
(22323,1895,1,1,2,31851.37683),-- [metallic_fiber]
(22323,4040,1,1,2,2229.543612),-- [mold_lubricant]
(22323,9628,1,1,2,874.334277),-- [renad]
(22323,9630,1,1,2,586.759032),-- [oricalcum]
(22323,959,1,1,2,4.397175),-- [scrl_of_ench_wp_s]
(22323,10483,1,1,2,774.078687),-- [general_82_s]
(22323,10484,1,1,2,193.4757),-- [special_82_s]
(22323,10485,1,1,2,19.34757),-- [rare_82_s]
(22323,10486,1,1,2,3.869514),-- [unique_82_s]
(22323,1344,10,30,2,139349.817603),-- [mithril_arrow]
(22323,9599,1,1,2,116100),-- [ancient_book_of_demon]
(22324,6901,1,1,-1,5552),-- [rp_shining_arrow]
(22324,6702,1,1,-1,38051),-- [sealed_imperial_crusader_gaiters_pattern]
(22324,57,3249,6517,0,700000),-- [adena]
(22324,5312,1,1,1,44.8656),-- [sealed_helm_of_nightmare]
(22324,5527,1,1,1,5449.786325),-- [sealed_helm_of_nightmare_design]
(22324,5315,1,1,1,64.116825),-- [sealed_shield_of_nightmare]
(22324,5495,1,1,1,6921.579325),-- [sealed_shield_of_nightmare_fragment]
(22324,5317,1,1,1,44.8656),-- [sealed_magestic_circlet]
(22324,5528,1,1,1,5449.786325),-- [sealed_magestic_circlet_design]
(22324,1864,4,12,2,85468.445398),-- [stem]
(22324,1865,2,6,2,68374.832539),-- [varnish]
(22324,1866,3,9,2,37986.060422),-- [suede]
(22324,1873,4,12,2,17093.612859),-- [silver_nugget]
(22324,1868,10,30,2,32559.534805),-- [thread]
(22324,960,1,1,2,136.815977),-- [scrl_of_ench_am_s]
(22324,9674,1,1,2,136749.283975),-- [permit_of_darion]
(22324,9551,1,1,2,2734.414025),-- [ore_of_holy]
(22324,9599,1,1,2,284900),-- [ancient_book_of_demon]
(22325,6703,1,1,-1,106314),-- [sealed_imperial_crusader_gauntlet_design]
(22325,960,1,1,-1,2987),-- [scrl_of_ench_am_s]
(22325,57,2913,5843,0,700000),-- [adena]
(22325,5312,1,1,1,40.225536),-- [sealed_helm_of_nightmare]
(22325,5527,1,1,1,4886.161692),-- [sealed_helm_of_nightmare_design]
(22325,5315,1,1,1,57.485772),-- [sealed_shield_of_nightmare]
(22325,5495,1,1,1,6205.739772),-- [sealed_shield_of_nightmare_fragment]
(22325,5317,1,1,1,40.225536),-- [sealed_magestic_circlet]
(22325,5528,1,1,1,4886.161692),-- [sealed_magestic_circlet_design]
(22325,1869,2,6,2,54493.568224),-- [iron_ore]
(22325,1870,3,9,2,45410.987376),-- [coal]
(22325,1871,3,9,2,38923.840384),-- [charcoal]
(22325,1872,8,24,2,22705.733296),-- [animal_bone]
(22325,1867,1,3,2,121096.445552),-- [animal_skin]
(22325,6901,1,1,2,272.673904),-- [rp_shining_arrow]
(22325,9674,1,1,2,108987.136448),-- [permit_of_darion]
(22325,9551,1,1,2,2179.953584),-- [ore_of_holy]
(22325,1344,40,120,2,85145.661232),-- [mithril_arrow]
(22325,9599,1,1,2,255400),-- [ancient_book_of_demon]
(22326,4039,1,35,-1,910052),-- [mold_glue]
(22326,6704,1,15,-1,874614),-- [sealed_imperial_crusader_boots_design]
(22326,6901,1,1,-1,491428),-- [rp_shining_arrow]
(22326,57,287985,576519,0,700000),-- [adena]
(22326,81,1,1,1,389.057214),-- [dragon_slayer]
(22326,5529,1,1,1,110646.358088),-- [dragon_slayer_edge]
(22326,151,1,1,1,389.057214),-- [sword_of_miracle]
(22326,5546,1,1,1,121534.456176),-- [sword_of_miracle_edge]
(22326,2500,1,1,1,389.057214),-- [dark_legion's_edge]
(22326,5545,1,1,1,110646.014094),-- [dark_legion's_edge_edge]
(22326,1894,5,15,2,141569.046206),-- [crafted_leather]
(22326,4039,9,27,2,74716.862087),-- [mold_glue]
(22326,4041,3,9,2,50120.718222),-- [mold_hardener]
(22326,4044,16,48,2,42028.4295),-- [thons]
(22326,959,1,1,2,1614.030058),-- [scrl_of_ench_wp_s]
(22326,9551,4,12,2,35863.913927),-- [ore_of_holy]
(22326,9599,14,44,2,869600),-- [ancient_book_of_demon]
(22327,6705,1,1,-1,766903),-- [sealed_imperial_crusader_shield_part]
(22327,6901,1,1,-1,54991),-- [rp_shining_arrow]
(22327,6706,1,1,-1,892056),-- [sealed_imperial_crusader_helmet_pattern]
(22327,57,32178,64546,0,700000),-- [adena]
(22327,164,1,1,1,32.651148),-- [elysian]
(22327,5533,1,1,1,9288.357054),-- [elysian_head]
(22327,213,1,1,1,32.651148),-- [worldtree's_branch]
(22327,5544,1,1,1,9279.187896),-- [worldtree's_branch_head]
(22327,7895,1,1,1,32.651148),-- [dragon_flame_head]
(22327,8342,1,1,1,9288.357054),-- [dragon_flame_head_piece]
(22327,7902,1,1,1,32.651148),-- [doom_crusher]
(22327,8349,1,1,1,9286.493404),-- [doom_crusher_head]
(22327,1873,18,54,2,37623.708036),-- [silver_nugget]
(22327,1868,198,594,2,17101.5084),-- [thread]
(22327,1876,4,12,2,84653.245692),-- [mithril_ore]
(22327,1895,3,9,2,138209.404572),-- [metallic_fiber]
(22327,4042,1,1,2,56435.367276),-- [enria]
(22327,960,1,1,2,1354.486212),-- [scrl_of_ench_am_s]
(22327,9674,25,75,2,27088.945128),-- [permit_of_darion]
(22327,9551,1,1,2,27089.334684),-- [ore_of_holy]
(22327,9599,2,6,2,705400),-- [ancient_book_of_demon]
(22328,959,1,1,-1,889),-- [scrl_of_ench_wp_s]
(22328,1885,1,3,-1,925910),-- [high_grade_suede]
(22328,13099,1,1,-1,309907),-- [sealed_arcana_sigil_part]
(22328,57,13003,26083,0,700000),-- [adena]
(22328,270,1,1,1,52.779701),-- [dragon_grinder]
(22328,5538,1,1,1,15014.220299),-- [dragon_grinder_edge]
(22328,1879,1,1,2,152037.9462),-- [cokes]
(22328,1885,1,1,2,76018.9731),-- [high_grade_suede]
(22328,9628,1,1,2,7154.72688),-- [renad]
(22328,9630,1,1,2,4801.105092),-- [oricalcum]
(22328,9629,1,1,2,3966.091794),-- [adamantium]
(22328,6901,1,1,2,912.05058),-- [rp_shining_arrow]
(22328,10483,1,1,2,6334.766844),-- [general_82_s]
(22328,10484,1,1,2,1583.691711),-- [special_82_s]
(22328,10485,1,1,2,158.501994),-- [rare_82_s]
(22328,10486,1,1,2,31.877496),-- [unique_82_s]
(22328,9674,1,3,2,182445.53544),-- [permit_of_darion]
(22328,9551,1,1,2,7297.732869),-- [ore_of_holy]
(22328,9599,1,3,2,570100),-- [ancient_book_of_demon]
(22329,6707,1,1,-1,281342),-- [sealed_draconic_leather_armor_part]
(22329,6901,1,1,-1,56782),-- [rp_shining_arrow]
(22329,6708,1,1,-1,808455),-- [sealed_draconic_leather_gloves_fabric]
(22329,57,33226,66648,0,700000),-- [adena]
(22329,289,1,1,1,134.8585),-- [soul_bow]
(22329,5534,1,1,1,38396.1415),-- [soul_bow_shaft]
(22329,1895,20,60,2,24974.36847),-- [metallic_fiber]
(22329,4040,1,1,2,69928.09564),-- [mold_lubricant]
(22329,9628,1,1,2,27422.7159),-- [renad]
(22329,9630,1,1,2,18402.23786),-- [oricalcum]
(22329,959,1,1,2,139.81809),-- [scrl_of_ench_wp_s]
(22329,9674,14,42,2,49948.73694),-- [permit_of_darion]
(22329,9551,1,1,2,27971.10218),-- [ore_of_holy]
(22329,1344,360,1080,2,121402.92492),-- [mithril_arrow]
(22329,9599,2,6,2,728400),-- [ancient_book_of_demon]
(22330,6901,1,1,-1,3493),-- [rp_shining_arrow]
(22330,6709,1,1,-1,49735),-- [sealed_draconic_leather_boots_design]
(22330,960,1,1,-1,1397),-- [scrl_of_ench_am_s]
(22330,57,2044,4100,0,700000),-- [adena]
(22330,236,1,1,1,8.296238),-- [soul_separator]
(22330,5537,1,1,1,2360.703762),-- [soul_separator_head]
(22330,1879,1,1,2,28679.413903),-- [cokes]
(22330,1885,1,1,2,14339.730762),-- [high_grade_suede]
(22330,9628,1,1,2,1349.626761),-- [renad]
(22330,9630,1,1,2,905.656178),-- [oricalcum]
(22330,9629,1,1,2,748.173531),-- [adamantium]
(22330,960,1,1,2,68.812345),-- [scrl_of_ench_am_s]
(22330,9573,1,1,2,1194.953753),-- [general_80_s]
(22330,9574,1,1,2,298.726533),-- [special_80_s]
(22330,9575,1,1,2,29.858367),-- [rare_80_s]
(22330,9576,1,1,2,6.047867),-- [unique_80_s]
(22330,9599,1,1,2,179200),-- [ancient_book_of_demon]
(22334,1885,1,3,-1,909782),-- [high_grade_suede]
(22334,6713,1,1,-1,310882),-- [sealed_major_arcana_boots_design]
(22334,6901,1,1,-1,21835),-- [rp_shining_arrow]
(22334,57,12796,25615,0,700000),-- [adena]
(22334,5311,1,1,1,61.085094),-- [sealed_armor_of_nightmare]
(22334,5522,1,1,1,9157.914906),-- [sealed_armor_of_nightmare_pattern]
(22334,5316,1,1,1,61.085094),-- [sealed_majestic_platte_armor]
(22334,5523,1,1,1,9157.914906),-- [sealed_majestic_platte_armor_pattern]
(22334,1879,1,1,2,137897.9592),-- [cokes]
(22334,1885,1,1,2,68948.9796),-- [high_grade_suede]
(22334,9628,1,1,2,6489.36804),-- [renad]
(22334,9630,1,1,2,4354.55538),-- [oricalcum]
(22334,9629,1,1,2,3597.2994),-- [adamantium]
(22334,6901,1,1,2,827.51226),-- [rp_shining_arrow]
(22334,10483,1,1,2,5745.89652),-- [general_82_s]
(22334,10484,1,1,2,1436.2518),-- [special_82_s]
(22334,10485,1,1,2,143.62518),-- [rare_82_s]
(22334,10486,1,1,2,28.9029),-- [unique_82_s]
(22334,10012,1,1,2,165477.55104),-- [poison_sting_of_scorpion]
(22334,9549,1,1,2,6619.20876),-- [ore_of_wind]
(22334,1344,240,720,2,43092.88992),-- [mithril_arrow]
(22334,9599,1,3,2,560200),-- [ancient_book_of_demon]
(22335,6714,1,1,-1,363104),-- [sealed_major_arcana_hood_pattern]
(22335,6901,1,1,-1,22384),-- [rp_shining_arrow]
(22335,7579,1,1,-1,48941),-- [draconic_bow_shaft]
(22335,57,13117,26259,0,700000),-- [adena]
(22335,5326,1,1,1,83.494931),-- [sealed_robe_of_nightmare]
(22335,5487,1,1,1,12412.005069),-- [sealed_robe_of_nightmare_fabric]
(22335,5329,1,1,1,83.494931),-- [sealed_majestic_robe]
(22335,5488,1,1,1,12412.005069),-- [sealed_majestic_robe_fabric]
(22335,1873,2,6,2,137829.85144),-- [silver_nugget]
(22335,1868,15,45,2,91886.70204),-- [thread]
(22335,1876,3,9,2,39380.01516),-- [mithril_ore]
(22335,1895,3,9,2,65633.3586),-- [metallic_fiber]
(22335,4042,1,1,2,22971.77632),-- [enria]
(22335,959,1,1,2,55.24388),-- [scrl_of_ench_wp_s]
(22335,10012,4,12,2,34457.26124),-- [poison_sting_of_scorpion]
(22335,9549,1,1,2,11025.79132),-- [ore_of_wind]
(22335,9599,1,3,2,574300),-- [ancient_book_of_demon]
(22336,960,1,1,-1,2971),-- [scrl_of_ench_am_s]
(22336,1876,1,3,-1,742735),-- [mithril_ore]
(22336,1895,1,5,-1,707366),-- [metallic_fiber]
(22336,57,4353,8713,0,700000),-- [adena]
(22336,6326,1,1,1,61.041184),-- [sealed_majestic_necklace]
(22336,6344,1,1,1,8938.332588),-- [sealed_majestic_necklace_beads]
(22336,6327,1,1,1,81.402534),-- [sealed_majestic_earing]
(22336,6342,1,1,1,13811.982458),-- [sealed_majestic_earing_gemstone]
(22336,6328,1,1,1,122.082368),-- [sealed_majestic_ring]
(22336,6346,1,1,1,19851.158868),-- [sealed_majestic_ring_gemstrone]
(22336,1873,1,1,2,121959.597969),-- [silver_nugget]
(22336,1868,4,12,2,76224.930108),-- [thread]
(22336,1876,1,1,2,60980.040821),-- [mithril_ore]
(22336,1895,1,1,2,87114.34403),-- [metallic_fiber]
(22336,4042,1,1,2,5081.468538),-- [enria]
(22336,960,1,1,2,121.885596),-- [scrl_of_ench_am_s]
(22336,10483,1,1,2,2117.520394),-- [general_82_s]
(22336,10484,1,1,2,529.138262),-- [special_82_s]
(22336,10485,1,1,2,52.720357),-- [rare_82_s]
(22336,10486,1,1,2,10.640806),-- [unique_82_s]
(22336,9549,1,1,2,2439.162939),-- [ore_of_wind]
(22336,1344,30,90,2,127041.55018),-- [mithril_arrow]
(22336,9599,1,1,2,381100),-- [ancient_book_of_demon]
(22337,8712,1,1,-1,16897),-- [sirr_blade_blade]
(22337,6901,1,1,-1,6962),-- [rp_shining_arrow]
(22337,8713,1,1,-1,16897),-- [sword_of_ipos_blade]
(22337,57,4080,8167,0,700000),-- [adena]
(22337,5313,1,1,1,63.273192),-- [sealed_gloves_of_nightmare]
(22337,5514,1,1,1,7239.726808),-- [sealed_gloves_of_nightmare_design]
(22337,5314,1,1,1,63.273192),-- [sealed_boots_of_nightmare]
(22337,5502,1,1,1,7239.726808),-- [sealed_boots_of_nightmare_lining]
(22337,5318,1,1,1,63.273192),-- [sealed_magestic_gloves]
(22337,5515,1,1,1,7239.726808),-- [sealed_magestic_gloves_design]
(22337,5319,1,1,1,63.273192),-- [sealed_magestic_boots]
(22337,5503,1,1,1,7239.726808),-- [sealed_magestic_boots_lining]
(22337,1871,1,3,2,244959.45628),-- [charcoal]
(22337,1866,1,3,2,108870.78237),-- [suede]
(22337,1877,1,1,2,19596.709475),-- [admantite_nugget]
(22337,4041,1,1,2,4260.290545),-- [mold_hardener]
(22337,4040,1,1,2,9798.550685),-- [mold_lubricant]
(22337,6901,1,1,2,489.86875),-- [rp_shining_arrow]
(22337,9549,1,1,2,3919.341895),-- [ore_of_wind]
(22337,9599,1,1,2,357200),-- [ancient_book_of_demon]
(22339,1885,1,1,-1,450440),-- [high_grade_suede]
(22339,8715,1,1,-1,13120),-- [tuning_fork_of_behemoth_piece]
(22339,57,2112,4227,0,700000),-- [adena]
(22339,81,1,1,1,2.852382),-- [dragon_slayer]
(22339,5529,1,1,1,811.206344),-- [dragon_slayer_edge]
(22339,151,1,1,1,2.852382),-- [sword_of_miracle]
(22339,5546,1,1,1,891.032688),-- [sword_of_miracle_edge]
(22339,2500,1,1,1,2.852382),-- [dark_legion's_edge]
(22339,5545,1,1,1,811.203822),-- [dark_legion's_edge_edge]
(22339,1895,1,1,2,84530.274303),-- [metallic_fiber]
(22339,4040,1,1,2,5917.161443),-- [mold_lubricant]
(22339,9628,1,1,2,2320.444275),-- [renad]
(22339,9630,1,1,2,1557.123713),-- [oricalcum]
(22339,960,1,1,2,118.391179),-- [scrl_of_ench_am_s]
(22339,9676,1,1,2,19723.605087),-- [mark_of_betrayer]
(22339,9599,1,1,2,184900),-- [ancient_book_of_demon]
(22340,6901,1,1,-1,21685),-- [rp_shining_arrow]
(22340,8716,1,1,-1,52634),-- [naga_storm_piece]
(22340,57,12708,25440,0,700000),-- [adena]
(22340,164,1,1,1,12.875448),-- [elysian]
(22340,5533,1,1,1,3662.712204),-- [elysian_head]
(22340,213,1,1,1,12.875448),-- [worldtree's_branch]
(22340,5544,1,1,1,3659.096496),-- [worldtree's_branch_head]
(22340,7895,1,1,1,12.875448),-- [dragon_flame_head]
(22340,8342,1,1,1,3662.712204),-- [dragon_flame_head_piece]
(22340,7902,1,1,1,12.875448),-- [doom_crusher]
(22340,8349,1,1,1,3661.977304),-- [doom_crusher_head]
(22340,1895,1,3,2,254341.249371),-- [metallic_fiber]
(22340,4040,1,1,2,35607.636603),-- [mold_lubricant]
(22340,9628,1,1,2,13963.934028),-- [renad]
(22340,9630,1,1,2,9370.430685),-- [oricalcum]
(22340,6901,1,1,2,1780.233642),-- [rp_shining_arrow]
(22340,9549,1,1,2,14243.515671),-- [ore_of_wind]
(22340,9599,1,3,2,556400),-- [ancient_book_of_demon]
(22341,8717,1,1,-1,267916),-- [tiphon_spear_edge]
(22341,960,1,1,-1,44153),-- [scrl_of_ench_am_s]
(22341,4042,1,3,-1,919845),-- [enria]
(22341,57,64685,129494,0,700000),-- [adena]
(22341,289,1,1,1,262.164),-- [soul_bow]
(22341,5534,1,1,1,74641.836),-- [soul_bow_shaft]
(22341,1867,28,84,2,107887.114896),-- [animal_skin]
(22341,1872,60,180,2,50347.502436),-- [animal_bone]
(22341,1882,27,81,2,18647.338776),-- [leather]
(22341,1894,5,15,2,15899.067492),-- [crafted_leather]
(22341,4042,1,1,2,75521.058492),-- [enria]
(22341,959,1,1,2,181.110336),-- [scrl_of_ench_wp_s]
(22341,10483,1,1,2,31467.140232),-- [general_82_s]
(22341,10484,1,1,2,7866.589896),-- [special_82_s]
(22341,10485,1,1,2,786.50286),-- [rare_82_s]
(22341,10486,1,1,2,157.300572),-- [unique_82_s]
(22341,9684,1,1,2,45312.71316),-- [treasure_of_natives]
(22341,9551,1,1,2,36250.560852),-- [ore_of_holy]
(22341,9599,4,12,2,708000),-- [ancient_book_of_demon]
(22342,4041,1,1,-1,20698),-- [mold_hardener]
(22342,8718,1,1,-1,5777),-- [shyid_bow_shaft]
(22342,6901,1,1,-1,2380),-- [rp_shining_arrow]
(22342,57,1395,2792,0,700000),-- [adena]
(22342,236,1,1,1,5.652228),-- [soul_separator]
(22342,5537,1,1,1,1608.347772),-- [soul_separator_head]
(22342,1894,1,1,2,5142.800376),-- [crafted_leather]
(22342,4039,1,1,2,4885.86777),-- [mold_glue]
(22342,4041,1,1,2,1274.551656),-- [mold_hardener]
(22342,4044,1,1,2,4885.86777),-- [thons]
(22342,960,1,1,2,58.594116),-- [scrl_of_ench_am_s]
(22342,9674,1,1,2,58629.376176),-- [permit_of_darion]
(22342,9551,1,1,2,1172.660118),-- [ore_of_holy]
(22342,1344,10,30,2,183216.282018),-- [mithril_arrow]
(22342,9599,1,1,2,122100),-- [ancient_book_of_demon]
(22343,8719,1,1,-1,4649),-- [sobekk_hurricane_edge]
(22343,6901,1,1,-1,1915),-- [rp_shining_arrow]
(22343,8720,1,1,-1,4649),-- [tongue_of_themis_piece]
(22343,57,1122,2247,0,700000),-- [adena]
(22343,270,1,1,1,4.550397),-- [dragon_grinder]
(22343,5538,1,1,1,1294.449603),-- [dragon_grinder_edge]
(22343,1868,1,1,2,235877.160221),-- [thread]
(22343,1873,1,1,2,47175.573995),-- [silver_nugget]
(22343,5549,1,1,2,11793.982218),-- [iron_thread]
(22343,1889,1,1,2,7862.654812),-- [compound_braid]
(22343,4044,1,1,2,3931.327406),-- [thons]
(22343,6901,1,1,2,117.819164),-- [rp_shining_arrow]
(22343,9674,1,1,2,47175.573995),-- [permit_of_darion]
(22343,9551,1,1,2,942.908189),-- [ore_of_holy]
(22343,9599,1,1,2,98300),-- [ancient_book_of_demon]
(22344,959,1,1,-1,607),-- [scrl_of_ench_wp_s]
(22344,13099,1,1,-1,211509),-- [sealed_arcana_sigil_part]
(22344,57,5925,11862,0,700000),-- [adena]
(22344,305,1,1,1,24.012912),-- [tallum_glaive]
(22344,5541,1,1,1,6828.987088),-- [tallum_glaive_edge]
(22344,1864,5,15,2,83011.952687),-- [stem]
(22344,1865,3,9,2,69176.945145),-- [varnish]
(22344,1866,3,9,2,39529.68294),-- [suede]
(22344,1873,4,12,2,18447.185372),-- [silver_nugget]
(22344,1868,12,36,2,34588.281829),-- [thread]
(22344,959,1,1,2,16.785428),-- [scrl_of_ench_wp_s]
(22344,10483,1,1,2,2882.515772),-- [general_82_s]
(22344,10484,1,1,2,720.628943),-- [special_82_s]
(22344,10485,1,1,2,72.101043),-- [rare_82_s]
(22344,10486,1,1,2,14.496506),-- [unique_82_s]
(22344,9551,1,1,2,3320.462848),-- [ore_of_holy]
(22344,1344,40,120,2,129705.961487),-- [mithril_arrow]
(22344,9599,1,1,2,518800),-- [ancient_book_of_demon]
(22345,8721,1,1,-1,7722),-- [hand_of_cabrio_head]
(22345,6901,1,1,-1,3182),-- [rp_shining_arrow]
(22345,8722,1,1,-1,7722),-- [crystal_of_deamon_piece]
(22345,57,1864,3732,0,700000),-- [adena]
(22345,5320,1,1,1,11.869432),-- [sealed_leather_mail_of_nightmare]
(22345,5480,1,1,1,1758.630568),-- [sealed_leather_mail_of_nightmare_fabric]
(22345,5323,1,1,1,11.869432),-- [sealed_majestic_leather_mail]
(22345,5481,1,1,1,1758.630568),-- [sealed_majestic_leather_mail_fabric]
(22345,1869,2,6,2,55974.06765),-- [iron_ore]
(22345,1870,2,6,2,44779.5651),-- [coal]
(22345,1871,3,9,2,37316.0451),-- [charcoal]
(22345,1872,1,3,2,149264.569125),-- [animal_bone]
(22345,1867,1,3,2,99509.71275),-- [animal_skin]
(22345,960,1,1,2,89.40675),-- [scrl_of_ench_am_s]
(22345,9551,1,1,2,1791.633525),-- [ore_of_holy]
(22345,9599,1,1,2,163300),-- [ancient_book_of_demon]
(22346,6901,1,1,-1,46590),-- [rp_shining_arrow]
(22346,6688,1,1,-1,100704),-- [forgotten_blade_edge]
(22346,960,1,1,-1,18636),-- [scrl_of_ench_am_s]
(22346,57,27302,54657,0,700000),-- [adena]
(22346,5311,1,1,1,130.343359),-- [sealed_armor_of_nightmare]
(22346,5522,1,1,1,19541.156641),-- [sealed_armor_of_nightmare_pattern]
(22346,5316,1,1,1,130.343359),-- [sealed_majestic_platte_armor]
(22346,5523,1,1,1,19541.156641),-- [sealed_majestic_platte_armor_pattern]
(22346,1894,1,1,2,73208.156488),-- [crafted_leather]
(22346,4039,1,1,2,69547.673376),-- [mold_glue]
(22346,4041,1,1,2,18142.805848),-- [mold_hardener]
(22346,4044,1,1,2,69547.673376),-- [thons]
(22346,6901,1,1,2,2086.595834),-- [rp_shining_arrow]
(22346,10483,1,1,2,14489.09862),-- [general_82_s]
(22346,10484,1,1,2,3622.086436),-- [special_82_s]
(22346,10485,1,1,2,362.133356),-- [rare_82_s]
(22346,10486,1,1,2,72.276096),-- [unique_82_s]
(22346,9551,1,1,2,16691.26092),-- [ore_of_holy]
(22346,1344,240,720,2,108668.23965),-- [mithril_arrow]
(22346,9599,2,6,2,597700),-- [ancient_book_of_demon]
(22347,4042,1,1,-1,370010),-- [enria]
(22347,1876,1,9,-1,888025),-- [mithril_ore]
(22347,6689,1,1,-1,47082),-- [basalt_battlehammer_head]
(22347,57,13010,26045,0,700000),-- [adena]
(22347,5326,1,1,1,82.813367),-- [sealed_robe_of_nightmare]
(22347,5487,1,1,1,12310.686633),-- [sealed_robe_of_nightmare_fabric]
(22347,5329,1,1,1,82.813367),-- [sealed_majestic_robe]
(22347,5488,1,1,1,12310.686633),-- [sealed_majestic_robe_fabric]
(22347,1873,2,6,2,156232.422603),-- [silver_nugget]
(22347,1868,15,45,2,104154.948402),-- [thread]
(22347,1876,3,9,2,44637.954464),-- [mithril_ore]
(22347,1895,3,9,2,74396.451433),-- [metallic_fiber]
(22347,4042,1,1,2,26038.52809),-- [enria]
(22347,959,1,1,2,62.285129),-- [scrl_of_ench_wp_s]
(22347,9551,1,1,2,12498.409879),-- [ore_of_holy]
(22347,9599,1,3,2,569600),-- [ancient_book_of_demon]
(22349,6901,1,1,-1,47785),-- [rp_shining_arrow]
(22349,6690,1,1,-1,103484),-- [piece_of_imperial_staff]
(22349,57,28003,56059,0,700000),-- [adena]
(22349,5320,1,1,1,178.249304),-- [sealed_leather_mail_of_nightmare]
(22349,5480,1,1,1,26410.250696),-- [sealed_leather_mail_of_nightmare_fabric]
(22349,5323,1,1,1,178.249304),-- [sealed_majestic_leather_mail]
(22349,5481,1,1,1,26410.250696),-- [sealed_majestic_leather_mail_fabric]
(22349,1895,12,36,2,40033.337397),-- [metallic_fiber]
(22349,4040,1,1,2,67255.853358),-- [mold_lubricant]
(22349,9628,1,1,2,26374.919684),-- [renad]
(22349,9630,1,1,2,17698.807812),-- [oricalcum]
(22349,960,1,1,2,1345.091489),-- [scrl_of_ench_am_s]
(22349,9549,1,1,2,26902.469234),-- [ore_of_wind]
(22349,1344,300,900,2,140116.521026),-- [mithril_arrow]
(22349,9599,2,6,2,613000),-- [ancient_book_of_demon]
(22350,6691,1,1,-1,107379),-- [angel_slayer_blade]
(22350,959,1,1,-1,1987),-- [scrl_of_ench_wp_s]
(22350,13099,1,1,-1,692815),-- [sealed_arcana_sigil_part]
(22350,57,29112,58280,0,700000),-- [adena]
(22350,5320,1,1,1,185.308616),-- [sealed_leather_mail_of_nightmare]
(22350,5480,1,1,1,27456.191384),-- [sealed_leather_mail_of_nightmare_fabric]
(22350,5323,1,1,1,185.308616),-- [sealed_majestic_leather_mail]
(22350,5481,1,1,1,27456.191384),-- [sealed_majestic_leather_mail_fabric]
(22350,1879,3,9,2,97111.30932),-- [cokes]
(22350,1885,1,1,2,291334.40889),-- [high_grade_suede]
(22350,9628,1,1,2,27419.74302),-- [renad]
(22350,9630,1,1,2,18399.90087),-- [oricalcum]
(22350,9629,1,1,2,15200.27358),-- [adamantium]
(22350,6901,1,1,2,3495.88017),-- [rp_shining_arrow]
(22350,9551,1,1,2,27968.48415),-- [ore_of_holy]
(22350,9599,2,6,2,637300),-- [ancient_book_of_demon]
(22351,1895,1,29,-1,946253),-- [metallic_fiber]
(22351,6693,1,1,-1,109325),-- [dragon_hunter_axe_blade]
(22351,6901,1,1,-1,49678),-- [rp_shining_arrow]
(22351,57,29112,58280,0,700000),-- [adena]
(22351,81,1,1,1,39.329394),-- [dragon_slayer]
(22351,5529,1,1,1,11185.126648),-- [dragon_slayer_edge]
(22351,151,1,1,1,39.329394),-- [sword_of_miracle]
(22351,5546,1,1,1,12285.793296),-- [sword_of_miracle_edge]
(22351,2500,1,1,1,39.329394),-- [dark_legion's_edge]
(22351,5545,1,1,1,11185.091874),-- [dark_legion's_edge_edge]
(22351,1873,16,48,2,27809.15698),-- [silver_nugget]
(22351,1868,15,45,2,148315.78414),-- [thread]
(22351,1876,3,9,2,63563.72733),-- [mithril_ore]
(22351,1895,3,9,2,105939.96592),-- [metallic_fiber]
(22351,4042,1,1,2,37078.73585),-- [enria]
(22351,959,1,1,2,89.11844),-- [scrl_of_ench_wp_s]
(22351,10483,1,1,2,15449.43824),-- [general_82_s]
(22351,10484,1,1,2,3862.35956),-- [special_82_s]
(22351,10485,1,1,2,386.32003),-- [rare_82_s]
(22351,10486,1,1,2,77.34808),-- [unique_82_s]
(22351,9548,1,1,2,17798.04543),-- [ore_of_earth]
(22351,9599,2,6,2,637300),-- [ancient_book_of_demon]
(22352,6694,1,1,-1,105598),-- [saint_spear_blade]
(22352,6901,1,1,-1,47985),-- [rp_shining_arrow]
(22352,6695,1,1,-1,101764),-- [demon_splinter_blade]
(22352,57,28120,56293,0,700000),-- [adena]
(22352,81,1,1,1,37.989159),-- [dragon_slayer]
(22352,5529,1,1,1,10803.969028),-- [dragon_slayer_edge]
(22352,151,1,1,1,37.989159),-- [sword_of_miracle]
(22352,5546,1,1,1,11867.128056),-- [sword_of_miracle_edge]
(22352,2500,1,1,1,37.989159),-- [dark_legion's_edge]
(22352,5545,1,1,1,10803.935439),-- [dark_legion's_edge_edge]
(22352,1873,16,48,2,42210.37241),-- [silver_nugget]
(22352,1868,135,405,2,25013.62979),-- [thread]
(22352,1876,3,9,2,96481.377278),-- [mithril_ore]
(22352,1895,3,9,2,160802.022694),-- [metallic_fiber]
(22352,4042,1,1,2,56280.769316),-- [enria]
(22352,960,1,1,2,1350.617354),-- [scrl_of_ench_am_s]
(22352,9546,1,1,2,27015.211158),-- [ore_of_fire]
(22352,9599,2,6,2,615600),-- [ancient_book_of_demon]
(22353,960,1,1,-1,82712),-- [scrl_of_ench_am_s]
(22353,1894,1,15,-1,906932),-- [crafted_leather]
(22353,4042,1,7,-1,861586),-- [enria]
(22353,57,121177,242584,0,700000),-- [adena]
(22353,289,1,1,1,491.1165),-- [soul_bow]
(22353,5534,1,1,1,139827.8835),-- [soul_bow_shaft]
(22353,1867,308,924,2,31497.337058),-- [animal_skin]
(22353,1872,60,180,2,161685.935636),-- [animal_bone]
(22353,1882,27,81,2,59883.59555),-- [leather]
(22353,1894,5,15,2,51058.932186),-- [crafted_leather]
(22353,4042,6,18,2,20210.85578),-- [enria]
(22353,6901,1,1,2,14551.907222),-- [rp_shining_arrow]
(22353,9551,1,1,2,116413.436568),-- [ore_of_holy]
(22353,9599,6,18,2,884200),-- [ancient_book_of_demon]
(22355,6696,1,1,-1,25354),-- [heavens_divider_edge]
(22355,6901,1,1,-1,11547),-- [rp_shining_arrow]
(22355,6697,1,1,-1,24488),-- [arcana_mace_head]
(22355,57,6763,13546,0,700000),-- [adena]
(22355,289,1,1,1,27.4225),-- [soul_bow]
(22355,5534,1,1,1,7807.5775),-- [soul_bow_shaft]
(22355,1873,2,6,2,51709.25562),-- [silver_nugget]
(22355,1868,3,9,2,172364.676606),-- [thread]
(22355,1876,1,1,2,103418.51124),-- [mithril_ore]
(22355,1895,1,1,2,147741.011032),-- [metallic_fiber]
(22355,4042,1,1,2,8618.20927),-- [enria]
(22355,959,1,1,2,20.630652),-- [scrl_of_ench_wp_s]
(22355,14166,1,1,2,2498.273716),-- [general_84_s]
(22355,14167,1,1,2,623.83162),-- [special_84_s]
(22355,14168,1,1,2,62.383162),-- [rare_84_s]
(22355,14169,1,1,2,12.28015),-- [unique_84_s]
(22355,9551,1,1,2,4136.936932),-- [ore_of_holy]
(22355,9599,1,1,2,592500),-- [ancient_book_of_demon]
(22359,6701,1,1,-1,38411),-- [sealed_imperial_crusader_armor_part]
(22359,960,1,1,-1,2886),-- [scrl_of_ench_am_s]
(22359,1895,1,5,-1,687097),-- [metallic_fiber]
(22359,57,4226,8463,0,700000),-- [adena]
(22359,289,1,1,1,17.136),-- [soul_bow]
(22359,5534,1,1,1,4878.864),-- [soul_bow_shaft]
(22359,1895,1,1,2,169235.775255),-- [metallic_fiber]
(22359,4040,1,1,2,11846.533341),-- [mold_lubricant]
(22359,9628,1,1,2,4645.695549),-- [renad]
(22359,9630,1,1,2,3117.416964),-- [oricalcum]
(22359,960,1,1,2,236.849262),-- [scrl_of_ench_am_s]
(22359,9551,1,1,2,4738.729629),-- [ore_of_holy]
(22359,9599,1,1,2,370200),-- [ancient_book_of_demon]
(22360,5550,1,1,-1,279723),-- [reinforcing_plate]
(22360,6702,1,1,-1,143782),-- [sealed_imperial_crusader_gaiters_pattern]
(22360,6901,1,1,-1,20979),-- [rp_shining_arrow]
(22360,57,12288,24611,0,700000),-- [adena]
(22360,289,1,1,1,49.826),-- [soul_bow]
(22360,5534,1,1,1,14186.174),-- [soul_bow_shaft]
(22360,1869,9,27,2,47845.393802),-- [iron_ore]
(22360,1864,28,84,2,30757.800704),-- [stem]
(22360,1880,1,1,2,86121.575716),-- [steel]
(22360,5550,1,1,2,11482.921138),-- [reinforcing_plate]
(22360,4043,1,1,2,28707.302845),-- [asofe]
(22360,6901,1,1,2,861.335572),-- [rp_shining_arrow]
(22360,14166,1,1,2,4160.570319),-- [general_84_s]
(22360,14167,1,1,2,1038.728099),-- [special_84_s]
(22360,14168,1,1,2,103.839528),-- [rare_84_s]
(22360,14169,1,1,2,20.634778),-- [unique_84_s]
(22360,9551,1,1,2,6889.686119),-- [ore_of_holy]
(22360,1345,50,150,2,114829.21138),-- [shining_arrow]
(22360,9599,1,3,2,538300),-- [ancient_book_of_demon]
(22361,6703,1,3,-1,564888),-- [sealed_imperial_crusader_gauntlet_design]
(22361,6901,1,1,-1,79350),-- [rp_shining_arrow]
(22361,6704,1,3,-1,564888),-- [sealed_imperial_crusader_boots_design]
(22361,57,46478,93087,0,700000),-- [adena]
(22361,5311,1,1,1,221.994191),-- [sealed_armor_of_nightmare]
(22361,5522,1,1,1,33281.505809),-- [sealed_armor_of_nightmare_pattern]
(22361,5316,1,1,1,221.994191),-- [sealed_majestic_platte_armor]
(22361,5523,1,1,1,33281.505809),-- [sealed_majestic_platte_armor_pattern]
(22361,1867,28,84,2,132954.368406),-- [animal_skin]
(22361,1872,60,180,2,62045.472066),-- [animal_bone]
(22361,1882,27,81,2,22979.860104),-- [leather]
(22361,1894,5,15,2,19593.267438),-- [crafted_leather]
(22361,4042,1,1,2,93068.208099),-- [enria]
(22361,959,1,1,2,223.444515),-- [scrl_of_ench_wp_s]
(22361,9551,1,1,2,44672.379372),-- [ore_of_holy]
(22361,9599,3,9,2,678600),-- [ancient_book_of_demon]
(22361,9714,1,1,2,500000),-- [key_base_tower_main]
(22362,959,1,1,-1,8139),-- [scrl_of_ench_wp_s]
(22362,4040,1,9,-1,813887),-- [mold_lubricant]
(22362,1895,1,123,-1,937658),-- [metallic_fiber]
(22362,57,119181,238696,0,700000),-- [adena]
(22362,164,1,1,1,120.814416),-- [elysian]
(22362,5533,1,1,1,34368.391368),-- [elysian_head]
(22362,213,1,1,1,120.814416),-- [worldtree's_branch]
(22362,5544,1,1,1,34334.464032),-- [worldtree's_branch_head]
(22362,7895,1,1,1,120.814416),-- [dragon_flame_head]
(22362,8342,1,1,1,34368.391368),-- [dragon_flame_head_piece]
(22362,7902,1,1,1,120.814416),-- [doom_crusher]
(22362,8349,1,1,1,34361.495568),-- [doom_crusher_head]
(22362,1895,12,36,2,132582.592983),-- [metallic_fiber]
(22362,4040,4,12,2,27842.296345),-- [mold_lubricant]
(22362,9628,1,1,2,87348.55246),-- [renad]
(22362,9630,1,1,2,58615.337673),-- [oricalcum]
(22362,960,1,1,2,4454.59221),-- [scrl_of_ench_am_s]
(22362,6897,1,1,2,1141.023865),-- [rp_heavens_divider_i]
(22362,8702,1,1,2,1577.284813),-- [rp_shyid_bow_i]
(22362,9551,1,1,2,89095.348304),-- [ore_of_holy]
(22362,1345,2100,6300,2,35355.971347),-- [shining_arrow]
(22362,9599,6,20,2,803100),-- [ancient_book_of_demon]
(22363,6705,1,1,-1,813293),-- [sealed_imperial_crusader_shield_part]
(22363,6901,1,1,-1,58317),-- [rp_shining_arrow]
(22363,6706,1,1,-1,946016),-- [sealed_imperial_crusader_helmet_pattern]
(22363,57,34159,68413,0,700000),-- [adena]
(22363,81,1,1,1,46.168551),-- [dragon_slayer]
(22363,5529,1,1,1,13130.156292),-- [dragon_slayer_edge]
(22363,151,1,1,1,46.168551),-- [sword_of_miracle]
(22363,5546,1,1,1,14422.222584),-- [sword_of_miracle_edge]
(22363,2500,1,1,1,46.168551),-- [dark_legion's_edge]
(22363,5545,1,1,1,13130.115471),-- [dark_legion's_edge_edge]
(22363,1879,3,9,2,99748.920318),-- [cokes]
(22363,1885,1,1,2,299246.760954),-- [high_grade_suede]
(22363,9628,1,1,2,28164.418569),-- [renad]
(22363,9630,1,1,2,18900.009885),-- [oricalcum]
(22363,9629,1,1,2,15612.94362),-- [adamantium]
(22363,959,1,1,2,143.607279),-- [scrl_of_ench_wp_s]
(22363,6861,1,1,2,6366.920643),-- [rp_sealed_imperial_crusader_shield_i]
(22363,9551,1,1,2,28727.418732),-- [ore_of_holy]
(22363,9685,1,1,2,200000),-- [key_of_unholy_door]
(22364,6901,1,1,-1,16968),-- [rp_shining_arrow]
(22364,6707,1,1,-1,84071),-- [sealed_draconic_leather_armor_part]
(22364,960,1,1,-1,6787),-- [scrl_of_ench_am_s]
(22364,57,9939,19905,0,700000),-- [adena]
(22364,164,1,1,1,10.074876),-- [elysian]
(22364,5533,1,1,1,2866.026198),-- [elysian_head]
(22364,213,1,1,1,10.074876),-- [worldtree's_branch]
(22364,5544,1,1,1,2863.196952),-- [worldtree's_branch_head]
(22364,7895,1,1,1,10.074876),-- [dragon_flame_head]
(22364,8342,1,1,1,2866.026198),-- [dragon_flame_head_piece]
(22364,7902,1,1,1,10.074876),-- [doom_crusher]
(22364,8349,1,1,1,2865.451148),-- [doom_crusher_head]
(22364,1879,1,1,2,174134.708555),-- [cokes]
(22364,1885,1,1,2,87067.209432);-- [high_grade_suede]

INSERT INTO `droplist` VALUES
(22364,9628,1,1,2,8194.489317),-- [renad]
(22364,9630,1,1,2,5498.914562),-- [oricalcum]
(22364,9629,1,1,2,4542.644571),-- [adamantium]
(22364,959,1,1,2,41.715504),-- [scrl_of_ench_wp_s]
(22364,13100,1,1,2,1852.573945),-- [rp_sealed_arcana_sigil_i]
(22364,9551,1,1,2,8358.744114),-- [ore_of_holy]
(22364,9685,1,1,2,30000),-- [key_of_unholy_door]
(22365,4044,1,3,-1,606472),-- [thons]
(22365,1894,1,3,-1,638392),-- [crafted_leather]
(22365,6708,1,1,-1,518094),-- [sealed_draconic_leather_gloves_fabric]
(22365,57,21314,42688,0,700000),-- [adena]
(22365,289,1,1,1,86.4255),-- [soul_bow]
(22365,5534,1,1,1,24606.5745),-- [soul_bow_shaft]
(22365,1894,1,1,2,62895.824817),-- [crafted_leather]
(22365,4039,1,1,2,59750.939091),-- [mold_glue]
(22365,4041,1,1,2,15587.320179),-- [mold_hardener]
(22365,4044,1,1,2,59750.939091),-- [thons]
(22365,960,1,1,2,717.037305),-- [scrl_of_ench_am_s]
(22365,14166,1,1,2,8659.668981),-- [general_84_s]
(22365,14167,1,1,2,2162.240166),-- [special_84_s]
(22365,14168,1,1,2,216.26601),-- [rare_84_s]
(22365,14169,1,1,2,43.253202),-- [unique_84_s]
(22365,6893,1,1,2,183.511158),-- [rp_saint_spear_i]
(22365,9685,1,1,2,100000),-- [key_of_unholy_door]
(22366,6901,1,1,-1,36388),-- [rp_shining_arrow]
(22366,6709,1,1,-1,518094),-- [sealed_draconic_leather_boots_design]
(22366,57,21314,42688,0,700000),-- [adena]
(22366,81,1,1,1,28.807701),-- [dragon_slayer]
(22366,5529,1,1,1,8192.798092),-- [dragon_slayer_edge]
(22366,151,1,1,1,28.807701),-- [sword_of_miracle]
(22366,5546,1,1,1,8999.006184),-- [sword_of_miracle_edge]
(22366,2500,1,1,1,28.807701),-- [dark_legion's_edge]
(22366,5545,1,1,1,8192.772621),-- [dark_legion's_edge_edge]
(22366,1879,1,3,2,186721.660755),-- [cokes]
(22366,1885,1,1,2,186721.660755),-- [high_grade_suede]
(22366,9628,1,1,2,17573.859405),-- [renad]
(22366,9630,1,1,2,11792.842155),-- [oricalcum]
(22366,9629,1,1,2,9741.988395),-- [adamantium]
(22366,6901,1,1,2,2240.52309),-- [rp_shining_arrow]
(22366,8700,1,1,2,317.414655),-- [rp_tiphon_spear_i]
(22366,9551,1,1,2,17925.05079),-- [ore_of_holy]
(22367,6710,1,1,-1,200569),-- [sealed_draconic_leather_helmet_pattern]
(22367,959,1,1,-1,495),-- [scrl_of_ench_wp_s]
(22367,4042,1,1,-1,206067),-- [enria]
(22367,57,7242,14504,0,700000),-- [adena]
(22367,5320,1,1,1,46.120168),-- [sealed_leather_mail_of_nightmare]
(22367,5480,1,1,1,6833.379832),-- [sealed_leather_mail_of_nightmare_fabric]
(22367,5323,1,1,1,46.120168),-- [sealed_majestic_leather_mail]
(22367,5481,1,1,1,6833.379832),-- [sealed_majestic_leather_mail_fabric]
(22367,1879,1,1,2,78085.482063),-- [cokes]
(22367,1885,1,1,2,39042.518843),-- [high_grade_suede]
(22367,9628,1,1,2,3674.553413),-- [renad]
(22367,9630,1,1,2,2465.847973),-- [oricalcum]
(22367,9629,1,1,2,2037.024168),-- [adamantium]
(22367,959,1,1,2,18.663834),-- [scrl_of_ench_wp_s]
(22367,14166,1,1,2,2263.212061),-- [general_84_s]
(22367,14167,1,1,2,565.247544),-- [special_84_s]
(22367,14168,1,1,2,56.435879),-- [rare_84_s]
(22367,14169,1,1,2,11.109425),-- [unique_84_s]
(22367,8690,1,1,2,66.212173),-- [rp_sirr_blade_i]
(22367,9551,1,1,2,3748.319995),-- [ore_of_holy]
(22367,1345,10,30,2,312342.372629),-- [shining_arrow]
(22368,4040,1,5,-1,922230),-- [mold_lubricant]
(22368,6711,1,1,-1,685418),-- [sealed_major_arcana_robe_part]
(22368,6901,1,1,-1,138334),-- [rp_shining_arrow]
(22368,57,81028,162283,0,700000),-- [adena]
(22368,5313,1,1,1,1257.289356),-- [sealed_gloves_of_nightmare]
(22368,5514,1,1,1,143859.210644),-- [sealed_gloves_of_nightmare_design]
(22368,5314,1,1,1,1257.289356),-- [sealed_boots_of_nightmare]
(22368,5502,1,1,1,143859.210644),-- [sealed_boots_of_nightmare_lining]
(22368,5318,1,1,1,1257.289356),-- [sealed_magestic_gloves]
(22368,5515,1,1,1,143859.210644),-- [sealed_magestic_gloves_design]
(22368,5319,1,1,1,1257.289356),-- [sealed_magestic_boots]
(22368,5503,1,1,1,143859.210644),-- [sealed_magestic_boots_lining]
(22368,1895,12,36,2,115892.855124),-- [metallic_fiber]
(22368,4040,2,6,2,38939.905832),-- [mold_lubricant]
(22368,9628,1,1,2,76352.93555),-- [renad]
(22368,9630,1,1,2,51236.7182),-- [oricalcum]
(22368,960,1,1,2,3894.063622),-- [scrl_of_ench_am_s]
(22368,6883,1,1,2,997.344814),-- [rp_basalt_battlehammer_i]
(22368,9551,1,1,2,77880.176858),-- [ore_of_holy]
(22369,6712,1,1,-1,195038),-- [sealed_major_arcana_gloves_fabric]
(22369,6901,1,1,-1,13698),-- [rp_shining_arrow]
(22369,6713,1,1,-1,195038),-- [sealed_major_arcana_boots_design]
(22369,57,8024,16070,0,700000),-- [adena]
(22369,164,1,1,1,8.13366),-- [elysian]
(22369,5533,1,1,1,2313.80343),-- [elysian_head]
(22369,213,1,1,1,8.13366),-- [worldtree's_branch]
(22369,5544,1,1,1,2311.51932),-- [worldtree's_branch_head]
(22369,7895,1,1,1,8.13366),-- [dragon_flame_head]
(22369,8342,1,1,1,2313.80343),-- [dragon_flame_head_piece]
(22369,7902,1,1,1,8.13366),-- [doom_crusher]
(22369,8349,1,1,1,2313.33918),-- [doom_crusher_head]
(22369,1868,15,45,2,56233.50542),-- [thread]
(22369,1873,2,6,2,84350.416628),-- [silver_nugget]
(22369,5549,1,1,2,84350.416628),-- [iron_thread]
(22369,1889,1,1,2,56233.50542),-- [compound_braid]
(22369,4044,1,1,2,28116.911208),-- [thons]
(22369,6901,1,1,2,843.526356),-- [rp_shining_arrow]
(22369,8692,1,1,2,119.507492),-- [rp_sword_of_ipos_i]
(22369,9551,1,1,2,6748.210848),-- [ore_of_holy]
(22369,9687,1,1,2,500000),-- [key_of_blood_door]
(22370,960,1,1,-1,20452),-- [scrl_of_ench_am_s]
(22370,1885,1,9,-1,852162),-- [high_grade_suede]
(22370,13099,1,1,-1,713056),-- [sealed_arcana_sigil_part]
(22370,57,29949,59981,0,700000),-- [adena]
(22370,5312,1,1,1,413.172864),-- [sealed_helm_of_nightmare]
(22370,5527,1,1,1,50187.756858),-- [sealed_helm_of_nightmare_design]
(22370,5315,1,1,1,590.459778),-- [sealed_shield_of_nightmare]
(22370,5495,1,1,1,63741.680778),-- [sealed_shield_of_nightmare_fragment]
(22370,5317,1,1,1,413.172864),-- [sealed_magestic_circlet]
(22370,5528,1,1,1,50187.756858),-- [sealed_magestic_circlet_design]
(22370,1879,3,9,2,87455.122984),-- [cokes]
(22370,1885,1,1,2,262365.368952),-- [high_grade_suede]
(22370,9628,1,1,2,24693.226572),-- [renad]
(22370,9630,1,1,2,16570.63238),-- [oricalcum]
(22370,9629,1,1,2,13688.68856),-- [adamantium]
(22370,959,1,1,2,125.908052),-- [scrl_of_ench_wp_s]
(22370,6861,1,1,2,5582.214084),-- [rp_sealed_imperial_crusader_shield_i]
(22370,9551,1,1,2,25186.838416),-- [ore_of_holy]
(22370,9849,1,1,2,1000000),-- [evil_blood]
(22371,6714,1,1,-1,271438),-- [sealed_major_arcana_hood_pattern]
(22371,6901,1,1,-1,16733),-- [rp_shining_arrow]
(22371,7579,1,1,-1,36586),-- [draconic_bow_shaft]
(22371,57,9801,19630,0,700000),-- [adena]
(22371,5320,1,1,1,62.417592),-- [sealed_leather_mail_of_nightmare]
(22371,5480,1,1,1,9248.082408),-- [sealed_leather_mail_of_nightmare_fabric]
(22371,5323,1,1,1,62.417592),-- [sealed_majestic_leather_mail]
(22371,5481,1,1,1,9248.082408),-- [sealed_majestic_leather_mail_fabric]
(22371,1879,1,1,2,114482.7138),-- [cokes]
(22371,1885,1,1,2,57241.3569),-- [high_grade_suede]
(22371,9628,1,1,2,5387.247775),-- [renad]
(22371,9630,1,1,2,3615.310335),-- [oricalcum]
(22371,9629,1,1,2,2986.340175),-- [adamantium]
(22371,960,1,1,2,274.75175),-- [scrl_of_ench_am_s]
(22371,14166,1,1,2,3318.15575),-- [general_84_s]
(22371,14167,1,1,2,828.4822),-- [special_84_s]
(22371,14168,1,1,2,82.84822),-- [rare_84_s]
(22371,14169,1,1,2,16.485105),-- [unique_84_s]
(22371,9551,1,1,2,5495.035),-- [ore_of_holy]
(22371,1345,20,60,2,228966.27299),-- [shining_arrow]
(22372,6901,1,1,-1,42646),-- [rp_shining_arrow]
(22372,8712,1,1,-1,103509),-- [sirr_blade_blade]
(22372,959,1,1,-1,1706),-- [scrl_of_ench_wp_s]
(22372,57,24979,50028,0,700000),-- [adena]
(22372,81,1,1,1,33.761481),-- [dragon_slayer]
(22372,5529,1,1,1,9601.633852),-- [dragon_slayer_edge]
(22372,151,1,1,1,33.761481),-- [sword_of_miracle]
(22372,5546,1,1,1,10546.477704),-- [sword_of_miracle_edge]
(22372,2500,1,1,1,33.761481),-- [dark_legion's_edge]
(22372,5545,1,1,1,9601.604001),-- [dark_legion's_edge_edge]
(22372,1894,1,1,2,92139.09601),-- [crafted_leather]
(22372,4039,1,1,2,87532.3891),-- [mold_glue]
(22372,4041,1,1,2,22834.32073),-- [mold_hardener]
(22372,4044,1,1,2,87532.3891),-- [thons]
(22372,6901,1,1,2,2625.83646),-- [rp_shining_arrow]
(22372,6881,1,1,2,269.07387),-- [rp_forgotten_blade_i]
(22372,9551,1,1,2,21007.5931),-- [ore_of_holy]
(22372,1344,240,720,2,136769.30163),-- [mithril_arrow]
(22372,9849,1,1,2,1000000),-- [evil_blood]
(22373,15654,1,1,-1,26714),-- [sealed_destino_gauntlet_piece]
(22373,15655,1,1,-1,26714),-- [sealed_destino_leather_gloves_piece]
(22373,15656,1,1,-1,26714),-- [sealed_destino_gloves_piece]
(22373,15657,1,1,-1,26714),-- [sealed_destino_boots_piece]
(22373,15658,1,1,-1,26714),-- [sealed_destino_leather_boots_piece]
(22373,15659,1,1,-1,26714),-- [sealed_destino_shoes_piece]
(22373,9630,1,1,-1,15747),-- [oricalcum]
(22373,15784,1,1,-1,3554),-- [rp_sealed_destino_gauntlet_i]
(22373,15785,1,1,-1,3554),-- [rp_sealed_destino_leather_gloves_i]
(22373,15786,1,1,-1,3554),-- [rp_sealed_destino_gloves_i]
(22373,15787,1,1,-1,3554),-- [rp_sealed_destino_boots_i]
(22373,15788,1,1,-1,3554),-- [rp_sealed_destino_leather_boots_i]
(22373,15789,1,1,-1,3554),-- [rp_sealed_destino_shoes_i]
(22373,57,3173,6405,0,700000),-- [adena]
(22373,15703,1,1,1,25.290645),-- [sealed_destino_gauntlet]
(22373,15704,1,1,1,25.290645),-- [sealed_destino_leather_gloves]
(22373,15705,1,1,1,25.290645),-- [sealed_destino_gloves]
(22373,15654,1,1,1,9500.395073),-- [sealed_destino_gauntlet_piece]
(22373,15655,1,1,1,9500.395073),-- [sealed_destino_leather_gloves_piece]
(22373,15656,1,1,1,9500.337919),-- [sealed_destino_gloves_piece]
(22373,1873,2,6,2,63868.598269),-- [silver_nugget]
(22373,1868,18,54,2,44353.205841),-- [thread]
(22373,1876,1,1,2,159671.268897),-- [mithril_ore]
(22373,1895,3,9,2,32585.825146),-- [metallic_fiber]
(22373,4042,1,1,2,13305.825687),-- [enria]
(22373,9551,1,1,2,6386.905182),-- [ore_of_holy]
(22373,960,1,1,2,319.299904),-- [scrl_of_ench_am_s]
(22373,1345,40,120,2,133060.071074),-- [shining_arrow]
(22373,9599,1,2,2,443500),-- [ancient_book_of_demon]
(22374,15654,1,1,-1,74628),-- [sealed_destino_gauntlet_piece]
(22374,15655,1,1,-1,74628),-- [sealed_destino_leather_gloves_piece]
(22374,15656,1,1,-1,74628),-- [sealed_destino_gloves_piece]
(22374,15657,1,1,-1,74628),-- [sealed_destino_boots_piece]
(22374,15658,1,1,-1,74628),-- [sealed_destino_leather_boots_piece]
(22374,15659,1,1,-1,74628),-- [sealed_destino_shoes_piece]
(22374,9630,1,1,-1,43991),-- [oricalcum]
(22374,15784,1,1,-1,9929),-- [rp_sealed_destino_gauntlet_i]
(22374,15785,1,1,-1,9929),-- [rp_sealed_destino_leather_gloves_i]
(22374,15786,1,1,-1,9929),-- [rp_sealed_destino_gloves_i]
(22374,15787,1,1,-1,9929),-- [rp_sealed_destino_boots_i]
(22374,15788,1,1,-1,9929),-- [rp_sealed_destino_leather_boots_i]
(22374,15789,1,1,-1,9929),-- [rp_sealed_destino_shoes_i]
(22374,57,8864,17893,0,700000),-- [adena]
(22374,15706,1,1,1,70.650435),-- [sealed_destino_boots]
(22374,15707,1,1,1,70.650435),-- [sealed_destino_leather_boots]
(22374,15708,1,1,1,70.650435),-- [sealed_destino_shoes]
(22374,15657,1,1,1,26539.736119),-- [sealed_destino_boots_piece]
(22374,15658,1,1,1,26539.736119),-- [sealed_destino_leather_boots_piece]
(22374,15659,1,1,1,26539.576457),-- [sealed_destino_shoes_piece]
(22374,1869,9,27,2,123902.815776),-- [iron_ore]
(22374,1864,28,84,2,79651.97622),-- [stem]
(22374,1880,4,12,2,24780.485652),-- [steel]
(22374,5550,1,1,2,29736.815292),-- [reinforcing_plate]
(22374,4043,1,1,2,74341.844472),-- [asofe]
(22374,9551,1,1,2,17842.011672),-- [ore_of_holy]
(22374,959,1,1,2,89.12868),-- [scrl_of_ench_wp_s]
(22374,1345,400,1200,2,37170.922236),-- [shining_arrow]
(22374,9599,2,6,2,464600),-- [ancient_book_of_demon]
(22375,15645,1,1,-1,136502),-- [sealed_destino_helmet_piece]
(22375,15646,1,1,-1,136502),-- [sealed_destino_leather_helmet_piece]
(22375,15647,1,1,-1,136502),-- [sealed_destino_circlet_piece]
(22375,15693,1,1,-1,244687),-- [sealed_destino_shield_piece]
(22375,15692,1,1,-1,244687),-- [sealed_destino_sigil_piece]
(22375,15775,1,1,-1,18215),-- [rp_sealed_destino_helmet_i]
(22375,15776,1,1,-1,18215),-- [rp_sealed_destino_leather_helmet_i]
(22375,15777,1,1,-1,18215),-- [rp_sealed_destino_circlet_i]
(22375,15791,1,1,-1,26022),-- [rp_sealed_destino_shield_i]
(22375,15790,1,1,-1,26022),-- [rp_sealed_destino_sigil_i]
(22375,57,18763,37877,0,700000),-- [adena]
(22375,15694,1,1,1,149.55116),-- [sealed_destino_helmet]
(22375,15695,1,1,1,149.55116),-- [sealed_destino_leather_helmet]
(22375,15645,1,1,1,56030.44884),-- [sealed_destino_helmet_piece]
(22375,15646,1,1,1,56030.44884),-- [sealed_destino_leather_helmet_piece]
(22375,1879,3,9,2,174850.854585),-- [cokes]
(22375,1885,2,6,2,131138.257492),-- [high_grade_suede]
(22375,9628,1,1,2,49369.625635),-- [renad]
(22375,9630,1,1,2,33129.561993),-- [oricalcum]
(22375,9629,1,1,2,27368.101739),-- [adamantium]
(22375,9551,1,1,2,50356.598556),-- [ore_of_holy]
(22375,9599,3,9,2,655700),-- [ancient_book_of_demon]
(22376,15772,1,3,-1,701627),-- [sealed_destino_ring_gem]
(22376,15773,1,1,-1,788650),-- [sealed_destino_earring_gem]
(22376,15774,1,1,-1,680508),-- [sealed_destino_necklace_gem]
(22376,15812,1,1,-1,185649),-- [rp_sealed_destino_ring_i]
(22376,15813,1,1,-1,123751),-- [rp_sealed_destino_earring_i]
(22376,15814,1,1,-1,92816),-- [rp_sealed_destino_necklace_i]
(22376,57,49794,100522,0,700000),-- [adena]
(22376,15766,1,1,1,609.686688),-- [sealed_destino_ring]
(22376,15767,1,1,1,406.300128),-- [sealed_destino_earring]
(22376,15768,1,1,1,304.606848),-- [sealed_destino_necklace]
(22376,15772,1,1,1,230424.674688),-- [sealed_destino_ring_gem]
(22376,15773,1,1,1,129502.371648),-- [sealed_destino_earring_gem]
(22376,15774,1,1,1,111744.36),-- [sealed_destino_necklace_gem]
(22376,1866,60,180,2,92807.744778),-- [suede]
(22376,1871,240,720,2,34802.779581),-- [charcoal]
(22376,5220,4,12,2,74246.295591),-- [reinforcing_agent]
(22376,1885,38,114,2,18079.566849),-- [high_grade_suede]
(22376,4041,1,1,2,145264.079286),-- [mold_hardener]
(22376,9551,1,1,2,133642.533915),-- [ore_of_holy]
(22376,9599,7,21,2,745800),-- [ancient_book_of_demon]
(22377,10398,1,1,-1,95841),-- [icarus_disperser_piece]
(22377,959,1,1,-1,8942),-- [scrl_of_ench_wp_s]
(22377,1894,1,17,-1,871533),-- [crafted_leather]
(22377,10374,1,1,-1,14408),-- [rp_icarus_disperser_i]
(22377,57,72943,147253,0,700000),-- [adena]
(22377,10216,1,1,1,94.63187),-- [icarus_disperser]
(22377,10398,1,1,1,31470.36813),-- [icarus_disperser_piece]
(22377,1895,96,288,2,43699.338086),-- [metallic_fiber]
(22377,4040,3,9,2,97886.014593),-- [mold_lubricant]
(22377,4042,3,9,2,69918.767586),-- [enria]
(22377,4043,2,6,2,195772.029186),-- [asofe]
(22377,9551,4,12,2,26102.850549),-- [ore_of_holy]
(22377,9599,9,25,2,899700),-- [ancient_book_of_demon]
(22378,10397,1,1,-1,10851),-- [icarus_sowsword_piece]
(22378,10399,1,1,-1,10851),-- [icarus_spirits_piece]
(22378,10400,1,1,-1,10816),-- [icarus_heavy_arms_piece]
(22378,9628,1,1,-1,198509),-- [renad]
(22378,10373,1,1,-1,1631),-- [rp_icarus_sowsword_i]
(22378,10375,1,1,-1,1631),-- [rp_icarus_spirits_i]
(22378,10376,1,1,-1,1631),-- [rp_icarus_heavy_arms_i]
(22378,57,14453,29176,0,700000),-- [adena]
(22378,10215,1,1,1,6.25),-- [icarus_sowsword]
(22378,10217,1,1,1,6.25),-- [icarus_spirits]
(22378,10218,1,1,1,6.25),-- [icarus_heavy_arms]
(22378,10397,1,1,1,2079.30625),-- [icarus_sowsword_piece]
(22378,10399,1,1,1,2079.30625),-- [icarus_spirits_piece]
(22378,10400,1,1,1,2072.6375),-- [icarus_heavy_arms_piece]
(22378,1895,3,9,2,230888.308434),-- [metallic_fiber]
(22378,4040,1,1,2,96973.063614),-- [mold_lubricant]
(22378,9628,1,1,2,38028.576138),-- [renad]
(22378,9630,1,1,2,25519.045314),-- [oricalcum]
(22378,9551,1,1,2,38789.139018),-- [ore_of_holy]
(22378,960,1,1,2,1939.867482),-- [scrl_of_ench_am_s]
(22378,9599,2,6,2,757600),-- [ancient_book_of_demon]
(22379,15645,1,1,-1,48618),-- [sealed_destino_helmet_piece]
(22379,15646,1,1,-1,48618),-- [sealed_destino_leather_helmet_piece]
(22379,15647,1,1,-1,48618),-- [sealed_destino_circlet_piece]
(22379,15693,1,1,-1,87150),-- [sealed_destino_shield_piece]
(22379,15692,1,1,-1,87150),-- [sealed_destino_sigil_piece]
(22379,15775,1,1,-1,6488),-- [rp_sealed_destino_helmet_i]
(22379,15776,1,1,-1,6488),-- [rp_sealed_destino_leather_helmet_i]
(22379,15777,1,1,-1,6488),-- [rp_sealed_destino_circlet_i]
(22379,15791,1,1,-1,9268),-- [rp_sealed_destino_shield_i]
(22379,15790,1,1,-1,9268),-- [rp_sealed_destino_sigil_i]
(22379,57,6683,13491,0,700000),-- [adena]
(22379,15694,1,1,1,21.306556),-- [sealed_destino_helmet]
(22379,15695,1,1,1,21.306556),-- [sealed_destino_leather_helmet]
(22379,15696,1,1,1,21.306556),-- [sealed_destino_circlet]
(22379,15710,1,1,1,30.483142),-- [sealed_destino_shield]
(22379,15709,1,1,1,30.483142),-- [sealed_destino_sigil]
(22379,15645,1,1,1,7989.853022),-- [sealed_destino_helmet_piece]
(22379,15646,1,1,1,7989.853022),-- [sealed_destino_leather_helmet_piece]
(22379,15647,1,1,1,7989.853022),-- [sealed_destino_circlet_piece]
(22379,15693,1,1,1,14322.277491),-- [sealed_destino_shield_piece]
(22379,15692,1,1,1,14322.277491),-- [sealed_destino_sigil_piece]
(22379,1871,24,72,2,46707.513559),-- [charcoal]
(22379,1866,7,21,2,99642.865352),-- [suede]
(22379,1877,1,1,2,89678.515157),-- [admantite_nugget]
(22379,4041,1,1,2,19495.177152),-- [mold_hardener]
(22379,4040,1,1,2,44839.098429),-- [mold_lubricant]
(22379,9551,1,1,2,17935.830351),-- [ore_of_holy]
(22379,9599,1,4,2,560500),-- [ancient_book_of_demon]
(22380,10404,1,1,-1,71976),-- [icarus_wand_piece]
(22380,10402,1,1,-1,71976),-- [icarus_chopper_piece]
(22380,9630,1,1,-1,886436),-- [oricalcum]
(22380,10380,1,1,-1,10855),-- [rp_icarus_wand_i]
(22380,10378,1,1,-1,10855),-- [rp_icarus_chopper_i]
(22380,57,68695,138677,0,700000),-- [adena]
(22380,10222,1,1,1,44.560512),-- [icarus_wand]
(22380,10220,1,1,1,44.560512),-- [icarus_chopper]
(22380,10404,1,1,1,14769.439488),-- [icarus_wand_piece]
(22380,10402,1,1,1,14769.439488),-- [icarus_chopper_piece]
(22380,1872,120,360,2,69837.431125),-- [animal_bone]
(22380,1882,27,81,2,51731.444875),-- [leather]
(22380,1894,5,15,2,44107.707875),-- [crafted_leather]
(22380,4042,6,18,2,17459.2605),-- [enria]
(22380,14166,1,1,2,60728.014875),-- [general_84_s]
(22380,14167,1,1,2,15163.812125),-- [special_84_s]
(22380,14168,1,1,2,1516.420125),-- [rare_84_s]
(22380,14169,1,1,2,303.128375),-- [unique_84_s]
(22380,9551,1,1,2,100565.854125),-- [ore_of_holy]
(22380,959,1,1,2,502.7495),-- [scrl_of_ench_wp_s]
(22380,1345,3080,9240,2,27209.1765),-- [shining_arrow]
(22380,9599,9,27,2,800200),-- [ancient_book_of_demon]
(22381,10405,1,1,-1,15296),-- [icarus_accipiter_piece]
(22381,959,1,1,-1,1432),-- [scrl_of_ench_wp_s]
(22381,1894,1,3,-1,627953),-- [crafted_leather]
(22381,10381,1,1,-1,2307),-- [rp_icarus_accipiter_i]
(22381,57,11679,23577,0,700000),-- [adena]
(22381,10223,1,1,1,15.152273),-- [icarus_accipiter]
(22381,10405,1,1,1,5023.847727),-- [icarus_accipiter_piece]
(22381,14166,1,1,2,18928.87112),-- [general_84_s]
(22381,14167,1,1,2,4726.518464),-- [special_84_s]
(22381,14168,1,1,2,472.628992),-- [rare_84_s]
(22381,14169,1,1,2,94.502944),-- [unique_84_s]
(22381,9551,1,1,2,31346.180864),-- [ore_of_holy]
(22381,960,1,1,2,1567.297616),-- [scrl_of_ench_am_s]
(22381,9599,2,6,2,612200),-- [ancient_book_of_demon]
(22382,15654,1,1,-1,105016),-- [sealed_destino_gauntlet_piece]
(22382,15655,1,1,-1,105016),-- [sealed_destino_leather_gloves_piece]
(22382,15656,1,1,-1,105016),-- [sealed_destino_gloves_piece]
(22382,15657,1,1,-1,105016),-- [sealed_destino_boots_piece]
(22382,15658,1,1,-1,105016),-- [sealed_destino_leather_boots_piece]
(22382,15659,1,1,-1,105016),-- [sealed_destino_shoes_piece]
(22382,15784,1,1,-1,13972),-- [rp_sealed_destino_gauntlet_i]
(22382,15785,1,1,-1,13972),-- [rp_sealed_destino_leather_gloves_i]
(22382,15786,1,1,-1,13972),-- [rp_sealed_destino_gloves_i]
(22382,15787,1,1,-1,13972),-- [rp_sealed_destino_boots_i]
(22382,15788,1,1,-1,13972),-- [rp_sealed_destino_leather_boots_i]
(22382,15789,1,1,-1,13972),-- [rp_sealed_destino_shoes_i]
(22382,57,11514,23243,0,700000),-- [adena]
(22382,15703,1,1,1,45.885788),-- [sealed_destino_gauntlet]
(22382,15704,1,1,1,45.885788),-- [sealed_destino_leather_gloves]
(22382,15705,1,1,1,45.885788),-- [sealed_destino_gloves]
(22382,15706,1,1,1,45.885788),-- [sealed_destino_boots]
(22382,15707,1,1,1,45.885788),-- [sealed_destino_leather_boots]
(22382,15708,1,1,1,45.885788),-- [sealed_destino_shoes]
(22382,15654,1,1,1,17256.378336),-- [sealed_destino_gauntlet_piece]
(22382,15655,1,1,1,17256.378336),-- [sealed_destino_leather_gloves_piece]
(22382,15656,1,1,1,17256.378336),-- [sealed_destino_gloves_piece]
(22382,15657,1,1,1,17256.378336),-- [sealed_destino_boots_piece]
(22382,15658,1,1,1,17256.378336),-- [sealed_destino_leather_boots_piece]
(22382,15659,1,1,1,17256.793592),-- [sealed_destino_shoes_piece]
(22382,1873,16,48,2,41385.578445),-- [silver_nugget]
(22382,1868,135,405,2,24524.653905),-- [thread]
(22382,1876,3,9,2,94595.72215),-- [mithril_ore]
(22382,1895,3,9,2,157659.403595),-- [metallic_fiber]
(22382,4042,1,1,2,55180.77126),-- [enria]
(22382,9551,1,1,2,26486.882195),-- [ore_of_holy]
(22382,959,1,1,2,131.98845),-- [scrl_of_ench_wp_s]
(22382,9599,2,6,2,603500),-- [ancient_book_of_demon]
(22383,15649,1,1,-1,17341),-- [sealed_destino_houberk_piece]
(22383,15652,1,1,-1,28134),-- [sealed_destino_leather_legging_piece]
(22383,9630,1,1,-1,28431),-- [oricalcum]
(22383,15779,1,1,-1,2139),-- [rp_sealed_destino_houberk_i]
(22383,15782,1,1,-1,3422),-- [rp_sealed_destino_leather_legging_i]
(22383,57,2203,4448,0,700000),-- [adena]
(22383,15698,1,1,1,8.780618),-- [sealed_destino_houberk]
(22383,15701,1,1,1,14.050861),-- [sealed_destino_leather_legging]
(22383,15649,1,1,1,3560.9244),-- [sealed_destino_houberk_piece]
(22383,15652,1,1,1,5777.244121),-- [sealed_destino_leather_legging_piece]
(22383,1894,1,1,2,15561.21413),-- [crafted_leather]
(22383,4039,1,1,2,14783.125698),-- [mold_glue]
(22383,4041,1,1,2,3856.450697),-- [mold_hardener]
(22383,4044,1,1,2,14783.125698),-- [thons]
(22383,14166,1,1,2,2142.460287),-- [general_84_s]
(22383,14167,1,1,2,534.991248),-- [special_84_s]
(22383,14168,1,1,2,53.510215),-- [rare_84_s]
(22383,14169,1,1,2,10.702043),-- [unique_84_s]
(22383,9551,1,1,2,3547.976784),-- [ore_of_holy]
(22383,960,1,1,2,177.4432),-- [scrl_of_ench_am_s]
(22383,9599,1,1,2,462000),-- [ancient_book_of_demon]
(22384,15648,1,1,-1,13458),-- [sealed_destino_cuirass_piece]
(22384,15651,1,1,-1,22556),-- [sealed_destino_gaiter_piece]
(22384,1894,1,1,-1,199044),-- [crafted_leather]
(22384,15778,1,1,-1,1685),-- [rp_sealed_destino_cuirass_i]
(22384,15781,1,1,-1,2695),-- [rp_sealed_destino_gaiter_i]
(22384,57,2314,4671,0,700000),-- [adena]
(22384,15697,1,1,1,6.915396),-- [sealed_destino_cuirass]
(22384,15700,1,1,1,11.066116),-- [sealed_destino_gaiter]
(22384,15648,1,1,1,2763.141716),-- [sealed_destino_cuirass_piece]
(22384,15651,1,1,1,4630.876772),-- [sealed_destino_gaiter_piece]
(22384,1879,1,1,2,129372.932898),-- [cokes]
(22384,1885,1,1,2,64686.573358),-- [high_grade_suede]
(22384,9628,1,1,2,6088.039914),-- [renad]
(22384,9630,1,1,2,4085.420526),-- [oricalcum]
(22384,9629,1,1,2,3374.903312),-- [adamantium]
(22384,9551,1,1,2,6210.129992),-- [ore_of_holy]
(22384,9599,1,1,2,485100),-- [ancient_book_of_demon]
(22385,15649,1,1,-1,130176),-- [sealed_destino_houberk_piece]
(22385,15652,1,1,-1,211197),-- [sealed_destino_leather_legging_piece]
(22385,1894,1,3,-1,711399),-- [crafted_leather]
(22385,15779,1,1,-1,16056),-- [rp_sealed_destino_houberk_i]
(22385,15782,1,1,-1,25690),-- [rp_sealed_destino_leather_legging_i]
(22385,57,16539,33388,0,700000),-- [adena]
(22385,15698,1,1,1,65.912322),-- [sealed_destino_houberk]
(22385,15701,1,1,1,105.473769),-- [sealed_destino_leather_legging]
(22385,15649,1,1,1,26730.3276),-- [sealed_destino_houberk_piece]
(22385,15652,1,1,1,43367.286309),-- [sealed_destino_leather_legging_piece]
(22385,1866,9,27,2,154129.92012),-- [suede]
(22385,1871,40,120,2,52018.713648),-- [charcoal]
(22385,5220,5,15,2,16646.177592),-- [reinforcing_agent]
(22385,1885,4,12,2,38532.587544),-- [high_grade_suede]
(22385,4041,1,1,2,36187.06212),-- [mold_hardener]
(22385,9551,1,1,2,33291.925128),-- [ore_of_holy]
(22385,959,1,1,2,166.431672),-- [scrl_of_ench_wp_s]
(22385,1345,280,840,2,99083.182176),-- [shining_arrow]
(22385,9599,2,6,2,867000),-- [ancient_book_of_demon]
(22386,15650,1,1,-1,83173),-- [sealed_destino_jaket_piece]
(22386,15653,1,1,-1,134939),-- [sealed_destino_hose_piece]
(22386,1894,1,1,-1,909065),-- [crafted_leather]
(22386,15780,1,1,-1,10259),-- [rp_sealed_destino_jaket_i]
(22386,15783,1,1,-1,16414),-- [rp_sealed_destino_hose_i]
(22386,57,10567,21333,0,700000),-- [adena]
(22386,15699,1,1,1,42.112448),-- [sealed_destino_jaket]
(22386,15702,1,1,1,67.388896),-- [sealed_destino_hose]
(22386,15650,1,1,1,17078.4384),-- [sealed_destino_jaket_piece]
(22386,15653,1,1,1,27708.060256),-- [sealed_destino_hose_piece]
(22386,1879,3,9,2,84409.714227),-- [cokes]
(22386,1885,1,1,2,253229.142681),-- [high_grade_suede]
(22386,9628,1,1,2,23833.448592),-- [renad]
(22386,9630,1,1,2,15993.432681),-- [oricalcum]
(22386,9629,1,1,2,13211.948032),-- [adamantium]
(22386,9551,1,1,2,24310.001027),-- [ore_of_holy]
(22386,960,1,1,2,1215.31276),-- [scrl_of_ench_am_s]
(22386,9599,2,6,2,553900),-- [ancient_book_of_demon]
(22387,15772,1,1,-1,297797),-- [sealed_destino_ring_gem]
(22387,15773,1,1,-1,167367),-- [sealed_destino_earring_gem]
(22387,15774,1,1,-1,144417),-- [sealed_destino_necklace_gem]
(22387,15812,1,1,-1,39398),-- [rp_sealed_destino_ring_i]
(22387,15813,1,1,-1,26262),-- [rp_sealed_destino_earring_i]
(22387,15814,1,1,-1,19697),-- [rp_sealed_destino_necklace_i]
(22387,57,10567,21333,0,700000),-- [adena]
(22387,15766,1,1,1,129.387242),-- [sealed_destino_ring]
(22387,15767,1,1,1,86.224702),-- [sealed_destino_earring]
(22387,15768,1,1,1,64.643432),-- [sealed_destino_necklace]
(22387,15772,1,1,1,48900.547992),-- [sealed_destino_ring_gem]
(22387,15773,1,1,1,27482.894132),-- [sealed_destino_earring_gem]
(22387,15774,1,1,1,23714.3025),-- [sealed_destino_necklace_gem]
(22387,1895,3,9,2,202583.000218),-- [metallic_fiber]
(22387,4040,1,1,2,85084.920485),-- [mold_lubricant]
(22387,9628,1,1,2,33366.620682),-- [renad]
(22387,9630,1,1,2,22390.86788),-- [oricalcum]
(22387,9551,1,1,2,34033.590735),-- [ore_of_holy]
(22387,9599,2,6,2,553900),-- [ancient_book_of_demon]
(22388,15654,1,1,-1,202500),-- [sealed_destino_gauntlet_piece]
(22388,15655,1,1,-1,202500),-- [sealed_destino_leather_gloves_piece]
(22388,15656,1,1,-1,202500),-- [sealed_destino_gloves_piece]
(22388,15657,1,1,-1,202500),-- [sealed_destino_boots_piece]
(22388,15658,1,1,-1,202500),-- [sealed_destino_leather_boots_piece]
(22388,15659,1,1,-1,202500),-- [sealed_destino_shoes_piece]
(22388,15784,1,1,-1,26942),-- [rp_sealed_destino_gauntlet_i]
(22388,15785,1,1,-1,26942),-- [rp_sealed_destino_leather_gloves_i]
(22388,15786,1,1,-1,26942),-- [rp_sealed_destino_gloves_i]
(22388,15787,1,1,-1,26942),-- [rp_sealed_destino_boots_i]
(22388,15788,1,1,-1,26942),-- [rp_sealed_destino_leather_boots_i]
(22388,15789,1,1,-1,26942),-- [rp_sealed_destino_shoes_i]
(22388,57,22201,44819,0,700000),-- [adena]
(22388,15703,1,1,1,88.480444),-- [sealed_destino_gauntlet]
(22388,15704,1,1,1,88.480444),-- [sealed_destino_leather_gloves]
(22388,15705,1,1,1,88.480444),-- [sealed_destino_gloves]
(22388,15706,1,1,1,88.480444),-- [sealed_destino_boots]
(22388,15707,1,1,1,88.480444),-- [sealed_destino_leather_boots]
(22388,15708,1,1,1,88.480444),-- [sealed_destino_shoes]
(22388,15654,1,1,1,33275.052768),-- [sealed_destino_gauntlet_piece]
(22388,15655,1,1,1,33275.052768),-- [sealed_destino_leather_gloves_piece]
(22388,15656,1,1,1,33275.052768),-- [sealed_destino_gloves_piece]
(22388,15657,1,1,1,33275.052768),-- [sealed_destino_boots_piece]
(22388,15658,1,1,1,33275.052768),-- [sealed_destino_leather_boots_piece]
(22388,15659,1,1,1,33275.853496),-- [sealed_destino_shoes_piece]
(22388,1879,3,9,2,112852.44836),-- [cokes]
(22388,1885,2,6,2,84639.33627),-- [high_grade_suede]
(22388,9628,1,1,2,31864.393398),-- [renad]
(22388,9630,1,1,2,21382.534828),-- [oricalcum]
(22388,9629,1,1,2,17663.733846),-- [adamantium]
(22388,14166,1,1,2,19626.37094),-- [general_84_s]
(22388,14167,1,1,2,4900.558368),-- [special_84_s]
(22388,14168,1,1,2,489.925364),-- [rare_84_s]
(22388,14169,1,1,2,97.8546),-- [unique_84_s]
(22388,9551,1,1,2,32501.426844),-- [ore_of_holy]
(22388,959,1,1,2,163.417182),-- [scrl_of_ench_wp_s]
(22388,9599,3,9,2,775900),-- [ancient_book_of_demon]
(22389,15645,1,1,-1,146836),-- [sealed_destino_helmet_piece]
(22389,15646,1,1,-1,146836),-- [sealed_destino_leather_helmet_piece]
(22389,15647,1,1,-1,146836),-- [sealed_destino_circlet_piece]
(22389,15693,1,1,-1,263211),-- [sealed_destino_shield_piece]
(22389,15692,1,1,-1,263211),-- [sealed_destino_sigil_piece]
(22389,960,1,1,-1,9897),-- [scrl_of_ench_am_s]
(22389,15775,1,1,-1,19594),-- [rp_sealed_destino_helmet_i]
(22389,15776,1,1,-1,19594),-- [rp_sealed_destino_leather_helmet_i]
(22389,15777,1,1,-1,19594),-- [rp_sealed_destino_circlet_i]
(22389,15791,1,1,-1,27992),-- [rp_sealed_destino_shield_i]
(22389,15790,1,1,-1,27992),-- [rp_sealed_destino_sigil_i]
(22389,57,22201,44819,0,700000),-- [adena]
(22389,15694,1,1,1,70.784436),-- [sealed_destino_helmet]
(22389,15695,1,1,1,70.784436),-- [sealed_destino_leather_helmet]
(22389,15696,1,1,1,70.784436),-- [sealed_destino_circlet]
(22389,15710,1,1,1,101.270802),-- [sealed_destino_shield]
(22389,15709,1,1,1,101.270802),-- [sealed_destino_sigil]
(22389,15645,1,1,1,26543.813082),-- [sealed_destino_helmet_piece]
(22389,15646,1,1,1,26543.813082),-- [sealed_destino_leather_helmet_piece]
(22389,15647,1,1,1,26543.813082),-- [sealed_destino_circlet_piece]
(22389,15693,1,1,1,47581.332921),-- [sealed_destino_shield_piece]
(22389,15692,1,1,1,47581.332921),-- [sealed_destino_sigil_piece]
(22389,1895,12,36,2,88669.924869),-- [metallic_fiber]
(22389,4040,1,1,2,148965.664734),-- [mold_lubricant]
(22389,9628,1,1,2,58418.024745),-- [renad]
(22389,9630,1,1,2,39201.679161),-- [oricalcum]
(22389,9551,1,1,2,59586.425022),-- [ore_of_holy]
(22389,960,1,1,2,2979.281469),-- [scrl_of_ench_am_s]
(22389,9599,3,9,2,775900),-- [ancient_book_of_demon]
(22390,10397,1,1,-1,18781),-- [icarus_sowsword_piece]
(22390,10399,1,1,-1,18781),-- [icarus_spirits_piece]
(22390,10400,1,1,-1,18721),-- [icarus_heavy_arms_piece]
(22390,9630,1,1,-1,230565),-- [oricalcum]
(22390,10373,1,1,-1,2823),-- [rp_icarus_sowsword_i]
(22390,10375,1,1,-1,2823),-- [rp_icarus_spirits_i]
(22390,10376,1,1,-1,2823),-- [rp_icarus_heavy_arms_i]
(22390,57,25015,50499,0,700000),-- [adena]
(22390,10215,1,1,1,10.818),-- [icarus_sowsword]
(22390,10217,1,1,1,10.818),-- [icarus_spirits]
(22390,10218,1,1,1,10.818),-- [icarus_heavy_arms]
(22390,10397,1,1,1,3599.029602),-- [icarus_sowsword_piece]
(22390,10399,1,1,1,3599.029602),-- [icarus_spirits_piece]
(22390,10400,1,1,1,3587.486796),-- [icarus_heavy_arms_piece]
(22390,1864,504,1512,2,16651.239374),-- [stem]
(22390,1865,25,75,2,167842.612476),-- [varnish]
(22390,1866,33,99,2,84768.798345),-- [suede]
(22390,1873,52,156,2,32277.391993),-- [silver_nugget]
(22390,1868,126,378,2,66604.086934),-- [thread]
(22390,9551,1,1,2,67136.870878),-- [ore_of_holy]
(22390,9599,9,27,2,790800),-- [ancient_book_of_demon]
(22391,10404,1,1,-1,11767),-- [icarus_wand_piece]
(22391,10402,1,1,-1,11767),-- [icarus_chopper_piece]
(22391,9630,1,1,-1,144922),-- [oricalcum]
(22391,10380,1,1,-1,1775),-- [rp_icarus_wand_i]
(22391,10378,1,1,-1,1775),-- [rp_icarus_chopper_i]
(22391,57,11231,22672,0,700000),-- [adena]
(22391,10222,1,1,1,7.285376),-- [icarus_wand]
(22391,10220,1,1,1,7.285376),-- [icarus_chopper]
(22391,10404,1,1,1,2414.714624),-- [icarus_wand_piece]
(22391,10402,1,1,1,2414.714624),-- [icarus_chopper_piece]
(22391,1895,3,9,2,179419.58346),-- [metallic_fiber]
(22391,4040,1,1,2,75356.158163),-- [mold_lubricant]
(22391,9628,1,1,2,29551.421458),-- [renad]
(22391,9630,1,1,2,19830.603143),-- [oricalcum]
(22391,9551,1,1,2,30142.396375),-- [ore_of_holy]
(22391,959,1,1,2,150.837401),-- [scrl_of_ench_wp_s]
(22391,9599,1,1,2,793800),-- [ancient_book_of_demon]
(22392,10403,1,1,-1,2610),-- [icarus_knuckle_piece]
(22392,959,1,1,-1,244),-- [scrl_of_ench_wp_s]
(22392,1894,1,1,-1,214289),-- [crafted_leather]
(22392,10379,1,1,-1,394),-- [rp_icarus_knuckle_i]
(22392,57,1993,4023,0,700000),-- [adena]
(22392,10221,1,1,1,2.58602),-- [icarus_knuckle]
(22392,10403,1,1,1,857.41398),-- [icarus_knuckle_piece]
(22392,1894,1,1,2,14074.71702),-- [crafted_leather]
(22392,4039,1,1,2,13370.956092),-- [mold_glue]
(22392,4041,1,1,2,3488.060238),-- [mold_hardener]
(22392,4044,1,1,2,13370.956092),-- [thons]
(22392,14166,1,1,2,1937.800098),-- [general_84_s]
(22392,14167,1,1,2,483.885792),-- [special_84_s]
(22392,14168,1,1,2,48.39861),-- [rare_84_s]
(22392,14169,1,1,2,9.679722),-- [unique_84_s]
(22392,9551,1,1,2,3209.053536),-- [ore_of_holy]
(22392,960,1,1,2,160.4928),-- [scrl_of_ench_am_s]
(22392,9599,1,1,2,417800),-- [ancient_book_of_demon]
(22393,6701,1,1,-1,314955),-- [sealed_imperial_crusader_armor_part]
(22393,6901,1,1,-1,59156),-- [rp_shining_arrow]
(22393,6702,1,1,-1,405431),-- [sealed_imperial_crusader_gaiters_pattern]
(22393,57,34666,69427,0,700000),-- [adena]
(22393,5320,1,1,1,220.665512),-- [sealed_leather_mail_of_nightmare]
(22393,5480,1,1,1,32694.834488),-- [sealed_leather_mail_of_nightmare_fabric]
(22393,5323,1,1,1,220.665512),-- [sealed_majestic_leather_mail]
(22393,5481,1,1,1,32694.834488),-- [sealed_majestic_leather_mail_fabric]
(22393,1895,3,9,2,231278.75376),-- [metallic_fiber]
(22393,4040,1,1,2,97136.902266),-- [mold_lubricant]
(22393,9628,1,1,2,38093.099379),-- [renad]
(22393,9630,1,1,2,25562.594997),-- [oricalcum]
(22393,6901,1,1,2,4856.801535),-- [rp_shining_arrow]
(22393,9551,1,1,2,38854.848063),-- [ore_of_holy]
(22393,9599,2,6,2,758900),-- [ancient_book_of_demon]
(22394,959,1,1,-1,2796),-- [scrl_of_ench_wp_s]
(22394,4041,1,1,-1,607905),-- [mold_hardener]
(22394,1875,1,9,-1,932122),-- [stone_of_purity]
(22394,57,40967,82047,0,700000),-- [adena]
(22394,270,1,1,1,166.038697),-- [dragon_grinder]
(22394,5538,1,1,1,47232.961303),-- [dragon_grinder_edge]
(22394,1872,24,72,2,136658.7224),-- [animal_bone]
(22394,1867,60,180,2,54663.48896),-- [animal_skin]
(22394,1881,3,9,2,93708.895904),-- [coarse_bone_powder]
(22394,1875,4,12,2,36442.460576),-- [stone_of_purity]
(22394,4041,1,1,2,42780.227136),-- [mold_hardener]
(22394,959,1,1,2,196.654496),-- [scrl_of_ench_wp_s]
(22394,9551,1,1,2,39357.550528),-- [ore_of_holy]
(22394,9599,2,6,2,896800),-- [ancient_book_of_demon]
(22395,6703,1,3,-1,636500),-- [sealed_imperial_crusader_gauntlet_design]
(22395,6901,1,1,-1,89409),-- [rp_shining_arrow]
(22395,6704,1,3,-1,636500),-- [sealed_imperial_crusader_boots_design]
(22395,57,52395,104932,0,700000),-- [adena]
(22395,270,1,1,1,212.35186),-- [dragon_grinder]
(22395,5538,1,1,1,60407.64814),-- [dragon_grinder_edge]
(22395,1873,16,48,2,50049.920712),-- [silver_nugget]
(22395,1868,135,405,2,29659.249862),-- [thread]
(22395,1876,3,9,2,114399.528804),-- [mithril_ore]
(22395,1895,30,90,2,19066.588134),-- [metallic_fiber]
(22395,4042,1,1,2,66733.227616),-- [enria]
(22395,960,1,1,2,1601.483796),-- [scrl_of_ench_am_s]
(22395,14166,1,1,2,19342.974332),-- [general_84_s]
(22395,14167,1,1,2,4829.823438),-- [special_84_s]
(22395,14168,1,1,2,483.083832),-- [rare_84_s]
(22395,14169,1,1,2,96.41379),-- [unique_84_s]
(22395,9551,1,1,2,32031.705684),-- [ore_of_holy]
(22395,9599,3,9,2,764700),-- [ancient_book_of_demon]
(22396,6901,1,1,-1,2061),-- [rp_shining_arrow]
(22396,6705,1,1,-1,28744),-- [sealed_imperial_crusader_shield_part]
(22396,960,1,1,-1,824),-- [scrl_of_ench_am_s]
(22396,57,1208,2419,0,700000),-- [adena]
(22396,289,1,1,1,4.8965),-- [soul_bow]
(22396,5534,1,1,1,1394.1035),-- [soul_bow_shaft]
(22396,1871,1,1,2,145043.1612),-- [charcoal]
(22396,1866,1,1,2,96695.609472),-- [suede]
(22396,1877,1,1,2,5801.726448),-- [admantite_nugget]
(22396,4041,1,1,2,1261.24488),-- [mold_hardener]
(22396,4040,1,1,2,2900.989728),-- [mold_lubricant]
(22396,6901,1,1,2,144.973584),-- [rp_shining_arrow]
(22396,9551,1,1,2,1160.294688),-- [ore_of_holy]
(22396,9599,1,1,2,105800),-- [ancient_book_of_demon]
(22397,1894,1,1,-1,735279),-- [crafted_leather]
(22397,4042,1,1,-1,349258),-- [enria]
(22397,6706,1,1,-1,339938),-- [sealed_imperial_crusader_helmet_pattern]
(22397,57,12280,24594,0,700000),-- [adena]
(22397,289,1,1,1,49.77),-- [soul_bow]
(22397,5534,1,1,1,14170.23),-- [soul_bow_shaft]
(22397,1879,1,1,2,245782.78698),-- [cokes]
(22397,1885,1,1,2,122891.39349),-- [high_grade_suede]
(22397,9628,1,1,2,11566.10063),-- [renad]
(22397,9630,1,1,2,7761.38208),-- [oricalcum]
(22397,9629,1,1,2,6411.75314),-- [adamantium]
(22397,959,1,1,2,58.90915),-- [scrl_of_ench_wp_s]
(22397,9551,1,1,2,11797.67453),-- [ore_of_holy]
(22397,9599,1,3,2,537700),-- [ancient_book_of_demon]
(22398,6901,1,1,-1,38027),-- [rp_shining_arrow]
(22398,6707,1,1,-1,188414),-- [sealed_draconic_leather_armor_part]
(22398,57,22284,44629,0,700000),-- [adena]
(22398,5311,1,1,1,106.383743),-- [sealed_armor_of_nightmare]
(22398,5522,1,1,1,15949.116257),-- [sealed_armor_of_nightmare_pattern]
(22398,5316,1,1,1,106.383743),-- [sealed_majestic_platte_armor]
(22398,5523,1,1,1,15949.116257),-- [sealed_majestic_platte_armor_pattern]
(22398,1895,1,3,2,267604.605152),-- [metallic_fiber]
(22398,4040,1,1,2,37464.781056),-- [mold_lubricant]
(22398,4042,1,1,2,31220.65088),-- [enria]
(22398,4043,1,1,2,62440.875714),-- [asofe]
(22398,960,1,1,2,749.414914),-- [scrl_of_ench_am_s]
(22398,14166,1,1,2,9049.21704),-- [general_84_s]
(22398,14167,1,1,2,2259.747984),-- [special_84_s]
(22398,14168,1,1,2,225.80438),-- [rare_84_s]
(22398,14169,1,1,2,45.160876),-- [unique_84_s]
(22398,9551,1,1,2,14985.742004),-- [ore_of_holy]
(22399,6708,1,1,-1,770235),-- [sealed_draconic_leather_gloves_fabric]
(22399,959,1,1,-1,2164),-- [scrl_of_ench_wp_s]
(22399,1885,1,9,-1,901624),-- [high_grade_suede]
(22399,57,31702,63490,0,700000),-- [adena]
(22399,164,1,1,1,32.121168),-- [elysian]
(22399,5533,1,1,1,9137.592264),-- [elysian_head]
(22399,213,1,1,1,32.121168),-- [worldtree's_branch]
(22399,5544,1,1,1,9128.571936),-- [worldtree's_branch_head]
(22399,7895,1,1,1,32.121168),-- [dragon_flame_head]
(22399,8342,1,1,1,9137.592264),-- [dragon_flame_head_piece]
(22399,7902,1,1,1,32.121168),-- [doom_crusher]
(22399,8349,1,1,1,9135.758864),-- [doom_crusher_head]
(22399,1879,3,9,2,82250.019516),-- [cokes]
(22399,1885,1,1,2,246749.64019),-- [high_grade_suede]
(22399,9628,1,1,2,23223.470938),-- [renad]
(22399,9630,1,1,2,15584.253858),-- [oricalcum]
(22399,9629,1,1,2,12873.712376),-- [adamantium]
(22399,6901,1,1,2,2961.137924),-- [rp_shining_arrow]
(22399,6857,1,1,2,5513.95844),-- [rp_sealed_imperial_crusader_gauntlet_i]
(22399,6877,1,1,2,5513.95844),-- [rp_sealed_major_arcana_boots_i]
(22399,9551,1,1,2,23687.848318),-- [ore_of_holy]
(22400,4040,1,1,-1,35693),-- [mold_lubricant]
(22400,5480,1,1,-1,8008),-- [sealed_leather_mail_of_nightmare_fabric]
(22400,1808,1,1,-1,793),-- [rp_soulshot_s]
(22400,57,1195,2447,0,700000),-- [adena]
(22400,81,1,1,1,1.412619),-- [dragon_slayer]
(22400,5529,1,1,1,401.743348),-- [dragon_slayer_edge]
(22400,151,1,1,1,1.412619),-- [sword_of_miracle]
(22400,5546,1,1,1,441.276696),-- [sword_of_miracle_edge]
(22400,2500,1,1,1,1.412619),-- [dark_legion's_edge]
(22400,5545,1,1,1,401.742099),-- [dark_legion's_edge_edge]
(22400,1895,1,1,2,50236.949896),-- [metallic_fiber]
(22400,4040,1,1,2,3516.610888),-- [mold_lubricant]
(22400,4042,1,1,2,2930.498648),-- [enria]
(22400,4043,1,1,2,5860.997296),-- [asofe]
(22400,959,1,1,2,6.943272),-- [scrl_of_ench_wp_s]
(22401,5481,1,1,-1,8008),-- [sealed_majestic_leather_mail_fabric]
(22401,3036,1,1,-1,793),-- [rp_spiritshot_s]
(22401,5487,1,1,-1,8037),-- [sealed_robe_of_nightmare_fabric]
(22401,57,1195,2447,0,700000),-- [adena]
(22401,164,1,1,1,1.05996),-- [elysian]
(22401,5533,1,1,1,301.52958),-- [elysian_head]
(22401,213,1,1,1,1.05996),-- [worldtree's_branch]
(22401,5544,1,1,1,301.23192),-- [worldtree's_branch_head]
(22401,7895,1,1,1,1.05996),-- [dragon_flame_head]
(22401,8342,1,1,1,301.52958),-- [dragon_flame_head_piece]
(22401,7902,1,1,1,1.05996),-- [doom_crusher]
(22401,8349,1,1,1,301.46908),-- [doom_crusher_head]
(22401,1868,1,1,2,159844.672838),-- [thread]
(22401,1873,1,1,2,31968.996213),-- [silver_nugget]
(22401,5549,1,1,2,7992.32611),-- [iron_thread]
(22401,1889,1,1,2,5328.011922),-- [compound_braid]
(22401,4044,1,1,2,2664.005961),-- [thons]
(22401,960,1,1,2,32.055608),-- [scrl_of_ench_am_s]
(22401,14166,1,1,2,386.208431),-- [general_84_s]
(22401,14167,1,1,2,96.475051),-- [special_84_s]
(22401,14168,1,1,2,9.555037),-- [rare_84_s]
(22401,14169,1,1,2,1.849362),-- [unique_84_s]
(22401,1344,10,30,2,99902.843467),-- [mithril_arrow]
(22402,4040,1,1,-1,34298),-- [mold_lubricant]
(22402,1895,1,1,-1,489975),-- [metallic_fiber]
(22402,5488,1,1,-1,7722),-- [sealed_majestic_robe_fabric]
(22402,57,1148,2352,0,700000),-- [adena]
(22402,289,1,1,1,4.074),-- [soul_bow]
(22402,5534,1,1,1,1159.926),-- [soul_bow_shaft]
(22402,1895,1,1,2,48273.492888),-- [metallic_fiber]
(22402,4040,1,1,2,3379.14126),-- [mold_lubricant]
(22402,9628,1,1,2,1325.178864),-- [renad]
(22402,9630,1,1,2,889.270452),-- [oricalcum]
(22402,6901,1,1,2,168.916536),-- [rp_shining_arrow]
(22403,6901,1,1,-1,21189),-- [rp_shining_arrow]
(22403,6688,1,1,-1,45799),-- [forgotten_blade_edge]
(22403,57,12417,24868,0,700000),-- [adena]
(22403,81,1,1,1,16.774992),-- [dragon_slayer]
(22403,5529,1,1,1,4770.742464),-- [dragon_slayer_edge]
(22403,151,1,1,1,16.774992),-- [sword_of_miracle]
(22403,5546,1,1,1,5240.204928),-- [sword_of_miracle_edge]
(22403,2500,1,1,1,16.774992),-- [dark_legion's_edge]
(22403,5545,1,1,1,4770.727632),-- [dark_legion's_edge_edge]
(22403,1873,2,6,2,69585.799283),-- [silver_nugget]
(22403,1868,18,54,2,48323.319187),-- [thread]
(22403,1876,1,1,2,173963.749388),-- [mithril_ore]
(22403,1895,3,9,2,35503.030134),-- [metallic_fiber]
(22403,4042,1,1,2,14497.14552),-- [enria]
(22403,959,1,1,2,34.94491),-- [scrl_of_ench_wp_s]
(22403,14166,1,1,2,4201.875821),-- [general_84_s]
(22403,14167,1,1,2,1049.345726),-- [special_84_s]
(22403,14168,1,1,2,104.83473),-- [rare_84_s]
(22403,14169,1,1,2,20.966946),-- [unique_84_s]
(22403,9551,1,1,2,6958.530007),-- [ore_of_holy]
(22403,1345,40,120,2,144969.458348),-- [shining_arrow]
(22403,9599,1,3,2,543600),-- [ancient_book_of_demon]
(22404,6689,1,1,-1,211298),-- [basalt_battlehammer_head]
(22404,960,1,1,-1,39853),-- [scrl_of_ench_am_s]
(22404,4040,1,5,-1,664223),-- [mold_lubricant]
(22404,57,58301,116945,0,700000),-- [adena]
(22404,5320,1,1,1,371.653),-- [sealed_leather_mail_of_nightmare]
(22404,5480,1,1,1,55065.847),-- [sealed_leather_mail_of_nightmare_fabric]
(22404,5323,1,1,1,371.653),-- [sealed_majestic_leather_mail]
(22404,5481,1,1,1,55065.847),-- [sealed_majestic_leather_mail_fabric]
(22404,1895,12,36,2,73036.560512),-- [metallic_fiber]
(22404,4040,1,1,2,122701.510896),-- [mold_lubricant]
(22404,9628,1,1,2,48118.195824),-- [renad]
(22404,9630,1,1,2,32289.988704),-- [oricalcum]
(22404,960,1,1,2,2453.9856),-- [scrl_of_ench_am_s]
(22404,6871,1,1,2,7616.65076),-- [rp_sealed_draconic_leather_helmet_i]
(22404,9551,1,1,2,49080.827448),-- [ore_of_holy]
(22404,1344,2100,6300,2,36518.280256),-- [mithril_arrow]
(22404,9599,4,12,2,639100),-- [ancient_book_of_demon]
(22405,10405,1,1,-1,4807),-- [icarus_accipiter_piece]
(22405,1894,1,1,-1,394663),-- [crafted_leather]
(22405,960,1,1,-1,4499),-- [scrl_of_ench_am_s]
(22405,10381,1,1,-1,725),-- [rp_icarus_accipiter_i]
(22405,57,3670,7409,0,700000),-- [adena]
(22405,10223,1,1,1,4.760081),-- [icarus_accipiter]
(22405,10405,1,1,1,1578.239919),-- [icarus_accipiter_piece]
(22405,1879,1,1,2,205216.119126),-- [cokes]
(22405,1885,1,1,2,102608.229146),-- [high_grade_suede]
(22405,9628,1,1,2,9657.073518),-- [renad]
(22405,9630,1,1,2,6480.444762),-- [oricalcum]
(22405,9629,1,1,2,5353.396144),-- [adamantium]
(22405,9551,1,1,2,9850.737304),-- [ore_of_holy]
(22405,9599,1,3,2,384800),-- [ancient_book_of_demon]
(22406,10398,1,1,-1,11307),-- [icarus_disperser_piece]
(22406,1894,1,1,-1,925387),-- [crafted_leather]
(22406,10374,1,1,-1,1700),-- [rp_icarus_disperser_i]
(22406,57,6454,13029,0,700000),-- [adena]
(22406,10216,1,1,1,8.373414),-- [icarus_disperser]
(22406,10398,1,1,1,2784.626586),-- [icarus_disperser_piece]
(22406,1895,2,6,2,132570.302048),-- [metallic_fiber]
(22406,4040,1,1,2,37119.723264),-- [mold_lubricant]
(22406,4042,1,1,2,30933.10272),-- [enria]
(22406,4043,1,1,2,61866.20544),-- [asofe]
(22406,9551,1,1,2,14847.986032),-- [ore_of_holy]
(22406,959,1,1,2,74.479328),-- [scrl_of_ench_wp_s]
(22406,1345,60,180,2,206220.201168),-- [shining_arrow]
(22406,9599,2,6,2,338300),-- [ancient_book_of_demon]
(22407,10401,1,1,-1,19599),-- [icarus_trident_piece]
(22407,1894,1,3,-1,804596),-- [crafted_leather]
(22407,10377,1,1,-1,2956),-- [rp_icarus_trident_i]
(22407,57,11224,22657,0,700000),-- [adena]
(22407,10219,1,1,1,14.559894),-- [icarus_trident]
(22407,10401,1,1,1,4827.440106),-- [icarus_trident_piece]
(22407,1868,18,54,2,156889.627323),-- [thread]
(22407,1873,22,66,2,25102.188735),-- [silver_nugget]
(22407,5549,4,12,2,35300.176678),-- [iron_thread]
(22407,1889,5,15,2,18826.957461),-- [compound_braid]
(22407,4044,1,1,2,94133.944879),-- [thons]
(22407,9551,1,1,2,22592.180468),-- [ore_of_holy]
(22407,960,1,1,2,1129.693266),-- [scrl_of_ench_am_s]
(22407,1345,280,840,2,67238.23119),-- [shining_arrow]
(22407,9599,2,6,2,588300),-- [ancient_book_of_demon]
(22408,15654,1,1,-1,86701),-- [sealed_destino_gauntlet_piece]
(22408,15655,1,1,-1,86701),-- [sealed_destino_leather_gloves_piece]
(22408,15656,1,1,-1,86701),-- [sealed_destino_gloves_piece]
(22408,15657,1,1,-1,86701),-- [sealed_destino_boots_piece]
(22408,15658,1,1,-1,86701),-- [sealed_destino_leather_boots_piece]
(22408,15659,1,1,-1,86701),-- [sealed_destino_shoes_piece]
(22408,9630,1,1,-1,51108),-- [oricalcum]
(22408,15784,1,1,-1,11535),-- [rp_sealed_destino_gauntlet_i]
(22408,15785,1,1,-1,11535),-- [rp_sealed_destino_leather_gloves_i]
(22408,15786,1,1,-1,11535),-- [rp_sealed_destino_gloves_i]
(22408,15787,1,1,-1,11535),-- [rp_sealed_destino_boots_i]
(22408,15788,1,1,-1,11535),-- [rp_sealed_destino_leather_boots_i]
(22408,15789,1,1,-1,11535),-- [rp_sealed_destino_shoes_i]
(22408,57,10298,20788,0,700000),-- [adena]
(22408,15703,1,1,1,41.0397),-- [sealed_destino_gauntlet]
(22408,15704,1,1,1,41.0397),-- [sealed_destino_leather_gloves]
(22408,15705,1,1,1,41.0397),-- [sealed_destino_gloves]
(22408,15706,1,1,1,41.0397),-- [sealed_destino_boots]
(22408,15707,1,1,1,41.0397),-- [sealed_destino_leather_boots]
(22408,15708,1,1,1,41.0397),-- [sealed_destino_shoes]
(22408,15654,1,1,1,15433.8984),-- [sealed_destino_gauntlet_piece]
(22408,15655,1,1,1,15433.8984),-- [sealed_destino_leather_gloves_piece]
(22408,15656,1,1,1,15433.8984),-- [sealed_destino_gloves_piece]
(22408,15657,1,1,1,15433.8984),-- [sealed_destino_boots_piece]
(22408,15658,1,1,1,15433.8984),-- [sealed_destino_leather_boots_piece]
(22408,15659,1,1,1,15434.2698),-- [sealed_destino_shoes_piece]
(22408,1879,3,9,2,95964.925191),-- [cokes]
(22408,1885,1,1,2,287894.775573),-- [high_grade_suede]
(22408,9628,1,1,2,27095.773507),-- [renad]
(22408,9630,1,1,2,18183.05638),-- [oricalcum]
(22408,9629,1,1,2,15020.601089),-- [adamantium]
(22408,9551,1,1,2,27637.86826),-- [ore_of_holy]
(22408,9599,2,6,2,539800),-- [ancient_book_of_demon]
(22409,15645,1,1,-1,168991),-- [sealed_destino_helmet_piece]
(22409,15646,1,1,-1,168991),-- [sealed_destino_leather_helmet_piece]
(22409,15647,1,1,-1,168991),-- [sealed_destino_circlet_piece]
(22409,15693,1,1,-1,302925),-- [sealed_destino_shield_piece]
(22409,15692,1,1,-1,302925),-- [sealed_destino_sigil_piece]
(22409,15775,1,1,-1,22551),-- [rp_sealed_destino_helmet_i]
(22409,15776,1,1,-1,22551),-- [rp_sealed_destino_leather_helmet_i]
(22409,15777,1,1,-1,22551),-- [rp_sealed_destino_circlet_i]
(22409,15791,1,1,-1,32215),-- [rp_sealed_destino_shield_i]
(22409,15790,1,1,-1,32215),-- [rp_sealed_destino_sigil_i]
(22409,57,23228,46892,0,700000),-- [adena]
(22409,15694,1,1,1,74.058856),-- [sealed_destino_helmet]
(22409,15695,1,1,1,74.058856),-- [sealed_destino_leather_helmet]
(22409,15696,1,1,1,74.058856),-- [sealed_destino_circlet]
(22409,15710,1,1,1,105.955492),-- [sealed_destino_shield]
(22409,15709,1,1,1,105.955492),-- [sealed_destino_sigil]
(22409,15645,1,1,1,27771.704372),-- [sealed_destino_helmet_piece]
(22409,15646,1,1,1,27771.704372),-- [sealed_destino_leather_helmet_piece]
(22409,15647,1,1,1,27771.704372),-- [sealed_destino_circlet_piece]
(22409,15693,1,1,1,49782.399666),-- [sealed_destino_shield_piece]
(22409,15692,1,1,1,49782.399666),-- [sealed_destino_sigil_piece]
(22409,1869,60,180,2,35421.931909),-- [iron_ore]
(22409,1864,216,648,2,19678.767807),-- [stem]
(22409,1880,3,9,2,60723.686485),-- [steel]
(22409,5550,1,1,2,56675.315839),-- [reinforcing_plate]
(22409,4043,1,1,2,141688.476918),-- [asofe]
(22409,14166,1,1,2,20534.447851),-- [general_84_s]
(22409,14167,1,1,2,5127.336726),-- [special_84_s]
(22409,14168,1,1,2,512.883529),-- [rare_84_s]
(22409,14169,1,1,2,102.651634),-- [unique_84_s]
(22409,9551,1,1,2,34005.039647),-- [ore_of_holy]
(22409,959,1,1,2,170.461655),-- [scrl_of_ench_wp_s]
(22409,9599,3,9,2,811800),-- [ancient_book_of_demon]
(22410,15772,1,1,-1,769024),-- [sealed_destino_ring_gem]
(22410,15773,1,1,-1,432203),-- [sealed_destino_earring_gem]
(22410,15774,1,1,-1,372938),-- [sealed_destino_necklace_gem]
(22410,15812,1,1,-1,101741),-- [rp_sealed_destino_ring_i]
(22410,15813,1,1,-1,67819),-- [rp_sealed_destino_earring_i]
(22410,15814,1,1,-1,50866),-- [rp_sealed_destino_necklace_i]
(22410,57,27289,55089,0,700000),-- [adena]
(22410,15766,1,1,1,334.125557),-- [sealed_destino_ring]
(22410,15767,1,1,1,222.663967),-- [sealed_destino_earring]
(22410,15768,1,1,1,166.933172),-- [sealed_destino_necklace]
(22410,15772,1,1,1,126279.241932),-- [sealed_destino_ring_gem]
(22410,15773,1,1,1,70970.964122),-- [sealed_destino_earring_gem]
(22410,15774,1,1,1,61239.07125),-- [sealed_destino_necklace_gem]
(22410,1879,15,45,2,43595.450019),-- [cokes]
(22410,1885,2,6,2,163482.220143),-- [high_grade_suede]
(22410,9628,1,1,2,61546.324752),-- [renad]
(22410,9630,1,1,2,41300.909496),-- [oricalcum]
(22410,9629,1,1,2,34118.017857),-- [adamantium]
(22410,9551,1,1,2,62777.431629),-- [ore_of_holy]
(22410,960,1,1,2,3138.646104),-- [scrl_of_ench_am_s]
(22410,9599,4,12,2,715200),-- [ancient_book_of_demon]
(22411,6901,1,1,-1,64694),-- [rp_shining_arrow]
(22411,6698,1,3,-1,635377),-- [sealed_sanddragon's_earing_piece]
(22411,57,37911,75926,0,700000),-- [adena]
(22411,5313,1,1,1,587.988858),-- [sealed_gloves_of_nightmare]
(22411,5514,1,1,1,67277.761142),-- [sealed_gloves_of_nightmare_design]
(22411,5314,1,1,1,587.988858),-- [sealed_boots_of_nightmare]
(22411,5502,1,1,1,67277.761142),-- [sealed_boots_of_nightmare_lining]
(22411,5318,1,1,1,587.988858),-- [sealed_magestic_gloves]
(22411,5515,1,1,1,67277.761142),-- [sealed_magestic_gloves_design]
(22411,5319,1,1,1,587.988858),-- [sealed_magestic_boots]
(22411,5503,1,1,1,67277.761142),-- [sealed_magestic_boots_lining]
(22411,1868,120,360,2,37939.323365),-- [thread]
(22411,1873,12,36,2,75878.64673),-- [silver_nugget]
(22411,5549,3,9,2,65038.955858),-- [iron_thread]
(22411,1889,4,12,2,33724.068165),-- [compound_braid]
(22411,4044,1,1,2,151757.698773),-- [thons]
(22411,6901,1,1,2,4552.880929),-- [rp_shining_arrow]
(22411,9551,1,1,2,36421.42618),-- [ore_of_holy]
(22411,9599,3,9,2,553300),-- [ancient_book_of_demon]
(22412,6699,1,9,-1,844475),-- [sealed_ring_of_aurakyria_gem]
(22412,959,1,1,-1,7749),-- [scrl_of_ench_wp_s]
(22412,4044,1,13,-1,922488),-- [thons]
(22412,57,113523,227356,0,700000),-- [adena]
(22412,164,1,1,1,115.025808),-- [elysian]
(22412,5533,1,1,1,32721.690984),-- [elysian_head]
(22412,213,1,1,1,115.025808),-- [worldtree's_branch]
(22412,5544,1,1,1,32689.389216),-- [worldtree's_branch_head]
(22412,7895,1,1,1,115.025808),-- [dragon_flame_head]
(22412,8342,1,1,1,32721.690984),-- [dragon_flame_head_piece]
(22412,7902,1,1,1,115.025808),-- [doom_crusher]
(22412,8349,1,1,1,32715.125584),-- [doom_crusher_head]
(22412,1894,5,15,2,55806.881148),-- [crafted_leather]
(22412,4039,9,27,2,29453.631717),-- [mold_glue]
(22412,4041,1,1,2,138303.862503),-- [mold_hardener]
(22412,4044,2,6,2,132541.100736),-- [thons]
(22412,959,1,1,2,636.435015),-- [scrl_of_ench_wp_s]
(22412,9551,1,1,2,127239.088881),-- [ore_of_holy]
(22412,9599,6,20,2,764700),-- [ancient_book_of_demon]
(22413,1876,1,33,-1,894743),-- [mithril_ore]
(22413,6700,1,1,-1,910489),-- [sealed_dragon_necklace_wire]
(22413,6901,1,1,-1,76053),-- [rp_shining_arrow]
(22413,57,44568,89257,0,700000),-- [adena]
(22413,6326,1,1,1,625.034896),-- [sealed_majestic_necklace]
(22413,6344,1,1,1,91524.597222),-- [sealed_majestic_necklace_beads]
(22413,6327,1,1,1,833.526171),-- [sealed_majestic_earing]
(22413,6342,1,1,1,141428.629877),-- [sealed_majestic_earing_gemstone]
(22413,6328,1,1,1,1250.069792),-- [sealed_majestic_ring]
(22413,6346,1,1,1,203267.142042),-- [sealed_majestic_ring_gemstrone]
(22413,1879,3,9,2,94607.5251),-- [cokes]
(22413,1885,1,1,2,283823.062842),-- [high_grade_suede]
(22413,9628,1,1,2,26712.913722),-- [renad]
(22413,9630,1,1,2,17925.456714),-- [oricalcum]
(22413,9629,1,1,2,14808.113166),-- [adamantium]
(22413,960,1,1,2,1362.192348),-- [scrl_of_ench_am_s]
(22413,14166,1,1,2,16453.567416),-- [general_84_s]
(22413,14167,1,1,2,4108.516434),-- [special_84_s]
(22413,14168,1,1,2,410.997906),-- [rare_84_s]
(22413,14169,1,1,2,81.907056),-- [unique_84_s]
(22413,9551,1,1,2,27247.747296),-- [ore_of_holy]
(22413,9599,2,6,2,975600),-- [ancient_book_of_demon]
(22414,6701,1,1,-1,314955),-- [sealed_imperial_crusader_armor_part]
(22414,6901,1,1,-1,59156),-- [rp_shining_arrow]
(22414,6702,1,1,-1,405431),-- [sealed_imperial_crusader_gaiters_pattern]
(22414,57,34666,69427,0,700000),-- [adena]
(22414,305,1,1,1,140.499888),-- [tallum_glaive]
(22414,5541,1,1,1,39956.500112),-- [tallum_glaive_edge]
(22414,1895,3,9,2,231278.75376),-- [metallic_fiber]
(22414,4040,1,1,2,97136.902266),-- [mold_lubricant]
(22414,9628,1,1,2,38093.099379),-- [renad]
(22414,9630,1,1,2,25562.594997),-- [oricalcum]
(22414,6901,1,1,2,4856.801535),-- [rp_shining_arrow]
(22414,9551,1,1,2,38854.848063),-- [ore_of_holy]
(22414,9599,2,6,2,758900),-- [ancient_book_of_demon]
(22415,960,1,1,-1,27964),-- [scrl_of_ench_am_s]
(22415,1885,1,13,-1,832251),-- [high_grade_suede]
(22415,13099,1,3,-1,487477),-- [sealed_arcana_sigil_part]
(22415,57,40967,82047,0,700000),-- [adena]
(22415,236,1,1,1,166.036824),-- [soul_separator]
(22415,5537,1,1,1,47245.963176),-- [soul_separator_head]
(22415,1879,3,9,2,136658.771834),-- [cokes]
(22415,1885,2,6,2,102494.261164),-- [high_grade_suede]
(22415,9628,1,1,2,38586.100526),-- [renad]
(22415,9630,1,1,2,25893.352271),-- [oricalcum]
(22415,9629,1,1,2,21390.097167),-- [adamantium]
(22415,959,1,1,2,196.87158),-- [scrl_of_ench_wp_s]
(22415,9551,1,1,2,39357.545458),-- [ore_of_holy]
(22415,9599,3,9,2,597900),-- [ancient_book_of_demon]
(22416,5480,1,1,-1,222823),-- [sealed_leather_mail_of_nightmare_fabric]
(22416,1808,1,1,-1,22070),-- [rp_soulshot_s]
(22416,5481,1,1,-1,222823),-- [sealed_majestic_leather_mail_fabric]
(22416,57,33245,68095,0,700000),-- [adena]
(22416,5320,1,1,1,185.23152),-- [sealed_leather_mail_of_nightmare]
(22416,5480,1,1,1,27444.76848),-- [sealed_leather_mail_of_nightmare_fabric]
(22416,5323,1,1,1,185.23152),-- [sealed_majestic_leather_mail]
(22416,5481,1,1,1,27444.76848),-- [sealed_majestic_leather_mail_fabric]
(22416,1873,16,48,2,43681.608475),-- [silver_nugget]
(22416,1868,135,405,2,25885.476025),-- [thread]
(22416,1876,3,9,2,99844.220905),-- [mithril_ore]
(22416,1895,3,9,2,166406.752565),-- [metallic_fiber]
(22416,4042,1,1,2,58242.42691),-- [enria]
(22416,960,1,1,2,1397.692915),-- [scrl_of_ench_am_s]
(22416,9547,1,1,2,27956.822205),-- [ore_of_water]
(22417,3036,1,1,-1,3541),-- [rp_spiritshot_s]
(22417,5487,1,1,-1,35877),-- [sealed_robe_of_nightmare_fabric]
(22417,4041,1,1,-1,69280),-- [mold_hardener]
(22417,57,5334,10925,0,700000),-- [adena]
(22417,5326,1,1,1,29.718195),-- [sealed_robe_of_nightmare]
(22417,5487,1,1,1,4417.781805),-- [sealed_robe_of_nightmare_fabric]
(22417,5329,1,1,1,29.718195),-- [sealed_majestic_robe]
(22417,5488,1,1,1,4417.781805),-- [sealed_majestic_robe_fabric]
(22417,1879,1,1,2,59465.822428),-- [cokes]
(22417,1885,1,1,2,29732.911214),-- [high_grade_suede]
(22417,9628,1,1,2,2798.423983),-- [renad]
(22417,9630,1,1,2,1877.867005),-- [oricalcum]
(22417,9629,1,1,2,1551.263733),-- [adamantium]
(22417,6901,1,1,2,356.840545),-- [rp_shining_arrow]
(22417,10483,1,1,2,2477.725633),-- [general_82_s]
(22417,10484,1,1,2,619.405956),-- [special_82_s]
(22417,10485,1,1,2,61.899872),-- [rare_82_s]
(22417,10486,1,1,2,12.420698),-- [unique_82_s]
(22417,9547,1,1,2,2854.418933),-- [ore_of_water]
(22418,1889,1,1,-1,363965),-- [compound_braid]
(22418,5488,1,1,-1,24584),-- [sealed_majestic_robe_fabric]
(22418,3957,1,1,-1,2426),-- [rp_blessed_spiritshot_s]
(22418,57,3655,7487,0,700000),-- [adena]
(22418,5313,1,1,1,49.620894),-- [sealed_gloves_of_nightmare]
(22418,5514,1,1,1,5677.629106),-- [sealed_gloves_of_nightmare_design]
(22418,5314,1,1,1,49.620894),-- [sealed_boots_of_nightmare]
(22418,5502,1,1,1,5677.629106),-- [sealed_boots_of_nightmare_lining]
(22418,5318,1,1,1,49.620894),-- [sealed_magestic_gloves]
(22418,5515,1,1,1,5677.629106),-- [sealed_magestic_gloves_design]
(22418,5319,1,1,1,49.620894),-- [sealed_magestic_boots]
(22418,5503,1,1,1,5677.629106),-- [sealed_magestic_boots_lining]
(22418,1868,3,9,2,128066.585775),-- [thread]
(22418,1873,1,1,2,153679.685925),-- [silver_nugget]
(22418,5549,1,1,2,38420.0119),-- [iron_thread]
(22418,1889,1,1,2,25613.461825),-- [compound_braid]
(22418,4044,1,1,2,12806.550075),-- [thons]
(22418,959,1,1,2,15.19035),-- [scrl_of_ench_wp_s]
(22418,9547,1,1,2,3073.51415),-- [ore_of_water]
(22419,5495,1,1,-1,77761),-- [sealed_shield_of_nightmare_fragment]
(22419,5157,1,1,-1,2276),-- [rp_comp_soulshot_s]
(22419,5502,1,1,-1,86487),-- [sealed_boots_of_nightmare_lining]
(22419,57,3428,7022,0,700000),-- [adena]
(22419,81,1,1,1,4.054635),-- [dragon_slayer]
(22419,5529,1,1,1,1153.12242),-- [dragon_slayer_edge]
(22419,151,1,1,1,4.054635),-- [sword_of_miracle]
(22419,5546,1,1,1,1266.59484),-- [sword_of_miracle_edge]
(22419,2500,1,1,1,4.054635),-- [dark_legion's_edge]
(22419,5545,1,1,1,1153.118835),-- [dark_legion's_edge_edge]
(22419,1895,1,1,2,72075.141644),-- [metallic_fiber]
(22419,4040,1,1,2,5045.225152),-- [mold_lubricant]
(22419,9628,1,1,2,1978.52798),-- [renad]
(22419,9630,1,1,2,1327.695292),-- [oricalcum]
(22419,960,1,1,2,100.89772),-- [scrl_of_ench_am_s]
(22419,10483,1,1,2,1751.804868),-- [general_82_s]
(22419,10484,1,1,2,437.93002),-- [special_82_s]
(22419,10485,1,1,2,43.835396),-- [rare_82_s]
(22419,10486,1,1,2,8.733164),-- [unique_82_s]
(22419,9547,1,1,2,2018.208764),-- [ore_of_water]
(22420,1895,1,3,-1,799855),-- [metallic_fiber]
(22420,4042,1,1,-1,93316),-- [enria]
(22420,5503,1,1,-1,94561),-- [sealed_magestic_boots_lining]
(22420,57,3748,7678,0,700000),-- [adena]
(22420,164,1,1,1,3.32442),-- [elysian]
(22420,5533,1,1,1,945.70641),-- [elysian_head]
(22420,213,1,1,1,3.32442),-- [worldtree's_branch]
(22420,5544,1,1,1,944.77284),-- [worldtree's_branch_head]
(22420,7895,1,1,1,3.32442),-- [dragon_flame_head]
(22420,8342,1,1,1,945.70641),-- [dragon_flame_head_piece]
(22420,7902,1,1,1,3.32442),-- [doom_crusher]
(22420,8349,1,1,1,945.51666),-- [doom_crusher_head]
(22420,1873,1,1,2,137906.17236),-- [silver_nugget]
(22420,1868,3,9,2,114921.8103),-- [thread]
(22420,1876,1,1,2,68953.08618),-- [mithril_ore]
(22420,1895,1,1,2,98504.547856),-- [metallic_fiber]
(22420,4042,1,1,2,5746.212164),-- [enria]
(22420,6901,1,1,2,344.996564),-- [rp_shining_arrow]
(22420,9547,1,1,2,2758.026128),-- [ore_of_water]
(22420,1345,40,120,2,57461.148448),-- [shining_arrow]
(22422,6689,1,1,-1,25489),-- [basalt_battlehammer_head]
(22422,959,1,1,-1,481),-- [scrl_of_ench_wp_s]
(22422,4042,1,1,-1,200313),-- [enria]
(22422,57,7033,14107,0,700000),-- [adena]
(22422,5320,1,1,1,44.833),-- [sealed_leather_mail_of_nightmare]
(22422,5480,1,1,1,6642.667),-- [sealed_leather_mail_of_nightmare_fabric]
(22422,5323,1,1,1,44.833),-- [sealed_majestic_leather_mail]
(22422,5481,1,1,1,6642.667),-- [sealed_majestic_leather_mail_fabric]
(22422,1873,2,6,2,59205.799541),-- [silver_nugget]
(22422,1868,18,54,2,41115.150249),-- [thread]
(22422,1876,1,1,2,148014.288633),-- [mithril_ore]
(22422,1895,3,9,2,30206.860394),-- [metallic_fiber]
(22422,4042,1,1,2,12334.418943),-- [enria]
(22422,960,1,1,2,295.989056),-- [scrl_of_ench_am_s]
(22422,9551,1,1,2,5920.621998),-- [ore_of_holy]
(22422,1345,40,120,2,123345.871186),-- [shining_arrow]
(22422,9599,1,1,2,616700),-- [ancient_book_of_demon]
(22423,10405,1,1,-1,11716),-- [icarus_accipiter_piece]
(22423,959,1,1,-1,1097),-- [scrl_of_ench_wp_s]
(22423,1894,1,3,-1,480954),-- [crafted_leather]
(22423,10381,1,1,-1,1767),-- [rp_icarus_accipiter_i]
(22423,57,8945,18058,0,700000),-- [adena]
(22423,10223,1,1,1,11.604013),-- [icarus_accipiter]
(22423,10405,1,1,1,3847.395987),-- [icarus_accipiter_piece]
(22423,1895,2,6,2,183736.08519),-- [metallic_fiber]
(22423,4040,1,1,2,51446.07604),-- [mold_lubricant]
(22423,9628,1,1,2,20174.99995),-- [renad]
(22423,9630,1,1,2,13538.422765),-- [oricalcum]
(22423,9551,1,1,2,20578.29135),-- [ore_of_holy]
(22423,960,1,1,2,1029.0884),-- [scrl_of_ench_am_s]
(22423,1345,300,900,2,57162.036305),-- [shining_arrow]
(22423,9599,2,6,2,468900),-- [ancient_book_of_demon]
(22424,10397,1,1,-1,1994),-- [icarus_sowsword_piece]
(22424,10399,1,1,-1,1994),-- [icarus_spirits_piece]
(22424,10400,1,1,-1,1988),-- [icarus_heavy_arms_piece]
(22424,960,1,1,-1,1860),-- [scrl_of_ench_am_s]
(22424,10373,1,1,-1,300),-- [rp_icarus_sowsword_i]
(22424,10375,1,1,-1,300),-- [rp_icarus_spirits_i]
(22424,10376,1,1,-1,300),-- [rp_icarus_heavy_arms_i]
(22424,57,2656,5362,0,700000),-- [adena]
(22424,10215,1,1,1,1.722351),-- [icarus_sowsword]
(22424,10217,1,1,1,1.722351),-- [icarus_spirits]
(22424,10397,1,1,1,572.777649),-- [icarus_sowsword_piece]
(22424,10399,1,1,1,572.777649),-- [icarus_spirits_piece]
(22424,1895,1,1,2,254583.83025),-- [metallic_fiber]
(22424,4040,1,1,2,17820.97389),-- [mold_lubricant]
(22424,4042,1,1,2,14850.88209),-- [enria]
(22424,4043,1,1,2,29701.34109),-- [asofe]
(22424,9551,1,1,2,7128.22032),-- [ore_of_holy]
(22424,1345,60,180,2,99004.75236),-- [shining_arrow]
(22424,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22425,10400,1,1,-1,4638),-- [icarus_heavy_arms_piece]
(22425,1894,1,1,-1,380804),-- [crafted_leather]
(22425,10376,1,1,-1,699),-- [rp_icarus_heavy_arms_i]
(22425,57,2656,5362,0,700000),-- [adena]
(22425,10218,1,1,1,3.446022),-- [icarus_heavy_arms]
(22425,10400,1,1,1,1142.553978),-- [icarus_heavy_arms_piece]
(22425,1895,1,1,2,152750.066223),-- [metallic_fiber]
(22425,4040,1,1,2,10692.438756),-- [mold_lubricant]
(22425,9628,1,1,2,4193.14815),-- [renad]
(22425,9630,1,1,2,2813.771559),-- [oricalcum]
(22425,14166,1,1,2,2582.658765),-- [general_84_s]
(22425,14167,1,1,2,644.907966),-- [special_84_s]
(22425,14168,1,1,2,64.455186),-- [rare_84_s]
(22425,14169,1,1,2,12.819816),-- [unique_84_s]
(22425,9551,1,1,2,4277.011113),-- [ore_of_holy]
(22425,959,1,1,2,21.722466),-- [scrl_of_ench_wp_s]
(22425,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22426,10404,1,1,-1,2783),-- [icarus_wand_piece]
(22426,10402,1,1,-1,2783),-- [icarus_chopper_piece]
(22426,9630,1,1,-1,34272),-- [oricalcum]
(22426,10380,1,1,-1,420),-- [rp_icarus_wand_i]
(22426,10378,1,1,-1,420),-- [rp_icarus_chopper_i]
(22426,57,2656,5362,0,700000),-- [adena]
(22426,10220,1,1,1,3.446022),-- [icarus_chopper]
(22426,10402,1,1,1,1142.553978),-- [icarus_chopper_piece]
(22426,1895,1,1,2,138864.054615),-- [metallic_fiber]
(22426,4040,1,1,2,9720.653943),-- [mold_lubricant]
(22426,9628,1,1,2,3812.145051),-- [renad]
(22426,9630,1,1,2,2558.117991),-- [oricalcum]
(22426,14166,1,1,2,2348.141367),-- [general_84_s]
(22426,14167,1,1,2,586.184742),-- [special_84_s]
(22426,14168,1,1,2,58.812897),-- [rare_84_s]
(22426,14169,1,1,2,11.665368),-- [unique_84_s]
(22426,9551,1,1,2,3887.969943),-- [ore_of_holy]
(22426,960,1,1,2,194.4228),-- [scrl_of_ench_am_s]
(22426,1345,10,30,2,324014.831283),-- [shining_arrow]
(22426,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22427,10403,1,1,-1,3478),-- [icarus_knuckle_piece]
(22427,959,1,1,-1,326),-- [scrl_of_ench_wp_s]
(22427,1894,1,1,-1,285603),-- [crafted_leather]
(22427,10379,1,1,-1,525),-- [rp_icarus_knuckle_i]
(22427,57,2656,5362,0,700000),-- [adena]
(22427,10221,1,1,1,3.446022),-- [icarus_knuckle]
(22427,10403,1,1,1,1142.553978),-- [icarus_knuckle_piece]
(22427,1872,3,9,2,132006.523305),-- [animal_bone]
(22427,1882,1,1,2,132006.523305),-- [leather]
(22427,1894,1,1,2,20843.087388),-- [crafted_leather]
(22427,4042,1,1,2,9900.375555),-- [enria]
(22427,14166,1,1,2,2869.608165),-- [general_84_s]
(22427,14167,1,1,2,716.416703),-- [special_84_s]
(22427,14168,1,1,2,71.550716),-- [rare_84_s]
(22427,14169,1,1,2,14.249507),-- [unique_84_s]
(22427,9551,1,1,2,4752.665356),-- [ore_of_holy]
(22427,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22428,15772,1,1,-1,74848),-- [sealed_destino_ring_gem]
(22428,15773,1,1,-1,42066),-- [sealed_destino_earring_gem]
(22428,15774,1,1,-1,36297),-- [sealed_destino_necklace_gem]
(22428,15812,1,1,-1,9902),-- [rp_sealed_destino_ring_i]
(22428,15813,1,1,-1,6601),-- [rp_sealed_destino_earring_i]
(22428,15814,1,1,-1,4951),-- [rp_sealed_destino_necklace_i]
(22428,57,2656,5362,0,700000),-- [adena]
(22428,15766,1,1,1,32.520181),-- [sealed_destino_ring]
(22428,15767,1,1,1,21.671711),-- [sealed_destino_earring]
(22428,15768,1,1,1,16.247476),-- [sealed_destino_necklace]
(22428,15772,1,1,1,12290.660556),-- [sealed_destino_ring_gem]
(22428,15773,1,1,1,6907.548826),-- [sealed_destino_earring_gem]
(22428,15774,1,1,1,5960.35125),-- [sealed_destino_necklace_gem]
(22428,1895,1,1,2,218214.524646),-- [metallic_fiber]
(22428,4040,1,1,2,15274.951443),-- [mold_lubricant]
(22428,4042,1,1,2,12729.307542),-- [enria]
(22428,4043,1,1,2,25458.252405),-- [asofe]
(22428,9551,1,1,2,6110.053113),-- [ore_of_holy]
(22428,959,1,1,2,30.465036),-- [scrl_of_ench_wp_s]
(22428,1345,60,180,2,84861.445815),-- [shining_arrow]
(22428,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22429,15654,1,1,-1,22362),-- [sealed_destino_gauntlet_piece]
(22429,15655,1,1,-1,22362),-- [sealed_destino_leather_gloves_piece]
(22429,15656,1,1,-1,22362),-- [sealed_destino_gloves_piece]
(22429,15657,1,1,-1,22362),-- [sealed_destino_boots_piece]
(22429,15658,1,1,-1,22362),-- [sealed_destino_leather_boots_piece]
(22429,15659,1,1,-1,22362),-- [sealed_destino_shoes_piece]
(22429,9630,1,1,-1,13182),-- [oricalcum]
(22429,15784,1,1,-1,2975),-- [rp_sealed_destino_gauntlet_i]
(22429,15785,1,1,-1,2975),-- [rp_sealed_destino_leather_gloves_i]
(22429,15786,1,1,-1,2975),-- [rp_sealed_destino_gloves_i]
(22429,15787,1,1,-1,2975),-- [rp_sealed_destino_boots_i]
(22429,15788,1,1,-1,2975),-- [rp_sealed_destino_leather_boots_i]
(22429,15789,1,1,-1,2975),-- [rp_sealed_destino_shoes_i]
(22429,57,2656,5362,0,700000),-- [adena]
(22429,15703,1,1,1,21.170085),-- [sealed_destino_gauntlet]
(22429,15704,1,1,1,21.170085),-- [sealed_destino_leather_gloves]
(22429,15705,1,1,1,21.170085),-- [sealed_destino_gloves]
(22429,15654,1,1,1,7952.512529),-- [sealed_destino_gauntlet_piece]
(22429,15655,1,1,1,7952.512529),-- [sealed_destino_leather_gloves_piece]
(22429,15656,1,1,1,7952.464687),-- [sealed_destino_gloves_piece]
(22429,1873,2,6,2,53462.637445),-- [silver_nugget]
(22429,1868,18,54,2,37126.842105),-- [thread]
(22429,1876,1,1,2,133656.403785),-- [mithril_ore]
(22429,1895,3,9,2,27276.69313),-- [metallic_fiber]
(22429,4042,1,1,2,11137.938735),-- [enria]
(22429,9551,1,1,2,5346.30171),-- [ore_of_holy]
(22429,960,1,1,2,267.27712),-- [scrl_of_ench_am_s]
(22429,1345,40,120,2,111380.90597),-- [shining_arrow]
(22429,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22430,15645,1,1,-1,19323),-- [sealed_destino_helmet_piece]
(22430,15646,1,1,-1,19323),-- [sealed_destino_leather_helmet_piece]
(22430,15647,1,1,-1,19323),-- [sealed_destino_circlet_piece]
(22430,15693,1,1,-1,34637),-- [sealed_destino_shield_piece]
(22430,15692,1,1,-1,34637),-- [sealed_destino_sigil_piece]
(22430,15775,1,1,-1,2579),-- [rp_sealed_destino_helmet_i]
(22430,15776,1,1,-1,2579),-- [rp_sealed_destino_leather_helmet_i]
(22430,15777,1,1,-1,2579),-- [rp_sealed_destino_circlet_i]
(22430,15791,1,1,-1,3684),-- [rp_sealed_destino_shield_i]
(22430,15790,1,1,-1,3684),-- [rp_sealed_destino_sigil_i]
(22430,57,2656,5362,0,700000),-- [adena]
(22430,15694,1,1,1,21.169555),-- [sealed_destino_helmet]
(22430,15695,1,1,1,21.169555),-- [sealed_destino_leather_helmet]
(22430,15645,1,1,1,7931.330445),-- [sealed_destino_helmet_piece]
(22430,15646,1,1,1,7931.330445),-- [sealed_destino_leather_helmet_piece]
(22430,1879,1,1,2,148507.381962),-- [cokes]
(22430,1885,1,1,2,74253.813702),-- [high_grade_suede]
(22430,9628,1,1,2,6988.470066),-- [renad]
(22430,9630,1,1,2,4689.660294),-- [oricalcum]
(22430,9629,1,1,2,3874.056528),-- [adamantium]
(22430,9551,1,1,2,7128.617448),-- [ore_of_holy]
(22430,9599,1,1,2,556900),-- [ancient_book_of_demon]
(22431,15649,1,1,-1,201187),-- [sealed_destino_houberk_piece]
(22431,9630,1,1,-1,329842),-- [oricalcum]
(22431,15779,1,1,-1,24815),-- [rp_sealed_destino_houberk_i]
(22431,57,15337,30961,0,700000),-- [adena]
(22431,15698,1,1,1,122.240331),-- [sealed_destino_houberk]
(22431,15649,1,1,1,49548.759669),-- [sealed_destino_houberk_piece]
(22431,1871,24,72,2,91880.470746),-- [charcoal]
(22431,1866,52,156,2,28001.641086),-- [suede]
(22431,1877,1,1,2,176410.613826),-- [admantite_nugget]
(22431,4041,1,1,2,38350.213146),-- [mold_hardener]
(22431,4040,1,1,2,88205.306913),-- [mold_lubricant]
(22431,9551,1,1,2,35282.306088),-- [ore_of_holy]
(22431,959,1,1,2,176.448195),-- [scrl_of_ench_wp_s]
(22431,9599,3,9,2,536000),-- [ancient_book_of_demon]
(22432,15652,1,1,-1,49141),-- [sealed_destino_leather_legging_piece]
(22432,9630,1,1,-1,49658),-- [oricalcum]
(22432,15782,1,1,-1,5978),-- [rp_sealed_destino_leather_legging_i]
(22432,57,2309,4661,0,700000),-- [adena]
(22432,15701,1,1,1,29.446791),-- [sealed_destino_leather_legging]
(22432,15652,1,1,1,12103.553209),-- [sealed_destino_leather_legging_piece]
(22432,1865,1,3,2,211264.24527),-- [varnish]
(22432,1870,1,3,2,140842.985283),-- [coal]
(22432,1879,1,1,2,70421.259987),-- [cokes]
(22432,1875,1,1,2,28168.410933),-- [stone_of_purity]
(22432,4040,1,1,2,8450.476749),-- [mold_lubricant]
(22432,14166,1,1,2,2041.310583),-- [general_84_s]
(22432,14167,1,1,2,509.513355),-- [special_84_s]
(22432,14168,1,1,2,51.18399),-- [rare_84_s]
(22432,14169,1,1,2,10.236798),-- [unique_84_s]
(22432,9551,1,1,2,3380.004576),-- [ore_of_holy]
(22432,960,1,1,2,169.372476),-- [scrl_of_ench_am_s]
(22432,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22433,15772,1,1,-1,65069),-- [sealed_destino_ring_gem]
(22433,15773,1,1,-1,36570),-- [sealed_destino_earring_gem]
(22433,15774,1,1,-1,31555),-- [sealed_destino_necklace_gem]
(22433,15812,1,1,-1,8609),-- [rp_sealed_destino_ring_i]
(22433,15813,1,1,-1,5738),-- [rp_sealed_destino_earring_i]
(22433,15814,1,1,-1,4304),-- [rp_sealed_destino_necklace_i]
(22433,57,2309,4661,0,700000),-- [adena]
(22433,15766,1,1,1,28.271637),-- [sealed_destino_ring]
(22433,15767,1,1,1,18.840447),-- [sealed_destino_earring]
(22433,15768,1,1,1,14.124852),-- [sealed_destino_necklace]
(22433,15772,1,1,1,10684.968012),-- [sealed_destino_ring_gem]
(22433,15773,1,1,1,6005.123802),-- [sealed_destino_earring_gem]
(22433,15774,1,1,1,5181.67125),-- [sealed_destino_necklace_gem]
(22433,1866,1,3,2,172141.105266),-- [suede]
(22433,1871,4,12,2,96829.348122),-- [charcoal]
(22433,5220,1,1,2,30985.346106),-- [reinforcing_agent]
(22433,1885,1,1,2,64552.772934),-- [high_grade_suede]
(22433,4041,1,1,2,6735.829932),-- [mold_hardener]
(22433,9551,1,1,2,6197.59764),-- [ore_of_holy]
(22433,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22434,15654,1,1,-1,19440),-- [sealed_destino_gauntlet_piece]
(22434,15655,1,1,-1,19440),-- [sealed_destino_leather_gloves_piece]
(22434,15656,1,1,-1,19440),-- [sealed_destino_gloves_piece]
(22434,15657,1,1,-1,19440),-- [sealed_destino_boots_piece]
(22434,15658,1,1,-1,19440),-- [sealed_destino_leather_boots_piece]
(22434,15659,1,1,-1,19440),-- [sealed_destino_shoes_piece]
(22434,9630,1,1,-1,11460),-- [oricalcum]
(22434,15784,1,1,-1,2587),-- [rp_sealed_destino_gauntlet_i]
(22434,15785,1,1,-1,2587),-- [rp_sealed_destino_leather_gloves_i]
(22434,15786,1,1,-1,2587),-- [rp_sealed_destino_gloves_i]
(22434,15787,1,1,-1,2587),-- [rp_sealed_destino_boots_i]
(22434,15788,1,1,-1,2587),-- [rp_sealed_destino_leather_boots_i]
(22434,15789,1,1,-1,2587),-- [rp_sealed_destino_shoes_i]
(22434,57,2309,4661,0,700000),-- [adena]
(22434,15706,1,1,1,18.40446),-- [sealed_destino_boots]
(22434,15707,1,1,1,18.40446),-- [sealed_destino_leather_boots]
(22434,15708,1,1,1,18.40446),-- [sealed_destino_shoes]
(22434,15657,1,1,1,6913.609404),-- [sealed_destino_boots_piece]
(22434,15658,1,1,1,6913.609404),-- [sealed_destino_leather_boots_piece]
(22434,15659,1,1,1,6913.567812),-- [sealed_destino_shoes_piece]
(22434,1869,9,27,2,32276.511488),-- [iron_ore]
(22434,1864,4,12,2,145243.611968),-- [stem]
(22434,1880,1,1,2,58097.51376),-- [steel]
(22434,5550,1,1,2,7746.335168),-- [reinforcing_plate]
(22434,4043,1,1,2,19365.83792),-- [asofe]
(22434,9551,1,1,2,4647.732128),-- [ore_of_holy]
(22434,959,1,1,2,23.105888),-- [scrl_of_ench_wp_s]
(22434,1345,50,150,2,77463.35168),-- [shining_arrow]
(22434,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22435,15650,1,1,-1,30289),-- [sealed_destino_jaket_piece]
(22435,1894,1,1,-1,331055),-- [crafted_leather]
(22435,15780,1,1,-1,3736),-- [rp_sealed_destino_jaket_i]
(22435,57,2309,4661,0,700000),-- [adena]
(22435,15699,1,1,1,18.403358),-- [sealed_destino_jaket]
(22435,15650,1,1,1,7459.596642),-- [sealed_destino_jaket_piece]
(22435,1895,1,1,2,221324.709935),-- [metallic_fiber]
(22435,4040,1,1,2,15492.767717),-- [mold_lubricant]
(22435,9628,1,1,2,6075.590213),-- [renad]
(22435,9630,1,1,2,4076.924068),-- [oricalcum]
(22435,9551,1,1,2,6197.005696),-- [ore_of_holy]
(22435,960,1,1,2,310.002371),-- [scrl_of_ench_am_s]
(22435,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22436,15648,1,1,-1,22384),-- [sealed_destino_cuirass_piece]
(22436,1894,1,1,-1,331055),-- [crafted_leather]
(22436,15778,1,1,-1,2802),-- [rp_sealed_destino_cuirass_i]
(22436,57,2309,4661,0,700000),-- [adena]
(22436,15697,1,1,1,13.803416),-- [sealed_destino_cuirass]
(22436,15648,1,1,1,5514.196584),-- [sealed_destino_cuirass_piece]
(22436,1868,3,9,2,258211.777049),-- [thread]
(22436,1873,2,6,2,77463.384075),-- [silver_nugget]
(22436,5549,1,1,2,77463.384075),-- [iron_thread]
(22436,1889,1,1,2,51642.25605),-- [compound_braid]
(22436,4044,1,1,2,25821.128025),-- [thons]
(22436,9551,1,1,2,6197.070726),-- [ore_of_holy]
(22436,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22437,15651,1,1,-1,37515),-- [sealed_destino_gaiter_piece]
(22437,1894,1,1,-1,331055),-- [crafted_leather]
(22437,15781,1,1,-1,4483),-- [rp_sealed_destino_gaiter_i]
(22437,57,2309,4661,0,700000),-- [adena]
(22437,15700,1,1,1,22.082992),-- [sealed_destino_gaiter]
(22437,15651,1,1,1,9240.917008),-- [sealed_destino_gaiter_piece]
(22437,1868,3,9,2,193658.78067),-- [thread]
(22437,1873,2,6,2,46478.290494),-- [silver_nugget]
(22437,5549,1,1,2,58097.634201),-- [iron_thread]
(22437,1889,1,1,2,38731.756134),-- [compound_braid]
(22437,4044,1,1,2,19365.878067),-- [thons]
(22437,9551,1,1,2,4647.920616),-- [ore_of_holy]
(22437,959,1,1,2,23.349483),-- [scrl_of_ench_wp_s]
(22437,1345,40,120,2,96829.390335),-- [shining_arrow]
(22437,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22438,15653,1,1,-1,49141),-- [sealed_destino_hose_piece]
(22438,959,1,1,-1,377),-- [scrl_of_ench_wp_s]
(22438,15783,1,1,-1,5978),-- [rp_sealed_destino_hose_i]
(22438,57,2309,4661,0,700000),-- [adena]
(22438,15702,1,1,1,29.446791),-- [sealed_destino_hose]
(22438,15653,1,1,1,12103.553209),-- [sealed_destino_hose_piece]
(22438,1895,1,1,2,221324.709935),-- [metallic_fiber]
(22438,4040,1,1,2,15492.767717),-- [mold_lubricant]
(22438,9628,1,1,2,6075.590213),-- [renad]
(22438,9630,1,1,2,4076.924068),-- [oricalcum]
(22438,9551,1,1,2,6197.005696),-- [ore_of_holy]
(22438,960,1,1,2,310.002371),-- [scrl_of_ench_am_s]
(22438,9599,1,1,2,484100),-- [ancient_book_of_demon]
(22439,6901,1,1,-1,104031),-- [rp_shining_arrow]
(22439,6709,1,3,-1,740591),-- [sealed_draconic_leather_boots_design]
(22439,960,1,1,-1,41612),-- [scrl_of_ench_am_s]
(22439,57,60963,122093,0,700000),-- [adena]
(22439,289,1,1,1,247.079),-- [soul_bow]
(22439,5534,1,1,1,70346.921),-- [soul_bow_shaft]
(22439,1894,2,6,2,32693.312938),-- [crafted_leather]
(22439,4039,3,9,2,25882.300768),-- [mold_glue]
(22439,4041,1,1,2,40511.54586),-- [mold_hardener]
(22439,4044,1,1,2,155293.804608),-- [thons]
(22439,6901,1,1,2,4658.8505),-- [rp_shining_arrow]
(22439,9551,1,1,2,37270.349478),-- [ore_of_holy]
(22439,14166,1,1,2,22506.111352),-- [general_84_s]
(22439,14167,1,1,2,5619.710008),-- [special_84_s]
(22439,14168,1,1,2,561.789192),-- [rare_84_s]
(22439,14169,1,1,2,112.266934),-- [unique_84_s]
(22439,1345,240,720,2,129411.958362),-- [shining_arrow]
(22439,9599,4,8,2,889700),-- [ancient_book_of_demon]
(22440,4040,1,5,-1,713725),-- [mold_lubricant]
(22440,1895,1,65,-1,926915),-- [metallic_fiber]
(22440,6710,1,3,-1,868348),-- [sealed_draconic_leather_helmet_pattern]
(22440,57,62737,125646,0,700000),-- [adena]
(22440,164,1,1,1,63.567816),-- [elysian]
(22440,5533,1,1,1,18083.302068),-- [elysian_head]
(22440,213,1,1,1,63.567816),-- [worldtree's_branch]
(22440,5544,1,1,1,18065.450832),-- [worldtree's_branch_head]
(22440,7895,1,1,1,63.567816),-- [dragon_flame_head]
(22440,8342,1,1,1,18083.302068),-- [dragon_flame_head_piece]
(22440,7902,1,1,1,63.567816),-- [doom_crusher]
(22440,8349,1,1,1,18079.673768),-- [doom_crusher_head]
(22440,1895,12,36,2,104639.325806),-- [metallic_fiber]
(22440,4040,1,1,2,175793.899485),-- [mold_lubricant]
(22440,9628,1,1,2,68938.701823),-- [renad]
(22440,9630,1,1,2,46261.454327),-- [oricalcum]
(22440,959,1,1,2,351.592462),-- [scrl_of_ench_wp_s]
(22440,9551,1,1,2,70318.026097),-- [ore_of_holy]
(22440,9599,4,12,2,686700),-- [ancient_book_of_demon]
(22441,6901,1,1,-1,87490),-- [rp_shining_arrow]
(22441,6711,1,1,-1,433495),-- [sealed_major_arcana_robe_part]
(22441,57,51270,102680,0,700000),-- [adena]
(22441,270,1,1,1,207.794457),-- [dragon_grinder]
(22441,5538,1,1,1,59111.205543),-- [dragon_grinder_edge]
(22441,1872,24,72,2,108834.618789),-- [animal_bone]
(22441,1867,60,180,2,43533.778071),-- [animal_skin]
(22441,1881,3,9,2,74629.333836),-- [coarse_bone_powder]
(22441,1875,4,12,2,29022.634455),-- [stone_of_purity]
(22441,4041,1,1,2,34069.867983),-- [mold_hardener]
(22441,960,1,1,2,1567.364622),-- [scrl_of_ench_am_s]
(22441,9551,1,1,2,31344.514656),-- [ore_of_holy]
(22441,14166,1,1,2,18927.820176),-- [general_84_s]
(22441,14167,1,1,2,4726.399476),-- [special_84_s]
(22441,14168,1,1,2,472.570503),-- [rare_84_s]
(22441,14169,1,1,2,94.097433),-- [unique_84_s]
(22441,9599,3,9,2,748200),-- [ancient_book_of_demon]
(22442,6712,1,1,-1,732969),-- [sealed_major_arcana_gloves_fabric]
(22442,959,1,1,-1,2059),-- [scrl_of_ench_wp_s]
(22442,1876,1,21,-1,936002),-- [mithril_ore]
(22442,57,30168,60418,0,700000),-- [adena]
(22442,289,1,1,1,122.269),-- [soul_bow]
(22442,5534,1,1,1,34811.731),-- [soul_bow_shaft]
(22442,1873,16,48,2,45285.08241),-- [silver_nugget]
(22442,1868,135,405,2,26835.70242),-- [thread]
(22442,1876,3,9,2,103508.94885),-- [mithril_ore]
(22442,1895,3,9,2,172514.91475),-- [metallic_fiber]
(22442,4042,1,1,2,60380.10988),-- [enria]
(22442,6901,1,1,2,3623.00069),-- [rp_shining_arrow]
(22442,9551,1,1,2,28982.241),-- [ore_of_holy]
(22442,9599,2,6,2,660400),-- [ancient_book_of_demon]
(22443,1871,1,3,-1,625677),-- [charcoal]
(22443,4553,1,1,-1,5005),-- [dye_s1c1_c]
(22443,1908,1,1,-1,118499),-- [moonstone_earing_wire]
(22443,57,505,1026,0,700000),-- [adena]
(22443,226,1,1,1,16.776426),-- [cursed_dagger]
(22443,2070,1,1,1,1174.223574),-- [cursed_dagger_blade]
(22443,232,1,1,1,16.776426),-- [darkelven_dagger]
(22443,2072,1,1,1,1174.223574),-- [darkelven_dagger_edge]
(22443,1871,1,1,2,98568.38299),-- [charcoal]
(22443,1866,1,1,2,65712.372714),-- [suede]
(22443,1877,1,1,2,3942.805752),-- [admantite_nugget]
(22443,4041,1,1,2,857.162308),-- [mold_hardener]
(22443,4040,1,1,2,1971.402876),-- [mold_lubricant]
(22443,2163,1,1,2,5028.87336),-- [rp_earing_of_protection]
(22444,1806,1,1,-1,3775),-- [rp_soulshot_b]
(22444,1918,1,1,-1,81736),-- [nassen's_earing_gemstone]
(22444,3034,1,1,-1,3775),-- [rp_spiritshot_b]
(22444,57,761,1550,0,700000),-- [adena]
(22444,228,1,1,1,14.780052),-- [crystal_dagger]
(22444,2119,1,1,1,1587.219948),-- [crystal_dagger_blade]
(22444,1867,1,1,2,154854.301427),-- [animal_skin]
(22444,1872,1,1,2,154854.301427),-- [animal_bone]
(22444,1882,1,1,2,25809.107198),-- [leather]
(22444,1894,1,1,2,4075.158164),-- [crafted_leather]
(22444,4042,1,1,2,1935.734304),-- [enria]
(22444,1806,1,1,2,232.39748),-- [rp_soulshot_b]
(22445,4052,1,1,-1,93086),-- [earing_of_black_ore_piece]
(22445,4040,1,1,-1,52584),-- [mold_lubricant]
(22445,4042,1,1,-1,43820),-- [enria]
(22445,57,1063,2155,0,700000),-- [adena]
(22445,97,1,1,1,7.698146),-- [lancia]
(22445,4115,1,1,1,1694.301854),-- [lancia_blade]
(22445,1895,1,1,2,44378.906778),-- [metallic_fiber]
(22445,4040,1,1,2,3106.504683),-- [mold_lubricant]
(22445,4042,1,1,2,2588.744691),-- [enria]
(22445,4043,1,1,2,5177.544651),-- [asofe]
(22445,729,1,1,2,17.299197),-- [scrl_of_ench_wp_a]
(22446,5480,1,1,-1,12009),-- [sealed_leather_mail_of_nightmare_fabric]
(22446,1808,1,1,-1,1189),-- [rp_soulshot_s]
(22446,5481,1,1,-1,12009),-- [sealed_majestic_leather_mail_fabric]
(22446,57,1347,2748,0,700000),-- [adena]
(22446,288,1,1,1,7.00902),-- [carnium_bow]
(22446,5535,1,1,1,1685.99098),-- [carnium_bow_shaft]
(22446,1879,1,1,2,27450.065498),-- [cokes]
(22446,1885,1,1,2,13725.032749),-- [high_grade_suede]
(22446,9628,1,1,2,1291.789071),-- [renad]
(22446,9630,1,1,2,866.840458),-- [oricalcum]
(22446,9629,1,1,2,716.072167),-- [adamantium]
(22446,1808,1,1,2,73.200057),-- [rp_soulshot_s]
(22447,3036,1,1,-1,951),-- [rp_spiritshot_s]
(22447,5487,1,1,-1,9639),-- [sealed_robe_of_nightmare_fabric]
(22447,4043,1,1,-1,71350),-- [asofe]
(22447,57,1436,2932,0,700000),-- [adena]
(22447,5320,1,1,1,7.984464),-- [sealed_leather_mail_of_nightmare]
(22447,5480,1,1,1,1183.015536),-- [sealed_leather_mail_of_nightmare_fabric]
(22447,5323,1,1,1,7.984464),-- [sealed_majestic_leather_mail]
(22447,5481,1,1,1,1183.015536),-- [sealed_majestic_leather_mail_fabric]
(22447,1895,1,1,2,60253.499952),-- [metallic_fiber]
(22447,4040,1,1,2,4217.774256),-- [mold_lubricant]
(22447,4042,1,1,2,3514.799376),-- [enria]
(22447,4043,1,1,2,7029.598752),-- [asofe]
(22447,959,1,1,2,8.327664),-- [scrl_of_ench_wp_s]
(22448,1889,1,31,-1,918806),-- [compound_braid]
(22448,6688,1,1,-1,476636),-- [forgotten_blade_edge]
(22448,6901,1,1,-1,220513),-- [rp_shining_arrow]
(22448,57,129223,258799,0,700000),-- [adena]
(22448,270,1,1,1,523.73353),-- [dragon_grinder]
(22448,5538,1,1,1,148986.26647),-- [dragon_grinder_edge]
(22448,1868,120,360,2,150871.091607),-- [thread]
(22448,1873,132,396,2,27431.290089),-- [silver_nugget]
(22448,5549,42,126,2,21552.955722),-- [iron_thread]
(22448,1889,4,12,2,134107.458516),-- [compound_braid]
(22448,4044,5,15,2,60348.597264),-- [thons]
(22448,960,1,1,2,7241.606802),-- [scrl_of_ench_am_s]
(22448,9599,6,20,2,870400),-- [ancient_book_of_demon]
(22449,6689,1,1,-1,74624),-- [basalt_battlehammer_head]
(22449,6901,1,1,-1,35188),-- [rp_shining_arrow]
(22449,6690,1,1,-1,76202),-- [piece_of_imperial_staff]
(22449,57,20620,41297,0,700000),-- [adena]
(22449,270,1,1,1,83.571071),-- [dragon_grinder]
(22449,5538,1,1,1,23773.428929),-- [dragon_grinder_edge]
(22449,1895,3,9,2,137569.52336),-- [metallic_fiber]
(22449,4040,1,1,2,57779.096126),-- [mold_lubricant]
(22449,9628,1,1,2,22658.585969),-- [renad]
(22449,9630,1,1,2,15205.175367),-- [oricalcum]
(22449,6901,1,1,2,2888.928885),-- [rp_shining_arrow]
(22449,9551,1,1,2,23111.690293),-- [ore_of_holy]
(22449,9599,2,4,2,601900),-- [ancient_book_of_demon]
(22450,960,1,1,-1,674),-- [scrl_of_ench_am_s]
(22450,1895,1,1,-1,481173),-- [metallic_fiber]
(22450,4042,1,1,-1,28068),-- [enria]
(22450,57,987,1976,0,700000),-- [adena]
(22450,289,1,1,1,4.0005),-- [soul_bow]
(22450,5534,1,1,1,1138.9995),-- [soul_bow_shaft]
(22450,1873,1,1,2,55307.214592),-- [silver_nugget]
(22450,1868,1,1,2,276536.07296),-- [thread]
(22450,1876,1,1,2,27653.607296),-- [mithril_ore]
(22450,1895,1,1,2,39505.15328),-- [metallic_fiber]
(22450,4042,1,1,2,2304.333504),-- [enria]
(22450,959,1,1,2,5.618368),-- [scrl_of_ench_wp_s]
(22450,9599,1,1,2,86400),-- [ancient_book_of_demon]
(22451,4040,1,1,-1,58962),-- [mold_lubricant]
(22451,1895,1,1,-1,842320),-- [metallic_fiber]
(22451,6710,1,1,-1,47824),-- [sealed_draconic_leather_helmet_pattern]
(22451,57,1728,3460,0,700000),-- [adena]
(22451,5320,1,1,1,10.997912),-- [sealed_leather_mail_of_nightmare]
(22451,5480,1,1,1,1629.502088),-- [sealed_leather_mail_of_nightmare_fabric]
(22451,5323,1,1,1,10.997912),-- [sealed_majestic_leather_mail]
(22451,5481,1,1,1,1629.502088),-- [sealed_majestic_leather_mail_fabric]
(22451,1879,1,1,2,40340.972757),-- [cokes]
(22451,1885,1,1,2,20170.518795),-- [high_grade_suede]
(22451,9628,1,1,2,1898.375073),-- [renad]
(22451,9630,1,1,2,1273.903617),-- [oricalcum]
(22451,9629,1,1,2,1052.369256),-- [adamantium]
(22451,960,1,1,2,96.860502),-- [scrl_of_ench_am_s]
(22452,956,1,1,2,10126.1952),-- [scrl_of_ench_am_d]
(22453,956,1,1,2,10126.1952),-- [scrl_of_ench_am_d]
(22454,956,1,1,2,11149.0432),-- [scrl_of_ench_am_d]
(22455,956,1,1,2,12811.392),-- [scrl_of_ench_am_d]
(22456,956,1,1,2,12811.392),-- [scrl_of_ench_am_d]
(22457,956,1,1,2,14105.472),-- [scrl_of_ench_am_d]
(22458,956,1,1,2,17031.168),-- [scrl_of_ench_am_d]
(22459,956,1,1,2,17031.168),-- [scrl_of_ench_am_d]
(22460,956,1,1,2,18751.488),-- [scrl_of_ench_am_d]
(22461,956,1,1,2,22011.264),-- [scrl_of_ench_am_d]
(22462,956,1,1,2,22011.264),-- [scrl_of_ench_am_d]
(22463,956,1,1,2,24234.624),-- [scrl_of_ench_am_d]
(22464,952,1,1,2,11131.0848),-- [scrl_of_ench_am_c]
(22465,952,1,1,2,11131.0848),-- [scrl_of_ench_am_c]
(22466,952,1,1,2,12255.4368),-- [scrl_of_ench_am_c]
(22467,952,1,1,2,13776.9984),-- [scrl_of_ench_am_c]
(22468,952,1,1,2,13776.9984),-- [scrl_of_ench_am_c]
(22469,952,1,1,2,15168.6144),-- [scrl_of_ench_am_c]
(22470,948,1,1,2,3147.7248),-- [scrl_of_ench_am_b]
(22471,948,1,1,2,3147.7248),-- [scrl_of_ench_am_b]
(22472,948,1,1,2,3465.6768),-- [scrl_of_ench_am_b]
(22473,948,1,1,2,3592.4544),-- [scrl_of_ench_am_b]
(22474,948,1,1,2,3592.4544),-- [scrl_of_ench_am_b]
(22475,948,1,1,2,3974.6304),-- [scrl_of_ench_am_b]
(22476,730,1,1,2,1423.9872),-- [scrl_of_ench_am_a]
(22477,730,1,1,2,1423.9872),-- [scrl_of_ench_am_a]
(22478,730,1,1,2,1575.4752),-- [scrl_of_ench_am_a]
(22479,730,1,1,2,1621.4016),-- [scrl_of_ench_am_a]
(22480,730,1,1,2,1621.4016),-- [scrl_of_ench_am_a]
(22481,730,1,1,2,1799.5776),-- [scrl_of_ench_am_a]
(22482,960,1,1,2,904.909824),-- [scrl_of_ench_am_s]
(22483,960,1,1,2,904.909824),-- [scrl_of_ench_am_s]
(22484,960,1,1,2,1004.350464),-- [scrl_of_ench_am_s]
(22509,3957,1,1,-1,8877),-- [rp_blessed_spiritshot_s]
(22509,5495,1,1,-1,303308),-- [sealed_shield_of_nightmare_fragment]
(22509,5157,1,1,-1,8877),-- [rp_comp_soulshot_s]
(22509,57,10024,20526,0,700000),-- [adena]
(22509,288,1,1,1,52.31304),-- [carnium_bow]
(22509,5535,1,1,1,12583.68696),-- [carnium_bow_shaft]
(22509,1894,1,1,2,51755.478638),-- [crafted_leather]
(22509,4039,1,1,2,49167.753778),-- [mold_glue]
(22509,4041,1,1,2,12826.413222),-- [mold_hardener]
(22509,4044,1,1,2,49167.753778),-- [thons]
(22509,1808,1,1,2,655.600584),-- [rp_soulshot_s]
(22510,5502,1,1,-1,304090),-- [sealed_boots_of_nightmare_lining]
(22510,1894,1,1,-1,631759),-- [crafted_leather]
(22510,57,9052,18494,0,700000),-- [adena]
(22510,235,1,1,1,47.154264),-- [bloody_orchid]
(22510,5536,1,1,1,11309.845736),-- [bloody_orchid_head]
(22510,1895,2,6,2,79143.564296),-- [metallic_fiber]
(22510,4040,1,1,2,22160.108304),-- [mold_lubricant]
(22510,4042,1,1,2,18466.75692),-- [enria]
(22510,4043,1,1,2,36933.794149),-- [asofe]
(22510,3036,1,1,2,492.502913),-- [rp_spiritshot_s]
(22510,1345,60,180,2,123112.273418),-- [shining_arrow]
(22511,5503,1,1,-1,310313),-- [sealed_magestic_boots_lining]
(22511,5162,1,1,-1,8166),-- [rp_comp_spiritshot_s]
(22511,5514,1,1,-1,310313),-- [sealed_gloves_of_nightmare_design]
(22511,57,9237,18873,0,700000),-- [adena]
(22511,5297,1,1,1,84.664224),-- [sealed_dark_crystal_leather_mail]
(22511,5478,1,1,1,9507.286944),-- [sealed_dark_crystal_leather_mail_pattern]
(22511,5298,1,1,1,135.393696),-- [sealed_legging_of_dark_crystal]
(22511,5482,1,1,1,14922.563904),-- [sealed_legging_of_dark_crystal_design]
(22511,5301,1,1,1,52.079328),-- [sealed_tallum_leather_mail]
(22511,5479,1,1,1,6690.011904),-- [sealed_tallum_leather_mail_pattern]
(22511,1895,1,1,2,387663.652484),-- [metallic_fiber]
(22511,4040,1,1,2,27136.56682),-- [mold_lubricant]
(22511,4042,1,1,2,22613.886224),-- [enria]
(22511,4043,1,1,2,45227.289204),-- [asofe]
(22511,3957,1,1,2,602.605268),-- [rp_blessed_spiritshot_s]
(22512,5167,1,1,-1,8608),-- [rp_comp_bspiritshot_s]
(22512,5515,1,1,-1,327120),-- [sealed_magestic_gloves_design]
(22512,1894,1,1,-1,679607),-- [crafted_leather]
(22512,57,9744,19887,0,700000),-- [adena]
(22512,5287,1,1,1,66.925175),-- [sealed_dark_crystal_breastplate]
(22512,5520,1,1,1,7686.816475),-- [sealed_dark_crystal_breastplate_pattern]
(22512,5288,1,1,1,107.095325),-- [sealed_dark_crystal_gaiters]
(22512,5524,1,1,1,11748.816025),-- [sealed_dark_crystal_gaiters_pattern]
(22512,5293,1,1,1,41.198225),-- [sealed_tallum_plate_armor]
(22512,5521,1,1,1,5424.148775),-- [sealed_tallum_plate_armor_pattern]
(22512,1894,1,1,2,41821.978086),-- [crafted_leather]
(22512,4039,1,1,2,39730.733644),-- [mold_glue]
(22512,4041,1,1,2,10364.665766),-- [mold_hardener]
(22512,4044,1,1,2,39730.733644),-- [thons]
(22512,5157,1,1,2,529.757228),-- [rp_comp_soulshot_s]
(22512,1345,60,180,2,132436.131632),-- [shining_arrow]
(22513,1894,1,1,-1,523908),-- [crafted_leather]
(22513,5522,1,1,-1,50849),-- [sealed_armor_of_nightmare_pattern]
(22513,5272,1,1,-1,6636),-- [rp_adv_comp_soulshot_s]
(22513,57,10019,20447,0,700000),-- [adena]
(22513,5326,1,1,1,55.697811),-- [sealed_robe_of_nightmare]
(22513,5487,1,1,1,8279.802189),-- [sealed_robe_of_nightmare_fabric]
(22513,5329,1,1,1,55.697811),-- [sealed_majestic_robe]
(22513,5488,1,1,1,8279.802189),-- [sealed_majestic_robe_fabric]
(22513,1895,2,6,2,87563.822256),-- [metallic_fiber]
(22513,4040,1,1,2,24517.907388),-- [mold_lubricant]
(22513,4042,1,1,2,20431.641096),-- [enria]
(22513,4043,1,1,2,40863.282192),-- [asofe]
(22513,959,1,1,2,48.922488),-- [scrl_of_ench_wp_s]
(22513,1345,60,180,2,136210.42458),-- [shining_arrow]
(22514,5523,1,1,-1,45183),-- [sealed_majestic_platte_armor_pattern]
(22514,5277,1,1,-1,5897),-- [rp_adv_comp_spiritshot_s]
(22514,5527,1,1,-1,158627),-- [sealed_helm_of_nightmare_design]
(22514,57,8901,18172,0,700000),-- [adena]
(22514,6326,1,1,1,109.038528),-- [sealed_majestic_necklace]
(22514,6344,1,1,1,15966.640296),-- [sealed_majestic_necklace_beads]
(22514,6327,1,1,1,145.410228),-- [sealed_majestic_earing]
(22514,6342,1,1,1,24672.493836),-- [sealed_majestic_earing_gemstone]
(22514,6328,1,1,1,218.077056),-- [sealed_majestic_ring]
(22514,6346,1,1,1,35460.340056),-- [sealed_majestic_ring_gemstrone]
(22514,1895,1,1,2,373471.193953),-- [metallic_fiber]
(22514,4040,1,1,2,26143.154657),-- [mold_lubricant]
(22514,9628,1,1,2,10252.29933),-- [renad]
(22514,9630,1,1,2,6879.931272),-- [oricalcum]
(22514,960,1,1,2,522.420788),-- [scrl_of_ench_am_s]
(22515,1894,1,1,-1,433117),-- [crafted_leather]
(22515,5528,1,1,-1,147583),-- [sealed_magestic_circlet_design]
(22515,57,8265,16925,0,700000),-- [adena]
(22515,5313,1,1,1,112.190136),-- [sealed_gloves_of_nightmare]
(22515,5514,1,1,1,12836.809864),-- [sealed_gloves_of_nightmare_design]
(22515,5314,1,1,1,112.190136),-- [sealed_boots_of_nightmare]
(22515,5502,1,1,1,12836.809864),-- [sealed_boots_of_nightmare_lining]
(22515,5318,1,1,1,112.190136),-- [sealed_magestic_gloves]
(22515,5515,1,1,1,12836.809864),-- [sealed_magestic_gloves_design]
(22515,5319,1,1,1,112.190136),-- [sealed_magestic_boots]
(22515,5503,1,1,1,12836.809864),-- [sealed_magestic_boots_lining]
(22515,1895,1,1,2,289557.21492),-- [metallic_fiber]
(22515,4040,1,1,2,20268.983208),-- [mold_lubricant]
(22515,9628,1,1,2,7948.4496),-- [renad]
(22515,9630,1,1,2,5333.759064),-- [oricalcum]
(22515,6901,1,1,2,1013.645688),-- [rp_shining_arrow]
(22515,1345,60,180,2,112605.94752),-- [shining_arrow]
(22516,5282,1,1,-1,4892),-- [rp_adv_comp_bspiritshot_s]
(22516,5529,1,1,-1,30199),-- [dragon_slayer_edge]
(22516,1808,1,1,-1,4892),-- [rp_soulshot_s]
(22516,57,7370,15093,0,700000),-- [adena]
(22516,5312,1,1,1,88.952448),-- [sealed_helm_of_nightmare]
(22516,5527,1,1,1,10804.978306),-- [sealed_helm_of_nightmare_design]
(22516,5315,1,1,1,127.120746),-- [sealed_shield_of_nightmare]
(22516,5495,1,1,1,13723.017746),-- [sealed_shield_of_nightmare_fragment]
(22516,5317,1,1,1,88.952448),-- [sealed_magestic_circlet]
(22516,5528,1,1,1,10804.978306),-- [sealed_magestic_circlet_design]
(22516,1895,1,1,2,309856.290536),-- [metallic_fiber]
(22516,4040,1,1,2,21690.051606),-- [mold_lubricant]
(22516,9628,1,1,2,8505.779868),-- [renad]
(22516,9630,1,1,2,5707.72531),-- [oricalcum]
(22516,6847,1,1,2,1954.15268),-- [rp_sealed_sanddragon's_earing_i]
(22517,5533,1,1,-1,26706),-- [elysian_head]
(22517,1894,1,1,-1,341619),-- [crafted_leather]
(22517,57,6519,13349,0,700000),-- [adena]
(22517,81,1,1,1,7.707765),-- [dragon_slayer]
(22517,5529,1,1,1,2192.05838),-- [dragon_slayer_edge]
(22517,151,1,1,1,7.707765),-- [sword_of_miracle]
(22517,5546,1,1,1,2407.76676),-- [sword_of_miracle_edge]
(22517,2500,1,1,1,7.707765),-- [dark_legion's_edge]
(22517,5545,1,1,1,2192.051565),-- [dark_legion's_edge_edge]
(22517,1895,1,1,2,228387.294486),-- [metallic_fiber]
(22517,4040,1,1,2,15987.190154),-- [mold_lubricant]
(22517,9628,1,1,2,6269.479554),-- [renad]
(22517,9630,1,1,2,4206.97329),-- [oricalcum]
(22517,6849,1,1,2,2157.608414),-- [rp_sealed_ring_of_aurakyria_i]
(22517,1345,60,180,2,88817.454102),-- [shining_arrow]
(22518,5534,1,1,-1,27300),-- [soul_bow_shaft]
(22518,3036,1,1,-1,4420),-- [rp_spiritshot_s]
(22518,5537,1,1,-1,27282),-- [soul_separator_head]
(22518,57,6657,13636,0,700000),-- [adena]
(22518,164,1,1,1,5.90424),-- [elysian]
(22518,5533,1,1,1,1679.59452),-- [elysian_head]
(22518,213,1,1,1,5.90424),-- [worldtree's_branch]
(22518,5544,1,1,1,1677.93648),-- [worldtree's_branch_head]
(22518,7895,1,1,1,5.90424),-- [dragon_flame_head]
(22518,8342,1,1,1,1679.59452),-- [dragon_flame_head_piece]
(22518,7902,1,1,1,5.90424),-- [doom_crusher]
(22518,8349,1,1,1,1679.25752),-- [doom_crusher_head]
(22518,1895,1,1,2,279919.129908),-- [metallic_fiber]
(22518,4040,1,1,2,19594.398692),-- [mold_lubricant]
(22518,9628,1,1,2,7684.120972),-- [renad]
(22518,9630,1,1,2,5156.519764),-- [oricalcum]
(22518,6851,1,1,2,1321.830664),-- [rp_sealed_dragon_necklace_i]
(22519,6901,1,1,-1,11053),-- [rp_shining_arrow]
(22519,6688,1,1,-1,23892),-- [forgotten_blade_edge]
(22519,959,1,1,-1,442),-- [scrl_of_ench_wp_s]
(22519,57,6468,12974,0,700000),-- [adena]
(22519,270,1,1,1,26.251482),-- [dragon_grinder]
(22519,5538,1,1,1,7467.748518),-- [dragon_grinder_edge]
(22519,1895,1,1,2,311146.304364),-- [metallic_fiber]
(22519,4040,1,1,2,21780.36648),-- [mold_lubricant]
(22519,9628,1,1,2,8541.422455),-- [renad]
(22519,9630,1,1,2,5731.602188),-- [oricalcum]
(22519,6853,1,1,2,507.304513),-- [rp_sealed_imperial_crusader_armor_i]
(22520,1894,1,1,-1,376209),-- [crafted_leather]
(22520,6689,1,1,-1,22739),-- [basalt_battlehammer_head]
(22520,57,6274,12585,0,700000),-- [adena]
(22520,289,1,1,1,25.466),-- [soul_bow]
(22520,5534,1,1,1,7250.534),-- [soul_bow_shaft]
(22520,1895,1,1,2,251511.62008),-- [metallic_fiber]
(22520,4040,1,1,2,17605.95368),-- [mold_lubricant]
(22520,9628,1,1,2,6904.15432),-- [renad]
(22520,9630,1,1,2,4633.22552),-- [oricalcum]
(22520,6855,1,1,2,655.11936),-- [rp_sealed_imperial_crusader_gaiters_i]
(22520,1345,60,180,2,97809.92704),-- [shining_arrow]
(22521,6847,1,1,-1,19042),-- [rp_sealed_sanddragon's_earing_i]
(22521,6690,1,1,-1,22887),-- [piece_of_imperial_staff]
(22521,6849,1,1,-1,28525),-- [rp_sealed_ring_of_aurakyria_i]
(22521,57,6184,12405,0,700000),-- [adena]
(22521,236,1,1,1,25.102336),-- [soul_separator]
(22521,5537,1,1,1,7142.897664),-- [soul_separator_head]
(22521,1895,1,1,2,297491.990312),-- [metallic_fiber]
(22521,4040,1,1,2,20824.466034),-- [mold_lubricant]
(22521,9628,1,1,2,8166.575116),-- [renad]
(22521,9630,1,1,2,5479.999624),-- [oricalcum]
(22521,6857,1,1,2,1938.968914),-- [rp_sealed_imperial_crusader_gauntlet_i]
(22522,5480,1,1,-1,43988),-- [sealed_leather_mail_of_nightmare_fabric]
(22522,1894,1,1,-1,343962),-- [crafted_leather]
(22522,57,6563,13443,0,700000),-- [adena]
(22522,5320,1,1,1,36.566968),-- [sealed_leather_mail_of_nightmare]
(22522,5480,1,1,1,5417.933032),-- [sealed_leather_mail_of_nightmare_fabric]
(22522,5323,1,1,1,36.566968),-- [sealed_majestic_leather_mail]
(22522,5481,1,1,1,5417.933032),-- [sealed_majestic_leather_mail_fabric]
(22522,1895,1,1,2,229953.503084),-- [metallic_fiber]
(22522,4040,1,1,2,16096.616632),-- [mold_lubricant]
(22522,9628,1,1,2,6312.425936),-- [renad]
(22522,9630,1,1,2,4235.970036),-- [oricalcum]
(22522,6859,1,1,2,1498.871012),-- [rp_sealed_imperial_crusader_boots_i]
(22522,1345,60,180,2,89426.6133),-- [shining_arrow]
(22523,5481,1,1,-1,713202),-- [sealed_majestic_leather_mail_fabric]
(22523,1808,1,1,-1,70640),-- [rp_soulshot_s]
(22523,5487,1,1,-1,715723),-- [sealed_robe_of_nightmare_fabric]
(22523,57,106409,217956,0,700000),-- [adena]
(22523,5311,1,1,1,444.660921),-- [sealed_armor_of_nightmare]
(22523,5522,1,1,1,66663.839079),-- [sealed_armor_of_nightmare_pattern]
(22523,5316,1,1,1,444.660921),-- [sealed_majestic_platte_armor]
(22523,5523,1,1,1,66663.839079),-- [sealed_majestic_platte_armor_pattern]
(22523,1895,12,36,2,186418.958772),-- [metallic_fiber]
(22523,4040,2,6,2,62636.650598),-- [mold_lubricant]
(22523,9628,1,1,2,122817.236066),-- [renad]
(22523,9630,1,1,2,82416.77238),-- [oricalcum]
(22523,6861,1,1,2,27764.382184),-- [rp_sealed_imperial_crusader_shield_i]
(22524,6901,1,1,-1,10896),-- [rp_shining_arrow]
(22524,6688,1,1,-1,23552),-- [forgotten_blade_edge]
(22524,960,1,1,-1,4359),-- [scrl_of_ench_am_s]
(22524,57,6376,12790,0,700000),-- [adena]
(22524,5326,1,1,1,40.646606),-- [sealed_robe_of_nightmare]
(22524,5487,1,1,1,6042.353394),-- [sealed_robe_of_nightmare_fabric]
(22524,5329,1,1,1,40.646606),-- [sealed_majestic_robe]
(22524,5488,1,1,1,6042.353394),-- [sealed_majestic_robe_fabric]
(22524,1895,1,1,2,255604.98334),-- [metallic_fiber]
(22524,4040,1,1,2,17892.317975),-- [mold_lubricant]
(22524,9628,1,1,2,7016.51965),-- [renad]
(22524,9630,1,1,2,4708.667145),-- [oricalcum]
(22524,6863,1,1,2,1110.531065),-- [rp_sealed_imperial_crusader_helmet_i]
(22524,1345,60,180,2,99401.980825),-- [shining_arrow]
(22525,1894,1,1,-1,391868),-- [crafted_leather]
(22525,6689,1,1,-1,23685),-- [basalt_battlehammer_head]
(22525,57,6545,13102,0,700000),-- [adena]
(22525,6326,1,1,1,91.785344),-- [sealed_majestic_necklace]
(22525,6344,1,1,1,13440.236208),-- [sealed_majestic_necklace_beads]
(22525,6327,1,1,1,122.401944),-- [sealed_majestic_earing]
(22525,6342,1,1,1,20768.561128),-- [sealed_majestic_earing_gemstone]
(22525,6328,1,1,1,183.570688),-- [sealed_majestic_ring]
(22525,6346,1,1,1,29849.444688),-- [sealed_majestic_ring_gemstrone]
(22525,1895,1,1,2,314376.772984),-- [metallic_fiber]
(22525,4040,1,1,2,22006.416256),-- [mold_lubricant]
(22525,9628,1,1,2,8629.974046),-- [renad]
(22525,9630,1,1,2,5791.014288),-- [oricalcum]
(22525,6865,1,1,2,421.822426),-- [rp_sealed_draconic_leather_armor_i]
(22526,6847,1,1,-1,20177),-- [rp_sealed_sanddragon's_earing_i]
(22526,6690,1,1,-1,24251),-- [piece_of_imperial_staff]
(22526,6849,1,1,-1,30225),-- [rp_sealed_ring_of_aurakyria_i]
(22526,57,6553,13144,0,700000),-- [adena]
(22526,5313,1,1,1,101.778174),-- [sealed_gloves_of_nightmare]
(22526,5514,1,1,1,11645.471826),-- [sealed_gloves_of_nightmare_design]
(22526,5314,1,1,1,101.778174),-- [sealed_boots_of_nightmare]
(22526,5502,1,1,1,11645.471826),-- [sealed_boots_of_nightmare_lining]
(22526,5318,1,1,1,101.778174),-- [sealed_magestic_gloves]
(22526,5515,1,1,1,11645.471826),-- [sealed_magestic_gloves_design]
(22526,5319,1,1,1,101.778174),-- [sealed_magestic_boots]
(22526,5503,1,1,1,11645.471826),-- [sealed_magestic_boots_lining]
(22526,1895,1,1,2,262685.371781),-- [metallic_fiber]
(22526,4040,1,1,2,18387.829138),-- [mold_lubricant]
(22526,9628,1,1,2,7210.944524),-- [renad]
(22526,9630,1,1,2,4838.923299),-- [oricalcum]
(22526,6867,1,1,2,1712.222183),-- [rp_sealed_draconic_leather_gloves_i]
(22526,1345,60,180,2,102155.709075),-- [shining_arrow]
(22527,6691,1,1,-1,24809),-- [angel_slayer_blade]
(22527,959,1,1,-1,459),-- [scrl_of_ench_wp_s]
(22527,1894,1,1,-1,402724),-- [crafted_leather]
(22527,57,6726,13465,0,700000),-- [adena]
(22527,5312,1,1,1,92.748864),-- [sealed_helm_of_nightmare]
(22527,5527,1,1,1,11266.125733),-- [sealed_helm_of_nightmare_design]
(22527,5315,1,1,1,132.546153),-- [sealed_shield_of_nightmare]
(22527,5495,1,1,1,14308.704653),-- [sealed_shield_of_nightmare_fragment]
(22527,5317,1,1,1,92.748864),-- [sealed_magestic_circlet]
(22527,5528,1,1,1,11266.125733),-- [sealed_magestic_circlet_design]
(22527,1879,1,1,2,157055.719886),-- [cokes]
(22527,1885,1,1,2,78527.73305),-- [high_grade_suede]
(22527,9628,1,1,2,7390.755892),-- [renad]
(22527,9630,1,1,2,4959.739798),-- [oricalcum]
(22527,9629,1,1,2,4097.121184),-- [adamantium]
(22527,6869,1,1,2,1754.93019),-- [rp_sealed_draconic_leather_boots_i]
(22528,1894,1,1,-1,495837),-- [crafted_leather]
(22528,6693,1,1,-1,31098),-- [dragon_hunter_axe_blade]
(22528,6851,1,1,-1,19071),-- [rp_sealed_dragon_necklace_i]
(22528,57,8269,16587,0,700000),-- [adena]
(22528,81,1,1,1,11.187852),-- [dragon_slayer]
(22528,5529,1,1,1,3181.781584),-- [dragon_slayer_edge]
(22528,151,1,1,1,11.187852),-- [sword_of_miracle]
(22528,5546,1,1,1,3494.883168),-- [sword_of_miracle_edge]
(22528,2500,1,1,1,11.187852),-- [dark_legion's_edge]
(22528,5545,1,1,1,3181.771692),-- [dark_legion's_edge_edge]
(22528,1879,1,1,2,165744.06928),-- [cokes]
(22528,1885,1,1,2,82872.03464),-- [high_grade_suede]
(22528,9628,1,1,2,7799.5876),-- [renad]
(22528,9630,1,1,2,5233.844328),-- [oricalcum]
(22528,9629,1,1,2,4323.577688),-- [adamantium]
(22528,6871,1,1,2,1234.714376),-- [rp_sealed_draconic_leather_helmet_i]
(22528,1345,60,180,2,110496.172088),-- [shining_arrow]
(22529,6694,1,1,-1,31874),-- [saint_spear_blade]
(22529,6853,1,1,-1,6752),-- [rp_sealed_imperial_crusader_armor_i]
(22529,6695,1,1,-1,30717),-- [demon_splinter_blade]
(22529,57,8488,16992,0,700000),-- [adena]
(22529,164,1,1,1,8.599692),-- [elysian]
(22529,5533,1,1,1,2446.376766),-- [elysian_head]
(22529,213,1,1,1,8.599692),-- [worldtree's_branch]
(22529,5544,1,1,1,2443.961784),-- [worldtree's_branch_head]
(22529,7895,1,1,1,8.599692),-- [dragon_flame_head]
(22529,8342,1,1,1,2446.376766),-- [dragon_flame_head_piece]
(22529,7902,1,1,1,8.599692),-- [doom_crusher]
(22529,8349,1,1,1,2445.885916),-- [doom_crusher_head]
(22529,1879,1,1,2,198191.735732),-- [cokes]
(22529,1885,1,1,2,99095.867866),-- [high_grade_suede]
(22529,9628,1,1,2,9326.606217),-- [renad]
(22529,9630,1,1,2,6258.823849),-- [oricalcum]
(22529,9629,1,1,2,5170.194267),-- [adamantium]
(22529,6873,1,1,2,455.772069),-- [rp_sealed_major_arcana_robe_i]
(22530,960,1,1,-1,4514),-- [scrl_of_ench_am_s]
(22530,1894,1,1,-1,395922),-- [crafted_leather]
(22530,57,6603,13244,0,700000),-- [adena]
(22530,270,1,1,1,26.79795),-- [dragon_grinder]
(22530,5538,1,1,1,7623.20205),-- [dragon_grinder_edge]
(22530,1879,1,1,2,132345.597244),-- [cokes]
(22530,1885,1,1,2,66172.798622),-- [high_grade_suede]
(22530,9628,1,1,2,6227.836686),-- [renad]
(22530,9630,1,1,2,4179.168417),-- [oricalcum]
(22530,9629,1,1,2,3452.731035),-- [adamantium]
(22530,6875,1,1,2,1478.71641),-- [rp_sealed_major_arcana_gloves_i]
(22530,1345,20,60,2,264692.151586),-- [shining_arrow]
(22531,6696,1,1,-1,25395),-- [heavens_divider_edge]
(22531,6855,1,1,-1,8605),-- [rp_sealed_imperial_crusader_gaiters_i]
(22531,6697,1,1,-1,24527),-- [arcana_mace_head]
(22531,57,6777,13568,0,700000),-- [adena]
(22531,289,1,1,1,27.468),-- [soul_bow]
(22531,5534,1,1,1,7820.532),-- [soul_bow_shaft]
(22531,1879,1,1,2,158254.434273),-- [cokes]
(22531,1885,1,1,2,79127.089275),-- [high_grade_suede]
(22531,9628,1,1,2,7447.165206),-- [renad]
(22531,9630,1,1,2,4997.594589),-- [oricalcum]
(22531,9629,1,1,2,4128.392112),-- [adamantium]
(22531,6877,1,1,2,1768.324545),-- [rp_sealed_major_arcana_boots_i]
(22532,6857,1,1,-1,19862),-- [rp_sealed_imperial_crusader_gauntlet_i]
(22532,6698,1,1,-1,209509),-- [sealed_sanddragon's_earing_piece]
(22532,959,1,1,-1,427),-- [scrl_of_ench_wp_s]
(22532,57,6241,12519,0,700000),-- [adena]
(22532,236,1,1,1,25.333468),-- [soul_separator]
(22532,5537,1,1,1,7208.666532),-- [soul_separator_head]
(22532,1879,1,1,2,125101.024012),-- [cokes]
(22532,1885,1,1,2,62550.512006),-- [high_grade_suede]
(22532,9628,1,1,2,5887.170808),-- [renad]
(22532,9630,1,1,2,3950.387412),-- [oricalcum]
(22532,9629,1,1,2,3263.520692),-- [adamantium]
(22532,6879,1,1,2,931.788932),-- [rp_sealed_major_arcana_hood_i]
(22532,1345,20,60,2,250201.596138),-- [shining_arrow]
(22533,1894,1,1,-1,383585),-- [crafted_leather]
(22533,6699,1,1,-1,238278),-- [sealed_ring_of_aurakyria_gem]
(22533,57,6406,12825,0,700000),-- [adena]
(22533,5320,1,1,1,40.780432),-- [sealed_leather_mail_of_nightmare]
(22533,5480,1,1,1,6042.219568),-- [sealed_leather_mail_of_nightmare_fabric]
(22533,5323,1,1,1,40.780432),-- [sealed_majestic_leather_mail]
(22533,5481,1,1,1,6042.219568),-- [sealed_majestic_leather_mail_fabric]
(22533,1879,1,1,2,149591.93229),-- [cokes]
(22533,1885,1,1,2,74795.966145),-- [high_grade_suede]
(22533,9628,1,1,2,7039.634559),-- [renad]
(22533,9630,1,1,2,4723.943037),-- [oricalcum]
(22533,9629,1,1,2,3902.503308),-- [adamantium]
(22533,6847,1,1,2,1617.020661),-- [rp_sealed_sanddragon's_earing_i]
(22534,6859,1,1,-1,18943),-- [rp_sealed_imperial_crusader_boots_i]
(22534,6700,1,1,-1,121781),-- [sealed_dragon_necklace_wire]
(22534,6861,1,1,-1,18036),-- [rp_sealed_imperial_crusader_shield_i]
(22534,57,5952,11940,0,700000),-- [adena]
(22534,5311,1,1,1,28.45867),-- [sealed_armor_of_nightmare]
(22534,5522,1,1,1,4266.54133),-- [sealed_armor_of_nightmare_pattern]
(22534,5316,1,1,1,28.45867),-- [sealed_majestic_platte_armor]
(22534,5523,1,1,1,4266.54133),-- [sealed_majestic_platte_armor_pattern]
(22534,1879,1,1,2,119309.49773),-- [cokes]
(22534,1885,1,1,2,59654.53286),-- [high_grade_suede]
(22534,9628,1,1,2,5614.40196),-- [renad]
(22534,9630,1,1,2,3767.55921),-- [oricalcum]
(22534,9629,1,1,2,3112.63205),-- [adamantium]
(22534,6849,1,1,2,1931.94872),-- [rp_sealed_ring_of_aurakyria_i]
(22534,1345,20,60,2,238619.42747),-- [shining_arrow]
(22535,6701,1,1,-1,55510),-- [sealed_imperial_crusader_armor_part]
(22535,960,1,1,-1,4170),-- [scrl_of_ench_am_s]
(22535,1894,1,1,-1,365827),-- [crafted_leather]
(22535,57,6110,12231,0,700000),-- [adena]
(22535,5326,1,1,1,38.892581),-- [sealed_robe_of_nightmare]
(22535,5487,1,1,1,5781.607419),-- [sealed_robe_of_nightmare_fabric]
(22535,5329,1,1,1,38.892581),-- [sealed_majestic_robe]
(22535,5488,1,1,1,5781.607419),-- [sealed_majestic_robe_fabric]
(22535,1879,1,1,2,142666.652976),-- [cokes]
(22535,1885,1,1,2,71333.441536),-- [high_grade_suede]
(22535,9628,1,1,2,6713.741088),-- [renad]
(22535,9630,1,1,2,4505.27968),-- [oricalcum]
(22535,9629,1,1,2,3721.8028),-- [adamantium]
(22535,6851,1,1,2,1155.08192),-- [rp_sealed_dragon_necklace_i]
(22536,1894,1,3,-1,850740),-- [crafted_leather]
(22536,6702,1,1,-1,332343),-- [sealed_imperial_crusader_gaiters_pattern]
(22536,6863,1,1,-1,60201),-- [rp_sealed_imperial_crusader_helmet_i]
(22536,57,28417,56889,0,700000),-- [adena]
(22536,6326,1,1,1,398.52776),-- [sealed_majestic_necklace]
(22536,6344,1,1,1,58356.89007),-- [sealed_majestic_necklace_beads]
(22536,6327,1,1,1,531.463635),-- [sealed_majestic_earing]
(22536,6342,1,1,1,90176.141245),-- [sealed_majestic_earing_gemstone]
(22536,6328,1,1,1,797.05552),-- [sealed_majestic_ring]
(22536,6346,1,1,1,129604.92177),-- [sealed_majestic_ring_gemstrone]
(22536,1879,2,6,2,142188.904481),-- [cokes]
(22536,1885,3,9,2,47396.192636),-- [high_grade_suede]
(22536,9628,1,1,2,26764.943361),-- [renad]
(22536,9630,1,1,2,17960.861854),-- [oricalcum]
(22536,9629,1,1,2,14837.191109),-- [adamantium]
(22536,6853,1,1,2,1591.063656),-- [rp_sealed_imperial_crusader_armor_i]
(22536,1345,300,900,2,75833.842903),-- [shining_arrow]
(22537,6703,1,1,-1,146325),-- [sealed_imperial_crusader_gauntlet_design]
(22537,6865,1,1,-1,3938),-- [rp_sealed_draconic_leather_armor_i]
(22537,6704,1,1,-1,146325),-- [sealed_imperial_crusader_boots_design]
(22537,57,6023,12057,0,700000),-- [adena]
(22537,5313,1,1,1,93.406584),-- [sealed_gloves_of_nightmare]
(22537,5514,1,1,1,10687.593416),-- [sealed_gloves_of_nightmare_design]
(22537,5314,1,1,1,93.406584),-- [sealed_boots_of_nightmare]
(22537,5502,1,1,1,10687.593416),-- [sealed_boots_of_nightmare_lining]
(22537,5318,1,1,1,93.406584),-- [sealed_magestic_gloves]
(22537,5515,1,1,1,10687.593416),-- [sealed_magestic_gloves_design]
(22537,5319,1,1,1,93.406584),-- [sealed_magestic_boots]
(22537,5503,1,1,1,10687.593416),-- [sealed_magestic_boots_lining]
(22537,1879,1,1,2,140628.592438),-- [cokes]
(22537,1885,1,1,2,70314.409368),-- [high_grade_suede]
(22537,9628,1,1,2,6617.858712),-- [renad]
(22537,9630,1,1,2,4440.871952),-- [oricalcum]
(22537,9629,1,1,2,3668.516878),-- [adamantium]
(22537,6855,1,1,2,627.750652),-- [rp_sealed_imperial_crusader_gaiters_i]
(22538,959,1,1,-1,557),-- [scrl_of_ench_wp_s]
(22538,1894,1,1,-1,488959),-- [crafted_leather]
(22538,57,8154,16357,0,700000),-- [adena]
(22538,5312,1,1,1,112.609536),-- [sealed_helm_of_nightmare]
(22538,5527,1,1,1,13678.584692),-- [sealed_helm_of_nightmare_design]
(22538,5315,1,1,1,160.928772),-- [sealed_shield_of_nightmare]
(22538,5495,1,1,1,17372.682772),-- [sealed_shield_of_nightmare_fragment]
(22538,5317,1,1,1,112.609536),-- [sealed_magestic_circlet]
(22538,5528,1,1,1,13678.584692),-- [sealed_magestic_circlet_design]
(22538,1879,1,1,2,163445.211696),-- [cokes]
(22538,1885,1,1,2,81722.605848),-- [high_grade_suede]
(22538,9628,1,1,2,7691.666658),-- [renad]
(22538,9630,1,1,2,5161.47879),-- [oricalcum]
(22538,9629,1,1,2,4263.862746),-- [adamantium]
(22538,6857,1,1,2,1826.19723),-- [rp_sealed_imperial_crusader_gauntlet_i]
(22538,1345,60,180,2,108962.977032),-- [shining_arrow]
(22539,5480,1,1,-1,64168),-- [sealed_leather_mail_of_nightmare_fabric]
(22539,1808,1,1,-1,6356),-- [rp_soulshot_s]
(22539,5481,1,1,-1,64168),-- [sealed_majestic_leather_mail_fabric]
(22539,57,9574,19610,0,700000),-- [adena]
(22539,81,1,1,1,11.32131),-- [dragon_slayer]
(22539,5529,1,1,1,3219.73652),-- [dragon_slayer_edge]
(22539,151,1,1,1,11.32131),-- [sword_of_miracle]
(22539,5546,1,1,1,3536.57304),-- [sword_of_miracle_edge]
(22539,2500,1,1,1,11.32131),-- [dark_legion's_edge]
(22539,5545,1,1,1,3219.72651),-- [dark_legion's_edge_edge]
(22539,1879,1,1,2,167723.73536),-- [cokes]
(22539,1885,1,1,2,83861.86768),-- [high_grade_suede]
(22539,9628,1,1,2,7893.01228),-- [renad]
(22539,9630,1,1,2,5296.5914),-- [oricalcum]
(22539,9629,1,1,2,4375.47836),-- [adamantium]
(22539,6859,1,1,2,1874.0018),-- [rp_sealed_imperial_crusader_boots_i]
(22539,1345,60,180,2,111815.31312),-- [shining_arrow]
(22540,3036,1,1,-1,5346),-- [rp_spiritshot_s]
(22540,5487,1,1,-1,54170),-- [sealed_robe_of_nightmare_fabric]
(22540,1894,1,1,-1,422090),-- [crafted_leather]
(22540,57,8055,16494,0,700000),-- [adena]
(22540,164,1,1,1,7.142904),-- [elysian]
(22540,5533,1,1,1,2031.960492),-- [elysian_head]
(22540,213,1,1,1,7.142904),-- [worldtree's_branch]
(22540,5544,1,1,1,2029.954608),-- [worldtree's_branch_head]
(22540,7895,1,1,1,7.142904),-- [dragon_flame_head]
(22540,8342,1,1,1,2031.960492),-- [dragon_flame_head_piece]
(22540,7902,1,1,1,7.142904),-- [doom_crusher]
(22540,8349,1,1,1,2031.552792),-- [doom_crusher_head]
(22540,1879,1,1,2,164608.228512),-- [cokes]
(22540,1885,1,1,2,82304.114256),-- [high_grade_suede]
(22540,9628,1,1,2,7746.257064),-- [renad]
(22540,9630,1,1,2,5198.118198),-- [oricalcum]
(22540,9629,1,1,2,4294.051398),-- [adamantium]
(22540,6861,1,1,2,1751.230572),-- [rp_sealed_imperial_crusader_shield_i]
(22541,1894,1,1,-1,433203),-- [crafted_leather]
(22541,5488,1,1,-1,55596),-- [sealed_majestic_robe_fabric]
(22541,3957,1,1,-1,5487),-- [rp_blessed_spiritshot_s]
(22541,57,8283,16910,0,700000),-- [adena]
(22541,270,1,1,1,29.323613),-- [dragon_grinder]
(22541,5538,1,1,1,8341.676387),-- [dragon_grinder_edge]
(22541,1879,1,1,2,144807.52826),-- [cokes]
(22541,1885,1,1,2,72403.76413),-- [high_grade_suede]
(22541,9628,1,1,2,6814.35545),-- [renad]
(22541,9630,1,1,2,4572.713001),-- [oricalcum]
(22541,9629,1,1,2,3777.429871),-- [adamantium]
(22541,6863,1,1,2,1078.747117),-- [rp_sealed_imperial_crusader_helmet_i]
(22541,1345,60,180,2,96538.462171),-- [shining_arrow]
(22542,5495,1,1,-1,444619),-- [sealed_shield_of_nightmare_fragment]
(22542,5157,1,1,-1,13014),-- [rp_comp_soulshot_s]
(22542,5502,1,1,-1,494518),-- [sealed_boots_of_nightmare_lining]
(22542,57,19603,40152,0,700000),-- [adena]
(22542,289,1,1,1,69.5415),-- [soul_bow]
(22542,5534,1,1,1,19799.4585),-- [soul_bow_shaft]
(22542,1879,1,3,2,200331.066804),-- [cokes]
(22542,1885,1,1,2,200331.066804),-- [high_grade_suede]
(22542,9628,1,1,2,18854.526878),-- [renad]
(22542,9630,1,1,2,12652.479092),-- [oricalcum]
(22542,9629,1,1,2,10452.06723),-- [adamantium]
(22542,6865,1,1,2,920.793192),-- [rp_sealed_draconic_leather_armor_i]
(22543,1894,1,1,-1,406392),-- [crafted_leather]
(22543,5503,1,1,-1,195612),-- [sealed_magestic_boots_lining]
(22543,57,7755,15880,0,700000),-- [adena]
(22543,236,1,1,1,27.50821),-- [soul_separator]
(22543,5537,1,1,1,7827.49179),-- [soul_separator_head]
(22543,1879,1,1,2,135845.413424),-- [cokes]
(22543,1885,1,1,2,67922.706712),-- [high_grade_suede]
(22543,9628,1,1,2,6392.528856),-- [renad]
(22543,9630,1,1,2,4289.684532),-- [oricalcum]
(22543,9629,1,1,2,3544.03686),-- [adamantium]
(22543,6867,1,1,2,1517.82036),-- [rp_sealed_draconic_leather_gloves_i]
(22543,1345,20,60,2,271691.809256),-- [shining_arrow]
(22544,5162,1,1,-1,5568),-- [rp_comp_spiritshot_s]
(22544,5514,1,1,-1,211591),-- [sealed_gloves_of_nightmare_design]
(22544,5167,1,1,-1,5568),-- [rp_comp_bspiritshot_s]
(22544,57,8405,17160,0,700000),-- [adena]
(22544,5320,1,1,1,46.733584),-- [sealed_leather_mail_of_nightmare]
(22544,5480,1,1,1,6924.266416),-- [sealed_leather_mail_of_nightmare_fabric]
(22544,5323,1,1,1,46.733584),-- [sealed_majestic_leather_mail]
(22544,5481,1,1,1,6924.266416),-- [sealed_majestic_leather_mail_fabric]
(22544,1879,1,1,2,171432.866318),-- [cokes]
(22544,1885,1,1,2,85716.29465),-- [high_grade_suede]
(22544,9628,1,1,2,8067.318196),-- [renad]
(22544,9630,1,1,2,5413.762774),-- [oricalcum]
(22544,9629,1,1,2,4472.178592),-- [adamantium]
(22544,6869,1,1,2,1915.57947),-- [rp_sealed_draconic_leather_boots_i]
(22545,6688,1,1,-1,65807),-- [forgotten_blade_edge]
(22545,960,1,1,-1,12178),-- [scrl_of_ench_am_s]
(22545,1894,1,3,-1,534125),-- [crafted_leather]
(22545,57,17815,35735,0,700000),-- [adena]
(22545,5311,1,1,1,85.173917),-- [sealed_armor_of_nightmare]
(22545,5522,1,1,1,12769.326083),-- [sealed_armor_of_nightmare_pattern]
(22545,5316,1,1,1,85.173917),-- [sealed_majestic_platte_armor]
(22545,5523,1,1,1,12769.326083),-- [sealed_majestic_platte_armor_pattern]
(22545,1879,1,3,2,208300.16724),-- [cokes]
(22545,1885,1,1,2,208300.16724),-- [high_grade_suede]
(22545,9628,1,1,2,19604.503584),-- [renad]
(22545,9630,1,1,2,13155.848808),-- [oricalcum]
(22545,9629,1,1,2,10867.915392),-- [adamantium]
(22545,6871,1,1,2,3103.397736),-- [rp_sealed_draconic_leather_helmet_i]
(22546,1894,1,1,-1,428630),-- [crafted_leather]
(22546,5480,1,1,-1,54816),-- [sealed_leather_mail_of_nightmare_fabric]
(22546,5272,1,1,-1,5429),-- [rp_adv_comp_soulshot_s]
(22546,57,8197,16729,0,700000),-- [adena]
(22546,5326,1,1,1,45.567899),-- [sealed_robe_of_nightmare]
(22546,5487,1,1,1,6773.932101),-- [sealed_robe_of_nightmare_fabric]
(22546,5329,1,1,1,45.567899),-- [sealed_majestic_robe]
(22546,5488,1,1,1,6773.932101),-- [sealed_majestic_robe_fabric]
(22546,1879,1,1,2,143279.086408),-- [cokes]
(22546,1885,1,1,2,71639.543204),-- [high_grade_suede]
(22546,9628,1,1,2,6742.503084),-- [renad]
(22546,9630,1,1,2,4524.647308),-- [oricalcum]
(22546,9629,1,1,2,3737.582156),-- [adamantium]
(22546,6873,1,1,2,329.355492),-- [rp_sealed_major_arcana_robe_i]
(22546,1345,60,180,2,95519.282348),-- [shining_arrow]
(22547,5481,1,1,-1,39387),-- [sealed_majestic_leather_mail_fabric]
(22547,5277,1,1,-1,3901),-- [rp_adv_comp_spiritshot_s]
(22547,5487,1,1,-1,39526),-- [sealed_robe_of_nightmare_fabric]
(22547,57,5890,12020,0,700000),-- [adena]
(22547,6326,1,1,1,72.138416),-- [sealed_majestic_necklace]
(22547,6344,1,1,1,10563.313362),-- [sealed_majestic_necklace_beads]
(22547,6327,1,1,1,96.201441),-- [sealed_majestic_earing]
(22547,6342,1,1,1,16322.988367),-- [sealed_majestic_earing_gemstone]
(22547,6328,1,1,1,144.276832),-- [sealed_majestic_ring]
(22547,6346,1,1,1,23460.081582),-- [sealed_majestic_ring_gemstrone]
(22547,1879,1,1,2,120110.315186),-- [cokes]
(22547,1885,1,1,2,60055.06055),-- [high_grade_suede]
(22547,9628,1,1,2,5652.172492),-- [renad]
(22547,9630,1,1,2,3793.022698),-- [oricalcum]
(22547,9629,1,1,2,3133.324384),-- [adamantium]
(22547,6875,1,1,2,1342.10469),-- [rp_sealed_major_arcana_gloves_i]
(22548,1894,1,1,-1,496499),-- [crafted_leather]
(22548,5488,1,1,-1,63720),-- [sealed_majestic_robe_fabric]
(22548,57,9493,19381,0,700000),-- [adena]
(22548,5313,1,1,1,128.608416),-- [sealed_gloves_of_nightmare]
(22548,5514,1,1,1,14715.391584),-- [sealed_gloves_of_nightmare_design]
(22548,5314,1,1,1,128.608416),-- [sealed_boots_of_nightmare]
(22548,5502,1,1,1,14715.391584),-- [sealed_boots_of_nightmare_lining]
(22548,5318,1,1,1,128.608416),-- [sealed_magestic_gloves]
(22548,5515,1,1,1,14715.391584),-- [sealed_magestic_gloves_design]
(22548,5319,1,1,1,128.608416),-- [sealed_magestic_boots]
(22548,5503,1,1,1,14715.391584),-- [sealed_magestic_boots_lining]
(22548,1879,1,1,2,165965.624008),-- [cokes]
(22548,1885,1,1,2,82982.812004),-- [high_grade_suede]
(22548,9628,1,1,2,7810.276259),-- [renad]
(22548,9630,1,1,2,5241.071545),-- [oricalcum]
(22548,9629,1,1,2,4329.613783),-- [adamantium]
(22548,6877,1,1,2,1854.358165),-- [rp_sealed_major_arcana_boots_i]
(22548,1345,60,180,2,110643.244236),-- [shining_arrow]
(22549,5282,1,1,-1,6289),-- [rp_adv_comp_bspiritshot_s]
(22549,5495,1,1,-1,214869),-- [sealed_shield_of_nightmare_fragment]
(22549,1808,1,1,-1,6289),-- [rp_soulshot_s]
(22549,57,9493,19381,0,700000),-- [adena]
(22549,5312,1,1,1,114.346752),-- [sealed_helm_of_nightmare]
(22549,5527,1,1,1,13889.602844),-- [sealed_helm_of_nightmare_design]
(22549,5315,1,1,1,163.411404),-- [sealed_shield_of_nightmare]
(22549,5495,1,1,1,17640.689404),-- [sealed_shield_of_nightmare_fragment]
(22549,5317,1,1,1,114.346752),-- [sealed_magestic_circlet]
(22549,5528,1,1,1,13889.602844),-- [sealed_magestic_circlet_design]
(22549,1879,1,1,2,193626.296679),-- [cokes]
(22549,1885,1,1,2,96812.99226),-- [high_grade_suede]
(22549,9628,1,1,2,9111.92121),-- [renad]
(22549,9630,1,1,2,6114.570492),-- [oricalcum]
(22549,9629,1,1,2,5051.044779),-- [adamantium]
(22549,6879,1,1,2,1442.17458),-- [rp_sealed_major_arcana_hood_i]
(22550,5502,1,1,-1,276561),-- [sealed_boots_of_nightmare_lining]
(22550,1894,1,1,-1,574568),-- [crafted_leather]
(22550,57,8218,16827,0,700000),-- [adena]
(22550,80,1,1,1,14.296071),-- [tallum_blade]
(22550,5548,1,1,1,3428.05931),-- [tallum_blade_edge]
(22550,150,1,1,1,14.296071),-- [elemental_sword]
(22550,5547,1,1,1,3428.05931),-- [elemental_sword_edge]
(22550,7884,1,1,1,14.296071),-- [inferno_master]
(22550,8331,1,1,1,3437.993167),-- [inferno_master_blade]
(22550,1894,1,1,2,42429.728194),-- [crafted_leather]
(22550,4039,1,1,2,40308.282014),-- [mold_glue]
(22550,4041,1,1,2,10515.238986),-- [mold_hardener]
(22550,4044,1,1,2,40308.282014),-- [thons]
(22550,1808,1,1,2,537.468792),-- [rp_soulshot_s]
(22551,5503,1,1,-1,264734),-- [sealed_magestic_boots_lining]
(22551,3036,1,1,-1,6967),-- [rp_spiritshot_s]
(22551,5514,1,1,-1,264734),-- [sealed_gloves_of_nightmare_design]
(22551,57,7866,16108,0,700000),-- [adena]
(22551,212,1,1,1,10.262945),-- [dasparion's_staff]
(22551,5543,1,1,1,2463.018411),-- [dasparion's_staff_head]
(22551,2504,1,1,1,10.262945),-- [meteor_shower]
(22551,5532,1,1,1,2440.017629),-- [meteor_shower_head]
(22551,7894,1,1,1,10.262945),-- [eye_of_soul]
(22551,8341,1,1,1,2436.894551),-- [eye_of_soul_piece]
(22551,7899,1,1,1,10.262945),-- [hammer_of_destroyer]
(22551,8346,1,1,1,2440.017629),-- [hammer_of_destroyer_piece]
(22551,1895,1,1,2,275602.33506),-- [metallic_fiber]
(22551,4040,1,1,2,19292.231064),-- [mold_lubricant]
(22551,4042,1,1,2,16076.708976),-- [enria]
(22551,4043,1,1,2,32153.417952),-- [asofe]
(22551,3036,1,1,2,428.646132),-- [rp_spiritshot_s]
(22551,1345,60,180,2,107178.660816),-- [shining_arrow]
(22552,3957,1,1,-1,7567),-- [rp_blessed_spiritshot_s]
(22552,5515,1,1,-1,287536),-- [sealed_magestic_gloves_design]
(22552,1894,1,1,-1,597368),-- [crafted_leather]
(22552,57,8566,17478,0,700000),-- [adena]
(22552,269,1,1,1,44.587716),-- [blood_tornado]
(22552,5539,1,1,1,10599.412284),-- [blood_tornado_edge]
(22552,1894,1,1,2,44113.32452),-- [crafted_leather]
(22552,4039,1,1,2,41907.70012),-- [mold_glue]
(22552,4041,1,1,2,10932.47988),-- [mold_hardener]
(22552,4044,1,1,2,41907.70012),-- [thons]
(22552,3957,1,1,2,558.79536),-- [rp_blessed_spiritshot_s]
(22569,6688,1,1,-1,535703),-- [forgotten_blade_edge]
(22569,960,1,1,-1,99136),-- [scrl_of_ench_am_s]
(22569,1894,1,19,-1,869615),-- [crafted_leather]
(22569,57,145170,290746,0,700000),-- [adena]
(22569,6326,1,1,1,2036.851152),-- [sealed_majestic_necklace]
(22569,6344,1,1,1,298258.517214),-- [sealed_majestic_necklace_beads]
(22569,6327,1,1,1,2716.278327),-- [sealed_majestic_earing]
(22569,6342,1,1,1,460884.775449),-- [sealed_majestic_earing_gemstone]
(22569,6328,1,1,1,4073.702304),-- [sealed_majestic_ring]
(22569,6346,1,1,1,662402.875554),-- [sealed_majestic_ring_gemstrone]
(22569,1879,15,45,2,96895.97812),-- [cokes]
(22569,1885,14,42,2,51908.512872),-- [high_grade_suede]
(22569,9628,4,12,2,17099.135976),-- [renad]
(22569,9630,1,1,2,91796.005744),-- [oricalcum]
(22569,9629,1,1,2,75831.654056),-- [adamantium]
(22569,6861,1,1,2,30924.183232),-- [rp_sealed_imperial_crusader_shield_i]
(22569,14052,3,9,2,72672.53),-- [noble_upgrade_jewel]
(22570,1894,1,33,-1,928942),-- [crafted_leather]
(22570,6689,1,3,-1,477247),-- [basalt_battlehammer_head]
(22570,6901,1,1,-1,450072),-- [rp_shining_arrow]
(22570,57,263749,528002,0,700000),-- [adena]
(22570,5313,1,1,1,4090.5993),-- [sealed_gloves_of_nightmare]
(22570,5514,1,1,1,468046.9007),-- [sealed_gloves_of_nightmare_design]
(22570,5314,1,1,1,4090.5993),-- [sealed_boots_of_nightmare]
(22570,5502,1,1,1,468046.9007),-- [sealed_boots_of_nightmare_lining]
(22570,5318,1,1,1,4090.5993),-- [sealed_magestic_gloves]
(22570,5515,1,1,1,468046.9007),-- [sealed_magestic_gloves_design]
(22570,5319,1,1,1,4090.5993),-- [sealed_magestic_boots]
(22570,5503,1,1,1,468046.9007),-- [sealed_magestic_boots_lining]
(22570,1879,168,504,2,13746.917866),-- [cokes]
(22570,1885,30,90,2,38491.055504),-- [high_grade_suede]
(22570,9628,5,15,2,19760.162411),-- [renad]
(22570,9630,6,18,2,11220.136389),-- [oricalcum]
(22570,9629,1,1,2,120493.704782),-- [adamantium]
(22570,6863,1,1,2,34405.430312),-- [rp_sealed_imperial_crusader_helmet_i]
(22570,14052,4,12,2,86604.874884),-- [noble_upgrade_jewel]
(22570,1345,2700,8100,2,68428.717852),-- [shining_arrow]
(22571,6690,1,1,-1,172097),-- [piece_of_imperial_staff]
(22571,6847,1,1,-1,143186),-- [rp_sealed_sanddragon's_earing_i]
(22571,6691,1,1,-1,171769),-- [angel_slayer_blade]
(22571,57,46570,93228,0,700000),-- [adena]
(22571,5312,1,1,1,642.173376),-- [sealed_helm_of_nightmare]
(22571,5527,1,1,1,78004.254547),-- [sealed_helm_of_nightmare_design]
(22571,5315,1,1,1,917.721327),-- [sealed_shield_of_nightmare]
(22571,5495,1,1,1,99070.422827),-- [sealed_shield_of_nightmare_fragment]
(22571,5317,1,1,1,642.173376),-- [sealed_magestic_circlet]
(22571,5528,1,1,1,78004.254547),-- [sealed_magestic_circlet_design]
(22571,1879,15,45,2,31069.000036),-- [cokes]
(22571,1885,2,6,2,116509.137278),-- [high_grade_suede]
(22571,9628,1,1,2,43862.140471),-- [renad]
(22571,9630,1,1,2,29433.708004),-- [oricalcum]
(22571,9629,1,1,2,24314.903258),-- [adamantium]
(22571,6865,1,1,2,2142.836505),-- [rp_sealed_draconic_leather_armor_i]
(22571,14052,1,1,2,139811.274448),-- [noble_upgrade_jewel]
(22572,959,1,1,-1,7406),-- [scrl_of_ench_wp_s]
(22572,1894,1,13,-1,928078),-- [crafted_leather]
(22572,57,108343,217323,0,700000),-- [adena]
(22572,81,1,1,1,146.582124),-- [dragon_slayer]
(22572,5529,1,1,1,41687.385808),-- [dragon_slayer_edge]
(22572,151,1,1,1,146.582124),-- [sword_of_miracle]
(22572,5546,1,1,1,45789.611616),-- [sword_of_miracle_edge]
(22572,2500,1,1,1,146.582124),-- [dark_legion's_edge]
(22572,5545,1,1,1,41687.256204),-- [dark_legion's_edge_edge]
(22572,1879,14,42,2,67862.89656),-- [cokes]
(22572,1885,30,90,2,15834.675864),-- [high_grade_suede]
(22572,9628,1,1,2,89419.367685),-- [renad]
(22572,9630,1,1,2,60005.12619),-- [oricalcum]
(22572,9629,1,1,2,49569.404109),-- [adamantium]
(22572,6867,1,1,2,21230.688039),-- [rp_sealed_draconic_leather_gloves_i]
(22572,14052,4,12,2,35628.020694),-- [noble_upgrade_jewel]
(22572,1345,2700,8100,2,28150.820859),-- [shining_arrow]
(22573,5480,1,1,-1,227357),-- [sealed_leather_mail_of_nightmare_fabric]
(22573,1808,1,1,-1,22519),-- [rp_soulshot_s]
(22573,5481,1,1,-1,227357),-- [sealed_majestic_leather_mail_fabric]
(22573,57,33921,69481,0,700000),-- [adena]
(22573,164,1,1,1,30.084468),-- [elysian]
(22573,5533,1,1,1,8558.206914),-- [elysian_head]
(22573,213,1,1,1,30.084468),-- [worldtree's_branch]
(22573,5544,1,1,1,8549.758536),-- [worldtree's_branch_head]
(22573,7895,1,1,1,30.084468),-- [dragon_flame_head]
(22573,8342,1,1,1,8558.206914),-- [dragon_flame_head_piece]
(22573,7902,1,1,1,30.084468),-- [doom_crusher]
(22573,8349,1,1,1,8556.489764),-- [doom_crusher_head]
(22573,1879,3,9,2,99045.316055),-- [cokes]
(22573,1885,2,6,2,74283.904205),-- [high_grade_suede]
(22573,9628,1,1,2,27965.849345),-- [renad]
(22573,9630,1,1,2,18766.386765),-- [oricalcum]
(22573,9629,1,1,2,15502.638515),-- [adamantium]
(22573,6869,1,1,2,6639.822455),-- [rp_sealed_draconic_leather_boots_i]
(22573,14052,1,1,2,89141.08266),-- [noble_upgrade_jewel]
(22574,3036,1,1,-1,18882),-- [rp_spiritshot_s]
(22574,5487,1,1,-1,191316),-- [sealed_robe_of_nightmare_fabric]
(22574,1894,1,3,-1,745360),-- [crafted_leather]
(22574,57,28447,58252,0,700000),-- [adena]
(22574,270,1,1,1,100.903915),-- [dragon_grinder]
(22574,5538,1,1,1,28704.096085),-- [dragon_grinder_edge]
(22574,1879,2,6,2,109004.366484),-- [cokes]
(22574,1885,1,1,2,218008.732968),-- [high_grade_suede]
(22574,9628,1,1,2,20518.357341),-- [renad]
(22574,9630,1,1,2,13769.140848),-- [oricalcum]
(22574,9629,1,1,2,11374.225353),-- [adamantium]
(22574,6871,1,1,2,3247.994883),-- [rp_sealed_draconic_leather_helmet_i]
(22574,14052,1,1,2,65402.420106),-- [noble_upgrade_jewel]
(22574,1345,300,900,2,58135.762017),-- [shining_arrow]
(22575,1894,1,3,-1,764201),-- [crafted_leather]
(22575,5488,1,1,-1,196152),-- [sealed_majestic_robe_fabric]
(22575,3957,1,1,-1,19360),-- [rp_blessed_spiritshot_s]
(22575,57,29224,59662,0,700000),-- [adena]
(22575,289,1,1,1,103.4565),-- [soul_bow]
(22575,5534,1,1,1,29455.5435),-- [soul_bow_shaft]
(22575,1879,3,9,2,85150.274504),-- [cokes]
(22575,1885,1,1,2,255450.351598),-- [high_grade_suede]
(22575,9628,1,1,2,24042.602558),-- [renad]
(22575,9630,1,1,2,16133.795832),-- [oricalcum]
(22575,9629,1,1,2,13327.795188),-- [adamantium]
(22575,6873,1,1,2,1174.593946),-- [rp_sealed_major_arcana_robe_i]
(22575,14052,1,1,2,76634.586374),-- [noble_upgrade_jewel]
(22576,5495,1,1,-1,289945),-- [sealed_shield_of_nightmare_fragment]
(22576,5157,1,1,-1,8486),-- [rp_comp_soulshot_s]
(22576,5502,1,1,-1,322485),-- [sealed_boots_of_nightmare_lining]
(22576,57,12783,26184,0,700000),-- [adena]
(22576,236,1,1,1,45.3509),-- [soul_separator]
(22576,5537,1,1,1,12904.6491),-- [soul_separator_head]
(22576,1879,1,1,2,195959.959965),-- [cokes]
(22576,1885,1,1,2,97979.74164),-- [high_grade_suede]
(22576,9628,1,1,2,9221.471325),-- [renad]
(22576,9630,1,1,2,6188.32467),-- [oricalcum]
(22576,9629,1,1,2,5111.96994),-- [adamantium]
(22576,6875,1,1,2,2189.414205),-- [rp_sealed_major_arcana_gloves_i]
(22576,14052,1,1,2,29393.827155),-- [noble_upgrade_jewel]
(22576,1345,60,180,2,130640.2911),-- [shining_arrow]
(22577,1894,1,1,-1,673085),-- [crafted_leather]
(22577,5503,1,1,-1,323981),-- [sealed_magestic_boots_lining]
(22577,57,12844,26302,0,700000),-- [adena]
(22577,5320,1,1,1,71.555144),-- [sealed_leather_mail_of_nightmare]
(22577,5480,1,1,1,10601.944856),-- [sealed_leather_mail_of_nightmare_fabric]
(22577,5323,1,1,1,71.555144),-- [sealed_majestic_leather_mail]
(22577,5481,1,1,1,10601.944856),-- [sealed_majestic_leather_mail_fabric]
(22577,1879,1,1,2,224993.12746),-- [cokes]
(22577,1885,1,1,2,112496.56373),-- [high_grade_suede]
(22577,9628,1,1,2,10588.047435),-- [renad]
(22577,9630,1,1,2,7105.184145),-- [oricalcum]
(22577,9629,1,1,2,5869.534495),-- [adamantium]
(22577,6877,1,1,2,2513.812005),-- [rp_sealed_major_arcana_boots_i]
(22577,14052,1,1,2,33748.73073),-- [noble_upgrade_jewel]
(22578,5162,1,1,-1,9636),-- [rp_comp_spiritshot_s]
(22578,5514,1,1,-1,366160),-- [sealed_gloves_of_nightmare_design]
(22578,5167,1,1,-1,9636),-- [rp_comp_bspiritshot_s]
(22578,57,14545,29695,0,700000),-- [adena]
(22578,5311,1,1,1,60.654404),-- [sealed_armor_of_nightmare]
(22578,5522,1,1,1,9093.345596),-- [sealed_armor_of_nightmare_pattern]
(22578,5316,1,1,1,60.654404),-- [sealed_majestic_platte_armor]
(22578,5523,1,1,1,9093.345596),-- [sealed_majestic_platte_armor_pattern]
(22578,1879,2,6,2,55624.886304),-- [cokes]
(22578,1885,1,1,2,111250.14615),-- [high_grade_suede]
(22578,9628,1,1,2,10470.755802),-- [renad]
(22578,9630,1,1,2,7026.32502),-- [oricalcum]
(22578,9629,1,1,2,5804.469138),-- [adamantium]
(22578,6879,1,1,2,1657.405854),-- [rp_sealed_major_arcana_hood_i]
(22578,14052,1,1,2,33374.857074),-- [noble_upgrade_jewel]
(22578,1345,60,180,2,148333.154658),-- [shining_arrow]
(22579,5515,1,1,-1,380360),-- [sealed_magestic_gloves_design]
(22579,1894,1,1,-1,790214),-- [crafted_leather]
(22579,57,15112,30841,0,700000),-- [adena]
(22579,5326,1,1,1,84.009445),-- [sealed_robe_of_nightmare]
(22579,5487,1,1,1,12488.490555),-- [sealed_robe_of_nightmare_fabric]
(22579,5329,1,1,1,84.009445),-- [sealed_majestic_robe]
(22579,5488,1,1,1,12488.490555),-- [sealed_majestic_robe_fabric]
(22579,1879,1,1,2,264146.304),-- [cokes]
(22579,1885,1,1,2,132073.152),-- [high_grade_suede]
(22579,9628,1,1,2,12430.35944),-- [renad]
(22579,9630,1,1,2,8341.31496),-- [oricalcum]
(22579,9629,1,1,2,6890.93536),-- [adamantium]
(22579,6847,1,1,2,2855.52228),-- [rp_sealed_sanddragon's_earing_i]
(22579,14052,1,1,2,39622.41196),-- [noble_upgrade_jewel]
(22580,5522,1,1,-1,50019),-- [sealed_armor_of_nightmare_pattern]
(22580,5272,1,1,-1,6528),-- [rp_adv_comp_soulshot_s]
(22580,5523,1,1,-1,50019),-- [sealed_majestic_platte_armor_pattern]
(22580,57,9856,20114,0,700000),-- [adena]
(22580,6326,1,1,1,120.709632),-- [sealed_majestic_necklace]
(22580,6344,1,1,1,17675.653824),-- [sealed_majestic_necklace_beads]
(22580,6327,1,1,1,160.974432),-- [sealed_majestic_earing]
(22580,6342,1,1,1,27313.351584),-- [sealed_majestic_earing_gemstone]
(22580,6328,1,1,1,241.419264),-- [sealed_majestic_ring]
(22580,6346,1,1,1,39255.891264),-- [sealed_majestic_ring_gemstrone]
(22580,1879,1,1,2,172269.356502),-- [cokes]
(22580,1885,1,1,2,86134.678251),-- [high_grade_suede]
(22580,9628,1,1,2,8106.640251),-- [renad]
(22580,9630,1,1,2,5439.894124),-- [oricalcum]
(22580,9629,1,1,2,4494.099724),-- [adamantium]
(22580,6849,1,1,2,2789.699399),-- [rp_sealed_ring_of_aurakyria_i]
(22580,1345,60,180,2,114846.631749),-- [shining_arrow]
(22581,5277,1,1,-1,10955),-- [rp_adv_comp_spiritshot_s]
(22581,5527,1,1,-1,294709),-- [sealed_helm_of_nightmare_design]
(22581,1894,1,1,-1,864895),-- [crafted_leather]
(22581,57,16537,33762,0,700000),-- [adena]
(22581,5313,1,1,1,224.033712),-- [sealed_gloves_of_nightmare]
(22581,5514,1,1,1,25633.966288),-- [sealed_gloves_of_nightmare_design]
(22581,5314,1,1,1,224.033712),-- [sealed_boots_of_nightmare]
(22581,5502,1,1,1,25633.966288),-- [sealed_boots_of_nightmare_lining]
(22581,5318,1,1,1,224.033712),-- [sealed_magestic_gloves]
(22581,5515,1,1,1,25633.966288),-- [sealed_magestic_gloves_design]
(22581,5319,1,1,1,224.033712),-- [sealed_magestic_boots]
(22581,5503,1,1,1,25633.966288),-- [sealed_magestic_boots_lining]
(22581,1879,1,3,2,168647.308492),-- [cokes]
(22581,1885,1,1,2,168647.308492),-- [high_grade_suede]
(22581,9628,1,1,2,15872.758512),-- [renad]
(22581,9630,1,1,2,10651.278573),-- [oricalcum]
(22581,9629,1,1,2,8798.931258),-- [adamantium]
(22581,6851,1,1,2,2731.414673),-- [rp_sealed_dragon_necklace_i]
(22582,1894,1,1,-1,864895),-- [crafted_leather]
(22582,5528,1,1,-1,294709),-- [sealed_magestic_circlet_design]
(22582,5282,1,1,-1,10955),-- [rp_adv_comp_bspiritshot_s]
(22582,57,16537,33762,0,700000),-- [adena]
(22582,5312,1,1,1,199.190784),-- [sealed_helm_of_nightmare]
(22582,5527,1,1,1,24195.535348),-- [sealed_helm_of_nightmare_design]
(22582,5315,1,1,1,284.660868),-- [sealed_shield_of_nightmare]
(22582,5495,1,1,1,30729.886868),-- [sealed_shield_of_nightmare_fragment]
(22582,5317,1,1,1,199.190784),-- [sealed_magestic_circlet]
(22582,5528,1,1,1,24195.535348),-- [sealed_magestic_circlet_design]
(22582,1879,2,6,2,72277.442454),-- [cokes]
(22582,1885,1,1,2,144554.444251),-- [high_grade_suede]
(22582,9628,1,1,2,13605.284875),-- [renad]
(22582,9630,1,1,2,9129.972383),-- [oricalcum]
(22582,9629,1,1,2,7541.844555),-- [adamantium]
(22582,6853,1,1,2,808.605595),-- [rp_sealed_imperial_crusader_armor_i]
(22582,1345,60,180,2,192739.405887),-- [shining_arrow]
(22583,5529,1,1,-1,53926),-- [dragon_slayer_edge]
(22583,1808,1,1,-1,8736),-- [rp_soulshot_s]
(22583,5533,1,1,-1,53915),-- [elysian_head]
(22583,57,13159,26954,0,700000),-- [adena]
(22583,81,1,1,1,15.561429),-- [dragon_slayer]
(22583,5529,1,1,1,4425.609868),-- [dragon_slayer_edge]
(22583,151,1,1,1,15.561429),-- [sword_of_miracle]
(22583,5546,1,1,1,4861.109736),-- [sword_of_miracle_edge]
(22583,2500,1,1,1,15.561429),-- [dark_legion's_edge]
(22583,5545,1,1,1,4425.596109),-- [dark_legion's_edge_edge]
(22583,1879,1,1,2,268964.658265),-- [cokes]
(22583,1885,1,1,2,134482.54554),-- [high_grade_suede]
(22583,9628,1,1,2,12657.24186),-- [renad]
(22583,9630,1,1,2,8493.56156),-- [oricalcum]
(22583,9629,1,1,2,7016.363965),-- [adamantium]
(22583,6855,1,1,2,1200.62881),-- [rp_sealed_imperial_crusader_gaiters_i]
(22584,1894,1,1,-1,707527),-- [crafted_leather]
(22584,5534,1,1,-1,55359),-- [soul_bow_shaft]
(22584,57,13502,27648,0,700000),-- [adena]
(22584,164,1,1,1,11.973168),-- [elysian]
(22584,5533,1,1,1,3406.038264),-- [elysian_head]
(22584,213,1,1,1,11.973168),-- [worldtree's_branch]
(22584,5544,1,1,1,3402.675936),-- [worldtree's_branch_head]
(22584,7895,1,1,1,11.973168),-- [dragon_flame_head]
(22584,8342,1,1,1,3406.038264),-- [dragon_flame_head_piece]
(22584,7902,1,1,1,11.973168),-- [doom_crusher]
(22584,8349,1,1,1,3405.354864),-- [doom_crusher_head]
(22584,1879,2,6,2,59126.450625),-- [cokes]
(22584,1885,1,1,2,118253.263711),-- [high_grade_suede]
(22584,9628,1,1,2,11129.727466),-- [renad]
(22584,9630,1,1,2,7468.508905),-- [oricalcum]
(22584,9629,1,1,2,6169.811142),-- [adamantium]
(22584,6857,1,1,2,2642.703151),-- [rp_sealed_imperial_crusader_gauntlet_i]
(22584,1345,60,180,2,157670.535),-- [shining_arrow]
(22585,3036,1,1,-1,5715),-- [rp_spiritshot_s]
(22585,5537,1,1,-1,35279),-- [soul_separator_head]
(22585,3957,1,1,-1,5715),-- [rp_blessed_spiritshot_s]
(22585,57,8627,17613,0,700000),-- [adena]
(22585,270,1,1,1,30.542657),-- [dragon_grinder]
(22585,5538,1,1,1,8688.457343),-- [dragon_grinder_edge]
(22585,1879,1,1,2,175962.236787),-- [cokes]
(22585,1885,1,1,2,87980.976225),-- [high_grade_suede]
(22585,9628,1,1,2,8280.462114),-- [renad]
(22585,9630,1,1,2,5556.797991),-- [oricalcum]
(22585,9629,1,1,2,4590.336528),-- [adamantium]
(22585,6859,1,1,2,1966.190355),-- [rp_sealed_imperial_crusader_boots_i]
(22586,6688,1,1,-1,406104),-- [forgotten_blade_edge]
(22586,960,1,1,-1,75153),-- [scrl_of_ench_am_s]
(22586,1894,1,13,-1,941764),-- [crafted_leather]
(22586,57,109941,220528,0,700000),-- [adena]
(22586,289,1,1,1,446.229),-- [soul_bow]
(22586,5534,1,1,1,127047.771),-- [soul_bow_shaft]
(22586,1879,15,45,2,85696.912212),-- [cokes]
(22586,1885,12,36,2,53560.679094),-- [high_grade_suede]
(22586,9628,1,1,2,120984.31191),-- [renad]
(22586,9630,1,1,2,81186.777804),-- [oricalcum]
(22586,9629,1,1,2,67067.110788),-- [adamantium]
(22586,6861,1,1,2,27350.208192),-- [rp_sealed_imperial_crusader_shield_i]
(22587,1894,1,3,-1,920794),-- [crafted_leather]
(22587,5480,1,1,-1,235513),-- [sealed_leather_mail_of_nightmare_fabric]
(22587,5157,1,1,-1,23327),-- [rp_comp_soulshot_s]
(22587,57,35138,71973,0,700000),-- [adena]
(22587,236,1,1,1,124.657192),-- [soul_separator]
(22587,5537,1,1,1,35471.342808),-- [soul_separator_head]
(22587,1895,12,36,2,51299.168352),-- [metallic_fiber]
(22587,4040,1,1,2,86182.579226),-- [mold_lubricant]
(22587,9628,1,1,2,33797.269247),-- [renad]
(22587,9630,1,1,2,22679.734821),-- [oricalcum]
(22587,6863,1,1,2,5349.56471),-- [rp_sealed_imperial_crusader_helmet_i]
(22587,1345,300,900,2,95758.683644),-- [shining_arrow]
(22588,5481,1,1,-1,175370),-- [sealed_majestic_leather_mail_fabric]
(22588,5162,1,1,-1,17370),-- [rp_comp_spiritshot_s]
(22588,5487,1,1,-1,175990),-- [sealed_robe_of_nightmare_fabric]
(22588,57,26168,53586,0,700000),-- [adena]
(22588,5320,1,1,1,145.785184),-- [sealed_leather_mail_of_nightmare]
(22588,5480,1,1,1,21600.214816),-- [sealed_leather_mail_of_nightmare_fabric]
(22588,5323,1,1,1,145.785184),-- [sealed_majestic_leather_mail]
(22588,5481,1,1,1,21600.214816),-- [sealed_majestic_leather_mail_fabric]
(22588,1895,3,9,2,183355.202415),-- [metallic_fiber]
(22588,4040,1,1,2,77009.103815),-- [mold_lubricant]
(22588,9628,1,1,2,30199.581195),-- [renad]
(22588,9630,1,1,2,20265.47145),-- [oricalcum]
(22588,6865,1,1,2,1475.641125),-- [rp_sealed_draconic_leather_armor_i]
(22589,1894,1,3,-1,703582),-- [crafted_leather]
(22589,5488,1,1,-1,180592),-- [sealed_majestic_robe_fabric]
(22589,57,26906,54930,0,700000),-- [adena]
(22589,5311,1,1,1,112.198058),-- [sealed_armor_of_nightmare]
(22589,5522,1,1,1,16820.801942),-- [sealed_armor_of_nightmare_pattern]
(22589,5316,1,1,1,112.198058),-- [sealed_majestic_platte_armor]
(22589,5523,1,1,1,16820.801942),-- [sealed_majestic_platte_armor_pattern]
(22589,1895,2,6,2,235187.524755),-- [metallic_fiber]
(22589,4040,1,1,2,65852.62551),-- [mold_lubricant]
(22589,9628,1,1,2,25824.301605),-- [renad]
(22589,9630,1,1,2,17329.4154),-- [oricalcum]
(22589,6867,1,1,2,6131.36061),-- [rp_sealed_draconic_leather_gloves_i]
(22589,1345,300,900,2,73169.77212),-- [shining_arrow]
(22590,8690,1,1,-1,2276),-- [rp_sirr_blade_i]
(22590,5478,1,1,-1,135121),-- [sealed_dark_crystal_leather_mail_pattern]
(22590,8692,1,1,-1,2276),-- [rp_sword_of_ipos_i]
(22590,57,8094,16481,0,700000),-- [adena]
(22590,5304,1,1,1,74.043438),-- [sealed_tallum_tunic]
(22590,5485,1,1,1,8314.636078),-- [sealed_tallum_tunic_texture]
(22590,5305,1,1,1,118.409102),-- [sealed_tallum_hose]
(22590,5489,1,1,1,13050.588348),-- [sealed_tallum_hose_fabric]
(22590,5308,1,1,1,45.546186),-- [sealed_dark_crystal_robe]
(22590,5486,1,1,1,5850.776848),-- [sealed_dark_crystal_robe_fabric]
(22590,1895,1,1,2,339028.84092),-- [metallic_fiber]
(22590,4040,1,1,2,23732.05296),-- [mold_lubricant]
(22590,9628,1,1,2,9306.58344),-- [renad]
(22590,9630,1,1,2,6245.1774),-- [oricalcum]
(22590,1808,1,1,2,527.34528),-- [rp_soulshot_s]
(22591,5480,1,1,-1,53597),-- [sealed_leather_mail_of_nightmare_fabric]
(22591,1894,1,1,-1,419102),-- [crafted_leather]
(22591,57,7997,16379,0,700000),-- [adena]
(22591,6326,1,1,1,98.16344),-- [sealed_majestic_necklace]
(22591,6344,1,1,1,14374.18833),-- [sealed_majestic_necklace_beads]
(22591,6327,1,1,1,130.907565),-- [sealed_majestic_earing]
(22591,6342,1,1,1,22211.753155),-- [sealed_majestic_earing_gemstone]
(22591,6328,1,1,1,196.32688),-- [sealed_majestic_ring]
(22591,6346,1,1,1,31923.66063),-- [sealed_majestic_ring_gemstrone]
(22591,1895,1,1,2,336225.883136),-- [metallic_fiber]
(22591,4040,1,1,2,23535.676736),-- [mold_lubricant]
(22591,9628,1,1,2,9229.581504),-- [renad]
(22591,9630,1,1,2,6193.579392),-- [oricalcum]
(22591,959,1,1,2,47.279232),-- [scrl_of_ench_wp_s]
(22592,5481,1,1,-1,53905),-- [sealed_majestic_leather_mail_fabric]
(22592,1808,1,1,-1,5339),-- [rp_soulshot_s]
(22592,5487,1,1,-1,54096),-- [sealed_robe_of_nightmare_fabric]
(22592,57,8044,16471,0,700000),-- [adena]
(22592,5313,1,1,1,109.183728),-- [sealed_gloves_of_nightmare]
(22592,5514,1,1,1,12492.816272),-- [sealed_gloves_of_nightmare_design]
(22592,5314,1,1,1,109.183728),-- [sealed_boots_of_nightmare]
(22592,5502,1,1,1,12492.816272),-- [sealed_boots_of_nightmare_lining]
(22592,5318,1,1,1,109.183728),-- [sealed_magestic_gloves]
(22592,5515,1,1,1,12492.816272),-- [sealed_magestic_gloves_design]
(22592,5319,1,1,1,109.183728),-- [sealed_magestic_boots]
(22592,5503,1,1,1,12492.816272),-- [sealed_magestic_boots_lining]
(22592,1895,1,1,2,281796.71814),-- [metallic_fiber]
(22592,4040,1,1,2,19725.855156),-- [mold_lubricant]
(22592,9628,1,1,2,7735.679406),-- [renad]
(22592,9630,1,1,2,5190.79113),-- [oricalcum]
(22592,960,1,1,2,394.72083),-- [scrl_of_ench_am_s]
(22592,1345,60,180,2,109587.235338),-- [shining_arrow]
(22593,3036,1,1,-1,5767),-- [rp_spiritshot_s]
(22593,5488,1,1,-1,58428),-- [sealed_majestic_robe_fabric]
(22593,1894,1,1,-1,455270),-- [crafted_leather]
(22593,57,8705,17772,0,700000),-- [adena]
(22593,5312,1,1,1,104.851968),-- [sealed_helm_of_nightmare]
(22593,5527,1,1,1,12736.279496),-- [sealed_helm_of_nightmare_design]
(22593,5315,1,1,1,149.842536),-- [sealed_shield_of_nightmare]
(22593,5495,1,1,1,16175.894536),-- [sealed_shield_of_nightmare_fragment]
(22593,5317,1,1,1,104.851968),-- [sealed_magestic_circlet]
(22593,5528,1,1,1,12736.279496),-- [sealed_magestic_circlet_design]
(22593,1895,1,1,2,365240.48472),-- [metallic_fiber]
(22593,4040,1,1,2,25566.8094),-- [mold_lubricant]
(22593,9628,1,1,2,10026.39216),-- [renad]
(22593,9630,1,1,2,6728.27988),-- [oricalcum]
(22593,6901,1,1,2,1278.03384),-- [rp_shining_arrow]
(22594,1894,1,3,-1,928673),-- [crafted_leather]
(22594,6688,1,1,-1,114417),-- [forgotten_blade_edge]
(22594,6901,1,1,-1,52934),-- [rp_shining_arrow]
(22594,57,30975,62132,0,700000),-- [adena]
(22594,81,1,1,1,41.906943),-- [dragon_slayer]
(22594,5529,1,1,1,11918.171556),-- [dragon_slayer_edge]
(22594,151,1,1,1,41.906943),-- [sword_of_miracle]
(22594,5546,1,1,1,13090.973112),-- [sword_of_miracle_edge]
(22594,2500,1,1,1,41.906943),-- [dark_legion's_edge]
(22594,5545,1,1,1,11918.134503),-- [dark_legion's_edge_edge]
(22594,1895,12,36,2,51738.156015),-- [metallic_fiber]
(22594,4040,1,1,2,86920.222116),-- [mold_lubricant]
(22594,9628,1,1,2,34086.367497),-- [renad]
(22594,9630,1,1,2,22873.758453),-- [oricalcum]
(22594,6847,1,1,2,7830.7047),-- [rp_sealed_sanddragon's_earing_i]
(22594,1345,300,900,2,96577.791219),-- [shining_arrow]
(22595,5480,1,1,-1,242230),-- [sealed_leather_mail_of_nightmare_fabric]
(22595,1808,1,1,-1,23992),-- [rp_soulshot_s]
(22595,5481,1,1,-1,242230),-- [sealed_majestic_leather_mail_fabric]
(22595,57,36140,74026,0,700000),-- [adena]
(22595,164,1,1,1,32.05284),-- [elysian]
(22595,5533,1,1,1,9118.15482),-- [elysian_head]
(22595,213,1,1,1,32.05284),-- [worldtree's_branch]
(22595,5544,1,1,1,9109.15368),-- [worldtree's_branch_head]
(22595,7895,1,1,1,32.05284),-- [dragon_flame_head]
(22595,8342,1,1,1,9118.15482),-- [dragon_flame_head_piece]
(22595,7902,1,1,1,32.05284),-- [doom_crusher]
(22595,8349,1,1,1,9116.32532),-- [doom_crusher_head]
(22595,1895,12,36,2,52762.186253),-- [metallic_fiber]
(22595,4040,1,1,2,88640.336531),-- [mold_lubricant]
(22595,9628,1,1,2,34760.812973),-- [renad]
(22595,9630,1,1,2,23326.469601),-- [oricalcum]
(22595,6849,1,1,2,11962.172895),-- [rp_sealed_ring_of_aurakyria_i]
(22595,1345,300,900,2,98489.021747),-- [shining_arrow]
(22596,1894,1,1,-1,453485),-- [crafted_leather]
(22596,5487,1,1,-1,58199),-- [sealed_robe_of_nightmare_fabric]
(22596,57,8654,17721,0,700000),-- [adena]
(22596,270,1,1,1,30.696789),-- [dragon_grinder]
(22596,5538,1,1,1,8732.303211),-- [dragon_grinder_edge]
(22596,1895,1,1,2,363809.378589),-- [metallic_fiber]
(22596,4040,1,1,2,25466.733961),-- [mold_lubricant]
(22596,9628,1,1,2,9987.010451),-- [renad]
(22596,9630,1,1,2,6701.900837),-- [oricalcum]
(22596,6851,1,1,2,1717.976162),-- [rp_sealed_dragon_necklace_i]
(22597,3036,1,1,-1,5892),-- [rp_spiritshot_s]
(22597,5488,1,1,-1,59695),-- [sealed_majestic_robe_fabric]
(22597,3957,1,1,-1,5892),-- [rp_blessed_spiritshot_s]
(22597,57,8894,18157,0,700000),-- [adena]
(22597,289,1,1,1,31.486),-- [soul_bow]
(22597,5534,1,1,1,8964.514),-- [soul_bow_shaft]
(22597,1895,1,1,2,310966.945044),-- [metallic_fiber]
(22597,4040,1,1,2,21767.845422),-- [mold_lubricant]
(22597,9628,1,1,2,8536.345674),-- [renad]
(22597,9630,1,1,2,5728.528302),-- [oricalcum]
(22597,6853,1,1,2,507.318354),-- [rp_sealed_imperial_crusader_armor_i]
(22597,1345,60,180,2,120931.017204),-- [shining_arrow]
(22617,9630,1,1,-1,92833),-- [oricalcum]
(22617,9617,1,1,-1,9807),-- [dynasty_two_hand_sword_piece]
(22617,9537,1,1,-1,63422),-- [sealed_dynasty_leather_helmet_piece]
(22617,57,4323,8709,0,700000),-- [adena]
(22617,9442,1,1,1,2.576712),-- [dynasty_blade]
(22617,9443,1,1,1,2.576712),-- [dynasty_two_hand_sword]
(22617,9444,1,1,1,2.576712),-- [dynasty_magic_sword]
(22617,9616,1,1,1,805.42248),-- [dynasty_blade_piece]
(22617,9617,1,1,1,805.42248),-- [dynasty_two_hand_sword_piece]
(22617,9618,1,1,1,805.424904),-- [dynasty_magic_sword_piece]
(22617,1879,1,1,2,160903.572531),-- [cokes]
(22617,1885,1,1,2,80451.973277),-- [high_grade_suede]
(22617,9628,1,1,2,7572.095635),-- [renad]
(22617,9630,1,1,2,5081.102455),-- [oricalcum]
(22617,9629,1,1,2,4197.660129),-- [adamantium]
(22617,9573,1,1,2,6704.362275),-- [general_80_s]
(22617,9574,1,1,2,1675.997063),-- [special_80_s]
(22617,9575,1,1,2,167.562304),-- [rare_80_s]
(22617,1345,60,180,2,107268.674331),-- [shining_arrow]
(22618,1808,1,1,-1,7839),-- [rp_soulshot_s]
(22618,9623,1,1,-1,9494),-- [dynasty_staff_piece]
(22618,3036,1,1,-1,7839),-- [rp_spiritshot_s]
(22618,57,4323,8709,0,700000),-- [adena]
(22618,9448,1,1,1,1.931892),-- [dynasty_hammer]
(22618,9449,1,1,1,1.931892),-- [dynasty_staff]
(22618,10252,1,1,1,1.931892),-- [dynasty_twohand_staff]
(22618,10253,1,1,1,1.931892),-- [dynasty_crusher]
(22618,9622,1,1,1,584.431956),-- [dynasty_hammer_piece]
(22618,9623,1,1,1,584.431956),-- [dynasty_staff_piece]
(22618,10546,1,1,1,605.706648),-- [dynasty_twohand_staff_piece]
(22618,10547,1,1,1,605.701872),-- [dynasty_crusher_piece]
(22618,1879,1,1,2,160903.638985),-- [cokes]
(22618,1885,1,1,2,80451.686019),-- [high_grade_suede]
(22618,9628,1,1,2,7571.951655),-- [renad]
(22618,9630,1,1,2,5081.069198),-- [oricalcum]
(22618,9629,1,1,2,4197.474628),-- [adamantium]
(22618,9573,1,1,2,6704.373905),-- [general_80_s]
(22618,9574,1,1,2,1676.160213),-- [special_80_s]
(22618,9575,1,1,2,167.642716),-- [rare_80_s]
(22618,9625,1,1,2,193.002681),-- [codex_of_giant_forgetting]
(22619,9624,1,1,-1,9494),-- [dynasty_jamadhr_piece]
(22619,9630,1,1,-1,92833),-- [oricalcum]
(22619,9628,1,1,-1,138339),-- [renad]
(22619,57,4323,8709,0,700000),-- [adena]
(22619,9450,1,1,1,7.727724),-- [dynasty_jamadhr]
(22619,9624,1,1,1,2338.272276),-- [dynasty_jamadhr_piece]
(22619,1879,1,1,2,160903.7607),-- [cokes]
(22619,1885,1,1,2,80451.88035),-- [high_grade_suede]
(22619,9628,1,1,2,7572.004476),-- [renad]
(22619,9630,1,1,2,5081.185437),-- [oricalcum]
(22619,9629,1,1,2,4197.535824),-- [adamantium]
(22619,9573,1,1,2,6704.367843),-- [general_80_s]
(22619,9574,1,1,2,1676.02524),-- [special_80_s]
(22619,9575,1,1,2,167.602524),-- [rare_80_s]
(22619,9626,1,1,2,128.637606),-- [codex_of_giant_training]
(22620,9992,1,1,-1,32739),-- [sealed_dynasty_neckalce_gem]
(22620,3957,1,1,-1,8086),-- [rp_blessed_spiritshot_s]
(22620,9537,1,1,-1,65418),-- [sealed_dynasty_leather_helmet_piece]
(22620,57,4459,8983,0,700000),-- [adena]
(22620,9445,1,1,1,7.970688),-- [dynasty_bow]
(22620,9619,1,1,1,2508.029312),-- [dynasty_bow_piece]
(22620,1895,1,1,2,320079.12226),-- [metallic_fiber]
(22620,4040,1,1,2,22405.37578),-- [mold_lubricant]
(22620,4042,1,1,2,18671.4943),-- [enria]
(22620,4043,1,1,2,37342.57122),-- [asofe]
(22620,9573,1,1,2,7779.54582),-- [general_80_s]
(22620,9574,1,1,2,1944.9908),-- [special_80_s]
(22620,9575,1,1,2,194.49908),-- [rare_80_s]
(22620,9546,1,1,2,8962.40074),-- [ore_of_fire]
(22621,5157,1,1,-1,7660),-- [rp_comp_soulshot_s]
(22621,9622,1,1,-1,9277),-- [dynasty_hammer_piece]
(22621,9628,1,1,-1,135170),-- [renad]
(22621,57,4224,8509,0,700000),-- [adena]
(22621,9446,1,1,1,7.552272),-- [dynasty_dagger]
(22621,9620,1,1,1,2358.447728),-- [dynasty_dagger_piece]
(22621,1895,1,1,2,303205.527629),-- [metallic_fiber]
(22621,4040,1,1,2,21224.232737),-- [mold_lubricant]
(22621,4042,1,1,2,17687.190095),-- [enria]
(22621,4043,1,1,2,35373.984813),-- [asofe]
(22621,9573,1,1,2,7369.431903),-- [general_80_s]
(22621,9574,1,1,2,1842.45682),-- [special_80_s]
(22621,9575,1,1,2,184.245682),-- [rare_80_s]
(22621,9547,1,1,2,8489.930321),-- [ore_of_water]
(22622,1894,1,1,-1,900504),-- [crafted_leather]
(22622,9993,1,1,-1,84567),-- [sealed_dynasty_ring_gem]
(22622,5162,1,1,-1,11406),-- [rp_comp_spiritshot_s]
(22622,57,6281,12679,0,700000),-- [adena]
(22622,9447,1,1,1,11.24585),-- [dynasty_spear]
(22622,9621,1,1,1,3530.75415),-- [dynasty_spear_piece]
(22622,1895,1,3,2,225759.728709),-- [metallic_fiber]
(22622,4040,1,1,2,31606.355925),-- [mold_lubricant]
(22622,9628,1,1,2,12394.505988),-- [renad]
(22622,9630,1,1,2,8317.446048),-- [oricalcum]
(22622,9573,1,1,2,10974.543408),-- [general_80_s]
(22622,9574,1,1,2,2743.635852),-- [special_80_s]
(22622,9575,1,1,2,274.2417),-- [rare_80_s]
(22622,9548,1,1,2,12642.54237),-- [ore_of_earth]
(22623,9992,1,1,-1,30626),-- [sealed_dynasty_neckalce_gem]
(22623,5167,1,1,-1,7564),-- [rp_comp_bspiritshot_s]
(22623,9530,1,1,-1,24787),-- [sealed_dynasty_blast_plate_piece]
(22623,57,4172,8403,0,700000),-- [adena]
(22623,9514,1,1,1,11.454168),-- [sealed_dynasty_blast_plate]
(22623,9515,1,1,1,18.319404),-- [sealed_dynasty_gaiter]
(22623,9530,1,1,1,3051.651888),-- [sealed_dynasty_blast_plate_piece]
(22623,9531,1,1,1,9026.57454),-- [sealed_dynasty_gaiter_piece]
(22623,1879,1,1,2,155258.078646),-- [cokes]
(22623,1885,1,1,2,77629.039323),-- [high_grade_suede]
(22623,9628,1,1,2,7306.334189),-- [renad]
(22623,9630,1,1,2,4902.847664),-- [oricalcum]
(22623,9629,1,1,2,4050.305171),-- [adamantium]
(22623,9573,1,1,2,6469.152822),-- [general_80_s]
(22623,9574,1,1,2,1617.155782),-- [special_80_s]
(22623,9575,1,1,2,161.821517),-- [rare_80_s]
(22623,9549,1,1,2,7452.264886),-- [ore_of_wind]
(22624,1894,1,1,-1,604709),-- [crafted_leather]
(22624,9530,1,1,-1,25100),-- [sealed_dynasty_blast_plate_piece]
(22624,57,4224,8509,0,700000),-- [adena]
(22624,9519,1,1,1,15.465998),-- [sealed_dynasty_leather_mail]
(22624,9520,1,1,1,24.743713),-- [sealed_dynasty_leather_legging]
(22624,9535,1,1,1,3797.166241),-- [sealed_dynasty_leather_mail_piece]
(22624,9536,1,1,1,5581.624048),-- [sealed_dynasty_leather_legging_piece]
(22624,1894,1,1,2,37235.845858),-- [crafted_leather]
(22624,4039,1,1,2,35374.06032),-- [mold_glue]
(22624,4041,1,1,2,9228.003988),-- [mold_hardener]
(22624,4044,1,1,2,35374.06032),-- [thons]
(22624,9573,1,1,2,7369.5959),-- [general_80_s]
(22624,9574,1,1,2,1842.466524),-- [special_80_s]
(22624,9575,1,1,2,184.273672),-- [rare_80_s]
(22624,9550,1,1,2,8489.693418),-- [ore_of_unholy]
(22625,5272,1,1,-1,8235),-- [rp_adv_comp_soulshot_s]
(22625,9619,1,1,-1,10371),-- [dynasty_bow_piece]
(22625,5277,1,1,-1,8235),-- [rp_adv_comp_spiritshot_s]
(22625,57,4534,9153,0,700000),-- [adena]
(22625,9524,1,1,1,16.626892),-- [sealed_dynasty_tunic]
(22625,9525,1,1,1,26.601002),-- [sealed_dynasty_hose]
(22625,9540,1,1,1,4082.185514),-- [sealed_dynasty_tunic_piece]
(22625,9541,1,1,1,6000.586592),-- [sealed_dynasty_hose_piece]
(22625,1895,1,1,2,325964.903235),-- [metallic_fiber]
(22625,4040,1,1,2,22817.377455),-- [mold_lubricant]
(22625,4042,1,1,2,19014.835425),-- [enria]
(22625,4043,1,1,2,38029.245795),-- [asofe]
(22625,9573,1,1,2,7922.600145),-- [general_80_s]
(22625,9574,1,1,2,1980.7563),-- [special_80_s]
(22625,9575,1,1,2,198.07563),-- [rare_80_s]
(22625,9551,1,1,2,9127.206015),-- [ore_of_holy]
(22626,9624,1,1,-1,13815),-- [dynasty_jamadhr_piece]
(22626,960,1,1,-1,10266),-- [scrl_of_ench_am_s]
(22626,9630,1,1,-1,135076),-- [oricalcum]
(22626,57,6281,12679,0,700000),-- [adena]
(22626,9452,1,1,1,69.678182),-- [sealed_dynasty_earring]
(22626,9453,1,1,1,52.250686),-- [sealed_dynasty_neckalce]
(22626,9454,1,1,1,104.517273),-- [sealed_dynasty_ring]
(22626,9991,1,1,1,4940.249888),-- [sealed_dynasty_earring_gem]
(22626,9992,1,1,1,3791.513945),-- [sealed_dynasty_neckalce_gem]
(22626,9993,1,1,1,6942.790026),-- [sealed_dynasty_ring_gem]
(22626,1879,1,1,2,234121.354176),-- [cokes]
(22626,1885,1,1,2,117060.677088),-- [high_grade_suede]
(22626,9628,1,1,2,11017.333914),-- [renad]
(22626,9630,1,1,2,7393.15473),-- [oricalcum]
(22626,9629,1,1,2,6107.456202),-- [adamantium]
(22626,9573,1,1,2,9754.927026),-- [general_80_s]
(22626,9574,1,1,2,2438.634708),-- [special_80_s]
(22626,9575,1,1,2,243.785832),-- [rare_80_s]
(22626,959,1,1,2,56.676324),-- [scrl_of_ench_wp_s]
(22627,1894,1,1,-1,620178),-- [crafted_leather]
(22627,9624,1,1,-1,9514),-- [dynasty_jamadhr_piece]
(22627,6901,1,1,-1,17675),-- [rp_shining_arrow]
(22627,57,4326,8732,0,700000),-- [adena]
(22627,9517,1,1,1,15.861908),-- [sealed_dynasty_gauntlet]
(22627,9518,1,1,1,15.861908),-- [sealed_dynasty_boots]
(22627,9522,1,1,1,15.861908),-- [sealed_dynasty_leather_gloves]
(22627,9523,1,1,1,15.861908),-- [sealed_dynasty_leather_boots]
(22627,9527,1,1,1,15.861908),-- [sealed_dynasty_gloves]
(22627,9528,1,1,1,15.861908),-- [sealed_dynasty_shoes]
(22627,9533,1,1,1,3471.811734),-- [sealed_dynasty_gauntlet_piece]
(22627,9534,1,1,1,3471.811734),-- [sealed_dynasty_boots_piece]
(22627,9538,1,1,1,3471.811734),-- [sealed_dynasty_leather_gloves_piece]
(22627,9539,1,1,1,3471.811734),-- [sealed_dynasty_leather_boots_piece]
(22627,9543,1,1,1,3471.811734),-- [sealed_dynasty_gloves_piece]
(22627,9544,1,1,1,3471.769882),-- [sealed_dynasty_shoes_piece]
(22627,1894,1,1,2,38188.25984),-- [crafted_leather]
(22627,4039,1,1,2,36278.846848),-- [mold_glue]
(22627,4041,1,1,2,9464.075326),-- [mold_hardener]
(22627,4044,1,1,2,36278.846848),-- [thons]
(22627,9573,1,1,2,7558.049666),-- [general_80_s]
(22627,9574,1,1,2,1889.479846),-- [special_80_s]
(22627,9575,1,1,2,188.9089),-- [rare_80_s]
(22627,960,1,1,2,435.532726),-- [scrl_of_ench_am_s]
(22628,9992,1,1,-1,31806),-- [sealed_dynasty_neckalce_gem]
(22628,9624,1,1,-1,9514),-- [dynasty_jamadhr_piece]
(22628,9530,1,1,-1,25742),-- [sealed_dynasty_blast_plate_piece]
(22628,57,4326,8732,0,700000),-- [adena]
(22628,9516,1,1,1,12.688732),-- [sealed_dynasty_helmet]
(22628,9529,1,1,1,18.121516),-- [sealed_dynasty_shield]
(22628,13886,1,1,1,18.121516),-- [sealed_dynasty_sigil]
(22628,9521,1,1,1,12.688732),-- [sealed_dynasty_leather_helmet]
(22628,9526,1,1,1,12.688732),-- [sealed_dynasty_circlet]
(22628,9532,1,1,1,3129.981036),-- [sealed_dynasty_helmet_piece]
(22628,9542,1,1,1,3129.981036),-- [sealed_dynasty_circlet_piece]
(22628,9545,1,1,1,3730.842052),-- [sealed_dynasty_shield_piece]
(22628,10114,1,1,1,2158.197916),-- [sealed_dynasty_sigil_piece]
(22628,1894,1,1,2,38188.416641),-- [crafted_leather]
(22628,4039,1,1,2,36279.067491),-- [mold_glue]
(22628,4041,1,1,2,9464.115896),-- [mold_hardener]
(22628,4044,1,1,2,36279.067491),-- [thons]
(22628,9573,1,1,2,7558.155352),-- [general_80_s]
(22628,9574,1,1,2,1889.538838),-- [special_80_s]
(22628,9575,1,1,2,188.97995),-- [rare_80_s]
(22628,5272,1,1,2,483.658341),-- [rp_adv_comp_soulshot_s]
(22629,959,1,1,-1,707),-- [scrl_of_ench_wp_s]
(22629,1894,1,1,-1,620178),-- [crafted_leather]
(22629,57,4326,8732,0,700000),-- [adena]
(22629,9450,1,1,1,7.744194),-- [dynasty_jamadhr]
(22629,9624,1,1,1,2343.255806),-- [dynasty_jamadhr_piece]
(22629,1894,1,1,2,38188.416641),-- [crafted_leather]
(22629,4039,1,1,2,36279.067491),-- [mold_glue]
(22629,4041,1,1,2,9464.115896),-- [mold_hardener]
(22629,4044,1,1,2,36279.067491),-- [thons]
(22629,9573,1,1,2,7558.155352),-- [general_80_s]
(22629,9574,1,1,2,1889.538838),-- [special_80_s]
(22629,9575,1,1,2,188.97995),-- [rare_80_s]
(22629,5277,1,1,2,483.658341),-- [rp_adv_comp_spiritshot_s]
(22630,9622,1,1,-1,9396),-- [dynasty_hammer_piece]
(22630,1808,1,1,-1,7758),-- [rp_soulshot_s]
(22630,9530,1,1,-1,25421),-- [sealed_dynasty_blast_plate_piece]
(22630,57,4272,8623,0,700000),-- [adena]
(22630,9442,1,1,1,2.549074),-- [dynasty_blade]
(22630,9443,1,1,1,2.549074),-- [dynasty_two_hand_sword]
(22630,9444,1,1,1,2.549074),-- [dynasty_magic_sword]
(22630,9616,1,1,1,796.78346),-- [dynasty_blade_piece]
(22630,9617,1,1,1,796.78346),-- [dynasty_two_hand_sword_piece]
(22630,9618,1,1,1,796.785858),-- [dynasty_magic_sword_piece]
(22630,1879,1,1,2,159229.905688),-- [cokes]
(22630,1885,1,1,2,79614.952844),-- [high_grade_suede]
(22630,9628,1,1,2,7493.20936),-- [renad]
(22630,9630,1,1,2,5028.435272),-- [oricalcum]
(22630,9629,1,1,2,4153.78684),-- [adamantium]
(22630,9573,1,1,2,6634.689572),-- [general_80_s]
(22630,9574,1,1,2,1658.606292),-- [special_80_s]
(22630,9575,1,1,2,165.781308),-- [rare_80_s]
(22630,5282,1,1,2,424.632824),-- [rp_adv_comp_bspiritshot_s]
(22631,3036,1,1,-1,10702),-- [rp_spiritshot_s]
(22631,9624,1,1,-1,12962),-- [dynasty_jamadhr_piece]
(22631,1894,1,1,-1,844904),-- [crafted_leather]
(22631,57,5893,11896,0,700000),-- [adena]
(22631,9442,1,1,1,3.517467),-- [dynasty_blade]
(22631,9443,1,1,1,3.517467),-- [dynasty_two_hand_sword]
(22631,9444,1,1,1,3.517467),-- [dynasty_magic_sword]
(22631,9616,1,1,1,1099.48143),-- [dynasty_blade_piece]
(22631,9617,1,1,1,1099.48143),-- [dynasty_two_hand_sword_piece]
(22631,9618,1,1,1,1099.484739),-- [dynasty_magic_sword_piece]
(22631,1879,1,1,2,219665.938856),-- [cokes]
(22631,1885,1,1,2,109832.969428),-- [high_grade_suede]
(22631,9628,1,1,2,10337.181953),-- [renad]
(22631,9630,1,1,2,6936.653689),-- [oricalcum]
(22631,9629,1,1,2,5730.533389),-- [adamantium]
(22631,9573,1,1,2,9152.625622),-- [general_80_s]
(22631,9574,1,1,2,2288.339151),-- [special_80_s]
(22631,9575,1,1,2,228.797366),-- [rare_80_s]
(22631,6901,1,1,2,1317.960546),-- [rp_shining_arrow]
(22632,1894,1,1,-1,692161),-- [crafted_leather]
(22632,9623,1,1,-1,10619),-- [dynasty_staff_piece]
(22632,3957,1,1,-1,8767),-- [rp_blessed_spiritshot_s]
(22632,57,4835,9740,0,700000),-- [adena]
(22632,9448,1,1,1,2.160839),-- [dynasty_hammer]
(22632,9449,1,1,1,2.160839),-- [dynasty_staff]
(22632,10252,1,1,1,2.160839),-- [dynasty_twohand_staff]
(22632,10253,1,1,1,2.160839),-- [dynasty_crusher]
(22632,9622,1,1,1,653.692527),-- [dynasty_hammer_piece]
(22632,9623,1,1,1,653.692527),-- [dynasty_staff_piece]
(22632,10546,1,1,1,677.488466),-- [dynasty_twohand_staff_piece]
(22632,10547,1,1,1,677.483124),-- [dynasty_crusher_piece]
(22632,1895,1,1,2,347055.182896),-- [metallic_fiber]
(22632,4040,1,1,2,24293.671492),-- [mold_lubricant]
(22632,9628,1,1,2,9526.875292),-- [renad]
(22632,9630,1,1,2,6392.96656),-- [oricalcum]
(22632,9573,1,1,2,8435.208496),-- [general_80_s]
(22632,9574,1,1,2,2108.802124),-- [special_80_s]
(22632,9575,1,1,2,210.840356),-- [rare_80_s]
(22632,5157,1,1,2,540.452784),-- [rp_comp_soulshot_s]
(22633,9992,1,1,-1,31410),-- [sealed_dynasty_neckalce_gem]
(22633,5157,1,1,-1,7758),-- [rp_comp_soulshot_s]
(22633,9623,1,1,-1,9396),-- [dynasty_staff_piece]
(22633,57,4272,8623,0,700000),-- [adena]
(22633,9448,1,1,1,1.912476),-- [dynasty_hammer]
(22633,9449,1,1,1,1.912476),-- [dynasty_staff]
(22633,10252,1,1,1,1.912476),-- [dynasty_twohand_staff]
(22633,10253,1,1,1,1.912476),-- [dynasty_crusher]
(22633,9622,1,1,1,578.558268),-- [dynasty_hammer_piece]
(22633,9623,1,1,1,578.558268),-- [dynasty_staff_piece]
(22633,10546,1,1,1,599.619144),-- [dynasty_twohand_staff_piece]
(22633,10547,1,1,1,599.614416),-- [dynasty_crusher_piece]
(22633,1879,1,1,2,159229.905688),-- [cokes]
(22633,1885,1,1,2,79614.952844),-- [high_grade_suede]
(22633,9628,1,1,2,7493.20936),-- [renad]
(22633,9630,1,1,2,5028.435272),-- [oricalcum]
(22633,9629,1,1,2,4153.78684),-- [adamantium]
(22633,9573,1,1,2,6634.689572),-- [general_80_s]
(22633,9574,1,1,2,1658.606292),-- [special_80_s]
(22633,9575,1,1,2,165.781308),-- [rare_80_s]
(22633,5162,1,1,2,424.632824),-- [rp_comp_spiritshot_s]
(22634,1894,1,1,-1,354245),-- [crafted_leather]
(22634,9992,1,1,-1,18168),-- [sealed_dynasty_neckalce_gem]
(22634,57,1883,3706,0,700000),-- [adena]
(22634,6371,1,1,1,8.718161),-- [demon_splinter]
(22634,6695,1,1,1,3952.281839),-- [demon_splinter_blade]
(22634,1895,1,1,2,213014.351564),-- [metallic_fiber]
(22634,4040,1,1,2,14911.026032),-- [mold_lubricant]
(22634,9628,1,1,2,5847.395848),-- [renad]
(22634,9630,1,1,2,3923.89158),-- [oricalcum]
(22634,5167,1,1,2,331.334976),-- [rp_comp_bspiritshot_s]
(22635,5162,1,1,-1,4382),-- [rp_comp_spiritshot_s]
(22635,6701,1,1,-1,52494),-- [sealed_imperial_crusader_armor_part]
(22635,6702,1,1,-1,67573),-- [sealed_imperial_crusader_gaiters_pattern]
(22635,57,1839,3620,0,700000),-- [adena]
(22635,6364,1,1,1,4.257225),-- [forgotten_blade]
(22635,6372,1,1,1,4.257225),-- [heavens_divider]
(22635,6688,1,1,1,1967.613075),-- [forgotten_blade_edge]
(22635,6696,1,1,1,1998.872475),-- [heavens_divider_edge]
(22635,1895,1,1,2,208026.816646),-- [metallic_fiber]
(22635,4040,1,1,2,14561.909684),-- [mold_lubricant]
(22635,9628,1,1,2,5710.530045),-- [renad]
(22635,9630,1,1,2,3832.105946),-- [oricalcum]
(22635,9625,1,1,2,145.637679),-- [codex_of_giant_forgetting]
(22636,6688,1,1,-1,22016),-- [forgotten_blade_edge]
(22636,6696,1,1,-1,22366),-- [heavens_divider_edge]
(22636,6711,1,1,-1,50468),-- [sealed_major_arcana_robe_part]
(22636,57,1900,3739,0,700000),-- [adena]
(22636,6676,1,1,1,33.633684),-- [sealed_imperial_crusader_gauntlet]
(22636,6677,1,1,1,33.633684),-- [sealed_imperial_crusader_boots]
(22636,6681,1,1,1,33.633684),-- [sealed_draconic_leather_gloves]
(22636,6682,1,1,1,33.633684),-- [sealed_draconic_leather_boots]
(22636,6685,1,1,1,33.633684),-- [sealed_major_arcana_gloves]
(22636,6686,1,1,1,33.633684),-- [sealed_major_arcana_boots]
(22636,6703,1,1,1,7649.197896),-- [sealed_imperial_crusader_gauntlet_design]
(22636,1879,1,1,2,104467.971374),-- [cokes]
(22636,1885,1,1,2,52234.06955),-- [high_grade_suede]
(22636,9628,1,1,2,4916.216786),-- [renad]
(22636,9630,1,1,2,3299.002694),-- [oricalcum]
(22636,9629,1,1,2,2725.212048),-- [adamantium]
(22636,9626,1,1,2,83.527548),-- [codex_of_giant_training]
(22637,6694,1,1,-1,22218),-- [saint_spear_blade]
(22637,5272,1,1,-1,4487),-- [rp_adv_comp_soulshot_s]
(22637,6691,1,1,-1,21822),-- [angel_slayer_blade]
(22637,57,1883,3706,0,700000),-- [adena]
(22637,7575,1,1,1,8.717205),-- [draconic_bow]
(22637,7579,1,1,1,4074.282795),-- [draconic_bow_shaft]
(22637,1895,1,1,2,213014.294064),-- [metallic_fiber]
(22637,4040,1,1,2,14911.078556),-- [mold_lubricant]
(22637,9628,1,1,2,5847.376678),-- [renad]
(22637,9630,1,1,2,3923.916744),-- [oricalcum]
(22637,9546,1,1,2,5964.333958),-- [ore_of_fire]
(22638,5277,1,1,-1,4487),-- [rp_adv_comp_spiritshot_s]
(22638,6689,1,1,-1,21411),-- [basalt_battlehammer_head]
(22638,6690,1,1,-1,21864),-- [piece_of_imperial_staff]
(22638,57,1883,3706,0,700000),-- [adena]
(22638,6367,1,1,1,8.718042),-- [angel_slayer]
(22638,6691,1,1,1,4029.281958),-- [angel_slayer_blade]
(22638,1879,1,1,2,103548.324357),-- [cokes]
(22638,1885,1,1,2,51774.247747),-- [high_grade_suede]
(22638,9628,1,1,2,4872.783801),-- [renad]
(22638,9630,1,1,2,3269.914659),-- [oricalcum]
(22638,9629,1,1,2,2701.226408),-- [adamantium]
(22638,9547,1,1,2,4970.503028),-- [ore_of_water]
(22639,6695,1,1,-1,21515),-- [demon_splinter_blade]
(22639,7579,1,1,-1,22182),-- [draconic_bow_shaft]
(22639,5282,1,1,-1,4509),-- [rp_adv_comp_bspiritshot_s]
(22639,57,1892,3724,0,700000),-- [adena]
(22639,6679,1,1,1,22.329622),-- [sealed_imperial_crusader_helmet]
(22639,6683,1,1,1,22.329622),-- [sealed_draconic_leather_helmet]
(22639,6687,1,1,1,22.329622),-- [sealed_major_arcana_hood]
(22639,6678,1,1,1,31.91195),-- [sealed_imperial_crusader_shield]
(22639,13885,1,1,1,21.280462),-- [sealed_arcana_sigil]
(22639,6706,1,1,1,8682.900618),-- [sealed_imperial_crusader_helmet_pattern]
(22639,6710,1,1,1,8682.918104),-- [sealed_draconic_leather_helmet_pattern]
(22639,1895,1,1,2,214045.57408),-- [metallic_fiber]
(22639,4040,1,1,2,14983.13024),-- [mold_lubricant]
(22639,4042,1,1,2,12486.12352),-- [enria]
(22639,4043,1,1,2,24971.97456),-- [asofe]
(22639,9548,1,1,2,5993.1976),-- [ore_of_earth]
(22640,5529,1,1,-1,27117),-- [dragon_slayer_edge]
(22640,1808,1,1,-1,4393),-- [rp_soulshot_s]
(22640,5533,1,1,-1,27112),-- [elysian_head]
(22640,57,1843,3629,0,700000),-- [adena]
(22640,6371,1,1,1,8.535478),-- [demon_splinter]
(22640,6695,1,1,1,3869.464522),-- [demon_splinter_blade]
(22640,1895,1,1,2,208543.512528),-- [metallic_fiber]
(22640,4040,1,1,2,14598.122212),-- [mold_lubricant]
(22640,9628,1,1,2,5724.650906),-- [renad]
(22640,9630,1,1,2,3841.560888),-- [oricalcum]
(22640,9549,1,1,2,5839.153466),-- [ore_of_wind]
(22641,6703,1,1,-1,144268),-- [sealed_imperial_crusader_gauntlet_design]
(22641,6704,1,1,-1,144268),-- [sealed_imperial_crusader_boots_design]
(22641,5277,1,1,-1,4503),-- [rp_adv_comp_spiritshot_s]
(22641,57,1890,3720,0,700000),-- [adena]
(22641,6364,1,1,1,4.375035),-- [forgotten_blade]
(22641,6372,1,1,1,4.375035),-- [heavens_divider]
(22641,6688,1,1,1,2022.062745),-- [forgotten_blade_edge]
(22641,6696,1,1,1,2054.187185),-- [heavens_divider_edge]
(22641,1879,1,1,2,103924.672299),-- [cokes]
(22641,1885,1,1,2,51962.422029),-- [high_grade_suede]
(22641,9628,1,1,2,4890.494007),-- [renad]
(22641,9630,1,1,2,3281.799213),-- [oricalcum]
(22641,9629,1,1,2,2711.044056),-- [adamantium]
(22641,9550,1,1,2,4988.568396),-- [ore_of_unholy]
(22642,3036,1,1,-1,5783),-- [rp_spiritshot_s]
(22642,959,1,1,-1,520),-- [scrl_of_ench_wp_s]
(22642,3957,1,1,-1,5783),-- [rp_blessed_spiritshot_s]
(22642,57,2427,4777,0,700000),-- [adena]
(22642,6370,1,1,1,11.234937),-- [saint_spear]
(22642,6694,1,1,1,5285.765063),-- [saint_spear_blade]
(22642,1894,1,1,2,33714.438336),-- [crafted_leather]
(22642,4039,1,1,2,32028.739182),-- [mold_glue]
(22642,4041,1,1,2,8355.313368),-- [mold_hardener]
(22642,4044,1,1,2,32028.739182),-- [thons]
(22642,9551,1,1,2,7686.769932),-- [ore_of_holy]
(22643,6688,1,1,-1,29596),-- [forgotten_blade_edge]
(22643,960,1,1,-1,5477),-- [scrl_of_ench_am_s]
(22643,1894,1,1,-1,480429),-- [crafted_leather]
(22643,57,2554,5027,0,700000),-- [adena]
(22643,6684,1,1,1,32.454675),-- [sealed_major_arcana_robe]
(22643,6711,1,1,1,12522.545325),-- [sealed_major_arcana_robe_part]
(22643,1895,1,1,2,240742.26592),-- [metallic_fiber]
(22643,4040,1,1,2,16852.00582),-- [mold_lubricant]
(22643,4042,1,1,2,14043.27262),-- [enria]
(22643,4043,1,1,2,28086.54524),-- [asofe]
(22643,959,1,1,2,33.83068),-- [scrl_of_ench_wp_s]
(22643,1345,60,180,2,93622.07972),-- [shining_arrow]
(22644,6708,1,1,-1,196689),-- [sealed_draconic_leather_gloves_fabric]
(22644,6709,1,1,-1,196689),-- [sealed_draconic_leather_boots_design]
(22644,5157,1,1,-1,6140),-- [rp_comp_soulshot_s]
(22644,57,2576,5071,0,700000),-- [adena]
(22644,6365,1,1,1,3.97607),-- [basalt_battlehammer]
(22644,6366,1,1,1,3.97607),-- [imperial_staff]
(22644,6369,1,1,1,3.97607),-- [dragon_hunter_axe]
(22644,6689,1,1,1,1803.98554),-- [basalt_battlehammer_head]
(22644,6690,1,1,1,1842.13148),-- [piece_of_imperial_staff]
(22644,6693,1,1,1,1871.95477),-- [dragon_hunter_axe_blade]
(22644,1895,1,1,2,291470.589124),-- [metallic_fiber]
(22644,4040,1,1,2,20403.074756),-- [mold_lubricant]
(22644,9628,1,1,2,8001.26964),-- [renad]
(22644,9630,1,1,2,5369.350176),-- [oricalcum]
(22644,960,1,1,2,407.716304),-- [scrl_of_ench_am_s]
(22645,6712,1,1,-1,186681),-- [sealed_major_arcana_gloves_fabric]
(22645,5162,1,1,-1,5827),-- [rp_comp_spiritshot_s]
(22645,6713,1,1,-1,186681),-- [sealed_major_arcana_boots_design]
(22645,57,2445,4813,0,700000),-- [adena]
(22645,6371,1,1,1,11.321944),-- [demon_splinter]
(22645,6695,1,1,1,5132.678056),-- [demon_splinter_blade]
(22645,1894,1,1,2,33973.145032),-- [crafted_leather]
(22645,4039,1,1,2,32274.519992),-- [mold_glue]
(22645,4041,1,1,2,8419.468008),-- [mold_hardener]
(22645,4044,1,1,2,32274.519992),-- [thons]
(22645,5272,1,1,2,430.346976),-- [rp_adv_comp_soulshot_s]
(22646,6706,1,1,-1,328015),-- [sealed_imperial_crusader_helmet_pattern]
(22646,6710,1,1,-1,328015),-- [sealed_draconic_leather_helmet_pattern]
(22646,57,2514,4949,0,700000),-- [adena]
(22646,6680,1,1,1,31.953185),-- [sealed_draconic_leather_armor]
(22646,6707,1,1,1,12329.046815),-- [sealed_draconic_leather_armor_part]
(22646,1895,1,1,2,284419.898995),-- [metallic_fiber]
(22646,4040,1,1,2,19909.474475),-- [mold_lubricant]
(22646,4042,1,1,2,16591.28782),-- [enria]
(22646,4043,1,1,2,33182.221095),-- [asofe]
(22646,5277,1,1,2,442.117615),-- [rp_adv_comp_spiritshot_s]
(22647,6706,1,1,-1,343236),-- [sealed_imperial_crusader_helmet_pattern]
(22647,6710,1,1,-1,343236),-- [sealed_draconic_leather_helmet_pattern]
(22647,57,2631,5178,0,700000),-- [adena]
(22647,6674,1,1,1,20.375586),-- [sealed_imperial_crusader_armor]
(22647,6675,1,1,1,32.591394),-- [sealed_imperial_crusader_gaiters]
(22647,6701,1,1,1,6930.991782),-- [sealed_imperial_crusader_armor_part]
(22647,6702,1,1,1,8922.041238),-- [sealed_imperial_crusader_gaiters_pattern]
(22647,1879,1,1,2,144675.4013),-- [cokes]
(22647,1885,1,1,2,72337.70065),-- [high_grade_suede]
(22647,9628,1,1,2,6808.36635),-- [renad]
(22647,9630,1,1,2,4568.6773),-- [oricalcum]
(22647,9629,1,1,2,3774.05395),-- [adamantium]
(22647,5282,1,1,2,385.80045),-- [rp_adv_comp_bspiritshot_s]
(22648,5282,1,1,-1,6136),-- [rp_adv_comp_bspiritshot_s]
(22648,5529,1,1,-1,37877),-- [dragon_slayer_edge]
(22648,1808,1,1,-1,6136),-- [rp_soulshot_s]
(22648,57,2575,5068,0,700000),-- [adena]
(22648,6370,1,1,1,11.922141),-- [saint_spear]
(22648,6694,1,1,1,5609.077859),-- [saint_spear_blade]
(22648,1895,1,1,2,291298.136418),-- [metallic_fiber]
(22648,4040,1,1,2,20390.849985),-- [mold_lubricant]
(22648,9628,1,1,2,7996.565204),-- [renad]
(22648,9630,1,1,2,5366.150447),-- [oricalcum]
(22648,6901,1,1,2,1019.297946),-- [rp_shining_arrow]
(22649,5533,1,1,-1,39094),-- [elysian_head]
(22649,1894,1,1,-1,500089),-- [crafted_leather]
(22649,57,2658,5232,0,700000),-- [adena]
(22649,6724,1,1,1,53.644115),-- [sealed_sanddragon's_earing]
(22649,6725,1,1,1,80.442665),-- [sealed_ring_of_aurakyria]
(22649,6726,1,1,1,40.197825),-- [sealed_dragon_necklace]
(22649,6698,1,1,1,17226.437045),-- [sealed_sanddragon's_earing_piece]
(22649,6699,1,1,1,19115.029595),-- [sealed_ring_of_aurakyria_gem]
(22649,6700,1,1,1,10499.248755),-- [sealed_dragon_necklace_wire]
(22649,1895,1,1,2,300712.804405),-- [metallic_fiber]
(22649,4040,1,1,2,21049.982525),-- [mold_lubricant]
(22649,4042,1,1,2,17541.71458),-- [enria]
(22649,4043,1,1,2,35083.054305),-- [asofe]
(22649,5157,1,1,2,467.444185),-- [rp_comp_soulshot_s]
(22650,959,1,1,-1,241),-- [scrl_of_ench_wp_s]
(22650,3036,1,1,-1,2680),-- [rp_spiritshot_s]
(22650,10397,1,1,-1,2585),-- [icarus_sowsword_piece]
(22650,57,1476,2979,0,700000),-- [adena]
(22650,9442,1,1,1,0.881227),-- [dynasty_blade]
(22650,9443,1,1,1,0.881227),-- [dynasty_two_hand_sword]
(22650,9444,1,1,1,0.881227),-- [dynasty_magic_sword]
(22650,9616,1,1,1,275.45183),-- [dynasty_blade_piece]
(22650,9617,1,1,1,275.45183),-- [dynasty_two_hand_sword_piece]
(22650,9618,1,1,1,275.452659),-- [dynasty_magic_sword_piece]
(22650,1895,1,1,2,169743.034334),-- [metallic_fiber]
(22650,4040,1,1,2,11882.06107),-- [mold_lubricant]
(22650,4042,1,1,2,9901.752824),-- [enria]
(22650,4043,1,1,2,19803.294054),-- [asofe]
(22650,5162,1,1,2,263.857718),-- [rp_comp_spiritshot_s]
(22651,10405,1,1,-1,2666),-- [icarus_accipiter_piece]
(22651,9630,1,1,-1,32839),-- [oricalcum]
(22651,959,1,1,-1,250),-- [scrl_of_ench_wp_s]
(22651,57,1527,3083,0,700000),-- [adena]
(22651,9448,1,1,1,0.683605),-- [dynasty_hammer]
(22651,9449,1,1,1,0.683605),-- [dynasty_staff]
(22651,10252,1,1,1,0.683605),-- [dynasty_twohand_staff]
(22651,10253,1,1,1,0.683605),-- [dynasty_crusher]
(22651,9622,1,1,1,206.802765),-- [dynasty_hammer_piece]
(22651,9623,1,1,1,206.802765),-- [dynasty_staff_piece]
(22651,10546,1,1,1,214.33087),-- [dynasty_twohand_staff_piece]
(22651,10547,1,1,1,214.32918),-- [dynasty_crusher_piece]
(22651,1879,1,1,2,85378.705862),-- [cokes]
(22651,1885,1,1,2,42689.352931),-- [high_grade_suede]
(22651,9628,1,1,2,4017.887649),-- [renad]
(22651,9630,1,1,2,2696.158102),-- [oricalcum]
(22651,9629,1,1,2,2227.219273),-- [adamantium]
(22651,5167,1,1,2,227.676183),-- [rp_comp_bspiritshot_s]
(22652,9532,1,1,-1,22224),-- [sealed_dynasty_helmet_piece]
(22652,9630,1,1,-1,32529),-- [oricalcum]
(22652,10402,1,1,-1,2641),-- [icarus_chopper_piece]
(22652,57,1500,3065,0,700000),-- [adena]
(22652,10221,1,1,1,1.963571),-- [icarus_knuckle]
(22652,10403,1,1,1,651.036429),-- [icarus_knuckle_piece]
(22652,1894,1,1,2,13353.42828),-- [crafted_leather]
(22652,4039,1,1,2,12685.7364),-- [mold_glue]
(22652,4041,1,1,2,3309.30672),-- [mold_hardener]
(22652,4044,1,1,2,12685.7364),-- [thons]
(22652,9573,1,1,2,2642.8428),-- [general_80_s]
(22652,9574,1,1,2,660.73344),-- [special_80_s]
(22652,9575,1,1,2,66.08244),-- [rare_80_s]
(22652,9625,1,1,2,76.13352),-- [codex_of_giant_forgetting]
(22653,10397,1,1,-1,2742),-- [icarus_sowsword_piece]
(22653,10403,1,1,-1,2733),-- [icarus_knuckle_piece]
(22653,10400,1,1,-1,2733),-- [icarus_heavy_arms_piece]
(22653,57,1552,3172,0,700000),-- [adena]
(22653,10223,1,1,1,2.029725),-- [icarus_accipiter]
(22653,10405,1,1,1,672.970275),-- [icarus_accipiter_piece]
(22653,1894,1,1,2,13817.119575),-- [crafted_leather]
(22653,4039,1,1,2,13126.251838),-- [mold_glue]
(22653,4041,1,1,2,3424.237565),-- [mold_hardener]
(22653,4044,1,1,2,13126.251838),-- [thons]
(22653,9573,1,1,2,2734.639719),-- [general_80_s]
(22653,9574,1,1,2,683.671688),-- [special_80_s]
(22653,9575,1,1,2,68.385982),-- [rare_80_s]
(22653,9626,1,1,2,52.441795),-- [codex_of_giant_training]
(22654,9542,1,1,-1,7860),-- [sealed_dynasty_circlet_piece]
(22654,9630,1,1,-1,11505),-- [oricalcum]
(22654,9991,1,1,-1,5125),-- [sealed_dynasty_earring_gem]
(22654,57,535,1080,0,700000),-- [adena]
(22654,9446,1,1,1,0.9576),-- [dynasty_dagger]
(22654,9620,1,1,1,299.0424),-- [dynasty_dagger_piece]
(22654,1879,1,1,2,17946.696859),-- [cokes]
(22654,1885,1,1,2,8973.297229),-- [high_grade_suede]
(22654,9628,1,1,2,844.501047),-- [renad]
(22654,9630,1,1,2,566.687134),-- [oricalcum]
(22654,9629,1,1,2,468.177372),-- [adamantium]
(22654,9573,1,1,2,747.732102),-- [general_80_s]
(22654,9574,1,1,2,186.984226),-- [special_80_s]
(22654,9575,1,1,2,18.739383),-- [rare_80_s]
(22654,9546,1,1,2,861.397212),-- [ore_of_fire]
(22654,1345,10,30,2,71786.787436),-- [shining_arrow]
(22655,9542,1,1,-1,40033),-- [sealed_dynasty_circlet_piece]
(22655,1808,1,1,-1,4948),-- [rp_soulshot_s]
(22655,9530,1,1,-1,16215),-- [sealed_dynasty_blast_plate_piece]
(22655,57,2702,5522,0,700000),-- [adena]
(22655,9447,1,1,1,4.879975),-- [dynasty_spear]
(22655,9621,1,1,1,1532.120025),-- [dynasty_spear_piece]
(22655,1894,1,1,2,24054.822775),-- [crafted_leather]
(22655,4039,1,1,2,22852.086),-- [mold_glue]
(22655,4041,1,1,2,5961.40615),-- [mold_hardener]
(22655,4044,1,1,2,22852.086),-- [thons]
(22655,9573,1,1,2,4760.85125),-- [general_80_s]
(22655,9574,1,1,2,1190.25645),-- [special_80_s]
(22655,9575,1,1,2,119.0431),-- [rare_80_s]
(22655,9547,1,1,2,5484.448275),-- [ore_of_water]
(22656,6901,1,1,-1,6030),-- [rp_shining_arrow]
(22656,10114,1,1,-1,14951),-- [sealed_dynasty_sigil_piece]
(22656,960,1,1,-1,2412),-- [scrl_of_ench_am_s]
(22656,57,1476,2979,0,700000),-- [adena]
(22656,9514,1,1,1,4.05834),-- [sealed_dynasty_blast_plate]
(22656,9515,1,1,1,6.49077),-- [sealed_dynasty_gaiter]
(22656,9530,1,1,1,1081.23444),-- [sealed_dynasty_blast_plate_piece]
(22656,9531,1,1,1,3198.21645),-- [sealed_dynasty_gaiter_piece]
(22656,1879,1,1,2,55009.524684),-- [cokes]
(22656,1885,1,1,2,27504.762342),-- [high_grade_suede]
(22656,9628,1,1,2,2588.708906),-- [renad]
(22656,9630,1,1,2,1737.129056),-- [oricalcum]
(22656,9629,1,1,2,1435.064534),-- [adamantium]
(22656,9573,1,1,2,2292.086988),-- [general_80_s]
(22656,9574,1,1,2,572.974828),-- [special_80_s]
(22656,9575,1,1,2,57.335018),-- [rare_80_s]
(22656,9548,1,1,2,2640.413644),-- [ore_of_earth]
(22657,9532,1,1,-1,22224),-- [sealed_dynasty_helmet_piece]
(22657,10399,1,1,-1,2650),-- [icarus_spirits_piece]
(22657,10401,1,1,-1,2641),-- [icarus_trident_piece]
(22657,57,1500,3065,0,700000),-- [adena]
(22657,9519,1,1,1,5.546676),-- [sealed_dynasty_leather_mail]
(22657,9520,1,1,1,8.874006),-- [sealed_dynasty_leather_legging]
(22657,9535,1,1,1,1361.803542),-- [sealed_dynasty_leather_mail_piece]
(22657,9536,1,1,1,2001.775776),-- [sealed_dynasty_leather_legging_piece]
(22657,1879,1,1,2,56381.274804),-- [cokes]
(22657,1885,1,1,2,28190.637402),-- [high_grade_suede]
(22657,9628,1,1,2,2653.262486),-- [renad]
(22657,9630,1,1,2,1780.447136),-- [oricalcum]
(22657,9629,1,1,2,1470.850154),-- [adamantium]
(22657,9573,1,1,2,2349.243828),-- [general_80_s]
(22657,9574,1,1,2,587.262868),-- [special_80_s]
(22657,9575,1,1,2,58.764758),-- [rare_80_s]
(22657,9549,1,1,2,2706.256564),-- [ore_of_wind]
(22658,10399,1,1,-1,2675),-- [icarus_spirits_piece]
(22658,10398,1,1,-1,2675),-- [icarus_disperser_piece]
(22658,10404,1,1,-1,2666),-- [icarus_wand_piece]
(22658,57,1527,3083,0,700000),-- [adena]
(22658,9524,1,1,1,5.59922),-- [sealed_dynasty_tunic]
(22658,9525,1,1,1,8.95807),-- [sealed_dynasty_hose]
(22658,9540,1,1,1,1374.70399),-- [sealed_dynasty_tunic_piece]
(22658,9541,1,1,1,2020.73872),-- [sealed_dynasty_hose_piece]
(22658,1894,1,1,2,13480.898731),-- [crafted_leather]
(22658,4039,1,1,2,12806.85624),-- [mold_glue]
(22658,4041,1,1,2,3340.914766),-- [mold_hardener]
(22658,4044,1,1,2,12806.85624),-- [thons]
(22658,9573,1,1,2,2668.09505),-- [general_80_s]
(22658,9574,1,1,2,667.048218),-- [special_80_s]
(22658,9575,1,1,2,66.714604),-- [rare_80_s]
(22658,9550,1,1,2,3073.616151),-- [ore_of_unholy]
(22659,9630,1,1,-1,33659),-- [oricalcum]
(22659,959,1,1,-1,256),-- [scrl_of_ench_wp_s]
(22659,9991,1,1,-1,14995),-- [sealed_dynasty_earring_gem]
(22659,57,1552,3172,0,700000),-- [adena]
(22659,9452,1,1,1,17.361484),-- [sealed_dynasty_earring]
(22659,9453,1,1,1,13.019132),-- [sealed_dynasty_neckalce]
(22659,9454,1,1,1,26.042226),-- [sealed_dynasty_ring]
(22659,9991,1,1,1,1230.945856),-- [sealed_dynasty_earring_gem]
(22659,9992,1,1,1,944.71909),-- [sealed_dynasty_neckalce_gem]
(22659,9993,1,1,1,1729.912212),-- [sealed_dynasty_ring_gem]
(22659,1879,1,1,2,58339.242924),-- [cokes]
(22659,1885,1,1,2,29169.621462),-- [high_grade_suede]
(22659,9628,1,1,2,2745.403066),-- [renad]
(22659,9630,1,1,2,1842.277216),-- [oricalcum]
(22659,9629,1,1,2,1521.928774),-- [adamantium]
(22659,9573,1,1,2,2430.826668),-- [general_80_s]
(22659,9574,1,1,2,607.656908),-- [special_80_s]
(22659,9575,1,1,2,60.805498),-- [rare_80_s]
(22659,9551,1,1,2,2800.237484),-- [ore_of_holy]
(22660,9630,1,1,-1,263370),-- [oricalcum]
(22660,9991,1,1,-1,117329),-- [sealed_dynasty_earring_gem]
(22660,9619,1,1,-1,28010),-- [dynasty_bow_piece]
(22660,57,12255,24722,0,700000),-- [adena]
(22660,9517,1,1,1,44.90771),-- [sealed_dynasty_gauntlet]
(22660,9518,1,1,1,44.90771),-- [sealed_dynasty_boots]
(22660,9522,1,1,1,44.90771),-- [sealed_dynasty_leather_gloves]
(22660,9523,1,1,1,44.90771),-- [sealed_dynasty_leather_boots]
(22660,9527,1,1,1,44.90771),-- [sealed_dynasty_gloves]
(22660,9528,1,1,1,44.90771),-- [sealed_dynasty_shoes]
(22660,9533,1,1,1,9829.278705),-- [sealed_dynasty_gauntlet_piece]
(22660,9534,1,1,1,9829.278705),-- [sealed_dynasty_boots_piece]
(22660,9538,1,1,1,9829.278705),-- [sealed_dynasty_leather_gloves_piece]
(22660,9539,1,1,1,9829.278705),-- [sealed_dynasty_leather_boots_piece]
(22660,9543,1,1,1,9829.278705),-- [sealed_dynasty_gloves_piece]
(22660,9544,1,1,1,9829.160215),-- [sealed_dynasty_shoes_piece]
(22660,1879,3,9,2,76081.50336),-- [cokes]
(22660,1885,1,1,2,228244.51008),-- [high_grade_suede]
(22660,9628,1,1,2,21481.880536),-- [renad]
(22660,9630,1,1,2,14415.502188),-- [oricalcum]
(22660,9629,1,1,2,11908.44196),-- [adamantium]
(22660,9573,1,1,2,19020.37584),-- [general_80_s]
(22660,9574,1,1,2,4755.09396),-- [special_80_s]
(22660,9575,1,1,2,475.509396),-- [rare_80_s]
(22660,959,1,1,2,109.18268),-- [scrl_of_ench_wp_s]
(22661,9541,1,1,-1,134861),-- [sealed_dynasty_hose_piece]
(22661,1808,1,1,-1,22792),-- [rp_soulshot_s]
(22661,9620,1,1,-1,28491),-- [dynasty_dagger_piece]
(22661,57,12560,25336,0,700000),-- [adena]
(22661,9516,1,1,1,36.816472),-- [sealed_dynasty_helmet]
(22661,9529,1,1,1,52.59496),-- [sealed_dynasty_shield]
(22661,13886,1,1,1,52.59496),-- [sealed_dynasty_sigil]
(22661,9521,1,1,1,36.816472),-- [sealed_dynasty_leather_helmet]
(22661,9526,1,1,1,36.816472),-- [sealed_dynasty_circlet]
(22661,9532,1,1,1,9086.626208),-- [sealed_dynasty_helmet_piece]
(22661,9537,1,1,1,9086.626208),-- [sealed_dynasty_leather_helmet_piece]
(22661,9542,1,1,1,9086.626208),-- [sealed_dynasty_circlet_piece]
(22661,9545,1,1,1,10830.951428),-- [sealed_dynasty_shield_piece]
(22661,10114,1,1,1,6265.530612),-- [sealed_dynasty_sigil_piece]
(22661,1879,3,9,2,77970.995856),-- [cokes]
(22661,1885,1,1,2,233912.987568),-- [high_grade_suede]
(22661,9628,1,1,2,22015.417377),-- [renad]
(22661,9630,1,1,2,14773.529217),-- [oricalcum]
(22661,9629,1,1,2,12204.051591),-- [adamantium]
(22661,9573,1,1,2,19492.748964),-- [general_80_s]
(22661,9574,1,1,2,4873.187241),-- [special_80_s]
(22661,9575,1,1,2,487.43478),-- [rare_80_s]
(22661,960,1,1,2,1122.647406),-- [scrl_of_ench_am_s]
(22662,960,1,1,-1,19489),-- [scrl_of_ench_am_s]
(22662,1894,1,3,-1,854794),-- [crafted_leather]
(22662,9545,1,1,-1,208828),-- [sealed_dynasty_shield_piece]
(22662,57,11942,24057,0,700000),-- [adena]
(22662,9442,1,1,1,7.116785),-- [dynasty_blade]
(22662,9443,1,1,1,7.116785),-- [dynasty_two_hand_sword]
(22662,9444,1,1,1,7.116785),-- [dynasty_magic_sword]
(22662,9616,1,1,1,2224.54765),-- [dynasty_blade_piece]
(22662,9617,1,1,1,2224.54765),-- [dynasty_two_hand_sword_piece]
(22662,9618,1,1,1,2224.554345),-- [dynasty_magic_sword_piece]
(22662,1879,3,9,2,74078.911907),-- [cokes]
(22662,1885,1,1,2,222236.735721),-- [high_grade_suede]
(22662,9628,1,1,2,20916.23429),-- [renad]
(22662,9630,1,1,2,14035.826336),-- [oricalcum]
(22662,9629,1,1,2,11594.924957),-- [adamantium]
(22662,9573,1,1,2,18519.819892),-- [general_80_s]
(22662,9574,1,1,2,4629.954973),-- [special_80_s]
(22662,9575,1,1,2,462.885199),-- [rare_80_s]
(22662,5272,1,1,2,1185.706725),-- [rp_adv_comp_soulshot_s]
(22663,9992,1,1,-1,87677),-- [sealed_dynasty_neckalce_gem]
(22663,9624,1,1,-1,26227),-- [dynasty_jamadhr_piece]
(22663,9530,1,1,-1,70960),-- [sealed_dynasty_blast_plate_piece]
(22663,57,11942,24057,0,700000),-- [adena]
(22663,9448,1,1,1,5.337782),-- [dynasty_hammer]
(22663,9449,1,1,1,5.337782),-- [dynasty_staff]
(22663,10252,1,1,1,5.337782),-- [dynasty_twohand_staff]
(22663,10253,1,1,1,5.337782),-- [dynasty_crusher]
(22663,9622,1,1,1,1614.774726),-- [dynasty_hammer_piece]
(22663,9623,1,1,1,1614.774726),-- [dynasty_staff_piece]
(22663,10546,1,1,1,1673.556308),-- [dynasty_twohand_staff_piece]
(22663,10547,1,1,1,1673.543112),-- [dynasty_crusher_piece]
(22663,1879,3,9,2,74078.911907),-- [cokes]
(22663,1885,1,1,2,222236.735721),-- [high_grade_suede]
(22663,9628,1,1,2,20916.23429),-- [renad]
(22663,9630,1,1,2,14035.826336),-- [oricalcum]
(22663,9629,1,1,2,11594.924957),-- [adamantium]
(22663,9573,1,1,2,18519.819892),-- [general_80_s]
(22663,9574,1,1,2,4629.954973),-- [special_80_s]
(22663,9575,1,1,2,462.885199),-- [rare_80_s]
(22663,5277,1,1,2,1185.706725),-- [rp_adv_comp_spiritshot_s]
(22664,9630,1,1,-1,262026),-- [oricalcum]
(22664,9617,1,1,-1,27681),-- [dynasty_two_hand_sword_piece]
(22664,9537,1,1,-1,179013),-- [sealed_dynasty_leather_helmet_piece]
(22664,57,12203,24581,0,700000),-- [adena]
(22664,9450,1,1,1,21.816162),-- [dynasty_jamadhr]
(22664,9624,1,1,1,6601.183838),-- [dynasty_jamadhr_piece]
(22664,1895,3,9,2,145979.736),-- [metallic_fiber]
(22664,4040,1,1,2,61311.433925),-- [mold_lubricant]
(22664,9628,1,1,2,24043.769925),-- [renad]
(22664,9630,1,1,2,16134.6024),-- [oricalcum]
(22664,9573,1,1,2,21288.7115),-- [general_80_s]
(22664,9574,1,1,2,5322.177875),-- [special_80_s]
(22664,9575,1,1,2,532.0798),-- [rare_80_s]
(22664,5282,1,1,2,1362.488575),-- [rp_adv_comp_bspiritshot_s]
(22665,1808,1,1,-1,21861),-- [rp_soulshot_s]
(22665,9623,1,1,-1,26477),-- [dynasty_staff_piece]
(22665,3036,1,1,-1,21861),-- [rp_spiritshot_s]
(22665,57,12056,24286,0,700000),-- [adena]
(22665,9445,1,1,1,21.555072),-- [dynasty_bow]
(22665,9619,1,1,1,6782.444928),-- [dynasty_bow_piece]
(22665,1895,3,9,2,144228.85882),-- [metallic_fiber]
(22665,4040,1,1,2,60576.0384),-- [mold_lubricant]
(22665,9628,1,1,2,23755.244624),-- [renad]
(22665,9630,1,1,2,15940.99054),-- [oricalcum]
(22665,9573,1,1,2,21033.438116),-- [general_80_s]
(22665,9574,1,1,2,5258.428116),-- [special_80_s]
(22665,9575,1,1,2,525.925116),-- [rare_80_s]
(22665,6901,1,1,2,3029.076268),-- [rp_shining_arrow]
(22666,9624,1,1,-1,3146),-- [dynasty_jamadhr_piece]
(22666,9630,1,1,-1,30758),-- [oricalcum]
(22666,9628,1,1,-1,45835),-- [renad]
(22666,57,1432,2885,0,700000),-- [adena]
(22666,9446,1,1,1,2.559984),-- [dynasty_dagger]
(22666,9620,1,1,1,799.440016),-- [dynasty_dagger_piece]
(22666,1879,1,1,2,53311.100328),-- [cokes]
(22666,1885,1,1,2,26655.550164),-- [high_grade_suede]
(22666,9628,1,1,2,2508.77016),-- [renad]
(22666,9630,1,1,2,1683.549432),-- [oricalcum]
(22666,9629,1,1,2,1390.71204),-- [adamantium]
(22666,9573,1,1,2,2221.332732),-- [general_80_s]
(22666,9574,1,1,2,555.311052),-- [special_80_s]
(22666,9575,1,1,2,55.504548),-- [rare_80_s]
(22666,5157,1,1,2,142.169544),-- [rp_comp_soulshot_s]
(22667,9992,1,1,-1,10850),-- [sealed_dynasty_neckalce_gem]
(22667,3957,1,1,-1,2680),-- [rp_blessed_spiritshot_s]
(22667,9537,1,1,-1,21680),-- [sealed_dynasty_leather_helmet_piece]
(22667,57,1477,2979,0,700000),-- [adena]
(22667,9447,1,1,1,2.6416),-- [dynasty_spear]
(22667,9621,1,1,1,829.3584),-- [dynasty_spear_piece]
(22667,1894,1,1,2,13026.976049),-- [crafted_leather]
(22667,4039,1,1,2,12375.651699),-- [mold_glue]
(22667,4041,1,1,2,3228.434744),-- [mold_hardener]
(22667,4044,1,1,2,12375.651699),-- [thons]
(22667,9573,1,1,2,2578.266328),-- [general_80_s]
(22667,9574,1,1,2,644.566582),-- [special_80_s]
(22667,9575,1,1,2,64.46555),-- [rare_80_s]
(22667,5162,1,1,2,164.987349),-- [rp_comp_spiritshot_s]
(22668,5157,1,1,-1,2259),-- [rp_comp_soulshot_s]
(22668,9622,1,1,-1,2736),-- [dynasty_hammer_piece]
(22668,9628,1,1,-1,39865),-- [renad]
(22668,57,1245,2511,0,700000),-- [adena]
(22668,9514,1,1,1,3.420736),-- [sealed_dynasty_blast_plate]
(22668,9515,1,1,1,5.471008),-- [sealed_dynasty_gaiter]
(22668,9530,1,1,1,911.362176),-- [sealed_dynasty_blast_plate_piece]
(22668,9531,1,1,1,2695.74608),-- [sealed_dynasty_gaiter_piece]
(22668,1879,1,1,2,46366.878446),-- [cokes]
(22668,1885,1,1,2,23183.439223),-- [high_grade_suede]
(22668,9628,1,1,2,2181.98162),-- [renad]
(22668,9630,1,1,2,1464.252874),-- [oricalcum]
(22668,9629,1,1,2,1209.56003),-- [adamantium]
(22668,9573,1,1,2,1931.985349),-- [general_80_s]
(22668,9574,1,1,2,482.977089),-- [special_80_s]
(22668,9575,1,1,2,48.274611),-- [rare_80_s]
(22668,5167,1,1,2,123.650758),-- [rp_comp_bspiritshot_s]
(22669,9628,1,1,-1,39865),-- [renad]
(22669,9993,1,1,-1,16748),-- [sealed_dynasty_ring_gem]
(22669,5162,1,1,-1,2259),-- [rp_comp_spiritshot_s]
(22669,57,1245,2511,0,700000),-- [adena]
(22669,9519,1,1,1,4.561476),-- [sealed_dynasty_leather_mail]
(22669,9520,1,1,1,7.297806),-- [sealed_dynasty_leather_legging]
(22669,9535,1,1,1,1119.920142),-- [sealed_dynasty_leather_mail_piece]
(22669,9536,1,1,1,1646.220576),-- [sealed_dynasty_leather_legging_piece]
(22669,1894,1,1,2,10981.638622),-- [crafted_leather]
(22669,4039,1,1,2,10432.53986),-- [mold_glue]
(22669,4041,1,1,2,2721.519128),-- [mold_hardener]
(22669,4044,1,1,2,10432.53986),-- [thons]
(22669,9573,1,1,2,2173.43022),-- [general_80_s]
(22669,9574,1,1,2,543.376256),-- [special_80_s]
(22669,9575,1,1,2,54.345106),-- [rare_80_s]
(22669,9625,1,1,2,62.610948),-- [codex_of_giant_forgetting]
(22670,959,1,1,-1,251),-- [scrl_of_ench_wp_s]
(22670,1894,1,1,-1,220275),-- [crafted_leather]
(22670,9545,1,1,-1,26907),-- [sealed_dynasty_shield_piece]
(22670,57,1536,3100,0,700000),-- [adena]
(22670,9524,1,1,1,5.633702),-- [sealed_dynasty_tunic]
(22670,9525,1,1,1,9.013237),-- [sealed_dynasty_hose]
(22670,9540,1,1,1,1383.169909),-- [sealed_dynasty_tunic_piece]
(22670,9541,1,1,1,2033.183152),-- [sealed_dynasty_hose_piece]
(22670,1879,1,1,2,57268.8681),-- [cokes]
(22670,1885,1,1,2,28634.43405),-- [high_grade_suede]
(22670,9628,1,1,2,2695.027908),-- [renad]
(22670,9630,1,1,2,1808.495571),-- [oricalcum]
(22670,9629,1,1,2,1493.986992),-- [adamantium]
(22670,9573,1,1,2,2386.218669),-- [general_80_s]
(22670,9574,1,1,2,596.53092),-- [special_80_s]
(22670,9575,1,1,2,59.653092),-- [rare_80_s]
(22670,9626,1,1,2,45.784698),-- [codex_of_giant_training]
(22671,9541,1,1,-1,15745),-- [sealed_dynasty_hose_piece]
(22671,1808,1,1,-1,2661),-- [rp_soulshot_s]
(22671,9620,1,1,-1,3326),-- [dynasty_dagger_piece]
(22671,57,1465,2956,0,700000),-- [adena]
(22671,9452,1,1,1,16.25722),-- [sealed_dynasty_earring]
(22671,9453,1,1,1,12.19106),-- [sealed_dynasty_neckalce]
(22671,9454,1,1,1,24.38583),-- [sealed_dynasty_ring]
(22671,9991,1,1,1,1152.65248),-- [sealed_dynasty_earring_gem]
(22671,9992,1,1,1,884.63095),-- [sealed_dynasty_neckalce_gem]
(22671,9993,1,1,1,1619.88246),-- [sealed_dynasty_ring_gem]
(22671,1894,1,1,2,17247.955158),-- [crafted_leather]
(22671,4039,1,1,2,16385.769666),-- [mold_glue]
(22671,4041,1,1,2,4274.649288),-- [mold_hardener]
(22671,4044,1,1,2,16385.769666),-- [thons]
(22671,9546,1,1,2,3932.70822),-- [ore_of_fire]
(22671,1345,10,30,2,327711.148002),-- [shining_arrow]
(22672,3036,1,1,-1,2652),-- [rp_spiritshot_s]
(22672,9992,1,1,-1,10739),-- [sealed_dynasty_neckalce_gem]
(22672,9628,1,1,-1,46807),-- [renad]
(22672,57,1460,2947,0,700000),-- [adena]
(22672,9517,1,1,1,5.356028),-- [sealed_dynasty_gauntlet]
(22672,9518,1,1,1,5.356028),-- [sealed_dynasty_boots]
(22672,9522,1,1,1,5.356028),-- [sealed_dynasty_leather_gloves]
(22672,9523,1,1,1,5.356028),-- [sealed_dynasty_leather_boots]
(22672,9527,1,1,1,5.356028),-- [sealed_dynasty_gloves]
(22672,9528,1,1,1,5.356028),-- [sealed_dynasty_shoes]
(22672,9533,1,1,1,1172.312994),-- [sealed_dynasty_gauntlet_piece]
(22672,9534,1,1,1,1172.312994),-- [sealed_dynasty_boots_piece]
(22672,9538,1,1,1,1172.312994),-- [sealed_dynasty_leather_gloves_piece]
(22672,9539,1,1,1,1172.312994),-- [sealed_dynasty_leather_boots_piece]
(22672,9543,1,1,1,1172.312994),-- [sealed_dynasty_gloves_piece]
(22672,9544,1,1,1,1172.298862),-- [sealed_dynasty_shoes_piece]
(22672,1879,1,1,2,81662.662926),-- [cokes]
(22672,1885,1,1,2,40831.398946),-- [high_grade_suede]
(22672,9628,1,1,2,3842.886918),-- [renad]
(22672,9630,1,1,2,2578.795362),-- [oricalcum]
(22672,9629,1,1,2,2130.303344),-- [adamantium]
(22672,9547,1,1,2,3919.952504),-- [ore_of_water]
(22673,1894,1,1,-1,180004),-- [crafted_leather]
(22673,9535,1,1,-1,9178),-- [sealed_dynasty_leather_mail_piece]
(22673,3957,1,1,-1,2280),-- [rp_blessed_spiritshot_s]
(22673,57,1255,2533,0,700000),-- [adena]
(22673,9516,1,1,1,3.683424),-- [sealed_dynasty_helmet]
(22673,9529,1,1,1,5.260512),-- [sealed_dynasty_shield]
(22673,13886,1,1,1,5.260512),-- [sealed_dynasty_sigil]
(22673,9521,1,1,1,3.683424),-- [sealed_dynasty_leather_helmet]
(22673,9526,1,1,1,3.683424),-- [sealed_dynasty_circlet]
(22673,9532,1,1,1,908.605152),-- [sealed_dynasty_helmet_piece]
(22673,9542,1,1,1,908.605152),-- [sealed_dynasty_circlet_piece]
(22673,9545,1,1,1,1083.029664),-- [sealed_dynasty_shield_piece]
(22673,10114,1,1,1,626.505312),-- [sealed_dynasty_sigil_piece]
(22673,1879,1,1,2,70198.572159),-- [cokes]
(22673,1885,1,1,2,35099.344089),-- [high_grade_suede]
(22673,9628,1,1,2,3303.408987),-- [renad]
(22673,9630,1,1,2,2216.775033),-- [oricalcum]
(22673,9629,1,1,2,1831.243896),-- [adamantium]
(22673,9548,1,1,2,3369.655836),-- [ore_of_earth]
(22674,9992,1,1,-1,8941),-- [sealed_dynasty_neckalce_gem]
(22674,5157,1,1,-1,2208),-- [rp_comp_soulshot_s]
(22674,9537,1,1,-1,17866),-- [sealed_dynasty_leather_helmet_piece]
(22674,57,1216,2453,0,700000),-- [adena]
(22674,9442,1,1,1,0.726029),-- [dynasty_blade]
(22674,9443,1,1,1,0.726029),-- [dynasty_two_hand_sword]
(22674,9444,1,1,1,0.726029),-- [dynasty_magic_sword]
(22674,9616,1,1,1,226.94041),-- [dynasty_blade_piece]
(22674,9617,1,1,1,226.94041),-- [dynasty_two_hand_sword_piece]
(22674,9618,1,1,1,226.941093),-- [dynasty_magic_sword_piece]
(22674,1895,1,1,2,139864.108662),-- [metallic_fiber]
(22674,4040,1,1,2,9790.448436),-- [mold_lubricant]
(22674,4042,1,1,2,8158.825728),-- [enria]
(22674,4043,1,1,2,16317.473409),-- [asofe]
(22674,9549,1,1,2,3916.143765),-- [ore_of_wind]
(22675,1894,1,1,-1,183232),-- [crafted_leather]
(22675,9628,1,1,-1,40958),-- [renad]
(22675,9536,1,1,-1,13733),-- [sealed_dynasty_leather_legging_piece]
(22675,57,1278,2578,0,700000),-- [adena]
(22675,9448,1,1,1,0.571963),-- [dynasty_hammer]
(22675,9449,1,1,1,0.571963),-- [dynasty_staff]
(22675,10252,1,1,1,0.571963),-- [dynasty_twohand_staff]
(22675,10253,1,1,1,0.571963),-- [dynasty_crusher]
(22675,9622,1,1,1,173.029059),-- [dynasty_hammer_piece]
(22675,9623,1,1,1,173.029059),-- [dynasty_staff_piece]
(22675,10546,1,1,1,179.327722),-- [dynasty_twohand_staff_piece]
(22675,10547,1,1,1,179.326308),-- [dynasty_crusher_piece]
(22675,1894,1,1,2,18052.483008),-- [crafted_leather]
(22675,4039,1,1,2,17149.871046),-- [mold_glue]
(22675,4041,1,1,2,4473.874104),-- [mold_hardener]
(22675,4044,1,1,2,17149.871046),-- [thons]
(22675,9550,1,1,2,4115.900796),-- [ore_of_unholy]
(22676,5162,1,1,-1,2280),-- [rp_comp_spiritshot_s]
(22676,9622,1,1,-1,2761),-- [dynasty_hammer_piece]
(22676,5167,1,1,-1,2280),-- [rp_comp_bspiritshot_s]
(22676,57,1255,2533,0,700000),-- [adena]
(22676,9450,1,1,1,2.246508),-- [dynasty_jamadhr]
(22676,9624,1,1,1,679.753492),-- [dynasty_jamadhr_piece]
(22676,1879,1,1,2,70198.572159),-- [cokes]
(22676,1885,1,1,2,35099.344089),-- [high_grade_suede]
(22676,9628,1,1,2,3303.408987),-- [renad]
(22676,9630,1,1,2,2216.775033),-- [oricalcum]
(22676,9629,1,1,2,1831.243896),-- [adamantium]
(22676,9551,1,1,2,3369.655836),-- [ore_of_holy]
(22677,1894,1,1,-1,185045),-- [crafted_leather]
(22677,9993,1,1,-1,17378),-- [sealed_dynasty_ring_gem]
(22677,5162,1,1,-1,2344),-- [rp_comp_spiritshot_s]
(22677,57,1290,2604,0,700000),-- [adena]
(22677,9445,1,1,1,2.309472),-- [dynasty_bow]
(22677,9619,1,1,1,726.690528),-- [dynasty_bow_piece]
(22677,1879,1,1,2,72164.243007),-- [cokes]
(22677,1885,1,1,2,36082.063593),-- [high_grade_suede]
(22677,9628,1,1,2,3395.987541),-- [renad]
(22677,9630,1,1,2,2278.893996),-- [oricalcum]
(22677,9629,1,1,2,1882.554534),-- [adamantium]
(22677,959,1,1,2,17.257329),-- [scrl_of_ench_wp_s]
(22678,9992,1,1,-1,5104),-- [sealed_dynasty_neckalce_gem]
(22678,5167,1,1,-1,1261),-- [rp_comp_bspiritshot_s]
(22678,9530,1,1,-1,4131),-- [sealed_dynasty_blast_plate_piece]
(22678,57,695,1401,0,700000),-- [adena]
(22678,9446,1,1,1,1.241688),-- [dynasty_dagger]
(22678,9620,1,1,1,387.758312),-- [dynasty_dagger_piece]
(22678,1879,1,1,2,33268.297955),-- [cokes]
(22678,1885,1,1,2,16634.055708),-- [high_grade_suede]
(22678,9628,1,1,2,1565.621827),-- [renad]
(22678,9630,1,1,2,1050.587648),-- [oricalcum]
(22678,9629,1,1,2,867.779428),-- [adamantium]
(22678,960,1,1,2,79.838692),-- [scrl_of_ench_am_s]
(22678,1345,10,30,2,133072.818742),-- [shining_arrow]
(22679,9540,1,1,-1,5208),-- [sealed_dynasty_tunic_piece]
(22679,9628,1,1,-1,22831),-- [renad]
(22679,9536,1,1,-1,7655),-- [sealed_dynasty_leather_legging_piece]
(22679,57,713,1437,0,700000),-- [adena]
(22679,9447,1,1,1,1.27635),-- [dynasty_spear]
(22679,9621,1,1,1,400.72365),-- [dynasty_spear_piece]
(22679,1879,1,1,2,39832.239276),-- [cokes]
(22679,1885,1,1,2,19916.119638),-- [high_grade_suede]
(22679,9628,1,1,2,1874.489202),-- [renad]
(22679,9630,1,1,2,1257.854796),-- [oricalcum]
(22679,9629,1,1,2,1039.077954),-- [adamantium]
(22679,5272,1,1,2,106.219134),-- [rp_adv_comp_soulshot_s]
(22680,5272,1,1,-1,1321),-- [rp_adv_comp_soulshot_s]
(22680,9619,1,1,-1,1664),-- [dynasty_bow_piece]
(22680,5277,1,1,-1,1321),-- [rp_adv_comp_spiritshot_s]
(22680,57,728,1468,0,700000),-- [adena]
(22680,9514,1,1,1,2.00079),-- [sealed_dynasty_blast_plate]
(22680,9515,1,1,1,3.199995),-- [sealed_dynasty_gaiter]
(22680,9530,1,1,1,533.05614),-- [sealed_dynasty_blast_plate_piece]
(22680,9531,1,1,1,1576.743075),-- [sealed_dynasty_gaiter_piece]
(22680,1894,1,1,2,8562.784625),-- [crafted_leather]
(22680,4039,1,1,2,8134.692833),-- [mold_glue]
(22680,4041,1,1,2,2122.052531),-- [mold_hardener]
(22680,4044,1,1,2,8134.692833),-- [thons]
(22680,5277,1,1,2,108.541004),-- [rp_adv_comp_spiritshot_s]
(22680,1345,10,30,2,162694.236174),-- [shining_arrow]
(22681,9992,1,1,-1,5489),-- [sealed_dynasty_neckalce_gem]
(22681,9628,1,1,-1,23925),-- [renad]
(22681,9545,1,1,-1,13074),-- [sealed_dynasty_shield_piece]
(22681,57,748,1506,0,700000),-- [adena]
(22681,9519,1,1,1,2.737214),-- [sealed_dynasty_leather_mail]
(22681,9520,1,1,1,4.379209),-- [sealed_dynasty_leather_legging]
(22681,9535,1,1,1,672.032713),-- [sealed_dynasty_leather_mail_piece]
(22681,9536,1,1,1,987.850864),-- [sealed_dynasty_leather_legging_piece]
(22681,1879,1,1,2,41740.921844),-- [cokes]
(22681,1885,1,1,2,20870.460922),-- [high_grade_suede]
(22681,9628,1,1,2,1964.311038),-- [renad]
(22681,9630,1,1,2,1318.128724),-- [oricalcum]
(22681,9629,1,1,2,1088.868526),-- [adamantium]
(22681,5282,1,1,2,111.308946),-- [rp_adv_comp_bspiritshot_s]
(22682,9540,1,1,-1,6036),-- [sealed_dynasty_tunic_piece]
(22682,3957,1,1,-1,1499),-- [rp_blessed_spiritshot_s]
(22682,9622,1,1,-1,1816),-- [dynasty_hammer_piece]
(22682,57,827,1666,0,700000),-- [adena]
(22682,9524,1,1,1,3.027848),-- [sealed_dynasty_tunic]
(22682,9525,1,1,1,4.844188),-- [sealed_dynasty_hose]
(22682,9540,1,1,1,743.388316),-- [sealed_dynasty_tunic_piece]
(22682,9541,1,1,1,1092.739648),-- [sealed_dynasty_hose_piece]
(22682,1894,1,1,2,11662.525476),-- [crafted_leather]
(22682,4039,1,1,2,11079.415872),-- [mold_glue]
(22682,4041,1,1,2,2890.284012),-- [mold_hardener]
(22682,4044,1,1,2,11079.415872),-- [thons]
(22682,6901,1,1,2,332.358768),-- [rp_shining_arrow]
(22683,5157,1,1,-1,1409),-- [rp_comp_soulshot_s]
(22683,9535,1,1,-1,5674),-- [sealed_dynasty_leather_mail_piece]
(22683,1894,1,1,-1,111275),-- [crafted_leather]
(22683,57,777,1567,0,700000),-- [adena]
(22683,9452,1,1,1,8.61063),-- [sealed_dynasty_earring]
(22683,9453,1,1,1,6.45699),-- [sealed_dynasty_neckalce]
(22683,9454,1,1,1,12.915945),-- [sealed_dynasty_ring]
(22683,9991,1,1,1,610.50192),-- [sealed_dynasty_earring_gem]
(22683,9992,1,1,1,468.544425),-- [sealed_dynasty_neckalce_gem]
(22683,9993,1,1,1,857.97009),-- [sealed_dynasty_ring_gem]
(22683,1894,1,1,2,9135.872125),-- [crafted_leather]
(22683,4039,1,1,2,8679.129133),-- [mold_glue]
(22683,4041,1,1,2,2264.076631),-- [mold_hardener]
(22683,4044,1,1,2,8679.129133),-- [thons]
(22683,5157,1,1,2,115.805404),-- [rp_comp_soulshot_s]
(22683,1345,10,30,2,173582.987574),-- [shining_arrow]
(22684,1894,1,1,-1,104295),-- [crafted_leather]
(22684,9620,1,1,-1,1651),-- [dynasty_dagger_piece]
(22684,5162,1,1,-1,1321),-- [rp_comp_spiritshot_s]
(22684,57,728,1468,0,700000),-- [adena]
(22684,9517,1,1,1,2.667402),-- [sealed_dynasty_gauntlet]
(22684,9518,1,1,1,2.667402),-- [sealed_dynasty_boots]
(22684,9522,1,1,1,2.667402),-- [sealed_dynasty_leather_gloves]
(22684,9523,1,1,1,2.667402),-- [sealed_dynasty_leather_boots]
(22684,9527,1,1,1,2.667402),-- [sealed_dynasty_gloves]
(22684,9528,1,1,1,2.667402),-- [sealed_dynasty_shoes]
(22684,9533,1,1,1,583.833771),-- [sealed_dynasty_gauntlet_piece]
(22684,9534,1,1,1,583.833771),-- [sealed_dynasty_boots_piece]
(22684,9538,1,1,1,583.833771),-- [sealed_dynasty_leather_gloves_piece]
(22684,9539,1,1,1,583.833771),-- [sealed_dynasty_leather_boots_piece]
(22684,9543,1,1,1,583.833771),-- [sealed_dynasty_gloves_piece]
(22684,9544,1,1,1,583.826733),-- [sealed_dynasty_shoes_piece]
(22684,1879,1,1,2,40673.353628),-- [cokes]
(22684,1885,1,1,2,20336.676814),-- [high_grade_suede]
(22684,9628,1,1,2,1914.071706),-- [renad]
(22684,9630,1,1,2,1284.416188),-- [oricalcum]
(22684,9629,1,1,2,1061.019562),-- [adamantium]
(22684,5162,1,1,2,108.462102),-- [rp_comp_spiritshot_s]
(22685,9531,1,1,-1,13141),-- [sealed_dynasty_gaiter_piece]
(22685,5167,1,1,-1,1356),-- [rp_comp_bspiritshot_s]
(22685,9622,1,1,-1,1642),-- [dynasty_hammer_piece]
(22685,57,748,1506,0,700000),-- [adena]
(22685,9516,1,1,1,2.190144),-- [sealed_dynasty_helmet]
(22685,9529,1,1,1,3.127872),-- [sealed_dynasty_shield]
(22685,13886,1,1,1,3.127872),-- [sealed_dynasty_sigil]
(22685,9521,1,1,1,2.190144),-- [sealed_dynasty_leather_helmet]
(22685,9526,1,1,1,2.190144),-- [sealed_dynasty_circlet]
(22685,9532,1,1,1,540.251712),-- [sealed_dynasty_helmet_piece]
(22685,9542,1,1,1,540.251712),-- [sealed_dynasty_circlet_piece]
(22685,9545,1,1,1,643.963584),-- [sealed_dynasty_shield_piece]
(22685,10114,1,1,1,372.516672),-- [sealed_dynasty_sigil_piece]
(22685,1879,1,1,2,41740.921844),-- [cokes]
(22685,1885,1,1,2,20870.460922),-- [high_grade_suede]
(22685,9628,1,1,2,1964.311038),-- [renad]
(22685,9630,1,1,2,1318.128724),-- [oricalcum]
(22685,9629,1,1,2,1088.868526),-- [adamantium]
(22685,5167,1,1,2,111.308946),-- [rp_comp_bspiritshot_s]
(22686,9541,1,1,-1,8022),-- [sealed_dynasty_hose_piece]
(22686,1894,1,1,-1,107033),-- [crafted_leather]
(22686,9530,1,1,-1,4443),-- [sealed_dynasty_blast_plate_piece]
(22686,57,748,1506,0,700000),-- [adena]
(22686,9442,1,1,1,0.445397),-- [dynasty_blade]
(22686,9443,1,1,1,0.445397),-- [dynasty_two_hand_sword]
(22686,9444,1,1,1,0.445397),-- [dynasty_magic_sword]
(22686,9616,1,1,1,139.22113),-- [dynasty_blade_piece]
(22686,9617,1,1,1,139.22113),-- [dynasty_two_hand_sword_piece]
(22686,9618,1,1,1,139.221549),-- [dynasty_magic_sword_piece]
(22686,1879,1,1,2,35778.099927),-- [cokes]
(22686,1885,1,1,2,17888.949679),-- [high_grade_suede]
(22686,9628,1,1,2,1683.576186),-- [renad]
(22686,9630,1,1,2,1129.805177),-- [oricalcum]
(22686,9629,1,1,2,933.247557),-- [adamantium]
(22686,9625,1,1,2,42.921766),-- [codex_of_giant_forgetting]
(22686,1345,10,30,2,143112.399708),-- [shining_arrow]
(22687,5272,1,1,-1,1505),-- [rp_adv_comp_soulshot_s]
(22687,9623,1,1,-1,1823),-- [dynasty_staff_piece]
(22687,5277,1,1,-1,1505),-- [rp_adv_comp_spiritshot_s]
(22687,57,829,1673,0,700000),-- [adena]
(22687,9448,1,1,1,0.55706),-- [dynasty_hammer]
(22687,9449,1,1,1,0.55706),-- [dynasty_staff]
(22687,10252,1,1,1,0.55706),-- [dynasty_twohand_staff]
(22687,10253,1,1,1,0.55706),-- [dynasty_crusher]
(22687,9622,1,1,1,112.39686),-- [dynasty_hammer_piece]
(22687,9623,1,1,1,112.39686),-- [dynasty_staff_piece]
(22687,10546,1,1,1,116.48856),-- [dynasty_twohand_staff_piece]
(22687,10547,1,1,1,116.48948),-- [dynasty_crusher_piece]
(22687,1895,1,1,2,79447.503321),-- [metallic_fiber]
(22687,4040,1,1,2,5561.43612),-- [mold_lubricant]
(22687,4042,1,1,2,4634.5301),-- [enria]
(22687,4043,1,1,2,9268.775873),-- [asofe]
(22687,9626,1,1,2,36.96251),-- [codex_of_giant_training]
(22687,1345,10,30,2,185377.792076),-- [shining_arrow]
(22688,9620,1,1,-1,1931),-- [dynasty_dagger_piece]
(22688,960,1,1,-1,1390),-- [scrl_of_ench_am_s]
(22688,9991,1,1,-1,8150),-- [sealed_dynasty_earring_gem]
(22688,57,852,1716,0,700000),-- [adena]
(22688,9450,1,1,1,2.283979),-- [dynasty_jamadhr]
(22688,9624,1,1,1,460.716021),-- [dynasty_jamadhr_piece]
(22688,1894,1,1,2,7509.688547),-- [crafted_leather]
(22688,4039,1,1,2,7134.19261),-- [mold_glue]
(22688,4041,1,1,2,1861.084828),-- [mold_hardener]
(22688,4044,1,1,2,7134.19261),-- [thons]
(22688,9573,1,1,2,1486.27947),-- [general_80_s]
(22688,9574,1,1,2,371.582656),-- [special_80_s]
(22688,9575,1,1,2,37.163381),-- [rare_80_s]
(22688,9625,1,1,2,42.815898),-- [codex_of_giant_forgetting]
(22689,9618,1,1,-1,894),-- [dynasty_magic_sword_piece]
(22689,9621,1,1,-1,898),-- [dynasty_spear_piece]
(22689,6901,1,1,-1,1608),-- [rp_shining_arrow]
(22689,57,394,794,0,700000),-- [adena]
(22689,9445,1,1,1,1.058135),-- [dynasty_bow]
(22689,9619,1,1,1,221.941865),-- [dynasty_bow_piece]
(22689,1879,1,1,2,14666.1454),-- [cokes]
(22689,1885,1,1,2,7333.0727),-- [high_grade_suede]
(22689,9628,1,1,2,690.177272),-- [renad]
(22689,9630,1,1,2,463.142714),-- [oricalcum]
(22689,9629,1,1,2,382.599328),-- [adamantium]
(22689,9573,1,1,2,611.093446),-- [general_80_s]
(22689,9574,1,1,2,152.76728),-- [special_80_s]
(22689,9575,1,1,2,15.276728),-- [rare_80_s]
(22689,9626,1,1,2,11.725132),-- [codex_of_giant_training]
(22690,1894,1,1,-1,127926),-- [crafted_leather]
(22690,9620,1,1,-1,2025),-- [dynasty_dagger_piece]
(22690,5162,1,1,-1,1620),-- [rp_comp_spiritshot_s]
(22690,57,894,1800,0,700000),-- [adena]
(22690,9446,1,1,1,1.599192),-- [dynasty_dagger]
(22690,9620,1,1,1,499.400808),-- [dynasty_dagger_piece]
(22690,1879,1,1,2,29933.360905),-- [cokes]
(22690,1885,1,1,2,14966.595055),-- [high_grade_suede]
(22690,9628,1,1,2,1408.546365),-- [renad]
(22690,9630,1,1,2,945.17953),-- [oricalcum]
(22690,9629,1,1,2,780.87474),-- [adamantium]
(22690,9573,1,1,2,1247.14509),-- [general_80_s]
(22690,9574,1,1,2,311.87167),-- [special_80_s]
(22690,9575,1,1,2,31.255485),-- [rare_80_s]
(22690,9546,1,1,2,1436.72754),-- [ore_of_fire]
(22690,1345,10,30,2,119733.44362),-- [shining_arrow]
(22691,959,1,1,-1,135),-- [scrl_of_ench_wp_s]
(22691,9628,1,1,-1,26563),-- [renad]
(22691,9630,1,1,-1,17825),-- [oricalcum]
(22691,57,829,1673,0,700000),-- [adena]
(22691,9447,1,1,1,1.482725),-- [dynasty_spear]
(22691,9621,1,1,1,465.517275),-- [dynasty_spear_piece]
(22691,1879,1,1,2,30896.033472),-- [cokes]
(22691,1885,1,1,2,15448.016736),-- [high_grade_suede]
(22691,9628,1,1,2,1453.945248),-- [renad]
(22691,9630,1,1,2,975.656448),-- [oricalcum]
(22691,9629,1,1,2,806.002272),-- [adamantium]
(22691,9573,1,1,2,1287.347904),-- [general_80_s]
(22691,9574,1,1,2,321.810624),-- [special_80_s]
(22691,9575,1,1,2,32.202144),-- [rare_80_s]
(22691,9547,1,1,2,1482.985152),-- [ore_of_water]
(22692,9533,1,1,-1,17174),-- [sealed_dynasty_gauntlet_piece]
(22692,1808,1,1,-1,1595),-- [rp_soulshot_s]
(22692,9531,1,1,-1,15464),-- [sealed_dynasty_gaiter_piece]
(22692,57,880,1772,0,700000),-- [adena]
(22692,9514,1,1,1,2.416084),-- [sealed_dynasty_blast_plate]
(22692,9515,1,1,1,3.864202),-- [sealed_dynasty_gaiter]
(22692,9530,1,1,1,643.699944),-- [sealed_dynasty_blast_plate_piece]
(22692,9531,1,1,1,1904.01977),-- [sealed_dynasty_gaiter_piece]
(22692,1894,1,1,2,7755.97494),-- [crafted_leather]
(22692,4039,1,1,2,7368.1776),-- [mold_glue]
(22692,4041,1,1,2,1922.13084),-- [mold_hardener]
(22692,4044,1,1,2,7368.1776),-- [thons]
(22692,9573,1,1,2,1535.037),-- [general_80_s]
(22692,9574,1,1,2,383.77332),-- [special_80_s]
(22692,9575,1,1,2,38.38296),-- [rare_80_s]
(22692,9548,1,1,2,1768.34574),-- [ore_of_earth]
(22693,3036,1,1,-1,1595),-- [rp_spiritshot_s]
(22693,9536,1,1,-1,9440),-- [sealed_dynasty_leather_legging_piece]
(22693,1894,1,1,-1,125956),-- [crafted_leather]
(22693,57,880,1772,0,700000),-- [adena]
(22693,9519,1,1,1,3.221604),-- [sealed_dynasty_leather_mail]
(22693,9520,1,1,1,5.154174),-- [sealed_dynasty_leather_legging]
(22693,9535,1,1,1,790.958718),-- [sealed_dynasty_leather_mail_piece]
(22693,9536,1,1,1,1162.665504),-- [sealed_dynasty_leather_legging_piece]
(22693,1879,1,1,2,32747.309916),-- [cokes]
(22693,1885,1,1,2,16373.654958),-- [high_grade_suede]
(22693,9628,1,1,2,1541.064994),-- [renad]
(22693,9630,1,1,2,1034.117344),-- [oricalcum]
(22693,9629,1,1,2,854.297566),-- [adamantium]
(22693,9573,1,1,2,1364.485212),-- [general_80_s]
(22693,9574,1,1,2,341.093372),-- [special_80_s]
(22693,9575,1,1,2,34.131682),-- [rare_80_s]
(22693,9549,1,1,2,1571.844956),-- [ore_of_wind]
(22694,9532,1,1,-1,12498),-- [sealed_dynasty_helmet_piece]
(22694,9533,1,1,-1,16628),-- [sealed_dynasty_gauntlet_piece]
(22694,3957,1,1,-1,1545),-- [rp_blessed_spiritshot_s]
(22694,57,852,1716,0,700000),-- [adena]
(22694,9524,1,1,1,3.1198),-- [sealed_dynasty_tunic]
(22694,9525,1,1,1,4.9913),-- [sealed_dynasty_hose]
(22694,9540,1,1,1,765.9641),-- [sealed_dynasty_tunic_piece]
(22694,9541,1,1,1,1125.9248),-- [sealed_dynasty_hose_piece]
(22694,1879,1,1,2,31707.359184),-- [cokes]
(22694,1885,1,1,2,15853.679592),-- [high_grade_suede]
(22694,9628,1,1,2,1492.125656),-- [renad]
(22694,9630,1,1,2,1001.277056),-- [oricalcum]
(22694,9629,1,1,2,827.167784),-- [adamantium]
(22694,9573,1,1,2,1321.153488),-- [general_80_s]
(22694,9574,1,1,2,330.261328),-- [special_80_s]
(22694,9575,1,1,2,33.047768),-- [rare_80_s]
(22694,9550,1,1,2,1521.928144),-- [ore_of_unholy]
(22695,9534,1,1,-1,16282),-- [sealed_dynasty_boots_piece]
(22695,5157,1,1,-1,1513),-- [rp_comp_soulshot_s]
(22695,9622,1,1,-1,1832),-- [dynasty_hammer_piece]
(22695,57,834,1681,0,700000),-- [adena]
(22695,9452,1,1,1,9.241638),-- [sealed_dynasty_earring]
(22695,9453,1,1,1,6.930174),-- [sealed_dynasty_neckalce]
(22695,9454,1,1,1,13.862457),-- [sealed_dynasty_ring]
(22695,9991,1,1,1,655.240992),-- [sealed_dynasty_earring_gem]
(22695,9992,1,1,1,502.880505),-- [sealed_dynasty_neckalce_gem]
(22695,9993,1,1,1,920.844234),-- [sealed_dynasty_ring_gem]
(22695,1894,1,1,2,6536.321472),-- [crafted_leather]
(22695,4039,1,1,2,6209.453632),-- [mold_glue]
(22695,4041,1,1,2,1619.844608),-- [mold_hardener]
(22695,4044,1,1,2,6209.453632),-- [thons]
(22695,9573,1,1,2,1293.568384),-- [general_80_s]
(22695,9574,1,1,2,323.466048),-- [special_80_s]
(22695,9575,1,1,2,32.390976),-- [rare_80_s]
(22695,9551,1,1,2,1490.280704),-- [ore_of_holy]
(22695,1345,10,30,2,124189.220544),-- [shining_arrow]
(22696,1894,1,1,-1,118546),-- [crafted_leather]
(22696,9993,1,1,-1,11133),-- [sealed_dynasty_ring_gem]
(22696,57,827,1669,0,700000),-- [adena]
(22696,9517,1,1,1,3.032),-- [sealed_dynasty_gauntlet]
(22696,9518,1,1,1,3.032),-- [sealed_dynasty_boots]
(22696,9522,1,1,1,3.032),-- [sealed_dynasty_leather_gloves]
(22696,9523,1,1,1,3.032),-- [sealed_dynasty_leather_boots]
(22696,9527,1,1,1,3.032),-- [sealed_dynasty_gloves]
(22696,9528,1,1,1,3.032),-- [sealed_dynasty_shoes]
(22696,9533,1,1,1,663.636),-- [sealed_dynasty_gauntlet_piece]
(22696,9534,1,1,1,663.636),-- [sealed_dynasty_boots_piece]
(22696,9538,1,1,1,663.636),-- [sealed_dynasty_leather_gloves_piece]
(22696,9539,1,1,1,663.636),-- [sealed_dynasty_leather_boots_piece]
(22696,9543,1,1,1,663.636),-- [sealed_dynasty_gloves_piece]
(22696,9544,1,1,1,663.628),-- [sealed_dynasty_shoes_piece]
(22696,1879,1,1,2,30820.423712),-- [cokes]
(22696,1885,1,1,2,15410.211856),-- [high_grade_suede]
(22696,9628,1,1,2,1450.354243),-- [renad]
(22696,9630,1,1,2,973.256635),-- [oricalcum]
(22696,9629,1,1,2,804.003499),-- [adamantium]
(22696,9573,1,1,2,1284.167287),-- [general_80_s]
(22696,9574,1,1,2,321.029046),-- [special_80_s]
(22696,9575,1,1,2,32.092684),-- [rare_80_s]
(22696,959,1,1,2,7.461038),-- [scrl_of_ench_wp_s]
(22697,5162,1,1,-1,1390),-- [rp_comp_spiritshot_s]
(22697,9542,1,1,-1,11244),-- [sealed_dynasty_circlet_piece]
(22697,5167,1,1,-1,1390),-- [rp_comp_bspiritshot_s]
(22697,57,766,1544,0,700000),-- [adena]
(22697,9516,1,1,1,2.245105),-- [sealed_dynasty_helmet]
(22697,9529,1,1,1,3.206365),-- [sealed_dynasty_shield]
(22697,13886,1,1,1,3.206365),-- [sealed_dynasty_sigil]
(22697,9521,1,1,1,2.245105),-- [sealed_dynasty_leather_helmet]
(22697,9526,1,1,1,2.245105),-- [sealed_dynasty_circlet]
(22697,9532,1,1,1,553.809165),-- [sealed_dynasty_helmet_piece]
(22697,9542,1,1,1,553.809165),-- [sealed_dynasty_circlet_piece]
(22697,9545,1,1,1,660.123655),-- [sealed_dynasty_shield_piece]
(22697,10114,1,1,1,381.864865),-- [sealed_dynasty_sigil_piece]
(22697,1879,1,1,2,28525.82784),-- [cokes]
(22697,1885,1,1,2,14262.9376),-- [high_grade_suede]
(22697,9628,1,1,2,1342.37184),-- [renad]
(22697,9630,1,1,2,900.83456),-- [oricalcum]
(22697,9629,1,1,2,744.16768),-- [adamantium]
(22697,9573,1,1,2,1188.59392),-- [general_80_s]
(22697,9574,1,1,2,297.13664),-- [special_80_s]
(22697,9575,1,1,2,29.69472),-- [rare_80_s]
(22697,960,1,1,2,68.4352),-- [scrl_of_ench_am_s]
(22698,9541,1,1,-1,9177),-- [sealed_dynasty_hose_piece]
(22698,1894,1,1,-1,122443),-- [crafted_leather]
(22698,9533,1,1,-1,16695),-- [sealed_dynasty_gauntlet_piece]
(22698,57,855,1724,0,700000),-- [adena]
(22698,9442,1,1,1,0.509177),-- [dynasty_blade]
(22698,9443,1,1,1,0.509177),-- [dynasty_two_hand_sword]
(22698,9444,1,1,1,0.509177),-- [dynasty_magic_sword]
(22698,9616,1,1,1,159.15733),-- [dynasty_blade_piece]
(22698,9617,1,1,1,159.15733),-- [dynasty_two_hand_sword_piece]
(22698,9618,1,1,1,159.157809),-- [dynasty_magic_sword_piece]
(22698,1894,1,1,2,7539.466041),-- [crafted_leather]
(22698,4039,1,1,2,7162.506891),-- [mold_glue]
(22698,4041,1,1,2,1868.482296),-- [mold_hardener]
(22698,4044,1,1,2,7162.506891),-- [thons]
(22698,9573,1,1,2,1492.192152),-- [general_80_s]
(22698,9574,1,1,2,373.048038),-- [special_80_s]
(22698,9575,1,1,2,37.30995),-- [rare_80_s]
(22698,5272,1,1,2,95.487741),-- [rp_adv_comp_soulshot_s]
(22699,9620,1,1,-1,1990),-- [dynasty_dagger_piece]
(22699,5272,1,1,-1,1592),-- [rp_adv_comp_soulshot_s]
(22699,9531,1,1,-1,15428),-- [sealed_dynasty_gaiter_piece]
(22699,57,878,1768,0,700000),-- [adena]
(22699,9448,1,1,1,0.392365),-- [dynasty_hammer]
(22699,9449,1,1,1,0.392365),-- [dynasty_staff]
(22699,10252,1,1,1,0.392365),-- [dynasty_twohand_staff]
(22699,10253,1,1,1,0.392365),-- [dynasty_crusher]
(22699,9622,1,1,1,118.697445),-- [dynasty_hammer_piece]
(22699,9623,1,1,1,118.697445),-- [dynasty_staff_piece]
(22699,10546,1,1,1,123.01831),-- [dynasty_twohand_staff_piece]
(22699,10547,1,1,1,123.01734),-- [dynasty_crusher_piece]
(22699,1894,1,1,2,7737.541477),-- [crafted_leather]
(22699,4039,1,1,2,7350.678927),-- [mold_glue]
(22699,4041,1,1,2,1917.570712),-- [mold_hardener]
(22699,4044,1,1,2,7350.678927),-- [thons]
(22699,9573,1,1,2,1531.394744),-- [general_80_s]
(22699,9574,1,1,2,382.848686),-- [special_80_s]
(22699,9575,1,1,2,38.29015),-- [rare_80_s]
(22699,5277,1,1,2,97.996377),-- [rp_adv_comp_spiritshot_s]
(22701,9543,1,1,-1,16679),-- [sealed_dynasty_gloves_piece]
(22701,9530,1,1,-1,5077),-- [sealed_dynasty_blast_plate_piece]
(22701,5282,1,1,-1,1549),-- [rp_adv_comp_bspiritshot_s]
(22701,57,854,1722,0,700000),-- [adena]
(22701,9445,1,1,1,1.526976),-- [dynasty_bow]
(22701,9619,1,1,1,480.473024),-- [dynasty_bow_piece]
(22701,1895,1,1,2,61335.504936),-- [metallic_fiber]
(22701,4040,1,1,2,4293.4543),-- [mold_lubricant]
(22701,9628,1,1,2,1683.725554),-- [renad]
(22701,9630,1,1,2,1129.845254),-- [oricalcum]
(22701,9573,1,1,2,1490.819982),-- [general_80_s]
(22701,9574,1,1,2,372.687356),-- [special_80_s]
(22701,9575,1,1,2,37.254624),-- [rare_80_s]
(22701,6901,1,1,2,214.707994),-- [rp_shining_arrow]
(22702,9530,1,1,-1,4703),-- [sealed_dynasty_blast_plate_piece]
(22702,1808,1,1,-1,1435),-- [rp_soulshot_s]
(22702,9621,1,1,-1,1804),-- [dynasty_spear_piece]
(22702,57,791,1594,0,700000),-- [adena]
(22702,9446,1,1,1,1.414056),-- [dynasty_dagger]
(22702,9620,1,1,1,441.585944),-- [dynasty_dagger_piece]
(22702,1895,1,1,2,56809.514124),-- [metallic_fiber]
(22702,4040,1,1,2,3976.634673),-- [mold_lubricant]
(22702,9628,1,1,2,1559.455623),-- [renad]
(22702,9630,1,1,2,1046.46564),-- [oricalcum]
(22702,9573,1,1,2,1380.760524),-- [general_80_s]
(22702,9574,1,1,2,345.190131),-- [special_80_s]
(22702,9575,1,1,2,34.512489),-- [rare_80_s]
(22702,5157,1,1,2,88.466796),-- [rp_comp_soulshot_s]
(22703,9630,1,1,-1,49236),-- [oricalcum]
(22703,9617,1,1,-1,5201),-- [dynasty_two_hand_sword_piece]
(22703,9537,1,1,-1,33638),-- [sealed_dynasty_leather_helmet_piece]
(22703,57,2291,4622,0,700000),-- [adena]
(22703,9447,1,1,1,4.098925),-- [dynasty_spear]
(22703,9621,1,1,1,1286.901075),-- [dynasty_spear_piece]
(22703,1895,1,1,2,164582.232876),-- [metallic_fiber]
(22703,4040,1,1,2,11520.665577),-- [mold_lubricant]
(22703,9628,1,1,2,4517.882127),-- [renad]
(22703,9630,1,1,2,3031.70436),-- [oricalcum]
(22703,9573,1,1,2,4000.186476),-- [general_80_s]
(22703,9574,1,1,2,1000.046619),-- [special_80_s]
(22703,9575,1,1,2,99.985761),-- [rare_80_s]
(22703,5162,1,1,2,256.296204),-- [rp_comp_spiritshot_s]
(22704,1808,1,1,-1,5156),-- [rp_soulshot_s]
(22704,9623,1,1,-1,6245),-- [dynasty_staff_piece]
(22704,3036,1,1,-1,5156),-- [rp_spiritshot_s]
(22704,57,2841,5731,0,700000),-- [adena]
(22704,9514,1,1,1,7.807338),-- [sealed_dynasty_blast_plate]
(22704,9515,1,1,1,12.486789),-- [sealed_dynasty_gaiter]
(22704,9530,1,1,1,2080.053108),-- [sealed_dynasty_blast_plate_piece]
(22704,9531,1,1,1,6152.652765),-- [sealed_dynasty_gaiter_piece]
(22704,1895,1,1,2,204101.857016),-- [metallic_fiber]
(22704,4040,1,1,2,14287.017482),-- [mold_lubricant]
(22704,9628,1,1,2,5602.719782),-- [renad]
(22704,9630,1,1,2,3759.67976),-- [oricalcum]
(22704,9573,1,1,2,4960.714616),-- [general_80_s]
(22704,9574,1,1,2,1240.178654),-- [special_80_s]
(22704,9575,1,1,2,123.994426),-- [rare_80_s]
(22704,5167,1,1,2,317.838264),-- [rp_comp_bspiritshot_s]
(22705,9624,1,1,-1,6442),-- [dynasty_jamadhr_piece]
(22705,9630,1,1,-1,62984),-- [oricalcum]
(22705,9628,1,1,-1,93859),-- [renad]
(22705,57,2933,5909,0,700000),-- [adena]
(22705,9519,1,1,1,10.73868),-- [sealed_dynasty_leather_mail]
(22705,9520,1,1,1,17.18058),-- [sealed_dynasty_leather_legging]
(22705,9535,1,1,1,2636.52906),-- [sealed_dynasty_leather_mail_piece]
(22705,9536,1,1,1,3875.55168),-- [sealed_dynasty_leather_legging_piece]
(22705,1895,1,1,2,210537.539316),-- [metallic_fiber]
(22705,4040,1,1,2,14737.541739),-- [mold_lubricant]
(22705,4042,1,1,2,12281.329581),-- [enria]
(22705,4043,1,1,2,24562.659162),-- [asofe]
(22705,9573,1,1,2,5117.243058),-- [general_80_s]
(22705,9574,1,1,2,1279.176369),-- [special_80_s]
(22705,9575,1,1,2,127.944516),-- [rare_80_s]
(22705,9625,1,1,2,147.566259),-- [codex_of_giant_forgetting]
(22706,1894,1,1,-1,450159),-- [crafted_leather]
(22706,9623,1,1,-1,6906),-- [dynasty_staff_piece]
(22706,5157,1,1,-1,5702),-- [rp_comp_soulshot_s]
(22706,57,3145,6334,0,700000),-- [adena]
(22706,9524,1,1,1,11.513704),-- [sealed_dynasty_tunic]
(22706,9525,1,1,1,18.420524),-- [sealed_dynasty_hose]
(22706,9540,1,1,1,2826.810668),-- [sealed_dynasty_tunic_piece]
(22706,9541,1,1,1,4155.255104),-- [sealed_dynasty_hose_piece]
(22706,1895,1,1,2,225713.198347),-- [metallic_fiber]
(22706,4040,1,1,2,15799.828807),-- [mold_lubricant]
(22706,4042,1,1,2,13166.475987),-- [enria]
(22706,4043,1,1,2,26333.240087),-- [asofe]
(22706,9573,1,1,2,5485.959633),-- [general_80_s]
(22706,9574,1,1,2,1371.41788),-- [special_80_s]
(22706,9575,1,1,2,137.141788),-- [rare_80_s]
(22706,9626,1,1,2,105.737471),-- [codex_of_giant_training]
(22707,9624,1,1,-1,6683),-- [dynasty_jamadhr_piece]
(22707,5162,1,1,-1,5518),-- [rp_comp_spiritshot_s]
(22707,9622,1,1,-1,6683),-- [dynasty_hammer_piece]
(22707,57,3043,6130,0,700000),-- [adena]
(22707,9452,1,1,1,33.710726),-- [sealed_dynasty_earring]
(22707,9453,1,1,1,25.279198),-- [sealed_dynasty_neckalce]
(22707,9454,1,1,1,50.566089),-- [sealed_dynasty_ring]
(22707,9991,1,1,1,2390.122784),-- [sealed_dynasty_earring_gem]
(22707,9992,1,1,1,1834.357385),-- [sealed_dynasty_neckalce_gem]
(22707,9993,1,1,1,3358.963818),-- [sealed_dynasty_ring_gem]
(22707,1895,1,1,2,349503.555228),-- [metallic_fiber]
(22707,4040,1,1,2,24465.150984),-- [mold_lubricant]
(22707,4042,1,1,2,20387.922432),-- [enria]
(22707,4043,1,1,2,40775.399946),-- [asofe]
(22707,9546,1,1,2,9785.97141),-- [ore_of_fire]
(22708,9544,1,1,-1,76233),-- [sealed_dynasty_shoes_piece]
(22708,10114,1,1,-1,39508),-- [sealed_dynasty_sigil_piece]
(22708,9542,1,1,-1,57296),-- [sealed_dynasty_circlet_piece]
(22708,57,3902,7872,0,700000),-- [adena]
(22708,9517,1,1,1,14.300428),-- [sealed_dynasty_gauntlet]
(22708,9518,1,1,1,14.300428),-- [sealed_dynasty_boots]
(22708,9522,1,1,1,14.300428),-- [sealed_dynasty_leather_gloves]
(22708,9523,1,1,1,14.300428),-- [sealed_dynasty_leather_boots]
(22708,9527,1,1,1,14.300428),-- [sealed_dynasty_gloves]
(22708,9528,1,1,1,14.300428),-- [sealed_dynasty_shoes]
(22708,9533,1,1,1,3130.039194),-- [sealed_dynasty_gauntlet_piece]
(22708,9534,1,1,1,3130.039194),-- [sealed_dynasty_boots_piece]
(22708,9538,1,1,1,3130.039194),-- [sealed_dynasty_leather_gloves_piece]
(22708,9539,1,1,1,3130.039194),-- [sealed_dynasty_leather_boots_piece]
(22708,9543,1,1,1,3130.039194),-- [sealed_dynasty_gloves_piece]
(22708,9544,1,1,1,3130.001462),-- [sealed_dynasty_shoes_piece]
(22708,1879,1,1,2,218042.807265),-- [cokes]
(22708,1885,1,1,2,109021.583815),-- [high_grade_suede]
(22708,9628,1,1,2,10260.672645),-- [renad]
(22708,9630,1,1,2,6885.494055),-- [oricalcum]
(22708,9629,1,1,2,5688.00116),-- [adamantium]
(22708,9547,1,1,2,10466.44106),-- [ore_of_water]
(22709,5277,1,1,-1,7097),-- [rp_adv_comp_spiritshot_s]
(22709,9530,1,1,-1,23255),-- [sealed_dynasty_blast_plate_piece]
(22709,1894,1,1,-1,560271),-- [crafted_leather]
(22709,57,3911,7889,0,700000),-- [adena]
(22709,9516,1,1,1,11.462998),-- [sealed_dynasty_helmet]
(22709,9529,1,1,1,16.370974),-- [sealed_dynasty_shield]
(22709,13886,1,1,1,16.370974),-- [sealed_dynasty_sigil]
(22709,9521,1,1,1,11.462998),-- [sealed_dynasty_leather_helmet]
(22709,9526,1,1,1,11.462998),-- [sealed_dynasty_circlet]
(22709,9532,1,1,1,2827.624254),-- [sealed_dynasty_helmet_piece]
(22709,9542,1,1,1,2827.624254),-- [sealed_dynasty_circlet_piece]
(22709,9545,1,1,1,3370.441978),-- [sealed_dynasty_shield_piece]
(22709,10114,1,1,1,1949.715574),-- [sealed_dynasty_sigil_piece]
(22709,1895,1,3,2,224739.490457),-- [metallic_fiber]
(22709,4040,1,1,2,31463.410532),-- [mold_lubricant]
(22709,4042,1,1,2,26219.740408),-- [enria]
(22709,4043,1,1,2,52439.133369),-- [asofe]
(22709,9548,1,1,2,12585.225234),-- [ore_of_earth]
(22710,9531,1,1,-1,44463),-- [sealed_dynasty_gaiter_piece]
(22710,1894,1,1,-1,362152),-- [crafted_leather]
(22710,9628,1,1,-1,80952),-- [renad]
(22710,57,2528,5099,0,700000),-- [adena]
(22710,9442,1,1,1,1.507334),-- [dynasty_blade]
(22710,9443,1,1,1,1.507334),-- [dynasty_two_hand_sword]
(22710,9444,1,1,1,1.507334),-- [dynasty_magic_sword]
(22710,9616,1,1,1,471.15886),-- [dynasty_blade_piece]
(22710,9617,1,1,1,471.15886),-- [dynasty_two_hand_sword_piece]
(22710,9618,1,1,1,471.160278),-- [dynasty_magic_sword_piece]
(22710,1879,1,1,2,141233.33862),-- [cokes]
(22710,1885,1,1,2,70616.78602),-- [high_grade_suede]
(22710,9628,1,1,2,6646.16766),-- [renad]
(22710,9630,1,1,2,4459.95594),-- [oricalcum]
(22710,9629,1,1,2,3684.30128),-- [adamantium]
(22710,9549,1,1,2,6779.45048),-- [ore_of_wind]
(22711,9535,1,1,-1,25343),-- [sealed_dynasty_leather_mail_piece]
(22711,1808,1,1,-1,6296),-- [rp_soulshot_s]
(22711,9993,1,1,-1,46678),-- [sealed_dynasty_ring_gem]
(22711,57,3469,6998,0,700000),-- [adena]
(22711,9448,1,1,1,1.551662),-- [dynasty_hammer]
(22711,9449,1,1,1,1.551662),-- [dynasty_staff]
(22711,10252,1,1,1,1.551662),-- [dynasty_twohand_staff]
(22711,10253,1,1,1,1.551662),-- [dynasty_crusher]
(22711,9622,1,1,1,469.405566),-- [dynasty_hammer_piece]
(22711,9623,1,1,1,469.405566),-- [dynasty_staff_piece]
(22711,10546,1,1,1,486.493028),-- [dynasty_twohand_staff_piece]
(22711,10547,1,1,1,486.489192),-- [dynasty_crusher_piece]
(22711,1895,1,1,2,398753.673552),-- [metallic_fiber]
(22711,4040,1,1,2,27912.903108),-- [mold_lubricant]
(22711,9628,1,1,2,10946.039754),-- [renad]
(22711,9630,1,1,2,7345.404792),-- [oricalcum]
(22711,9550,1,1,2,11164.978794),-- [ore_of_unholy]
(22712,3036,1,1,-1,4713),-- [rp_spiritshot_s]
(22712,9531,1,1,-1,45677),-- [sealed_dynasty_gaiter_piece]
(22712,9628,1,1,-1,83162),-- [renad]
(22712,57,2597,5238,0,700000),-- [adena]
(22712,9450,1,1,1,4.647834),-- [dynasty_jamadhr]
(22712,9624,1,1,1,1406.352166),-- [dynasty_jamadhr_piece]
(22712,1895,1,1,2,298470.564288),-- [metallic_fiber]
(22712,4040,1,1,2,20893.048752),-- [mold_lubricant]
(22712,9628,1,1,2,8193.205176),-- [renad]
(22712,9630,1,1,2,5498.098848),-- [oricalcum]
(22712,9551,1,1,2,8357.082936),-- [ore_of_holy]
(22713,9543,1,1,-1,63329),-- [sealed_dynasty_gloves_piece]
(22713,9617,1,1,-1,7360),-- [dynasty_two_hand_sword_piece]
(22713,6901,1,1,-1,13237),-- [rp_shining_arrow]
(22713,57,3242,6540,0,700000),-- [adena]
(22713,9445,1,1,1,5.800608),-- [dynasty_bow]
(22713,9619,1,1,1,1825.199392),-- [dynasty_bow_piece]
(22713,1895,1,1,2,310517.651808),-- [metallic_fiber]
(22713,4040,1,1,2,21736.36647),-- [mold_lubricant]
(22713,9628,1,1,2,8523.982818),-- [renad]
(22713,9630,1,1,2,5720.194818),-- [oricalcum]
(22713,959,1,1,2,43.458714),-- [scrl_of_ench_wp_s]
(22713,1345,60,180,2,120756.345372),-- [shining_arrow]
(22714,9535,1,1,-1,18011),-- [sealed_dynasty_leather_mail_piece]
(22714,1808,1,1,-1,4475),-- [rp_soulshot_s]
(22714,9620,1,1,-1,5593),-- [dynasty_dagger_piece]
(22714,57,2466,4974,0,700000),-- [adena]
(22714,9446,1,1,1,4.411344),-- [dynasty_dagger]
(22714,9620,1,1,1,1377.588656),-- [dynasty_dagger_piece]
(22714,1895,1,1,2,283397.355384),-- [metallic_fiber]
(22714,4040,1,1,2,19837.944696),-- [mold_lubricant]
(22714,9628,1,1,2,7779.64824),-- [renad]
(22714,9630,1,1,2,5220.628416),-- [oricalcum]
(22714,960,1,1,2,396.423264),-- [scrl_of_ench_am_s]
(22715,1894,1,1,-1,559108),-- [crafted_leather]
(22715,9541,1,1,-1,41904),-- [sealed_dynasty_hose_piece]
(22715,9534,1,1,-1,76233),-- [sealed_dynasty_boots_piece]
(22715,57,3902,7872,0,700000),-- [adena]
(22715,9447,1,1,1,6.981825),-- [dynasty_spear]
(22715,9621,1,1,1,2192.018175),-- [dynasty_spear_piece]
(22715,1879,1,1,2,218042.72048),-- [cokes]
(22715,1885,1,1,2,109021.36024),-- [high_grade_suede]
(22715,9628,1,1,2,10261.00296),-- [renad]
(22715,9630,1,1,2,6885.53008),-- [oricalcum]
(22715,9629,1,1,2,5687.93992),-- [adamantium]
(22715,5272,1,1,2,581.44632),-- [rp_adv_comp_soulshot_s]
(22716,3036,1,1,-1,1815),-- [rp_spiritshot_s]
(22716,9530,1,1,-1,5949),-- [sealed_dynasty_blast_plate_piece]
(22716,3957,1,1,-1,1815),-- [rp_blessed_spiritshot_s]
(22716,57,1000,2018,0,700000),-- [adena]
(22716,9514,1,1,1,2.749076),-- [sealed_dynasty_blast_plate]
(22716,9515,1,1,1,4.396778),-- [sealed_dynasty_gaiter]
(22716,9530,1,1,1,732.416616),-- [sealed_dynasty_blast_plate_piece]
(22716,9531,1,1,1,2166.43753),-- [sealed_dynasty_gaiter_piece]
(22716,1879,1,1,2,55894.288344),-- [cokes]
(22716,1885,1,1,2,27947.144172),-- [high_grade_suede]
(22716,9628,1,1,2,2630.362788),-- [renad]
(22716,9630,1,1,2,1765.075224),-- [oricalcum]
(22716,9629,1,1,2,1458.078276),-- [adamantium]
(22716,5277,1,1,2,149.051196),-- [rp_adv_comp_spiritshot_s]
(22717,6901,1,1,-1,16957),-- [rp_shining_arrow]
(22717,9619,1,1,-1,9492),-- [dynasty_bow_piece]
(22717,959,1,1,-1,678),-- [scrl_of_ench_wp_s]
(22717,57,4153,8378,0,700000),-- [adena]
(22717,9519,1,1,1,15.218056),-- [sealed_dynasty_leather_mail]
(22717,9520,1,1,1,24.347036),-- [sealed_dynasty_leather_legging]
(22717,9535,1,1,1,3736.292252),-- [sealed_dynasty_leather_mail_piece]
(22717,9536,1,1,1,5492.142656),-- [sealed_dynasty_leather_legging_piece]
(22717,1895,1,3,2,238668.602452),-- [metallic_fiber]
(22717,4040,1,1,2,33413.698654),-- [mold_lubricant]
(22717,9628,1,1,2,13103.29566),-- [renad]
(22717,9630,1,1,2,8793.001035),-- [oricalcum]
(22717,5282,1,1,2,742.402199),-- [rp_adv_comp_bspiritshot_s]
(22718,9543,1,1,-1,87915),-- [sealed_dynasty_gloves_piece]
(22718,9628,1,1,-1,144129),-- [renad]
(22718,9535,1,1,-1,32876),-- [sealed_dynasty_leather_mail_piece]
(22718,57,4501,9079,0,700000),-- [adena]
(22718,9524,1,1,1,16.490606),-- [sealed_dynasty_tunic]
(22718,9525,1,1,1,26.382961),-- [sealed_dynasty_hose]
(22718,9540,1,1,1,4048.724977),-- [sealed_dynasty_tunic_piece]
(22718,9541,1,1,1,5951.401456),-- [sealed_dynasty_hose_piece]
(22718,1895,1,3,2,258641.722179),-- [metallic_fiber]
(22718,4040,1,1,2,36209.950038),-- [mold_lubricant]
(22718,9628,1,1,2,14200.049511),-- [renad]
(22718,9630,1,1,2,9528.748731),-- [oricalcum]
(22718,6901,1,1,2,1810.529541),-- [rp_shining_arrow]
(22719,1808,1,1,-1,13052),-- [rp_soulshot_s]
(22719,9624,1,1,-1,15808),-- [dynasty_jamadhr_piece]
(22719,3036,1,1,-1,13052),-- [rp_spiritshot_s]
(22719,57,7198,14500,0,700000),-- [adena]
(22719,9452,1,1,1,79.73049),-- [sealed_dynasty_earring]
(22719,9453,1,1,1,59.78877),-- [sealed_dynasty_neckalce]
(22719,9454,1,1,1,119.595735),-- [sealed_dynasty_ring]
(22719,9991,1,1,1,5652.96816),-- [sealed_dynasty_earring_gem]
(22719,9992,1,1,1,4338.506775),-- [sealed_dynasty_neckalce_gem]
(22719,9993,1,1,1,7944.41007),-- [sealed_dynasty_ring_gem]
(22719,1879,1,3,2,200924.194536),-- [cokes]
(22719,1885,1,1,2,200924.194536),-- [high_grade_suede]
(22719,9628,1,1,2,18910.402485),-- [renad]
(22719,9630,1,1,2,12690.150551),-- [oricalcum]
(22719,9629,1,1,2,10482.935671),-- [adamantium]
(22719,5157,1,1,2,1071.122221),-- [rp_comp_soulshot_s]
(22720,9534,1,1,-1,134390),-- [sealed_dynasty_boots_piece]
(22720,9628,1,1,-1,220320),-- [renad]
(22720,9630,1,1,-1,147846),-- [oricalcum]
(22720,57,6885,13870,0,700000),-- [adena]
(22720,9517,1,1,1,25.209564),-- [sealed_dynasty_gauntlet]
(22720,9518,1,1,1,25.209564),-- [sealed_dynasty_boots]
(22720,9522,1,1,1,25.209564),-- [sealed_dynasty_leather_gloves]
(22720,9523,1,1,1,25.209564),-- [sealed_dynasty_leather_boots]
(22720,9527,1,1,1,25.209564),-- [sealed_dynasty_gloves]
(22720,9528,1,1,1,25.209564),-- [sealed_dynasty_shoes]
(22720,9533,1,1,1,5517.801522),-- [sealed_dynasty_gauntlet_piece]
(22720,9534,1,1,1,5517.801522),-- [sealed_dynasty_boots_piece]
(22720,9538,1,1,1,5517.801522),-- [sealed_dynasty_leather_gloves_piece]
(22720,9539,1,1,1,5517.801522),-- [sealed_dynasty_leather_boots_piece]
(22720,9543,1,1,1,5517.801522),-- [sealed_dynasty_gloves_piece]
(22720,9544,1,1,1,5517.735006),-- [sealed_dynasty_shoes_piece]
(22720,1879,1,3,2,192191.952456),-- [cokes]
(22720,1885,1,1,2,192191.952456),-- [high_grade_suede]
(22720,9628,1,1,2,18088.549185),-- [renad]
(22720,9630,1,1,2,12138.631771),-- [oricalcum]
(22720,9629,1,1,2,10027.343291),-- [adamantium]
(22720,5162,1,1,2,1024.570841),-- [rp_comp_spiritshot_s]
(22721,9534,1,1,-1,64545),-- [sealed_dynasty_boots_piece]
(22721,3957,1,1,-1,5996),-- [rp_blessed_spiritshot_s]
(22721,9538,1,1,-1,64545),-- [sealed_dynasty_leather_gloves_piece]
(22721,57,3307,6661,0,700000),-- [adena]
(22721,9516,1,1,1,9.68558),-- [sealed_dynasty_helmet]
(22721,9529,1,1,1,13.83254),-- [sealed_dynasty_shield]
(22721,13886,1,1,1,13.83254),-- [sealed_dynasty_sigil]
(22721,9521,1,1,1,9.68558),-- [sealed_dynasty_leather_helmet]
(22721,9526,1,1,1,9.68558),-- [sealed_dynasty_circlet]
(22721,9532,1,1,1,2389.18134),-- [sealed_dynasty_helmet_piece]
(22721,9542,1,1,1,2389.18134),-- [sealed_dynasty_circlet_piece]
(22721,9545,1,1,1,2847.83138),-- [sealed_dynasty_shield_piece]
(22721,10114,1,1,1,1647.39854),-- [sealed_dynasty_sigil_piece]
(22721,1895,1,1,2,379775.124723),-- [metallic_fiber]
(22721,4040,1,1,2,26584.296924),-- [mold_lubricant]
(22721,9628,1,1,2,10425.097986),-- [renad]
(22721,9630,1,1,2,6995.755935),-- [oricalcum]
(22721,5167,1,1,2,590.724432),-- [rp_comp_bspiritshot_s]
(22722,5157,1,1,-1,12451),-- [rp_comp_soulshot_s]
(22722,9538,1,1,-1,134027),-- [sealed_dynasty_leather_gloves_piece]
(22722,1894,1,3,-1,491490),-- [crafted_leather]
(22722,57,6867,13832,0,700000),-- [adena]
(22722,9442,1,1,1,4.091487),-- [dynasty_blade]
(22722,9443,1,1,1,4.091487),-- [dynasty_two_hand_sword]
(22722,9444,1,1,1,4.091487),-- [dynasty_magic_sword]
(22722,9616,1,1,1,1278.90723),-- [dynasty_blade_piece]
(22722,9617,1,1,1,1278.90723),-- [dynasty_two_hand_sword_piece]
(22722,9618,1,1,1,1278.911079),-- [dynasty_magic_sword_piece]
(22722,1895,3,9,2,131433.175832),-- [metallic_fiber]
(22722,4040,1,1,2,55201.992384),-- [mold_lubricant]
(22722,4042,1,1,2,46001.66032),-- [enria]
(22722,4043,1,1,2,92003.32064),-- [asofe]
(22722,9625,1,1,2,551.850824),-- [codex_of_giant_forgetting]
(22723,1894,1,1,-1,482268),-- [crafted_leather]
(22723,9530,1,1,-1,20017),-- [sealed_dynasty_blast_plate_piece]
(22723,5162,1,1,-1,6109),-- [rp_comp_spiritshot_s]
(22723,57,3369,6786,0,700000),-- [adena]
(22723,9448,1,1,1,1.505549),-- [dynasty_hammer]
(22723,9449,1,1,1,1.505549),-- [dynasty_staff]
(22723,10252,1,1,1,1.505549),-- [dynasty_twohand_staff]
(22723,10253,1,1,1,1.505549),-- [dynasty_crusher]
(22723,9622,1,1,1,455.455557),-- [dynasty_hammer_piece]
(22723,9623,1,1,1,455.455557),-- [dynasty_staff_piece]
(22723,10546,1,1,1,472.035206),-- [dynasty_twohand_staff_piece]
(22723,10547,1,1,1,472.031484),-- [dynasty_crusher_piece]
(22723,1879,1,1,2,188076.729738),-- [cokes]
(22723,1885,1,1,2,94038.51585),-- [high_grade_suede]
(22723,9628,1,1,2,8850.808182),-- [renad]
(22723,9630,1,1,2,5939.290578),-- [oricalcum]
(22723,9629,1,1,2,4906.278576),-- [adamantium]
(22723,9626,1,1,2,150.377076),-- [codex_of_giant_training]
(22724,9535,1,1,-1,50390),-- [sealed_dynasty_leather_mail_piece]
(22724,5167,1,1,-1,12518),-- [rp_comp_bspiritshot_s]
(22724,9622,1,1,-1,15162),-- [dynasty_hammer_piece]
(22724,57,6904,13907,0,700000),-- [adena]
(22724,9450,1,1,1,12.342618),-- [dynasty_jamadhr]
(22724,9624,1,1,1,3734.657382),-- [dynasty_jamadhr_piece]
(22724,1895,1,3,2,247770.866556),-- [metallic_fiber]
(22724,4040,1,1,2,34687.875132),-- [mold_lubricant]
(22724,4042,1,1,2,28906.56261),-- [enria]
(22724,4043,1,1,2,57813.12522),-- [asofe]
(22724,9573,1,1,2,12044.497308),-- [general_80_s]
(22724,9574,1,1,2,3010.931886),-- [special_80_s]
(22724,9575,1,1,2,300.977724),-- [rare_80_s]
(22724,9625,1,1,2,347.163564),-- [codex_of_giant_forgetting]
(22725,9539,1,1,-1,131850),-- [sealed_dynasty_leather_boots_piece]
(22725,1894,1,3,-1,483509),-- [crafted_leather]
(22725,9533,1,1,-1,131850),-- [sealed_dynasty_gauntlet_piece]
(22725,57,6755,13607,0,700000),-- [adena]
(22725,9445,1,1,1,12.076416),-- [dynasty_bow]
(22725,9619,1,1,1,3799.923584),-- [dynasty_bow_piece]
(22725,1895,1,3,2,242435.07122),-- [metallic_fiber]
(22725,4040,1,1,2,33940.96019),-- [mold_lubricant]
(22725,9628,1,1,2,13310.28509),-- [renad]
(22725,9630,1,1,2,8931.79859),-- [oricalcum]
(22725,9573,1,1,2,11784.87689),-- [general_80_s]
(22725,9574,1,1,2,2946.29769),-- [special_80_s]
(22725,9575,1,1,2,294.72393),-- [rare_80_s]
(22725,9626,1,1,2,225.9864),-- [codex_of_giant_training]
(22726,5272,1,1,-1,12451),-- [rp_adv_comp_soulshot_s]
(22726,9623,1,1,-1,15080),-- [dynasty_staff_piece]
(22726,5277,1,1,-1,12451),-- [rp_adv_comp_spiritshot_s]
(22726,57,6867,13832,0,700000),-- [adena]
(22726,9446,1,1,1,12.276432),-- [dynasty_dagger]
(22726,9620,1,1,1,3833.723568),-- [dynasty_dagger_piece]
(22726,1879,1,1,2,255564.081972),-- [cokes]
(22726,1885,1,1,2,127782.040986),-- [high_grade_suede]
(22726,9628,1,1,2,12026.662998),-- [renad]
(22726,9630,1,1,2,8070.380448),-- [oricalcum]
(22726,9629,1,1,2,6667.044522),-- [adamantium]
(22726,9573,1,1,2,10648.612404),-- [general_80_s]
(22726,9574,1,1,2,2661.935124),-- [special_80_s]
(22726,9575,1,1,2,266.367894),-- [rare_80_s]
(22726,9546,1,1,2,12266.873652),-- [ore_of_fire]
(22727,9622,1,1,-1,2884),-- [dynasty_hammer_piece]
(22727,960,1,1,-1,2143),-- [scrl_of_ench_am_s]
(22727,9533,1,1,-1,25633),-- [sealed_dynasty_gauntlet_piece]
(22727,57,1313,2645,0,700000),-- [adena]
(22727,9447,1,1,1,2.346325),-- [dynasty_spear]
(22727,9621,1,1,1,736.653675),-- [dynasty_spear_piece]
(22727,1879,1,1,2,48876.511968),-- [cokes]
(22727,1885,1,1,2,24438.255984),-- [high_grade_suede]
(22727,9628,1,1,2,2300.093712),-- [renad]
(22727,9630,1,1,2,1543.456512),-- [oricalcum]
(22727,9629,1,1,2,1275.069168),-- [adamantium]
(22727,9573,1,1,2,2036.542176),-- [general_80_s]
(22727,9574,1,1,2,509.093856),-- [special_80_s]
(22727,9575,1,1,2,50.942736),-- [rare_80_s]
(22727,9547,1,1,2,2346.033888),-- [ore_of_water]
(22728,5277,1,1,-1,12451),-- [rp_adv_comp_spiritshot_s]
(22728,9530,1,1,-1,40801),-- [sealed_dynasty_blast_plate_piece]
(22728,1894,1,3,-1,491490),-- [crafted_leather]
(22728,57,6867,13832,0,700000),-- [adena]
(22728,9514,1,1,1,18.854726),-- [sealed_dynasty_blast_plate]
(22728,9515,1,1,1,30.155603),-- [sealed_dynasty_gaiter]
(22728,9530,1,1,1,5023.329516),-- [sealed_dynasty_blast_plate_piece]
(22728,9531,1,1,1,14858.660155),-- [sealed_dynasty_gaiter_piece]
(22728,1895,1,3,2,246436.570553),-- [metallic_fiber]
(22728,4040,1,1,2,34501.113225),-- [mold_lubricant]
(22728,9628,1,1,2,13529.691796),-- [renad]
(22728,9630,1,1,2,9079.222816),-- [oricalcum]
(22728,9573,1,1,2,11979.677936),-- [general_80_s]
(22728,9574,1,1,2,2994.919484),-- [special_80_s]
(22728,9575,1,1,2,299.3589),-- [rare_80_s]
(22728,9548,1,1,2,13800.44529),-- [ore_of_earth]
(22729,9623,1,1,-1,27813),-- [dynasty_staff_piece]
(22729,10546,1,1,-1,28826),-- [dynasty_twohand_staff_piece]
(22729,9993,1,1,-1,170259),-- [sealed_dynasty_ring_gem]
(22729,57,12665,25512,0,700000),-- [adena]
(22729,9519,1,1,1,46.368438),-- [sealed_dynasty_leather_mail]
(22729,9520,1,1,1,74.183853),-- [sealed_dynasty_leather_legging]
(22729,9535,1,1,1,11384.242221),-- [sealed_dynasty_leather_mail_piece]
(22729,9536,1,1,1,16734.205488),-- [sealed_dynasty_leather_legging_piece]
(22729,1895,3,9,2,151508.10275),-- [metallic_fiber]
(22729,4040,1,1,2,63633.70265),-- [mold_lubricant]
(22729,4042,1,1,2,53027.729),-- [enria]
(22729,4043,1,1,2,106055.88585),-- [asofe]
(22729,9573,1,1,2,22095.0297),-- [general_80_s]
(22729,9574,1,1,2,5523.5435),-- [special_80_s]
(22729,9575,1,1,2,552.35435),-- [rare_80_s]
(22729,9549,1,1,2,25453.6522),-- [ore_of_wind]
(22730,10405,1,1,-1,21933),-- [icarus_accipiter_piece]
(22730,9630,1,1,-1,270125),-- [oricalcum]
(22730,959,1,1,-1,2053),-- [scrl_of_ench_wp_s]
(22730,57,12455,25456,0,700000),-- [adena]
(22730,9524,1,1,1,46.056458),-- [sealed_dynasty_tunic]
(22730,9525,1,1,1,73.684723),-- [sealed_dynasty_hose]
(22730,9540,1,1,1,11307.645811),-- [sealed_dynasty_tunic_piece]
(22730,9541,1,1,1,16621.613008),-- [sealed_dynasty_hose_piece]
(22730,1879,3,9,2,78032.76318),-- [cokes]
(22730,1885,1,1,2,234098.69805),-- [high_grade_suede]
(22730,9628,1,1,2,22032.98685),-- [renad]
(22730,9630,1,1,2,14785.20243),-- [oricalcum]
(22730,9629,1,1,2,12214.04049),-- [adamantium]
(22730,9573,1,1,2,19508.39505),-- [general_80_s]
(22730,9574,1,1,2,4877.20089),-- [special_80_s]
(22730,9575,1,1,2,487.76094),-- [rare_80_s]
(22730,9550,1,1,2,22472.95212),-- [ore_of_unholy]
(22731,9532,1,1,-1,174214),-- [sealed_dynasty_helmet_piece]
(22731,9630,1,1,-1,255001),-- [oricalcum]
(22731,10402,1,1,-1,20705),-- [icarus_chopper_piece]
(22731,57,11758,24031,0,700000),-- [adena]
(22731,9452,1,1,1,131.543258),-- [sealed_dynasty_earring]
(22731,9453,1,1,1,98.642434),-- [sealed_dynasty_neckalce]
(22731,9454,1,1,1,197.314887),-- [sealed_dynasty_ring]
(22731,9991,1,1,1,9326.543072),-- [sealed_dynasty_earring_gem]
(22731,9992,1,1,1,7157.880455),-- [sealed_dynasty_neckalce_gem]
(22731,9993,1,1,1,13107.075894),-- [sealed_dynasty_ring_gem]
(22731,1895,3,9,2,142065.98039),-- [metallic_fiber]
(22731,4040,1,1,2,59667.992594),-- [mold_lubricant]
(22731,4042,1,1,2,49722.99284),-- [enria]
(22731,4043,1,1,2,99446.386866),-- [asofe]
(22731,9573,1,1,2,20718.047412),-- [general_80_s]
(22731,9574,1,1,2,5179.31126),-- [special_80_s]
(22731,9575,1,1,2,517.931126),-- [rare_80_s]
(22731,9551,1,1,2,23867.357512),-- [ore_of_holy]
(22732,10397,1,1,-1,20829),-- [icarus_sowsword_piece]
(22732,10403,1,1,-1,20762),-- [icarus_knuckle_piece]
(22732,10400,1,1,-1,20762),-- [icarus_heavy_arms_piece]
(22732,57,11790,24097,0,700000),-- [adena]
(22732,9517,1,1,1,43.600918),-- [sealed_dynasty_gauntlet]
(22732,9518,1,1,1,43.600918),-- [sealed_dynasty_boots]
(22732,9522,1,1,1,43.600918),-- [sealed_dynasty_leather_gloves]
(22732,9523,1,1,1,43.600918),-- [sealed_dynasty_leather_boots]
(22732,9527,1,1,1,43.600918),-- [sealed_dynasty_gloves]
(22732,9528,1,1,1,43.600918),-- [sealed_dynasty_shoes]
(22732,9533,1,1,1,9543.251589),-- [sealed_dynasty_gauntlet_piece]
(22732,9534,1,1,1,9543.251589),-- [sealed_dynasty_boots_piece]
(22732,9538,1,1,1,9543.251589),-- [sealed_dynasty_leather_gloves_piece]
(22732,9539,1,1,1,9543.251589),-- [sealed_dynasty_leather_boots_piece]
(22732,9543,1,1,1,9543.251589),-- [sealed_dynasty_gloves_piece]
(22732,9544,1,1,1,9543.136547),-- [sealed_dynasty_shoes_piece]
(22732,1895,3,9,2,142457.850129),-- [metallic_fiber]
(22732,4040,1,1,2,59832.366762),-- [mold_lubricant]
(22732,9628,1,1,2,23463.652212),-- [renad]
(22732,9630,1,1,2,15745.387896),-- [oricalcum]
(22732,9573,1,1,2,20775.075216),-- [general_80_s]
(22732,9574,1,1,2,5193.768804),-- [special_80_s]
(22732,9575,1,1,2,519.323259),-- [rare_80_s]
(22732,959,1,1,2,119.575722),-- [scrl_of_ench_wp_s]
(22733,9542,1,1,-1,184066),-- [sealed_dynasty_circlet_piece]
(22733,9630,1,1,-1,269421),-- [oricalcum]
(22733,9991,1,1,-1,120025),-- [sealed_dynasty_earring_gem]
(22733,57,12423,25390,0,700000),-- [adena]
(22733,9516,1,1,1,36.750243),-- [sealed_dynasty_helmet]
(22733,9529,1,1,1,52.485159),-- [sealed_dynasty_shield]
(22733,13886,1,1,1,52.485159),-- [sealed_dynasty_sigil]
(22733,9521,1,1,1,36.750243),-- [sealed_dynasty_leather_helmet]
(22733,9526,1,1,1,36.750243),-- [sealed_dynasty_circlet]
(22733,9532,1,1,1,9065.331639),-- [sealed_dynasty_helmet_piece]
(22733,9542,1,1,1,9065.331639),-- [sealed_dynasty_circlet_piece]
(22733,9545,1,1,1,10805.599173),-- [sealed_dynasty_shield_piece]
(22733,10114,1,1,1,6250.766259),-- [sealed_dynasty_sigil_piece]
(22733,1879,3,9,2,77829.506352),-- [cokes]
(22733,1885,1,1,2,233488.519056),-- [high_grade_suede]
(22733,9628,1,1,2,21975.467259),-- [renad]
(22733,9630,1,1,2,14746.720539),-- [oricalcum]
(22733,9629,1,1,2,12181.905597),-- [adamantium]
(22733,9573,1,1,2,19457.376588),-- [general_80_s]
(22733,9574,1,1,2,4864.344147),-- [special_80_s]
(22733,9575,1,1,2,486.55026),-- [rare_80_s]
(22733,960,1,1,2,1120.610202),-- [scrl_of_ench_am_s]
(22734,9542,1,1,-1,84536),-- [sealed_dynasty_circlet_piece]
(22734,1808,1,1,-1,10449),-- [rp_soulshot_s]
(22734,9530,1,1,-1,34240),-- [sealed_dynasty_blast_plate_piece]
(22734,57,5705,11661,0,700000),-- [adena]
(22734,10215,1,1,1,2.488),-- [icarus_sowsword]
(22734,10217,1,1,1,2.488),-- [icarus_spirits]
(22734,10218,1,1,1,2.488),-- [icarus_heavy_arms]
(22734,10397,1,1,1,827.730232),-- [icarus_sowsword_piece]
(22734,10399,1,1,1,827.730232),-- [icarus_spirits_piece]
(22734,10400,1,1,1,825.075536),-- [icarus_heavy_arms_piece]
(22734,1879,1,1,2,214469.32086),-- [cokes]
(22734,1885,1,1,2,107234.66043),-- [high_grade_suede]
(22734,9628,1,1,2,10092.7242),-- [renad]
(22734,9630,1,1,2,6772.88034),-- [oricalcum]
(22734,9629,1,1,2,5594.8023),-- [adamantium]
(22734,9573,1,1,2,8936.37009),-- [general_80_s]
(22734,9574,1,1,2,2234.00349),-- [special_80_s]
(22734,9575,1,1,2,223.29351),-- [rare_80_s]
(22734,5272,1,1,2,571.94478),-- [rp_adv_comp_soulshot_s]
(22735,6901,1,1,-1,48584),-- [rp_shining_arrow]
(22735,10114,1,1,-1,120457),-- [sealed_dynasty_sigil_piece]
(22735,960,1,1,-1,19434),-- [scrl_of_ench_am_s]
(22735,57,11790,24097,0,700000),-- [adena]
(22735,10220,1,1,1,7.712512),-- [icarus_chopper]
(22735,10222,1,1,1,7.712512),-- [icarus_wand]
(22735,10402,1,1,1,2556.287488),-- [icarus_chopper_piece]
(22735,10404,1,1,1,2556.287488),-- [icarus_wand_piece]
(22735,1895,3,9,2,142457.92032),-- [metallic_fiber]
(22735,4040,1,1,2,59832.272671),-- [mold_lubricant]
(22735,9628,1,1,2,23463.704991),-- [renad]
(22735,9630,1,1,2,15745.349088),-- [oricalcum]
(22735,9573,1,1,2,20775.11338),-- [general_80_s]
(22735,9574,1,1,2,5193.778345),-- [special_80_s]
(22735,9575,1,1,2,519.243176),-- [rare_80_s]
(22735,5277,1,1,2,1329.618029),-- [rp_adv_comp_spiritshot_s]
(22736,9532,1,1,-1,80776),-- [sealed_dynasty_helmet_piece]
(22736,10399,1,1,-1,9631),-- [icarus_spirits_piece]
(22736,9630,1,1,-1,118234),-- [oricalcum]
(22736,57,5452,11142,0,700000),-- [adena]
(22736,10221,1,1,1,7.132604),-- [icarus_knuckle]
(22736,10403,1,1,1,2364.867396),-- [icarus_knuckle_piece]
(22736,1895,1,1,2,395223.235084),-- [metallic_fiber]
(22736,4040,1,1,2,27665.408593),-- [mold_lubricant]
(22736,9628,1,1,2,10849.117543),-- [renad]
(22736,9630,1,1,2,7280.25124),-- [oricalcum]
(22736,9573,1,1,2,9605.937484),-- [general_80_s]
(22736,9574,1,1,2,2401.484371),-- [special_80_s]
(22736,9575,1,1,2,240.103049),-- [rare_80_s]
(22736,5282,1,1,2,615.462636),-- [rp_adv_comp_bspiritshot_s]
(22737,10399,1,1,-1,20714),-- [icarus_spirits_piece]
(22737,10398,1,1,-1,20714),-- [icarus_disperser_piece]
(22737,10404,1,1,-1,20648),-- [icarus_wand_piece]
(22737,57,11726,23964,0,700000),-- [adena]
(22737,10223,1,1,1,15.338707),-- [icarus_accipiter]
(22737,10405,1,1,1,5085.661293),-- [icarus_accipiter_piece]
(22737,1879,3,9,2,73460.590036),-- [cokes]
(22737,1885,1,1,2,220382.13617),-- [high_grade_suede]
(22737,9628,1,1,2,20741.805044),-- [renad]
(22737,9630,1,1,2,13918.775426),-- [oricalcum]
(22737,9629,1,1,2,11498.373482),-- [adamantium]
(22737,9573,1,1,2,18365.33054),-- [general_80_s]
(22737,9574,1,1,2,4591.149604),-- [special_80_s]
(22737,9575,1,1,2,459.041748),-- [rare_80_s]
(22737,6901,1,1,2,2644.79795),-- [rp_shining_arrow]
(22738,9622,1,1,-1,4976),-- [dynasty_hammer_piece]
(22738,5272,1,1,-1,4109),-- [rp_adv_comp_soulshot_s]
(22738,9545,1,1,-1,39622),-- [sealed_dynasty_shield_piece]
(22738,57,2243,4585,0,700000),-- [adena]
(22738,10216,1,1,1,2.935042),-- [icarus_disperser]
(22738,10398,1,1,1,976.064958),-- [icarus_disperser_piece]
(22738,1895,1,1,2,162641.29992),-- [metallic_fiber]
(22738,4040,1,1,2,11384.80134),-- [mold_lubricant]
(22738,9628,1,1,2,4464.60234),-- [renad]
(22738,9630,1,1,2,2995.9512),-- [oricalcum]
(22738,9573,1,1,2,3953.01192),-- [general_80_s]
(22738,9574,1,1,2,988.25298),-- [special_80_s]
(22738,9575,1,1,2,98.80662),-- [rare_80_s]
(22738,5157,1,1,2,253.27368),-- [rp_comp_soulshot_s]
(22739,5277,1,1,-1,38839),-- [rp_adv_comp_spiritshot_s]
(22739,10398,1,1,-1,37466),-- [icarus_disperser_piece]
(22739,9619,1,1,-1,48916),-- [dynasty_bow_piece]
(22739,57,21208,43344,0,700000),-- [adena]
(22739,10219,1,1,1,27.745589),-- [icarus_trident]
(22739,10401,1,1,1,9199.254411),-- [icarus_trident_piece]
(22739,1879,3,9,2,132865.702196),-- [cokes]
(22739,1885,2,6,2,99649.456886),-- [high_grade_suede]
(22739,9628,1,1,2,37514.94546),-- [renad]
(22739,9630,1,1,2,25174.702086),-- [oricalcum]
(22739,9629,1,1,2,20796.336298),-- [adamantium]
(22739,9573,1,1,2,33216.605788),-- [general_80_s]
(22739,9574,1,1,2,8303.971208),-- [special_80_s]
(22739,9575,1,1,2,830.541312),-- [rare_80_s]
(22739,5162,1,1,2,2125.738766),-- [rp_comp_spiritshot_s]
(22740,10401,1,1,-1,39326),-- [icarus_trident_piece]
(22740,9620,1,1,-1,51123),-- [dynasty_dagger_piece]
(22740,5282,1,1,-1,40899),-- [rp_adv_comp_bspiritshot_s]
(22740,57,22332,45642,0,700000),-- [adena]
(22740,9514,1,1,1,61.932728),-- [sealed_dynasty_blast_plate]
(22740,9515,1,1,1,99.053084),-- [sealed_dynasty_gaiter]
(22740,9530,1,1,1,16500.292848),-- [sealed_dynasty_blast_plate_piece]
(22740,9531,1,1,1,48806.72134),-- [sealed_dynasty_gaiter_piece]
(22740,1879,2,6,2,188878.806368),-- [cokes]
(22740,1885,3,9,2,62959.444174),-- [high_grade_suede]
(22740,9628,1,1,2,35553.613072),-- [renad]
(22740,9630,1,1,2,23858.1461),-- [oricalcum]
(22740,9629,1,1,2,19709.150524),-- [adamantium]
(22740,9573,1,1,2,31479.95901),-- [general_80_s]
(22740,9574,1,1,2,7870.108214),-- [special_80_s]
(22740,9575,1,1,2,787.058206),-- [rare_80_s]
(22740,5167,1,1,2,2014.793192),-- [rp_comp_bspiritshot_s]
(22740,1345,300,900,2,100734.92114),-- [shining_arrow]
(22741,9991,1,1,-1,6526),-- [sealed_dynasty_earring_gem]
(22741,1808,1,1,-1,1237),-- [rp_soulshot_s]
(22741,9630,1,1,-1,14650),-- [oricalcum]
(22741,57,682,1375,0,700000),-- [adena]
(22741,9519,1,1,1,2.497482),-- [sealed_dynasty_leather_mail]
(22741,9520,1,1,1,3.995667),-- [sealed_dynasty_leather_legging]
(22741,9535,1,1,1,613.174419),-- [sealed_dynasty_leather_mail_piece]
(22741,9536,1,1,1,901.332432),-- [sealed_dynasty_leather_legging_piece]
(22741,1879,1,1,2,25391.65713),-- [cokes]
(22741,1885,1,1,2,12695.807502),-- [high_grade_suede]
(22741,9628,1,1,2,1194.90399),-- [renad]
(22741,9630,1,1,2,801.826284),-- [oricalcum]
(22741,9629,1,1,2,662.389224),-- [adamantium]
(22741,9573,1,1,2,1057.99449),-- [general_80_s]
(22741,9574,1,1,2,264.509154),-- [special_80_s]
(22741,9575,1,1,2,26.455128),-- [rare_80_s]
(22741,9625,1,1,2,30.457098),-- [codex_of_giant_forgetting]
(22742,9536,1,1,-1,4245),-- [sealed_dynasty_leather_legging_piece]
(22742,9531,1,1,-1,6954),-- [sealed_dynasty_gaiter_piece]
(22742,960,1,1,-1,646),-- [scrl_of_ench_am_s]
(22742,57,395,797,0,700000),-- [adena]
(22742,9448,1,1,1,0.177171),-- [dynasty_hammer]
(22742,9449,1,1,1,0.177171),-- [dynasty_staff]
(22742,10252,1,1,1,0.177171),-- [dynasty_twohand_staff]
(22742,10253,1,1,1,0.177171),-- [dynasty_crusher]
(22742,9622,1,1,1,53.597403),-- [dynasty_hammer_piece]
(22742,9623,1,1,1,53.597403),-- [dynasty_staff_piece]
(22742,10546,1,1,1,55.548474),-- [dynasty_twohand_staff_piece]
(22742,10547,1,1,1,55.548036),-- [dynasty_crusher_piece]
(22742,1879,1,1,2,14725.65584),-- [cokes]
(22742,1885,1,1,2,7362.840128),-- [high_grade_suede]
(22742,9628,1,1,2,692.974912),-- [renad]
(22742,9630,1,1,2,465.027136),-- [oricalcum]
(22742,9629,1,1,2,384.136928),-- [adamantium]
(22742,9573,1,1,2,613.57408),-- [general_80_s]
(22742,9574,1,1,2,153.381312),-- [special_80_s]
(22742,9575,1,1,2,15.333248),-- [rare_80_s]
(22742,9576,1,1,2,3.076416),-- [unique_80_s]
(22743,9531,1,1,-1,6954),-- [sealed_dynasty_gaiter_piece]
(22743,959,1,1,-1,65),-- [scrl_of_ench_wp_s]
(22743,1875,1,1,-1,107617),-- [stone_of_purity]
(22743,57,395,797,0,700000),-- [adena]
(22743,9445,1,1,1,0.706464),-- [dynasty_bow]
(22743,9619,1,1,1,222.293536),-- [dynasty_bow_piece]
(22743,1879,1,1,2,14725.65584),-- [cokes]
(22743,1885,1,1,2,7362.840128),-- [high_grade_suede]
(22743,9628,1,1,2,692.974912),-- [renad]
(22743,9630,1,1,2,465.027136),-- [oricalcum]
(22743,9629,1,1,2,384.136928),-- [adamantium]
(22743,9573,1,1,2,613.57408),-- [general_80_s]
(22743,9574,1,1,2,153.381312),-- [special_80_s]
(22743,9575,1,1,2,15.333248),-- [rare_80_s]
(22743,9576,1,1,2,3.076416),-- [unique_80_s]
(22744,6901,1,1,-1,1614),-- [rp_shining_arrow]
(22744,9630,1,1,-1,8496),-- [oricalcum]
(22744,960,1,1,-1,646),-- [scrl_of_ench_am_s]
(22744,57,395,797,0,700000),-- [adena]
(22744,9448,1,1,1,0.177171),-- [dynasty_hammer]
(22744,9449,1,1,1,0.177171),-- [dynasty_staff]
(22744,10252,1,1,1,0.177171),-- [dynasty_twohand_staff]
(22744,10253,1,1,1,0.177171),-- [dynasty_crusher]
(22744,9622,1,1,1,53.597403),-- [dynasty_hammer_piece]
(22744,9623,1,1,1,53.597403),-- [dynasty_staff_piece]
(22744,10546,1,1,1,55.548474),-- [dynasty_twohand_staff_piece]
(22744,10547,1,1,1,55.548036),-- [dynasty_crusher_piece]
(22744,1879,1,1,2,14725.65584),-- [cokes]
(22744,1885,1,1,2,7362.840128),-- [high_grade_suede]
(22744,9628,1,1,2,692.974912),-- [renad]
(22744,9630,1,1,2,465.027136),-- [oricalcum]
(22744,9629,1,1,2,384.136928),-- [adamantium]
(22744,9573,1,1,2,613.57408),-- [general_80_s]
(22744,9574,1,1,2,153.381312),-- [special_80_s]
(22744,9575,1,1,2,15.333248),-- [rare_80_s]
(22744,9576,1,1,2,3.076416),-- [unique_80_s]
(22745,9628,1,1,-1,12661),-- [renad]
(22745,959,1,1,-1,65),-- [scrl_of_ench_wp_s]
(22745,9630,1,1,-1,8496),-- [oricalcum]
(22745,57,395,797,0,700000),-- [adena]
(22745,9445,1,1,1,0.706464),-- [dynasty_bow]
(22745,9619,1,1,1,222.293536),-- [dynasty_bow_piece]
(22745,1879,1,1,2,14725.65584),-- [cokes]
(22745,1885,1,1,2,7362.840128),-- [high_grade_suede]
(22745,9628,1,1,2,692.974912),-- [renad]
(22745,9630,1,1,2,465.027136),-- [oricalcum]
(22745,9629,1,1,2,384.136928),-- [adamantium]
(22745,9573,1,1,2,613.57408),-- [general_80_s]
(22745,9574,1,1,2,153.381312),-- [special_80_s]
(22745,9575,1,1,2,15.333248),-- [rare_80_s]
(22745,9576,1,1,2,3.076416),-- [unique_80_s]
(22746,15663,1,1,-1,146185),-- [sealed_vesper_cuirass_piece]
(22746,15666,1,1,-1,235474),-- [sealed_vesper_gaiter_piece]
(22746,959,1,1,-1,3231),-- [scrl_of_ench_wp_s]
(22746,9628,1,1,-1,633470),-- [renad]
(22746,15795,1,1,-1,17307),-- [rp_sealed_vesper_cuirass_i]
(22746,15798,1,1,-1,27690),-- [rp_sealed_vesper_gaiter_i]
(22746,57,38976,80332,0,700000),-- [adena]
(22746,14105,1,1,1,85.255525),-- [sealed_vesper_cuirass]
(22746,15663,1,1,1,35998.085625),-- [sealed_vesper_cuirass_piece]
(22746,14108,1,1,1,136.40884),-- [sealed_vesper_gaiter]
(22746,15666,1,1,1,57985.25001),-- [sealed_vesper_gaiter_piece]
(22746,1879,14,42,2,47365.443484),-- [cokes]
(22746,1885,3,9,2,110519.0993),-- [high_grade_suede]
(22746,9628,1,1,2,62410.880368),-- [renad]
(22746,9630,1,1,2,41880.92184),-- [oricalcum]
(22746,9629,1,1,2,34597.528712),-- [adamantium]
(22746,14166,1,1,2,38441.653764),-- [general_84_s]
(22746,14167,1,1,2,9598.820176),-- [special_84_s]
(22746,14168,1,1,2,959.72072),-- [rare_84_s]
(22746,15486,1,1,2,35366.111776),-- [a_broken_piece_of_soul_stone]
(22746,1345,2400,7200,2,22103.81986),-- [shining_arrow]
(22747,15664,1,1,-1,229943),-- [sealed_vesper_houberk_piece]
(22747,15670,1,1,-1,354373),-- [sealed_vesper_leather_legging_piece]
(22747,9630,1,1,-1,510110),-- [oricalcum]
(22747,15796,1,1,-1,27692),-- [rp_sealed_vesper_houberk_i]
(22747,15799,1,1,-1,44305),-- [rp_sealed_vesper_leather_legging_i]
(22747,57,38976,80332,0,700000),-- [adena]
(22747,14106,1,1,1,113.677036),-- [sealed_vesper_houberk]
(22747,14112,1,1,1,181.811158),-- [sealed_vesper_leather_legging]
(22747,15664,1,1,1,47172.124628),-- [sealed_vesper_houberk_piece]
(22747,15670,1,1,1,72698.387178),-- [sealed_vesper_leather_legging_piece]
(22747,1879,15,45,2,49119.635859),-- [cokes]
(22747,1885,2,6,2,184198.995507),-- [high_grade_suede]
(22747,9628,1,1,2,69345.339955),-- [renad]
(22747,9630,1,1,2,46534.619889),-- [oricalcum]
(22747,9629,1,1,2,38441.642517),-- [adamantium]
(22747,14166,1,1,2,42712.93613),-- [general_84_s]
(22747,14167,1,1,2,10665.477436),-- [special_84_s]
(22747,14168,1,1,2,1066.740296),-- [rare_84_s]
(22747,15486,1,1,2,39295.612411),-- [a_broken_piece_of_soul_stone]
(22748,15665,1,1,-1,229983),-- [sealed_vesper_jaket_piece]
(22748,15673,1,1,-1,354435),-- [sealed_vesper_hose_piece]
(22748,9630,1,1,-1,510199),-- [oricalcum]
(22748,15797,1,1,-1,27697),-- [rp_sealed_vesper_jaket_i]
(22748,15800,1,1,-1,44312),-- [rp_sealed_vesper_hose_i]
(22748,57,38982,80346,0,700000),-- [adena]
(22748,14107,1,1,1,113.696902),-- [sealed_vesper_jaket]
(22748,14115,1,1,1,181.842931),-- [sealed_vesper_hose]
(22748,15665,1,1,1,47180.368346),-- [sealed_vesper_jaket_piece]
(22748,15673,1,1,1,72711.091821),-- [sealed_vesper_hose_piece]
(22748,1879,14,42,2,43067.01392),-- [cokes]
(22748,1885,3,9,2,100489.82146),-- [high_grade_suede]
(22748,9628,1,1,2,56747.271),-- [renad]
(22748,9630,1,1,2,38080.29932),-- [oricalcum]
(22748,9629,1,1,2,31457.7662),-- [adamantium]
(22748,14166,1,1,2,34952.8697),-- [general_84_s]
(22748,14167,1,1,2,8727.6679),-- [special_84_s]
(22748,14168,1,1,2,872.95026),-- [rare_84_s]
(22748,959,1,1,2,289.51566),-- [scrl_of_ench_wp_s]
(22748,15486,1,1,2,32156.7869),-- [a_broken_piece_of_soul_stone]
(22748,1345,2400,7200,2,20098.03768),-- [shining_arrow]
(22749,15667,1,1,-1,287295),-- [sealed_vesper_gauntlet_piece]
(22749,15671,1,1,-1,287295),-- [sealed_vesper_leather_gloves_piece]
(22749,15674,1,1,-1,287295),-- [sealed_vesper_gloves_piece]
(22749,15668,1,1,-1,287295),-- [sealed_vesper_boots_piece]
(22749,15672,1,1,-1,287295),-- [sealed_vesper_leather_boots_piece]
(22749,15675,1,1,-1,287295),-- [sealed_vesper_shoes_piece]
(22749,9628,1,1,-1,294054),-- [renad]
(22749,15801,1,1,-1,32135),-- [rp_sealed_vesper_gauntlet_i]
(22749,15802,1,1,-1,32135),-- [rp_sealed_vesper_leather_gloves_i]
(22749,15803,1,1,-1,32135),-- [rp_sealed_vesper_gloves_i]
(22749,15804,1,1,-1,32135),-- [rp_sealed_vesper_boots_i]
(22749,15805,1,1,-1,32135),-- [rp_sealed_vesper_leather_boots_i]
(22749,15806,1,1,-1,32135),-- [rp_sealed_vesper_shoes_i]
(22749,57,39200,80795,0,700000),-- [adena]
(22749,14109,1,1,1,114.328248),-- [sealed_vesper_gauntlet]
(22749,14113,1,1,1,114.328248),-- [sealed_vesper_leather_gloves]
(22749,14116,1,1,1,114.328248),-- [sealed_vesper_gloves]
(22749,14110,1,1,1,114.328248),-- [sealed_vesper_boots]
(22749,14114,1,1,1,114.328248),-- [sealed_vesper_leather_boots]
(22749,14117,1,1,1,114.328248),-- [sealed_vesper_shoes]
(22749,15667,1,1,1,51108.10753),-- [sealed_vesper_gauntlet_piece]
(22749,15671,1,1,1,51108.10753),-- [sealed_vesper_leather_gloves_piece]
(22749,15674,1,1,1,51108.10753),-- [sealed_vesper_gloves_piece]
(22749,15668,1,1,1,51108.10753),-- [sealed_vesper_boots_piece]
(22749,15672,1,1,1,51108.10753),-- [sealed_vesper_leather_boots_piece]
(22749,15675,1,1,1,51107.492862),-- [sealed_vesper_shoes_piece]
(22749,1879,15,45,2,44462.22471),-- [cokes]
(22749,1885,2,6,2,166733.671866),-- [high_grade_suede]
(22749,9628,1,1,2,62770.32869),-- [renad]
(22749,9630,1,1,2,42122.246232),-- [oricalcum]
(22749,9629,1,1,2,34796.371012),-- [adamantium]
(22749,14166,1,1,2,38662.975854),-- [general_84_s]
(22749,14167,1,1,2,9654.002372),-- [special_84_s]
(22749,14168,1,1,2,965.224662),-- [rare_84_s]
(22749,960,1,1,2,3201.174834),-- [scrl_of_ench_am_s]
(22749,15486,1,1,2,35569.779768),-- [a_broken_piece_of_soul_stone]
(22750,15634,1,1,-1,87220),-- [vesper_cutter_piece]
(22750,15635,1,1,-1,87064),-- [vesper_slasher_piece]
(22750,15636,1,1,-1,87220),-- [vesper_burster_piece]
(22750,9630,1,1,-1,772812),-- [oricalcum]
(22750,15815,1,1,-1,10243),-- [rp_vesper_cutter_i]
(22750,15816,1,1,-1,10243),-- [rp_vesper_slasher_i]
(22750,15817,1,1,-1,10243),-- [rp_vesper_burster_i]
(22750,57,82667,170383,0,700000),-- [adena]
(22750,13457,1,1,1,39.243888),-- [vesper_cutter]
(22750,13458,1,1,1,39.243888),-- [vesper_slasher]
(22750,13459,1,1,1,39.243888),-- [vesper_burster]
(22750,15634,1,1,1,16698.675816),-- [vesper_cutter_piece]
(22750,15635,1,1,1,16668.966888),-- [vesper_slasher_piece]
(22750,15636,1,1,1,16698.625632),-- [vesper_burster_piece]
(22750,1895,72,216,2,30442.803253),-- [metallic_fiber]
(22750,4040,2,6,2,61372.293912),-- [mold_lubricant]
(22750,9628,1,1,2,120338.291207),-- [renad]
(22750,9630,1,1,2,80753.308836),-- [oricalcum]
(22750,16160,1,1,2,74121.387917),-- [general_85_s]
(22750,16161,1,1,2,18507.921638),-- [special_85_s]
(22750,9554,1,1,2,3068.706697),-- [high_ore_of_earth]
(22750,15815,1,1,2,1070.436289),-- [rp_vesper_cutter_i]
(22750,15816,1,1,2,1070.436289),-- [rp_vesper_slasher_i]
(22750,15817,1,1,2,1070.436289),-- [rp_vesper_burster_i]
(22750,15486,1,1,2,68190.977673),-- [a_broken_piece_of_soul_stone]
(22751,15640,1,1,-1,75665),-- [vesper_avenger_piece]
(22751,15641,1,1,-1,76544),-- [vesper_retributer_piece]
(22751,15642,1,1,-1,75665),-- [vesper_caster_piece]
(22751,15643,1,1,-1,75867),-- [vesper_singer_piece]
(22751,15821,1,1,-1,8962),-- [rp_vesper_avenger_i]
(22751,15822,1,1,-1,8962),-- [rp_vesper_retributer_i]
(22751,15823,1,1,-1,8962),-- [rp_vesper_caster_i]
(22751,15824,1,1,-1,8962),-- [rp_vesper_singer_i]
(22751,57,82667,170383,0,700000),-- [adena]
(22751,13463,1,1,1,29.432919),-- [vesper_avenger]
(22751,13464,1,1,1,29.432919),-- [vesper_retributer]
(22751,13465,1,1,1,29.432919),-- [vesper_caster]
(22751,13466,1,1,1,29.432919),-- [vesper_singer]
(22751,15640,1,1,1,12418.992804),-- [vesper_avenger_piece]
(22751,15641,1,1,1,12563.309052),-- [vesper_retributer_piece]
(22751,15642,1,1,1,12418.992804),-- [vesper_caster_piece]
(22751,15643,1,1,1,12451.973664),-- [vesper_singer_piece]
(22751,1895,72,216,2,27905.928425),-- [metallic_fiber]
(22751,4040,2,6,2,56258.605299),-- [mold_lubricant]
(22751,9628,1,1,2,110310.518401),-- [renad]
(22751,9630,1,1,2,74024.14698),-- [oricalcum]
(22751,16160,1,1,2,67945.071349),-- [general_85_s]
(22751,16161,1,1,2,16965.874637),-- [special_85_s]
(22751,9554,1,1,2,2812.782335),-- [high_ore_of_earth]
(22751,15821,1,1,2,980.986897),-- [rp_vesper_avenger_i]
(22751,15822,1,1,2,980.986897),-- [rp_vesper_retributer_i]
(22751,15823,1,1,2,980.986897),-- [rp_vesper_caster_i]
(22751,15824,1,1,2,980.986897),-- [rp_vesper_singer_i]
(22751,15486,1,1,2,62510.124986),-- [a_broken_piece_of_soul_stone]
(22752,15638,1,1,-1,151155),-- [vesper_fighter_piece]
(22752,959,1,1,-1,10266),-- [scrl_of_ench_wp_s]
(22752,9628,1,5,-1,671007),-- [renad]
(22752,15819,1,1,-1,17904),-- [rp_vesper_fighter_i]
(22752,57,82570,170185,0,700000),-- [adena]
(22752,13461,1,1,1,117.594695),-- [vesper_fighter]
(22752,15638,1,1,1,49647.405305),-- [vesper_fighter_piece]
(22752,1895,72,216,2,37164.530524),-- [metallic_fiber]
(22752,4040,2,6,2,74923.627714),-- [mold_lubricant]
(22752,9628,3,9,2,20986.947488),-- [renad]
(22752,9630,1,1,2,98583.743468),-- [oricalcum]
(22752,16160,1,1,2,90487.590236),-- [general_85_s]
(22752,16161,1,1,2,22594.399392),-- [special_85_s]
(22752,9554,1,1,2,3746.246342),-- [high_ore_of_earth]
(22752,15819,1,1,2,1306.487714),-- [rp_vesper_fighter_i]
(22752,15486,1,1,2,83248.427122),-- [a_broken_piece_of_soul_stone]
(22753,15644,1,1,-1,204362),-- [vesper_thrower_piece]
(22753,959,1,1,-1,13705),-- [scrl_of_ench_wp_s]
(22753,15825,1,1,-1,23899),-- [rp_vesper_thrower_i]
(22753,57,82667,170383,0,700000),-- [adena]
(22753,13467,1,1,1,117.730179),-- [vesper_thrower]
(22753,15644,1,1,1,50345.269821);-- [vesper_thrower_piece]

INSERT INTO `droplist` VALUES
(22753,1895,72,216,2,41858.896491),-- [metallic_fiber]
(22753,4040,2,6,2,84387.469567),-- [mold_lubricant]
(22753,9628,3,9,2,23637.891127),-- [renad]
(22753,9630,1,1,2,111035.76244),-- [oricalcum]
(22753,16160,1,1,2,101917.039901),-- [general_85_s]
(22753,16161,1,1,2,25448.677272),-- [special_85_s]
(22753,15825,1,1,2,1471.837924),-- [rp_vesper_thrower_i]
(22753,15486,1,1,2,93763.425278),-- [a_broken_piece_of_soul_stone]
(22754,15667,1,1,-1,309454),-- [sealed_vesper_gauntlet_piece]
(22754,15671,1,1,-1,309454),-- [sealed_vesper_leather_gloves_piece]
(22754,15674,1,1,-1,309454),-- [sealed_vesper_gloves_piece]
(22754,15668,1,1,-1,309454),-- [sealed_vesper_boots_piece]
(22754,15672,1,1,-1,309454),-- [sealed_vesper_leather_boots_piece]
(22754,15675,1,1,-1,309454),-- [sealed_vesper_shoes_piece]
(22754,15801,1,1,-1,34614),-- [rp_sealed_vesper_gauntlet_i]
(22754,15802,1,1,-1,34614),-- [rp_sealed_vesper_leather_gloves_i]
(22754,15803,1,1,-1,34614),-- [rp_sealed_vesper_gloves_i]
(22754,15804,1,1,-1,34614),-- [rp_sealed_vesper_boots_i]
(22754,15805,1,1,-1,34614),-- [rp_sealed_vesper_leather_boots_i]
(22754,15806,1,1,-1,34614),-- [rp_sealed_vesper_shoes_i]
(22754,57,38976,80332,0,700000),-- [adena]
(22754,14109,1,1,1,113.673528),-- [sealed_vesper_gauntlet]
(22754,14113,1,1,1,113.673528),-- [sealed_vesper_leather_gloves]
(22754,14116,1,1,1,113.673528),-- [sealed_vesper_gloves]
(22754,14110,1,1,1,113.673528),-- [sealed_vesper_boots]
(22754,14114,1,1,1,113.673528),-- [sealed_vesper_leather_boots]
(22754,14117,1,1,1,113.673528),-- [sealed_vesper_shoes]
(22754,15667,1,1,1,50815.42833),-- [sealed_vesper_gauntlet_piece]
(22754,15671,1,1,1,50815.42833),-- [sealed_vesper_leather_gloves_piece]
(22754,15674,1,1,1,50815.42833),-- [sealed_vesper_gloves_piece]
(22754,15668,1,1,1,50815.42833),-- [sealed_vesper_boots_piece]
(22754,15672,1,1,1,50815.42833),-- [sealed_vesper_leather_boots_piece]
(22754,15675,1,1,1,50814.817182),-- [sealed_vesper_shoes_piece]
(22754,1879,14,42,2,47365.443484),-- [cokes]
(22754,1885,3,9,2,110519.0993),-- [high_grade_suede]
(22754,9628,1,1,2,62410.880368),-- [renad]
(22754,9630,1,1,2,41880.92184),-- [oricalcum]
(22754,9629,1,1,2,34597.528712),-- [adamantium]
(22754,14166,1,1,2,38441.653764),-- [general_84_s]
(22754,14167,1,1,2,9598.820176),-- [special_84_s]
(22754,14168,1,1,2,959.72072),-- [rare_84_s]
(22754,15486,1,1,2,35366.111776),-- [a_broken_piece_of_soul_stone]
(22754,1345,2400,7200,2,22103.81986),-- [shining_arrow]
(22755,15660,1,1,-1,222296),-- [sealed_vesper_helmet_piece]
(22755,15661,1,1,-1,222296),-- [sealed_vesper_leather_helmet_piece]
(22755,15662,1,1,-1,222296),-- [sealed_vesper_circlet_piece]
(22755,15669,1,1,-1,328546),-- [sealed_vesper_verteidiger_piece]
(22755,15691,1,1,-1,328546),-- [sealed_vesper_sigil_piece]
(22755,15792,1,1,-1,27692),-- [rp_sealed_vesper_helmet_i]
(22755,15793,1,1,-1,27692),-- [rp_sealed_vesper_leather_helmet_i]
(22755,15794,1,1,-1,27692),-- [rp_sealed_vesper_circlet_i]
(22755,15808,1,1,-1,39560),-- [rp_sealed_vesper_verteidiger_i]
(22755,15807,1,1,-1,39560),-- [rp_sealed_vesper_sigil_i]
(22755,57,38976,80332,0,700000),-- [adena]
(22755,13143,1,1,1,90.941445),-- [sealed_vesper_helmet]
(22755,13144,1,1,1,90.941445),-- [sealed_vesper_leather_helmet]
(22755,13145,1,1,1,90.941445),-- [sealed_vesper_circlet]
(22755,14111,1,1,1,129.97866),-- [sealed_vesper_verteidiger]
(22755,13887,1,1,1,129.97866),-- [sealed_vesper_sigil]
(22755,15660,1,1,1,36526.838565),-- [sealed_vesper_helmet_piece]
(22755,15661,1,1,1,36526.838565),-- [sealed_vesper_leather_helmet_piece]
(22755,15662,1,1,1,36526.838565),-- [sealed_vesper_circlet_piece]
(22755,15669,1,1,1,53985.63324),-- [sealed_vesper_verteidiger_piece]
(22755,15691,1,1,1,53986.06941),-- [sealed_vesper_sigil_piece]
(22755,1879,15,45,2,49119.635859),-- [cokes]
(22755,1885,2,6,2,184198.995507),-- [high_grade_suede]
(22755,9628,1,1,2,69345.339955),-- [renad]
(22755,9630,1,1,2,46534.619889),-- [oricalcum]
(22755,9629,1,1,2,38441.642517),-- [adamantium]
(22755,14166,1,1,2,42712.93613),-- [general_84_s]
(22755,14167,1,1,2,10665.477436),-- [special_84_s]
(22755,14168,1,1,2,1066.740296),-- [rare_84_s]
(22755,15486,1,1,2,39295.612411),-- [a_broken_piece_of_soul_stone]
(22756,15770,1,1,-1,435480),-- [sealed_vesper_earring_gem]
(22756,15771,1,1,-1,313309),-- [sealed_vesper_necklace_gem]
(22756,15769,1,1,-1,725040),-- [sealed_vesper_ring_gem]
(22756,9630,1,1,-1,364428),-- [oricalcum]
(22756,15810,1,1,-1,60770),-- [rp_sealed_vesper_earring_i]
(22756,15811,1,1,-1,45577),-- [rp_sealed_vesper_necklace_i]
(22756,15809,1,1,-1,91155),-- [rp_sealed_vesper_ring_i]
(22756,57,38982,80346,0,700000),-- [adena]
(22756,14160,1,1,1,232.83561),-- [sealed_vesper_earring]
(22756,14161,1,1,1,174.768335),-- [sealed_vesper_necklace]
(22756,14162,1,1,1,349.53667),-- [sealed_vesper_ring]
(22756,15770,1,1,1,83470.999675),-- [sealed_vesper_earring_gem]
(22756,15771,1,1,1,60054.02557),-- [sealed_vesper_necklace_gem]
(22756,15769,1,1,1,138972.83414),-- [sealed_vesper_ring_gem]
(22756,1879,14,42,2,33838.344612),-- [cokes]
(22756,1885,3,9,2,78955.999074),-- [high_grade_suede]
(22756,9628,1,1,2,44586.790164),-- [renad]
(22756,9630,1,1,2,29920.159332),-- [oricalcum]
(22756,9629,1,1,2,24716.527038),-- [adamantium]
(22756,14166,1,1,2,27462.992292),-- [general_84_s]
(22756,14167,1,1,2,6857.654364),-- [special_84_s]
(22756,14168,1,1,2,685.682424),-- [rare_84_s]
(22756,959,1,1,2,227.453976),-- [scrl_of_ench_wp_s]
(22756,15809,1,1,2,7483.982922),-- [rp_sealed_vesper_ring_i]
(22756,15810,1,1,2,4989.460302),-- [rp_sealed_vesper_earring_i]
(22756,15811,1,1,2,3741.78393),-- [rp_sealed_vesper_necklace_i]
(22756,15486,1,1,2,25266.069126),-- [a_broken_piece_of_soul_stone]
(22756,1345,300,900,2,126329.100444),-- [shining_arrow]
(22757,15637,1,1,-1,203512),-- [vesper_shaper_piece]
(22757,9630,1,3,-1,901613),-- [oricalcum]
(22757,15818,1,1,-1,23899),-- [rp_vesper_shaper_i]
(22757,57,82667,170383,0,700000),-- [adena]
(22757,13460,1,1,1,117.731064),-- [vesper_shaper]
(22757,15637,1,1,1,50130.268936),-- [vesper_shaper_piece]
(22757,1895,72,216,2,37207.870634),-- [metallic_fiber]
(22757,4040,2,6,2,75011.001299),-- [mold_lubricant]
(22757,9628,3,9,2,21011.421808),-- [renad]
(22757,9630,1,1,2,98698.708738),-- [oricalcum]
(22757,16160,1,1,2,90593.114026),-- [general_85_s]
(22757,16161,1,1,2,22620.748272),-- [special_85_s]
(22757,9554,1,1,2,3750.615097),-- [high_ore_of_earth]
(22757,15818,1,1,2,1308.011299),-- [rp_vesper_shaper_i]
(22757,15486,1,1,2,83345.508827),-- [a_broken_piece_of_soul_stone]
(22758,15639,1,1,-1,203881),-- [vesper_stormer_piece]
(22758,9630,1,3,-1,900563),-- [oricalcum]
(22758,15820,1,1,-1,23872),-- [rp_vesper_stormer_i]
(22758,57,82570,170185,0,700000),-- [adena]
(22758,13462,1,1,1,117.59424),-- [vesper_stormer]
(22758,15639,1,1,1,50222.40576),-- [vesper_stormer_piece]
(22758,1895,72,216,2,37164.530524),-- [metallic_fiber]
(22758,4040,2,6,2,74923.627714),-- [mold_lubricant]
(22758,9628,3,9,2,20986.947488),-- [renad]
(22758,9630,1,1,2,98583.743468),-- [oricalcum]
(22758,16160,1,1,2,90487.590236),-- [general_85_s]
(22758,16161,1,1,2,22594.399392),-- [special_85_s]
(22758,9554,1,1,2,3746.246342),-- [high_ore_of_earth]
(22758,15820,1,1,2,1306.487714),-- [rp_vesper_stormer_i]
(22758,15486,1,1,2,83248.427122),-- [a_broken_piece_of_soul_stone]
(22759,15638,1,1,-1,201775),-- [vesper_fighter_piece]
(22759,1894,1,25,-1,924732),-- [crafted_leather]
(22759,15819,1,1,-1,23899),-- [rp_vesper_fighter_i]
(22759,57,82667,170383,0,700000),-- [adena]
(22759,13461,1,1,1,117.731749),-- [vesper_fighter]
(22759,15638,1,1,1,49705.268251),-- [vesper_fighter_piece]
(22759,1895,72,216,2,37207.870634),-- [metallic_fiber]
(22759,4040,2,6,2,75011.001299),-- [mold_lubricant]
(22759,9628,3,9,2,21011.421808),-- [renad]
(22759,9630,1,1,2,98698.708738),-- [oricalcum]
(22759,16160,1,1,2,90593.114026),-- [general_85_s]
(22759,16161,1,1,2,22620.748272),-- [special_85_s]
(22759,9554,1,1,2,3750.615097),-- [high_ore_of_earth]
(22759,15819,1,1,2,1308.011299),-- [rp_vesper_fighter_i]
(22759,15486,1,1,2,83345.508827),-- [a_broken_piece_of_soul_stone]
(22760,15667,1,1,-1,309454),-- [sealed_vesper_gauntlet_piece]
(22760,15671,1,1,-1,309454),-- [sealed_vesper_leather_gloves_piece]
(22760,15674,1,1,-1,309454),-- [sealed_vesper_gloves_piece]
(22760,15668,1,1,-1,309454),-- [sealed_vesper_boots_piece]
(22760,15672,1,1,-1,309454),-- [sealed_vesper_leather_boots_piece]
(22760,15675,1,1,-1,309454),-- [sealed_vesper_shoes_piece]
(22760,15801,1,1,-1,34614),-- [rp_sealed_vesper_gauntlet_i]
(22760,15802,1,1,-1,34614),-- [rp_sealed_vesper_leather_gloves_i]
(22760,15803,1,1,-1,34614),-- [rp_sealed_vesper_gloves_i]
(22760,15804,1,1,-1,34614),-- [rp_sealed_vesper_boots_i]
(22760,15805,1,1,-1,34614),-- [rp_sealed_vesper_leather_boots_i]
(22760,15806,1,1,-1,34614),-- [rp_sealed_vesper_shoes_i]
(22760,57,38976,80332,0,700000),-- [adena]
(22760,14109,1,1,1,113.673528),-- [sealed_vesper_gauntlet]
(22760,14113,1,1,1,113.673528),-- [sealed_vesper_leather_gloves]
(22760,14116,1,1,1,113.673528),-- [sealed_vesper_gloves]
(22760,14110,1,1,1,113.673528),-- [sealed_vesper_boots]
(22760,14114,1,1,1,113.673528),-- [sealed_vesper_leather_boots]
(22760,14117,1,1,1,113.673528),-- [sealed_vesper_shoes]
(22760,15667,1,1,1,50815.42833),-- [sealed_vesper_gauntlet_piece]
(22760,15671,1,1,1,50815.42833),-- [sealed_vesper_leather_gloves_piece]
(22760,15674,1,1,1,50815.42833),-- [sealed_vesper_gloves_piece]
(22760,15668,1,1,1,50815.42833),-- [sealed_vesper_boots_piece]
(22760,15672,1,1,1,50815.42833),-- [sealed_vesper_leather_boots_piece]
(22760,15675,1,1,1,50814.817182),-- [sealed_vesper_shoes_piece]
(22760,1879,15,45,2,44207.670375),-- [cokes]
(22760,1885,2,6,2,165779.091225),-- [high_grade_suede]
(22760,9628,1,1,2,62410.957125),-- [renad]
(22760,9630,1,1,2,41881.0887),-- [oricalcum]
(22760,9629,1,1,2,34597.15545),-- [adamantium]
(22760,14166,1,1,2,38441.623275),-- [general_84_s]
(22760,14167,1,1,2,9598.73145),-- [special_84_s]
(22760,14168,1,1,2,959.698575),-- [rare_84_s]
(22760,960,1,1,2,3182.847525),-- [scrl_of_ench_am_s]
(22760,15486,1,1,2,35366.1363),-- [a_broken_piece_of_soul_stone]
(22761,15660,1,1,-1,222296),-- [sealed_vesper_helmet_piece]
(22761,15661,1,1,-1,222296),-- [sealed_vesper_leather_helmet_piece]
(22761,15662,1,1,-1,222296),-- [sealed_vesper_circlet_piece]
(22761,15669,1,1,-1,328546),-- [sealed_vesper_verteidiger_piece]
(22761,15691,1,1,-1,328546),-- [sealed_vesper_sigil_piece]
(22761,15792,1,1,-1,27692),-- [rp_sealed_vesper_helmet_i]
(22761,15793,1,1,-1,27692),-- [rp_sealed_vesper_leather_helmet_i]
(22761,15794,1,1,-1,27692),-- [rp_sealed_vesper_circlet_i]
(22761,15808,1,1,-1,39560),-- [rp_sealed_vesper_verteidiger_i]
(22761,15807,1,1,-1,39560),-- [rp_sealed_vesper_sigil_i]
(22761,57,38976,80332,0,700000),-- [adena]
(22761,13143,1,1,1,90.941445),-- [sealed_vesper_helmet]
(22761,13144,1,1,1,90.941445),-- [sealed_vesper_leather_helmet]
(22761,13145,1,1,1,90.941445),-- [sealed_vesper_circlet]
(22761,14111,1,1,1,129.97866),-- [sealed_vesper_verteidiger]
(22761,13887,1,1,1,129.97866),-- [sealed_vesper_sigil]
(22761,15660,1,1,1,36526.838565),-- [sealed_vesper_helmet_piece]
(22761,15661,1,1,1,36526.838565),-- [sealed_vesper_leather_helmet_piece]
(22761,15662,1,1,1,36526.838565),-- [sealed_vesper_circlet_piece]
(22761,15669,1,1,1,53985.63324),-- [sealed_vesper_verteidiger_piece]
(22761,15691,1,1,1,53986.06941),-- [sealed_vesper_sigil_piece]
(22761,1879,14,42,2,43059.502368),-- [cokes]
(22761,1885,3,9,2,100472.294484),-- [high_grade_suede]
(22761,9628,1,1,2,56737.3734),-- [renad]
(22761,9630,1,1,2,38073.657528),-- [oricalcum]
(22761,9629,1,1,2,31452.27948),-- [adamantium]
(22761,14166,1,1,2,34946.77338),-- [general_84_s]
(22761,14167,1,1,2,8726.14566),-- [special_84_s]
(22761,14168,1,1,2,872.798004),-- [rare_84_s]
(22761,959,1,1,2,289.465164),-- [scrl_of_ench_wp_s]
(22761,15486,1,1,2,32151.17826),-- [a_broken_piece_of_soul_stone]
(22761,1345,2400,7200,2,20094.532272),-- [shining_arrow]
(22762,15770,1,1,-1,435480),-- [sealed_vesper_earring_gem]
(22762,15771,1,1,-1,313309),-- [sealed_vesper_necklace_gem]
(22762,15769,1,1,-1,725040),-- [sealed_vesper_ring_gem]
(22762,9628,1,1,-1,543069),-- [renad]
(22762,15810,1,1,-1,60770),-- [rp_sealed_vesper_earring_i]
(22762,15811,1,1,-1,45577),-- [rp_sealed_vesper_necklace_i]
(22762,15809,1,1,-1,91155),-- [rp_sealed_vesper_ring_i]
(22762,57,38982,80346,0,700000),-- [adena]
(22762,14160,1,1,1,232.83561),-- [sealed_vesper_earring]
(22762,14161,1,1,1,174.768335),-- [sealed_vesper_necklace]
(22762,14162,1,1,1,349.53667),-- [sealed_vesper_ring]
(22762,15770,1,1,1,83470.999675),-- [sealed_vesper_earring_gem]
(22762,15771,1,1,1,60054.02557),-- [sealed_vesper_necklace_gem]
(22762,15769,1,1,1,138972.83414),-- [sealed_vesper_ring_gem]
(22762,1879,3,9,2,170059.39717),-- [cokes]
(22762,1885,2,6,2,127544.792518),-- [high_grade_suede]
(22762,9628,1,1,2,48017.058778),-- [renad]
(22762,9630,1,1,2,32221.600255),-- [oricalcum]
(22762,9629,1,1,2,26617.864962),-- [adamantium]
(22762,14166,1,1,2,29575.568607),-- [general_84_s]
(22762,14167,1,1,2,7385.207414),-- [special_84_s]
(22762,14168,1,1,2,738.325029),-- [rare_84_s]
(22762,960,1,1,2,2448.851405),-- [scrl_of_ench_am_s]
(22762,15809,1,1,2,8059.925913),-- [rp_sealed_vesper_ring_i]
(22762,15810,1,1,2,5373.283942),-- [rp_sealed_vesper_earring_i]
(22762,15811,1,1,2,4029.718316),-- [rp_sealed_vesper_necklace_i]
(22762,15486,1,1,2,27209.405691),-- [a_broken_piece_of_soul_stone]
(22763,15634,1,1,-1,87220),-- [vesper_cutter_piece]
(22763,15635,1,1,-1,87064),-- [vesper_slasher_piece]
(22763,15636,1,1,-1,87220),-- [vesper_burster_piece]
(22763,9628,1,3,-1,575820),-- [renad]
(22763,15815,1,1,-1,10243),-- [rp_vesper_cutter_i]
(22763,15816,1,1,-1,10243),-- [rp_vesper_slasher_i]
(22763,15817,1,1,-1,10243),-- [rp_vesper_burster_i]
(22763,57,82667,170383,0,700000),-- [adena]
(22763,13457,1,1,1,39.243888),-- [vesper_cutter]
(22763,13458,1,1,1,39.243888),-- [vesper_slasher]
(22763,13459,1,1,1,39.243888),-- [vesper_burster]
(22763,15634,1,1,1,16698.675816),-- [vesper_cutter_piece]
(22763,15635,1,1,1,16668.966888),-- [vesper_slasher_piece]
(22763,15636,1,1,1,16698.625632),-- [vesper_burster_piece]
(22763,1895,72,216,2,30442.803253),-- [metallic_fiber]
(22763,4040,2,6,2,61372.293912),-- [mold_lubricant]
(22763,9628,1,1,2,120338.291207),-- [renad]
(22763,9630,1,1,2,80753.308836),-- [oricalcum]
(22763,16160,1,1,2,74121.387917),-- [general_85_s]
(22763,16161,1,1,2,18507.921638),-- [special_85_s]
(22763,9554,1,1,2,3068.706697),-- [high_ore_of_earth]
(22763,15815,1,1,2,1070.436289),-- [rp_vesper_cutter_i]
(22763,15816,1,1,2,1070.436289),-- [rp_vesper_slasher_i]
(22763,15817,1,1,2,1070.436289),-- [rp_vesper_burster_i]
(22763,15486,1,1,2,68190.977673),-- [a_broken_piece_of_soul_stone]
(22764,15640,1,1,-1,67180),-- [vesper_avenger_piece]
(22764,15641,1,1,-1,67960),-- [vesper_retributer_piece]
(22764,15642,1,1,-1,67180),-- [vesper_caster_piece]
(22764,15643,1,1,-1,67358),-- [vesper_singer_piece]
(22764,9630,1,1,-1,600375),-- [oricalcum]
(22764,15821,1,1,-1,7957),-- [rp_vesper_avenger_i]
(22764,15822,1,1,-1,7957),-- [rp_vesper_retributer_i]
(22764,15823,1,1,-1,7957),-- [rp_vesper_caster_i]
(22764,15824,1,1,-1,7957),-- [rp_vesper_singer_i]
(22764,57,82570,170185,0,700000),-- [adena]
(22764,13463,1,1,1,29.398757),-- [vesper_avenger]
(22764,13464,1,1,1,29.398757),-- [vesper_retributer]
(22764,13465,1,1,1,29.398757),-- [vesper_caster]
(22764,13466,1,1,1,29.398757),-- [vesper_singer]
(22764,15640,1,1,1,12404.578412),-- [vesper_avenger_piece]
(22764,15641,1,1,1,12548.727156),-- [vesper_retributer_piece]
(22764,15642,1,1,1,12404.578412),-- [vesper_caster_piece]
(22764,15643,1,1,1,12437.520992),-- [vesper_singer_piece]
(22764,1895,72,216,2,27873.3781),-- [metallic_fiber]
(22764,4040,2,6,2,56192.983548),-- [mold_lubricant]
(22764,9628,1,1,2,110181.848852),-- [renad]
(22764,9630,1,1,2,73937.80296),-- [oricalcum]
(22764,16160,1,1,2,67865.818148),-- [general_85_s]
(22764,16161,1,1,2,16946.085124),-- [special_85_s]
(22764,9554,1,1,2,2809.50142),-- [high_ore_of_earth]
(22764,15821,1,1,2,979.842644),-- [rp_vesper_avenger_i]
(22764,15822,1,1,2,979.842644),-- [rp_vesper_retributer_i]
(22764,15823,1,1,2,979.842644),-- [rp_vesper_caster_i]
(22764,15824,1,1,2,979.842644),-- [rp_vesper_singer_i]
(22764,15486,1,1,2,62437.211272),-- [a_broken_piece_of_soul_stone]
(22765,15644,1,1,-1,153272),-- [vesper_thrower_piece]
(22765,959,1,1,-1,10278),-- [scrl_of_ench_wp_s]
(22765,9628,1,5,-1,671790),-- [renad]
(22765,15825,1,1,-1,17925),-- [rp_vesper_thrower_i]
(22765,57,82667,170383,0,700000),-- [adena]
(22765,13467,1,1,1,117.730179),-- [vesper_thrower]
(22765,15644,1,1,1,50345.269821),-- [vesper_thrower_piece]
(22765,1895,72,216,2,41858.896491),-- [metallic_fiber]
(22765,4040,2,6,2,84387.469567),-- [mold_lubricant]
(22765,9628,3,9,2,23637.891127),-- [renad]
(22765,9630,1,1,2,111035.76244),-- [oricalcum]
(22765,16160,1,1,2,101917.039901),-- [general_85_s]
(22765,16161,1,1,2,25448.677272),-- [special_85_s]
(22765,15825,1,1,2,1471.837924),-- [rp_vesper_thrower_i]
(22765,15486,1,1,2,93763.425278),-- [a_broken_piece_of_soul_stone]
(22766,57,203,419,0,700000),-- [adena]
(22766,1894,1,1,1,18206.2408),-- [crafted_leather]
(22766,4039,1,1,1,17295.92876),-- [mold_glue]
(22766,4041,1,1,1,4511.95899),-- [mold_hardener]
(22766,4044,1,1,1,17295.87145),-- [thons]
(22767,57,1395,2875,0,700000),-- [adena]
(22767,1895,3,9,1,169522.14176),-- [metallic_fiber]
(22767,4040,1,1,1,71199.1488),-- [mold_lubricant]
(22767,4042,1,1,1,59332.624),-- [enria]
(22767,4043,1,1,1,118666.08544),-- [asofe]
(22768,10398,1,1,-1,582),-- [icarus_disperser_piece]
(22768,959,1,1,-1,54),-- [scrl_of_ench_wp_s]
(22768,1894,1,1,-1,47666),-- [crafted_leather]
(22768,10374,1,1,-1,88),-- [rp_icarus_disperser_i]
(22768,10379,1,1,-1,88),-- [rp_icarus_knuckle_i]
(22768,10403,1,1,-1,581),-- [icarus_knuckle_piece]
(22768,57,666,1341,0,700000),-- [adena]
(22768,10216,1,1,1,0.430787),-- [icarus_disperser]
(22768,10398,1,1,1,143.298813),-- [icarus_disperser_piece]
(22768,10221,1,1,1,0.430787),-- [icarus_knuckle]
(22768,10403,1,1,1,142.839613),-- [icarus_knuckle_piece]
(22768,1895,1,1,2,38240.389152),-- [metallic_fiber]
(22768,4040,1,1,2,2676.794112),-- [mold_lubricant]
(22768,4042,1,1,2,2230.66176),-- [enria]
(22768,4043,1,1,2,4461.32352),-- [asofe]
(22768,10483,1,1,2,929.396388),-- [general_82_s]
(22768,10484,1,1,2,232.314588),-- [special_82_s]
(22768,10485,1,1,2,23.190048),-- [rare_82_s]
(22768,959,1,1,2,5.383404),-- [scrl_of_ench_wp_s]
(22768,10379,1,1,2,8.558232),-- [rp_icarus_knuckle_i]
(22768,1345,10,30,2,89227.988796),-- [shining_arrow]
(22769,10397,1,1,-1,664),-- [icarus_sowsword_piece]
(22769,10399,1,1,-1,664),-- [icarus_spirits_piece]
(22769,10400,1,1,-1,662),-- [icarus_heavy_arms_piece]
(22769,9628,1,1,-1,12152),-- [renad]
(22769,10373,1,1,-1,100),-- [rp_icarus_sowsword_i]
(22769,10375,1,1,-1,100),-- [rp_icarus_spirits_i]
(22769,10376,1,1,-1,100),-- [rp_icarus_heavy_arms_i]
(22769,57,885,1786,0,700000),-- [adena]
(22769,10215,1,1,1,0.383),-- [icarus_sowsword]
(22769,10217,1,1,1,0.383),-- [icarus_spirits]
(22769,10218,1,1,1,0.383),-- [icarus_heavy_arms]
(22769,10397,1,1,1,127.419887),-- [icarus_sowsword_piece]
(22769,10399,1,1,1,127.419887),-- [icarus_spirits_piece]
(22769,10400,1,1,1,127.011226),-- [icarus_heavy_arms_piece]
(22769,1895,1,1,2,63604.86687),-- [metallic_fiber]
(22769,4040,1,1,2,4452.35967),-- [mold_lubricant]
(22769,9628,1,1,2,1746.047745),-- [renad]
(22769,9630,1,1,2,1171.700505),-- [oricalcum]
(22769,10483,1,1,2,1545.931845),-- [general_82_s]
(22769,10484,1,1,2,386.50122),-- [special_82_s]
(22769,10485,1,1,2,38.635515),-- [rare_82_s]
(22769,960,1,1,2,88.95663),-- [scrl_of_ench_am_s]
(22770,15645,1,1,-1,10600),-- [sealed_destino_helmet_piece]
(22770,15646,1,1,-1,10600),-- [sealed_destino_leather_helmet_piece]
(22770,15647,1,1,-1,10600),-- [sealed_destino_circlet_piece]
(22770,15693,1,1,-1,19000),-- [sealed_destino_shield_piece]
(22770,15692,1,1,-1,19000),-- [sealed_destino_sigil_piece]
(22770,15775,1,1,-1,1414),-- [rp_sealed_destino_helmet_i]
(22770,15776,1,1,-1,1414),-- [rp_sealed_destino_leather_helmet_i]
(22770,15777,1,1,-1,1414),-- [rp_sealed_destino_circlet_i]
(22770,15791,1,1,-1,2021),-- [rp_sealed_destino_shield_i]
(22770,15790,1,1,-1,2021),-- [rp_sealed_destino_sigil_i]
(22770,57,1445,2953,0,700000),-- [adena]
(22770,15694,1,1,1,4.645192),-- [sealed_destino_helmet]
(22770,15695,1,1,1,4.645192),-- [sealed_destino_leather_helmet]
(22770,15696,1,1,1,4.645192),-- [sealed_destino_circlet]
(22770,15710,1,1,1,6.645844),-- [sealed_destino_shield]
(22770,15709,1,1,1,6.645844),-- [sealed_destino_sigil]
(22770,15645,1,1,1,1741.924004),-- [sealed_destino_helmet_piece]
(22770,15646,1,1,1,1741.924004),-- [sealed_destino_leather_helmet_piece]
(22770,15647,1,1,1,1741.924004),-- [sealed_destino_circlet_piece]
(22770,15693,1,1,1,3122.500362),-- [sealed_destino_shield_piece]
(22770,15692,1,1,1,3122.500362),-- [sealed_destino_sigil_piece]
(22770,1879,1,1,2,34913.54495),-- [cokes]
(22770,1885,1,1,2,17456.772475),-- [high_grade_suede]
(22770,9628,1,1,2,1642.993815),-- [renad]
(22770,9630,1,1,2,1102.5144),-- [oricalcum]
(22770,9629,1,1,2,910.811175),-- [adamantium]
(22770,10483,1,1,2,1454.7065),-- [general_82_s]
(22770,10484,1,1,2,363.676625),-- [special_82_s]
(22770,10485,1,1,2,36.39711),-- [rare_82_s]
(22770,9554,1,1,2,41.874345),-- [high_ore_of_earth]
(22770,15775,1,1,2,165.907215),-- [rp_sealed_destino_helmet_i]
(22770,15776,1,1,2,165.907215),-- [rp_sealed_destino_leather_helmet_i]
(22770,15777,1,1,2,165.907215),-- [rp_sealed_destino_circlet_i]
(22770,15791,1,1,2,236.99348),-- [rp_sealed_destino_shield_i]
(22770,15790,1,1,2,236.99348),-- [rp_sealed_destino_sigil_i]
(22771,10404,1,1,-1,1572),-- [icarus_wand_piece]
(22771,10402,1,1,-1,1572),-- [icarus_chopper_piece]
(22771,9630,1,1,-1,19365),-- [oricalcum]
(22771,10380,1,1,-1,237),-- [rp_icarus_wand_i]
(22771,10378,1,1,-1,237),-- [rp_icarus_chopper_i]
(22771,57,1488,3042,0,700000),-- [adena]
(22771,10222,1,1,1,0.486652),-- [icarus_wand]
(22771,10220,1,1,1,0.486652),-- [icarus_chopper]
(22771,10404,1,1,1,161.795386),-- [icarus_wand_piece]
(22771,10402,1,1,1,161.795386),-- [icarus_chopper_piece]
(22771,15697,1,1,1,2.247348),-- [sealed_destino_cuirass]
(22771,15700,1,1,1,3.597944),-- [sealed_destino_gaiter]
(22771,15648,1,1,1,898.220158),-- [sealed_destino_cuirass_piece]
(22771,15651,1,1,1,1505.370474),-- [sealed_destino_gaiter_piece]
(22771,1879,1,1,2,45770.134172),-- [cokes]
(22771,1885,1,1,2,22885.067086),-- [high_grade_suede]
(22771,9628,1,1,2,2153.894042),-- [renad]
(22771,9630,1,1,2,1445.346207),-- [oricalcum]
(22771,9629,1,1,2,1193.98496),-- [adamantium]
(22771,10483,1,1,2,1907.101615),-- [general_82_s]
(22771,10484,1,1,2,476.756367),-- [special_82_s]
(22771,10485,1,1,2,47.668022),-- [rare_82_s]
(22771,9554,1,1,2,54.901987),-- [high_ore_of_earth]
(22771,15778,1,1,2,81.553437),-- [rp_sealed_destino_cuirass_i]
(22771,15781,1,1,2,130.592105),-- [rp_sealed_destino_gaiter_i]
(22772,10405,1,1,-1,495),-- [icarus_accipiter_piece]
(22772,959,1,1,-1,46),-- [scrl_of_ench_wp_s]
(22772,1894,1,1,-1,40627),-- [crafted_leather]
(22772,10381,1,1,-1,75),-- [rp_icarus_accipiter_i]
(22772,15772,1,1,-1,15971),-- [sealed_destino_ring_gem]
(22772,15773,1,1,-1,8976),-- [sealed_destino_earring_gem]
(22772,15774,1,1,-1,7745),-- [sealed_destino_necklace_gem]
(22772,15812,1,1,-1,2113),-- [rp_sealed_destino_ring_i]
(22772,15813,1,1,-1,1408),-- [rp_sealed_destino_earring_i]
(22772,15814,1,1,-1,1056),-- [rp_sealed_destino_necklace_i]
(22772,57,945,1907,0,700000),-- [adena]
(22772,10223,1,1,1,0.30636),-- [icarus_accipiter]
(22772,10405,1,1,1,101.228152),-- [icarus_accipiter_piece]
(22772,15766,1,1,1,8.64616),-- [sealed_destino_ring]
(22772,15767,1,1,1,5.759568),-- [sealed_destino_earring]
(22772,15768,1,1,1,4.32308),-- [sealed_destino_necklace]
(22772,15772,1,1,1,3267.145584),-- [sealed_destino_ring_gem]
(22772,15773,1,1,1,1836.18568),-- [sealed_destino_earring_gem]
(22772,15774,1,1,1,1584.405416),-- [sealed_destino_necklace_gem]
(22772,1895,1,1,2,49383.296494),-- [metallic_fiber]
(22772,4040,1,1,2,3456.806598),-- [mold_lubricant]
(22772,9628,1,1,2,1355.701779),-- [renad]
(22772,9630,1,1,2,909.667784),-- [oricalcum]
(22772,10483,1,1,2,1200.236932),-- [general_82_s]
(22772,10484,1,1,2,300.059233),-- [special_82_s]
(22772,10485,1,1,2,30.023178),-- [rare_82_s]
(22772,15812,1,1,2,315.415916),-- [rp_sealed_destino_ring_i]
(22772,15813,1,1,2,210.162246),-- [rp_sealed_destino_earring_i]
(22772,15814,1,1,2,157.707958),-- [rp_sealed_destino_necklace_i]
(22772,1345,10,30,2,115227.921882),-- [shining_arrow]
(22773,15654,1,1,-1,8561),-- [sealed_destino_gauntlet_piece]
(22773,15655,1,1,-1,8561),-- [sealed_destino_leather_gloves_piece]
(22773,15656,1,1,-1,8561),-- [sealed_destino_gloves_piece]
(22773,15657,1,1,-1,8561),-- [sealed_destino_boots_piece]
(22773,15658,1,1,-1,8561),-- [sealed_destino_leather_boots_piece]
(22773,15659,1,1,-1,8561),-- [sealed_destino_shoes_piece]
(22773,15784,1,1,-1,1139),-- [rp_sealed_destino_gauntlet_i]
(22773,15785,1,1,-1,1139),-- [rp_sealed_destino_leather_gloves_i]
(22773,15786,1,1,-1,1139),-- [rp_sealed_destino_gloves_i]
(22773,15787,1,1,-1,1139),-- [rp_sealed_destino_boots_i]
(22773,15788,1,1,-1,1139),-- [rp_sealed_destino_leather_boots_i]
(22773,15789,1,1,-1,1139),-- [rp_sealed_destino_shoes_i]
(22773,57,939,1895,0,700000),-- [adena]
(22773,15703,1,1,1,3.740646),-- [sealed_destino_gauntlet]
(22773,15704,1,1,1,3.740646),-- [sealed_destino_leather_gloves]
(22773,15705,1,1,1,3.740646),-- [sealed_destino_gloves]
(22773,15706,1,1,1,3.740646),-- [sealed_destino_boots]
(22773,15707,1,1,1,3.740646),-- [sealed_destino_leather_boots]
(22773,15708,1,1,1,3.740646),-- [sealed_destino_shoes]
(22773,15654,1,1,1,1406.753712),-- [sealed_destino_gauntlet_piece]
(22773,15655,1,1,1,1406.753712),-- [sealed_destino_leather_gloves_piece]
(22773,15656,1,1,1,1406.753712),-- [sealed_destino_gloves_piece]
(22773,15657,1,1,1,1406.753712),-- [sealed_destino_boots_piece]
(22773,15658,1,1,1,1406.753712),-- [sealed_destino_leather_boots_piece]
(22773,15659,1,1,1,1406.787564),-- [sealed_destino_shoes_piece]
(22773,1895,1,1,2,38555.689276),-- [metallic_fiber]
(22773,4040,1,1,2,2698.889842),-- [mold_lubricant]
(22773,4042,1,1,2,2249.098222),-- [enria]
(22773,4043,1,1,2,4498.196444),-- [asofe]
(22773,10483,1,1,2,937.135936),-- [general_82_s]
(22773,10484,1,1,2,234.283984),-- [special_82_s]
(22773,10485,1,1,2,23.400374),-- [rare_82_s]
(22773,15784,1,1,2,160.299568),-- [rp_sealed_destino_gauntlet_i]
(22773,15785,1,1,2,160.299568),-- [rp_sealed_destino_leather_gloves_i]
(22773,15786,1,1,2,160.299568),-- [rp_sealed_destino_gloves_i]
(22773,15787,1,1,2,160.299568),-- [rp_sealed_destino_boots_i]
(22773,15788,1,1,2,160.299568),-- [rp_sealed_destino_leather_boots_i]
(22773,15789,1,1,2,160.299568),-- [rp_sealed_destino_shoes_i]
(22773,1345,10,30,2,89963.508514),-- [shining_arrow]
(22774,15649,1,1,-1,9227),-- [sealed_destino_houberk_piece]
(22774,15652,1,1,-1,14969),-- [sealed_destino_leather_legging_piece]
(22774,9630,1,1,-1,15127),-- [oricalcum]
(22774,15779,1,1,-1,1138),-- [rp_sealed_destino_houberk_i]
(22774,15782,1,1,-1,1821),-- [rp_sealed_destino_leather_legging_i]
(22774,15780,1,1,-1,1138),-- [rp_sealed_destino_jaket_i]
(22774,15783,1,1,-1,1821),-- [rp_sealed_destino_hose_i]
(22774,57,1628,3326,0,700000),-- [adena]
(22774,15698,1,1,1,3.270337),-- [sealed_destino_houberk]
(22774,15701,1,1,1,5.236723),-- [sealed_destino_leather_legging]
(22774,15649,1,1,1,1326.2646),-- [sealed_destino_houberk_piece]
(22774,15652,1,1,1,2151.72834),-- [sealed_destino_leather_legging_piece]
(22774,15699,1,1,1,3.270337),-- [sealed_destino_jaket]
(22774,15650,1,1,1,1326.2646),-- [sealed_destino_jaket_piece]
(22774,15702,1,1,1,5.236723),-- [sealed_destino_hose]
(22774,15653,1,1,1,2151.72834),-- [sealed_destino_hose_piece]
(22774,1879,1,1,2,45883.596915),-- [cokes]
(22774,1885,1,1,2,22941.836775),-- [high_grade_suede]
(22774,9628,1,1,2,2159.191125),-- [renad]
(22774,9630,1,1,2,1448.937945),-- [oricalcum]
(22774,9629,1,1,2,1196.962065),-- [adamantium]
(22774,10483,1,1,2,1911.813345),-- [general_82_s]
(22774,10484,1,1,2,477.972495),-- [special_82_s]
(22774,10485,1,1,2,47.82024),-- [rare_82_s]
(22774,15780,1,1,2,108.97497),-- [rp_sealed_destino_jaket_i]
(22774,15783,1,1,2,174.42126),-- [rp_sealed_destino_hose_i]
(22774,15779,1,1,2,108.97497),-- [rp_sealed_destino_houberk_i]
(22774,15782,1,1,2,174.497895),-- [rp_sealed_destino_leather_legging_i]
(22775,15648,1,1,-1,6036),-- [sealed_destino_cuirass_piece]
(22775,15651,1,1,-1,10116),-- [sealed_destino_gaiter_piece]
(22775,1894,1,1,-1,89267),-- [crafted_leather]
(22775,15778,1,1,-1,756),-- [rp_sealed_destino_cuirass_i]
(22775,15781,1,1,-1,1209),-- [rp_sealed_destino_gaiter_i]
(22775,57,1029,2103,0,700000),-- [adena]
(22775,15697,1,1,1,3.101292),-- [sealed_destino_cuirass]
(22775,15700,1,1,1,4.962732),-- [sealed_destino_gaiter]
(22775,15648,1,1,1,1239.163932),-- [sealed_destino_cuirass_piece]
(22775,15651,1,1,1,2076.772044),-- [sealed_destino_gaiter_piece]
(22775,1895,1,1,2,59678.832657),-- [metallic_fiber]
(22775,4040,1,1,2,4177.502505),-- [mold_lubricant]
(22775,9628,1,1,2,1638.272601),-- [renad]
(22775,9630,1,1,2,1099.317486),-- [oricalcum]
(22775,10483,1,1,2,1450.547433),-- [general_82_s]
(22775,10484,1,1,2,362.619705),-- [special_82_s]
(22775,10485,1,1,2,36.296277),-- [rare_82_s]
(22775,959,1,1,2,8.370786),-- [scrl_of_ench_wp_s]
(22775,15778,1,1,2,62.026152),-- [rp_sealed_destino_cuirass_i]
(22775,15781,1,1,2,99.214398),-- [rp_sealed_destino_gaiter_i]
(22776,15649,1,1,-1,12239),-- [sealed_destino_houberk_piece]
(22776,15652,1,1,-1,19856),-- [sealed_destino_leather_legging_piece]
(22776,1894,1,1,-1,133768),-- [crafted_leather]
(22776,15779,1,1,-1,1510),-- [rp_sealed_destino_houberk_i]
(22776,15782,1,1,-1,2415),-- [rp_sealed_destino_leather_legging_i]
(22776,57,1542,3152,0,700000),-- [adena]
(22776,15698,1,1,1,6.196428),-- [sealed_destino_houberk]
(22776,15701,1,1,1,9.915606),-- [sealed_destino_leather_legging]
(22776,15649,1,1,1,2512.9224),-- [sealed_destino_houberk_piece]
(22776,15652,1,1,1,4076.965566),-- [sealed_destino_leather_legging_piece]
(22776,1895,1,1,2,81299.95658),-- [metallic_fiber]
(22776,4040,1,1,2,5691.034401),-- [mold_lubricant]
(22776,9628,1,1,2,2231.728643),-- [renad]
(22776,9630,1,1,2,1497.616),-- [oricalcum]
(22776,10483,1,1,2,1976.010711),-- [general_82_s]
(22776,10484,1,1,2,494.026078),-- [special_82_s]
(22776,10485,1,1,2,49.421328),-- [rare_82_s]
(22776,9552,1,1,2,56.909408),-- [high_ore_of_fire]
(22776,959,1,1,2,11.419322),-- [scrl_of_ench_wp_s]
(22776,15779,1,1,2,112.695604),-- [rp_sealed_destino_houberk_i]
(22776,15782,1,1,2,180.181925),-- [rp_sealed_destino_leather_legging_i]
(22777,15650,1,1,-1,8167),-- [sealed_destino_jaket_piece]
(22777,15653,1,1,-1,13251),-- [sealed_destino_hose_piece]
(22777,1894,1,1,-1,89267),-- [crafted_leather]
(22777,15780,1,1,-1,1007),-- [rp_sealed_destino_jaket_i]
(22777,15783,1,1,-1,1612),-- [rp_sealed_destino_hose_i]
(22777,57,1029,2103,0,700000),-- [adena]
(22777,15699,1,1,1,4.135642),-- [sealed_destino_jaket]
(22777,15702,1,1,1,6.617909),-- [sealed_destino_hose]
(22777,15650,1,1,1,1677.1836),-- [sealed_destino_jaket_piece]
(22777,15653,1,1,1,2721.062849),-- [sealed_destino_hose_piece]
(22777,1895,1,1,2,59678.6595),-- [metallic_fiber]
(22777,4040,1,1,2,4177.5096),-- [mold_lubricant]
(22777,9628,1,1,2,1638.2202),-- [renad]
(22777,9630,1,1,2,1099.3374),-- [oricalcum]
(22777,10483,1,1,2,1450.5318),-- [general_82_s]
(22777,10484,1,1,2,362.5986),-- [special_82_s]
(22777,10485,1,1,2,36.2736),-- [rare_82_s]
(22777,9552,1,1,2,41.7696),-- [high_ore_of_fire]
(22777,15780,1,1,2,82.7148),-- [rp_sealed_destino_jaket_i]
(22777,15783,1,1,2,132.3849),-- [rp_sealed_destino_hose_i]
(22778,15772,1,1,-1,29243),-- [sealed_destino_ring_gem]
(22778,15773,1,1,-1,16435),-- [sealed_destino_earring_gem]
(22778,15774,1,1,-1,14181),-- [sealed_destino_necklace_gem]
(22778,15812,1,1,-1,3869),-- [rp_sealed_destino_ring_i]
(22778,15813,1,1,-1,2579),-- [rp_sealed_destino_earring_i]
(22778,15814,1,1,-1,1934),-- [rp_sealed_destino_necklace_i]
(22778,57,1029,2103,0,700000),-- [adena]
(22778,15766,1,1,1,12.705673),-- [sealed_destino_ring]
(22778,15767,1,1,1,8.467163),-- [sealed_destino_earring]
(22778,15768,1,1,1,6.347908),-- [sealed_destino_necklace]
(22778,15772,1,1,1,4801.975548),-- [sealed_destino_ring_gem]
(22778,15773,1,1,1,2698.787458),-- [sealed_destino_earring_gem]
(22778,15774,1,1,1,2328.71625),-- [sealed_destino_necklace_gem]
(22778,1895,1,1,2,54253.560576),-- [metallic_fiber]
(22778,4040,1,1,2,3797.759328),-- [mold_lubricant]
(22778,9628,1,1,2,1489.319856),-- [renad]
(22778,9630,1,1,2,999.436896),-- [oricalcum]
(22778,10483,1,1,2,1318.64892),-- [general_82_s]
(22778,10484,1,1,2,329.677992),-- [special_82_s]
(22778,10485,1,1,2,32.974104),-- [rare_82_s]
(22778,960,1,1,2,75.97284),-- [scrl_of_ench_am_s]
(22778,15812,1,1,2,346.511808),-- [rp_sealed_destino_ring_i]
(22778,15813,1,1,2,231.007872),-- [rp_sealed_destino_earring_i]
(22778,15814,1,1,2,173.129808),-- [rp_sealed_destino_necklace_i]
(22779,15654,1,1,-1,9273),-- [sealed_destino_gauntlet_piece]
(22779,15655,1,1,-1,9273),-- [sealed_destino_leather_gloves_piece]
(22779,15656,1,1,-1,9273),-- [sealed_destino_gloves_piece]
(22779,15657,1,1,-1,9273),-- [sealed_destino_boots_piece]
(22779,15658,1,1,-1,9273),-- [sealed_destino_leather_boots_piece]
(22779,15659,1,1,-1,9273),-- [sealed_destino_shoes_piece]
(22779,15784,1,1,-1,1234),-- [rp_sealed_destino_gauntlet_i]
(22779,15785,1,1,-1,1234),-- [rp_sealed_destino_leather_gloves_i]
(22779,15786,1,1,-1,1234),-- [rp_sealed_destino_gloves_i]
(22779,15787,1,1,-1,1234),-- [rp_sealed_destino_boots_i]
(22779,15788,1,1,-1,1234),-- [rp_sealed_destino_leather_boots_i]
(22779,15789,1,1,-1,1234),-- [rp_sealed_destino_shoes_i]
(22779,57,1008,2061,0,700000),-- [adena]
(22779,15703,1,1,1,4.051814),-- [sealed_destino_gauntlet]
(22779,15704,1,1,1,4.051814),-- [sealed_destino_leather_gloves]
(22779,15705,1,1,1,4.051814),-- [sealed_destino_gloves]
(22779,15706,1,1,1,4.051814),-- [sealed_destino_boots]
(22779,15707,1,1,1,4.051814),-- [sealed_destino_leather_boots]
(22779,15708,1,1,1,4.051814),-- [sealed_destino_shoes]
(22779,15654,1,1,1,1523.775408),-- [sealed_destino_gauntlet_piece]
(22779,15655,1,1,1,1523.775408),-- [sealed_destino_leather_gloves_piece]
(22779,15656,1,1,1,1523.775408),-- [sealed_destino_gloves_piece]
(22779,15657,1,1,1,1523.775408),-- [sealed_destino_boots_piece]
(22779,15658,1,1,1,1523.775408),-- [sealed_destino_leather_boots_piece]
(22779,15659,1,1,1,1523.812076),-- [sealed_destino_shoes_piece]
(22779,1895,1,1,2,41764.983636),-- [metallic_fiber]
(22779,4040,1,1,2,2923.525335),-- [mold_lubricant]
(22779,9628,1,1,2,1146.478602),-- [renad]
(22779,9630,1,1,2,769.333299),-- [oricalcum]
(22779,10483,1,1,2,1015.112283),-- [general_82_s]
(22779,10484,1,1,2,253.765821),-- [special_82_s]
(22779,10485,1,1,2,25.381482),-- [rare_82_s]
(22779,960,1,1,2,58.455807),-- [scrl_of_ench_am_s]
(22779,15784,1,1,2,173.652456),-- [rp_sealed_destino_gauntlet_i]
(22779,15785,1,1,2,173.652456),-- [rp_sealed_destino_leather_gloves_i]
(22779,15786,1,1,2,173.652456),-- [rp_sealed_destino_gloves_i]
(22779,15787,1,1,2,173.652456),-- [rp_sealed_destino_boots_i]
(22779,15788,1,1,2,173.652456),-- [rp_sealed_destino_leather_boots_i]
(22779,15789,1,1,2,173.701455),-- [rp_sealed_destino_shoes_i]
(22780,15645,1,1,-1,2290),-- [sealed_destino_helmet_piece]
(22780,15646,1,1,-1,2290),-- [sealed_destino_leather_helmet_piece]
(22780,15647,1,1,-1,2290),-- [sealed_destino_circlet_piece]
(22780,15693,1,1,-1,4106),-- [sealed_destino_shield_piece]
(22780,15692,1,1,-1,4106),-- [sealed_destino_sigil_piece]
(22780,960,1,1,-1,154),-- [scrl_of_ench_am_s]
(22780,15775,1,1,-1,306),-- [rp_sealed_destino_helmet_i]
(22780,15776,1,1,-1,306),-- [rp_sealed_destino_leather_helmet_i]
(22780,15777,1,1,-1,306),-- [rp_sealed_destino_circlet_i]
(22780,15791,1,1,-1,437),-- [rp_sealed_destino_shield_i]
(22780,15790,1,1,-1,437),-- [rp_sealed_destino_sigil_i]
(22780,57,346,699,0,700000),-- [adena]
(22780,15694,1,1,1,1.104132),-- [sealed_destino_helmet]
(22780,15695,1,1,1,1.104132),-- [sealed_destino_leather_helmet]
(22780,15696,1,1,1,1.104132),-- [sealed_destino_circlet]
(22780,15710,1,1,1,1.579674),-- [sealed_destino_shield]
(22780,15709,1,1,1,1.579674),-- [sealed_destino_sigil]
(22780,15645,1,1,1,414.044034),-- [sealed_destino_helmet_piece]
(22780,15646,1,1,1,414.044034),-- [sealed_destino_leather_helmet_piece]
(22780,15647,1,1,1,414.044034),-- [sealed_destino_circlet_piece]
(22780,15693,1,1,1,742.198077),-- [sealed_destino_shield_piece]
(22780,15692,1,1,1,742.198077),-- [sealed_destino_sigil_piece]
(22780,1894,1,1,2,2038.2912),-- [crafted_leather]
(22780,4039,1,1,2,1936.3752),-- [mold_glue]
(22780,4041,1,1,2,505.1448),-- [mold_hardener]
(22780,4044,1,1,2,1936.3752),-- [thons]
(22780,10483,1,1,2,403.4088),-- [general_82_s]
(22780,10484,1,1,2,100.8504),-- [special_82_s]
(22780,10485,1,1,2,10.0872),-- [rare_82_s]
(22780,15775,1,1,2,46.008),-- [rp_sealed_destino_helmet_i]
(22780,15776,1,1,2,46.008),-- [rp_sealed_destino_leather_helmet_i]
(22780,15777,1,1,2,46.008),-- [rp_sealed_destino_circlet_i]
(22780,15791,1,1,2,65.7216),-- [rp_sealed_destino_shield_i]
(22780,15790,1,1,2,65.7216),-- [rp_sealed_destino_sigil_i]
(22781,10397,1,1,-1,346),-- [icarus_sowsword_piece]
(22781,10399,1,1,-1,346),-- [icarus_spirits_piece]
(22781,10400,1,1,-1,345),-- [icarus_heavy_arms_piece]
(22781,9630,1,1,-1,4244),-- [oricalcum]
(22781,10373,1,1,-1,52),-- [rp_icarus_sowsword_i]
(22781,10375,1,1,-1,52),-- [rp_icarus_spirits_i]
(22781,10376,1,1,-1,52),-- [rp_icarus_heavy_arms_i]
(22781,57,457,933,0,700000),-- [adena]
(22781,10215,1,1,1,0.199),-- [icarus_sowsword]
(22781,10217,1,1,1,0.199),-- [icarus_spirits]
(22781,10218,1,1,1,0.199),-- [icarus_heavy_arms]
(22781,10397,1,1,1,66.205111),-- [icarus_sowsword_piece]
(22781,10399,1,1,1,66.205111),-- [icarus_spirits_piece]
(22781,10400,1,1,1,65.992778),-- [icarus_heavy_arms_piece]
(22781,1879,1,1,2,19307.540719),-- [cokes]
(22781,1885,1,1,2,9653.754355),-- [high_grade_suede]
(22781,9628,1,1,2,908.575465),-- [renad]
(22781,9630,1,1,2,609.707432),-- [oricalcum]
(22781,9629,1,1,2,503.661615),-- [adamantium]
(22781,10483,1,1,2,804.482197),-- [general_82_s]
(22781,10484,1,1,2,201.112547),-- [special_82_s]
(22781,10485,1,1,2,20.16567),-- [rare_82_s]
(22782,10404,1,1,-1,363),-- [icarus_wand_piece]
(22782,10402,1,1,-1,363),-- [icarus_chopper_piece]
(22782,9630,1,1,-1,4469),-- [oricalcum]
(22782,10380,1,1,-1,55),-- [rp_icarus_wand_i]
(22782,10378,1,1,-1,55),-- [rp_icarus_chopper_i]
(22782,57,346,699,0,700000),-- [adena]
(22782,10222,1,1,1,0.224096),-- [icarus_wand]
(22782,10220,1,1,1,0.224096),-- [icarus_chopper]
(22782,10404,1,1,1,74.275904),-- [icarus_wand_piece]
(22782,10402,1,1,1,74.275904),-- [icarus_chopper_piece]
(22782,1894,1,1,2,3493.94364),-- [crafted_leather]
(22782,4039,1,1,2,3319.24824),-- [mold_glue]
(22782,4041,1,1,2,865.88568),-- [mold_hardener]
(22782,4044,1,1,2,3319.24824),-- [thons]
(22782,10483,1,1,2,691.51104),-- [general_82_s]
(22782,10484,1,1,2,172.87776),-- [special_82_s]
(22782,10485,1,1,2,17.2854),-- [rare_82_s]
(22783,10403,1,1,-1,440),-- [icarus_knuckle_piece]
(22783,959,1,1,-1,41),-- [scrl_of_ench_wp_s]
(22783,1894,1,1,-1,36096),-- [crafted_leather]
(22783,10379,1,1,-1,66),-- [rp_icarus_knuckle_i]
(22783,57,333,680,0,700000),-- [adena]
(22783,10221,1,1,1,0.436015),-- [icarus_knuckle]
(22783,10403,1,1,1,144.563985),-- [icarus_knuckle_piece]
(22783,1879,1,1,2,14077.271558),-- [cokes]
(22783,1885,1,1,2,7038.62411),-- [high_grade_suede]
(22783,9628,1,1,2,662.44913),-- [renad]
(22783,9630,1,1,2,444.542224),-- [oricalcum]
(22783,9629,1,1,2,367.22343),-- [adamantium]
(22783,10483,1,1,2,586.553954),-- [general_82_s]
(22783,10484,1,1,2,146.632654),-- [special_82_s]
(22783,10485,1,1,2,14.70294),-- [rare_82_s]
(22784,10405,1,1,-1,454),-- [icarus_accipiter_piece]
(22784,1894,1,1,-1,37238),-- [crafted_leather]
(22784,960,1,1,-1,425),-- [scrl_of_ench_am_s]
(22784,10381,1,1,-1,68),-- [rp_icarus_accipiter_i]
(22784,57,346,699,0,700000),-- [adena]
(22784,10223,1,1,1,0.448043),-- [icarus_accipiter]
(22784,10405,1,1,1,148.551957),-- [icarus_accipiter_piece]
(22784,1894,1,1,2,3493.94364),-- [crafted_leather]
(22784,4039,1,1,2,3319.24824),-- [mold_glue]
(22784,4041,1,1,2,865.88568),-- [mold_hardener]
(22784,4044,1,1,2,3319.24824),-- [thons]
(22784,10483,1,1,2,691.51104),-- [general_82_s]
(22784,10484,1,1,2,172.87776),-- [special_82_s]
(22784,10485,1,1,2,17.2854),-- [rare_82_s]
(22785,10398,1,1,-1,282),-- [icarus_disperser_piece]
(22785,1894,1,1,-1,23092),-- [crafted_leather]
(22785,10374,1,1,-1,42),-- [rp_icarus_disperser_i]
(22785,57,160,326,0,700000),-- [adena]
(22785,10216,1,1,1,0.20986),-- [icarus_disperser]
(22785,10398,1,1,1,69.79014),-- [icarus_disperser_piece]
(22785,1894,1,1,2,1624.919075),-- [crafted_leather]
(22785,4039,1,1,2,1543.67395),-- [mold_glue]
(22785,4041,1,1,2,402.69515),-- [mold_hardener]
(22785,4044,1,1,2,1543.67395),-- [thons]
(22785,10483,1,1,2,321.5992),-- [general_82_s]
(22785,10484,1,1,2,80.3998),-- [special_82_s]
(22785,10485,1,1,2,8.038875),-- [rare_82_s]
(22786,10401,1,1,-1,1455),-- [icarus_trident_piece]
(22786,1894,1,1,-1,119474),-- [crafted_leather]
(22786,10377,1,1,-1,219),-- [rp_icarus_trident_i]
(22786,57,826,1689,0,700000),-- [adena]
(22786,10219,1,1,1,1.08252),-- [icarus_trident]
(22786,10401,1,1,1,358.91748),-- [icarus_trident_piece]
(22786,1895,1,1,2,68463.37751),-- [metallic_fiber]
(22786,4040,1,1,2,4792.424648),-- [mold_lubricant]
(22786,9628,1,1,2,1879.406848),-- [renad]
(22786,9630,1,1,2,1261.156116),-- [oricalcum]
(22786,10483,1,1,2,1664.031974),-- [general_82_s]
(22786,10484,1,1,2,415.988364),-- [special_82_s]
(22786,10485,1,1,2,41.61454),-- [rare_82_s]
(22787,15654,1,1,-1,7016),-- [sealed_destino_gauntlet_piece]
(22787,15655,1,1,-1,7016),-- [sealed_destino_leather_gloves_piece]
(22787,15656,1,1,-1,7016),-- [sealed_destino_gloves_piece]
(22787,15657,1,1,-1,7016),-- [sealed_destino_boots_piece]
(22787,15658,1,1,-1,7016),-- [sealed_destino_leather_boots_piece]
(22787,15659,1,1,-1,7016),-- [sealed_destino_shoes_piece]
(22787,960,1,1,-1,314),-- [scrl_of_ench_am_s]
(22787,15784,1,1,-1,933),-- [rp_sealed_destino_gauntlet_i]
(22787,15785,1,1,-1,933),-- [rp_sealed_destino_leather_gloves_i]
(22787,15786,1,1,-1,933),-- [rp_sealed_destino_gloves_i]
(22787,15787,1,1,-1,933),-- [rp_sealed_destino_boots_i]
(22787,15788,1,1,-1,933),-- [rp_sealed_destino_leather_boots_i]
(22787,15789,1,1,-1,933),-- [rp_sealed_destino_shoes_i]
(22787,57,826,1689,0,700000),-- [adena]
(22787,15703,1,1,1,3.320746),-- [sealed_destino_gauntlet]
(22787,15704,1,1,1,3.320746),-- [sealed_destino_leather_gloves]
(22787,15705,1,1,1,3.320746),-- [sealed_destino_gloves]
(22787,15706,1,1,1,3.320746),-- [sealed_destino_boots]
(22787,15707,1,1,1,3.320746),-- [sealed_destino_leather_boots]
(22787,15708,1,1,1,3.320746),-- [sealed_destino_shoes]
(22787,15654,1,1,1,1248.840912),-- [sealed_destino_gauntlet_piece]
(22787,15655,1,1,1,1248.840912),-- [sealed_destino_leather_gloves_piece]
(22787,15656,1,1,1,1248.840912),-- [sealed_destino_gloves_piece]
(22787,15657,1,1,1,1248.840912),-- [sealed_destino_boots_piece]
(22787,15658,1,1,1,1248.840912),-- [sealed_destino_leather_boots_piece]
(22787,15659,1,1,1,1248.870964),-- [sealed_destino_shoes_piece]
(22787,1895,1,1,2,36864.395636),-- [metallic_fiber]
(22787,4040,1,1,2,2580.518926),-- [mold_lubricant]
(22787,9628,1,1,2,1011.956348),-- [renad]
(22787,9630,1,1,2,679.07256),-- [oricalcum]
(22787,10483,1,1,2,896.012916),-- [general_82_s]
(22787,10484,1,1,2,223.98163),-- [special_82_s]
(22787,10485,1,1,2,22.419762),-- [rare_82_s]
(22787,15784,1,1,2,153.266504),-- [rp_sealed_destino_gauntlet_i]
(22787,15785,1,1,2,153.266504),-- [rp_sealed_destino_leather_gloves_i]
(22787,15786,1,1,2,153.266504),-- [rp_sealed_destino_gloves_i]
(22787,15787,1,1,2,153.266504),-- [rp_sealed_destino_boots_i]
(22787,15788,1,1,2,153.266504),-- [rp_sealed_destino_leather_boots_i]
(22787,15789,1,1,2,153.309702),-- [rp_sealed_destino_shoes_i]
(22788,15645,1,1,-1,5511),-- [sealed_destino_helmet_piece]
(22788,15646,1,1,-1,5511),-- [sealed_destino_leather_helmet_piece]
(22788,15647,1,1,-1,5511),-- [sealed_destino_circlet_piece]
(22788,15693,1,1,-1,9879),-- [sealed_destino_shield_piece]
(22788,15692,1,1,-1,9879),-- [sealed_destino_sigil_piece]
(22788,1894,1,1,-1,32584),-- [crafted_leather]
(22788,15775,1,1,-1,735),-- [rp_sealed_destino_helmet_i]
(22788,15776,1,1,-1,735),-- [rp_sealed_destino_leather_helmet_i]
(22788,15777,1,1,-1,735),-- [rp_sealed_destino_circlet_i]
(22788,15791,1,1,-1,1051),-- [rp_sealed_destino_shield_i]
(22788,15790,1,1,-1,1051),-- [rp_sealed_destino_sigil_i]
(22788,57,826,1689,0,700000),-- [adena]
(22788,15694,1,1,1,2.656704),-- [sealed_destino_helmet]
(22788,15695,1,1,1,2.656704),-- [sealed_destino_leather_helmet]
(22788,15696,1,1,1,2.656704),-- [sealed_destino_circlet]
(22788,15710,1,1,1,3.800928),-- [sealed_destino_shield]
(22788,15709,1,1,1,3.800928),-- [sealed_destino_sigil]
(22788,15645,1,1,1,996.250848),-- [sealed_destino_helmet_piece]
(22788,15646,1,1,1,996.250848),-- [sealed_destino_leather_helmet_piece]
(22788,15647,1,1,1,996.250848),-- [sealed_destino_circlet_piece]
(22788,15693,1,1,1,1785.837744),-- [sealed_destino_shield_piece]
(22788,15692,1,1,1,1785.837744),-- [sealed_destino_sigil_piece]
(22788,1895,1,1,2,39936.5023),-- [metallic_fiber]
(22788,4040,1,1,2,2795.5468),-- [mold_lubricant]
(22788,9628,1,1,2,1096.3129),-- [renad]
(22788,9630,1,1,2,735.6751),-- [oricalcum]
(22788,10483,1,1,2,970.66565),-- [general_82_s]
(22788,10484,1,1,2,242.6548),-- [special_82_s]
(22788,10485,1,1,2,24.2469),-- [rare_82_s]
(22788,15775,1,1,2,110.69035),-- [rp_sealed_destino_helmet_i]
(22788,15776,1,1,2,110.69035),-- [rp_sealed_destino_leather_helmet_i]
(22788,15777,1,1,2,110.69035),-- [rp_sealed_destino_circlet_i]
(22788,15791,1,1,2,158.1158),-- [rp_sealed_destino_shield_i]
(22788,15790,1,1,2,158.2087),-- [rp_sealed_destino_sigil_i]
(22789,15634,1,1,-1,987),-- [vesper_cutter_piece]
(22789,15635,1,1,-1,986),-- [vesper_slasher_piece]
(22789,15636,1,1,-1,987),-- [vesper_burster_piece]
(22789,1894,1,1,-1,58327),-- [crafted_leather]
(22789,15815,1,1,-1,116),-- [rp_vesper_cutter_i]
(22789,15816,1,1,-1,116),-- [rp_vesper_slasher_i]
(22789,15817,1,1,-1,116),-- [rp_vesper_burster_i]
(22789,57,949,1916,0,700000),-- [adena]
(22789,13457,1,1,1,0.444176),-- [vesper_cutter]
(22789,13458,1,1,1,0.444176),-- [vesper_slasher]
(22789,13459,1,1,1,0.444176),-- [vesper_burster]
(22789,15634,1,1,1,189.001432),-- [vesper_cutter_piece]
(22789,15635,1,1,1,188.665176),-- [vesper_slasher_piece]
(22789,15636,1,1,1,189.000864),-- [vesper_burster_piece]
(22789,1895,1,1,2,68239.497935),-- [metallic_fiber]
(22789,4040,1,1,2,4776.785825),-- [mold_lubricant]
(22789,9628,1,1,2,1873.202135),-- [renad]
(22789,9630,1,1,2,1257.008025),-- [oricalcum]
(22789,14166,1,1,2,1153.79124),-- [general_84_s]
(22789,14167,1,1,2,288.13715),-- [special_84_s]
(22789,14168,1,1,2,28.813715),-- [rare_84_s]
(22789,9557,1,1,2,47.763975),-- [high_ore_of_holy]
(22789,15690,1,1,3,1000),-- [silent_monastery_secret_key]
(22789,15540,1,1,3,1000),-- [unlit_torchlight]
(22790,15640,1,1,-1,945),-- [vesper_avenger_piece]
(22790,15641,1,1,-1,956),-- [vesper_retributer_piece]
(22790,15642,1,1,-1,945),-- [vesper_caster_piece]
(22790,15643,1,1,-1,947),-- [vesper_singer_piece]
(22790,15821,1,1,-1,112),-- [rp_vesper_avenger_i]
(22790,15822,1,1,-1,112),-- [rp_vesper_retributer_i]
(22790,15823,1,1,-1,112),-- [rp_vesper_caster_i]
(22790,15824,1,1,-1,112),-- [rp_vesper_singer_i]
(22790,57,1047,2114,0,700000),-- [adena]
(22790,13463,1,1,1,0.367536),-- [vesper_avenger]
(22790,13464,1,1,1,0.367536),-- [vesper_retributer]
(22790,13465,1,1,1,0.367536),-- [vesper_caster]
(22790,13466,1,1,1,0.367536),-- [vesper_singer]
(22790,15640,1,1,1,155.078976),-- [vesper_avenger_piece]
(22790,15641,1,1,1,156.881088),-- [vesper_retributer_piece]
(22790,15642,1,1,1,155.078976),-- [vesper_caster_piece]
(22790,15643,1,1,1,155.490816),-- [vesper_singer_piece]
(22790,1895,1,1,2,75269.488574),-- [metallic_fiber]
(22790,4040,1,1,2,5268.88733),-- [mold_lubricant]
(22790,9628,1,1,2,2066.178254),-- [renad]
(22790,9630,1,1,2,1386.50421),-- [oricalcum]
(22790,14166,1,1,2,1272.654096),-- [general_84_s]
(22790,14167,1,1,2,317.82086),-- [special_84_s]
(22790,14168,1,1,2,31.782086),-- [rare_84_s]
(22790,9557,1,1,2,52.68459),-- [high_ore_of_holy]
(22790,15690,1,1,3,1000),-- [silent_monastery_secret_key]
(22790,15540,1,1,3,1000),-- [unlit_torchlight]
(22791,15638,1,1,-1,1843),-- [vesper_fighter_piece]
(22791,959,1,1,-1,125),-- [scrl_of_ench_wp_s]
(22791,960,1,1,-1,1252),-- [scrl_of_ench_am_s]
(22791,15819,1,1,-1,218),-- [rp_vesper_fighter_i]
(22791,57,1021,2062,0,700000),-- [adena]
(22791,13461,1,1,1,1.434341),-- [vesper_fighter]
(22791,15638,1,1,1,605.565659),-- [vesper_fighter_piece]
(22791,1895,1,1,2,73427.48858),-- [metallic_fiber]
(22791,4040,1,1,2,5139.91862),-- [mold_lubricant]
(22791,4042,1,1,2,4283.29652),-- [enria]
(22791,4043,1,1,2,8566.50003),-- [asofe]
(22791,14166,1,1,2,1241.49748),-- [general_84_s]
(22791,14167,1,1,2,310.00233),-- [special_84_s]
(22791,14168,1,1,2,30.97233),-- [rare_84_s]
(22791,959,1,1,2,10.32411),-- [scrl_of_ench_wp_s]
(22791,15690,1,1,3,1000),-- [silent_monastery_secret_key]
(22791,15540,1,1,3,1000),-- [unlit_torchlight]
(22792,15644,1,1,-1,2519),-- [vesper_thrower_piece]
(22792,9628,1,1,-1,33117),-- [renad]
(22792,15825,1,1,-1,295),-- [rp_vesper_thrower_i]
(22792,57,1033,2086,0,700000),-- [adena]
(22792,13467,1,1,1,1.451126),-- [vesper_thrower]
(22792,15644,1,1,1,620.548874),-- [vesper_thrower_piece]
(22792,1895,1,1,2,74287.208342),-- [metallic_fiber]
(22792,4040,1,1,2,5200.098938),-- [mold_lubricant]
(22792,4042,1,1,2,4333.447148),-- [enria]
(22792,4043,1,1,2,8666.800197),-- [asofe]
(22792,14166,1,1,2,1256.033452),-- [general_84_s]
(22792,14167,1,1,2,313.631967),-- [special_84_s]
(22792,14168,1,1,2,31.334967),-- [rare_84_s]
(22792,959,1,1,2,10.444989),-- [scrl_of_ench_wp_s]
(22792,15690,1,1,3,1000),-- [silent_monastery_secret_key]
(22792,15540,1,1,3,1000),-- [unlit_torchlight]
(22793,15637,1,1,-1,2612),-- [vesper_shaper_piece]
(22793,959,1,1,-1,176),-- [scrl_of_ench_wp_s]
(22793,15818,1,1,-1,307),-- [rp_vesper_shaper_i]
(22793,57,1076,2172,0,700000),-- [adena]
(22793,13460,1,1,1,1.511235),-- [vesper_shaper]
(22793,15637,1,1,1,643.488765),-- [vesper_shaper_piece]
(22793,1895,1,1,2,77357.009504),-- [metallic_fiber]
(22793,4040,1,1,2,5414.996832),-- [mold_lubricant]
(22793,9628,1,1,2,2123.55408),-- [renad]
(22793,9630,1,1,2,1424.9528),-- [oricalcum]
(22793,14166,1,1,2,1307.961312),-- [general_84_s]
(22793,14167,1,1,2,326.571872),-- [special_84_s]
(22793,14168,1,1,2,32.683616),-- [rare_84_s]
(22793,960,1,1,2,108.269984),-- [scrl_of_ench_am_s]
(22793,15690,1,1,3,1000),-- [silent_monastery_secret_key]
(22793,15540,1,1,3,1000),-- [unlit_torchlight]
(22794,15639,1,1,-1,13732),-- [vesper_stormer_piece]
(22794,959,1,1,-1,922),-- [scrl_of_ench_wp_s]
(22794,15820,1,1,-1,1608),-- [rp_vesper_stormer_i]
(22794,57,5594,11432,0,700000),-- [adena]
(22794,13462,1,1,1,7.91904),-- [vesper_stormer]
(22794,15639,1,1,1,3382.08096),-- [vesper_stormer_piece]
(22794,1895,1,1,2,405501.727705),-- [metallic_fiber]
(22794,4040,1,1,2,28385.153265),-- [mold_lubricant]
(22794,9628,1,1,2,11131.568475),-- [renad]
(22794,9630,1,1,2,7469.534125),-- [oricalcum]
(22794,14166,1,1,2,6856.270365),-- [general_84_s]
(22794,14167,1,1,2,1711.874065),-- [special_84_s]
(22794,14168,1,1,2,171.325945),-- [rare_84_s]
(22794,960,1,1,2,567.546055),-- [scrl_of_ench_am_s]
(22794,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22794,15540,1,1,3,10500),-- [unlit_torchlight]
(22794,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22795,15663,1,1,-1,26096),-- [sealed_vesper_cuirass_piece]
(22795,15666,1,1,-1,42035),-- [sealed_vesper_gaiter_piece]
(22795,9628,1,1,-1,113082),-- [renad]
(22795,15795,1,1,-1,3089),-- [rp_sealed_vesper_cuirass_i]
(22795,15798,1,1,-1,4943),-- [rp_sealed_vesper_gaiter_i]
(22795,57,5832,11919,0,700000),-- [adena]
(22795,14105,1,1,1,12.68267),-- [sealed_vesper_cuirass]
(22795,15663,1,1,1,5355.09975),-- [sealed_vesper_cuirass_piece]
(22795,14108,1,1,1,20.292272),-- [sealed_vesper_gaiter]
(22795,15666,1,1,1,8625.925308),-- [sealed_vesper_gaiter_piece]
(22795,1879,1,1,2,179354.438224),-- [cokes]
(22795,1885,1,1,2,89677.219112),-- [high_grade_suede]
(22795,9628,1,1,2,8440.188016),-- [renad]
(22795,9630,1,1,2,5663.895848),-- [oricalcum]
(22795,9629,1,1,2,4678.921832),-- [adamantium]
(22795,14166,1,1,2,5198.572392),-- [general_84_s]
(22795,14167,1,1,2,1298.240632),-- [special_84_s]
(22795,14168,1,1,2,129.91264),-- [rare_84_s]
(22795,15795,1,1,2,230.594936),-- [rp_sealed_vesper_cuirass_i]
(22795,15798,1,1,2,369.07),-- [rp_sealed_vesper_gaiter_i]
(22795,9557,1,1,2,214.946368),-- [high_ore_of_holy]
(22795,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22795,15540,1,1,3,10500),-- [unlit_torchlight]
(22795,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22796,15664,1,1,-1,37946),-- [sealed_vesper_houberk_piece]
(22796,15670,1,1,-1,58481),-- [sealed_vesper_leather_legging_piece]
(22796,9630,1,1,-1,84181),-- [oricalcum]
(22796,15796,1,1,-1,4570),-- [rp_sealed_vesper_houberk_i]
(22796,15799,1,1,-1,7311),-- [rp_sealed_vesper_leather_legging_i]
(22796,57,6469,13222,0,700000),-- [adena]
(22796,14106,1,1,1,18.75918),-- [sealed_vesper_houberk]
(22796,14112,1,1,1,30.00279),-- [sealed_vesper_leather_legging]
(22796,15664,1,1,1,7784.42514),-- [sealed_vesper_houberk_piece]
(22796,15670,1,1,1,11996.81289),-- [sealed_vesper_leather_legging_piece]
(22796,1879,1,1,2,198965.627766),-- [cokes]
(22796,1885,1,1,2,99482.977764),-- [high_grade_suede]
(22796,9628,1,1,2,9363.177054),-- [renad]
(22796,9630,1,1,2,6283.19754),-- [oricalcum]
(22796,9629,1,1,2,5190.439032),-- [adamantium]
(22796,14166,1,1,2,5766.97239),-- [general_84_s]
(22796,14167,1,1,2,1440.186228),-- [special_84_s]
(22796,14168,1,1,2,143.887518),-- [rare_84_s]
(22796,15796,1,1,2,341.200242),-- [rp_sealed_vesper_houberk_i]
(22796,15799,1,1,2,545.72373),-- [rp_sealed_vesper_leather_legging_i]
(22796,9557,1,1,2,238.610736),-- [high_ore_of_holy]
(22796,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22796,15540,1,1,3,10500),-- [unlit_torchlight]
(22796,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22797,15665,1,1,-1,35390),-- [sealed_vesper_jaket_piece]
(22797,15673,1,1,-1,54541),-- [sealed_vesper_hose_piece]
(22797,9628,1,1,-1,116995),-- [renad]
(22797,15797,1,1,-1,4262),-- [rp_sealed_vesper_jaket_i]
(22797,15800,1,1,-1,6819),-- [rp_sealed_vesper_hose_i]
(22797,57,6033,12331,0,700000),-- [adena]
(22797,14107,1,1,1,17.495324),-- [sealed_vesper_jaket]
(22797,14115,1,1,1,27.981422),-- [sealed_vesper_hose]
(22797,15665,1,1,1,7259.967652),-- [sealed_vesper_jaket_piece]
(22797,15673,1,1,1,11188.555602),-- [sealed_vesper_hose_piece]
(22797,1895,1,1,2,388793.340716),-- [metallic_fiber]
(22797,4040,1,1,2,27215.454068),-- [mold_lubricant]
(22797,9628,1,1,2,10672.631486),-- [renad]
(22797,9630,1,1,2,7161.774972),-- [oricalcum]
(22797,14166,1,1,2,6573.603454),-- [general_84_s]
(22797,14167,1,1,2,1641.295502),-- [special_84_s]
(22797,14168,1,1,2,163.99658),-- [rare_84_s]
(22797,15797,1,1,2,388.716218),-- [rp_sealed_vesper_jaket_i]
(22797,15800,1,1,2,623.187004),-- [rp_sealed_vesper_hose_i]
(22797,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22797,15540,1,1,3,10500),-- [unlit_torchlight]
(22797,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22798,15770,1,1,-1,142869),-- [sealed_vesper_earring_gem]
(22798,15771,1,1,-1,102788),-- [sealed_vesper_necklace_gem]
(22798,15769,1,1,-1,237865),-- [sealed_vesper_ring_gem]
(22798,15810,1,1,-1,19937),-- [rp_sealed_vesper_earring_i]
(22798,15811,1,1,-1,14953),-- [rp_sealed_vesper_necklace_i]
(22798,15809,1,1,-1,29905),-- [rp_sealed_vesper_ring_i]
(22798,57,11026,22534,0,700000),-- [adena]
(22798,14160,1,1,1,65.473944),-- [sealed_vesper_earring]
(22798,14161,1,1,1,49.145284),-- [sealed_vesper_necklace]
(22798,14162,1,1,1,98.290568),-- [sealed_vesper_ring]
(22798,15770,1,1,1,23472.24962),-- [sealed_vesper_earring_gem]
(22798,15771,1,1,1,16887.339128),-- [sealed_vesper_necklace_gem]
(22798,15769,1,1,1,39079.501456),-- [sealed_vesper_ring_gem]
(22798,1879,1,3,2,155419.66176),-- [cokes]
(22798,1885,1,1,2,155419.66176),-- [high_grade_suede]
(22798,9628,1,1,2,14627.563192),-- [renad]
(22798,9630,1,1,2,9816.130456),-- [oricalcum]
(22798,9629,1,1,2,8108.836241),-- [adamantium]
(22798,14166,1,1,2,9009.898172),-- [general_84_s]
(22798,14167,1,1,2,2249.589991),-- [special_84_s]
(22798,14168,1,1,2,224.995056),-- [rare_84_s]
(22798,15809,1,1,2,2455.114321),-- [rp_sealed_vesper_ring_i]
(22798,15810,1,1,2,1636.98326),-- [rp_sealed_vesper_earring_i]
(22798,15811,1,1,2,1227.737445),-- [rp_sealed_vesper_necklace_i]
(22798,9557,1,1,2,372.828346),-- [high_ore_of_holy]
(22798,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22798,15540,1,1,3,10500),-- [unlit_torchlight]
(22798,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22799,15667,1,1,-1,81546),-- [sealed_vesper_gauntlet_piece]
(22799,15671,1,1,-1,81546),-- [sealed_vesper_leather_gloves_piece]
(22799,15674,1,1,-1,81546),-- [sealed_vesper_gloves_piece]
(22799,15668,1,1,-1,81546),-- [sealed_vesper_boots_piece]
(22799,15672,1,1,-1,81546),-- [sealed_vesper_leather_boots_piece]
(22799,15675,1,1,-1,81546),-- [sealed_vesper_shoes_piece]
(22799,9630,1,1,-1,56009),-- [oricalcum]
(22799,15801,1,1,-1,9121),-- [rp_sealed_vesper_gauntlet_i]
(22799,15802,1,1,-1,9121),-- [rp_sealed_vesper_leather_gloves_i]
(22799,15803,1,1,-1,9121),-- [rp_sealed_vesper_gloves_i]
(22799,15804,1,1,-1,9121),-- [rp_sealed_vesper_boots_i]
(22799,15805,1,1,-1,9121),-- [rp_sealed_vesper_leather_boots_i]
(22799,15806,1,1,-1,9121),-- [rp_sealed_vesper_shoes_i]
(22799,57,11191,22872,0,700000),-- [adena]
(22799,14109,1,1,1,32.451048),-- [sealed_vesper_gauntlet]
(22799,14113,1,1,1,32.451048),-- [sealed_vesper_leather_gloves]
(22799,14116,1,1,1,32.451048),-- [sealed_vesper_gloves]
(22799,14110,1,1,1,32.451048),-- [sealed_vesper_boots]
(22799,14114,1,1,1,32.451048),-- [sealed_vesper_leather_boots]
(22799,14117,1,1,1,32.451048),-- [sealed_vesper_shoes]
(22799,15667,1,1,1,14506.57803),-- [sealed_vesper_gauntlet_piece]
(22799,15671,1,1,1,14506.57803),-- [sealed_vesper_leather_gloves_piece]
(22799,15674,1,1,1,14506.57803),-- [sealed_vesper_gloves_piece]
(22799,15668,1,1,1,14506.57803),-- [sealed_vesper_boots_piece]
(22799,15672,1,1,1,14506.57803),-- [sealed_vesper_leather_boots_piece]
(22799,15675,1,1,1,14506.403562),-- [sealed_vesper_shoes_piece]
(22799,1879,1,1,2,270432.400482),-- [cokes]
(22799,1885,1,1,2,135216.426394),-- [high_grade_suede]
(22799,9628,1,1,2,12726.081616),-- [renad]
(22799,9630,1,1,2,8539.989586),-- [oricalcum]
(22799,9629,1,1,2,7054.616682),-- [adamantium]
(22799,14166,1,1,2,7838.46298),-- [general_84_s]
(22799,14167,1,1,2,1957.128062),-- [special_84_s]
(22799,14168,1,1,2,195.848498),-- [rare_84_s]
(22799,15801,1,1,2,1390.84095),-- [rp_sealed_vesper_gauntlet_i]
(22799,15802,1,1,2,1390.84095),-- [rp_sealed_vesper_leather_gloves_i]
(22799,15803,1,1,2,1390.84095),-- [rp_sealed_vesper_gloves_i]
(22799,15804,1,1,2,1390.84095),-- [rp_sealed_vesper_boots_i]
(22799,15805,1,1,2,1390.84095),-- [rp_sealed_vesper_leather_boots_i]
(22799,15806,1,1,2,1390.84095),-- [rp_sealed_vesper_shoes_i]
(22799,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22799,15540,1,1,3,10500),-- [unlit_torchlight]
(22799,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22800,15660,1,1,-1,67556),-- [sealed_vesper_helmet_piece]
(22800,15661,1,1,-1,67556),-- [sealed_vesper_leather_helmet_piece]
(22800,15662,1,1,-1,67556),-- [sealed_vesper_circlet_piece]
(22800,15669,1,1,-1,99846),-- [sealed_vesper_verteidiger_piece]
(22800,15691,1,1,-1,99846),-- [sealed_vesper_sigil_piece]
(22800,15792,1,1,-1,8416),-- [rp_sealed_vesper_helmet_i]
(22800,15793,1,1,-1,8416),-- [rp_sealed_vesper_leather_helmet_i]
(22800,15794,1,1,-1,8416),-- [rp_sealed_vesper_circlet_i]
(22800,15808,1,1,-1,12022),-- [rp_sealed_vesper_verteidiger_i]
(22800,15807,1,1,-1,12022),-- [rp_sealed_vesper_sigil_i]
(22800,57,11913,24348,0,700000),-- [adena]
(22800,13143,1,1,1,27.637509),-- [sealed_vesper_helmet]
(22800,13144,1,1,1,27.637509),-- [sealed_vesper_leather_helmet]
(22800,13145,1,1,1,27.637509),-- [sealed_vesper_circlet]
(22800,14111,1,1,1,39.501092),-- [sealed_vesper_verteidiger]
(22800,13887,1,1,1,39.501092),-- [sealed_vesper_sigil]
(22800,15660,1,1,1,11100.668453),-- [sealed_vesper_helmet_piece]
(22800,15661,1,1,1,11100.668453),-- [sealed_vesper_leather_helmet_piece]
(22800,15662,1,1,1,11100.668453),-- [sealed_vesper_circlet_piece]
(22800,15669,1,1,1,16406.473688),-- [sealed_vesper_verteidiger_piece]
(22800,15691,1,1,1,16406.606242),-- [sealed_vesper_sigil_piece]
(22800,1879,1,3,2,155017.000272),-- [cokes]
(22800,1885,1,1,2,155017.000272),-- [high_grade_suede]
(22800,9628,1,1,2,14589.932781),-- [renad]
(22800,9630,1,1,2,9790.494306),-- [oricalcum]
(22800,9629,1,1,2,8087.909265),-- [adamantium]
(22800,14166,1,1,2,8986.56585),-- [general_84_s]
(22800,14167,1,1,2,2243.94009),-- [special_84_s]
(22800,14168,1,1,2,224.394009),-- [rare_84_s]
(22800,15792,1,1,2,1062.900033),-- [rp_sealed_vesper_helmet_i]
(22800,15793,1,1,2,1062.900033),-- [rp_sealed_vesper_leather_helmet_i]
(22800,15794,1,1,2,1062.900033),-- [rp_sealed_vesper_circlet_i]
(22800,15808,1,1,2,1518.531528),-- [rp_sealed_vesper_verteidiger_i]
(22800,15807,1,1,2,1518.531528),-- [rp_sealed_vesper_sigil_i]
(22800,15690,1,1,3,10500),-- [silent_monastery_secret_key]
(22800,15540,1,1,3,10500),-- [unlit_torchlight]
(22800,8056,1,1,3,49000),-- [q_key_of_brilliant_room]
(22801,5162,1,1,-1,858),-- [rp_comp_spiritshot_s]
(22801,6701,1,1,-1,10276),-- [sealed_imperial_crusader_armor_part]
(22801,6702,1,1,-1,13228),-- [sealed_imperial_crusader_gaiters_pattern]
(22801,9630,1,1,-1,10158),-- [oricalcum]
(22801,57,1294,2643,0,700000),-- [adena]
(22801,6364,1,1,1,2),-- [forgotten_blade]
(22801,6372,1,1,1,2),-- [heavens_divider]
(22801,1895,1,1,2,67871.4985),-- [metallic_fiber]
(22801,4040,1,1,2,4751.0125),-- [mold_lubricant]
(22801,4042,1,1,2,3959.163),-- [enria]
(22801,4043,1,1,2,7918.326),-- [asofe]
(22802,6688,1,1,-1,3844),-- [forgotten_blade_edge]
(22802,6696,1,1,-1,3905),-- [heavens_divider_edge]
(22802,6711,1,1,-1,8811),-- [sealed_major_arcana_robe_part]
(22802,57,894,1826,0,700000),-- [adena]
(22802,6366,1,1,1,0.75),-- [imperial_staff]
(22802,6369,1,1,1,0.75),-- [dragon_hunter_axe]
(22802,6365,1,1,1,0.75),-- [basalt_battlehammer]
(22802,6579,1,1,1,0.75),-- [arcana_mace]
(22802,1894,1,1,2,5759.85608),-- [crafted_leather]
(22802,4039,1,1,2,5471.863276),-- [mold_glue]
(22802,4041,1,1,2,1427.435499),-- [mold_hardener]
(22802,4044,1,1,2,5471.845145),-- [thons]
(22803,6694,1,1,-1,3866),-- [saint_spear_blade]
(22803,5272,1,1,-1,781),-- [rp_adv_comp_soulshot_s]
(22803,6691,1,1,-1,3798),-- [angel_slayer_blade]
(22803,959,1,1,-1,70),-- [scrl_of_ench_wp_s]
(22803,57,1178,2406,0,700000),-- [adena]
(22803,6371,1,1,1,4),-- [demon_splinter]
(22803,1894,1,1,2,7587.46912),-- [crafted_leather]
(22803,4039,1,1,2,7208.095664),-- [mold_glue]
(22803,4041,1,1,2,1880.363436),-- [mold_hardener]
(22803,4044,1,1,2,7208.07178),-- [thons]
(22804,5277,1,1,-1,1179),-- [rp_adv_comp_spiritshot_s]
(22804,6689,1,1,-1,5626),-- [basalt_battlehammer_head]
(22804,6690,1,1,-1,5745),-- [piece_of_imperial_staff]
(22804,57,1336,2721,0,700000),-- [adena]
(22804,7575,1,1,1,5),-- [draconic_bow]
(22804,1895,1,1,2,55976.066854),-- [metallic_fiber]
(22804,4040,1,1,2,3918.351862),-- [mold_lubricant]
(22804,4042,1,1,2,3265.281602),-- [enria]
(22804,4043,1,1,2,6530.563204),-- [asofe]
(22804,959,1,1,2,7.736478),-- [scrl_of_ench_wp_s]
(22805,6695,1,1,-1,3888),-- [demon_splinter_blade]
(22805,7579,1,1,-1,4009),-- [draconic_bow_shaft]
(22805,5282,1,1,-1,815),-- [rp_adv_comp_bspiritshot_s]
(22805,57,924,1880,0,700000),-- [adena]
(22805,6367,1,1,1,3),-- [angel_slayer]
(22805,1894,1,1,2,4750.13727),-- [crafted_leather]
(22805,4039,1,1,2,4512.619188),-- [mold_glue]
(22805,4041,1,1,2,1177.209558),-- [mold_hardener]
(22805,4044,1,1,2,4512.619188),-- [thons]
(22805,959,1,1,2,5.414796),-- [scrl_of_ench_wp_s]
(22806,5529,1,1,-1,4969),-- [dragon_slayer_edge]
(22806,1808,1,1,-1,805),-- [rp_soulshot_s]
(22806,5533,1,1,-1,4968),-- [elysian_head]
(22806,959,1,1,-1,72),-- [scrl_of_ench_wp_s]
(22806,57,1217,2477,0,700000),-- [adena]
(22806,6370,1,1,1,4),-- [saint_spear]
(22806,1894,1,1,2,6257.618325),-- [crafted_leather]
(22806,4039,1,1,2,5944.72263),-- [mold_glue]
(22806,4041,1,1,2,1550.803205),-- [mold_hardener]
(22806,4044,1,1,2,5944.72263),-- [thons]
(22806,959,1,1,2,7.13321),-- [scrl_of_ench_wp_s]
(22807,6703,1,1,-1,35837),-- [sealed_imperial_crusader_gauntlet_design]
(22807,6704,1,1,-1,35837),-- [sealed_imperial_crusader_boots_design]
(22807,5277,1,1,-1,1119),-- [rp_adv_comp_spiritshot_s]
(22807,57,1266,2585,0,700000),-- [adena]
(22807,6674,1,1,1,7.307628),-- [sealed_imperial_crusader_armor]
(22807,6675,1,1,1,11.692372),-- [sealed_imperial_crusader_gaiters]
(22807,1895,1,1,2,66383.144811),-- [metallic_fiber]
(22807,4040,1,1,2,4646.827575),-- [mold_lubricant]
(22807,4042,1,1,2,3872.342538),-- [enria]
(22807,4043,1,1,2,7744.685076),-- [asofe]
(22808,3036,1,1,-1,632),-- [rp_spiritshot_s]
(22808,959,1,1,-1,57),-- [scrl_of_ench_wp_s]
(22808,3957,1,1,-1,632),-- [rp_blessed_spiritshot_s]
(22808,57,716,1461,0,700000),-- [adena]
(22808,6680,1,1,1,7),-- [sealed_draconic_leather_armor]
(22808,1894,1,1,2,4607.9484),-- [crafted_leather]
(22808,4039,1,1,2,4377.55098),-- [mold_glue]
(22808,4041,1,1,2,1141.964145),-- [mold_hardener]
(22808,4044,1,1,2,4377.536475),-- [thons]
(22809,6688,1,1,-1,11477),-- [forgotten_blade_edge]
(22809,960,1,1,-1,2124),-- [scrl_of_ench_am_s]
(22809,1894,1,1,-1,186300),-- [crafted_leather]
(22809,57,2675,5446,0,700000),-- [adena]
(22809,6684,1,1,1,25),-- [sealed_major_arcana_robe]
(22809,1895,1,1,2,112025.516031),-- [metallic_fiber]
(22809,4040,1,1,2,7841.837439),-- [mold_lubricant]
(22809,9628,1,1,2,3075.25491),-- [renad]
(22809,9630,1,1,2,2063.687544),-- [oricalcum]
(22809,960,1,1,2,156.704076),-- [scrl_of_ench_am_s]
(22810,6708,1,1,-1,61449),-- [sealed_draconic_leather_gloves_fabric]
(22810,6709,1,1,-1,61449),-- [sealed_draconic_leather_boots_design]
(22810,5157,1,1,-1,1918),-- [rp_comp_soulshot_s]
(22810,57,2171,4432,0,700000),-- [adena]
(22810,6724,1,1,1,32.617154),-- [sealed_sanddragon's_earing]
(22810,6725,1,1,1,48.925678),-- [sealed_ring_of_aurakyria]
(22810,6726,1,1,1,24.457168),-- [sealed_dragon_necklace]
(22810,1895,1,1,2,113824.86624),-- [metallic_fiber]
(22810,4040,1,1,2,7967.715234),-- [mold_lubricant]
(22810,9628,1,1,2,3124.5444),-- [renad]
(22810,9630,1,1,2,2096.874126),-- [oricalcum]
(22811,6712,1,1,-1,107447),-- [sealed_major_arcana_gloves_fabric]
(22811,5162,1,1,-1,3354),-- [rp_comp_spiritshot_s]
(22811,6713,1,1,-1,107447),-- [sealed_major_arcana_boots_design]
(22811,57,3802,7740,0,700000),-- [adena]
(22811,6676,1,1,1,29.000058),-- [sealed_imperial_crusader_gauntlet]
(22811,6681,1,1,1,29.000058),-- [sealed_draconic_leather_gloves]
(22811,6685,1,1,1,29.000058),-- [sealed_major_arcana_gloves]
(22811,6677,1,1,1,29.000058),-- [sealed_imperial_crusader_boots]
(22811,6682,1,1,1,29.000058),-- [sealed_draconic_leather_boots]
(22811,6686,1,1,1,28.99971),-- [sealed_major_arcana_boots]
(22811,1895,1,1,2,159224.234127),-- [metallic_fiber]
(22811,4040,1,1,2,11145.742034),-- [mold_lubricant]
(22811,4042,1,1,2,9287.986057),-- [enria]
(22811,4043,1,1,2,18576.170571),-- [asofe]
(22811,960,1,1,2,222.867211),-- [scrl_of_ench_am_s]
(22812,6706,1,1,-1,104685),-- [sealed_imperial_crusader_helmet_pattern]
(22812,6710,1,1,-1,104685),-- [sealed_draconic_leather_helmet_pattern]
(22812,57,2164,4418,0,700000),-- [adena]
(22812,6679,1,1,1,13.194498),-- [sealed_imperial_crusader_helmet]
(22812,6683,1,1,1,13.194498),-- [sealed_draconic_leather_helmet]
(22812,6687,1,1,1,13.194498),-- [sealed_major_arcana_hood]
(22812,6678,1,1,1,18.849861),-- [sealed_imperial_crusader_shield]
(22812,13885,1,1,1,12.566645),-- [sealed_arcana_sigil]
(22812,1895,1,1,2,113464.278019),-- [metallic_fiber]
(22812,4040,1,1,2,7942.512175),-- [mold_lubricant]
(22812,4042,1,1,2,6618.736602),-- [enria]
(22812,4043,1,1,2,13237.473204),-- [asofe]
(25001,348,1,1,0,272693.767227),-- [scale_mail]
(25001,377,4,12,0,54506.950827),-- [scale_gaiters]
(25001,1935,53,157,0,74357.519607),-- [scale_mail_fragment]
(25001,1937,24,72,0,250134.762339),-- [scale_gaiters_fragment]
(25001,69,1,1,1,67691.868545),-- [bastard_sword]
(25001,125,1,1,1,67691.868545),-- [spinebone_sword]
(25001,126,1,1,1,67691.868545),-- [artisan's_sword]
(25001,128,1,1,1,67691.868545),-- [knight's_sword]
(25001,2021,3,9,1,352919.52582),-- [spinebone_sword_blade]
(25001,6575,1,1,2,40258.77498),-- [blessed_scrl_of_ench_wp_d]
(25001,6576,1,1,2,362331.59166),-- [blessed_scrl_of_ench_am_d]
(25001,956,12,36,2,251619.63336),-- [scrl_of_ench_am_d]
(25004,352,1,1,0,143869.013464),-- [brigandine]
(25004,2377,6,16,0,20921.22954),-- [mithril_scale_gaiters]
(25004,2378,1,1,0,230130.51772),-- [brigandine_gaiters]
(25004,1941,140,420,0,23468.946324),-- [brigandine_temper]
(25004,2918,40,120,0,122540.606336),-- [mithril_scale_gaiters_material]
(25004,2919,81,243,0,60513.686616),-- [brigandine_gaiters_material]
(25004,224,1,1,1,69231.989442),-- [maingauche]
(25004,1660,1,1,1,69231.989442),-- [cursed_maingauche]
(25004,2038,24,72,1,81835.535628),-- [maingauche_edge]
(25004,2044,8,22,1,261874.485488),-- [cursed_maingauche_edge]
(25004,6387,60,180,2,321287),-- [blessed_scroll_of_resurrection_pet]
(25007,398,1,1,0,115012.39948),-- [plate_leather]
(25007,418,7,19,0,14146.910844),-- [plate_leather_gaiters]
(25007,399,1,1,0,106046.117958),-- [rind_leather_mail]
(25007,419,1,1,0,169820.072048),-- [rind_leather_gaiters]
(25007,1966,192,576,0,18753.26387),-- [plate_leather_fragment]
(25007,1967,116,346,0,46570.6648),-- [plate_leather_gaiters_material]
(25007,1975,23,67,0,143972.63881),-- [rind_leather_mail_design]
(25007,1976,60,180,0,99951.93219),-- [rind_leather_gaiters_material]
(25007,282,1,1,1,53558.3565),-- [elemental_bow]
(25007,285,1,1,1,53558.3565),-- [noble_elven_bow]
(25007,2085,24,72,1,85281.5799),-- [elemental_bow_shaft]
(25007,2086,8,22,1,272901.7071),-- [noble_elven_bow_shaft]
(25007,952,12,36,2,852299),-- [scrl_of_ench_am_c]
(25007,9816,1,5,2,730000),-- [earth_egg]
(25007,8176,1,2,2,730000),-- [tombstone_of_destruction]
(25010,2397,1,1,0,64704.244),-- [tunic_of_shrnoen]
(25010,2402,1,1,0,103502.7048),-- [hose_of_shrnoen]
(25010,2406,1,1,0,39800.42176),-- [avadon_robe]
(25010,4069,81,243,0,56358.92768),-- [tunic_of_shrnoen_fabric]
(25010,4070,40,120,0,173284.88144),-- [hose_of_shrnoen_fabric]
(25010,4071,14,42,0,250508.82032),-- [avadon_robe_fabric]
(25010,300,1,1,1,52171.151061),-- [great_axe]
(25010,4113,12,36,1,373635.848939),-- [great_axe_head]
(25010,4622,1,3,2,389480.76973),-- [dye_m4w4_c]
(25010,4623,2,4,2,259654.177978),-- [dye_w4i4_c]
(25010,4624,2,6,2,194739.887628),-- [dye_w4m4_c]
(25010,6572,1,1,2,150599.164664),-- [blessed_scrl_of_ench_am_b]
(25010,9818,2,7,2,720000),-- [soul_of_angel]
(25010,8176,1,3,2,800000),-- [tombstone_of_destruction]
(25013,2384,1,1,0,54316.17395),-- [shrnoen's_leather_shirts]
(25013,2388,1,1,0,86885.65959),-- [shrnoen's_leather_gaiters]
(25013,2390,1,1,0,33410.584808),-- [avadon_leather_mail]
(25013,4066,81,243,0,47310.672844),-- [shrnoen's_leather_shirts_fabric]
(25013,4067,40,120,0,145464.519502),-- [shrnoen's_leather_gaiters_texture]
(25013,4068,14,42,0,210290.389306),-- [avadon_leather_mail_lining]
(25013,300,1,1,1,43795.233735),-- [great_axe]
(25013,4113,12,36,1,313649.766265),-- [great_axe_head]
(25013,4604,2,6,2,263376.522948),-- [dye_c3c3_c]
(25013,4605,3,7,2,210701.058326),-- [dye_d3s3_c]
(25013,4606,3,9,2,175584.348632),-- [dye_d3c3_c]
(25013,952,21,63,2,150500.070094),-- [scrl_of_ench_am_c]
(25013,9814,2,5,2,770000),-- [skull_of_death_spirit]
(25013,8176,1,3,2,670000),-- [tombstone_of_destruction]
(25016,601,1,1,0,96753.109299),-- [doom_boots]
(25016,2439,1,1,0,96753.109299),-- [blue_wolve's_boots]
(25016,2475,1,1,0,96753.109299),-- [doom_gloves]
(25016,2487,1,1,0,96753.109299),-- [blue_wolve's_gloves]
(25016,4099,60,180,0,111992.294568),-- [doom_boots_part]
(25016,4090,116,346,0,58177.479822),-- [blue_wolve's_boots_design]
(25016,4091,192,576,0,34997.284476),-- [doom_gloves_part]
(25016,4096,293,877,0,22973.503938),-- [blue_wolve's_gloves_fabric]
(25016,268,1,1,1,35597.18129),-- [bellion_cestus]
(25016,4120,12,36,1,327028.81871),-- [bellion_cestus_edge]
(25016,4619,5,15,2,80286.58396),-- [dye_i4m4_c]
(25016,4620,2,4,2,267621.425564),-- [dye_i4w4_c]
(25016,4621,2,6,2,200715.678446),-- [dye_m4i4_c]
(25016,947,1,1,2,232830.31203),-- [scrl_of_ench_wp_b]
(25016,9817,2,7,2,740000),-- [core_of_false_life]
(25016,8176,1,3,2,830000),-- [tombstone_of_destruction]
(25019,393,1,1,0,167391.624988),-- [mithril_banded_mail]
(25019,394,1,1,0,167391.624988),-- [reinforce_leather_shirt]
(25019,415,4,12,0,33443.901498),-- [mithril_banded_gaiters]
(25019,416,5,13,0,29727.699162),-- [reinforce_leather_gaiters]
(25019,1938,53,157,0,62696.198054),-- [mithril_banded_mail_material]
(25019,1939,24,72,0,179190.95131),-- [mithril_banded_gaiters_material]
(25019,316,1,1,1,79024.176192),-- [blood_of_saints]
(25019,317,1,1,1,79024.176192),-- [tome_of_blood]
(25019,2030,3,9,1,572655.647616),-- [tome_of_blood_page]
(25019,956,12,36,2,793367),-- [scrl_of_ench_am_d]
(25020,396,1,1,0,210544.158658),-- [slamander_skin_mail]
(25020,1952,12,36,0,515064.841342),-- [slamander_skin_mail_texture]
(25020,159,1,1,1,16694.76785),-- [bonebreaker]
(25020,187,1,1,1,16694.76785),-- [atuba_hammer]
(25020,188,1,1,1,16694.76785),-- [ghost_staff]
(25020,189,1,1,1,16694.76785),-- [life_stick]
(25020,190,1,1,1,16694.76785),-- [atuba_mace]
(25020,2048,2,6,1,239325.056795),-- [bonebreaker_head]
(25020,2049,3,7,1,191460.67632),-- [atuba_hammer_head]
(25020,2050,7,21,1,72503.555095),-- [ghost_staff_head]
(25020,2051,12,36,1,42293.674755),-- [life_stick_shaft]
(25020,2058,3,9,1,159548.197785),-- [atuba_mace_head]
(25020,6574,1,1,2,428808),-- [blessed_scrl_of_ench_am_c]
(25023,353,1,1,0,189124.908196),-- [half_plate]
(25023,380,4,12,0,37825.104442),-- [plate_gaiters]
(25023,1950,53,157,0,87925.576772),-- [half_plate_temper]
(25023,1951,24,72,0,299138.41059),-- [plate_gaiters_part]
(25023,262,1,1,1,123046.939911),-- [scallop_jamadhr]
(25023,2053,12,36,1,293992.060089),-- [scallop_jamadhr_edge]
(25023,951,3,9,2,335203),-- [scrl_of_ench_wp_c]
(25026,119,1,1,0,96888.312381),-- [necklace_of_binding]
(25026,855,1,1,0,129184.198869),-- [nassen's_earing]
(25026,886,1,1,0,193776.624762),-- [ring_of_binding]
(25026,1920,140,420,0,25717.094796),-- [necklace_of_binding_chain]
(25026,1918,81,243,0,56259.246222),-- [nassen's_earing_gemstone]
(25026,2917,40,120,0,151091.52297),-- [ring_of_binding_gemstone]
(25026,286,1,1,1,40181.852172),-- [eminence_bow]
(25026,2121,3,9,1,725814.147828),-- [eminence_bow_shaft]
(25026,4607,1,3,2,340992.819254),-- [dye_i3m3_c]
(25026,4608,2,4,2,227328.293077),-- [dye_i3w3_c]
(25026,4609,2,6,2,170496.409627),-- [dye_m3i3_c]
(25026,6573,1,1,2,20459.478042),-- [blessed_scrl_of_ench_wp_c]
(25026,9814,1,3,2,870000),-- [skull_of_death_spirit]
(25026,8176,1,1,2,870000),-- [tombstone_of_destruction]
(25029,503,1,1,0,95783.348416),-- [shrnoen's_helmet]
(25029,633,1,1,0,136840.172308),-- [shrnoen's_shield]
(25029,673,1,1,0,136840.172308),-- [avadon_shield]
(25029,2415,1,1,0,95783.348416),-- [avadon_circlet]
(25029,4102,192,576,0,33531.140872),-- [shrnoen's_helmet_design]
(25029,4101,116,346,0,71944.317684),-- [shrnoen's_shield_fragment]
(25029,4439,60,180,0,164759.054952),-- [avadon_shield_fragment]
(25029,4072,293,877,0,22010.445044),-- [avadon_circlet_pattern]
(25029,284,1,1,1,51495.46105),-- [dark_elven_long_bow]
(25029,4112,12,36,1,405774.53895),-- [dark_elven_long_bow_shaft]
(25029,4613,5,15,2,76887.22558),-- [dye_s4c4_c]
(25029,4614,2,4,2,256290.253022),-- [dye_s4d4_c]
(25029,4615,2,6,2,192217.315583),-- [dye_c4s4_c]
(25029,947,1,1,2,222972.205815),-- [scrl_of_ench_wp_b]
(25029,9817,2,6,2,790000),-- [core_of_false_life]
(25029,8176,1,3,2,790000),-- [tombstone_of_destruction]
(25032,5297,1,1,0,37700.777166),-- [sealed_dark_crystal_leather_mail]
(25032,5298,1,1,0,60298.931086),-- [sealed_legging_of_dark_crystal]
(25032,5301,1,1,0,23197.18086),-- [sealed_tallum_leather_mail]
(25032,5478,9,27,0,235216.99583),-- [sealed_dark_crystal_leather_mail_pattern]
(25032,5482,28,84,0,118669.984644),-- [sealed_legging_of_dark_crystal_design]
(25032,5479,20,60,0,74482.130414),-- [sealed_tallum_leather_mail_pattern]
(25032,288,1,1,1,32142.454791),-- [carnium_bow]
(25032,5535,12,36,1,322118.545209),-- [carnium_bow_shaft]
(25032,6570,1,1,2,163169.5),-- [blessed_scrl_of_ench_am_a]
(25032,729,1,1,2,163169.5),-- [scrl_of_ench_wp_a]
(25032,9814,2,6,2,820000),-- [skull_of_death_spirit]
(25032,8176,1,3,2,820000),-- [tombstone_of_destruction]
(25035,5313,1,1,0,54307.97645),-- [sealed_gloves_of_nightmare]
(25035,5314,1,1,0,54307.97645),-- [sealed_boots_of_nightmare]
(25035,5318,1,1,0,54307.97645),-- [sealed_magestic_gloves]
(25035,5319,1,1,0,54307.97645),-- [sealed_magestic_boots]
(25035,5514,60,180,0,51784.493033),-- [sealed_gloves_of_nightmare_design]
(25035,5502,116,346,0,26900.823222),-- [sealed_boots_of_nightmare_lining]
(25035,5515,16,48,0,194191.377723),-- [sealed_magestic_gloves_design]
(25035,5503,23,67,0,138092.400222),-- [sealed_magestic_boots_lining]
(25035,305,1,1,1,21287.467624),-- [tallum_glaive]
(25035,5541,12,36,1,252256.532376),-- [tallum_glaive_edge]
(25035,959,1,1,2,38156.405712),-- [scrl_of_ench_wp_s]
(25035,960,1,1,2,381564.909282),-- [scrl_of_ench_am_s]
(25035,6577,1,1,2,6359.685006),-- [blessed_scrl_of_ench_wp_s]
(25035,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25035,9814,3,8,2,740000),-- [skull_of_death_spirit]
(25035,8176,2,3,2,820000),-- [tombstone_of_destruction]
(25038,849,4,10,0,93125.53428),-- [tiger'seye_earing]
(25038,880,3,7,0,195168.125643),-- [black_pearl_ring]
(25038,912,4,12,0,61082.77308),-- [near_forest_necklace]
(25038,1901,72,216,0,154440.566997),-- [tiger'seye_earing_stone]
(25038,83,1,1,1,58465.561752),-- [sword_of_magic]
(25038,144,1,1,1,58465.561752),-- [sword_of_occult]
(25038,124,1,1,1,43312.931172),-- [two-handed_sword]
(25038,127,1,1,1,43312.931172),-- [crimson_sword]
(25038,130,1,1,1,43312.931172),-- [elven_sword]
(25038,2026,3,9,1,322992.08298),-- [two-handed_sword_edge]
(25038,955,3,9,2,417444),-- [scrl_of_ench_wp_d]
(25041,61,9,25,0,10511.075844),-- [mithril_glove]
(25041,607,9,27,0,9927.127186),-- [ogre_power_gauntlet]
(25041,1125,10,28,0,9405.017595),-- [assault_boots]
(25041,2427,10,30,0,8934.571022),-- [slamander_skin_boots]
(25041,2428,1,1,0,178694.551532),-- [plate_boots]
(25041,2451,1,1,0,178694.551532),-- [sage's_worn_gloves]
(25041,1949,112,336,0,33476.852891),-- [mithril_glove_design]
(25041,1963,203,607,0,18515.712542),-- [ogre_power_gauntlet_part]
(25041,1957,320,960,0,11716.546264),-- [assault_boots_part]
(25041,2931,28,82,0,136341.835594),-- [slamander_skin_boots_lining]
(25041,2932,36,108,0,104149.513196),-- [plate_boots_design]
(25041,2933,46,136,0,82405.644802),-- [sage's_worn_gloves_lining]
(25041,262,1,1,1,87192.585431),-- [scallop_jamadhr]
(25041,2053,12,36,1,208326.414569),-- [scallop_jamadhr_edge]
(25041,6574,1,1,2,447912),-- [blessed_scrl_of_ench_am_c]
(25044,2436,1,1,0,79199.868012),-- [theca_leather_boots]
(25044,2460,1,1,0,79199.868012),-- [theca_leather_gloves]
(25044,2437,1,1,0,60918.565),-- [drake_leather_boots]
(25044,2438,1,1,0,60918.565),-- [full_plate_boots]
(25044,2461,1,1,0,60918.565),-- [drake_leather_gloves]
(25044,2462,1,1,0,60918.565),-- [full_plate_gauntlet]
(25044,2463,1,1,0,60918.565),-- [blessed_gloves]
(25044,2954,144,432,0,18414.607166),-- [theca_leather_boots_texture]
(25044,2955,255,765,0,10399.15739),-- [theca_leather_gloves_texture]
(25044,2960,396,1188,0,5760.746182),-- [drake_leather_boots_design]
(25044,2961,30,90,0,76045.003034),-- [full_plate_boots_part]
(25044,2962,39,117,0,58496.15618),-- [drake_leather_gloves_design]
(25044,2963,49,147,0,46558.267507),-- [full_plate_gauntlet_part]
(25044,2964,60,180,0,38022.501517),-- [blessed_gloves_pattern]
(25044,228,1,1,1,37332.361506),-- [crystal_dagger]
(25044,2119,3,9,1,668196.638494),-- [crystal_dagger_blade]
(25044,4604,2,6,2,158405.691654),-- [dye_c3c3_c]
(25044,4605,3,7,2,126724.457073),-- [dye_d3s3_c]
(25044,4606,3,9,2,105603.794436),-- [dye_d3c3_c]
(25044,952,21,63,2,90517.056837),-- [scrl_of_ench_am_c]
(25044,9814,1,3,2,810000),-- [skull_of_death_spirit]
(25044,8176,1,1,2,810000),-- [tombstone_of_destruction]
(25047,2436,1,1,0,85244.876628),-- [theca_leather_boots]
(25047,2460,1,1,0,85244.876628),-- [theca_leather_gloves]
(25047,2437,1,1,0,65568.235),-- [drake_leather_boots]
(25047,2438,1,1,0,65568.235),-- [full_plate_boots]
(25047,2461,1,1,0,65568.235),-- [drake_leather_gloves]
(25047,2462,1,1,0,65568.235),-- [full_plate_gauntlet]
(25047,2463,1,1,0,65568.235),-- [blessed_gloves]
(25047,2954,144,432,0,19820.120354),-- [theca_leather_boots_texture]
(25047,2955,255,765,0,11192.88341),-- [theca_leather_gloves_texture]
(25047,2960,396,1188,0,6200.440858),-- [drake_leather_boots_design]
(25047,2961,30,90,0,81849.213446),-- [full_plate_boots_part]
(25047,2962,39,117,0,62960.93342),-- [drake_leather_gloves_design]
(25047,2963,49,147,0,50111.873533),-- [full_plate_gauntlet_part]
(25047,2964,60,180,0,40924.606723),-- [blessed_gloves_pattern]
(25047,228,1,1,1,40181.83332),-- [crystal_dagger]
(25047,2119,3,9,1,719198.16668),-- [crystal_dagger_blade]
(25047,4610,1,3,2,340992.83337),-- [dye_m3w3_c]
(25047,4611,2,4,2,227328.55558),-- [dye_w3i3_c]
(25047,4612,2,6,2,170496.416685),-- [dye_w3m3_c]
(25047,6574,1,1,2,175367.194365),-- [blessed_scrl_of_ench_am_c]
(25047,9814,1,3,2,870000),-- [skull_of_death_spirit]
(25047,8176,1,1,2,870000),-- [tombstone_of_destruction]
(25050,2384,1,1,0,34355.623846),-- [shrnoen's_leather_shirts]
(25050,2388,1,1,0,54955.572082),-- [shrnoen's_leather_gaiters]
(25050,2390,1,1,0,21132.152876),-- [avadon_leather_mail]
(25050,4066,9,27,0,269318.529404),-- [shrnoen's_leather_shirts_fabric]
(25050,4067,40,120,0,92006.691474),-- [shrnoen's_leather_gaiters_texture]
(25050,4068,14,42,0,133009.430318),-- [avadon_leather_mail_lining]
(25050,300,1,1,1,27700.980024),-- [great_axe]
(25050,4113,12,36,1,198387.019976),-- [great_axe_head]
(25050,4610,1,3,2,333178.068468),-- [dye_m3w3_c]
(25050,4611,2,4,2,222118.712312),-- [dye_w3i3_c]
(25050,4612,2,6,2,166589.034234),-- [dye_w3m3_c]
(25050,6574,1,1,2,171348.184986),-- [blessed_scrl_of_ench_am_c]
(25050,9814,1,3,2,850000),-- [skull_of_death_spirit]
(25050,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25051,5287,1,1,0,26966.603944),-- [sealed_dark_crystal_breastplate]
(25051,5288,1,1,0,43150.78033),-- [sealed_dark_crystal_gaiters]
(25051,5293,1,1,0,16595.433484),-- [sealed_tallum_plate_armor]
(25051,5520,9,27,0,172056.85952),-- [sealed_dark_crystal_breastplate_pattern]
(25051,5524,28,84,0,84528.550932),-- [sealed_dark_crystal_gaiters_pattern]
(25051,5521,3,7,0,437075.77179),-- [sealed_tallum_plate_armor_pattern]
(25051,235,1,1,1,30660.25589),-- [bloody_orchid]
(25051,5536,12,36,1,306376.74411),-- [bloody_orchid_head]
(25051,729,1,1,2,103763.205969),-- [scrl_of_ench_wp_a]
(25051,730,1,1,2,778226.28087),-- [scrl_of_ench_am_a]
(25051,6569,1,1,2,12451.513161),-- [blessed_scrl_of_ench_wp_a]
(25051,9814,3,7,2,800000),-- [skull_of_death_spirit]
(25051,8176,2,3,2,800000),-- [tombstone_of_destruction]
(25054,6676,1,1,0,15738.553335),-- [sealed_imperial_crusader_gauntlet]
(25054,6677,1,1,0,15738.553335),-- [sealed_imperial_crusader_boots]
(25054,6681,1,1,0,15738.553335),-- [sealed_draconic_leather_gloves]
(25054,6682,1,1,0,15738.553335),-- [sealed_draconic_leather_boots]
(25054,6685,1,1,0,15738.553335),-- [sealed_major_arcana_gloves]
(25054,6686,1,1,0,15738.553335),-- [sealed_major_arcana_boots]
(25054,6703,8,24,0,223738.829795),-- [sealed_imperial_crusader_gauntlet_design]
(25054,6704,14,40,0,132585.767464),-- [sealed_imperial_crusader_boots_design]
(25054,6708,20,60,0,89495.531918),-- [sealed_draconic_leather_gloves_fabric]
(25054,6709,28,82,0,65087.407068),-- [sealed_draconic_leather_boots_design]
(25054,6712,36,108,0,49719.662799),-- [sealed_major_arcana_gloves_fabric]
(25054,6713,46,136,0,39340.480946),-- [sealed_major_arcana_boots_design]
(25054,6371,1,1,1,10583.905527),-- [demon_splinter]
(25054,6695,12,36,1,199953.094473),-- [demon_splinter_blade]
(25054,959,1,1,2,39110.313616),-- [scrl_of_ench_wp_s]
(25054,960,1,1,2,391104.009626),-- [scrl_of_ench_am_s]
(25054,6577,1,1,2,6518.676758),-- [blessed_scrl_of_ench_wp_s]
(25057,64,1,1,0,286396.192443),-- [composite_boots]
(25057,608,1,1,0,286396.192443),-- [mithril_gauntlet]
(25057,2956,192,576,0,41415.03621),-- [composite_boots_part]
(25057,1981,53,157,0,151461.578904),-- [mithril_gauntlet_design]
(25057,231,1,1,1,24546.01275),-- [grace_dagger]
(25057,233,1,1,1,24546.01275),-- [dark_screamer]
(25057,2106,4,12,1,276249.704325),-- [grace_dagger_edge]
(25057,2107,8,22,1,147333.270175),-- [dark_screamer_edge]
(25057,4604,2,6,2,146026.690173),-- [dye_c3c3_c]
(25057,4605,3,7,2,116821.163277),-- [dye_d3s3_c]
(25057,4606,3,9,2,97351.441551),-- [dye_d3c3_c]
(25057,952,3,9,2,584107.704999),-- [scrl_of_ench_am_c]
(25057,9816,1,3,2,750000),-- [earth_egg]
(25057,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25060,605,4,12,0,278795.254564),-- [leather_gauntlet]
(25060,1123,8,22,0,148690.745436),-- [blue_buckskin_boots]
(25060,275,1,1,1,115231.555273),-- [long_bow]
(25060,276,1,1,1,115231.555273),-- [elven_bow]
(25060,2024,12,36,1,169447.889454),-- [elven_bow_shaft]
(25060,6387,24,72,2,154197.698152),-- [blessed_scroll_of_resurrection_pet]
(25060,955,4,10,2,105735.545272),-- [scrl_of_ench_wp_d]
(25060,956,8,22,2,411194.756576),-- [scrl_of_ench_am_d]
(25063,630,6,16,0,30926.025583),-- [square_shield]
(25063,2412,1,1,0,238250.687982),-- [plate_helmet]
(25063,2494,6,18,0,28348.805033),-- [plate_shield]
(25063,1956,40,120,0,190654.703068),-- [square_shield_fragment]
(25063,2930,140,420,0,38686.254015),-- [plate_helmet_design]
(25063,2934,81,243,0,94150.524319),-- [plate_shield_fragment]
(25063,297,1,1,1,87192.585431),-- [glaive]
(25063,2055,12,36,1,208326.414569),-- [glaive_edge]
(25063,951,1,3,2,712587),-- [scrl_of_ench_wp_c]
(25064,852,1,1,0,258666.745276),-- [moonstone_earing]
(25064,883,6,16,0,35287.519992),-- [aquastone_ring]
(25064,915,1,1,0,194081.359956),-- [aquastone_necklace]
(25064,1908,81,243,0,90193.115364),-- [moonstone_earing_wire]
(25064,1909,480,1440,0,21704.640664),-- [aquastone_ring_wire]
(25064,1910,140,420,0,41494.618748),-- [aquastone_necklace_chain]
(25064,89,1,1,1,9846.369026),-- [big_hammer]
(25064,160,1,1,1,9846.369026),-- [battle_axe]
(25064,161,1,1,1,9846.369026),-- [war_pick]
(25064,173,1,1,1,9846.369026),-- [skull_graver]
(25064,191,1,1,1,9846.369026),-- [heavy_doom_hammer]
(25064,192,1,1,1,9846.369026),-- [crystal_staff]
(25064,193,1,1,1,9846.369026),-- [stick_of_faith]
(25064,194,1,1,1,9846.369026),-- [heavy_doom_axe]
(25064,2061,2,6,1,167705.311661),-- [big_hammer_head]
(25064,2063,3,7,1,134164.091205),-- [battle_axe_head]
(25064,2064,3,9,1,111803.014028),-- [war_pick_head]
(25064,2065,4,10,1,95831.719609),-- [skull_graver_head]
(25064,2066,10,30,1,34034.566712),-- [heavy_doom_hammer_head]
(25064,2067,4,12,1,78186.684767),-- [crystal_staff_head]
(25064,2068,5,13,1,69499.363195),-- [stick_of_faith_shaft]
(25064,2069,17,49,1,20623.296615),-- [heavy_doom_axe_blade]
(25064,4591,1,3,2,375021.86218),-- [dye_c2s2_c]
(25064,4592,2,4,2,250014.87291),-- [dye_c2c2_c]
(25064,4593,2,6,2,187510.93109),-- [dye_d2s2_c]
(25064,951,3,7,2,81822.33382),-- [scrl_of_ench_wp_c]
(25064,9818,1,3,2,640000),-- [soul_of_angel]
(25064,8176,1,1,2,640000),-- [tombstone_of_destruction]
(25067,2397,1,1,0,63240.932925),-- [tunic_of_shrnoen]
(25067,2402,1,1,0,101161.951785),-- [hose_of_shrnoen]
(25067,2406,1,1,0,38900.320092),-- [avadon_robe]
(25067,4069,81,243,0,55084.349106),-- [tunic_of_shrnoen_fabric]
(25067,4070,40,120,0,169365.977973),-- [hose_of_shrnoen_fabric]
(25067,4071,14,42,0,244843.468119),-- [avadon_robe_fabric]
(25067,78,1,1,1,16997.10012),-- [great_sword]
(25067,142,1,1,1,16997.10012),-- [kshanberk]
(25067,148,1,1,1,16997.10012),-- [sword_of_valhalla]
(25067,4104,5,15,1,324888.22938),-- [great_sword_blade]
(25067,4107,9,27,1,177696.89509),-- [kshanberk_blade]
(25067,4108,14,42,1,114233.57517),-- [sword_of_valhalla_blade]
(25067,4604,2,6,2,306652.703406),-- [dye_c3c3_c]
(25067,4605,3,7,2,245321.976397),-- [dye_d3s3_c]
(25067,4606,3,9,2,204435.135604),-- [dye_d3c3_c]
(25067,952,21,63,2,175229.184593),-- [scrl_of_ench_am_c]
(25067,9816,2,6,2,790000),-- [earth_egg]
(25067,8176,1,3,2,790000),-- [tombstone_of_destruction]
(25070,856,1,1,0,96655.207475),-- [adamantite_earing]
(25070,887,1,1,0,144982.514915),-- [adamantite_ring]
(25070,918,1,1,0,72491.553755),-- [adamantite_necklace]
(25070,4049,81,243,0,72901.0369),-- [adamantite_earing_gemstone]
(25070,4050,40,120,0,174378.782485),-- [adamantite_ring_wire]
(25070,4051,140,420,0,31185.90447),-- [adamantite_necklace_chain]
(25070,78,1,1,1,10111.137876),-- [great_sword]
(25070,142,1,1,1,10111.137876),-- [kshanberk]
(25070,148,1,1,1,10111.137876),-- [sword_of_valhalla]
(25070,4104,5,15,1,193267.654974),-- [great_sword_blade]
(25070,4107,9,27,1,105707.314407),-- [kshanberk_blade]
(25070,4108,14,42,1,67954.616991),-- [sword_of_valhalla_blade]
(25070,947,1,1,2,175123.055518),-- [scrl_of_ench_wp_b]
(25070,948,1,3,2,547259.364771),-- [scrl_of_ench_am_b]
(25070,6571,1,1,2,12508.579711),-- [blessed_scrl_of_ench_wp_b]
(25070,9818,1,4,2,750000),-- [soul_of_angel]
(25070,8176,1,1,2,900000),-- [tombstone_of_destruction]
(25073,5326,1,1,0,22189.788936),-- [sealed_robe_of_nightmare]
(25073,5329,1,1,0,22189.788936),-- [sealed_majestic_robe]
(25073,5487,4,12,0,412371.296883),-- [sealed_robe_of_nightmare_fabric]
(25073,5488,8,22,0,219932.125245),-- [sealed_majestic_robe_fabric]
(25073,289,1,1,1,21192.664057),-- [soul_bow]
(25073,5534,12,36,1,251406.335943),-- [soul_bow_shaft]
(25073,959,1,1,2,37986.436016),-- [scrl_of_ench_wp_s]
(25073,960,1,1,2,379865.208526),-- [scrl_of_ench_am_s]
(25073,6577,1,1,2,6331.355458),-- [blessed_scrl_of_ench_wp_s]
(25073,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25073,9814,2,8,2,760000),-- [skull_of_death_spirit]
(25073,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25076,58,1,1,0,118972.338728),-- [mithril_breastplate]
(25076,349,1,1,0,118972.338728),-- [compound_scale_mail]
(25076,350,1,1,0,118972.338728),-- [dwarven_scale_mail]
(25076,59,1,3,0,85998.886515),-- [mithril_gaiters]
(25076,351,1,1,0,107470.733261),-- [blast_plate]
(25076,378,2,4,0,57332.59101),-- [compound_scale_gaiters]
(25076,379,1,1,0,171997.77303),-- [dwarven_scale_gaiters]
(25076,293,1,1,1,118536.5),-- [war_hammer]
(25076,296,1,1,1,118536.5),-- [dwarven_pike]
(25076,6575,1,1,2,126939),-- [blessed_scrl_of_ench_wp_d]
(25079,437,1,1,0,288198.293442),-- [mithril_tunic]
(25079,470,4,12,0,57532.815102),-- [mithril_hose]
(25079,1944,53,157,0,120402.180791),-- [mithril_tunic_fabric]
(25079,1945,216,648,0,45569.710665),-- [mithril_hose_design]
(25079,318,1,1,1,138463.887114),-- [crucifix_of_blood]
(25079,2042,12,36,1,286294.112886),-- [crucifix_of_blood_piece]
(25079,955,3,9,2,642575),-- [scrl_of_ench_wp_d]
(25082,439,1,1,0,154890.037149),-- [karmian_tunic]
(25082,471,1,1,0,247517.619074),-- [karmian_hose]
(25082,1962,53,157,0,68682.4241),-- [karmian_tunic_pattern]
(25082,1954,24,72,0,249606.919677),-- [karmian_hose_pattern]
(25082,71,1,1,1,38351.285115),-- [flamberge]
(25082,72,1,1,1,38351.285115),-- [stormbringer]
(25082,2059,8,22,1,167402.649479),-- [flamberge_blade]
(25082,2060,4,12,1,335525.780291),-- [stormbringer_blade]
(25082,4589,1,3,2,486899.60431),-- [dye_s2c2_c]
(25082,4590,2,4,2,324600.388498),-- [dye_s2d2_c]
(25082,6574,1,1,2,166937.007192),-- [blessed_scrl_of_ench_am_c]
(25085,854,7,19,0,45880.262463),-- [earing_of_binding]
(25085,885,6,16,0,81314.899652),-- [ring_of_ages]
(25085,917,7,21,0,31955.933884),-- [necklace_of_mermaid]
(25085,1914,81,243,0,234348.179541),-- [earing_of_binding_gemstone]
(25085,1915,280,840,0,106319.583923),-- [ring_of_ages_gemstone]
(25085,1916,240,720,0,59908.140537),-- [necklace_of_mermaid_teardrop]
(25085,4601,6,18,1,72999.88056),-- [dye_s3c3_c]
(25085,4602,2,4,1,291999.52224),-- [dye_s3d3_c]
(25085,4603,2,6,1,218999.64168),-- [dye_c3s3_c]
(25085,951,3,7,1,143344.95552),-- [scrl_of_ench_wp_c]
(25085,9816,2,4,2,750000),-- [earth_egg]
(25085,8176,1,2,2,750000),-- [tombstone_of_destruction]
(25088,355,1,1,0,161489.971319),-- [dwarven_chain_mail_shirt]
(25088,382,1,1,0,258373.806492),-- [dwarven_chain_gaiters]
(25088,1968,53,157,0,91816.643985),-- [dwarven_chain_mail_shirt_material]
(25088,1969,192,576,0,39820.578204),-- [dwarven_chain_gaiters_material]
(25088,227,1,1,1,54318.404395),-- [stiletto]
(25088,242,1,1,1,54318.404395),-- [dagger_of_magicflame]
(25088,2083,24,72,1,83075.152892),-- [stiletto_edge]
(25088,2084,8,22,1,265841.038318),-- [dagger_of_magicflame_blade]
(25088,6573,1,1,2,103727),-- [blessed_scrl_of_ench_wp_c]
(25088,9817,2,4,2,740000),-- [core_of_false_life]
(25088,8176,1,2,2,740000),-- [tombstone_of_destruction]
(25089,864,1,1,0,71285.845609),-- [earing_of_black_ore]
(25089,895,1,1,0,106929.071327),-- [ring_of_black_ore]
(25089,926,1,1,0,53464.838577),-- [necklace_of_black_ore]
(25089,4052,81,243,0,55384.70434),-- [earing_of_black_ore_piece]
(25089,4053,28,84,0,193973.083033),-- [ring_of_black_ore_gemstone]
(25089,4054,20,60,0,124789.457114),-- [necklace_of_black_ore_beads]
(25089,171,1,1,1,7533.77405),-- [deadman's_glory]
(25089,175,1,1,1,7533.77405),-- [art_of_battle_axe]
(25089,210,1,1,1,7533.77405),-- [staff_of_evil_sprit]
(25089,4116,5,15,1,166115.33378),-- [deadman's_glory_stone]
(25089,4117,9,27,1,92286.371485),-- [art_of_battle_axe_blade]
(25089,4118,2,6,1,393461.972585),-- [staff_of_evil_sprit_head]
(25089,4616,1,3,2,254877.86626),-- [dye_c4c4_c]
(25089,4617,2,4,2,169918.794436),-- [dye_d4s4_c]
(25089,4618,2,6,2,127438.607736),-- [dye_d4c4_c]
(25089,6572,1,1,2,98552.731568),-- [blessed_scrl_of_ench_am_b]
(25089,9816,1,4,2,830000),-- [earth_egg]
(25089,8176,1,2,2,700000),-- [tombstone_of_destruction]
(25092,5312,1,1,0,48285.636708),-- [sealed_helm_of_nightmare]
(25092,5315,1,1,0,68999.445144),-- [sealed_shield_of_nightmare]
(25092,5317,1,1,0,48285.636708),-- [sealed_magestic_circlet]
(25092,5527,9,27,0,325857.974808),-- [sealed_helm_of_nightmare_design]
(25092,5495,40,120,0,93118.839672),-- [sealed_shield_of_nightmare_fragment]
(25092,5528,14,42,0,209480.46696),-- [sealed_magestic_circlet_design]
(25092,305,1,1,1,21287.467624),-- [tallum_glaive]
(25092,5541,12,36,1,252256.532376),-- [tallum_glaive_edge]
(25092,6578,1,1,2,63593.940624),-- [blessed_scrl_of_ench_am_s]
(25092,730,1,3,2,596190.059376),-- [scrl_of_ench_am_a]
(25092,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25092,9814,3,7,2,810000),-- [skull_of_death_spirit]
(25092,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25095,395,1,1,0,193209.438088),-- [manticor_skin_shirt]
(25095,417,4,12,0,38570.335964),-- [manticor_skin_gaiters]
(25095,1942,53,157,0,80718.254608),-- [manticor_skin_shirt_texture]
(25095,1943,24,72,0,274953.97134),-- [manticor_skin_gaiters_pattern]
(25095,279,1,1,1,92826.959365),-- [strengthening_long_bow]
(25095,2040,12,36,1,240310.040635),-- [strengthening_long_bow_shaft]
(25095,6576,1,3,2,646178),-- [blessed_scrl_of_ench_am_d]
(25098,396,1,1,0,219923.93547),-- [slamander_skin_mail]
(25098,1952,12,36,0,538011.06453),-- [slamander_skin_mail_texture]
(25098,70,1,1,1,43596.351546),-- [claymore]
(25098,2499,1,1,1,43596.351546),-- [elven_long_sword]
(25098,2047,4,12,1,332241.088641),-- [claymore_blade]
(25098,2967,8,22,1,174797.208267),-- [elven_long_sword_blade]
(25098,4589,2,6,2,217735.018788),-- [dye_s2c2_c]
(25098,4590,3,7,2,174187.236992),-- [dye_s2d2_c]
(25098,952,3,9,2,580625.74422),-- [scrl_of_ench_am_c]
(25099,64,1,1,0,275300.088188),-- [composite_boots]
(25099,608,1,1,0,275300.088188),-- [mithril_gauntlet]
(25099,2956,192,576,0,39810.45636),-- [composite_boots_part]
(25099,1981,53,157,0,145593.367264),-- [mithril_gauntlet_design]
(25099,75,1,1,1,7865.000948),-- [caliburs]
(25099,76,1,1,1,7865.000948),-- [sword_of_delusion]
(25099,77,1,1,1,7865.000948),-- [tsurugi]
(25099,84,1,1,1,7865.000948),-- [homunkulus's_sword]
(25099,134,1,1,1,7865.000948),-- [sword_of_nightmare]
(25099,145,1,1,1,7865.000948),-- [deathbreath_sword]
(25099,2089,8,24,1,44258.493416),-- [caliburs_edge]
(25099,2090,14,40,1,26227.59526),-- [sword_of_delusion_blade]
(25099,2091,2,6,1,177035.284716),-- [tsurugi_blade]
(25099,2092,3,7,1,141627.703352),-- [homunkulus's_sword_blade]
(25099,2095,3,9,1,118023.523144),-- [sword_of_nightmare_blade]
(25099,2096,4,10,1,101163.394424),-- [deathbreath_sword_blade]
(25099,4604,2,6,2,140369.067719),-- [dye_c3c3_c]
(25099,4605,3,7,2,112295.072631),-- [dye_d3s3_c]
(25099,4606,3,9,2,93579.681053),-- [dye_d3c3_c]
(25099,952,3,9,2,561477.178597),-- [scrl_of_ench_am_c]
(25099,9816,1,3,2,720000),-- [earth_egg]
(25099,8176,1,1,2,720000),-- [tombstone_of_destruction]
(25102,854,1,1,0,159080.840568),-- [earing_of_binding]
(25102,885,1,1,0,238568.488704),-- [ring_of_ages]
(25102,917,1,1,0,119323.423674),-- [necklace_of_mermaid]
(25102,1914,81,243,0,62504.611416),-- [earing_of_binding_gemstone]
(25102,1915,280,840,0,28357.03377),-- [ring_of_ages_gemstone]
(25102,1916,20,60,0,191743.601868),-- [necklace_of_mermaid_teardrop]
(25102,326,1,1,1,49092.126514),-- [heathen's_book]
(25102,2110,12,36,1,190500.873486),-- [heathen's_book_page]
(25102,4607,1,3,2,292053.27611),-- [dye_i3m3_c]
(25102,4608,2,4,2,194701.967305),-- [dye_i3w3_c]
(25102,4609,2,6,2,146026.638055),-- [dye_m3i3_c]
(25102,6573,1,1,2,17523.11853),-- [blessed_scrl_of_ench_wp_c]
(25102,9816,1,3,2,750000),-- [earth_egg]
(25102,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25103,554,1,1,0,84624.773742),-- [shrnoen's_boots]
(25103,600,1,1,0,84624.773742),-- [avadon_boots]
(25103,612,1,1,0,84624.773742),-- [shrnoen's_gauntlet]
(25103,2464,1,1,0,84624.773742),-- [avadon_gloves]
(25103,4097,60,180,0,73236.021642),-- [shrnoen's_boots_design]
(25103,4098,116,346,0,38045.111634),-- [avadon_boots_design]
(25103,4100,192,576,0,22886.382006),-- [shrnoen's_gauntlet_part]
(25103,4073,23,67,0,195295.38975),-- [avadon_gloves_part]
(25103,91,1,1,1,15166.72486),-- [heavy_war_axe]
(25103,92,1,1,1,15166.72486),-- [sprite's_staff]
(25103,4105,4,12,1,362385.23678),-- [heavy_war_axe_head]
(25103,4106,8,22,1,190101.3135),-- [sprite's_staff_head]
(25103,6572,1,1,2,175123.165536),-- [blessed_scrl_of_ench_am_b]
(25103,948,1,3,2,820890.834464),-- [scrl_of_ench_am_b]
(25103,9816,2,3,2,750000),-- [earth_egg]
(25103,8176,1,1,2,900000),-- [tombstone_of_destruction]
(25106,5290,1,1,0,48676.114035),-- [sealed_dark_crystal_gloves]
(25106,5291,1,1,0,48676.114035),-- [sealed_dark_crystal_boots]
(25106,5295,1,1,0,48676.114035),-- [sealed_tallum_gloves]
(25106,5296,1,1,0,48676.114035),-- [sealed_tallum_boots]
(25106,5508,60,180,0,42322.846665),-- [sealed_dark_crystal_gloves_design]
(25106,5496,11,31,0,241845.159705),-- [sealed_dark_crystal_boots_lining]
(25106,5509,16,48,0,158710.862605),-- [sealed_tallum_gloves_design]
(25106,5497,23,67,0,112861.674885),-- [sealed_tallum_boots_lining]
(25106,212,1,1,1,9218.703769),-- [dasparion's_staff]
(25106,2504,1,1,1,9218.703769),-- [meteor_shower]
(25106,5543,4,12,1,276498.046781),-- [dasparion's_staff_head]
(25106,5532,8,22,1,146087.545681),-- [meteor_shower_head]
(25106,6570,1,1,2,93596.41712),-- [blessed_scrl_of_ench_am_a]
(25106,6571,1,1,2,24067.58288),-- [blessed_scrl_of_ench_wp_b]
(25106,9814,1,4,2,840000),-- [skull_of_death_spirit]
(25106,8176,1,2,2,720000),-- [tombstone_of_destruction]
(25109,5311,1,1,0,17049.26124),-- [sealed_armor_of_nightmare]
(25109,5316,1,1,0,17049.26124),-- [sealed_majestic_platte_armor]
(25109,5522,4,12,0,319487.89734),-- [sealed_armor_of_nightmare_pattern]
(25109,5523,8,22,0,170393.58018),-- [sealed_majestic_platte_armor_pattern]
(25109,305,1,1,1,21710.891685),-- [tallum_glaive]
(25109,5541,12,36,1,257274.108315),-- [tallum_glaive_edge]
(25109,6578,1,1,2,64858.792284),-- [blessed_scrl_of_ench_am_s]
(25109,6570,1,1,2,162147.207716),-- [blessed_scrl_of_ench_am_a]
(25109,8619,1,1,2,560000),-- [sb_increase_of_divinity_a]
(25109,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25109,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25112,850,6,18,0,26510.23429),-- [elven_earing]
(25112,881,5,15,0,47751.962331),-- [elven_ring]
(25112,913,1,1,0,238758.496337),-- [elven_necklace]
(25112,1902,81,243,0,71525.677522),-- [elven_earing_beads]
(25112,1903,40,120,0,238459.261492),-- [elven_ring_piece]
(25112,1904,154,462,0,34653.368028),-- [elven_necklace_beads]
(25112,93,1,1,1,47918.363584),-- [winged_spear]
(25112,294,1,1,1,47918.363584),-- [hammer_in_flames]
(25112,2033,4,12,1,358807.610798),-- [winged_spear_blade]
(25112,2041,8,22,1,191364.662034),-- [hammer_in_flames_head]
(25112,956,12,36,2,926570),-- [scrl_of_ench_am_d]
(25115,62,11,33,0,7592.95865),-- [mithril_boots]
(25115,2429,12,34,0,7262.6955),-- [chain_boots]
(25115,2430,12,36,0,6960.27655),-- [karmian_boots]
(25115,2431,13,37,0,6681.83455),-- [plate_leather_boots]
(25115,2432,13,39,0,6424.2757),-- [dwarven_chain_boots]
(25115,2433,14,40,0,6186.82655),-- [boots_of_seal]
(25115,2452,14,42,0,5965.61985),-- [reinforce_mithril_gloves]
(25115,2453,15,43,0,5759.88215),-- [chain_gloves]
(25115,2454,1,1,0,167038.12925),-- [karmian_gloves]
(25115,1958,220,660,0,16567.299),-- [mithril_boots_design]
(25115,2937,378,1134,0,9642.60115),-- [chain_boots_part]
(25115,2938,26,78,0,140184.7187),-- [karmian_boots_fabric]
(25115,2939,35,105,0,104137.308),-- [plate_leather_boots_lining]
(25115,2940,45,135,0,80995.684),-- [dwarven_chain_boots_part]
(25115,2941,56,168,0,65085.8175),-- [boots_of_seal_pattern]
(25115,2942,68,204,0,53600.085),-- [reinforce_mithril_gloves_design]
(25115,2943,81,243,0,44997.7741),-- [chain_gloves_design]
(25115,2944,95,285,0,38366.2138),-- [karmian_gloves_fabric]
(25115,263,1,1,1,124210.65636),-- [chakram]
(25115,2073,12,36,1,352609.34364),-- [chakram_edge]
(25115,4594,2,6,2,295678.607409),-- [dye_d2c2_c]
(25115,4595,3,7,2,236542.212344),-- [dye_i2m2_c]
(25115,4596,3,9,2,197119.071606),-- [dye_i2w2_c]
(25115,952,21,63,2,112639.108641),-- [scrl_of_ench_am_c]
(25115,9817,1,4,2,810000),-- [core_of_false_life]
(25115,8176,1,2,2,680000),-- [tombstone_of_destruction]
(25118,353,1,1,0,134016.19392),-- [half_plate]
(25118,380,1,1,0,214426.15936),-- [plate_gaiters]
(25118,1950,53,157,0,62305.00416),-- [half_plate_temper]
(25118,1951,24,72,0,211972.64256),-- [plate_gaiters_part]
(25118,159,1,1,1,17438.52864),-- [bonebreaker]
(25118,187,1,1,1,17438.52864),-- [atuba_hammer]
(25118,188,1,1,1,17438.52864),-- [ghost_staff]
(25118,189,1,1,1,17438.52864),-- [life_stick]
(25118,190,1,1,1,17438.52864),-- [atuba_mace]
(25118,2048,18,54,1,27776.526336),-- [bonebreaker_head]
(25118,2049,3,7,1,199993.275456),-- [atuba_hammer_head]
(25118,2050,7,21,1,75734.585472),-- [ghost_staff_head]
(25118,2051,12,36,1,44178.608448),-- [life_stick_shaft]
(25118,2058,3,9,1,166660.361088),-- [atuba_mace_head]
(25118,4591,1,3,2,326602.419916),-- [dye_c2s2_c]
(25118,4592,2,4,2,217735.186845),-- [dye_c2c2_c]
(25118,4593,2,6,2,163301.209958),-- [dye_d2s2_c]
(25118,6573,1,1,2,13064.183281),-- [blessed_scrl_of_ench_wp_c]
(25119,357,1,1,0,30552.824718),-- [shrnoen's_breastplate]
(25119,383,1,1,0,48875.5131),-- [shrnoen's_gaiters]
(25119,2376,1,1,0,30552.824718),-- [avadon_breastplate]
(25119,2379,1,1,0,48875.5131),-- [avadon_gaiters]
(25119,4056,16,48,0,137903.48307),-- [shrnoen's_breastplate_part]
(25119,4057,60,180,0,56833.021182),-- [shrnoen's_gaiters_material]
(25119,4064,23,67,0,98064.699072),-- [avadon_breastplate_part]
(25119,4065,11,31,0,324760.12104),-- [avadon_gaiters_material]
(25119,78,1,1,1,14598.401832),-- [great_sword]
(25119,142,1,1,1,14598.401832),-- [kshanberk]
(25119,148,1,1,1,14598.401832),-- [sword_of_valhalla]
(25119,4104,5,15,1,279038.711868),-- [great_sword_blade]
(25119,4107,9,27,1,152619.603374),-- [kshanberk_blade]
(25119,4108,14,42,1,98112.479262),-- [sword_of_valhalla_blade]
(25119,4607,5,15,2,105350.670687),-- [dye_i3m3_c]
(25119,4608,2,4,2,351168.90229),-- [dye_i3w3_c]
(25119,4609,2,6,2,263376.300967),-- [dye_m3i3_c]
(25119,6573,1,1,2,31605.126056),-- [blessed_scrl_of_ench_wp_c]
(25119,9818,2,5,2,770000),-- [soul_of_angel]
(25119,8176,1,2,2,900000),-- [tombstone_of_destruction]
(25122,2391,1,1,0,23096.919312),-- [blue_wolve's_leather_mail]
(25122,2392,1,1,0,23096.919312),-- [leather_mail_of_doom]
(25122,4082,24,72,0,82018.851696),-- [blue_wolve's_leather_mail_texture]
(25122,4083,8,22,0,262459.30968),-- [leather_mail_of_doom_design]
(25122,268,1,1,1,20715.68432),-- [bellion_cestus]
(25122,4120,3,9,1,761244.31568),-- [bellion_cestus_edge]
(25122,4616,2,4,2,155741.908966),-- [dye_c4c4_c]
(25122,4617,2,6,2,116806.23437),-- [dye_d4s4_c]
(25122,4618,3,7,2,93444.987496),-- [dye_d4c4_c]
(25122,948,1,3,2,423424.869168),-- [scrl_of_ench_am_b]
(25122,9816,1,4,2,770000),-- [earth_egg]
(25122,8176,1,2,2,650000),-- [tombstone_of_destruction]
(25125,5304,1,1,0,35962.222023),-- [sealed_tallum_tunic]
(25125,5305,1,1,0,57518.271783),-- [sealed_tallum_hose]
(25125,5308,1,1,0,22127.45283),-- [sealed_dark_crystal_robe]
(25125,5485,9,27,0,224370.065115),-- [sealed_tallum_tunic_texture]
(25125,5489,28,84,0,113197.569282),-- [sealed_tallum_hose_fabric]
(25125,5486,20,60,0,71047.418967),-- [sealed_dark_crystal_robe_fabric]
(25125,212,1,1,1,15330.113879),-- [dasparion's_staff]
(25125,2504,1,1,1,15330.113879),-- [meteor_shower]
(25125,5543,4,12,1,459798.541171),-- [dasparion's_staff_head]
(25125,5532,8,22,1,242934.231071),-- [meteor_shower_head]
(25125,6570,1,1,2,155644.617954),-- [blessed_scrl_of_ench_am_a]
(25125,6569,1,1,2,18677.382046),-- [blessed_scrl_of_ench_wp_a]
(25125,9816,3,7,2,800000),-- [earth_egg]
(25125,8176,1,4,2,800000),-- [tombstone_of_destruction]
(25126,6678,1,1,0,30142.910967),-- [sealed_imperial_crusader_shield]
(25126,6679,1,1,0,21099.48837),-- [sealed_imperial_crusader_helmet]
(25126,6683,1,1,0,21099.48837),-- [sealed_draconic_leather_helmet]
(25126,6687,1,1,0,21099.48837),-- [sealed_major_arcana_hood]
(25126,6705,23,67,0,156706.272432),-- [sealed_imperial_crusader_shield_part]
(25126,6706,60,180,0,68354.529954),-- [sealed_imperial_crusader_helmet_pattern]
(25126,6710,116,346,0,35509.029039),-- [sealed_draconic_leather_helmet_pattern]
(25126,6714,16,48,0,256329.792498),-- [sealed_major_arcana_hood_pattern]
(25126,6365,1,1,1,3547.62376),-- [basalt_battlehammer]
(25126,6366,1,1,1,3547.62376),-- [imperial_staff]
(25126,6369,1,1,1,3547.62376),-- [dragon_hunter_axe]
(25126,6579,1,1,1,3547.62376),-- [arcana_mace]
(25126,6689,16,48,1,50263.5348),-- [basalt_battlehammer_head]
(25126,6690,11,31,1,78211.8584),-- [piece_of_imperial_staff]
(25126,6693,6,18,1,139086.28216),-- [dragon_hunter_axe_blade]
(25126,6697,3,7,1,321687.8296),-- [arcana_mace_head]
(25126,6578,1,1,2,87395.846057),-- [blessed_scrl_of_ench_am_s]
(25126,3936,1,3,2,491603.153943),-- [blessed_scroll_of_resurrection]
(25127,46,2,4,0,495635.644724),-- [bronze_helmet]
(25127,627,4,12,0,265321.355276),-- [aspis]
(25127,222,1,1,1,345695),-- [poniard_dagger]
(25127,6575,1,1,2,41119.434216),-- [blessed_scrl_of_ench_wp_d]
(25127,6576,1,1,2,370071.782892),-- [blessed_scrl_of_ench_am_d]
(25127,955,1,3,2,370071.782892),-- [scrl_of_ench_wp_d]
(25128,851,6,18,0,22045.716132),-- [onyxbeast'seye_earing]
(25128,882,5,15,0,39682.403871),-- [mithril_ring]
(25128,914,1,1,0,198411.445188),-- [necklace_of_darkness]
(25128,1905,81,243,0,74105.438022),-- [onyxbeast'seye_earing_gemstone]
(25128,1906,40,120,0,212047.911438),-- [mithril_ring_wire]
(25128,1907,154,462,0,27874.085349),-- [necklace_of_darkness_gem]
(25128,159,1,1,1,16015.97297),-- [bonebreaker]
(25128,187,1,1,1,16015.97297),-- [atuba_hammer]
(25128,188,1,1,1,16015.97297),-- [ghost_staff]
(25128,189,1,1,1,16015.97297),-- [life_stick]
(25128,190,1,1,1,16015.97297),-- [atuba_mace]
(25128,2048,2,6,1,229594.306139),-- [bonebreaker_head]
(25128,2049,3,7,1,183676.050144),-- [atuba_hammer_head]
(25128,2050,7,21,1,69555.622999),-- [ghost_staff_head]
(25128,2051,12,36,1,40574.050371),-- [life_stick_shaft]
(25128,2058,3,9,1,153061.105497),-- [atuba_mace_head]
(25128,951,1,1,2,436304.797848),-- [scrl_of_ench_wp_c]
(25128,952,3,9,2,533260.543536),-- [scrl_of_ench_am_c]
(25128,6573,1,1,2,15997.658616),-- [blessed_scrl_of_ench_wp_c]
(25131,2397,1,1,0,34264.448611),-- [tunic_of_shrnoen]
(25131,2402,1,1,0,54809.727337),-- [hose_of_shrnoen]
(25131,2406,1,1,0,21076.070966),-- [avadon_robe]
(25131,4069,9,27,0,268603.794014),-- [tunic_of_shrnoen_fabric]
(25131,4070,40,120,0,91762.518009),-- [hose_of_shrnoen_fabric]
(25131,4071,14,42,0,132656.441063),-- [avadon_robe_fabric]
(25131,91,1,1,1,13813.737044),-- [heavy_war_axe]
(25131,92,1,1,1,13813.737044),-- [sprite's_staff]
(25131,4105,4,12,1,330057.703012),-- [heavy_war_axe_head]
(25131,4106,8,22,1,173142.8229),-- [sprite's_staff_head]
(25131,4610,1,3,2,332293.680726),-- [dye_m3w3_c]
(25131,4611,2,4,2,221529.120484),-- [dye_w3i3_c]
(25131,4612,2,6,2,166146.840363),-- [dye_w3m3_c]
(25131,6574,1,1,2,170893.358427),-- [blessed_scrl_of_ench_am_c]
(25131,9814,1,3,2,850000),-- [skull_of_death_spirit]
(25131,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25134,631,6,16,0,27503.529111),-- [eldarake]
(25134,2413,1,1,0,211798.631457),-- [chain_hood]
(25134,2495,6,18,0,25211.523537),-- [chain_shield]
(25134,1964,40,120,0,155853.690147),-- [eldarake_temper]
(25134,2936,140,420,0,40444.594839),-- [chain_hood_pattern]
(25134,2945,81,243,0,76965.030909),-- [chain_shield_fragment]
(25134,281,1,1,1,78770.879994),-- [crystallized_ice_bow]
(25134,2074,12,36,1,204903.120006),-- [crystallized_ice_bow_shaft]
(25134,4597,1,3,2,375022.035428),-- [dye_m2i2_c]
(25134,4598,2,4,2,250014.966135),-- [dye_m2w2_c]
(25134,4599,2,6,2,187511.017714),-- [dye_w2i2_c]
(25134,6573,1,1,2,15000.980723),-- [blessed_scrl_of_ench_wp_c]
(25134,9816,1,2,2,850000),-- [earth_egg]
(25134,8176,1,1,2,650000),-- [tombstone_of_destruction]
(25137,503,1,1,0,56421.181217),-- [shrnoen's_helmet]
(25137,633,1,1,0,80606.157826),-- [shrnoen's_shield]
(25137,673,1,1,0,80606.157826),-- [avadon_shield]
(25137,2415,1,1,0,56421.181217),-- [avadon_circlet]
(25137,4102,192,576,0,19751.054201),-- [shrnoen's_helmet_design]
(25137,4101,116,346,0,42378.621582),-- [shrnoen's_shield_fragment]
(25137,4439,60,180,0,97051.027213),-- [avadon_shield_fragment]
(25137,4072,23,67,0,168545.618918),-- [avadon_circlet_pattern]
(25137,267,1,1,1,30333.380207),-- [arthro_nail]
(25137,4111,12,36,1,241585.619793),-- [arthro_nail_blade]
(25137,4613,1,3,2,226452.18376),-- [dye_s4c4_c]
(25137,4614,2,4,2,150968.402409),-- [dye_s4d4_c]
(25137,4615,1,1,2,452904.36752),-- [dye_c4s4_c]
(25137,6571,1,1,2,9382.046311),-- [blessed_scrl_of_ench_wp_b]
(25137,9814,1,4,2,750000),-- [skull_of_death_spirit]
(25137,8176,1,4,2,750000),-- [tombstone_of_destruction]
(25140,6323,1,1,0,71682.871665),-- [sealed_phoenix's_necklace]
(25140,6324,1,1,0,95577.60153),-- [sealed_phoenix's_earing]
(25140,6325,1,1,0,143365.74333),-- [sealed_phoenix's_ring]
(25140,6343,140,420,0,36674.697075),-- [sealed_phoenix's_necklace_beads]
(25140,6341,81,243,0,81998.96874),-- [sealed_phoenix's_earing_gemstone]
(25140,6345,40,120,0,229665.11766),-- [sealed_phoenix's_ring_gemstone]
(25140,98,1,1,1,30660.191175),-- [halbard]
(25140,5542,12,36,1,303674.808825),-- [halbard_edge]
(25140,729,1,1,2,103763.205969),-- [scrl_of_ench_wp_a]
(25140,730,1,1,2,778226.28087),-- [scrl_of_ench_am_a]
(25140,6569,1,1,2,12451.513161),-- [blessed_scrl_of_ench_wp_a]
(25140,9817,3,7,2,800000),-- [core_of_false_life]
(25140,8176,1,4,2,800000),-- [tombstone_of_destruction]
(25143,6680,1,1,0,26700.84925),-- [sealed_draconic_leather_armor]
(25143,6707,12,36,0,429334.15075),-- [sealed_draconic_leather_armor_part]
(25143,6371,1,1,1,14590.453956),-- [demon_splinter]
(25143,6695,12,36,1,275645.546044),-- [demon_splinter_blade]
(25143,959,1,1,2,53915.408464),-- [scrl_of_ench_wp_s]
(25143,960,1,1,2,539155.288754),-- [scrl_of_ench_am_s]
(25143,6577,1,1,2,8986.302782),-- [blessed_scrl_of_ench_wp_s]
(25146,848,3,9,0,133492.95575),-- [enchanted_earing]
(25146,879,3,7,0,241022.0045),-- [enchanted_ring]
(25146,911,4,10,0,85882.46825),-- [enchanted_necklace]
(25146,1900,96,288,0,74852.5715),-- [enchanted_necklace_chain]
(25146,275,1,1,1,106040.081716),-- [long_bow]
(25146,276,1,1,1,106040.081716),-- [elven_bow]
(25146,2024,12,36,1,155931.836568),-- [elven_bow_shaft]
(25146,6575,1,1,2,56759.2),-- [blessed_scrl_of_ench_wp_d]
(25146,6576,1,1,2,510832.8),-- [blessed_scrl_of_ench_am_d]
(25149,436,2,4,0,167391.631989),-- [tunic_of_knowledge]
(25149,469,1,3,0,401327.368011),-- [hose_of_knowledge]
(25149,83,1,1,1,53335.55656),-- [sword_of_magic]
(25149,144,1,1,1,53335.55656),-- [sword_of_occult]
(25149,124,1,1,1,39512.47916),-- [two-handed_sword]
(25149,127,1,1,1,39512.47916),-- [crimson_sword]
(25149,130,1,1,1,39512.47916),-- [elven_sword]
(25149,2026,3,9,1,294651.4494),-- [two-handed_sword_edge]
(25149,6576,1,3,2,571224),-- [blessed_scrl_of_ench_am_d]
(25152,438,1,1,0,219923.93547),-- [sage's_rag]
(25152,1953,12,36,0,538011.06453),-- [sage's_rag_lining]
(25152,262,1,1,1,87192.585431),-- [scallop_jamadhr]
(25152,2053,12,36,1,208326.414569),-- [scallop_jamadhr_edge]
(25152,4594,1,3,2,326602.621394),-- [dye_d2c2_c]
(25152,4595,2,4,2,217735.354135),-- [dye_i2m2_c]
(25152,4596,2,6,2,163301.310697),-- [dye_i2w2_c]
(25152,6574,1,1,2,111977.713774),-- [blessed_scrl_of_ench_am_c]
(25155,397,1,1,0,250826.039528),-- [tempered_mithril_shirt]
(25155,2387,5,13,0,44536.42216),-- [tempered_mithril_gaiters]
(25155,1961,53,157,0,111223.577616),-- [tempered_mithril_shirt_fabric]
(25155,2935,192,576,0,50525.960696),-- [tempered_mithril_gaiters_fragment]
(25155,226,1,1,1,62105.317868),-- [cursed_dagger]
(25155,232,1,1,1,62105.317868),-- [darkelven_dagger]
(25155,2070,24,72,1,90556.779588),-- [cursed_dagger_blade]
(25155,2072,8,22,1,289780.584676),-- [darkelven_dagger_edge]
(25155,4600,3,9,2,394238.23092),-- [dye_w2m2_c]
(25155,6574,1,1,2,405501.76908),-- [blessed_scrl_of_ench_am_c]
(25155,9814,1,4,2,810000),-- [skull_of_death_spirit]
(25155,8176,1,2,2,680000),-- [tombstone_of_destruction]
(25158,400,1,1,0,88525.085433),-- [theca_leather_mail]
(25158,420,1,1,0,141702.871516),-- [theca_leather_gaiters]
(25158,401,1,1,0,41919.125848),-- [drake_leather_mail]
(25158,1984,81,243,0,37191.608814),-- [theca_leather_mail_pattern]
(25158,1985,28,84,0,173070.872729),-- [theca_leather_gaiters_pattern]
(25158,1987,20,60,0,107203.43566),-- [drake_leather_mail_texture]
(25158,135,1,1,1,26833.6432),-- [samurai_longsword]
(25158,5286,1,1,1,26833.6432),-- [berserker_blade]
(25158,2115,8,22,1,193153.47584),-- [samurai_longsword_blade]
(25158,5530,4,12,1,362619.23776),-- [berserker_blade_edge]
(25158,4610,5,15,2,91086.631521),-- [dye_m3w3_c]
(25158,4611,2,4,2,303622.10507),-- [dye_w3i3_c]
(25158,4612,2,6,2,227717.007127),-- [dye_w3m3_c]
(25158,6574,1,1,2,234223.256282),-- [blessed_scrl_of_ench_am_c]
(25158,9817,2,4,2,760000),-- [core_of_false_life]
(25158,8176,1,2,2,770000),-- [tombstone_of_destruction]
(25159,357,1,1,0,20511.275889),-- [shrnoen's_breastplate]
(25159,383,1,1,0,32811.99505),-- [shrnoen's_gaiters]
(25159,2376,1,1,0,20511.275889),-- [avadon_breastplate]
(25159,2379,1,1,0,32811.99505),-- [avadon_gaiters]
(25159,4056,16,48,0,92579.864985),-- [shrnoen's_breastplate_part]
(25159,4057,60,180,0,38154.173561),-- [shrnoen's_gaiters_material]
(25159,4064,23,67,0,65834.570656),-- [avadon_breastplate_part]
(25159,4065,11,31,0,218023.84892),-- [avadon_gaiters_material]
(25159,284,1,1,1,29401.411585),-- [dark_elven_long_bow]
(25159,4112,12,36,1,231677.588415),-- [dark_elven_long_bow_shaft]
(25159,4619,1,3,2,219494.17008),-- [dye_i4m4_c]
(25159,4620,2,4,2,146329.718022),-- [dye_i4w4_c]
(25159,4621,1,1,2,438988.34016),-- [dye_m4i4_c]
(25159,6571,1,1,2,9093.771738),-- [blessed_scrl_of_ench_wp_b]
(25159,9818,1,3,2,900000),-- [soul_of_angel]
(25159,8176,1,1,2,900000),-- [tombstone_of_destruction]
(25162,110,1,1,0,122849.753904),-- [doom_shield]
(25162,2416,1,1,0,85994.028216),-- [blue_wolve's_helmet]
(25162,2417,1,1,0,85994.028216),-- [doom_helmet]
(25162,4077,40,120,0,224437.69104),-- [doom_shield_fragment]
(25162,4088,81,243,0,93115.057848),-- [blue_wolve's_helmet_design]
(25162,4089,140,420,0,53873.440776),-- [doom_helmet_pattern]
(25162,287,1,1,1,35597.131464),-- [hazard_bow]
(25162,4121,12,36,1,325930.868536),-- [hazard_bow_shaft]
(25162,4622,2,4,2,267621.893865),-- [dye_m4w4_c]
(25162,4623,2,6,2,200716.607943),-- [dye_w4i4_c]
(25162,4624,3,7,2,160573.136319),-- [dye_w4m4_c]
(25162,948,6,18,2,121265.361873),-- [scrl_of_ench_am_b]
(25162,9817,2,6,2,830000),-- [core_of_false_life]
(25162,8176,1,3,2,830000),-- [tombstone_of_destruction]
(25163,5320,1,1,0,22289.045658),-- [sealed_leather_mail_of_nightmare]
(25163,5323,1,1,0,22289.045658),-- [sealed_majestic_leather_mail]
(25163,5480,4,12,0,412748.06108),-- [sealed_leather_mail_of_nightmare_fabric]
(25163,5481,8,22,0,220131.847604),-- [sealed_majestic_leather_mail_fabric]
(25163,81,1,1,1,7095.82683),-- [dragon_slayer]
(25163,151,1,1,1,7095.82683),-- [sword_of_miracle]
(25163,2500,1,1,1,7095.82683),-- [dark_legion's_edge]
(25163,5529,9,27,1,112159.87101),-- [dragon_slayer_edge]
(25163,5546,5,15,1,221754.630105),-- [sword_of_miracle_edge]
(25163,5545,14,42,1,72103.018395),-- [dark_legion's_edge_edge]
(25163,959,1,1,2,38156.405712),-- [scrl_of_ench_wp_s]
(25163,960,1,1,2,381564.909282),-- [scrl_of_ench_am_s]
(25163,6577,1,1,2,6359.685006),-- [blessed_scrl_of_ench_wp_s]
(25163,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25163,9815,3,7,2,810000),-- [heart_of_dragons]
(25163,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25166,849,4,10,0,132966.5024),-- [tiger'seye_earing]
(25166,880,3,7,0,278664.95744),-- [black_pearl_ring]
(25166,912,4,12,0,87215.2064),-- [near_forest_necklace]
(25166,1901,72,216,0,220513.33376),-- [tiger'seye_earing_stone]
(25166,157,1,1,1,123684.743895),-- [spike_club]
(25166,186,1,1,1,123684.743895),-- [staff_of_magicpower]
(25166,2027,12,36,1,250975.51221),-- [spike_club_head]
(25166,6387,60,180,2,298017),-- [blessed_scroll_of_resurrection_pet]
(25169,606,10,30,0,10794.866538),-- [gauntlet_of_repose_of_the_soul]
(25169,1124,11,31,0,10281.029178),-- [boots_of_power]
(25169,2424,11,33,0,9813.579913),-- [manticor_skin_boots]
(25169,2425,12,34,0,9386.809439),-- [brigandine_boots]
(25169,2426,12,36,0,8995.722115),-- [elven_mithril_boots]
(25169,2448,13,37,0,8636.035963),-- [manticor_skin_gloves]
(25169,2449,13,39,0,8303.469005),-- [brigandine_gauntlet]
(25169,2450,14,40,0,7996.593915),-- [elven_mithril_gloves]
(25169,1946,180,540,0,23259.704496),-- [gauntlet_of_repose_of_the_soul_pattern]
(25169,1948,314,940,0,13354.775719),-- [boots_of_power_pattern]
(25169,2923,24,72,0,174445.642731),-- [manticor_skin_boots_lining]
(25169,2924,33,97,0,128821.167141),-- [brigandine_boots_design]
(25169,2925,42,126,0,99683.020514),-- [elven_mithril_boots_design]
(25169,2926,53,157,0,79746.130946),-- [manticor_skin_gloves_linging]
(25169,2927,64,192,0,65417.205232),-- [brigandine_gauntlet_pattern]
(25169,2928,77,229,0,54727.247155),-- [elven_mithril_gloves_design]
(25169,129,1,1,1,138463.796885),-- [sword_of_revolution]
(25169,2034,12,36,1,327341.203115),-- [sword_of_revolution_blade]
(25169,4553,5,15,2,96386.234882),-- [dye_s1c1_c]
(25169,4554,2,4,2,321288.399192),-- [dye_s1d1_c]
(25169,4555,2,6,2,240966.299394),-- [dye_c1s1_c]
(25169,6575,1,1,2,53548.066532),-- [blessed_scrl_of_ench_wp_d]
(25170,631,6,16,0,25658.26035),-- [eldarake]
(25170,2413,1,1,0,197590.35285),-- [chain_hood]
(25170,2495,1,1,0,282244.665975),-- [chain_shield]
(25170,1964,40,120,0,145398.582975),-- [eldarake_temper]
(25170,2936,140,420,0,37731.528075),-- [chain_hood_pattern]
(25170,2945,81,243,0,71801.609775),-- [chain_shield_fragment]
(25170,226,1,1,1,36743.029232),-- [cursed_dagger]
(25170,232,1,1,1,36743.029232),-- [darkelven_dagger]
(25170,2070,4,12,1,321455.203888),-- [cursed_dagger_blade]
(25170,2072,8,22,1,171442.737648),-- [darkelven_dagger_edge]
(25170,951,1,3,2,763333),-- [scrl_of_ench_wp_c]
(25173,64,1,1,0,286396.192443),-- [composite_boots]
(25173,608,1,1,0,286396.192443),-- [mithril_gauntlet]
(25173,2956,192,576,0,41415.03621),-- [composite_boots_part]
(25173,1981,53,157,0,151461.578904),-- [mithril_gauntlet_design]
(25173,326,1,1,1,49092.126514),-- [heathen's_book]
(25173,2110,12,36,1,190500.873486),-- [heathen's_book_page]
(25173,4610,1,3,2,292053.478962),-- [dye_m3w3_c]
(25173,4611,2,4,2,194702.319308),-- [dye_w3i3_c]
(25173,4612,2,6,2,146026.739481),-- [dye_w3m3_c]
(25173,6574,1,1,2,150198.462249),-- [blessed_scrl_of_ench_am_c]
(25173,9816,1,3,2,750000),-- [earth_egg]
(25173,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25176,2384,1,1,0,37620.43575),-- [shrnoen's_leather_shirts]
(25176,2388,1,1,0,60177.99525),-- [shrnoen's_leather_gaiters]
(25176,2390,1,1,0,23140.3395),-- [avadon_leather_mail]
(25176,4066,9,27,0,294911.8455),-- [shrnoen's_leather_shirts_fabric]
(25176,4067,40,120,0,100750.07925),-- [shrnoen's_leather_gaiters_texture]
(25176,4068,14,42,0,145649.30475),-- [avadon_leather_mail_lining]
(25176,284,1,1,1,30333.413325),-- [dark_elven_long_bow]
(25176,4112,12,36,1,239021.586675),-- [dark_elven_long_bow_shaft]
(25176,4616,1,3,2,226452.326235),-- [dye_c4c4_c]
(25176,4617,2,4,2,150968.21749),-- [dye_d4s4_c]
(25176,4618,1,1,2,452903.734585),-- [dye_d4c4_c]
(25176,6572,1,1,2,87560.72169),-- [blessed_scrl_of_ench_am_b]
(25176,9814,1,4,2,750000),-- [skull_of_death_spirit]
(25176,8176,1,1,2,900000),-- [tombstone_of_destruction]
(25179,2391,1,1,0,25854.381873),-- [blue_wolve's_leather_mail]
(25179,2392,1,1,0,25854.381873),-- [leather_mail_of_doom]
(25179,4082,24,72,0,91810.803159),-- [blue_wolve's_leather_mail_texture]
(25179,4083,8,22,0,293793.433095),-- [leather_mail_of_doom_design]
(25179,234,1,1,1,23188.821312),-- [demon's_sword]
(25179,4119,12,36,1,213393.178688),-- [demon's_sword_edge]
(25179,947,1,1,2,202229.21472),-- [scrl_of_ench_wp_b]
(25179,948,1,3,2,631966.08384),-- [scrl_of_ench_am_b]
(25179,6571,1,1,2,14444.70144),-- [blessed_scrl_of_ench_wp_b]
(25179,9817,1,4,2,850000),-- [core_of_false_life]
(25179,8176,1,1,2,950000),-- [tombstone_of_destruction]
(25182,5290,1,1,0,52614.08262),-- [sealed_dark_crystal_gloves]
(25182,5291,1,1,0,52614.08262),-- [sealed_dark_crystal_boots]
(25182,5295,1,1,0,52614.08262),-- [sealed_tallum_gloves]
(25182,5296,1,1,0,52614.08262),-- [sealed_tallum_boots]
(25182,5508,60,180,0,45746.837958),-- [sealed_dark_crystal_gloves_design]
(25182,5496,116,346,0,23764.658181),-- [sealed_dark_crystal_boots_lining]
(25182,5509,16,48,0,171551.502612),-- [sealed_tallum_gloves_design]
(25182,5497,23,67,0,121993.670769),-- [sealed_tallum_boots_lining]
(25182,80,1,1,1,9964.51008),-- [tallum_blade]
(25182,150,1,1,1,9964.51008),-- [elemental_sword]
(25182,5548,4,12,1,298715.91876),-- [tallum_blade_edge]
(25182,5547,8,22,1,159315.06108),-- [elemental_sword_edge]
(25182,6570,1,1,2,101168.5),-- [blessed_scrl_of_ench_am_a]
(25182,729,1,1,2,101168.5),-- [scrl_of_ench_wp_a]
(25182,9814,1,4,2,830000),-- [skull_of_death_spirit]
(25182,8176,1,2,2,700000),-- [tombstone_of_destruction]
(25185,851,6,18,0,24003.83534),-- [onyxbeast'seye_earing]
(25185,882,5,15,0,43207.028645),-- [mithril_ring]
(25185,914,1,1,0,216034.51806),-- [necklace_of_darkness]
(25185,1905,81,243,0,80687.54589),-- [onyxbeast'seye_earing_gemstone]
(25185,1906,40,120,0,230882.18681),-- [mithril_ring_wire]
(25185,1907,154,462,0,30349.885255),-- [necklace_of_darkness_gem]
(25185,280,1,1,1,87192.636294),-- [cyclone_bow]
(25185,2054,12,36,1,214425.363706),-- [cyclone_bow_shaft]
(25185,4597,1,3,2,326602.416658),-- [dye_m2i2_c]
(25185,4598,2,4,2,217735.204071),-- [dye_m2w2_c]
(25185,4599,2,6,2,163301.208329),-- [dye_w2i2_c]
(25185,951,3,7,2,71258.170942),-- [scrl_of_ench_wp_c]
(25188,629,5,15,0,37932.06702),-- [kite_shield]
(25188,2411,1,1,0,265656.44013),-- [brigandine_helmet]
(25188,2493,6,16,0,34483.38018),-- [brigandine_shield]
(25188,1947,336,1008,0,24504.7455),-- [kite_shield_fragment]
(25188,2922,27,81,0,81566.211),-- [brigandine_helmet_design]
(25188,2929,60,180,0,137227.15617),-- [brigandine_shield_fragment]
(25188,88,1,1,1,19167.343272),-- [morning_star]
(25188,90,1,1,1,19167.343272),-- [goathead_staff]
(25188,158,1,1,1,19167.343272),-- [tarbar]
(25188,169,1,1,1,19167.343272),-- [skull_breaker]
(25188,172,1,1,1,19167.343272),-- [heavy_bone_club]
(25188,2031,7,21,1,74424.466732),-- [morning_star_head]
(25188,2032,3,9,1,158524.644432),-- [goathead_staff_head]
(25188,2035,12,36,1,43414.526232),-- [tarbar_head]
(25188,2036,18,54,1,28943.017488),-- [skull_breaker_head]
(25188,2037,3,7,1,208388.628756),-- [heavy_bone_club_head]
(25188,4556,5,15,2,66713.037066),-- [dye_c1c1_c]
(25188,4557,2,4,2,222376.79022),-- [dye_d1s1_c]
(25188,4558,2,6,2,166782.987384),-- [dye_d1c1_c]
(25188,6576,1,1,2,333565.18533),-- [blessed_scrl_of_ench_am_d]
(25189,438,1,1,0,210544.158658),-- [sage's_rag]
(25189,1953,12,36,0,515064.841342),-- [sage's_rag_lining]
(25189,280,1,1,1,83473.872582),-- [cyclone_bow]
(25189,2054,12,36,1,205280.127418),-- [cyclone_bow_shaft]
(25189,952,12,36,2,416897),-- [scrl_of_ench_am_c]
(25192,440,1,1,0,165585.995067),-- [robe_of_seal]
(25192,1970,12,36,0,465225.004933),-- [robe_of_seal_fabric]
(25192,325,1,1,1,67880.705832),-- [horn_of_glory]
(25192,2088,12,36,1,220235.294168),-- [horn_of_glory_fragment]
(25192,6574,1,1,2,555541),-- [blessed_scrl_of_ench_am_c]
(25192,9816,1,2,2,890000),-- [earth_egg]
(25192,8176,1,1,2,700000),-- [tombstone_of_destruction]
(25198,5311,1,1,0,16716.708375),-- [sealed_armor_of_nightmare]
(25198,5316,1,1,0,16716.708375),-- [sealed_majestic_platte_armor]
(25198,164,1,1,0,7095.791625),-- [elysian]
(25198,213,1,1,0,7095.791625),-- [worldtree's_branch]
(25198,5522,6,18,1,313254.995702),-- [sealed_armor_of_nightmare_pattern]
(25198,5523,11,31,1,179002.574363),-- [sealed_majestic_platte_armor_pattern]
(25198,5533,16,48,1,94615.936117),-- [elysian_head]
(25198,5544,23,67,1,67215.493818),-- [worldtree's_branch_head]
(25198,6578,1,1,2,63593.865232),-- [blessed_scrl_of_ench_am_s]
(25198,6569,1,1,2,19078.134768),-- [blessed_scrl_of_ench_wp_a]
(25198,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25198,9815,3,7,2,820000),-- [heart_of_dragons]
(25198,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25199,6326,1,1,0,74440.128384),-- [sealed_majestic_necklace]
(25199,6327,1,1,0,99286.592238),-- [sealed_majestic_earing]
(25199,6328,1,1,0,148880.256768),-- [sealed_majestic_ring]
(25199,270,1,1,0,7171.02261),-- [dragon_grinder]
(25199,6344,240,720,1,34067.708416),-- [sealed_majestic_necklace_beads]
(25199,6342,90,270,1,140381.366208),-- [sealed_majestic_earing_gemstone]
(25199,6346,308,924,1,58956.813824),-- [sealed_majestic_ring_gemstrone]
(25199,5538,5,13,1,339970.111552),-- [dragon_grinder_edge]
(25199,6578,1,1,2,64266.507162),-- [blessed_scrl_of_ench_am_s]
(25199,6570,1,1,2,160666.492838),-- [blessed_scrl_of_ench_am_a]
(25199,8619,1,1,2,540000),-- [sb_increase_of_divinity_a]
(25199,9816,3,7,2,820000),-- [earth_egg]
(25199,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25202,5326,1,1,0,18185.72348),-- [sealed_robe_of_nightmare]
(25202,5329,1,1,0,18185.72348),-- [sealed_majestic_robe]
(25202,81,1,1,0,5789.51768),-- [dragon_slayer]
(25202,151,1,1,0,5789.51768),-- [sword_of_miracle]
(25202,2500,1,1,0,5789.51768),-- [dark_legion's_edge]
(25202,5487,7,21,1,289680.2741),-- [sealed_robe_of_nightmare_fabric]
(25202,5488,12,36,1,168979.7977),-- [sealed_majestic_robe_fabric]
(25202,5529,25,75,1,49416.1892),-- [dragon_slayer_edge]
(25202,5546,18,54,1,75387.1944),-- [sword_of_miracle_edge]
(25202,5545,33,99,1,37436.5446),-- [dark_legion's_edge_edge]
(25202,959,1,1,2,38915.26936),-- [scrl_of_ench_wp_s]
(25202,960,1,1,2,389153.56271),-- [scrl_of_ench_am_s]
(25202,6577,1,1,2,6486.16793),-- [blessed_scrl_of_ench_wp_s]
(25202,8619,1,1,2,560000),-- [sb_increase_of_divinity_a]
(25202,9816,3,7,2,820000),-- [earth_egg]
(25202,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25205,6678,1,1,0,48238.15168),-- [sealed_imperial_crusader_shield]
(25205,6679,1,1,0,33765.6636),-- [sealed_imperial_crusader_helmet]
(25205,6683,1,1,0,33765.6636),-- [sealed_draconic_leather_helmet]
(25205,6687,1,1,0,33765.6636),-- [sealed_major_arcana_hood]
(25205,6371,1,1,0,3784.85752),-- [demon_splinter]
(25205,6705,315,945,1,26869.153452),-- [sealed_imperial_crusader_shield_part]
(25205,6706,66,198,1,149168.43174),-- [sealed_imperial_crusader_helmet_pattern]
(25205,6710,126,378,1,78135.898428),-- [sealed_draconic_leather_helmet_pattern]
(25205,6714,208,624,1,47332.47894),-- [sealed_major_arcana_hood_pattern]
(25205,6695,5,15,1,257418.03744),-- [demon_splinter_blade]
(25205,6578,1,1,2,87412.902616),-- [blessed_scrl_of_ench_am_s]
(25205,3936,1,3,2,491699.097384),-- [blessed_scroll_of_resurrection]
(25208,354,1,1,0,119115.84225),-- [chain_mail_shirt]
(25208,381,1,1,0,190565.822994),-- [chain_gaiters]
(25208,1959,12,36,0,259755.358224),-- [chain_mail_shirt_material]
(25208,1960,105,315,0,60388.976532),-- [chain_gaiters_part]
(25208,439,1,1,1,238600.199718),-- [karmian_tunic]
(25208,471,1,1,1,381288.174858),-- [karmian_hose]
(25208,1962,53,157,1,105802.348206),-- [karmian_tunic_pattern]
(25208,1954,192,576,1,48063.277218),-- [karmian_hose_pattern]
(25208,951,1,1,2,545486.341412),-- [scrl_of_ench_wp_c]
(25208,952,12,36,2,166676.402436),-- [scrl_of_ench_am_c]
(25208,6573,1,1,2,20001.256152),-- [blessed_scrl_of_ench_wp_c]
(25208,9816,1,2,2,850000),-- [earth_egg]
(25208,8176,1,1,2,650000),-- [tombstone_of_destruction]
(25211,851,6,18,0,25076.81156),-- [onyxbeast'seye_earing]
(25211,882,5,15,0,45138.39143),-- [mithril_ring]
(25211,914,1,1,0,225691.30404),-- [necklace_of_darkness]
(25211,1905,81,243,0,84294.29526),-- [onyxbeast'seye_earing_gemstone]
(25211,1906,40,120,0,241202.66654),-- [mithril_ring_wire]
(25211,1907,154,462,0,31706.53117),-- [necklace_of_darkness_gem]
(25211,262,1,1,1,91090.182721),-- [scallop_jamadhr]
(25211,2053,12,36,1,217638.817279),-- [scallop_jamadhr_edge]
(25211,6573,1,1,2,54592),-- [blessed_scrl_of_ench_wp_c]
(25214,439,1,1,0,159066.734127),-- [karmian_tunic]
(25214,471,1,1,0,254192.070902),-- [karmian_hose]
(25214,1962,53,157,0,70534.4843),-- [karmian_tunic_pattern]
(25214,1954,24,72,0,256337.710671),-- [karmian_hose_pattern]
(25214,96,1,1,1,26256.97572),-- [scythe]
(25214,298,1,1,1,26256.97572),-- [orcish_glaive]
(25214,302,1,1,1,26256.97572),-- [body_slasher]
(25214,2062,5,15,1,181524.560193),-- [scythe_edge]
(25214,2075,9,27,1,100846.977885),-- [orcish_glaive_blade]
(25214,2076,14,42,1,64830.534762),-- [body_slasher_blade]
(25214,6574,1,1,2,514316),-- [blessed_scrl_of_ench_am_c]
(25214,9817,1,2,2,850000),-- [core_of_false_life]
(25214,8176,1,1,2,640000),-- [tombstone_of_destruction]
(25217,856,1,1,0,88032.920976),-- [adamantite_earing]
(25217,887,1,1,0,132048.586096),-- [adamantite_ring]
(25217,918,1,1,0,66024.293048),-- [adamantite_necklace]
(25217,4049,81,243,0,66398.116008),-- [adamantite_earing_gemstone]
(25217,4050,40,120,0,158823.05908),-- [adamantite_ring_wire]
(25217,4051,14,42,0,284041.024792),-- [adamantite_necklace_chain]
(25217,267,1,1,1,27627.439086),-- [arthro_nail]
(25217,4111,12,36,1,220034.560914),-- [arthro_nail_blade]
(25217,4601,1,3,2,332293.916812),-- [dye_s3c3_c]
(25217,4602,2,4,2,221529.554115),-- [dye_s3d3_c]
(25217,4603,2,6,2,166146.958406),-- [dye_c3s3_c]
(25217,951,3,7,2,108750.570667),-- [scrl_of_ench_wp_c]
(25217,9816,1,3,2,850000),-- [earth_egg]
(25217,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25220,5320,1,1,0,22627.33374),-- [sealed_leather_mail_of_nightmare]
(25220,5323,1,1,0,22627.33374),-- [sealed_majestic_leather_mail]
(25220,5480,4,12,0,419012.4724),-- [sealed_leather_mail_of_nightmare_fabric]
(25220,5481,8,22,0,223472.86012),-- [sealed_majestic_leather_mail_fabric]
(25220,289,1,1,1,21610.532682),-- [soul_bow]
(25220,5534,12,36,1,256363.467318),-- [soul_bow_shaft]
(25220,959,1,1,2,38735.448944),-- [scrl_of_ench_wp_s]
(25220,960,1,1,2,387355.354534),-- [scrl_of_ench_am_s]
(25220,6577,1,1,2,6456.196522),-- [blessed_scrl_of_ench_wp_s]
(25220,8619,1,1,2,560000),-- [sb_increase_of_divinity_a]
(25220,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25220,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25223,61,9,25,0,10511.075844),-- [mithril_glove]
(25223,607,9,27,0,9927.127186),-- [ogre_power_gauntlet]
(25223,1125,10,28,0,9405.017595),-- [assault_boots]
(25223,2427,10,30,0,8934.571022),-- [slamander_skin_boots]
(25223,2428,1,1,0,178694.551532),-- [plate_boots]
(25223,2451,1,1,0,178694.551532),-- [sage's_worn_gloves]
(25223,1949,112,336,0,33476.852891),-- [mithril_glove_design]
(25223,1963,203,607,0,18515.712542),-- [ogre_power_gauntlet_part]
(25223,1957,320,960,0,11716.546264),-- [assault_boots_part]
(25223,2931,28,82,0,136341.835594),-- [slamander_skin_boots_lining]
(25223,2932,36,108,0,104149.513196),-- [plate_boots_design]
(25223,2933,46,136,0,82405.644802),-- [sage's_worn_gloves_lining]
(25223,225,1,1,1,87192.549621),-- [mithril_dagger]
(25223,2052,12,36,1,218498.450379),-- [mithril_dagger_blade]
(25223,4600,2,6,2,326602.21746),-- [dye_w2m2_c]
(25223,952,15,45,2,174187.78254),-- [scrl_of_ench_am_c]
(25226,6323,1,1,0,70713.08905),-- [sealed_phoenix's_necklace]
(25226,6324,1,1,0,94284.5521),-- [sealed_phoenix's_earing]
(25226,6325,1,1,0,141426.1781),-- [sealed_phoenix's_ring]
(25226,6343,140,420,0,36178.53275),-- [sealed_phoenix's_necklace_beads]
(25226,6341,81,243,0,80889.6218),-- [sealed_phoenix's_earing_gemstone]
(25226,6345,40,120,0,226558.0262),-- [sealed_phoenix's_ring_gemstone]
(25226,80,1,1,1,15122.701392),-- [tallum_blade]
(25226,150,1,1,1,15122.701392),-- [elemental_sword]
(25226,5548,4,12,1,453348.092799),-- [tallum_blade_edge]
(25226,5547,8,22,1,241785.504417),-- [elemental_sword_edge]
(25226,729,1,1,2,102359.265051),-- [scrl_of_ench_wp_a]
(25226,730,1,1,2,767696.69373),-- [scrl_of_ench_am_a]
(25226,6569,1,1,2,12283.041219),-- [blessed_scrl_of_ench_wp_a]
(25226,9816,3,7,2,790000),-- [earth_egg]
(25226,8176,1,4,2,790000),-- [tombstone_of_destruction]
(25229,6678,1,1,0,22481.994318),-- [sealed_imperial_crusader_shield]
(25229,6679,1,1,0,15737.107995),-- [sealed_imperial_crusader_helmet]
(25229,6683,1,1,0,15737.107995),-- [sealed_draconic_leather_helmet]
(25229,6687,1,1,0,15737.107995),-- [sealed_major_arcana_hood]
(25229,6705,23,67,0,116879.439873),-- [sealed_imperial_crusader_shield_part]
(25229,6706,60,180,0,50982.325338),-- [sealed_imperial_crusader_helmet_pattern]
(25229,6710,11,31,0,291329.116365),-- [sealed_draconic_leather_helmet_pattern]
(25229,6714,16,48,0,191184.800121),-- [sealed_major_arcana_hood_pattern]
(25229,7575,1,1,1,10583.939322),-- [draconic_bow]
(25229,7579,12,36,1,206149.060678),-- [draconic_bow_shaft]
(25229,6578,1,1,2,65183.868867),-- [blessed_scrl_of_ench_am_s]
(25229,3936,1,1,2,733315.131133),-- [blessed_scroll_of_resurrection]
(25230,358,1,1,0,19345.786092),-- [blue_wolve's_breastplate]
(25230,2380,1,1,0,30948.981633),-- [blue_wolve's_gaiters]
(25230,2381,1,1,0,11904.943977),-- [doom_plate_armor]
(25230,4078,9,27,0,194278.794165),-- [blue_wolve's_breastplate_part]
(25230,4080,28,84,0,87937.885116),-- [blue_wolve's_gaiters_material]
(25230,4081,20,60,0,58990.609017),-- [doom_plate_armor_temper]
(25230,97,1,1,1,21351.244636),-- [lancia]
(25230,4115,12,36,1,195822.755364),-- [lancia_blade]
(25230,6572,1,1,2,186202.97338),-- [blessed_scrl_of_ench_am_b]
(25230,948,3,9,2,290942.02662),-- [scrl_of_ench_am_b]
(25230,9816,1,4,2,800000),-- [earth_egg]
(25230,8176,1,2,2,670000),-- [tombstone_of_destruction]
(25233,6326,1,1,0,29742.130182),-- [sealed_majestic_necklace]
(25233,6327,1,1,0,39669.509447),-- [sealed_majestic_earing]
(25233,6328,1,1,0,59485.044827),-- [sealed_majestic_ring]
(25233,6344,20,60,0,108893.662419),-- [sealed_majestic_necklace_beads]
(25233,6342,9,27,0,373928.409284),-- [sealed_majestic_earing_gemstone]
(25233,6346,28,84,0,172744.243841),-- [sealed_majestic_ring_gemstrone]
(25233,236,1,1,1,12892.903739),-- [soul_separator]
(25233,5537,3,9,1,611370.096261),-- [soul_separator_head]
(25233,6578,1,1,2,38516.165401),-- [blessed_scrl_of_ench_am_s]
(25233,6569,1,1,2,11554.834599),-- [blessed_scrl_of_ench_wp_a]
(25233,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25233,9814,2,4,2,820000),-- [skull_of_death_spirit]
(25233,8176,1,2,2,820000),-- [tombstone_of_destruction]
(25234,5289,1,1,0,46285.81449),-- [sealed_dark_crystal_helmet]
(25234,5292,1,1,0,66137.0802),-- [sealed_dark_crystal_shield]
(25234,5294,1,1,0,46285.81449),-- [sealed_tallum_bonnet]
(25234,5525,9,27,0,265532.06085),-- [sealed_dark_crystal_helmet_design]
(25234,5494,40,120,0,81169.70994),-- [sealed_dark_crystal_shield_fragment]
(25234,5526,14,42,0,170699.52003),-- [sealed_tallum_bonnet_design]
(25234,212,1,1,1,9869.14242),-- [dasparion's_staff]
(25234,2504,1,1,1,9869.14242),-- [meteor_shower]
(25234,5543,4,12,1,296006.75658),-- [dasparion's_staff_head]
(25234,5532,8,22,1,156394.95858),-- [meteor_shower_head]
(25234,729,1,1,2,66800.186371),-- [scrl_of_ench_wp_a]
(25234,730,1,1,2,501002.83733),-- [scrl_of_ench_am_a]
(25234,6569,1,1,2,8015.976299),-- [blessed_scrl_of_ench_wp_a]
(25234,9815,1,4,2,850000),-- [heart_of_dragons]
(25234,8176,1,2,2,720000),-- [tombstone_of_destruction]
(25235,5313,1,1,0,54882.4367),-- [sealed_gloves_of_nightmare]
(25235,5314,1,1,0,54882.4367),-- [sealed_boots_of_nightmare]
(25235,5318,1,1,0,54882.4367),-- [sealed_magestic_gloves]
(25235,5319,1,1,0,54882.4367),-- [sealed_magestic_boots]
(25235,5514,60,180,0,52332.260318),-- [sealed_gloves_of_nightmare_design]
(25235,5502,116,346,0,27185.375412),-- [sealed_boots_of_nightmare_lining]
(25235,5515,16,48,0,196245.500058),-- [sealed_magestic_gloves_design]
(25235,5503,23,67,0,139553.117412),-- [sealed_magestic_boots_lining]
(25235,289,1,1,1,21512.654245),-- [soul_bow]
(25235,5534,12,36,1,255202.345755),-- [soul_bow_shaft]
(25235,959,1,1,2,38560.016576),-- [scrl_of_ench_wp_s]
(25235,960,1,1,2,385601.026936),-- [scrl_of_ench_am_s]
(25235,6577,1,1,2,6426.956488),-- [blessed_scrl_of_ench_wp_s]
(25235,8619,1,1,2,540000),-- [sb_increase_of_divinity_a]
(25235,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25235,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25238,5289,1,1,0,49901.955788),-- [sealed_dark_crystal_helmet]
(25238,5292,1,1,0,71304.12824),-- [sealed_dark_crystal_shield]
(25238,5294,1,1,0,49901.955788),-- [sealed_tallum_bonnet]
(25238,5525,9,27,0,286277.10902),-- [sealed_dark_crystal_helmet_design]
(25238,5494,40,120,0,87511.202328),-- [sealed_dark_crystal_shield_fragment]
(25238,5526,14,42,0,184035.648836),-- [sealed_tallum_bonnet_design]
(25238,80,1,1,1,10640.172912),-- [tallum_blade]
(25238,150,1,1,1,10640.172912),-- [elemental_sword]
(25238,5548,4,12,1,318970.927989),-- [tallum_blade_edge]
(25238,5547,8,22,1,170117.726187),-- [elemental_sword_edge]
(25238,729,1,1,2,72018.967245),-- [scrl_of_ench_wp_a]
(25238,730,1,1,2,540143.80635),-- [scrl_of_ench_am_a]
(25238,6569,1,1,2,8642.226405),-- [blessed_scrl_of_ench_wp_a]
(25238,9815,1,4,2,840000),-- [heart_of_dragons]
(25238,8176,1,2,2,700000),-- [tombstone_of_destruction]
(25241,357,1,1,0,36396.161184),-- [shrnoen's_breastplate]
(25241,383,1,1,0,58222.049892),-- [shrnoen's_gaiters]
(25241,2376,1,1,0,36396.161184),-- [avadon_breastplate]
(25241,2379,1,1,0,58222.049892),-- [avadon_gaiters]
(25241,4056,16,48,0,164276.827176),-- [shrnoen's_breastplate_part]
(25241,4057,60,180,0,67701.697644),-- [shrnoen's_gaiters_material]
(25241,4064,23,67,0,116818.9752),-- [avadon_breastplate_part]
(25241,4065,116,346,0,35170.077828),-- [avadon_gaiters_material]
(25241,229,1,1,1,26085.602722),-- [kris]
(25241,243,1,1,1,26085.602722),-- [hell_knife]
(25241,4109,24,72,1,102267.277444),-- [kris_edge]
(25241,4110,8,22,1,327254.517112),-- [hell_knife_edge]
(25241,4619,5,15,2,77896.13238),-- [dye_i4m4_c]
(25241,4620,2,4,2,259653.269142),-- [dye_i4w4_c]
(25241,4621,2,6,2,194739.572763),-- [dye_m4i4_c]
(25241,947,1,1,2,225898.025715),-- [scrl_of_ench_wp_b]
(25241,9815,2,6,2,810000),-- [heart_of_dragons]
(25241,8176,1,3,2,810000),-- [tombstone_of_destruction]
(25244,6680,1,1,0,19368.8084),-- [sealed_draconic_leather_armor]
(25244,6707,12,36,0,311439.1916),-- [sealed_draconic_leather_armor_part]
(25244,6367,1,1,1,10583.908125),-- [angel_slayer]
(25244,6691,12,36,1,203791.091875),-- [angel_slayer_blade]
(25244,959,1,1,2,39110.313616),-- [scrl_of_ench_wp_s]
(25244,960,1,1,2,391104.009626),-- [scrl_of_ench_am_s]
(25244,6577,1,1,2,6518.676758),-- [blessed_scrl_of_ench_wp_s]
(25245,6680,1,1,0,25960.9529),-- [sealed_draconic_leather_armor]
(25245,6707,12,36,0,417437.0471),-- [sealed_draconic_leather_armor_part]
(25245,7575,1,1,1,14186.130498),-- [draconic_bow]
(25245,7579,12,36,1,276310.869502),-- [draconic_bow_shaft]
(25245,959,1,1,2,52421.412448),-- [scrl_of_ench_wp_s]
(25245,960,1,1,2,524215.295228),-- [scrl_of_ench_am_s]
(25245,6577,1,1,2,8737.292324),-- [blessed_scrl_of_ench_wp_s]
(25248,5312,1,1,0,48796.385672),-- [sealed_helm_of_nightmare]
(25248,5315,1,1,0,69728.564108),-- [sealed_shield_of_nightmare]
(25248,5317,1,1,0,48796.385672),-- [sealed_magestic_circlet]
(25248,5527,81,243,0,36589.38878),-- [sealed_helm_of_nightmare_design]
(25248,5495,40,120,0,94102.800668),-- [sealed_shield_of_nightmare_fragment]
(25248,5528,14,42,0,211694.4751),-- [sealed_magestic_circlet_design]
(25248,236,1,1,1,21512.677472),-- [soul_separator]
(25248,5537,12,36,1,255028.322528),-- [soul_separator_head]
(25248,6578,1,1,2,64266.618518),-- [blessed_scrl_of_ench_am_s]
(25248,730,1,3,2,602496.381482),-- [scrl_of_ench_am_a]
(25248,8619,1,1,2,540000),-- [sb_increase_of_divinity_a]
(25248,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25248,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25249,6674,1,1,0,29507.499871),-- [sealed_imperial_crusader_armor]
(25249,6675,1,1,0,47212.971263),-- [sealed_imperial_crusader_gaiters]
(25249,6701,53,157,0,95615.109387),-- [sealed_imperial_crusader_armor_part]
(25249,6702,24,72,0,269241.419479),-- [sealed_imperial_crusader_gaiters_pattern]
(25249,6578,1,1,1,65183.868867),-- [blessed_scrl_of_ench_am_s]
(25249,3936,1,1,1,733315.131133),-- [blessed_scroll_of_resurrection]
(25252,5326,1,1,0,22289.05032),-- [sealed_robe_of_nightmare]
(25252,5329,1,1,0,22289.05032),-- [sealed_majestic_robe]
(25252,5487,4,12,0,414215.95371),-- [sealed_robe_of_nightmare_fabric]
(25252,5488,8,22,0,220915.94565),-- [sealed_majestic_robe_fabric]
(25252,270,1,1,1,21287.488182),-- [dragon_grinder]
(25252,5538,12,36,1,252309.511818),-- [dragon_grinder_edge]
(25252,959,1,1,2,38156.405712),-- [scrl_of_ench_wp_s]
(25252,960,1,1,2,381564.909282),-- [scrl_of_ench_am_s]
(25252,6577,1,1,2,6359.685006),-- [blessed_scrl_of_ench_wp_s]
(25252,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25252,9816,3,7,2,820000),-- [earth_egg]
(25252,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25255,5297,1,1,0,35962.222023),-- [sealed_dark_crystal_leather_mail]
(25255,5298,1,1,0,57518.271783),-- [sealed_legging_of_dark_crystal]
(25255,5301,1,1,0,22127.45283),-- [sealed_tallum_leather_mail]
(25255,5478,9,27,0,224370.065115),-- [sealed_dark_crystal_leather_mail_pattern]
(25255,5482,28,84,0,113197.569282),-- [sealed_legging_of_dark_crystal_design]
(25255,5479,20,60,0,71047.418967),-- [sealed_tallum_leather_mail_pattern]
(25255,269,1,1,1,30660.191175),-- [blood_tornado]
(25255,5539,12,36,1,303674.808825),-- [blood_tornado_edge]
(25255,6570,1,1,2,155644.617954),-- [blessed_scrl_of_ench_am_a]
(25255,6569,1,1,2,18677.382046),-- [blessed_scrl_of_ench_wp_a]
(25255,9817,3,7,2,800000),-- [core_of_false_life]
(25255,8176,1,4,2,800000),-- [tombstone_of_destruction]
(25256,358,1,1,0,21010.818412),-- [blue_wolve's_breastplate]
(25256,2380,1,1,0,33612.665313),-- [blue_wolve's_gaiters]
(25256,2381,1,1,0,12929.565897),-- [doom_plate_armor]
(25256,4078,9,27,0,210999.772565),-- [blue_wolve's_breastplate_part]
(25256,4080,28,84,0,95506.428476),-- [blue_wolve's_gaiters_material]
(25256,4081,20,60,0,64067.749337),-- [doom_plate_armor_temper]
(25256,6323,1,1,1,58210.997501),-- [sealed_phoenix's_necklace]
(25256,6324,1,1,1,77615.020082),-- [sealed_phoenix's_earing]
(25256,6325,1,1,1,116421.995002),-- [sealed_phoenix's_ring]
(25256,6343,140,420,1,29782.159255),-- [sealed_phoenix's_necklace_beads]
(25256,6341,81,243,1,66588.316756),-- [sealed_phoenix's_earing_gemstone]
(25256,6345,40,120,1,186502.511404),-- [sealed_phoenix's_ring_gemstone]
(25256,6572,1,1,2,202229.591722),-- [blessed_scrl_of_ench_am_b]
(25256,6571,1,1,2,21667.408278),-- [blessed_scrl_of_ench_wp_b]
(25256,9814,1,4,2,850000),-- [skull_of_death_spirit]
(25256,8176,1,2,2,720000),-- [tombstone_of_destruction]
(25259,2397,1,1,0,64704.244),-- [tunic_of_shrnoen]
(25259,2402,1,1,0,103502.7048),-- [hose_of_shrnoen]
(25259,2406,1,1,0,39800.42176),-- [avadon_robe]
(25259,4069,81,243,0,56358.92768),-- [tunic_of_shrnoen_fabric]
(25259,4070,40,120,0,173284.88144),-- [hose_of_shrnoen_fabric]
(25259,4071,14,42,0,250508.82032),-- [avadon_robe_fabric]
(25259,97,1,1,1,34537.314944),-- [lancia]
(25259,4115,12,36,1,316758.685056),-- [lancia_blade]
(25259,4622,2,4,2,259653.637545),-- [dye_m4w4_c]
(25259,4623,2,6,2,194740.410119),-- [dye_w4i4_c]
(25259,4624,3,7,2,155792.182527),-- [dye_w4m4_c]
(25259,948,6,18,2,117654.769809),-- [scrl_of_ench_am_b]
(25259,9817,2,6,2,800000),-- [core_of_false_life]
(25259,8176,1,3,2,800000),-- [tombstone_of_destruction]
(25260,103,7,19,0,15941.353662),-- [tower_shield]
(25260,107,7,21,0,14802.278985),-- [composite_shield]
(25260,517,1,1,0,145108.580058),-- [composite_helmet]
(25260,1149,1,1,0,145108.580058),-- [shining_circlet]
(25260,1978,60,180,0,109761.691221),-- [tower_shield_fragment]
(25260,4055,116,346,0,57019.189734),-- [composite_shield_fragment]
(25260,2957,192,576,0,23468.780322),-- [composite_helmet_design]
(25260,1983,23,67,0,200266.54596),-- [shining_circlet_pattern]
(25260,75,1,1,1,12436.884812),-- [caliburs]
(25260,76,1,1,1,12436.884812),-- [sword_of_delusion]
(25260,77,1,1,1,12436.884812),-- [tsurugi]
(25260,84,1,1,1,12436.884812),-- [homunkulus's_sword]
(25260,134,1,1,1,12436.884812),-- [sword_of_nightmare]
(25260,145,1,1,1,12436.884812),-- [deathbreath_sword]
(25260,2089,8,24,1,69984.251952),-- [caliburs_edge]
(25260,2090,14,40,1,41472.236484),-- [sword_of_delusion_blade]
(25260,2091,20,60,1,27994.171548),-- [tsurugi_blade]
(25260,2092,3,7,1,223950.233936),-- [homunkulus's_sword_blade]
(25260,2095,3,9,1,186625.456484),-- [sword_of_nightmare_blade]
(25260,2096,4,10,1,159964.340724),-- [deathbreath_sword_blade]
(25260,4601,6,18,2,73988.27508),-- [dye_s3c3_c]
(25260,4602,2,4,2,295953.10032),-- [dye_s3d3_c]
(25260,4603,2,6,2,221964.82524),-- [dye_c3s3_c]
(25260,951,3,7,2,145285.79936),-- [scrl_of_ench_wp_c]
(25260,9817,2,4,2,760000),-- [core_of_false_life]
(25260,8176,1,2,2,760000),-- [tombstone_of_destruction]
(25263,5297,1,1,0,36251.924046),-- [sealed_dark_crystal_leather_mail]
(25263,5298,1,1,0,57981.623566),-- [sealed_legging_of_dark_crystal]
(25263,5301,1,1,0,22305.70566),-- [sealed_tallum_leather_mail]
(25263,5478,9,27,0,226177.53023),-- [sealed_dark_crystal_leather_mail_pattern]
(25263,5482,28,84,0,114109.458564),-- [sealed_legging_of_dark_crystal_design]
(25263,5479,20,60,0,71619.757934),-- [sealed_tallum_leather_mail_pattern]
(25263,212,1,1,1,15453.608803),-- [dasparion's_staff]
(25263,2504,1,1,1,15453.608803),-- [meteor_shower]
(25263,5543,4,12,1,463502.544047),-- [dasparion's_staff_head]
(25263,5532,8,22,1,244891.238347),-- [meteor_shower_head]
(25263,6570,1,1,2,156898.5),-- [blessed_scrl_of_ench_am_a]
(25263,729,1,1,2,156898.5),-- [scrl_of_ench_wp_a]
(25263,8619,1,1,2,500000),-- [sb_increase_of_divinity_a]
(25263,9816,3,7,2,810000),-- [earth_egg]
(25263,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25266,6684,1,1,0,19368.8084),-- [sealed_major_arcana_robe]
(25266,6711,12,36,0,311439.1916),-- [sealed_major_arcana_robe_part]
(25266,6370,1,1,1,10583.93038),-- [saint_spear]
(25266,6694,12,36,1,207484.06962),-- [saint_spear_blade]
(25266,959,1,1,2,39110.313616),-- [scrl_of_ench_wp_s]
(25266,960,1,1,2,391104.009626),-- [scrl_of_ench_am_s]
(25266,6577,1,1,2,6518.676758),-- [blessed_scrl_of_ench_wp_s]
(25269,6326,1,1,0,49107.30075),-- [sealed_majestic_necklace]
(25269,6327,1,1,0,65498.047325),-- [sealed_majestic_earing]
(25269,6328,1,1,0,98214.6015),-- [sealed_majestic_ring]
(25269,6344,20,60,0,179792.136175),-- [sealed_majestic_necklace_beads]
(25269,6342,81,243,0,68598.696775),-- [sealed_majestic_earing_gemstone]
(25269,6346,28,84,0,285214.217475),-- [sealed_majestic_ring_gemstrone]
(25269,289,1,1,1,21287.510517),-- [soul_bow]
(25269,5534,12,36,1,252531.489483),-- [soul_bow_shaft]
(25269,6578,1,1,2,63593.940624),-- [blessed_scrl_of_ench_am_s]
(25269,730,1,3,2,596190.059376),-- [scrl_of_ench_am_a]
(25269,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25269,9817,3,7,2,810000),-- [core_of_false_life]
(25269,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25272,63,3,9,0,78438.24912),-- [gauntlet]
(25272,553,4,10,0,67232.719092),-- [iron_boots]
(25272,2422,4,12,0,58828.68684),-- [reinforce_leather_boots]
(25272,2423,5,13,0,52292.012388),-- [boots_of_knowledge]
(25272,2446,5,15,0,47062.949472),-- [reinforce_leather_gloves]
(25272,2447,6,16,0,42784.164192),-- [gloves_of_knowledge]
(25272,1940,60,180,0,114437.218896),-- [iron_boots_design]
(25272,157,1,1,1,86624.863775),-- [spike_club]
(25272,186,1,1,1,86624.863775),-- [staff_of_magicpower]
(25272,2027,12,36,1,175775.27245),-- [spike_club_head]
(25272,956,12,36,2,869675),-- [scrl_of_ench_am_d]
(25273,358,1,1,0,33257.00644),-- [blue_wolve's_breastplate]
(25273,2380,1,1,0,53203.85931),-- [blue_wolve's_gaiters]
(25273,2381,1,1,0,20465.58339),-- [doom_plate_armor]
(25273,4078,9,27,0,333981.31655),-- [blue_wolve's_breastplate_part]
(25273,4080,28,84,0,151172.49812),-- [blue_wolve's_gaiters_material]
(25273,4081,20,60,0,101409.73619),-- [doom_plate_armor_temper]
(25273,287,1,1,1,36704.544825),-- [hazard_bow]
(25273,4121,12,36,1,336070.455175),-- [hazard_bow_shaft]
(25273,4619,1,3,2,413920.536904),-- [dye_i4m4_c]
(25273,4620,2,4,2,275946.719944),-- [dye_i4w4_c]
(25273,4621,2,6,2,206960.72544),-- [dye_m4i4_c]
(25273,6571,1,1,2,17148.017712),-- [blessed_scrl_of_ench_wp_b]
(25273,9817,2,5,2,770000),-- [core_of_false_life]
(25273,8176,1,3,2,680000),-- [tombstone_of_destruction]
(25276,6724,1,1,0,30755.19612),-- [sealed_sanddragon's_earing]
(25276,6725,1,1,0,46133.05064),-- [sealed_ring_of_aurakyria]
(25276,6726,1,1,0,23061.39612),-- [sealed_dragon_necklace]
(25276,6698,81,243,0,60970.28748),-- [sealed_sanddragon's_earing_piece]
(25276,6699,40,120,0,137000.932),-- [sealed_ring_of_aurakyria_gem]
(25276,6700,14,42,0,214999.13764),-- [sealed_dragon_necklace_wire]
(25276,6364,1,1,1,5291.96717),-- [forgotten_blade]
(25276,6372,1,1,1,5291.96717),-- [heavens_divider]
(25276,6688,8,22,1,163036.164046),-- [forgotten_blade_edge]
(25276,6696,4,12,1,310548.901614),-- [heavens_divider_edge]
(25276,6578,1,1,2,65183.868867),-- [blessed_scrl_of_ench_am_s]
(25276,3936,1,1,2,733315.131133),-- [blessed_scroll_of_resurrection]
(25277,554,1,1,0,122180.657684),-- [shrnoen's_boots]
(25277,600,1,1,0,122180.657684),-- [avadon_boots]
(25277,612,1,1,0,122180.657684),-- [shrnoen's_gauntlet]
(25277,2464,1,1,0,122180.657684),-- [avadon_gloves]
(25277,4097,60,180,0,105738.00074),-- [shrnoen's_boots_design]
(25277,4098,116,346,0,54929.261342),-- [avadon_boots_design]
(25277,4100,192,576,0,33043.037216),-- [shrnoen's_gauntlet_part]
(25277,4073,293,877,0,21689.069966),-- [avadon_gloves_part]
(25277,284,1,1,1,43795.185195),-- [dark_elven_long_bow]
(25277,4112,12,36,1,345097.814805),-- [dark_elven_long_bow_shaft]
(25277,4604,2,6,2,263376.522948),-- [dye_c3c3_c]
(25277,4605,3,7,2,210701.058326),-- [dye_d3s3_c]
(25277,4606,3,9,2,175584.348632),-- [dye_d3c3_c]
(25277,952,21,63,2,150500.070094),-- [scrl_of_ench_am_c]
(25277,9814,2,5,2,770000),-- [skull_of_death_spirit]
(25277,8176,1,3,2,670000),-- [tombstone_of_destruction]
(25280,856,1,1,0,166239.567024),-- [adamantite_earing]
(25280,887,1,1,0,249359.350536),-- [adamantite_ring]
(25280,918,1,1,0,124679.675268),-- [adamantite_necklace]
(25280,4049,81,243,0,125385.181083),-- [adamantite_earing_gemstone]
(25280,4050,440,1320,0,27265.373407),-- [adamantite_ring_wire]
(25280,4051,140,420,0,53637.852682),-- [adamantite_necklace_chain]
(25280,300,1,1,1,52171.151061),-- [great_axe]
(25280,4113,12,36,1,373635.848939),-- [great_axe_head]
(25280,947,1,1,2,301198.167179),-- [scrl_of_ench_wp_b]
(25280,948,3,9,2,313748.541638),-- [scrl_of_ench_am_b]
(25280,6571,1,1,2,21514.291183),-- [blessed_scrl_of_ench_wp_b]
(25280,9818,2,6,2,800000),-- [soul_of_angel]
(25280,8176,1,3,2,800000),-- [tombstone_of_destruction]
(25281,5313,1,1,0,54307.97645),-- [sealed_gloves_of_nightmare]
(25281,5314,1,1,0,54307.97645),-- [sealed_boots_of_nightmare]
(25281,5318,1,1,0,54307.97645),-- [sealed_magestic_gloves]
(25281,5319,1,1,0,54307.97645),-- [sealed_magestic_boots]
(25281,5514,60,180,0,51784.493033),-- [sealed_gloves_of_nightmare_design]
(25281,5502,116,346,0,26900.823222),-- [sealed_boots_of_nightmare_lining]
(25281,5515,16,48,0,194191.377723),-- [sealed_magestic_gloves_design]
(25281,5503,23,67,0,138092.400222),-- [sealed_magestic_boots_lining]
(25281,236,1,1,1,21287.469632),-- [soul_separator]
(25281,5537,12,36,1,252358.530368),-- [soul_separator_head]
(25281,959,1,1,2,38156.405712),-- [scrl_of_ench_wp_s]
(25281,960,1,1,2,381564.909282),-- [scrl_of_ench_am_s]
(25281,6577,1,1,2,6359.685006),-- [blessed_scrl_of_ench_wp_s]
(25281,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25281,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25281,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25282,6676,1,1,0,15738.553335),-- [sealed_imperial_crusader_gauntlet]
(25282,6677,1,1,0,15738.553335),-- [sealed_imperial_crusader_boots]
(25282,6681,1,1,0,15738.553335),-- [sealed_draconic_leather_gloves]
(25282,6682,1,1,0,15738.553335),-- [sealed_draconic_leather_boots]
(25282,6685,1,1,0,15738.553335),-- [sealed_major_arcana_gloves]
(25282,6686,1,1,0,15738.553335),-- [sealed_major_arcana_boots]
(25282,6703,8,24,0,223738.829795),-- [sealed_imperial_crusader_gauntlet_design]
(25282,6704,14,40,0,132585.767464),-- [sealed_imperial_crusader_boots_design]
(25282,6708,20,60,0,89495.531918),-- [sealed_draconic_leather_gloves_fabric]
(25282,6709,28,82,0,65087.407068),-- [sealed_draconic_leather_boots_design]
(25282,6712,36,108,0,49719.662799),-- [sealed_major_arcana_gloves_fabric]
(25282,6713,46,136,0,39340.480946),-- [sealed_major_arcana_boots_design]
(25282,6365,1,1,1,2645.980338),-- [basalt_battlehammer]
(25282,6366,1,1,1,2645.980338),-- [imperial_staff]
(25282,6369,1,1,1,2645.980338),-- [dragon_hunter_axe]
(25282,6579,1,1,1,2645.980338),-- [arcana_mace]
(25282,6689,2,6,1,299966.374806),-- [basalt_battlehammer_head]
(25282,6690,11,31,1,58344.828498),-- [piece_of_imperial_staff]
(25282,6693,6,18,1,103756.207722),-- [dragon_hunter_axe_blade]
(25282,6697,3,7,1,239974.667622),-- [arcana_mace_head]
(25282,959,1,1,2,39110.313616),-- [scrl_of_ench_wp_s]
(25282,960,1,1,2,391104.009626),-- [scrl_of_ench_am_s]
(25282,6577,1,1,2,6518.676758),-- [blessed_scrl_of_ench_wp_s]
(25283,6364,1,1,0,6284.68442),-- [forgotten_blade]
(25283,6372,1,1,0,6284.68442),-- [heavens_divider]
(25283,6688,8,22,0,193620.029596),-- [forgotten_blade_edge]
(25283,6696,4,12,0,368804.601564),-- [heavens_divider_edge]
(25283,7575,1,1,1,18854.07489),-- [draconic_bow]
(25283,7579,12,36,1,367230.92511),-- [draconic_bow_shaft]
(25283,6578,1,1,2,116117.732926),-- [blessed_scrl_of_ench_am_s]
(25283,3936,1,3,2,653164.267074),-- [blessed_scroll_of_resurrection]
(25286,6365,1,1,0,3142.343137),-- [basalt_battlehammer]
(25286,6366,1,1,0,3142.343137),-- [imperial_staff]
(25286,6369,1,1,0,3142.343137),-- [dragon_hunter_axe]
(25286,6579,1,1,0,3142.343137),-- [arcana_mace]
(25286,6689,16,48,0,44521.427385),-- [basalt_battlehammer_head]
(25286,6690,11,31,0,69276.93383),-- [piece_of_imperial_staff]
(25286,6693,6,18,0,123197.061967),-- [dragon_hunter_axe_blade]
(25286,6697,3,7,0,284938.20427),-- [arcana_mace_head]
(25286,6367,1,1,1,18854.044335),-- [angel_slayer]
(25286,6691,12,36,1,363030.955665),-- [angel_slayer_blade]
(25286,959,1,1,2,69670.56048),-- [scrl_of_ench_wp_s]
(25286,960,1,1,2,696707.16078),-- [scrl_of_ench_am_s]
(25286,6577,1,1,2,11612.27874),-- [blessed_scrl_of_ench_wp_s]
(25290,6674,1,1,0,15820.11648),-- [sealed_imperial_crusader_armor]
(25290,6675,1,1,0,25312.51296),-- [sealed_imperial_crusader_gaiters]
(25290,6701,8,22,0,358837.5168),-- [sealed_imperial_crusader_armor_part]
(25290,6702,24,72,0,144349.85376),-- [sealed_imperial_crusader_gaiters_pattern]
(25290,6367,1,1,1,14186.164398),-- [angel_slayer]
(25290,6691,12,36,1,273151.835602),-- [angel_slayer_blade]
(25290,6578,1,1,2,87369.129146),-- [blessed_scrl_of_ench_am_s]
(25290,3936,1,3,2,491452.870854),-- [blessed_scroll_of_resurrection]
(25293,6684,1,1,0,25960.9529),-- [sealed_major_arcana_robe]
(25293,6711,12,36,0,417437.0471),-- [sealed_major_arcana_robe_part]
(25293,6674,1,1,1,23730.18376),-- [sealed_imperial_crusader_armor]
(25293,6675,1,1,1,37969.07528),-- [sealed_imperial_crusader_gaiters]
(25293,6701,53,157,1,76894.48872),-- [sealed_imperial_crusader_armor_part]
(25293,6702,24,72,1,216526.25224),-- [sealed_imperial_crusader_gaiters_pattern]
(25293,959,1,1,2,52421.412448),-- [scrl_of_ench_wp_s]
(25293,960,1,1,2,524215.295228),-- [scrl_of_ench_am_s]
(25293,6577,1,1,2,8737.292324),-- [blessed_scrl_of_ench_wp_s]
(25296,6326,1,1,0,50083.9533),-- [sealed_majestic_necklace]
(25296,6327,1,1,0,66800.68123),-- [sealed_majestic_earing]
(25296,6328,1,1,0,100167.9066),-- [sealed_majestic_ring]
(25296,6344,20,60,0,183367.86617),-- [sealed_majestic_necklace_beads]
(25296,6342,81,243,0,69962.99681),-- [sealed_majestic_earing_gemstone]
(25296,6346,28,84,0,290886.59589),-- [sealed_majestic_ring_gemstrone]
(25296,164,1,1,1,10855.42226),-- [elysian]
(25296,213,1,1,1,10855.42226),-- [worldtree's_branch]
(25296,5533,4,12,1,385996.80785),-- [elysian_head]
(25296,5544,8,22,1,205662.34763),-- [worldtree's_branch_head]
(25296,6578,1,1,2,64858.717716),-- [blessed_scrl_of_ench_am_s]
(25296,730,1,3,2,608047.282284),-- [scrl_of_ench_am_a]
(25296,8619,1,1,2,560000),-- [sb_increase_of_divinity_a]
(25296,9817,3,7,2,830000),-- [core_of_false_life]
(25296,8176,1,4,2,830000),-- [tombstone_of_destruction]
(25299,6680,1,1,0,13446.4759),-- [sealed_draconic_leather_armor]
(25299,6707,12,36,0,216211.5241),-- [sealed_draconic_leather_armor_part]
(25299,6367,1,1,1,7347.704126),-- [angel_slayer]
(25299,6691,3,9,1,565930.295874),-- [angel_slayer_blade]
(25299,6578,1,1,2,45252.763752),-- [blessed_scrl_of_ench_am_s]
(25299,3936,1,1,2,509091.236248),-- [blessed_scroll_of_resurrection]
(25302,6684,1,1,0,14896.6423),-- [sealed_major_arcana_robe]
(25302,6711,12,36,0,239529.3577),-- [sealed_major_arcana_robe_part]
(25302,6370,1,1,1,8140.136176),-- [saint_spear]
(25302,6694,3,9,1,638312.863824),-- [saint_spear_blade]
(25302,6578,1,1,2,50133.192657),-- [blessed_scrl_of_ench_am_s]
(25302,3936,1,1,2,563995.807343),-- [blessed_scroll_of_resurrection]
(25305,6724,1,1,0,25380.89169),-- [sealed_sanddragon's_earing]
(25305,6725,1,1,0,38071.54918),-- [sealed_ring_of_aurakyria]
(25305,6726,1,1,0,19031.54169),-- [sealed_dragon_necklace]
(25305,6698,81,243,0,50316.05901),-- [sealed_sanddragon's_earing_piece]
(25305,6699,40,120,0,113060.759),-- [sealed_ring_of_aurakyria_gem]
(25305,6700,14,42,0,177429.19943),-- [sealed_dragon_necklace_wire]
(25305,6370,1,1,1,8734.453392),-- [saint_spear]
(25305,6694,3,9,1,684916.546608),-- [saint_spear_blade]
(25305,959,1,1,2,32276.063184),-- [scrl_of_ench_wp_s]
(25305,960,1,1,2,322761.352674),-- [scrl_of_ench_am_s]
(25305,6577,1,1,2,5379.584142),-- [blessed_scrl_of_ench_wp_s]
(25306,6676,1,1,0,9091.85326),-- [sealed_imperial_crusader_gauntlet]
(25306,6677,1,1,0,9091.85326),-- [sealed_imperial_crusader_boots]
(25306,6681,1,1,0,9091.85326),-- [sealed_draconic_leather_gloves]
(25306,6682,1,1,0,9091.85326),-- [sealed_draconic_leather_boots]
(25306,6685,1,1,0,9091.85326),-- [sealed_major_arcana_gloves]
(25306,6686,1,1,0,9091.85326),-- [sealed_major_arcana_boots]
(25306,6703,8,24,0,129244.74038),-- [sealed_imperial_crusader_gauntlet_design]
(25306,6704,14,40,0,76589.7503),-- [sealed_imperial_crusader_boots_design]
(25306,6708,20,60,0,51698.16568),-- [sealed_draconic_leather_gloves_fabric]
(25306,6709,28,82,0,37598.48218),-- [sealed_draconic_leather_boots_design]
(25306,6712,36,108,0,28720.90368),-- [sealed_major_arcana_gloves_fabric]
(25306,6713,4,10,0,295416.83822),-- [sealed_major_arcana_boots_design]
(25306,6364,1,1,1,3057.059708),-- [forgotten_blade]
(25306,6372,1,1,1,3057.059708),-- [heavens_divider]
(25306,6688,2,4,1,470926.36116),-- [forgotten_blade_edge]
(25306,6696,4,12,1,179403.519424),-- [heavens_divider_edge]
(25306,6578,1,1,2,37655.425341),-- [blessed_scrl_of_ench_am_s]
(25306,3936,1,1,2,423621.574659),-- [blessed_scroll_of_resurrection]
(25309,6674,1,1,0,8194.02108),-- [sealed_imperial_crusader_armor]
(25309,6675,1,1,0,13111.089512),-- [sealed_imperial_crusader_gaiters]
(25309,6701,8,22,0,185866.891768),-- [sealed_imperial_crusader_armor_part]
(25309,6702,4,12,0,448611.99764),-- [sealed_imperial_crusader_gaiters_pattern]
(25309,6367,1,1,1,7347.704126),-- [angel_slayer]
(25309,6691,3,9,1,565930.295874),-- [angel_slayer_blade]
(25309,959,1,1,2,27151.629088),-- [scrl_of_ench_wp_s]
(25309,960,1,1,2,271516.897268),-- [scrl_of_ench_am_s]
(25309,6577,1,1,2,4525.473644),-- [blessed_scrl_of_ench_wp_s]
(25312,6724,1,1,0,23653.900622),-- [sealed_sanddragon's_earing]
(25312,6725,1,1,0,35480.850933),-- [sealed_ring_of_aurakyria]
(25312,6726,1,1,0,17736.192485),-- [sealed_dragon_necklace]
(25312,6698,9,27,0,422035.182247),-- [sealed_sanddragon's_earing_piece]
(25312,6699,40,120,0,105368.145131),-- [sealed_ring_of_aurakyria_gem]
(25312,6700,14,42,0,165358.728582),-- [sealed_dragon_necklace_wire]
(25312,6364,1,1,1,4070.06968),-- [forgotten_blade]
(25312,6372,1,1,1,4070.06968),-- [heavens_divider]
(25312,6688,8,22,1,125391.659984),-- [forgotten_blade_edge]
(25312,6696,4,12,1,238844.200656),-- [heavens_divider_edge]
(25312,959,1,1,2,30079.889936),-- [scrl_of_ench_wp_s]
(25312,960,1,1,2,300799.571146),-- [scrl_of_ench_am_s]
(25312,6577,1,1,2,5013.538918),-- [blessed_scrl_of_ench_wp_s]
(25315,6678,1,1,0,18553.423724),-- [sealed_imperial_crusader_shield]
(25315,6679,1,1,0,12987.15891),-- [sealed_imperial_crusader_helmet]
(25315,6683,1,1,0,12987.15891),-- [sealed_draconic_leather_helmet]
(25315,6687,1,1,0,12987.15891),-- [sealed_major_arcana_hood]
(25315,6705,23,67,0,96455.578714),-- [sealed_imperial_crusader_shield_part]
(25315,6706,60,180,0,42073.522084),-- [sealed_imperial_crusader_helmet_pattern]
(25315,6710,11,31,0,240421.39957),-- [sealed_draconic_leather_helmet_pattern]
(25315,6714,16,48,0,157776.599178),-- [sealed_major_arcana_hood_pattern]
(25315,6365,1,1,1,2183.6153),-- [basalt_battlehammer]
(25315,6366,1,1,1,2183.6153),-- [imperial_staff]
(25315,6369,1,1,1,2183.6153),-- [dragon_hunter_axe]
(25315,6579,1,1,1,2183.6153),-- [arcana_mace]
(25315,6689,2,6,1,247549.5211),-- [basalt_battlehammer_head]
(25315,6690,11,31,1,48149.5113),-- [piece_of_imperial_staff]
(25315,6693,6,18,1,85625.5957),-- [dragon_hunter_axe_blade]
(25315,6697,3,7,1,198040.9107),-- [arcana_mace_head]
(25315,959,1,1,2,32276.063184),-- [scrl_of_ench_wp_s]
(25315,960,1,1,2,322761.352674),-- [scrl_of_ench_am_s]
(25315,6577,1,1,2,5379.584142),-- [blessed_scrl_of_ench_wp_s]
(25316,6680,1,1,0,11188.97668),-- [sealed_draconic_leather_armor]
(25316,6707,3,9,0,719639.02332),-- [sealed_draconic_leather_armor_part]
(25316,6371,1,1,1,6114.11736),-- [demon_splinter]
(25316,6695,3,9,1,462041.88264),-- [demon_splinter_blade]
(25316,6578,1,1,2,37655.425341),-- [blessed_scrl_of_ench_am_s]
(25316,3936,1,1,2,423621.574659),-- [blessed_scroll_of_resurrection]
(25319,6676,1,1,0,23965.066238),-- [sealed_imperial_crusader_gauntlet]
(25319,6677,1,1,0,23965.066238),-- [sealed_imperial_crusader_boots]
(25319,6681,1,1,0,23965.066238),-- [sealed_draconic_leather_gloves]
(25319,6682,1,1,0,23965.066238),-- [sealed_draconic_leather_boots]
(25319,6685,1,1,0,23965.066238),-- [sealed_major_arcana_gloves]
(25319,6686,1,1,0,23965.066238),-- [sealed_major_arcana_boots]
(25319,6703,112,336,0,24334.07876),-- [sealed_imperial_crusader_gauntlet_design]
(25319,6704,14,40,0,201883.194039),-- [sealed_imperial_crusader_boots_design]
(25319,6708,20,60,0,136270.841056),-- [sealed_draconic_leather_gloves_fabric]
(25319,6709,28,82,0,99105.796772),-- [sealed_draconic_leather_boots_design]
(25319,6712,36,108,0,75706.105141),-- [sealed_major_arcana_gloves_fabric]
(25319,6713,46,136,0,59898.586804),-- [sealed_major_arcana_boots_design]
(25319,6365,1,1,1,4029.025675),-- [basalt_battlehammer]
(25319,6366,1,1,1,4029.025675),-- [imperial_staff]
(25319,6369,1,1,1,4029.025675),-- [dragon_hunter_axe]
(25319,6579,1,1,1,4029.025675),-- [arcana_mace]
(25319,6689,16,48,1,57084.145875),-- [basalt_battlehammer_head]
(25319,6690,11,31,1,88824.97325),-- [piece_of_imperial_staff]
(25319,6693,6,18,1,157959.873925),-- [dragon_hunter_axe_blade]
(25319,6697,3,7,1,365339.90425),-- [arcana_mace_head]
(25319,6578,1,1,2,99255.286624),-- [blessed_scrl_of_ench_am_s]
(25319,3936,1,3,2,558312.713376),-- [blessed_scroll_of_resurrection]
(25322,6323,1,1,0,71974.078402),-- [sealed_phoenix's_necklace]
(25322,6324,1,1,0,95965.878964),-- [sealed_phoenix's_earing]
(25322,6325,1,1,0,143948.156804),-- [sealed_phoenix's_ring]
(25322,6343,140,420,0,36823.68551),-- [sealed_phoenix's_necklace_beads]
(25322,6341,81,243,0,82332.083912),-- [sealed_phoenix's_earing_gemstone]
(25322,6345,40,120,0,230598.116408),-- [sealed_phoenix's_ring_gemstone]
(25322,212,1,1,1,15392.383916),-- [dasparion's_staff]
(25322,2504,1,1,1,15392.383916),-- [meteor_shower]
(25322,5543,4,12,1,461666.216284),-- [dasparion's_staff_head]
(25322,5532,8,22,1,243921.015884),-- [meteor_shower_head]
(25322,729,1,1,2,104184.666666),-- [scrl_of_ench_wp_a]
(25322,730,1,1,2,781387.24518),-- [scrl_of_ench_am_a]
(25322,6569,1,1,2,12502.088154),-- [blessed_scrl_of_ench_wp_a]
(25322,8619,1,1,2,500000),-- [sb_increase_of_divinity_a]
(25322,9814,3,7,2,800000),-- [skull_of_death_spirit]
(25322,8176,1,4,2,800000),-- [tombstone_of_destruction]
(25325,5312,1,1,0,48285.636708),-- [sealed_helm_of_nightmare]
(25325,5315,1,1,0,68999.445144),-- [sealed_shield_of_nightmare]
(25325,5317,1,1,0,48285.636708),-- [sealed_magestic_circlet]
(25325,5527,9,27,0,325857.974808),-- [sealed_helm_of_nightmare_design]
(25325,5495,40,120,0,93118.839672),-- [sealed_shield_of_nightmare_fragment]
(25325,5528,14,42,0,209480.46696),-- [sealed_magestic_circlet_design]
(25325,5311,1,1,1,25075.181934),-- [sealed_armor_of_nightmare]
(25325,5316,1,1,1,25075.181934),-- [sealed_majestic_platte_armor]
(25325,5522,4,12,1,469886.468319),-- [sealed_armor_of_nightmare_pattern]
(25325,5523,8,22,1,250606.167813),-- [sealed_majestic_platte_armor_pattern]
(25325,6578,1,1,2,63593.936406),-- [blessed_scrl_of_ench_am_s]
(25325,6570,1,1,2,158985.063594),-- [blessed_scrl_of_ench_am_a]
(25325,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25325,9818,3,7,2,810000),-- [soul_of_angel]
(25325,8176,1,4,2,810000),-- [tombstone_of_destruction]
(25328,5311,1,1,0,16821.98331),-- [sealed_armor_of_nightmare]
(25328,5316,1,1,0,16821.98331),-- [sealed_majestic_platte_armor]
(25328,5522,4,12,0,315228.912335),-- [sealed_armor_of_nightmare_pattern]
(25328,5523,8,22,0,168122.121045),-- [sealed_majestic_platte_armor_pattern]
(25328,81,1,1,1,7140.480364),-- [dragon_slayer]
(25328,151,1,1,1,7140.480364),-- [sword_of_miracle]
(25328,2500,1,1,1,7140.480364),-- [dark_legion's_edge]
(25328,5529,9,27,1,112865.685108),-- [dragon_slayer_edge]
(25328,5546,5,15,1,223150.116234),-- [sword_of_miracle_edge]
(25328,5545,14,42,1,72556.757566),-- [dark_legion's_edge_edge]
(25328,6578,1,1,2,63994.135296),-- [blessed_scrl_of_ench_am_s]
(25328,730,1,3,2,599941.864704),-- [scrl_of_ench_am_a]
(25328,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25328,9814,3,7,2,820000),-- [skull_of_death_spirit]
(25328,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25333,47,2,4,0,256450.033852),-- [helmet]
(25333,628,4,12,0,137450.966148),-- [hoplon]
(25333,260,1,1,1,181912),-- [triple-edged_jamadhr]
(25333,6575,1,1,2,97404),-- [blessed_scrl_of_ench_wp_d]
(25334,397,1,1,0,103876.333566),-- [tempered_mithril_shirt]
(25334,2387,1,1,0,165996.406404),-- [tempered_mithril_gaiters]
(25334,1961,8,22,0,322431.963138),-- [tempered_mithril_shirt_fabric]
(25334,2935,24,72,0,167397.296892),-- [tempered_mithril_gaiters_fragment]
(25334,439,1,1,1,155814.395166),-- [karmian_tunic]
(25334,471,1,1,1,248994.763116),-- [karmian_hose]
(25334,1962,53,157,1,69092.3094),-- [karmian_tunic_pattern]
(25334,1954,24,72,1,251096.532318),-- [karmian_hose_pattern]
(25334,952,12,36,2,326537),-- [scrl_of_ench_am_c]
(25335,356,1,1,0,47647.602),-- [full_plate_armor]
(25335,1986,3,9,0,750202.398),-- [full_plate_armor_temper]
(25335,203,1,1,1,6949.502294),-- [paagrio_axe]
(25335,204,1,1,1,5422.31011),-- [deadman's_staff]
(25335,205,1,1,1,5422.31011),-- [ghoul's_staff]
(25335,206,1,1,1,5422.31011),-- [demon's_staff]
(25335,2503,1,1,1,5422.31011),-- [yaksa_mace]
(25335,2112,7,21,1,44202.360874),-- [paagrio_axe_blade]
(25335,2116,2,6,1,150308.510534),-- [deadman's_staff_head]
(25335,2117,3,7,1,120246.289856),-- [ghoul's_staff_head]
(25335,2118,3,9,1,100205.457618),-- [demon's_staff_head]
(25335,2969,2,4,1,204612.638384),-- [yaksa_mace_head]
(25335,4601,1,3,2,230076.344624),-- [dye_s3c3_c]
(25335,4602,2,4,2,153384.521412),-- [dye_s3d3_c]
(25335,4603,2,6,2,115038.172312),-- [dye_c3s3_c]
(25335,951,1,1,2,376488.961652),-- [scrl_of_ench_wp_c]
(25335,9814,1,2,2,790000),-- [skull_of_death_spirit]
(25335,8176,1,1,2,590000),-- [tombstone_of_destruction]
(25336,2398,1,1,0,13929.66454),-- [blue_wolve's_tunic]
(25336,2399,1,1,0,13929.66454),-- [tunic_of_doom]
(25336,2403,1,1,0,22294.19029),-- [blue_wolve's_hose]
(25336,2404,1,1,0,22294.19029),-- [hose_of_doom]
(25336,4084,16,48,0,70243.72351),-- [blue_wolve's_tunic_fabric]
(25336,4085,23,67,0,49951.1185),-- [tunic_of_doom_pattern]
(25336,4086,6,18,0,252920.83526),-- [blue_wolve's_hose_pattern]
(25336,4087,11,31,0,144526.61307),-- [hose_of_doom_pattern]
(25336,79,1,1,1,15379.882272),-- [sword_of_damascus]
(25336,4114,3,9,1,566134.117728),-- [sword_of_damascus_blade]
(25336,4613,1,3,2,173440.50284),-- [dye_s4c4_c]
(25336,4614,1,1,2,346881.88007),-- [dye_s4d4_c]
(25336,4615,1,1,2,346881.88007),-- [dye_c4s4_c]
(25336,9814,1,3,2,710000),-- [skull_of_death_spirit]
(25336,8176,1,1,2,710000),-- [tombstone_of_destruction]
(25336,6571,1,1,2,7185.73702),-- [blessed_scrl_of_ench_wp_b]
(25337,5311,1,1,0,6954.356784),-- [sealed_armor_of_nightmare]
(25337,5316,1,1,0,6954.356784),-- [sealed_majestic_platte_armor]
(25337,5522,4,12,0,130320.672776),-- [sealed_armor_of_nightmare_pattern]
(25337,5523,2,4,0,347522.613656),-- [sealed_majestic_platte_armor_pattern]
(25337,270,1,1,1,8855.821156),-- [dragon_grinder]
(25337,5538,3,9,1,419852.178844),-- [dragon_grinder_edge]
(25337,6577,1,1,2,3968.35444),-- [blessed_scrl_of_ench_wp_s]
(25337,6578,1,1,2,26455.64556),-- [blessed_scrl_of_ench_am_s]
(25337,8619,1,1,2,500000),-- [sb_increase_of_divinity_a]
(25337,9814,1,3,2,850000),-- [skull_of_death_spirit]
(25337,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25338,6724,1,1,0,14460.562138),-- [sealed_sanddragon's_earing]
(25338,6725,1,1,0,21690.843207),-- [sealed_ring_of_aurakyria]
(25338,6726,1,1,0,10842.833815),-- [sealed_dragon_necklace]
(25338,6698,9,27,0,258006.748013),-- [sealed_sanddragon's_earing_piece]
(25338,6699,40,120,0,64415.701849),-- [sealed_ring_of_aurakyria_gem]
(25338,6700,14,42,0,101090.310978),-- [sealed_dragon_necklace_wire]
(25338,6370,1,1,1,4976.383584),-- [saint_spear]
(25338,6694,3,9,1,390225.616416),-- [saint_spear_blade]
(25338,6578,1,1,2,30648.375153),-- [blessed_scrl_of_ench_am_s]
(25338,3936,1,1,2,344792.624847),-- [blessed_scroll_of_resurrection]
(25339,6678,1,1,0,11219.98706),-- [sealed_imperial_crusader_shield]
(25339,6679,1,1,0,7853.990942),-- [sealed_imperial_crusader_helmet]
(25339,6683,1,1,0,7853.990942),-- [sealed_draconic_leather_helmet]
(25339,6687,1,1,0,7853.990942),-- [sealed_major_arcana_hood]
(25339,6705,23,67,0,58330.988836),-- [sealed_imperial_crusader_shield_part]
(25339,6706,6,18,0,254437.770532),-- [sealed_imperial_crusader_helmet_pattern]
(25339,6710,11,31,0,145393.263886),-- [sealed_draconic_leather_helmet_pattern]
(25339,6714,16,48,0,95414.01686),-- [sealed_major_arcana_hood_pattern]
(25339,6371,1,1,1,5282.06476),-- [demon_splinter]
(25339,6695,3,9,1,399163.93524),-- [demon_splinter_blade]
(25339,959,1,1,2,19518.574816),-- [scrl_of_ench_wp_s]
(25339,960,1,1,2,195186.184076),-- [scrl_of_ench_am_s]
(25339,6577,1,1,2,3253.241108),-- [blessed_scrl_of_ench_wp_s]
(25342,6680,1,1,0,9666.30532),-- [sealed_draconic_leather_armor]
(25342,6707,3,9,0,621705.69468),-- [sealed_draconic_leather_armor_part]
(25342,7575,1,1,1,5282.068381),-- [draconic_bow]
(25342,7579,3,9,1,411514.931619),-- [draconic_bow_shaft]
(25342,6578,1,1,2,32530.995399),-- [blessed_scrl_of_ench_am_s]
(25342,3936,1,1,2,365972.004601),-- [blessed_scroll_of_resurrection]
(25346,6674,1,1,0,5890.46787),-- [sealed_imperial_crusader_armor]
(25346,6675,1,1,0,9425.220018),-- [sealed_imperial_crusader_gaiters]
(25346,6701,8,22,0,133614.856902),-- [sealed_imperial_crusader_armor_part]
(25346,6702,4,12,0,322495.45521),-- [sealed_imperial_crusader_gaiters_pattern]
(25346,6367,1,1,1,5282.065138),-- [angel_slayer]
(25346,6691,3,9,1,406831.934862),-- [angel_slayer_blade]
(25346,959,1,1,2,19518.574816),-- [scrl_of_ench_wp_s]
(25346,960,1,1,2,195186.184076),-- [scrl_of_ench_am_s]
(25346,6577,1,1,2,3253.241108),-- [blessed_scrl_of_ench_wp_s]
(25349,6684,1,1,0,9666.30532),-- [sealed_major_arcana_robe]
(25349,6711,3,9,0,621705.69468),-- [sealed_major_arcana_robe_part]
(25349,6678,1,1,1,16829.969324),-- [sealed_imperial_crusader_shield]
(25349,6679,1,1,1,11780.76291),-- [sealed_imperial_crusader_helmet]
(25349,6683,1,1,1,11780.76291),-- [sealed_draconic_leather_helmet]
(25349,6687,1,1,1,11780.76291),-- [sealed_major_arcana_hood]
(25349,6705,23,67,1,87495.680314),-- [sealed_imperial_crusader_shield_part]
(25349,6706,60,180,1,38165.251684),-- [sealed_imperial_crusader_helmet_pattern]
(25349,6710,11,31,1,218088.30757),-- [sealed_draconic_leather_helmet_pattern]
(25349,6714,16,48,1,143120.502378),-- [sealed_major_arcana_hood_pattern]
(25349,6578,1,1,2,32530.995399),-- [blessed_scrl_of_ench_am_s]
(25349,3936,1,1,2,365972.004601),-- [blessed_scroll_of_resurrection]
(25352,395,1,1,0,199474.211),-- [manticor_skin_shirt]
(25352,417,4,12,0,39820.9705),-- [manticor_skin_gaiters]
(25352,1942,53,157,0,83335.526),-- [manticor_skin_shirt_texture]
(25352,1943,24,72,0,283869.2925),-- [manticor_skin_gaiters_pattern]
(25352,261,1,1,1,95836.829793),-- [bich'hwa]
(25352,2039,12,36,1,217072.170207),-- [bich'hwa_edge]
(25352,4559,3,7,2,133426.146758),-- [dye_i1m1_c]
(25352,4560,3,9,2,111188.867559),-- [dye_i1w1_c]
(25352,4561,4,10,2,95304.743622),-- [dye_m1i1_c]
(25352,6387,12,36,2,277971.242061),-- [blessed_scroll_of_resurrection_pet]
(25354,630,6,16,0,30926.025583),-- [square_shield]
(25354,2412,1,1,0,238250.687982),-- [plate_helmet]
(25354,2494,6,18,0,28348.805033),-- [plate_shield]
(25354,1956,40,120,0,190654.703068),-- [square_shield_fragment]
(25354,2930,140,420,0,38686.254015),-- [plate_helmet_design]
(25354,2934,81,243,0,94150.524319),-- [plate_shield_fragment]
(25354,397,1,1,1,207794.336418),-- [tempered_mithril_shirt]
(25354,2387,1,1,1,332059.752558),-- [tempered_mithril_gaiters]
(25354,1961,53,157,1,92142.122106),-- [tempered_mithril_shirt_fabric]
(25354,2935,192,576,1,41857.788918),-- [tempered_mithril_gaiters_fragment]
(25354,951,1,1,2,475058.371922),-- [scrl_of_ench_wp_c]
(25354,952,12,36,2,145156.742466),-- [scrl_of_ench_am_c]
(25354,6573,1,1,2,17418.885612),-- [blessed_scrl_of_ench_wp_c]
(25357,605,4,12,0,256556.773338),-- [leather_gauntlet]
(25357,1123,8,22,0,136830.226662),-- [blue_buckskin_boots]
(25357,222,1,1,1,318120),-- [poniard_dagger]
(25357,6387,24,72,2,141898.009605),-- [blessed_scroll_of_resurrection_pet]
(25357,955,4,10,2,97301.474655),-- [scrl_of_ench_wp_d]
(25357,956,8,22,2,378395.51574),-- [scrl_of_ench_am_d]
(25360,58,1,1,0,122830.011408),-- [mithril_breastplate]
(25360,349,1,1,0,122830.011408),-- [compound_scale_mail]
(25360,350,1,1,0,122830.011408),-- [dwarven_scale_mail]
(25360,59,1,3,0,88787.59904),-- [mithril_gaiters]
(25360,351,1,1,0,110956.282402),-- [blast_plate]
(25360,378,2,4,0,59191.956633),-- [compound_scale_gaiters]
(25360,379,2,6,0,44393.127701),-- [dwarven_scale_gaiters]
(25360,316,1,1,1,81586.526756),-- [blood_of_saints]
(25360,317,1,1,1,81586.526756),-- [tome_of_blood]
(25360,2030,3,9,1,591223.946488),-- [tome_of_blood_page]
(25360,6576,1,3,2,589746),-- [blessed_scrl_of_ench_am_d]
(25362,433,6,16,0,16521.512524),-- [elven_tunic]
(25362,434,1,1,0,181735.934182),-- [white_tunic]
(25362,435,1,1,0,181735.934182),-- [mage's_tunic]
(25362,466,4,12,0,36394.186114),-- [elven_hose]
(25362,467,5,13,0,32350.70036),-- [dark_hose]
(25362,468,5,15,0,29115.630324),-- [mage's_hose]
(25362,1936,53,157,0,54460.061128),-- [white_tunic_pattern]
(25362,1933,24,72,0,171268.041186),-- [dark_hose_fabric]
(25362,86,1,1,1,33845.948),-- [tomahawk]
(25362,179,1,1,1,33845.948),-- [mace_of_prayer]
(25362,180,1,1,1,33845.948),-- [mace_of_judgment]
(25362,181,1,1,1,33845.948),-- [mace_of_miracle]
(25362,182,1,1,1,33845.948),-- [doom_hammer]
(25362,183,1,1,1,33845.948),-- [mystic_staff]
(25362,184,1,1,1,33845.948),-- [conjure_staff]
(25362,185,1,1,1,33845.948),-- [staff_of_mana]
(25362,2022,4,12,1,163267.484),-- [mace_of_judgment_head]
(25362,2023,2,4,1,346364.932),-- [conjure_staff_head]
(25362,6387,24,72,2,150970.503238),-- [blessed_scroll_of_resurrection_pet]
(25362,955,4,10,2,103522.612018),-- [scrl_of_ench_wp_d]
(25362,956,8,22,2,402588.884744),-- [scrl_of_ench_am_d]
(25365,436,2,4,0,172819.38996),-- [tunic_of_knowledge]
(25365,469,1,3,0,414340.61004),-- [hose_of_knowledge]
(25365,293,1,1,1,122380),-- [war_hammer]
(25365,296,1,1,1,122380),-- [dwarven_pike]
(25365,6387,12,36,2,982910),-- [blessed_scroll_of_resurrection_pet]
(25366,848,3,9,0,142028.025216),-- [enchanted_earing]
(25366,879,3,7,0,256432.102656),-- [enchanted_ring]
(25366,911,4,10,0,91373.490816),-- [enchanted_necklace]
(25366,1900,96,288,0,79638.381312),-- [enchanted_necklace_chain]
(25366,259,1,1,1,338459),-- [single-edged_jamadhr]
(25366,6575,1,1,2,60388.2),-- [blessed_scrl_of_ench_wp_d]
(25366,6576,1,1,2,543493.8),-- [blessed_scrl_of_ench_am_d]
(25369,63,3,9,0,71555.8744),-- [gauntlet]
(25369,553,4,10,0,61333.54654),-- [iron_boots]
(25369,2422,4,12,0,53666.9058),-- [reinforce_leather_boots]
(25369,2423,5,13,0,47703.77606),-- [boots_of_knowledge]
(25369,2446,5,15,0,42933.52464),-- [reinforce_leather_gloves]
(25369,2447,6,16,0,39030.17104),-- [gloves_of_knowledge]
(25369,1940,60,180,0,104396.20152),-- [iron_boots_design]
(25369,260,1,1,1,237073),-- [triple-edged_jamadhr]
(25369,955,3,9,2,380816),-- [scrl_of_ench_wp_d]
(25372,391,2,4,0,374352.540555),-- [puma_skin_shirt]
(25372,413,4,12,0,224798.459445),-- [puma_skin_gaiters]
(25372,123,1,1,1,128884.061844),-- [saber]
(25372,5285,1,1,1,128884.061844),-- [heavy_sword]
(25372,2017,8,22,1,179838.237657),-- [saber_blade]
(25372,5531,24,72,1,71004.638655),-- [heavy_sword_edge]
(25372,6387,24,72,2,146188.069653),-- [blessed_scroll_of_resurrection_pet]
(25372,955,4,10,2,100243.229583),-- [scrl_of_ench_wp_d]
(25372,956,8,22,2,389835.700764),-- [scrl_of_ench_am_d]
(25373,46,2,4,0,456101.094988),-- [bronze_helmet]
(25373,627,4,12,0,244157.905012),-- [aspis]
(25373,315,1,1,1,318120),-- [divine_tome]
(25373,6575,1,1,2,37839.466027),-- [blessed_scrl_of_ench_wp_d]
(25373,6576,1,1,2,340554.532054),-- [blessed_scrl_of_ench_am_d]
(25373,6387,12,36,2,283795.001919),-- [blessed_scroll_of_resurrection_pet]
(25375,347,2,4,0,281012.070567),-- [ring_breastplate]
(25375,376,4,12,0,168738.929433),-- [iron_plate_gaiters]
(25375,156,1,1,1,171845.494821),-- [hand_axe]
(25375,167,1,1,1,171845.494821),-- [scalpel]
(25375,178,1,1,1,171846.010358),-- [bone_staff]
(25375,6575,1,1,2,38983.46976),-- [blessed_scrl_of_ench_wp_d]
(25375,6576,1,1,2,350848.26512),-- [blessed_scrl_of_ench_am_d]
(25375,955,1,3,2,350848.26512),-- [scrl_of_ench_wp_d]
(25378,432,2,4,0,374352.540555),-- [cursed_tunic]
(25378,465,4,12,0,224798.459445),-- [cursed_hose]
(25378,258,1,1,1,515537),-- [bagh-nakh]
(25378,6387,24,72,2,146188.069653),-- [blessed_scroll_of_resurrection_pet]
(25378,955,4,10,2,100243.229583),-- [scrl_of_ench_wp_d]
(25378,956,8,22,2,389835.700764),-- [scrl_of_ench_am_d]
(25380,392,2,4,0,227753.944752),-- [lion_skin_shirt]
(25380,414,1,3,0,547320.055248),-- [lion_skin_gaiters]
(25380,292,1,1,1,318120),-- [pike]
(25380,6387,24,72,2,141898.009605),-- [blessed_scroll_of_resurrection_pet]
(25380,955,4,10,2,97301.474655),-- [scrl_of_ench_wp_d]
(25380,956,8,22,2,378395.51574),-- [scrl_of_ench_am_d]
(25383,851,6,18,0,22980.082792),-- [onyxbeast'seye_earing]
(25383,882,5,15,0,41364.268726),-- [mithril_ring]
(25383,914,1,1,0,206820.745128),-- [necklace_of_darkness]
(25383,1905,81,243,0,77246.259132),-- [onyxbeast'seye_earing_gemstone]
(25383,1906,40,120,0,221035.167628),-- [mithril_ring_wire]
(25383,1907,154,462,0,29055.476594),-- [necklace_of_darkness_gem]
(25383,225,1,1,1,83473.707843),-- [mithril_dagger]
(25383,2052,12,36,1,209179.292157),-- [mithril_dagger_blade]
(25383,6573,1,1,2,50028),-- [blessed_scrl_of_ench_wp_c]
(25385,61,9,25,0,10980.90205),-- [mithril_glove]
(25385,607,9,27,0,10371.0297),-- [ogre_power_gauntlet]
(25385,1125,10,28,0,9825.15235),-- [assault_boots]
(25385,2427,10,30,0,9333.67075),-- [slamander_skin_boots]
(25385,2428,11,31,0,8889.54545),-- [plate_boots]
(25385,2451,1,1,0,186676.61475),-- [sage's_worn_gloves]
(25385,1949,112,336,0,34971.9876),-- [mithril_glove_design]
(25385,1963,203,607,0,19342.48875),-- [ogre_power_gauntlet_part]
(25385,1957,320,960,0,12240.32365),-- [assault_boots_part]
(25385,2931,28,82,0,142431.75165),-- [slamander_skin_boots_lining]
(25385,2932,36,108,0,108801.7392),-- [plate_boots_design]
(25385,2933,46,136,0,86084.7941),-- [sage's_worn_gloves_lining]
(25385,280,1,1,1,91090.0533),-- [cyclone_bow]
(25385,2054,12,36,1,224009.9467),-- [cyclone_bow_shaft]
(25385,6574,1,1,2,467933),-- [blessed_scrl_of_ench_am_c]
(25388,396,1,1,0,219923.93547),-- [slamander_skin_mail]
(25388,1952,12,36,0,538011.06453),-- [slamander_skin_mail_texture]
(25388,297,1,1,1,87192.585431),-- [glaive]
(25388,2055,12,36,1,208326.414569),-- [glaive_edge]
(25388,6574,1,1,2,447912),-- [blessed_scrl_of_ench_am_c]
(25391,61,9,25,0,9653.617476),-- [mithril_glove]
(25391,607,9,27,0,9117.305394),-- [ogre_power_gauntlet]
(25391,1125,10,28,0,8637.787755),-- [assault_boots]
(25391,2427,10,30,0,8205.718638),-- [slamander_skin_boots]
(25391,2428,1,1,0,164117.248428),-- [plate_boots]
(25391,2451,1,1,0,164117.248428),-- [sage's_worn_gloves]
(25391,1949,112,336,0,30745.923339),-- [mithril_glove_design]
(25391,1963,203,607,0,17005.262718),-- [ogre_power_gauntlet_part]
(25391,1957,320,960,0,10760.749656),-- [assault_boots_part]
(25391,2931,28,82,0,125219.525226),-- [slamander_skin_boots_lining]
(25391,2932,36,108,0,95653.344684),-- [plate_boots_design]
(25391,2933,46,136,0,75683.268258),-- [sage's_worn_gloves_lining]
(25391,297,1,1,1,80079.839188),-- [glaive]
(25391,2055,12,36,1,191332.160812),-- [glaive_edge]
(25391,6574,1,1,2,411373),-- [blessed_scrl_of_ench_am_c]
(25392,352,1,1,0,102759.8052),-- [brigandine]
(25392,2377,1,1,0,164372.6254),-- [mithril_scale_gaiters]
(25392,2378,1,1,0,164372.6254),-- [brigandine_gaiters]
(25392,1941,14,42,0,167627.16032),-- [brigandine_temper]
(25392,2918,40,120,0,87525.74984),-- [mithril_scale_gaiters_material]
(25392,2919,81,243,0,43222.03384),-- [brigandine_gaiters_material]
(25392,279,1,1,1,98899.191205),-- [strengthening_long_bow]
(25392,2040,12,36,1,256029.808795),-- [strengthening_long_bow_shaft]
(25392,4562,1,3,2,344224.3311),-- [dye_m1w1_c]
(25392,4563,2,4,2,229482.8874),-- [dye_w1i1_c]
(25392,4564,2,6,2,172112.16555),-- [dye_w1m1_c]
(25392,955,3,7,2,137690.61595),-- [scrl_of_ench_wp_d]
(25394,354,1,1,0,111124.17625),-- [chain_mail_shirt]
(25394,381,1,1,0,177780.46733),-- [chain_gaiters]
(25394,1959,12,36,0,242327.96968),-- [chain_mail_shirt_material]
(25394,1960,105,315,0,56337.38674),-- [chain_gaiters_part]
(25394,96,1,1,1,24495.364663),-- [scythe]
(25394,298,1,1,1,24495.364663),-- [orcish_glaive]
(25394,302,1,1,1,24495.364663),-- [body_slasher]
(25394,2062,5,15,1,169345.619534),-- [scythe_edge]
(25394,2075,9,27,1,94081.237642),-- [orcish_glaive_blade]
(25394,2076,2,6,1,423364.048835),-- [body_slasher_blade]
(25394,6573,1,1,2,55978),-- [blessed_scrl_of_ench_wp_c]
(25395,103,1,1,0,136337.893362),-- [tower_shield]
(25395,107,1,1,0,136337.893362),-- [composite_shield]
(25395,517,1,1,0,95465.56239),-- [composite_helmet]
(25395,1149,1,1,0,95465.56239),-- [shining_circlet]
(25395,1978,60,180,0,72210.71484),-- [tower_shield_fragment]
(25395,4055,116,346,0,37511.816364),-- [composite_shield_fragment]
(25395,2957,192,576,0,15440.065938),-- [composite_helmet_design]
(25395,1983,23,67,0,131752.491354),-- [shining_circlet_pattern]
(25395,162,1,1,1,6136.503432),-- [war_axe]
(25395,174,1,1,1,6136.503432),-- [nirvana_axe]
(25395,196,1,1,1,6136.503432),-- [stick_of_eternity]
(25395,197,1,1,1,6136.503432),-- [paradia_staff]
(25395,199,1,1,1,6136.503432),-- [paagrio_hammer]
(25395,200,1,1,1,6136.503432),-- [sage's_staff]
(25395,201,1,1,1,6136.503432),-- [club_of_nature]
(25395,202,1,1,1,6136.503432),-- [mace_of_underworld]
(25395,2097,4,10,1,77575.046086),-- [war_axe_blade]
(25395,2098,4,12,1,67878.408992),-- [nirvana_axe_blade]
(25395,2099,10,30,1,28574.637328),-- [stick_of_eternity_shaft]
(25395,2100,17,49,1,17317.883256),-- [paradia_staff_head]
(25395,2102,3,9,1,91832.474962),-- [paagrio_hammer_head]
(25395,2103,2,6,1,142873.18664),-- [sage's_staff_head]
(25395,2104,3,7,1,114298.549312),-- [club_of_nature_head]
(25395,2105,5,13,1,60335.785968),-- [mace_of_underworld_head]
(25395,4604,2,6,2,146026.690173),-- [dye_c3c3_c]
(25395,4605,3,7,2,116821.163277),-- [dye_d3s3_c]
(25395,4606,3,9,2,97351.441551),-- [dye_d3c3_c]
(25395,952,3,9,2,584107.704999),-- [scrl_of_ench_am_c]
(25395,9817,1,3,2,750000),-- [core_of_false_life]
(25395,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25398,353,1,1,0,134016.19392),-- [half_plate]
(25398,380,1,1,0,214426.15936),-- [plate_gaiters]
(25398,1950,53,157,0,62305.00416),-- [half_plate_temper]
(25398,1951,24,72,0,211972.64256),-- [plate_gaiters_part]
(25398,70,1,1,1,43596.351546),-- [claymore]
(25398,2499,1,1,1,43596.351546),-- [elven_long_sword]
(25398,2047,4,12,1,332241.088641),-- [claymore_blade]
(25398,2967,8,22,1,174797.208267),-- [elven_long_sword_blade]
(25398,951,1,3,2,712587),-- [scrl_of_ench_wp_c]
(25401,437,1,1,0,205848.17672),-- [mithril_tunic]
(25401,470,4,12,0,41093.40316),-- [mithril_hose]
(25401,1944,53,157,0,85998.41552),-- [mithril_tunic_fabric]
(25401,1945,24,72,0,292940.0046),-- [mithril_hose_design]
(25401,224,1,1,1,49449.630505),-- [maingauche]
(25401,1660,1,1,1,49449.630505),-- [cursed_maingauche]
(25401,2038,4,12,1,350710.31992),-- [maingauche_edge]
(25401,2044,8,22,1,187045.41907),-- [cursed_maingauche_edge]
(25401,956,12,36,2,956178),-- [scrl_of_ench_am_d]
(25404,630,6,16,0,28403.208243),-- [square_shield]
(25404,2412,1,1,0,218815.181622),-- [plate_helmet]
(25404,2494,6,18,0,26036.226693),-- [plate_shield]
(25404,1956,40,120,0,175101.880428),-- [square_shield_fragment]
(25404,2930,140,420,0,35530.389315),-- [plate_helmet_design]
(25404,2934,81,243,0,86470.113699),-- [plate_shield_fragment]
(25404,70,1,1,1,40039.934696),-- [claymore]
(25404,2499,1,1,1,40039.934696),-- [elven_long_sword]
(25404,2047,4,12,1,305138.182916),-- [claymore_blade]
(25404,2967,8,22,1,160537.947692),-- [elven_long_sword_blade]
(25404,6573,1,1,2,47994),-- [blessed_scrl_of_ench_wp_c]
(25407,2398,1,1,0,21002.349345),-- [blue_wolve's_tunic]
(25407,2399,1,1,0,21002.349345),-- [tunic_of_doom]
(25407,2403,1,1,0,33613.267965),-- [blue_wolve's_hose]
(25407,2404,1,1,0,33613.267965),-- [hose_of_doom]
(25407,4084,16,48,0,105909.091515),-- [blue_wolve's_tunic_fabric]
(25407,4085,23,67,0,75313.022445),-- [tunic_of_doom_pattern]
(25407,4086,60,180,0,38133.874605),-- [blue_wolve's_hose_pattern]
(25407,4087,11,31,0,217907.776815),-- [hose_of_doom_pattern]
(25407,97,1,1,1,23188.83161),-- [lancia]
(25407,4115,12,36,1,212676.16839),-- [lancia_blade]
(25407,4613,1,3,2,261503.392436),-- [dye_s4c4_c]
(25407,4614,2,4,2,174335.116116),-- [dye_s4d4_c]
(25407,4615,2,6,2,130751.696218),-- [dye_c4s4_c]
(25407,947,1,1,2,151671.79523),-- [scrl_of_ench_wp_b]
(25407,9814,1,4,2,850000),-- [skull_of_death_spirit]
(25407,8176,1,2,2,730000),-- [tombstone_of_destruction]
(25410,852,1,1,0,258666.745276),-- [moonstone_earing]
(25410,883,6,16,0,35287.519992),-- [aquastone_ring]
(25410,915,1,1,0,194081.359956),-- [aquastone_necklace]
(25410,1908,81,243,0,90193.115364),-- [moonstone_earing_wire]
(25410,1909,480,1440,0,21704.640664),-- [aquastone_ring_wire]
(25410,1910,140,420,0,41494.618748),-- [aquastone_necklace_chain]
(25410,71,1,1,1,39385.444065),-- [flamberge]
(25410,72,1,1,1,39385.444065),-- [stormbringer]
(25410,2059,8,22,1,171916.734149),-- [flamberge_blade]
(25410,2060,4,12,1,344573.377721),-- [stormbringer_blade]
(25410,6573,1,1,2,60004),-- [blessed_scrl_of_ench_wp_c]
(25410,9814,1,2,2,850000),-- [skull_of_death_spirit]
(25410,8176,1,1,2,640000),-- [tombstone_of_destruction]
(25412,2414,1,1,0,142160.53287),-- [full_plate_helmet]
(25412,2497,1,1,0,203100.77997),-- [full_plate_shield]
(25412,2959,53,157,0,96614.08249),-- [full_plate_helmet_design]
(25412,2966,24,72,0,334334.60467),-- [full_plate_shield_fragment]
(25412,301,1,1,1,15948.92637),-- [scorpion]
(25412,303,1,1,1,15948.92637),-- [widow_maker]
(25412,299,1,1,1,12444.182046),-- [orcish_poleaxe]
(25412,2113,5,15,1,142023.134592),-- [scorpion_blade]
(25412,2114,9,27,1,78901.74144),-- [widow_maker_head]
(25412,2122,2,6,1,334655.089182),-- [orcish_poleaxe_blade]
(25412,4607,1,3,2,316811.371166),-- [dye_i3m3_c]
(25412,4608,2,4,2,211207.345633),-- [dye_i3w3_c]
(25412,4609,2,6,2,158405.685583),-- [dye_m3i3_c]
(25412,6573,1,1,2,19008.597618),-- [blessed_scrl_of_ench_wp_c]
(25412,9814,1,3,2,810000),-- [skull_of_death_spirit]
(25412,8176,1,1,2,810000),-- [tombstone_of_destruction]
(25415,438,1,1,0,195393.059666),-- [sage's_rag]
(25415,1953,12,36,0,477999.940334),-- [sage's_rag_lining]
(25415,159,1,1,1,15493.39152),-- [bonebreaker]
(25415,187,1,1,1,15493.39152),-- [atuba_hammer]
(25415,188,1,1,1,15493.39152),-- [ghost_staff]
(25415,189,1,1,1,15493.39152),-- [life_stick]
(25415,190,1,1,1,15493.39152),-- [atuba_mace]
(25415,2048,2,6,1,222102.927024),-- [bonebreaker_head]
(25415,2049,3,7,1,177682.927104),-- [atuba_hammer_head]
(25415,2050,7,21,1,67286.108784),-- [ghost_staff_head]
(25415,2051,12,36,1,39250.169136),-- [life_stick_shaft]
(25415,2058,3,9,1,148066.910352),-- [atuba_mace_head]
(25415,952,12,36,2,386897),-- [scrl_of_ench_am_c]
(25415,9815,1,2,2,850000),-- [heart_of_dragons]
(25415,8176,1,1,2,640000),-- [tombstone_of_destruction]
(25418,103,1,1,0,131055.599926),-- [tower_shield]
(25418,107,1,1,0,131055.599926),-- [composite_shield]
(25418,517,1,1,0,91766.83197),-- [composite_helmet]
(25418,1149,1,1,0,91766.83197),-- [shining_circlet]
(25418,1978,60,180,0,69412.97332),-- [tower_shield_fragment]
(25418,4055,116,346,0,36058.453572),-- [composite_shield_fragment]
(25418,2957,192,576,0,14841.853974),-- [composite_helmet_design]
(25418,1983,23,67,0,126647.855342),-- [shining_circlet_pattern]
(25418,162,1,1,1,5898.755452),-- [war_axe]
(25418,174,1,1,1,5898.755452),-- [nirvana_axe]
(25418,196,1,1,1,5898.755452),-- [stick_of_eternity]
(25418,197,1,1,1,5898.755452),-- [paradia_staff]
(25418,199,1,1,1,5898.755452),-- [paagrio_hammer]
(25418,200,1,1,1,5898.755452),-- [sage's_staff]
(25418,201,1,1,1,5898.755452),-- [club_of_nature]
(25418,202,1,1,1,5898.755452),-- [mace_of_underworld]
(25418,2097,4,10,1,74566.217504),-- [war_axe_blade]
(25418,2098,4,12,1,65245.440316),-- [nirvana_axe_blade]
(25418,2099,10,30,1,27466.351992),-- [stick_of_eternity_shaft]
(25418,2100,2,4,1,183108.222244),-- [paradia_staff_head]
(25418,2102,3,9,1,88270.125168),-- [paagrio_hammer_head]
(25418,2103,2,6,1,137331.75996),-- [sage's_staff_head]
(25418,2104,3,7,1,109865.407968),-- [club_of_nature_head]
(25418,2105,5,13,1,57992.431232),-- [mace_of_underworld_head]
(25418,4607,1,3,2,280738.15122),-- [dye_i3m3_c]
(25418,4608,2,4,2,187158.55911),-- [dye_i3w3_c]
(25418,4609,2,6,2,140369.07561),-- [dye_m3i3_c]
(25418,6573,1,1,2,16844.21406),-- [blessed_scrl_of_ench_wp_c]
(25418,9814,1,3,2,720000),-- [skull_of_death_spirit]
(25418,8176,1,1,2,720000),-- [tombstone_of_destruction]
(25420,442,1,1,0,73760.97344),-- [divine_tunic]
(25420,473,1,1,0,117977.386048),-- [divine_hose]
(25420,1988,8,22,0,389745.011168),-- [divine_tunic_fabric]
(25420,1989,24,72,0,191044.629344),-- [divine_hose_pattern]
(25420,266,1,1,1,38730.97732),-- [great_pata]
(25420,2120,3,9,1,730779.02268),-- [great_pata_blade]
(25420,4604,2,6,2,164340.338274),-- [dye_c3c3_c]
(25420,4605,3,7,2,131472.170763),-- [dye_d3s3_c]
(25420,4606,3,9,2,109560.225516),-- [dye_d3c3_c]
(25420,952,21,63,2,93908.265447),-- [scrl_of_ench_am_c]
(25420,9816,1,3,2,840000),-- [earth_egg]
(25420,8176,1,1,2,840000),-- [tombstone_of_destruction]
(25423,2398,1,1,0,16782.80373),-- [blue_wolve's_tunic]
(25423,2399,1,1,0,16782.80373),-- [tunic_of_doom]
(25423,2403,1,1,0,26860.590855),-- [blue_wolve's_hose]
(25423,2404,1,1,0,26860.590855),-- [hose_of_doom]
(25423,4084,16,48,0,84631.372245),-- [blue_wolve's_tunic_fabric]
(25423,4085,23,67,0,60182.34075),-- [tunic_of_doom_pattern]
(25423,4086,6,18,0,304725.26637),-- [blue_wolve's_hose_pattern]
(25423,4087,11,31,0,174129.231465),-- [hose_of_doom_pattern]
(25423,234,1,1,1,18530.050656),-- [demon's_sword]
(25423,4119,3,9,1,682091.949344),-- [demon's_sword_edge]
(25423,4622,1,3,2,208965.203844),-- [dye_m4w4_c]
(25423,4623,2,4,2,139310.135896),-- [dye_w4i4_c]
(25423,4624,1,1,2,417929.560684),-- [dye_w4m4_c]
(25423,6572,1,1,2,80799.099576),-- [blessed_scrl_of_ench_am_b]
(25423,9818,1,4,2,830000),-- [soul_of_angel]
(25423,8176,1,2,2,690000),-- [tombstone_of_destruction]
(25426,47,2,4,0,334212.335784),-- [helmet]
(25426,628,4,12,0,179129.664216),-- [hoplon]
(25426,278,1,1,1,118536.37999),-- [gastraphetes]
(25426,2029,12,36,1,219010.62001),-- [gastraphetes_shaft]
(25426,956,12,36,2,793367),-- [scrl_of_ench_am_d]
(25429,393,1,1,0,125543.801799),-- [mithril_banded_mail]
(25429,394,1,1,0,125543.801799),-- [reinforce_leather_shirt]
(25429,415,1,1,0,200664.255381),-- [mithril_banded_gaiters]
(25429,416,1,1,0,200664.255381),-- [reinforce_leather_gaiters]
(25429,223,1,1,0,19756.22141),-- [kukuri]
(25429,238,1,1,0,19756.22141),-- [dagger_of_mana]
(25429,239,1,1,0,19756.22141),-- [mystic_knife]
(25429,241,1,1,0,19756.22141),-- [knife_o'_silenus]
(25429,1938,60,180,1,164578.510346),-- [mithril_banded_mail_material]
(25429,1939,28,84,1,460776.635407),-- [mithril_banded_gaiters_material]
(25429,2028,27,81,1,64637.854247),-- [knife_o'_silenus_edge]
(25429,6575,1,1,2,126939),-- [blessed_scrl_of_ench_wp_d]
(25431,60,1,1,0,84721.889494),-- [composite_armor]
(25431,265,1,1,0,31460.110506),-- [fist_blade]
(25431,1977,15,45,1,384443.070102),-- [composite_armor_temper]
(25431,2108,12,36,1,173997.929898),-- [fist_blade_piece]
(25431,4610,1,3,2,280738.09029),-- [dye_m3w3_c]
(25431,4611,2,4,2,187158.72686),-- [dye_w3i3_c]
(25431,4612,2,6,2,140369.045145),-- [dye_w3m3_c]
(25431,6574,1,1,2,144379.137705),-- [blessed_scrl_of_ench_am_c]
(25431,9817,1,3,2,720000),-- [core_of_false_life]
(25431,8176,1,1,2,720000),-- [tombstone_of_destruction]
(25434,554,1,1,0,84624.773742),-- [shrnoen's_boots]
(25434,600,1,1,0,84624.773742),-- [avadon_boots]
(25434,612,1,1,0,84624.773742),-- [shrnoen's_gauntlet]
(25434,2464,1,1,0,84624.773742),-- [avadon_gloves]
(25434,4097,60,180,0,73236.021642),-- [shrnoen's_boots_design]
(25434,4098,116,346,0,38045.111634),-- [avadon_boots_design]
(25434,4100,192,576,0,22886.382006),-- [shrnoen's_gauntlet_part]
(25434,4073,23,67,0,195295.38975),-- [avadon_gloves_part]
(25434,78,1,1,1,10111.137876),-- [great_sword]
(25434,142,1,1,1,10111.137876),-- [kshanberk]
(25434,148,1,1,1,10111.137876),-- [sword_of_valhalla]
(25434,4104,5,15,1,193267.654974),-- [great_sword_blade]
(25434,4107,9,27,1,105707.314407),-- [kshanberk_blade]
(25434,4108,14,42,1,67954.616991),-- [sword_of_valhalla_blade]
(25434,6572,1,1,2,116748.786948),-- [blessed_scrl_of_ench_am_b]
(25434,948,1,3,2,547258.426104),-- [scrl_of_ench_am_b]
(25434,9814,1,4,2,750000),-- [skull_of_death_spirit]
(25434,8176,1,2,2,620000),-- [tombstone_of_destruction]
(25437,60,1,1,0,88136.203356),-- [composite_armor]
(25437,1977,12,36,0,333281.796644),-- [composite_armor_temper]
(25437,265,1,1,1,49092.07058),-- [fist_blade]
(25437,2108,3,9,1,724047.92942),-- [fist_blade_piece]
(25437,4607,1,3,2,292053.27611),-- [dye_i3m3_c]
(25437,4608,2,4,2,194701.967305),-- [dye_i3w3_c]
(25437,4609,2,6,2,146026.638055),-- [dye_m3i3_c]
(25437,6573,1,1,2,17523.11853),-- [blessed_scrl_of_ench_wp_c]
(25437,9814,1,3,2,750000),-- [skull_of_death_spirit]
(25437,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25438,60,1,1,0,84721.541922),-- [composite_armor]
(25438,1977,12,36,0,320369.458078),-- [composite_armor_temper]
(25438,283,1,1,1,47190.02827),-- [akat_long_bow]
(25438,2109,3,9,1,728578.97173),-- [akat_long_bow_shaft]
(25438,4601,1,3,2,280738.139968),-- [dye_s3c3_c]
(25438,4602,2,4,2,187158.99336),-- [dye_s3d3_c]
(25438,4603,2,6,2,140369.069984),-- [dye_c3s3_c]
(25438,951,3,7,2,91877.796688),-- [scrl_of_ench_wp_c]
(25438,9814,1,3,2,720000),-- [skull_of_death_spirit]
(25438,8176,1,1,2,720000),-- [tombstone_of_destruction]
(25441,854,1,1,0,159080.840568),-- [earing_of_binding]
(25441,885,1,1,0,238568.488704),-- [ring_of_ages]
(25441,917,1,1,0,119323.423674),-- [necklace_of_mermaid]
(25441,1914,81,243,0,62504.611416),-- [earing_of_binding_gemstone]
(25441,1915,280,840,0,28357.03377),-- [ring_of_ages_gemstone]
(25441,1916,20,60,0,191743.601868),-- [necklace_of_mermaid_teardrop]
(25441,283,1,1,1,49091.98929),-- [akat_long_bow]
(25441,2109,12,36,1,189485.01071),-- [akat_long_bow_shaft]
(25441,4610,1,3,2,292053.478962),-- [dye_m3w3_c]
(25441,4611,2,4,2,194702.319308),-- [dye_w3i3_c]
(25441,4612,2,6,2,146026.739481),-- [dye_w3m3_c]
(25441,6574,1,1,2,150198.462249),-- [blessed_scrl_of_ench_am_c]
(25441,9815,1,3,2,750000),-- [heart_of_dragons]
(25441,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25444,5287,1,1,0,15381.06416),-- [sealed_dark_crystal_breastplate]
(25444,5288,1,1,0,24612.34646),-- [sealed_dark_crystal_gaiters]
(25444,5293,1,1,0,9465.55271),-- [sealed_tallum_plate_armor]
(25444,5520,9,27,0,98138.00448),-- [sealed_dark_crystal_breastplate_pattern]
(25444,5524,4,12,0,337493.33084),-- [sealed_dark_crystal_gaiters_pattern]
(25444,5521,3,7,0,249299.70135),-- [sealed_tallum_plate_armor_pattern]
(25444,288,1,1,1,17487.790551),-- [carnium_bow]
(25444,5535,3,9,1,701021.209449),-- [carnium_bow_shaft]
(25444,729,1,1,2,59183.847494),-- [scrl_of_ench_wp_a]
(25444,730,1,1,2,443880.13162),-- [scrl_of_ench_am_a]
(25444,6569,1,1,2,7102.020886),-- [blessed_scrl_of_ench_wp_a]
(25444,9814,1,4,2,890000),-- [skull_of_death_spirit]
(25444,8176,1,2,2,760000),-- [tombstone_of_destruction]
(25447,5326,1,1,0,14002.479128),-- [sealed_robe_of_nightmare]
(25447,5329,1,1,0,14002.479128),-- [sealed_majestic_robe]
(25447,5487,4,12,0,260219.711609),-- [sealed_robe_of_nightmare_fabric]
(25447,5488,8,22,0,138784.330135),-- [sealed_majestic_robe_fabric]
(25447,164,1,1,1,6686.640662),-- [elysian]
(25447,213,1,1,1,6686.640662),-- [worldtree's_branch]
(25447,5533,4,12,1,237763.385795),-- [elysian_head]
(25447,5544,8,22,1,126682.332881),-- [worldtree's_branch_head]
(25447,959,1,1,2,23970.652496),-- [scrl_of_ench_wp_s]
(25447,960,1,1,2,239707.060306),-- [scrl_of_ench_am_s]
(25447,6577,1,1,2,3995.287198),-- [blessed_scrl_of_ench_wp_s]
(25447,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25447,9814,2,4,2,840000),-- [skull_of_death_spirit]
(25447,8176,1,2,2,850000),-- [tombstone_of_destruction]
(25450,6676,1,1,0,20516.891566),-- [sealed_imperial_crusader_gauntlet]
(25450,6677,1,1,0,20516.891566),-- [sealed_imperial_crusader_boots]
(25450,6681,1,1,0,20516.891566),-- [sealed_draconic_leather_gloves]
(25450,6682,1,1,0,20516.891566),-- [sealed_draconic_leather_boots]
(25450,6685,1,1,0,20516.891566),-- [sealed_major_arcana_gloves]
(25450,6686,1,1,0,20516.891566),-- [sealed_major_arcana_boots]
(25450,6703,112,336,0,20832.80932),-- [sealed_imperial_crusader_gauntlet_design]
(25450,6704,14,40,0,172835.558223),-- [sealed_imperial_crusader_boots_design]
(25450,6708,20,60,0,116663.732192),-- [sealed_draconic_leather_gloves_fabric]
(25450,6709,28,82,0,84846.120004),-- [sealed_draconic_leather_boots_design]
(25450,6712,36,108,0,64813.255037),-- [sealed_major_arcana_gloves_fabric]
(25450,6713,46,136,0,51280.175828),-- [sealed_major_arcana_boots_design]
(25450,6364,1,1,1,6898.64438),-- [forgotten_blade]
(25450,6372,1,1,1,6898.64438),-- [heavens_divider]
(25450,6688,8,22,1,212535.051844),-- [forgotten_blade_edge]
(25450,6696,4,12,1,404833.659396),-- [heavens_divider_edge]
(25450,959,1,1,2,50984.550608),-- [scrl_of_ench_wp_s]
(25450,960,1,1,2,509846.644738),-- [scrl_of_ench_am_s]
(25450,6577,1,1,2,8497.804654),-- [blessed_scrl_of_ench_wp_s]
(25453,5320,1,1,0,22289.045658),-- [sealed_leather_mail_of_nightmare]
(25453,5323,1,1,0,22289.045658),-- [sealed_majestic_leather_mail]
(25453,5480,4,12,0,412748.06108),-- [sealed_leather_mail_of_nightmare_fabric]
(25453,5481,8,22,0,220131.847604),-- [sealed_majestic_leather_mail_fabric]
(25453,305,1,1,1,21287.467624),-- [tallum_glaive]
(25453,5541,12,36,1,252256.532376),-- [tallum_glaive_edge]
(25453,959,1,1,2,38156.405712),-- [scrl_of_ench_wp_s]
(25453,960,1,1,2,381564.909282),-- [scrl_of_ench_am_s]
(25453,6577,1,1,2,6359.685006),-- [blessed_scrl_of_ench_wp_s]
(25453,8619,1,1,2,520000),-- [sb_increase_of_divinity_a]
(25453,9815,3,7,2,810000),-- [heart_of_dragons]
(25453,8176,1,4,2,820000),-- [tombstone_of_destruction]
(25456,2414,1,1,0,153011.090448),-- [full_plate_helmet]
(25456,2497,1,1,0,218602.592112),-- [full_plate_shield]
(25456,2959,53,157,0,103988.736336),-- [full_plate_helmet_design]
(25456,2966,192,576,0,44981.581104),-- [full_plate_shield_fragment]
(25456,266,1,1,1,40181.847552),-- [great_pata]
(25456,2120,3,9,1,758154.152448),-- [great_pata_blade]
(25456,4601,1,3,2,340993.004352),-- [dye_s3c3_c]
(25456,4602,2,4,2,227328.95304),-- [dye_s3d3_c]
(25456,4603,2,6,2,170496.502176),-- [dye_c3s3_c]
(25456,951,3,7,2,111597.540432),-- [scrl_of_ench_wp_c]
(25456,9818,1,4,2,700000),-- [soul_of_angel]
(25456,8176,1,2,2,580000),-- [tombstone_of_destruction]
(25460,357,1,1,0,19325.039994),-- [shrnoen's_breastplate]
(25460,383,1,1,0,30914.3673),-- [shrnoen's_gaiters]
(25460,2376,1,1,0,19325.039994),-- [avadon_breastplate]
(25460,2379,1,1,0,30914.3673),-- [avadon_gaiters]
(25460,4056,16,48,0,87225.66081),-- [shrnoen's_breastplate_part]
(25460,4057,60,180,0,35947.589706),-- [shrnoen's_gaiters_material]
(25460,4064,23,67,0,62027.136576),-- [avadon_breastplate_part]
(25460,4065,11,31,0,205414.79832),-- [avadon_gaiters_material]
(25460,300,1,1,1,27700.980024),-- [great_axe]
(25460,4113,12,36,1,198387.019976),-- [great_axe_head]
(25460,4601,1,3,2,333178.060072),-- [dye_s3c3_c]
(25460,4602,2,4,2,222118.98369),-- [dye_s3d3_c]
(25460,4603,2,6,2,166589.030036),-- [dye_c3s3_c]
(25460,951,3,7,2,109039.926202),-- [scrl_of_ench_wp_c]
(25460,9814,1,3,2,850000),-- [skull_of_death_spirit]
(25460,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25463,2391,1,1,0,23096.919312),-- [blue_wolve's_leather_mail]
(25463,2392,1,1,0,23096.919312),-- [leather_mail_of_doom]
(25463,4082,24,72,0,82018.851696),-- [blue_wolve's_leather_mail_texture]
(25463,4083,8,22,0,262459.30968),-- [leather_mail_of_doom_design]
(25463,234,1,1,1,20715.686928),-- [demon's_sword]
(25463,4119,3,9,1,762545.313072),-- [demon's_sword_edge]
(25463,947,1,1,2,180660.624442),-- [scrl_of_ench_wp_b]
(25463,948,1,3,2,564564.261849),-- [scrl_of_ench_am_b]
(25463,6571,1,1,2,12904.113709),-- [blessed_scrl_of_ench_wp_b]
(25463,9816,1,4,2,770000),-- [earth_egg]
(25463,8176,1,2,2,650000),-- [tombstone_of_destruction]
(25467,5289,1,1,0,40082.470664),-- [sealed_dark_crystal_helmet]
(25467,5292,1,1,0,57273.21872),-- [sealed_dark_crystal_shield]
(25467,5294,1,1,0,40082.470664),-- [sealed_tallum_bonnet]
(25467,5525,9,27,0,229944.77156),-- [sealed_dark_crystal_helmet_design]
(25467,5494,40,120,0,70291.136784),-- [sealed_dark_crystal_shield_fragment]
(25467,5526,14,42,0,147821.931608),-- [sealed_tallum_bonnet_design]
(25467,269,1,1,1,17092.90278),-- [blood_tornado]
(25467,5539,3,9,1,677176.09722),-- [blood_tornado_edge]
(25467,729,1,1,2,57847.423814),-- [scrl_of_ench_wp_a]
(25467,730,1,1,2,433856.92522),-- [scrl_of_ench_am_a]
(25467,6569,1,1,2,6941.650966),-- [blessed_scrl_of_ench_wp_a]
(25467,9817,1,5,2,740000),-- [core_of_false_life]
(25467,8176,1,2,2,740000),-- [tombstone_of_destruction]
(25470,5290,1,1,0,47168.892504),-- [sealed_dark_crystal_gloves]
(25470,5291,1,1,0,47168.892504),-- [sealed_dark_crystal_boots]
(25470,5295,1,1,0,47168.892504),-- [sealed_tallum_gloves]
(25470,5296,1,1,0,47168.892504),-- [sealed_tallum_boots]
(25470,5508,60,180,0,41012.349576),-- [sealed_dark_crystal_gloves_design]
(25470,5496,11,31,0,234356.594952),-- [sealed_dark_crystal_boots_lining]
(25470,5509,16,48,0,153796.492712),-- [sealed_tallum_gloves_design]
(25470,5497,23,67,0,109366.992744),-- [sealed_tallum_boots_lining]
(25470,98,1,1,1,17866.4878),-- [halbard]
(25470,5542,3,9,1,707823.5122),-- [halbard_edge]
(25470,6570,1,1,2,90698.199774),-- [blessed_scrl_of_ench_am_a]
(25470,6569,1,1,2,10883.800226),-- [blessed_scrl_of_ench_wp_a]
(25470,8619,1,1,2,500000),-- [sb_increase_of_divinity_a]
(25470,9817,1,5,2,770000),-- [core_of_false_life]
(25470,8176,1,2,2,770000),-- [tombstone_of_destruction]
(25473,856,1,1,0,87763.188942),-- [adamantite_earing]
(25473,887,1,1,0,131643.990482),-- [adamantite_ring]
(25473,918,1,1,0,65821.995241),-- [adamantite_necklace]
(25473,4049,81,243,0,66194.672811),-- [adamantite_earing_gemstone]
(25473,4050,40,120,0,158336.426735),-- [adamantite_ring_wire]
(25473,4051,14,42,0,283170.725789),-- [adamantite_necklace_chain]
(25473,91,1,1,1,13771.423646),-- [heavy_war_axe]
(25473,92,1,1,1,13771.423646),-- [sprite's_staff]
(25473,4105,4,12,1,329046.690358),-- [heavy_war_axe_head]
(25473,4106,8,22,1,172612.46235),-- [sprite's_staff_head]
(25473,4607,1,3,2,331275.59928),-- [dye_i3m3_c]
(25473,4608,2,4,2,220850.15364),-- [dye_i3w3_c]
(25473,4609,2,6,2,165637.79964),-- [dye_m3i3_c]
(25473,6573,1,1,2,19876.44744),-- [blessed_scrl_of_ench_wp_c]
(25473,9816,1,3,2,850000),-- [earth_egg]
(25473,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25475,357,1,1,0,21161.511813),-- [shrnoen's_breastplate]
(25475,383,1,1,0,33852.18085),-- [shrnoen's_gaiters]
(25475,2376,1,1,0,21161.511813),-- [avadon_breastplate]
(25475,2379,1,1,0,33852.18085),-- [avadon_gaiters]
(25475,4056,16,48,0,95514.775245),-- [shrnoen's_breastplate_part]
(25475,4057,60,180,0,39363.713837),-- [shrnoen's_gaiters_material]
(25475,4064,23,67,0,67921.617952),-- [avadon_breastplate_part]
(25475,4065,11,31,0,224935.50764),-- [avadon_gaiters_material]
(25475,78,1,1,1,10111.137876),-- [great_sword]
(25475,142,1,1,1,10111.137876),-- [kshanberk]
(25475,148,1,1,1,10111.137876),-- [sword_of_valhalla]
(25475,4104,5,15,1,193267.654974),-- [great_sword_blade]
(25475,4107,9,27,1,105707.314407),-- [kshanberk_blade]
(25475,4108,14,42,1,67954.616991),-- [sword_of_valhalla_blade]
(25475,947,1,1,2,175123.048356),-- [scrl_of_ench_wp_b]
(25475,948,1,3,2,547260.218868),-- [scrl_of_ench_am_b]
(25475,4617,2,4,2,201290.732776),-- [dye_d4s4_c]
(25475,9814,1,4,2,750000),-- [skull_of_death_spirit]
(25475,8176,1,1,2,920000),-- [tombstone_of_destruction]
(25478,5304,1,1,0,20511.927436),-- [sealed_tallum_tunic]
(25478,5305,1,1,0,32806.614995),-- [sealed_tallum_hose]
(25478,5308,1,1,0,12620.976599),-- [sealed_dark_crystal_robe]
(25478,5485,9,27,0,127973.474783),-- [sealed_tallum_tunic_texture]
(25478,5489,28,84,0,64563.861131),-- [sealed_tallum_hose_fabric]
(25478,5486,3,7,0,324182.145056),-- [sealed_dark_crystal_robe_fabric]
(25478,235,1,1,1,17487.795024),-- [bloody_orchid]
(25478,5536,3,9,1,698990.204976),-- [bloody_orchid_head]
(25478,6570,1,1,2,88776),-- [blessed_scrl_of_ench_am_a]
(25478,729,1,1,2,88776),-- [scrl_of_ench_wp_a]
(25478,9816,1,5,2,760000),-- [earth_egg]
(25478,8176,1,2,2,760000),-- [tombstone_of_destruction]
(25481,2384,1,1,0,35287.656295),-- [shrnoen's_leather_shirts]
(25481,2388,1,1,0,56446.459765),-- [shrnoen's_leather_gaiters]
(25481,2390,1,1,0,21705.44627),-- [avadon_leather_mail]
(25481,4066,9,27,0,276624.86183),-- [shrnoen's_leather_shirts_fabric]
(25481,4067,40,120,0,94502.737605),-- [shrnoen's_leather_gaiters_texture]
(25481,4068,14,42,0,136617.838235),-- [avadon_leather_mail_lining]
(25481,229,1,1,1,14226.249708),-- [kris]
(25481,243,1,1,1,14226.249708),-- [hell_knife]
(25481,4109,4,12,1,334648.857291),-- [kris_edge]
(25481,4110,8,22,1,178479.643293),-- [hell_knife_edge]
(25481,4616,2,4,2,141606.887277),-- [dye_c4c4_c]
(25481,4617,2,6,2,106204.986015),-- [dye_d4s4_c]
(25481,4618,3,7,2,84963.988812),-- [dye_d4c4_c]
(25481,948,1,3,2,384995.137896),-- [scrl_of_ench_am_b]
(25481,9814,1,3,2,880000),-- [skull_of_death_spirit]
(25481,8176,1,1,2,880000),-- [tombstone_of_destruction]
(25484,503,1,1,0,51388.117599),-- [shrnoen's_helmet]
(25484,633,1,1,0,73414.580478),-- [shrnoen's_shield]
(25484,673,1,1,0,73414.580478),-- [avadon_shield]
(25484,2415,1,1,0,51388.117599),-- [avadon_circlet]
(25484,4102,16,48,0,215871.570237),-- [shrnoen's_helmet_design]
(25484,4101,116,346,0,38598.341934),-- [shrnoen's_shield_fragment]
(25484,4439,60,180,0,88393.052661),-- [avadon_shield_fragment]
(25484,4072,23,67,0,153508.639014),-- [avadon_circlet_pattern]
(25484,229,1,1,1,13813.737036),-- [kris]
(25484,243,1,1,1,13813.737036),-- [hell_knife]
(25484,4109,4,12,1,324945.182947),-- [kris_edge]
(25484,4110,8,22,1,173304.342981),-- [hell_knife_edge]
(25484,4607,1,3,2,332293.713514),-- [dye_i3m3_c]
(25484,4608,2,4,2,221528.895707),-- [dye_i3w3_c]
(25484,4609,2,6,2,166146.856757),-- [dye_m3i3_c]
(25484,6573,1,1,2,19937.534022),-- [blessed_scrl_of_ench_wp_c]
(25484,9814,1,3,2,850000),-- [skull_of_death_spirit]
(25484,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25487,62,11,33,0,4815.238362),-- [mithril_boots]
(25487,2429,12,34,0,4605.637619),-- [chain_boots]
(25487,2430,12,36,0,4413.570018),-- [karmian_boots]
(25487,2431,13,37,0,4237.441637),-- [plate_leather_boots]
(25487,2432,13,39,0,4074.064632),-- [dwarven_chain_boots]
(25487,2433,1,1,0,105934.447003),-- [boots_of_seal]
(25487,2452,1,1,0,105934.447003),-- [reinforce_mithril_gloves]
(25487,2453,1,1,0,105934.447003),-- [chain_gloves]
(25487,2454,1,1,0,105934.447003),-- [karmian_gloves]
(25487,1958,220,660,0,10507.133824),-- [mithril_boots_design]
(25487,2937,378,1134,0,6115.081753),-- [chain_boots_part]
(25487,2938,26,78,0,88904.187394),-- [karmian_boots_fabric]
(25487,2939,35,105,0,66043.361109),-- [plate_leather_boots_lining]
(25487,2940,45,135,0,51367.324294),-- [dwarven_chain_boots_part]
(25487,2941,56,168,0,41277.001073),-- [boots_of_seal_pattern]
(25487,2942,68,204,0,33992.777533),-- [reinforce_mithril_gloves_design]
(25487,2943,81,243,0,28537.579488),-- [chain_gloves_design]
(25487,2944,95,285,0,24332.813252),-- [karmian_gloves_fabric]
(25487,89,1,1,1,9846.369026),-- [big_hammer]
(25487,160,1,1,1,9846.369026),-- [battle_axe]
(25487,161,1,1,1,9846.369026),-- [war_pick]
(25487,173,1,1,1,9846.369026),-- [skull_graver]
(25487,191,1,1,1,9846.369026),-- [heavy_doom_hammer]
(25487,192,1,1,1,9846.369026),-- [crystal_staff]
(25487,193,1,1,1,9846.369026),-- [stick_of_faith]
(25487,194,1,1,1,9846.369026),-- [heavy_doom_axe]
(25487,2061,2,6,1,167705.311661),-- [big_hammer_head]
(25487,2063,3,7,1,134164.091205),-- [battle_axe_head]
(25487,2064,3,9,1,111803.014028),-- [war_pick_head]
(25487,2065,4,10,1,95831.719609),-- [skull_graver_head]
(25487,2066,10,30,1,34034.566712),-- [heavy_doom_hammer_head]
(25487,2067,4,12,1,78186.684767),-- [crystal_staff_head]
(25487,2068,5,13,1,69499.363195),-- [stick_of_faith_shaft]
(25487,2069,17,49,1,20623.296615),-- [heavy_doom_axe_blade]
(25487,6574,1,1,2,514316),-- [blessed_scrl_of_ench_am_c]
(25487,9818,1,2,2,850000),-- [soul_of_angel]
(25487,8176,1,1,2,640000),-- [tombstone_of_destruction]
(25490,631,6,16,0,27503.529111),-- [eldarake]
(25490,2413,1,1,0,211798.631457),-- [chain_hood]
(25490,2495,6,18,0,25211.523537),-- [chain_shield]
(25490,1964,40,120,0,155853.690147),-- [eldarake_temper]
(25490,2936,140,420,0,40444.594839),-- [chain_hood_pattern]
(25490,2945,81,243,0,76965.030909),-- [chain_shield_fragment]
(25490,263,1,1,1,78770.948228),-- [chakram]
(25490,2073,12,36,1,223615.051772),-- [chakram_edge]
(25490,951,1,3,2,818230),-- [scrl_of_ench_wp_c]
(25490,9816,1,2,2,850000),-- [earth_egg]
(25490,8176,1,1,2,650000),-- [tombstone_of_destruction]
(25493,503,1,1,0,56421.181217),-- [shrnoen's_helmet]
(25493,633,1,1,0,80606.157826),-- [shrnoen's_shield]
(25493,673,1,1,0,80606.157826),-- [avadon_shield]
(25493,2415,1,1,0,56421.181217),-- [avadon_circlet]
(25493,4102,192,576,0,19751.054201),-- [shrnoen's_helmet_design]
(25493,4101,116,346,0,42378.621582),-- [shrnoen's_shield_fragment]
(25493,4439,60,180,0,97051.027213),-- [avadon_shield_fragment]
(25493,4072,23,67,0,168545.618918),-- [avadon_circlet_pattern]
(25493,91,1,1,1,15166.72486),-- [heavy_war_axe]
(25493,92,1,1,1,15166.72486),-- [sprite's_staff]
(25493,4105,4,12,1,362385.23678),-- [heavy_war_axe_head]
(25493,4106,8,22,1,190101.3135),-- [sprite's_staff_head]
(25493,4613,1,3,2,226452.383493),-- [dye_s4c4_c]
(25493,4614,2,4,2,150968.255662),-- [dye_s4d4_c]
(25493,4615,1,1,2,452904.766986),-- [dye_c4s4_c]
(25493,947,1,1,2,131341.593859),-- [scrl_of_ench_wp_b]
(25493,9816,1,4,2,750000),-- [earth_egg]
(25493,8176,1,2,2,630000),-- [tombstone_of_destruction]
(25496,554,1,1,0,76839.485101),-- [shrnoen's_boots]
(25496,600,1,1,0,76839.485101),-- [avadon_boots]
(25496,612,1,1,0,76839.485101),-- [shrnoen's_gauntlet]
(25496,2464,1,1,0,76839.485101),-- [avadon_gloves]
(25496,4097,60,180,0,66498.472551),-- [shrnoen's_boots_design]
(25496,4098,116,346,0,34545.047027),-- [avadon_boots_design]
(25496,4100,192,576,0,20780.886393),-- [shrnoen's_gauntlet_part]
(25496,4073,23,67,0,177328.653625),-- [avadon_gloves_part]
(25496,267,1,1,1,27542.881912),-- [arthro_nail]
(25496,4111,12,36,1,219361.118088),-- [arthro_nail_blade]
(25496,4610,1,3,2,331275.385266),-- [dye_m3w3_c]
(25496,4611,2,4,2,220850.256844),-- [dye_w3i3_c]
(25496,4612,2,6,2,165637.692633),-- [dye_w3m3_c]
(25496,6574,1,1,2,170369.665257),-- [blessed_scrl_of_ench_am_c]
(25496,9816,1,3,2,850000),-- [earth_egg]
(25496,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25498,854,1,1,0,159080.840568),-- [earing_of_binding]
(25498,885,1,1,0,238568.488704),-- [ring_of_ages]
(25498,917,1,1,0,119323.423674),-- [necklace_of_mermaid]
(25498,1914,81,243,0,62504.611416),-- [earing_of_binding_gemstone]
(25498,1915,280,840,0,28357.03377),-- [ring_of_ages_gemstone]
(25498,1916,20,60,0,191743.601868),-- [necklace_of_mermaid_teardrop]
(25498,231,1,1,1,24546.01275),-- [grace_dagger]
(25498,233,1,1,1,24546.01275),-- [dark_screamer]
(25498,2106,4,12,1,276249.704325),-- [grace_dagger_edge]
(25498,2107,8,22,1,147333.270175),-- [dark_screamer_edge]
(25498,4601,1,3,2,292053.569808),-- [dye_s3c3_c]
(25498,4602,2,4,2,194702.62266),-- [dye_s3d3_c]
(25498,4603,2,6,2,146026.784904),-- [dye_c3s3_c]
(25498,951,3,7,2,95581.022628),-- [scrl_of_ench_wp_c]
(25498,9816,1,3,2,750000),-- [earth_egg]
(25498,8176,1,1,2,750000),-- [tombstone_of_destruction]
(25501,395,1,1,0,199474.211),-- [manticor_skin_shirt]
(25501,417,4,12,0,39820.9705),-- [manticor_skin_gaiters]
(25501,1942,53,157,0,83335.526),-- [manticor_skin_shirt_texture]
(25501,1943,24,72,0,283869.2925),-- [manticor_skin_gaiters_pattern]
(25501,224,1,1,1,47918.424411),-- [maingauche]
(25501,1660,1,1,1,47918.424411),-- [cursed_maingauche]
(25501,2038,4,12,1,339850.587024),-- [maingauche_edge]
(25501,2044,8,22,1,181253.564154),-- [cursed_maingauche_edge]
(25501,4553,1,3,2,333565.166912),-- [dye_s1c1_c]
(25501,4554,2,4,2,222377.031204),-- [dye_s1d1_c]
(25501,4555,2,6,2,166782.583456),-- [dye_c1s1_c]
(25501,6575,1,1,2,37063.218428),-- [blessed_scrl_of_ench_wp_d]
(25504,62,11,33,0,4688.80347),-- [mithril_boots]
(25504,2429,12,34,0,4484.706265),-- [chain_boots]
(25504,2430,12,36,0,4297.68183),-- [karmian_boots]
(25504,2431,13,37,0,4126.178095),-- [plate_leather_boots]
(25504,2432,13,39,0,3967.09092),-- [dwarven_chain_boots]
(25504,2433,1,1,0,103152.900305),-- [boots_of_seal]
(25504,2452,1,1,0,103152.900305),-- [reinforce_mithril_gloves]
(25504,2453,1,1,0,103152.900305),-- [chain_gloves]
(25504,2454,1,1,0,103152.900305),-- [karmian_gloves]
(25504,1958,220,660,0,10231.24544),-- [mithril_boots_design]
(25504,2937,378,1134,0,5954.516555),-- [chain_boots_part]
(25504,2938,26,78,0,86569.80839),-- [karmian_boots_fabric]
(25504,2939,35,105,0,64309.244415),-- [plate_leather_boots_lining]
(25504,2940,45,135,0,50018.55989),-- [dwarven_chain_boots_part]
(25504,2941,56,168,0,40193.180755),-- [boots_of_seal_pattern]
(25504,2942,68,204,0,33100.220855),-- [reinforce_mithril_gloves_design]
(25504,2943,81,243,0,27788.26128),-- [chain_gloves_design]
(25504,2944,95,285,0,23693.90062),-- [karmian_gloves_fabric]
(25504,96,1,1,1,25567.548545),-- [scythe]
(25504,298,1,1,1,25567.548545),-- [orcish_glaive]
(25504,302,1,1,1,25567.548545),-- [body_slasher]
(25504,2062,5,15,1,176758.02781),-- [scythe_edge]
(25504,2075,9,27,1,98199.25703),-- [orcish_glaive_blade]
(25504,2076,2,6,1,441895.069525),-- [body_slasher_blade]
(25504,951,1,1,2,531163.081987),-- [scrl_of_ench_wp_c]
(25504,952,12,36,2,162299.850411),-- [scrl_of_ench_am_c]
(25504,6573,1,1,2,19476.067602),-- [blessed_scrl_of_ench_wp_c]
(25506,397,1,1,0,142372.411401),-- [tempered_mithril_shirt]
(25506,2387,1,1,0,227514.183226),-- [tempered_mithril_gaiters]
(25506,1961,53,157,0,63131.7709),-- [tempered_mithril_shirt_fabric]
(25506,2935,24,72,0,229434.634473),-- [tempered_mithril_gaiters_fragment]
(25506,281,1,1,1,70503.761262),-- [crystallized_ice_bow]
(25506,2074,12,36,1,183398.238738),-- [crystallized_ice_bow_shaft]
(25506,6574,1,1,2,460338),-- [blessed_scrl_of_ench_am_c]
(25509,2397,1,1,0,35287.656295),-- [tunic_of_shrnoen]
(25509,2402,1,1,0,56446.459765),-- [hose_of_shrnoen]
(25509,2406,1,1,0,21705.44627),-- [avadon_robe]
(25509,4069,9,27,0,276624.86183),-- [tunic_of_shrnoen_fabric]
(25509,4070,40,120,0,94502.737605),-- [hose_of_shrnoen_fabric]
(25509,4071,14,42,0,136617.838235),-- [avadon_robe_fabric]
(25509,91,1,1,1,7113.123261),-- [heavy_war_axe]
(25509,92,1,1,1,7113.123261),-- [sprite's_staff]
(25509,7892,1,1,1,7113.123261),-- [spell_breaker]
(25509,7900,1,1,1,7113.123261),-- [ice_storm_hammer]
(25509,4105,6,18,1,113305.76271),-- [heavy_war_axe_head]
(25509,4106,2,6,1,334339.569084),-- [sprite's_staff_head]
(25509,8339,11,31,1,64746.15012),-- [spell_breaker_head]
(25509,8347,3,7,1,244529.025042),-- [ice_storm_hammer_head]
(25509,4613,1,3,2,212410.299765),-- [dye_s4c4_c]
(25509,4614,2,4,2,141606.86651),-- [dye_s4d4_c]
(25509,4615,1,1,2,424820.59953),-- [dye_c4s4_c]
(25509,947,1,1,2,123197.234195),-- [scrl_of_ench_wp_b]
(25509,9814,1,3,2,880000),-- [skull_of_death_spirit]
(25509,8176,1,1,2,880000),-- [tombstone_of_destruction]
(25512,357,1,1,0,19214.69979),-- [shrnoen's_breastplate]
(25512,383,1,1,0,30737.8555),-- [shrnoen's_gaiters]
(25512,2376,1,1,0,19214.69979),-- [avadon_breastplate]
(25512,2379,1,1,0,30737.8555),-- [avadon_gaiters]
(25512,4056,16,48,0,86727.62835),-- [shrnoen's_breastplate_part]
(25512,4057,60,180,0,35742.33971),-- [shrnoen's_gaiters_material]
(25512,4064,23,67,0,61672.98016),-- [avadon_breastplate_part]
(25512,4065,11,31,0,204241.9412),-- [avadon_gaiters_material]
(25512,78,1,1,1,9180.94552),-- [great_sword]
(25512,142,1,1,1,9180.94552),-- [kshanberk]
(25512,148,1,1,1,9180.94552),-- [sword_of_valhalla]
(25512,4104,5,15,1,175495.674129),-- [great_sword_blade]
(25512,4107,9,27,1,95986.931605),-- [kshanberk_blade]
(25512,4108,2,6,1,431941.557706),-- [sword_of_valhalla_blade]
(25512,4604,2,6,2,165637.863342),-- [dye_c3c3_c]
(25512,4605,3,7,2,132510.190029),-- [dye_d3s3_c]
(25512,4606,3,9,2,110425.242228),-- [dye_d3c3_c]
(25512,952,21,63,2,94649.704401),-- [scrl_of_ench_am_c]
(25512,9817,1,3,2,850000),-- [core_of_false_life]
(25512,8176,1,1,2,850000),-- [tombstone_of_destruction]
(25514,6678,1,1,0,15607.72169),-- [sealed_imperial_crusader_shield]
(25514,6679,1,1,0,10925.205225),-- [sealed_imperial_crusader_helmet]
(25514,6683,1,1,0,10925.205225),-- [sealed_draconic_leather_helmet]
(25514,6687,1,1,0,10925.205225),-- [sealed_major_arcana_hood]
(25514,6705,23,67,0,81141.456715),-- [sealed_imperial_crusader_shield_part]
(25514,6706,60,180,0,35393.56579),-- [sealed_imperial_crusader_helmet_pattern]
(25514,6710,11,31,0,202250.018575),-- [sealed_draconic_leather_helmet_pattern]
(25514,6714,16,48,0,132726.621555),-- [sealed_major_arcana_hood_pattern]
(25514,6367,1,1,1,7347.704126),-- [angel_slayer]
(25514,6691,3,9,1,565930.295874),-- [angel_slayer_blade]
(25514,6578,1,1,2,45252.763752),-- [blessed_scrl_of_ench_am_s]
(25514,3936,1,1,2,509091.236248),-- [blessed_scroll_of_resurrection]
(25523,6678,1,1,0,22266.500074),-- [sealed_imperial_crusader_shield]
(25523,6679,1,1,0,15586.264785),-- [sealed_imperial_crusader_helmet]
(25523,6683,1,1,0,15586.264785),-- [sealed_draconic_leather_helmet]
(25523,6687,1,1,0,15586.264785),-- [sealed_major_arcana_hood]
(25523,6705,23,67,0,115759.127939),-- [sealed_imperial_crusader_shield_part]
(25523,6706,60,180,0,50493.649934),-- [sealed_imperial_crusader_helmet_pattern]
(25523,6710,11,31,0,288536.670695),-- [sealed_draconic_leather_helmet_pattern]
(25523,6714,16,48,0,189352.257003),-- [sealed_major_arcana_hood_pattern]
(25523,6367,1,1,1,10482.500091),-- [angel_slayer]
(25523,6691,12,36,1,201838.499909),-- [angel_slayer_blade]
(25523,6578,1,1,2,64559.078298),-- [blessed_scrl_of_ench_am_s]
(25523,6570,1,1,2,161397.921702),-- [blessed_scrl_of_ench_am_a]
(25523,8619,1,1,2,560000),-- [sb_increase_of_divinity_a]
(25523,9817,3,7,2,830000),-- [core_of_false_life]
(25523,8176,1,4,2,830000),-- [tombstone_of_destruction]
(25524,5311,1,1,0,22978.01022),-- [sealed_armor_of_nightmare]
(25524,5316,1,1,0,22978.01022),-- [sealed_majestic_platte_armor]
(25524,5522,4,12,0,430587.34727),-- [sealed_armor_of_nightmare_pattern]
(25524,5523,8,22,0,229646.63229),-- [sealed_majestic_platte_armor_pattern]
(25524,81,1,1,1,9753.550706),-- [dragon_slayer]
(25524,151,1,1,1,9753.550706),-- [sword_of_miracle]
(25524,2500,1,1,1,9753.550706),-- [dark_legion's_edge]
(25524,5529,9,27,1,154169.065182),-- [dragon_slayer_edge]
(25524,5546,5,15,1,304812.262311),-- [sword_of_miracle_edge]
(25524,5545,14,42,1,99109.020389),-- [dark_legion's_edge_edge]
(25524,959,1,1,2,52447.740736),-- [scrl_of_ench_wp_s]
(25524,960,1,1,2,524478.578696),-- [scrl_of_ench_am_s]
(25524,6577,1,1,2,8741.680568),-- [blessed_scrl_of_ench_wp_s]
(25527,6724,1,1,0,29654.492043),-- [sealed_sanddragon's_earing]
(25527,6725,1,1,0,44481.985346),-- [sealed_ring_of_aurakyria]
(25527,6726,1,1,0,22236.047043),-- [sealed_dragon_necklace]
(25527,6698,81,243,0,58788.209247),-- [sealed_sanddragon's_earing_piece]
(25527,6699,40,120,0,132097.7773),-- [sealed_ring_of_aurakyria_gem]
(25527,6700,14,42,0,207304.489021),-- [sealed_dragon_necklace_wire]
(25527,6365,1,1,1,2551.287699),-- [basalt_battlehammer]
(25527,6366,1,1,1,2551.287699),-- [imperial_staff]
(25527,6369,1,1,1,2551.287699),-- [dragon_hunter_axe]
(25527,6579,1,1,1,2551.287699),-- [arcana_mace]
(25527,6689,2,6,1,289231.371513),-- [basalt_battlehammer_head]
(25527,6690,11,31,1,56256.821379),-- [piece_of_imperial_staff]
(25527,6693,6,18,1,100043.047431),-- [dragon_hunter_axe_blade]
(25527,6697,3,7,1,231386.608881),-- [arcana_mace_head]
(25528,348,1,1,0,106747.320177),-- [scale_mail]
(25528,377,1,1,0,170695.294089),-- [scale_gaiters]
(25528,1935,8,22,0,203753.959694),-- [scale_mail_fragment]
(25528,1937,24,72,0,97916.42604),-- [scale_gaiters_fragment]
(25528,69,1,1,1,26498.344042),-- [bastard_sword]
(25528,125,1,1,1,26498.344042),-- [spinebone_sword]
(25528,126,1,1,1,26498.344042),-- [artisan's_sword]
(25528,128,1,1,1,26498.344042),-- [knight's_sword]
(25528,2021,1,3,1,414459.623832),-- [spinebone_sword_blade]
(25528,6575,1,1,2,15759.506461),-- [blessed_scrl_of_ench_wp_d]
(25528,6576,1,1,2,141837.764513),-- [blessed_scrl_of_ench_am_d]
(25528,956,3,9,2,393993.729026),-- [scrl_of_ench_am_d]
(25528,9712,1,1,2,1000000),-- [key_nornildg_l]
(25531,6678,1,1,0,15916.66338),-- [sealed_imperial_crusader_shield]
(25531,6679,1,1,0,11141.46045),-- [sealed_imperial_crusader_helmet]
(25531,6683,1,1,0,11141.46045),-- [sealed_draconic_leather_helmet]
(25531,6687,1,1,0,11141.46045),-- [sealed_major_arcana_hood]
(25531,6705,23,67,0,82747.58343),-- [sealed_imperial_crusader_shield_part]
(25531,6706,60,180,0,36094.15158),-- [sealed_imperial_crusader_helmet_pattern]
(25531,6710,11,31,0,206253.38715),-- [sealed_draconic_leather_helmet_pattern]
(25531,6714,16,48,0,135353.83311),-- [sealed_major_arcana_hood_pattern]
(25531,7575,1,1,1,7493.152037),-- [draconic_bow]
(25531,7579,3,9,1,583775.847963),-- [draconic_bow_shaft]
(25531,9468,1,1,2,6670.944775),-- [dynasty_neckalce_trait_sleep]
(25531,9474,1,1,2,6670.944775),-- [dynasty_neckalce_trait_hold]
(25531,9477,1,1,2,6670.944775),-- [dynasty_neckalce_trait_fear]
(25531,6578,1,1,2,23074.165675),-- [blessed_scrl_of_ench_am_s]
(25532,6676,1,1,0,8941.67617),-- [sealed_imperial_crusader_gauntlet]
(25532,6677,1,1,0,8941.67617),-- [sealed_imperial_crusader_boots]
(25532,6681,1,1,0,8941.67617),-- [sealed_draconic_leather_gloves]
(25532,6682,1,1,0,8941.67617),-- [sealed_draconic_leather_boots]
(25532,6685,1,1,0,8941.67617),-- [sealed_major_arcana_gloves]
(25532,6686,1,1,0,8941.67617),-- [sealed_major_arcana_boots]
(25532,6703,8,24,0,127109.90621),-- [sealed_imperial_crusader_gauntlet_design]
(25532,6704,14,40,0,75324.65885),-- [sealed_imperial_crusader_boots_design]
(25532,6708,20,60,0,50844.22756),-- [sealed_draconic_leather_gloves_fabric]
(25532,6709,28,82,0,36977.43931),-- [sealed_draconic_leather_boots_design]
(25532,6712,36,108,0,28246.49856),-- [sealed_major_arcana_gloves_fabric]
(25532,6713,4,10,0,290537.21249),-- [sealed_major_arcana_boots_design]
(25532,6365,1,1,1,1503.28272),-- [basalt_battlehammer]
(25532,6366,1,1,1,1503.28272),-- [imperial_staff]
(25532,6369,1,1,1,1503.28272),-- [dragon_hunter_axe]
(25532,6579,1,1,1,1503.28272),-- [arcana_mace]
(25532,6689,2,6,1,170414.30256),-- [basalt_battlehammer_head]
(25532,6690,2,4,1,232024.141232),-- [piece_of_imperial_staff]
(25532,6693,6,18,1,58944.98328),-- [dragon_hunter_axe_blade]
(25532,6697,3,7,1,136331.442048),-- [arcana_mace_head]
(25532,9459,1,1,2,4282.668192),-- [dynasty_neckalce_trait_shock]
(25532,9462,1,1,2,4282.668192),-- [dynasty_neckalce_trait_poison]
(25532,9465,1,1,2,4282.668192),-- [dynasty_neckalce_trait_bleed]
(25532,9471,1,1,2,4282.668192),-- [dynasty_neckalce_trait_paralyze]
(25532,6578,1,1,2,14813.327232),-- [blessed_scrl_of_ench_am_s]
(25534,6680,1,1,0,21951.62455),-- [sealed_draconic_leather_armor]
(25534,6707,12,36,0,352969.37545),-- [sealed_draconic_leather_armor_part]
(25534,7575,1,1,1,11995.241922),-- [draconic_bow]
(25534,7579,12,36,1,233637.758078),-- [draconic_bow_shaft]
(25536,6364,1,1,0,6618.69429),-- [forgotten_blade]
(25536,6372,1,1,0,6618.69429),-- [heavens_divider]
(25536,6688,8,22,0,203910.283902),-- [forgotten_blade_edge]
(25536,6696,4,12,0,388405.327518),-- [heavens_divider_edge]
(25536,6678,1,1,1,63266.347365),-- [sealed_imperial_crusader_shield]
(25536,6679,1,1,1,44285.103785),-- [sealed_imperial_crusader_helmet]
(25536,6683,1,1,1,44285.103785),-- [sealed_draconic_leather_helmet]
(25536,6687,1,1,1,44285.103785),-- [sealed_major_arcana_hood]
(25536,6705,23,67,1,328909.213685),-- [sealed_imperial_crusader_shield_part]
(25536,6706,60,180,1,143469.428635),-- [sealed_imperial_crusader_helmet_pattern]
(25536,6710,116,346,1,74529.665405),-- [sealed_draconic_leather_helmet_pattern]
(25536,6714,192,576,1,44835.033555),-- [sealed_major_arcana_hood_pattern]
(25539,7575,1,1,0,13271.665014),-- [draconic_bow]
(25539,7579,12,36,0,258499.334986),-- [draconic_bow_shaft]
(25539,6676,1,1,1,44404.308277),-- [sealed_imperial_crusader_gauntlet]
(25539,6677,1,1,1,44404.308277),-- [sealed_imperial_crusader_boots]
(25539,6681,1,1,1,44404.308277),-- [sealed_draconic_leather_gloves]
(25539,6682,1,1,1,44404.308277),-- [sealed_draconic_leather_boots]
(25539,6685,1,1,1,44404.308277),-- [sealed_major_arcana_gloves]
(25539,6686,1,1,1,44404.308277),-- [sealed_major_arcana_boots]
(25539,6703,112,336,1,45088.323378),-- [sealed_imperial_crusader_gauntlet_design]
(25539,6704,203,607,1,24937.820978),-- [sealed_imperial_crusader_boots_design]
(25539,6708,320,960,1,15781.149321),-- [sealed_draconic_leather_gloves_fabric]
(25539,6709,28,82,1,183633.260055),-- [sealed_draconic_leather_boots_design]
(25539,6712,36,108,1,140275.046219),-- [sealed_major_arcana_gloves_fabric]
(25539,6713,46,136,1,110987.550387),-- [sealed_major_arcana_boots_design]
(25540,6680,1,1,0,14132.4477),-- [sealed_draconic_leather_armor]
(25540,6707,12,36,0,227241.5523),-- [sealed_draconic_leather_armor_part]
(25540,6365,1,1,1,1930.63644),-- [basalt_battlehammer]
(25540,6366,1,1,1,1930.63644),-- [imperial_staff]
(25540,6369,1,1,1,1930.63644),-- [dragon_hunter_axe]
(25540,6579,1,1,1,1930.63644),-- [arcana_mace]
(25540,6689,2,6,1,218859.73812),-- [basalt_battlehammer_head]
(25540,6690,2,4,1,297984.042564),-- [piece_of_imperial_staff]
(25540,6693,6,18,1,75701.88306),-- [dragon_hunter_axe_blade]
(25540,6697,3,7,1,175087.790496),-- [arcana_mace_head]
(25542,6364,1,1,0,2574.180035),-- [forgotten_blade]
(25542,6372,1,1,0,2574.180035),-- [heavens_divider]
(25542,6688,2,4,0,396540.90945),-- [forgotten_blade_edge]
(25542,6696,4,12,0,151065.73048),-- [heavens_divider_edge]
(25542,7575,1,1,1,7722.54601),-- [draconic_bow]
(25542,7579,3,9,1,601647.45399),-- [draconic_bow_shaft]
(25544,7575,1,1,0,11182.49766),-- [draconic_bow]
(25544,7579,12,36,0,217807.50234),-- [draconic_bow_shaft]
(25544,6680,1,1,1,46044.4226),-- [sealed_draconic_leather_armor]
(25544,6707,12,36,1,740367.5774),-- [sealed_draconic_leather_armor_part]
(25546,5297,1,1,0,9588.782896),-- [sealed_dark_crystal_leather_mail]
(25546,5478,2,4,0,358938.400359),-- [sealed_dark_crystal_leather_mail_pattern]
(25546,5298,1,1,0,15335.982277),-- [sealed_legging_of_dark_crystal]
(25546,5482,4,12,0,211269.834468),-- [sealed_legging_of_dark_crystal_design]
(25546,9626,1,1,1,39840.38535),-- [codex_of_giant_training]
(25546,6570,1,1,1,33200.321125),-- [blessed_scrl_of_ench_am_a]
(25546,729,1,1,1,33200.321125),-- [scrl_of_ench_wp_a]
(25546,6569,1,1,1,3983.9724),-- [blessed_scrl_of_ench_wp_a]
(25546,9912,190,380,2,1000000),-- [shoulder_strap_of_knight]
(25549,5287,1,1,0,7411.894303),-- [sealed_dark_crystal_breastplate]
(25549,5288,1,1,0,11860.33473),-- [sealed_dark_crystal_gaiters]
(25549,5520,2,4,0,283750.708627),-- [sealed_dark_crystal_breastplate_pattern]
(25549,5524,4,12,0,162636.06234),-- [sealed_dark_crystal_gaiters_pattern]
(25549,9626,1,1,1,82137),-- [codex_of_giant_training]
(25549,6578,1,1,1,27379),-- [blessed_scrl_of_ench_am_s]
(25549,9912,190,380,2,1000000),-- [shoulder_strap_of_knight]
(25552,6364,1,1,0,612.308907),-- [forgotten_blade]
(25552,6372,1,1,0,612.308907),-- [heavens_divider]
(25552,6688,1,1,0,282998.199849),-- [forgotten_blade_edge]
(25552,6696,1,1,0,287494.182337),-- [heavens_divider_edge]
(25552,9626,1,1,1,40727.576025),-- [codex_of_giant_training]
(25552,959,1,1,1,12218.36139),-- [scrl_of_ench_wp_s]
(25552,960,1,1,1,122182.728075),-- [scrl_of_ench_am_s]
(25552,6577,1,1,1,2036.33451),-- [blessed_scrl_of_ench_wp_s]
(25552,9912,188,377,2,1000000),-- [shoulder_strap_of_knight]
(25553,6679,1,1,0,3705.775824),-- [sealed_imperial_crusader_helmet]
(25553,6683,1,1,0,3705.775824),-- [sealed_draconic_leather_helmet]
(25553,6687,1,1,0,3705.775824),-- [sealed_major_arcana_hood]
(25553,6706,5,15,0,144069.775371),-- [sealed_imperial_crusader_helmet_pattern]
(25553,6710,9,27,0,80038.565628),-- [sealed_draconic_leather_helmet_pattern]
(25553,6714,2,6,0,360175.331529),-- [sealed_major_arcana_hood_pattern]
(25553,9626,1,1,1,82888.5),-- [codex_of_giant_training]
(25553,6578,1,1,1,27629.5),-- [blessed_scrl_of_ench_am_s]
(25553,9912,191,389,2,1000000),-- [shoulder_strap_of_knight]
(25554,6364,1,1,0,634.425057),-- [forgotten_blade]
(25554,6372,1,1,0,634.425057),-- [heavens_divider]
(25554,6688,1,1,0,293219.887899),-- [forgotten_blade_edge]
(25554,6696,1,1,0,297878.261987),-- [heavens_divider_edge]
(25554,9626,1,1,1,168794),-- [codex_of_giant_training]
(25554,9912,199,391,2,1000000),-- [shoulder_strap_of_knight]
(25557,6694,1,1,0,607459.839129),-- [saint_spear_blade]
(25557,6370,1,1,0,1291.160871),-- [saint_spear]
(25557,9627,1,1,1,85878),-- [codex_of_giant_dexterity]
(25557,9912,200,400,2,1000000),-- [shoulder_strap_of_knight]
(25560,6684,1,1,0,3647.87),-- [sealed_major_arcana_robe]
(25560,6711,1,3,0,703852.13),-- [sealed_major_arcana_robe_part]
(25560,9627,1,1,1,88391),-- [codex_of_giant_dexterity]
(25560,9912,200,400,2,1000000),-- [shoulder_strap_of_knight]
(25563,9450,1,1,0,305.505623),-- [dynasty_jamadhr]
(25563,9624,1,1,0,61625.494377),-- [dynasty_jamadhr_piece]
(25563,9588,1,1,1,9014.204907),-- [pattern_mithril_tshirt]
(25563,9582,1,1,1,12720.053154),-- [mithril_tshirt]
(25563,9592,1,1,1,6438.741939),-- [mithril_bracelet]
(25563,9627,1,1,2,89041),-- [codex_of_giant_dexterity]
(25563,9912,205,415,3,1000000),-- [shoulder_strap_of_knight]
(25566,9445,1,1,0,311.143885),-- [dynasty_bow]
(25566,9619,1,1,0,65261.856115),-- [dynasty_bow_piece]
(25566,9588,1,1,1,9180.583587),-- [pattern_mithril_tshirt]
(25566,9582,1,1,1,12954.832114),-- [mithril_tshirt]
(25566,9592,1,1,1,6557.584299),-- [mithril_bracelet]
(25566,9627,1,1,2,90685),-- [codex_of_giant_dexterity]
(25566,9912,209,421,3,1000000),-- [shoulder_strap_of_knight]
(25569,9442,1,1,0,106.587584),-- [dynasty_blade]
(25569,9443,1,1,0,106.587584),-- [dynasty_two_hand_sword]
(25569,9444,1,1,0,106.587584),-- [dynasty_magic_sword]
(25569,9616,1,1,0,22210.723432),-- [dynasty_blade_piece]
(25569,9617,1,1,0,22210.723432),-- [dynasty_two_hand_sword_piece]
(25569,9618,1,1,0,22210.790384),-- [dynasty_magic_sword_piece]
(25569,9588,1,1,1,9434.950992),-- [pattern_mithril_tshirt]
(25569,9582,1,1,1,13313.773024),-- [mithril_tshirt]
(25569,9592,1,1,1,6739.275984),-- [mithril_bracelet]
(25569,9627,1,1,2,93197),-- [codex_of_giant_dexterity]
(25569,9912,209,421,3,1000000),-- [shoulder_strap_of_knight]
(25572,6364,1,1,0,447.248529),-- [forgotten_blade]
(25572,6372,1,1,0,447.248529),-- [heavens_divider]
(25572,6688,1,1,0,206710.252203),-- [forgotten_blade_edge]
(25572,6696,1,1,0,209994.250739),-- [heavens_divider_edge]
(25572,9625,1,1,1,178492),-- [codex_of_giant_forgetting]
(25572,9912,180,362,2,1000000),-- [shoulder_strap_of_knight]
(25575,5297,1,1,0,7319.246576),-- [sealed_dark_crystal_leather_mail]
(25575,5478,2,4,0,273982.494579),-- [sealed_dark_crystal_leather_mail_pattern]
(25575,5298,1,1,0,11706.160937),-- [sealed_legging_of_dark_crystal]
(25575,5482,4,12,0,161265.097908),-- [sealed_legging_of_dark_crystal_design]
(25575,9625,1,1,1,45616.256928),-- [codex_of_giant_forgetting]
(25575,6570,1,1,1,25342.342884),-- [blessed_scrl_of_ench_am_a]
(25575,729,1,1,1,25342.342884),-- [scrl_of_ench_wp_a]
(25575,6569,1,1,1,3041.057304),-- [blessed_scrl_of_ench_wp_a]
(25575,9912,184,368,2,1000000),-- [shoulder_strap_of_knight]
(25578,6684,1,1,0,2598.21152),-- [sealed_major_arcana_robe]
(25578,6711,1,3,0,501321.78848),-- [sealed_major_arcana_robe_part]
(25578,9625,1,1,1,94435.359516),-- [codex_of_giant_forgetting]
(25578,730,1,1,1,393481.640484),-- [scrl_of_ench_am_a]
(25578,9912,184,368,2,1000000),-- [shoulder_strap_of_knight]
(25579,6703,1,3,0,245239.120812),-- [sealed_imperial_crusader_gauntlet_design]
(25579,6704,2,4,0,163492.217742),-- [sealed_imperial_crusader_boots_design]
(25579,6708,2,6,0,122619.560406),-- [sealed_draconic_leather_gloves_fabric]
(25579,6709,3,7,0,98095.489485),-- [sealed_draconic_leather_boots_design]
(25579,6712,3,9,0,81746.108871),-- [sealed_major_arcana_gloves_fabric]
(25579,6713,4,10,0,70068.206775),-- [sealed_major_arcana_boots_design]
(25579,6676,1,1,0,2156.250285),-- [sealed_imperial_crusader_gauntlet]
(25579,6677,1,1,0,2156.250285),-- [sealed_imperial_crusader_boots]
(25579,6681,1,1,0,2156.250285),-- [sealed_draconic_leather_gloves]
(25579,6682,1,1,0,2156.250285),-- [sealed_draconic_leather_boots]
(25579,6685,1,1,0,2156.250285),-- [sealed_major_arcana_gloves]
(25579,6686,1,1,0,2157.044484),-- [sealed_major_arcana_boots]
(25579,9625,1,1,1,48228.09552),-- [codex_of_giant_forgetting]
(25579,6570,1,1,1,26793.36306),-- [blessed_scrl_of_ench_am_a]
(25579,729,1,1,1,26793.36306),-- [scrl_of_ench_wp_a]
(25579,6569,1,1,1,3215.17836),-- [blessed_scrl_of_ench_wp_a]
(25579,9912,186,378,2,1000000),-- [shoulder_strap_of_knight]
(25582,6724,1,1,0,8609.69782),-- [sealed_sanddragon's_earing]
(25582,6725,1,1,0,12914.53274),-- [sealed_ring_of_aurakyria]
(25582,6726,1,1,0,6455.76944),-- [sealed_dragon_necklace]
(25582,9625,1,1,1,98539.351308),-- [codex_of_giant_forgetting]
(25582,730,1,1,1,410581.648692),-- [scrl_of_ench_am_a]
(25582,9912,190,380,2,1000000),-- [shoulder_strap_of_knight]
(25585,6703,8,24,0,31137.28112),-- [sealed_imperial_crusader_gauntlet_design]
(25585,6704,2,4,0,166066.48054),-- [sealed_imperial_crusader_boots_design]
(25585,6708,2,6,0,124549.71322),-- [sealed_draconic_leather_gloves_fabric]
(25585,6709,3,7,0,99639.53508),-- [sealed_draconic_leather_boots_design]
(25585,6712,3,9,0,83032.9459),-- [sealed_major_arcana_gloves_fabric]
(25585,6713,4,10,0,71171.01238),-- [sealed_major_arcana_boots_design]
(25585,6676,1,1,0,2190.1128),-- [sealed_imperial_crusader_gauntlet]
(25585,6677,1,1,0,2190.1128),-- [sealed_imperial_crusader_boots]
(25585,6681,1,1,0,2190.1128),-- [sealed_draconic_leather_gloves]
(25585,6682,1,1,0,2190.1128),-- [sealed_draconic_leather_boots]
(25585,6685,1,1,0,2190.1128),-- [sealed_major_arcana_gloves]
(25585,6686,1,1,0,2192.46776),-- [sealed_major_arcana_boots]
(25585,9625,1,1,1,48987.126672),-- [codex_of_giant_forgetting]
(25585,6570,1,1,1,27215.046666),-- [blessed_scrl_of_ench_am_a]
(25585,729,1,1,1,27215.046666),-- [scrl_of_ench_wp_a]
(25585,6569,1,1,1,3265.779996),-- [blessed_scrl_of_ench_wp_a]
(25585,9912,188,377,2,1000000),-- [shoulder_strap_of_knight]
(25588,6679,1,1,0,2980.542896),-- [sealed_imperial_crusader_helmet]
(25588,6683,1,1,0,2980.542896),-- [sealed_draconic_leather_helmet]
(25588,6687,1,1,0,2980.542896),-- [sealed_major_arcana_hood]
(25588,6706,5,15,0,115874.830509),-- [sealed_imperial_crusader_helmet_pattern]
(25588,6710,9,27,0,64374.746212),-- [sealed_draconic_leather_helmet_pattern]
(25588,6714,2,6,0,289687.794591),-- [sealed_major_arcana_hood_pattern]
(25588,9625,1,1,1,100000.058064),-- [codex_of_giant_forgetting]
(25588,730,1,1,1,416667.941936),-- [scrl_of_ench_am_a]
(25588,9912,191,389,2,1000000),-- [shoulder_strap_of_knight]
(25589,6364,1,1,0,511.831971),-- [forgotten_blade]
(25589,6372,1,1,0,511.831971),-- [heavens_divider]
(25589,6688,1,1,0,236559.561297),-- [forgotten_blade_edge]
(25589,6696,1,1,0,240317.774761),-- [heavens_divider_edge]
(25589,9626,1,1,1,27235.556331),-- [codex_of_giant_training]
(25589,9587,1,1,1,46424.246469),-- [pattern_iron_tshirt]
(25589,9591,1,1,1,35710.986471),-- [iron_bracelet]
(25589,6577,1,1,1,1361.771826),-- [blessed_scrl_of_ench_wp_s]
(25589,6578,1,1,1,9078.438903),-- [blessed_scrl_of_ench_am_s]
(25589,9912,199,391,2,1000000),-- [shoulder_strap_of_knight]
(25592,6680,1,1,0,2867.550648),-- [sealed_draconic_leather_armor]
(25592,6707,1,3,0,553290.449352),-- [sealed_draconic_leather_armor_part]
(25592,9626,1,1,1,23161.066872),-- [codex_of_giant_training]
(25592,9587,1,1,1,39479.106768),-- [pattern_iron_tshirt]
(25592,9591,1,1,1,30368.491176),-- [iron_bracelet]
(25592,959,1,1,1,6948.285942),-- [scrl_of_ench_wp_s]
(25592,960,1,1,1,69483.030018),-- [scrl_of_ench_am_s]
(25592,6577,1,1,1,1158.019224),-- [blessed_scrl_of_ench_wp_s]
(25592,9912,200,400,2,1000000),-- [shoulder_strap_of_knight]
(25593,9445,1,1,0,608.81197),-- [dynasty_bow]
(25593,9619,1,1,0,127697.18803),-- [dynasty_bow_piece]
(25593,9626,1,1,1,35488.473428),-- [codex_of_giant_training]
(25593,9587,1,1,1,60491.877428),-- [pattern_iron_tshirt]
(25593,9591,1,1,1,46532.106554),-- [iron_bracelet]
(25593,6578,1,1,1,11829.54259),-- [blessed_scrl_of_ench_am_s]
(25593,9912,202,408,2,1000000),-- [shoulder_strap_of_knight]
(25600,6364,1,1,0,1388.930517),-- [forgotten_blade]
(25600,6372,1,1,0,1388.930517),-- [heavens_divider]
(25600,6688,2,4,0,213954.460785),-- [forgotten_blade_edge]
(25600,6696,1,3,0,326030.678181),-- [heavens_divider_edge]
(25600,6680,1,1,1,11437.99383),-- [sealed_draconic_leather_armor]
(25600,6707,3,9,1,735655.00617),-- [sealed_draconic_leather_armor_part]
(25600,6578,1,1,2,25662.313146),-- [blessed_scrl_of_ench_am_s]
(25600,3936,1,1,2,288699.686854),-- [blessed_scroll_of_resurrection]
(25601,6364,1,1,0,2271.521605),-- [forgotten_blade]
(25601,6372,1,1,0,2271.521605),-- [heavens_divider]
(25601,6688,2,4,0,349917.73335),-- [forgotten_blade_edge]
(25601,6696,4,12,0,133304.22344),-- [heavens_divider_edge]
(25601,6674,1,1,1,11399.19144),-- [sealed_imperial_crusader_armor]
(25601,6675,1,1,1,18238.94163),-- [sealed_imperial_crusader_gaiters]
(25601,6701,8,22,1,258560.5204),-- [sealed_imperial_crusader_armor_part]
(25601,6702,24,72,1,104011.34653),-- [sealed_imperial_crusader_gaiters_pattern]
(25602,6724,1,1,0,11388.241242),-- [sealed_sanddragon's_earing]
(25602,6725,1,1,0,17082.361863),-- [sealed_ring_of_aurakyria]
(25602,6726,1,1,0,8539.366824),-- [sealed_dragon_necklace]
(25602,6698,9,27,0,203187.29643),-- [sealed_sanddragon's_earing_piece]
(25602,6699,5,15,0,405834.714468),-- [sealed_ring_of_aurakyria_gem]
(25602,6700,14,42,0,79611.019173),-- [sealed_dragon_necklace_wire]
(25602,6370,1,1,1,3919.096304),-- [saint_spear]
(25602,6694,3,9,1,307317.903696),-- [saint_spear_blade]
(25602,959,1,1,2,14482.080784),-- [scrl_of_ench_wp_s]
(25602,960,1,1,2,144821.131274),-- [scrl_of_ench_am_s]
(25602,6577,1,1,2,2413.787942),-- [blessed_scrl_of_ench_wp_s]
(25603,6367,1,1,0,7555.839389),-- [angel_slayer]
(25603,6691,3,9,0,581961.160611),-- [angel_slayer_blade]
(25603,6680,1,1,1,31111.53785),-- [sealed_draconic_leather_armor]
(25603,6707,12,36,1,500255.46215),-- [sealed_draconic_leather_armor_part]
(25609,7575,1,1,0,19749.69045),-- [draconic_bow]
(25609,7579,12,36,0,384675.30955),-- [draconic_bow_shaft]
(25609,6676,1,1,1,66078.607551),-- [sealed_imperial_crusader_gauntlet]
(25609,6677,1,1,1,66078.607551),-- [sealed_imperial_crusader_boots]
(25609,6681,1,1,1,66078.607551),-- [sealed_draconic_leather_gloves]
(25609,6682,1,1,1,66078.607551),-- [sealed_draconic_leather_boots]
(25609,6685,1,1,1,66078.607551),-- [sealed_major_arcana_gloves]
(25609,6686,1,1,1,66078.607551),-- [sealed_major_arcana_boots]
(25609,6703,112,336,1,67096.01778),-- [sealed_imperial_crusader_gauntlet_design]
(25609,6704,203,607,1,37110.020178),-- [sealed_imperial_crusader_boots_design]
(25609,6708,320,960,1,23483.606223),-- [sealed_draconic_leather_gloves_fabric]
(25609,6709,468,1402,1,16074.221229),-- [sealed_draconic_leather_boots_design]
(25609,6712,648,1944,1,11596.612434),-- [sealed_major_arcana_gloves_fabric]
(25609,6713,46,136,1,165158.87685),-- [sealed_major_arcana_boots_design]
(25609,6578,1,1,2,182450.38917),-- [blessed_scrl_of_ench_am_s]
(25609,3936,3,9,2,342094.61083),-- [blessed_scroll_of_resurrection]
(25610,6365,1,1,0,4937.415738),-- [basalt_battlehammer]
(25610,6366,1,1,0,4937.415738),-- [imperial_staff]
(25610,6369,1,1,0,4937.415738),-- [dragon_hunter_axe]
(25610,6579,1,1,0,4937.415738),-- [arcana_mace]
(25610,6689,16,48,0,69959.464578),-- [basalt_battlehammer_head]
(25610,6690,11,31,0,108859.565946),-- [piece_of_imperial_staff]
(25610,6693,6,18,0,193587.529044),-- [dragon_hunter_axe_blade]
(25610,6697,23,67,0,49749.77748),-- [arcana_mace_head]
(25610,6678,1,1,1,94390.889736),-- [sealed_imperial_crusader_shield]
(25610,6679,1,1,1,66071.5276),-- [sealed_imperial_crusader_helmet]
(25610,6683,1,1,1,66071.5276),-- [sealed_draconic_leather_helmet]
(25610,6687,1,1,1,66071.5276),-- [sealed_major_arcana_hood]
(25610,6705,293,877,1,37747.108048),-- [sealed_imperial_crusader_shield_part]
(25610,6706,60,180,1,214049.352296),-- [sealed_imperial_crusader_helmet_pattern]
(25610,6710,116,346,1,111194.51564),-- [sealed_draconic_leather_helmet_pattern]
(25610,6714,192,576,1,66891.55148),-- [sealed_major_arcana_hood_pattern]
(25610,959,1,1,2,109470.214854),-- [scrl_of_ench_wp_s]
(25610,960,1,3,2,547351.749337),-- [scrl_of_ench_am_s]
(25610,6577,1,1,2,18245.035809),-- [blessed_scrl_of_ench_wp_s]
(25611,6693,24,72,0,268868.489694),-- [dragon_hunter_axe_blade]
(25611,6697,53,157,0,118448.510306),-- [arcana_mace_head]
(25611,6365,1,1,1,8229.02255),-- [basalt_battlehammer]
(25611,6366,1,1,1,8229.02255),-- [imperial_staff]
(25611,6369,1,1,1,8229.02255),-- [dragon_hunter_axe]
(25611,6579,1,1,1,8229.02255),-- [arcana_mace]
(25611,6689,33,99,1,56532.915285),-- [basalt_battlehammer_head]
(25611,6690,25,75,1,76201.166265),-- [piece_of_imperial_staff]
(25611,6693,18,54,1,107548.15876),-- [dragon_hunter_axe_blade]
(25611,6697,42,126,1,44418.458245),-- [arcana_mace_head]
(25611,6680,1,1,1,22589.37135),-- [sealed_draconic_leather_armor]
(25611,6707,24,72,1,181608.839895),-- [sealed_draconic_leather_armor_part]
(25612,7575,1,1,0,19749.69045),-- [draconic_bow]
(25612,7579,12,36,0,384675.30955),-- [draconic_bow_shaft]
(25612,6684,1,1,1,81320.356364),-- [sealed_major_arcana_robe]
(25612,6711,60,180,1,261515.643636),-- [sealed_major_arcana_robe_part]
(25612,959,1,1,2,109470.214854),-- [scrl_of_ench_wp_s]
(25612,960,1,3,2,547351.749337),-- [scrl_of_ench_am_s]
(25612,6577,1,1,2,18245.035809),-- [blessed_scrl_of_ench_wp_s]
(25634,9991,1,3,0,28267.276264),-- [sealed_dynasty_earring_gem]
(25634,9992,2,6,0,16270.795784),-- [sealed_dynasty_neckalce_gem]
(25634,9993,1,3,0,59587.972152),-- [sealed_dynasty_ring_gem]
(25634,9452,1,1,0,1195.938144),-- [sealed_dynasty_earring]
(25634,9453,1,1,0,896.953608),-- [sealed_dynasty_neckalce]
(25634,9454,1,1,0,1794.075848),-- [sealed_dynasty_ring]
(25634,9442,1,1,0,96.457504),-- [dynasty_blade]
(25634,9443,1,1,0,96.457504),-- [dynasty_two_hand_sword]
(25634,9444,1,1,0,96.457504),-- [dynasty_magic_sword]
(25634,9616,1,1,0,20109.871896),-- [dynasty_blade_piece]
(25634,9617,1,1,0,20109.871896),-- [dynasty_two_hand_sword_piece]
(25634,9618,1,1,0,20109.871896),-- [dynasty_magic_sword_piece]
(25634,960,1,1,1,86801.826862),-- [scrl_of_ench_am_s]
(25634,959,1,1,1,8680.173138),-- [scrl_of_ench_wp_s]
(25635,6676,1,1,0,8150.419664),-- [sealed_imperial_crusader_gauntlet]
(25635,6677,1,1,0,8150.419664),-- [sealed_imperial_crusader_boots]
(25635,6681,1,1,0,8150.419664),-- [sealed_draconic_leather_gloves]
(25635,6682,1,1,0,8150.419664),-- [sealed_draconic_leather_boots]
(25635,6685,1,1,0,8150.419664),-- [sealed_major_arcana_gloves]
(25635,6686,1,1,0,8150.419664),-- [sealed_major_arcana_boots]
(25635,6703,8,24,0,115861.842832),-- [sealed_imperial_crusader_gauntlet_design]
(25635,6704,14,40,0,68659.11592),-- [sealed_imperial_crusader_boots_design]
(25635,6708,20,60,0,46344.978752),-- [sealed_draconic_leather_gloves_fabric]
(25635,6709,28,82,0,33705.274352),-- [sealed_draconic_leather_boots_design]
(25635,6712,36,108,0,25746.941952),-- [sealed_major_arcana_gloves_fabric]
(25635,6713,4,10,0,264827.328208),-- [sealed_major_arcana_boots_design]
(25635,7575,1,1,1,5481.021808),-- [draconic_bow]
(25635,7579,3,9,1,427014.978192),-- [draconic_bow_shaft]
(25635,959,1,1,2,20253.796736),-- [scrl_of_ench_wp_s]
(25635,960,1,1,2,202538.419696),-- [scrl_of_ench_am_s]
(25635,6577,1,1,2,3375.783568),-- [blessed_scrl_of_ench_wp_s]
(25636,14109,1,1,0,16666.7),-- [sealed_vesper_gauntlet]
(25636,14113,1,1,0,16666.7),-- [sealed_vesper_leather_gloves]
(25636,14116,1,1,0,16666.7),-- [sealed_vesper_gloves]
(25636,14110,1,1,0,16666.7),-- [sealed_vesper_boots]
(25636,14114,1,1,0,16666.7),-- [sealed_vesper_leather_boots]
(25636,14117,1,1,0,16666.5),-- [sealed_vesper_shoes]
(25636,14052,110,150,1,1000000),-- [noble_upgrade_jewel]
(25637,6674,1,1,0,6200.66874),-- [sealed_imperial_crusader_armor]
(25637,6675,1,1,0,9921.566236),-- [sealed_imperial_crusader_gaiters]
(25637,6701,8,22,0,140651.215604),-- [sealed_imperial_crusader_armor_part]
(25637,6702,4,12,0,339478.54942),-- [sealed_imperial_crusader_gaiters_pattern]
(25637,6367,1,1,1,5560.232489),-- [angel_slayer]
(25637,6691,3,9,1,428256.767511),-- [angel_slayer_blade]
(25637,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25637,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25637,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25638,6678,1,1,0,11810.83287),-- [sealed_imperial_crusader_shield]
(25638,6679,1,1,0,8267.583009),-- [sealed_imperial_crusader_helmet]
(25638,6683,1,1,0,8267.583009),-- [sealed_draconic_leather_helmet]
(25638,6687,1,1,0,8267.583009),-- [sealed_major_arcana_hood]
(25638,6705,23,67,0,61402.705422),-- [sealed_imperial_crusader_shield_part]
(25638,6706,6,18,0,267836.492814),-- [sealed_imperial_crusader_helmet_pattern]
(25638,6710,11,31,0,153049.689897),-- [sealed_draconic_leather_helmet_pattern]
(25638,6714,16,48,0,100438.52997),-- [sealed_major_arcana_hood_pattern]
(25638,6371,1,1,1,5560.2297),-- [demon_splinter]
(25638,6695,3,9,1,420184.7703),-- [demon_splinter_blade]
(25638,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25638,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25638,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25639,6674,1,1,0,6200.66874),-- [sealed_imperial_crusader_armor]
(25639,6675,1,1,0,9921.566236),-- [sealed_imperial_crusader_gaiters]
(25639,6701,8,22,0,140651.215604),-- [sealed_imperial_crusader_armor_part]
(25639,6702,4,12,0,339478.54942),-- [sealed_imperial_crusader_gaiters_pattern]
(25639,6364,1,1,1,2780.117232),-- [forgotten_blade]
(25639,6372,1,1,1,2780.117232),-- [heavens_divider]
(25639,6688,2,4,1,428264.61264),-- [forgotten_blade_edge]
(25639,6696,4,12,1,163151.152896),-- [heavens_divider_edge]
(25639,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25639,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25639,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25640,6680,1,1,0,10175.34751),-- [sealed_draconic_leather_armor]
(25640,6707,3,9,0,654445.65249),-- [sealed_draconic_leather_armor_part]
(25640,7575,1,1,1,5560.228058),-- [draconic_bow]
(25640,7579,3,9,1,433185.771942),-- [draconic_bow_shaft]
(25640,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25640,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25640,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25641,6684,1,1,0,10175.34751),-- [sealed_major_arcana_robe]
(25641,6711,3,9,0,654445.65249),-- [sealed_major_arcana_robe_part]
(25641,6365,1,1,1,1390.05744),-- [basalt_battlehammer]
(25641,6366,1,1,1,1390.05744),-- [imperial_staff]
(25641,6369,1,1,1,1390.05744),-- [dragon_hunter_axe]
(25641,6579,1,1,1,1390.05744),-- [arcana_mace]
(25641,6689,2,6,1,157578.92112),-- [basalt_battlehammer_head]
(25641,6690,2,4,1,214548.387664),-- [piece_of_imperial_staff]
(25641,6693,6,18,1,54505.32456),-- [dragon_hunter_axe_blade]
(25641,6697,3,7,1,126063.136896),-- [arcana_mace_head]
(25641,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25641,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25642,6684,1,1,0,10175.34751),-- [sealed_major_arcana_robe]
(25642,6711,3,9,0,654445.65249),-- [sealed_major_arcana_robe_part]
(25642,6364,1,1,1,2780.117232),-- [forgotten_blade]
(25642,6372,1,1,1,2780.117232),-- [heavens_divider]
(25642,6688,2,4,1,428264.61264),-- [forgotten_blade_edge]
(25642,6696,4,12,1,163151.152896),-- [heavens_divider_edge]
(25642,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25642,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25643,6680,1,1,0,10175.34751),-- [sealed_draconic_leather_armor]
(25643,6707,3,9,0,654445.65249),-- [sealed_draconic_leather_armor_part]
(25643,6367,1,1,1,5560.232489),-- [angel_slayer]
(25643,6691,3,9,1,428256.767511),-- [angel_slayer_blade]
(25643,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25643,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25643,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25644,6676,1,1,0,8268.200061),-- [sealed_imperial_crusader_gauntlet]
(25644,6677,1,1,0,8268.200061),-- [sealed_imperial_crusader_boots]
(25644,6681,1,1,0,8268.200061),-- [sealed_draconic_leather_gloves]
(25644,6682,1,1,0,8268.200061),-- [sealed_draconic_leather_boots]
(25644,6685,1,1,0,8268.200061),-- [sealed_major_arcana_gloves]
(25644,6686,1,1,0,8268.200061),-- [sealed_major_arcana_boots]
(25644,6703,8,24,0,117536.143593),-- [sealed_imperial_crusader_gauntlet_design]
(25644,6704,14,40,0,69651.297705),-- [sealed_imperial_crusader_boots_design]
(25644,6708,20,60,0,47014.702548),-- [sealed_draconic_leather_gloves_fabric]
(25644,6709,28,82,0,34192.343823),-- [sealed_draconic_leather_boots_design]
(25644,6712,36,108,0,26119.006848),-- [sealed_major_arcana_gloves_fabric]
(25644,6713,4,10,0,268654.305117),-- [sealed_major_arcana_boots_design]
(25644,6365,1,1,1,1390.05744),-- [basalt_battlehammer]
(25644,6366,1,1,1,1390.05744),-- [imperial_staff]
(25644,6369,1,1,1,1390.05744),-- [dragon_hunter_axe]
(25644,6579,1,1,1,1390.05744),-- [arcana_mace]
(25644,6689,2,6,1,157578.92112),-- [basalt_battlehammer_head]
(25644,6690,2,4,1,214548.387664),-- [piece_of_imperial_staff]
(25644,6693,6,18,1,54505.32456),-- [dragon_hunter_axe_blade]
(25644,6697,3,7,1,126063.136896),-- [arcana_mace_head]
(25644,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25644,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25645,6684,1,1,0,10175.34751),-- [sealed_major_arcana_robe]
(25645,6711,3,9,0,654445.65249),-- [sealed_major_arcana_robe_part]
(25645,6364,1,1,1,2780.117232),-- [forgotten_blade]
(25645,6372,1,1,1,2780.117232),-- [heavens_divider]
(25645,6688,2,4,1,428264.61264),-- [forgotten_blade_edge]
(25645,6696,4,12,1,163151.152896),-- [heavens_divider_edge]
(25645,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25645,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25646,6684,1,1,0,10175.34751),-- [sealed_major_arcana_robe]
(25646,6711,3,9,0,654445.65249),-- [sealed_major_arcana_robe_part]
(25646,6367,1,1,1,5560.232489),-- [angel_slayer]
(25646,6691,3,9,1,428256.767511),-- [angel_slayer_blade]
(25646,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25646,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25646,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25647,6724,1,1,0,16157.140406),-- [sealed_sanddragon's_earing]
(25647,6725,1,1,0,24235.710609),-- [sealed_ring_of_aurakyria]
(25647,6726,1,1,0,12114.963905),-- [sealed_dragon_necklace]
(25647,6698,9,27,0,288277.261531),-- [sealed_sanddragon's_earing_piece]
(25647,6699,40,120,0,71973.242063),-- [sealed_ring_of_aurakyria_gem]
(25647,6700,14,42,0,112950.681486),-- [sealed_dragon_necklace_wire]
(25647,6371,1,1,1,5560.2297),-- [demon_splinter]
(25647,6695,3,9,1,420184.7703),-- [demon_splinter_blade]
(25647,959,1,1,2,20546.452672),-- [scrl_of_ench_wp_s]
(25647,960,1,1,2,205464.985592),-- [scrl_of_ench_am_s]
(25647,6577,1,1,2,3424.561736),-- [blessed_scrl_of_ench_wp_s]
(25648,6680,1,1,0,10175.34751),-- [sealed_draconic_leather_armor]
(25648,6707,3,9,0,654445.65249),-- [sealed_draconic_leather_armor_part]
(25648,6371,1,1,1,5560.2297),-- [demon_splinter]
(25648,6695,3,9,1,420184.7703),-- [demon_splinter_blade]
(25648,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25648,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25649,6678,1,1,0,11810.83287),-- [sealed_imperial_crusader_shield]
(25649,6679,1,1,0,8267.583009),-- [sealed_imperial_crusader_helmet]
(25649,6683,1,1,0,8267.583009),-- [sealed_draconic_leather_helmet]
(25649,6687,1,1,0,8267.583009),-- [sealed_major_arcana_hood]
(25649,6705,23,67,0,61402.705422),-- [sealed_imperial_crusader_shield_part]
(25649,6706,6,18,0,267836.492814),-- [sealed_imperial_crusader_helmet_pattern]
(25649,6710,11,31,0,153049.689897),-- [sealed_draconic_leather_helmet_pattern]
(25649,6714,16,48,0,100438.52997),-- [sealed_major_arcana_hood_pattern]
(25649,6370,1,1,1,5560.224256),-- [saint_spear]
(25649,6694,3,9,1,436007.775744),-- [saint_spear_blade]
(25649,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25649,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25650,6724,1,1,0,22440.460834),-- [sealed_sanddragon's_earing]
(25650,6725,1,1,0,33660.691251),-- [sealed_ring_of_aurakyria]
(25650,6726,1,1,0,16826.329795),-- [sealed_dragon_necklace]
(25650,6698,9,27,0,400384.872209),-- [sealed_sanddragon's_earing_piece]
(25650,6699,40,120,0,99962.782957),-- [sealed_ring_of_aurakyria_gem]
(25650,6700,14,42,0,156875.862954),-- [sealed_dragon_necklace_wire]
(25650,6365,1,1,1,1930.63644),-- [basalt_battlehammer]
(25650,6366,1,1,1,1930.63644),-- [imperial_staff]
(25650,6369,1,1,1,1930.63644),-- [dragon_hunter_axe]
(25650,6579,1,1,1,1930.63644),-- [arcana_mace]
(25650,6689,2,6,1,218859.73812),-- [basalt_battlehammer_head]
(25650,6690,2,4,1,297984.042564),-- [piece_of_imperial_staff]
(25650,6693,6,18,1,75701.88306),-- [dragon_hunter_axe_blade]
(25650,6697,3,7,1,175087.790496),-- [arcana_mace_head]
(25651,6684,1,1,0,10175.34751),-- [sealed_major_arcana_robe]
(25651,6711,3,9,0,654445.65249),-- [sealed_major_arcana_robe_part]
(25651,6365,1,1,1,1390.05744),-- [basalt_battlehammer]
(25651,6366,1,1,1,1390.05744),-- [imperial_staff]
(25651,6369,1,1,1,1390.05744),-- [dragon_hunter_axe]
(25651,6579,1,1,1,1390.05744),-- [arcana_mace]
(25651,6689,2,6,1,157578.92112),-- [basalt_battlehammer_head]
(25651,6690,2,4,1,214548.387664),-- [piece_of_imperial_staff]
(25651,6693,6,18,1,54505.32456),-- [dragon_hunter_axe_blade]
(25651,6697,3,7,1,126063.136896),-- [arcana_mace_head]
(25651,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25651,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25652,6676,1,1,0,8268.200061),-- [sealed_imperial_crusader_gauntlet]
(25652,6677,1,1,0,8268.200061),-- [sealed_imperial_crusader_boots]
(25652,6681,1,1,0,8268.200061),-- [sealed_draconic_leather_gloves]
(25652,6682,1,1,0,8268.200061),-- [sealed_draconic_leather_boots]
(25652,6685,1,1,0,8268.200061),-- [sealed_major_arcana_gloves]
(25652,6686,1,1,0,8268.200061),-- [sealed_major_arcana_boots]
(25652,6703,8,24,0,117536.143593),-- [sealed_imperial_crusader_gauntlet_design]
(25652,6704,14,40,0,69651.297705),-- [sealed_imperial_crusader_boots_design]
(25652,6708,20,60,0,47014.702548),-- [sealed_draconic_leather_gloves_fabric]
(25652,6709,28,82,0,34192.343823),-- [sealed_draconic_leather_boots_design]
(25652,6712,36,108,0,26119.006848),-- [sealed_major_arcana_gloves_fabric]
(25652,6713,4,10,0,268654.305117),-- [sealed_major_arcana_boots_design]
(25652,6367,1,1,1,5560.232489),-- [angel_slayer]
(25652,6691,3,9,1,428256.767511),-- [angel_slayer_blade]
(25652,6578,1,1,2,34244.145537),-- [blessed_scrl_of_ench_am_s]
(25652,3936,1,1,2,385244.854463),-- [blessed_scroll_of_resurrection]
(25653,15700,1,1,0,3936.58586),-- [sealed_destino_gaiter]
(25653,15697,1,1,0,2460.41414),-- [sealed_destino_cuirass]
(25653,15651,4,12,1,308820.583024),-- [sealed_destino_gaiter_piece]
(25653,15648,8,22,1,98275.416976),-- [sealed_destino_cuirass_piece]
(25653,9912,205,415,2,1000000),-- [shoulder_strap_of_knight]
(25654,10223,1,1,0,1377.843484),-- [icarus_accipiter]
(25654,10405,1,1,0,456834.156516),-- [icarus_accipiter_piece]
(25654,9912,212,428,1,1000000),-- [shoulder_strap_of_knight]
(25655,10221,1,1,0,1418.813859),-- [icarus_knuckle]
(25655,10403,1,1,0,470418.186141),-- [icarus_knuckle_piece]
(25655,9912,215,444,1,1000000),-- [shoulder_strap_of_knight]
(25659,15697,1,1,0,3273.940194),-- [sealed_destino_cuirass]
(25659,15700,1,1,0,5238.879064),-- [sealed_destino_gaiter]
(25659,15648,2,4,0,435946.294948),-- [sealed_destino_cuirass_piece]
(25659,15651,4,12,0,273982.885794),-- [sealed_destino_gaiter_piece]
(25659,9912,218,443,1,1000000),-- [shoulder_strap_of_knight]
(25660,15698,1,1,0,4561.797068),-- [sealed_destino_houberk]
(25660,15701,1,1,0,7298.773278),-- [sealed_destino_leather_legging]
(25660,15649,8,22,0,123279.224254),-- [sealed_destino_houberk_piece]
(25660,15652,4,12,0,375014.2054),-- [sealed_destino_leather_legging_piece]
(25660,9912,228,461,1,1000000),-- [shoulder_strap_of_knight]
(25661,15699,1,1,0,4743.874072),-- [sealed_destino_jaket]
(25661,15702,1,1,0,7590.092412),-- [sealed_destino_hose]
(25661,15650,8,22,0,128199.721916),-- [sealed_destino_jaket_piece]
(25661,15653,4,12,0,389982.3116),-- [sealed_destino_hose_piece]
(25661,9912,246,507,1,1000000),-- [shoulder_strap_of_knight]
(25665,6724,1,1,0,38516.308116),-- [sealed_sanddragon's_earing]
(25665,6725,1,1,0,57774.783352),-- [sealed_ring_of_aurakyria]
(25665,6726,1,1,0,28880.968116),-- [sealed_dragon_necklace]
(25665,6698,81,243,0,76356.215364),-- [sealed_sanddragon's_earing_piece]
(25665,6699,40,120,0,171573.2876),-- [sealed_ring_of_aurakyria_gem]
(25665,6700,14,42,0,269254.437452),-- [sealed_dragon_necklace_wire]
(25665,6371,1,1,1,13254.803757),-- [demon_splinter]
(25665,6695,12,36,1,250412.196243),-- [demon_splinter_blade]
(25665,959,1,1,2,48979.839536),-- [scrl_of_ench_wp_s]
(25665,960,1,1,2,489799.489246),-- [scrl_of_ench_am_s]
(25665,6577,1,1,2,8163.671218),-- [blessed_scrl_of_ench_wp_s]
(25666,6676,1,1,0,19710.217402),-- [sealed_imperial_crusader_gauntlet]
(25666,6677,1,1,0,19710.217402),-- [sealed_imperial_crusader_boots]
(25666,6681,1,1,0,19710.217402),-- [sealed_draconic_leather_gloves]
(25666,6682,1,1,0,19710.217402),-- [sealed_draconic_leather_boots]
(25666,6685,1,1,0,19710.217402),-- [sealed_major_arcana_gloves]
(25666,6686,1,1,0,19710.217402),-- [sealed_major_arcana_boots]
(25666,6703,112,336,0,20013.71404),-- [sealed_imperial_crusader_gauntlet_design]
(25666,6704,14,40,0,166040.085381),-- [sealed_imperial_crusader_boots_design]
(25666,6708,20,60,0,112076.798624),-- [sealed_draconic_leather_gloves_fabric]
(25666,6709,28,82,0,81510.177388),-- [sealed_draconic_leather_boots_design]
(25666,6712,36,108,0,62264.955839),-- [sealed_major_arcana_gloves_fabric]
(25666,6713,46,136,0,49263.964316),-- [sealed_major_arcana_boots_design]
(25666,6365,1,1,1,3313.69835),-- [basalt_battlehammer]
(25666,6366,1,1,1,3313.69835),-- [imperial_staff]
(25666,6369,1,1,1,3313.69835),-- [dragon_hunter_axe]
(25666,6579,1,1,1,3313.69835),-- [arcana_mace]
(25666,6689,16,48,1,46949.22675),-- [basalt_battlehammer_head]
(25666,6690,11,31,1,73054.6765),-- [piece_of_imperial_staff]
(25666,6693,6,18,1,129915.12485),-- [dragon_hunter_axe_blade]
(25666,6697,3,7,1,300476.1785),-- [arcana_mace_head]
(25666,6578,1,1,2,81633.144203),-- [blessed_scrl_of_ench_am_s]
(25666,3936,1,3,2,459187.855797),-- [blessed_scroll_of_resurrection]
(25671,9524,1,1,0,4066.114473),-- [sealed_dynasty_tunic]
(25671,9525,1,1,0,6506.099217),-- [sealed_dynasty_hose]
(25671,9540,2,4,0,332765.035104),-- [sealed_dynasty_tunic_piece]
(25671,9541,4,12,0,183429.751206),-- [sealed_dynasty_hose_piece]
(25671,9514,1,1,1,4574.25635),-- [sealed_dynasty_blast_plate]
(25671,9515,1,1,1,7319.42175),-- [sealed_dynasty_gaiter]
(25671,9530,2,6,1,304761.4129),-- [sealed_dynasty_blast_plate_piece]
(25671,9531,15,45,1,120194.909),-- [sealed_dynasty_gaiter_piece]
(25671,959,1,1,2,28933.982544),-- [scrl_of_ench_wp_s]
(25671,960,1,1,2,289340.471634),-- [scrl_of_ench_am_s]
(25671,6577,1,1,2,4822.545822),-- [blessed_scrl_of_ench_wp_s]
(25674,10223,1,1,0,1417.208121),-- [icarus_accipiter]
(25674,10405,1,1,0,469885.791879),-- [icarus_accipiter_piece]
(25674,9514,1,1,1,4506.351915),-- [sealed_dynasty_blast_plate]
(25674,9515,1,1,1,7210.765575),-- [sealed_dynasty_gaiter]
(25674,9530,2,6,1,300237.25641),-- [sealed_dynasty_blast_plate_piece]
(25674,9531,15,45,1,118410.6261),-- [sealed_dynasty_gaiter_piece]
(25674,6578,1,1,2,47507.548845),-- [blessed_scrl_of_ench_am_s]
(25674,3936,1,1,2,534457.451155),-- [blessed_scroll_of_resurrection]
(25677,10220,1,1,0,719.28048),-- [icarus_chopper]
(25677,10222,1,1,0,719.28048),-- [icarus_wand]
(25677,10402,1,1,0,238403.21952),-- [icarus_chopper_piece]
(25677,10404,1,1,0,238403.21952),-- [icarus_wand_piece]
(25677,9516,1,1,1,8132.230473),-- [sealed_dynasty_helmet]
(25677,9529,1,1,1,11617.577593),-- [sealed_dynasty_shield]
(25677,13885,1,1,1,22175.521051),-- [sealed_arcana_sigil]
(25677,9532,9,27,1,111466.865213),-- [sealed_dynasty_helmet_piece]
(25677,9545,5,15,1,239157.578217),-- [sealed_dynasty_shield_piece]
(25677,10114,2,6,1,345871.227453),-- [sealed_dynasty_sigil_piece]
(25677,959,1,1,2,28933.982544),-- [scrl_of_ench_wp_s]
(25677,960,1,1,2,289340.471634),-- [scrl_of_ench_am_s]
(25677,6577,1,1,2,4822.545822),-- [blessed_scrl_of_ench_wp_s]
(25680,9448,1,1,0,904.198656),-- [dynasty_hammer]
(25680,9449,1,1,0,904.198656),-- [dynasty_staff]
(25680,10252,1,1,0,904.198656),-- [dynasty_twohand_staff]
(25680,10253,1,1,0,904.198656),-- [dynasty_crusher]
(25680,9622,1,1,0,273540.160512),-- [dynasty_hammer_piece]
(25680,9623,1,1,0,273540.160512),-- [dynasty_staff_piece]
(25680,10546,1,3,0,141748.288),-- [dynasty_twohand_staff_piece]
(25680,10547,2,4,0,94498.596352),-- [dynasty_crusher_piece]
(25680,9516,1,1,1,14813.893512),-- [sealed_dynasty_helmet]
(25680,9529,1,1,1,21163.431696),-- [sealed_dynasty_shield]
(25680,13885,1,1,1,40396.864904),-- [sealed_arcana_sigil]
(25680,9532,9,27,1,203055.509712),-- [sealed_dynasty_helmet_piece]
(25680,9545,40,120,1,54457.91912),-- [sealed_dynasty_shield_piece]
(25680,10114,14,42,1,90008.381056),-- [sealed_dynasty_sigil_piece]
(25680,959,1,1,2,52706.993776),-- [scrl_of_ench_wp_s]
(25680,960,1,1,2,527071.114886),-- [scrl_of_ench_am_s]
(25680,6577,1,1,2,8784.891338),-- [blessed_scrl_of_ench_wp_s]
(25680,14851,1,1,2,1000000),-- [q_book_of_cave_explr1]
(25681,9442,1,1,0,891.5514),-- [dynasty_blade]
(25681,9443,1,1,0,891.5514),-- [dynasty_two_hand_sword]
(25681,9444,1,1,0,891.5514),-- [dynasty_magic_sword]
(25681,9616,1,3,0,139316.26916),-- [dynasty_blade_piece]
(25681,9617,1,1,0,278632.53832),-- [dynasty_two_hand_sword_piece]
(25681,9618,1,1,0,278632.53832),-- [dynasty_magic_sword_piece]
(25681,9514,1,1,1,6162.026435),-- [sealed_dynasty_blast_plate]
(25681,9515,1,1,1,9860.066175),-- [sealed_dynasty_gaiter]
(25681,9530,2,6,1,410547.14449),-- [sealed_dynasty_blast_plate_piece]
(25681,9531,15,45,1,161915.7629),-- [sealed_dynasty_gaiter_piece]
(25681,14852,1,1,2,1000000),-- [q_book_of_cave_explr2]
(25684,9519,1,1,0,4005.759612),-- [sealed_dynasty_leather_mail]
(25684,9520,1,1,0,6409.526748),-- [sealed_dynasty_leather_legging]
(25684,9535,2,4,0,327825.678976),-- [sealed_dynasty_leather_mail_piece]
(25684,9536,4,12,0,180707.034664),-- [sealed_dynasty_leather_legging_piece]
(25684,10220,1,1,1,1062.90688),-- [icarus_chopper]
(25684,10222,1,1,1,1062.90688),-- [icarus_wand]
(25684,10402,1,1,1,352297.09312),-- [icarus_chopper_piece]
(25684,10404,1,1,1,352297.09312),-- [icarus_wand_piece]
(25684,959,1,1,2,28504.491152),-- [scrl_of_ench_wp_s]
(25684,960,1,1,2,285045.548122),-- [scrl_of_ench_am_s]
(25684,6577,1,1,2,4750.960726),-- [blessed_scrl_of_ench_wp_s]
(25684,14853,1,1,2,1000000),-- [q_book_of_cave_explr3]
(25687,9519,1,1,0,7424.070714),-- [sealed_dynasty_leather_mail]
(25687,9520,1,1,0,11878.70343),-- [sealed_dynasty_leather_legging]
(25687,9535,8,22,0,121511.952732),-- [sealed_dynasty_leather_mail_piece]
(25687,9536,4,12,0,334904.273124),-- [sealed_dynasty_leather_legging_piece]
(25687,10221,1,1,1,3939.875664),-- [icarus_knuckle]
(25687,10403,1,3,1,653144.124336),-- [icarus_knuckle_piece]
(25687,6578,1,1,2,88048.07076),-- [blessed_scrl_of_ench_am_s]
(25687,3936,1,3,2,495271.92924),-- [blessed_scroll_of_resurrection]
(25690,9452,1,1,0,6742.748328),-- [sealed_dynasty_earring]
(25690,9453,1,1,0,5057.21348),-- [sealed_dynasty_neckalce]
(25690,9454,1,1,0,10113.818024),-- [sealed_dynasty_ring]
(25690,9991,2,4,0,159359.769072),-- [sealed_dynasty_earring_gem]
(25690,9992,2,6,0,91728.292232),-- [sealed_dynasty_neckalce_gem]
(25690,9993,1,3,0,335934.158864),-- [sealed_dynasty_ring_gem]
(25690,9442,1,1,1,544.127377),-- [dynasty_blade]
(25690,9443,1,1,1,544.127377),-- [dynasty_two_hand_sword]
(25690,9444,1,1,1,544.127377),-- [dynasty_magic_sword]
(25690,9616,1,1,1,170082.03533),-- [dynasty_blade_piece]
(25690,9617,1,1,1,170082.03533),-- [dynasty_two_hand_sword_piece]
(25690,9618,1,1,1,170082.547209),-- [dynasty_magic_sword_piece]
(25690,959,1,1,2,15858.942784),-- [scrl_of_ench_wp_s]
(25690,960,1,1,2,158589.782024),-- [scrl_of_ench_am_s]
(25690,6577,1,1,2,2643.275192),-- [blessed_scrl_of_ench_wp_s]
(25691,9452,1,1,0,6742.748328),-- [sealed_dynasty_earring]
(25691,9453,1,1,0,5057.21348),-- [sealed_dynasty_neckalce]
(25691,9454,1,1,0,10113.818024),-- [sealed_dynasty_ring]
(25691,9991,2,4,0,159359.769072),-- [sealed_dynasty_earring_gem]
(25691,9992,2,6,0,91728.292232),-- [sealed_dynasty_neckalce_gem]
(25691,9993,1,3,0,335934.158864),-- [sealed_dynasty_ring_gem]
(25691,9442,1,1,1,544.127377),-- [dynasty_blade]
(25691,9443,1,1,1,544.127377),-- [dynasty_two_hand_sword]
(25691,9444,1,1,1,544.127377),-- [dynasty_magic_sword]
(25691,9616,1,1,1,170082.03533),-- [dynasty_blade_piece]
(25691,9617,1,1,1,170082.03533),-- [dynasty_two_hand_sword_piece]
(25691,9618,1,1,1,170082.547209),-- [dynasty_magic_sword_piece]
(25691,959,1,1,2,15858.942784),-- [scrl_of_ench_wp_s]
(25691,960,1,1,2,158589.782024),-- [scrl_of_ench_am_s]
(25691,6577,1,1,2,2643.275192),-- [blessed_scrl_of_ench_wp_s]
(25692,9452,1,1,0,6742.748328),-- [sealed_dynasty_earring]
(25692,9453,1,1,0,5057.21348),-- [sealed_dynasty_neckalce]
(25692,9454,1,1,0,10113.818024),-- [sealed_dynasty_ring]
(25692,9991,2,4,0,159359.769072),-- [sealed_dynasty_earring_gem]
(25692,9992,2,6,0,91728.292232),-- [sealed_dynasty_neckalce_gem]
(25692,9993,1,3,0,335934.158864),-- [sealed_dynasty_ring_gem]
(25692,9442,1,1,1,544.127377),-- [dynasty_blade]
(25692,9443,1,1,1,544.127377),-- [dynasty_two_hand_sword]
(25692,9444,1,1,1,544.127377),-- [dynasty_magic_sword]
(25692,9616,1,1,1,170082.03533),-- [dynasty_blade_piece]
(25692,9617,1,1,1,170082.03533),-- [dynasty_two_hand_sword_piece]
(25692,9618,1,1,1,170082.547209),-- [dynasty_magic_sword_piece]
(25692,959,1,1,2,15858.942784),-- [scrl_of_ench_wp_s]
(25692,960,1,1,2,158589.782024),-- [scrl_of_ench_am_s]
(25692,6577,1,1,2,2643.275192),-- [blessed_scrl_of_ench_wp_s]
(25693,9452,1,1,0,6742.748328),-- [sealed_dynasty_earring]
(25693,9453,1,1,0,5057.21348),-- [sealed_dynasty_neckalce]
(25693,9454,1,1,0,10113.818024),-- [sealed_dynasty_ring]
(25693,9991,2,4,0,159359.769072),-- [sealed_dynasty_earring_gem]
(25693,9992,2,6,0,91728.292232),-- [sealed_dynasty_neckalce_gem]
(25693,9993,1,3,0,335934.158864),-- [sealed_dynasty_ring_gem]
(25693,9442,1,1,1,544.127377),-- [dynasty_blade]
(25693,9443,1,1,1,544.127377),-- [dynasty_two_hand_sword]
(25693,9444,1,1,1,544.127377),-- [dynasty_magic_sword]
(25693,9616,1,1,1,170082.03533),-- [dynasty_blade_piece]
(25693,9617,1,1,1,170082.03533),-- [dynasty_two_hand_sword_piece]
(25693,9618,1,1,1,170082.547209),-- [dynasty_magic_sword_piece]
(25693,959,1,1,2,15858.942784),-- [scrl_of_ench_wp_s]
(25693,960,1,1,2,158589.782024),-- [scrl_of_ench_am_s]
(25693,6577,1,1,2,2643.275192),-- [blessed_scrl_of_ench_wp_s]
(25694,9452,1,1,0,46794.620766),-- [sealed_dynasty_earring]
(25694,9453,1,1,0,35096.086984),-- [sealed_dynasty_neckalce]
(25694,9454,1,1,0,70191.68833),-- [sealed_dynasty_ring]
(25694,9991,9,27,0,184327.788004),-- [sealed_dynasty_earring_gem]
(25694,9992,14,42,0,90943.00007),-- [sealed_dynasty_neckalce_gem]
(25694,9993,40,120,0,58284.815846),-- [sealed_dynasty_ring_gem]
(25694,9442,1,1,1,3776.237325),-- [dynasty_blade]
(25694,9443,1,1,1,3776.237325),-- [dynasty_two_hand_sword]
(25694,9444,1,1,1,3776.237325),-- [dynasty_magic_sword]
(25694,9616,5,15,1,118022.23815),-- [dynasty_blade_piece]
(25694,9617,9,27,1,65567.964525),-- [dynasty_two_hand_sword_piece]
(25694,9618,2,6,1,295056.08535),-- [dynasty_magic_sword_piece]
(25694,959,1,1,2,110060.97102),-- [scrl_of_ench_wp_s]
(25694,960,1,3,2,550305.53381),-- [scrl_of_ench_am_s]
(25694,6577,1,1,2,18343.49517),-- [blessed_scrl_of_ench_wp_s]
(25694,15341,1,3,2,1000000),-- [petal_of_leadingpoppy]
(25695,9452,1,1,0,54884.079987),-- [sealed_dynasty_earring]
(25695,9453,1,1,0,41163.202388),-- [sealed_dynasty_neckalce]
(25695,9454,1,1,0,82325.835185),-- [sealed_dynasty_ring]
(25695,9991,9,27,0,216192.820778),-- [sealed_dynasty_earring_gem]
(25695,9992,14,42,0,106664.458615),-- [sealed_dynasty_neckalce_gem]
(25695,9993,40,120,0,68360.603047),-- [sealed_dynasty_ring_gem]
(25695,10215,1,1,1,3209.028356),-- [icarus_sowsword]
(25695,10217,1,1,1,3209.028356),-- [icarus_spirits]
(25695,10218,1,1,1,3209.028356),-- [icarus_heavy_arms]
(25695,10397,5,15,1,106723.072294),-- [icarus_sowsword_piece]
(25695,10399,2,4,1,355744.558376),-- [icarus_spirits_piece]
(25695,10400,2,6,1,265952.284262),-- [icarus_heavy_arms_piece]
(25695,959,1,1,2,129087.276318),-- [scrl_of_ench_wp_s]
(25695,960,1,3,2,645437.177629),-- [scrl_of_ench_am_s]
(25695,6577,1,1,2,21514.546053),-- [blessed_scrl_of_ench_wp_s]
(25695,15341,2,3,2,1000000),-- [petal_of_leadingpoppy]
(25696,14105,1,1,0,3128.106327),-- [sealed_vesper_cuirass]
(25696,14108,1,1,0,5004.893673),-- [sealed_vesper_gaiter]
(25696,13457,1,1,1,1018.332315),-- [vesper_cutter]
(25696,13458,1,1,1,1018.332315),-- [vesper_slasher]
(25696,13459,1,1,1,1018.33537),-- [vesper_burster]
(25696,959,1,1,2,18923.322672),-- [scrl_of_ench_wp_s]
(25696,960,1,1,2,189233.649342),-- [scrl_of_ench_am_s]
(25696,6577,1,1,2,3154.027986),-- [blessed_scrl_of_ench_wp_s]
(25697,14106,1,1,0,7847.908904),-- [sealed_vesper_houberk]
(25697,14112,1,1,0,12556.091096),-- [sealed_vesper_leather_legging]
(25697,13467,1,1,1,5748),-- [vesper_thrower]
(25697,6577,1,1,2,8901.536575),-- [blessed_scrl_of_ench_wp_s]
(25697,6578,1,1,2,59343.463425),-- [blessed_scrl_of_ench_am_s]
(25698,14107,1,1,0,3944.33963),-- [sealed_vesper_jaket]
(25698,14115,1,1,0,6310.66037),-- [sealed_vesper_hose]
(25698,13463,1,1,1,722.25),-- [vesper_avenger]
(25698,13464,1,1,1,722.25),-- [vesper_retributer]
(25698,13465,1,1,1,722.25),-- [vesper_caster]
(25698,13466,1,1,1,722.25),-- [vesper_singer]
(25698,959,1,1,2,17895.982128),-- [scrl_of_ench_wp_s]
(25698,960,1,1,2,178960.220958),-- [scrl_of_ench_am_s]
(25698,6577,1,1,2,2982.796914),-- [blessed_scrl_of_ench_wp_s]
(25699,14109,1,1,0,9279.351892),-- [sealed_vesper_gauntlet]
(25699,14113,1,1,0,9279.351892),-- [sealed_vesper_leather_gloves]
(25699,14116,1,1,0,9279.351892),-- [sealed_vesper_gloves]
(25699,14110,1,1,0,9279.351892),-- [sealed_vesper_boots]
(25699,14114,1,1,0,9279.351892),-- [sealed_vesper_leather_boots]
(25699,14117,1,1,0,9279.24054),-- [sealed_vesper_shoes]
(25699,14160,1,1,1,28505.202264),-- [sealed_vesper_earring]
(25699,14161,1,1,1,21378.901698),-- [sealed_vesper_necklace]
(25699,14162,1,1,1,42757.896038),-- [sealed_vesper_ring]
(25699,959,1,1,2,63153.209574),-- [scrl_of_ench_wp_s]
(25699,960,1,1,2,631532.790426),-- [scrl_of_ench_am_s]
(25700,13143,1,1,0,10079.846548),-- [sealed_vesper_helmet]
(25700,13144,1,1,0,10079.846548),-- [sealed_vesper_leather_helmet]
(25700,13145,1,1,0,10079.846548),-- [sealed_vesper_circlet]
(25700,14111,1,1,0,14399.730178),-- [sealed_vesper_verteidiger]
(25700,13887,1,1,0,14399.730178),-- [sealed_vesper_sigil]
(25700,14160,1,1,1,38703.653604),-- [sealed_vesper_earring]
(25700,14161,1,1,1,29027.740203),-- [sealed_vesper_necklace]
(25700,14162,1,1,1,58055.606193),-- [sealed_vesper_ring]
(25700,959,1,1,2,85748.277888),-- [scrl_of_ench_wp_s]
(25700,960,1,1,2,857483.722112),-- [scrl_of_ench_am_s]
(25701,14109,1,1,0,8472.45588),-- [sealed_vesper_gauntlet]
(25701,14113,1,1,0,8472.45588),-- [sealed_vesper_leather_gloves]
(25701,14116,1,1,0,8472.45588),-- [sealed_vesper_gloves]
(25701,14110,1,1,0,8472.45588),-- [sealed_vesper_boots]
(25701,14114,1,1,0,8472.45588),-- [sealed_vesper_leather_boots]
(25701,14117,1,1,0,8472.45588),-- [sealed_vesper_shoes]
(25701,15484,1,1,0,197697.26472),-- [highangel_circlet]
(25701,13143,1,1,1,11861.776432),-- [sealed_vesper_helmet]
(25701,13144,1,1,1,11861.776432),-- [sealed_vesper_leather_helmet]
(25701,13145,1,1,1,11861.776432),-- [sealed_vesper_circlet]
(25701,14111,1,1,1,16945.335352),-- [sealed_vesper_verteidiger]
(25701,13887,1,1,1,16945.335352),-- [sealed_vesper_sigil]
(25701,959,1,1,2,44847.731152),-- [scrl_of_ench_wp_s]
(25701,960,1,1,2,448478.313122),-- [scrl_of_ench_am_s]
(25701,6577,1,1,2,7474.955726),-- [blessed_scrl_of_ench_wp_s]
(25703,6364,1,1,0,4782),-- [forgotten_blade]
(25703,6372,1,1,0,4782),-- [heavens_divider]
(25703,6366,1,1,1,3586.75),-- [imperial_staff]
(25703,6369,1,1,1,3586.75),-- [dragon_hunter_axe]
(25703,6365,1,1,1,3586.75),-- [basalt_battlehammer]
(25703,6579,1,1,1,3586.75),-- [arcana_mace]
(25703,959,1,1,2,39760.960239),-- [scrl_of_ench_wp_s]
(25703,960,1,1,2,397610.039761),-- [scrl_of_ench_am_s]
(25710,15766,1,1,0,92325.462255),-- [sealed_destino_ring]
(25710,15767,1,1,0,61542.907171),-- [sealed_destino_earring]
(25710,15768,1,1,0,46158.630574),-- [sealed_destino_necklace]
(25710,10219,1,1,1,14674),-- [icarus_trident]
(25710,959,1,1,2,147566.461799),-- [scrl_of_ench_wp_s]
(25710,960,1,3,2,737830.538201),-- [scrl_of_ench_am_s]
(25713,15694,1,1,0,7682.472801),-- [sealed_destino_helmet]
(25713,15695,1,1,0,7682.472801),-- [sealed_destino_leather_helmet]
(25713,15696,1,1,0,7682.472801),-- [sealed_destino_circlet]
(25713,15710,1,1,0,10974.813297),-- [sealed_destino_shield]
(25713,15709,1,1,0,10974.7683),-- [sealed_destino_sigil]
(25713,10223,1,1,1,4689),-- [icarus_accipiter]
(25713,959,1,1,2,47155.498299),-- [scrl_of_ench_wp_s]
(25713,960,1,1,2,471555.501701),-- [scrl_of_ench_am_s]
(25714,15703,1,1,0,7378.014756),-- [sealed_destino_gauntlet]
(25714,15704,1,1,0,7378.014756),-- [sealed_destino_leather_gloves]
(25714,15705,1,1,0,7378.014756),-- [sealed_destino_gloves]
(25714,15706,1,1,0,7378.014756),-- [sealed_destino_boots]
(25714,15707,1,1,0,7378.014756),-- [sealed_destino_leather_boots]
(25714,15708,1,1,0,7377.92622),-- [sealed_destino_shoes]
(25714,10222,1,1,1,1801.5),-- [icarus_wand]
(25714,10220,1,1,1,1801.5),-- [icarus_chopper]
(25714,959,1,1,2,36230.145588),-- [scrl_of_ench_wp_s]
(25714,960,1,1,2,362301.854412),-- [scrl_of_ench_am_s]
(25716,15698,1,1,0,10162.93464),-- [sealed_destino_houberk]
(25716,15701,1,1,0,16261.06536),-- [sealed_destino_leather_legging]
(25716,10223,1,1,1,4963),-- [icarus_accipiter]
(25716,6578,1,1,2,55453.087404),-- [blessed_scrl_of_ench_am_s]
(25716,6570,1,1,2,138632.912596),-- [blessed_scrl_of_ench_am_a]
(29001,2499,1,1,0,60000),-- [elven_long_sword]
(29001,70,1,1,0,60000),-- [claymore]
(29001,159,1,1,0,55000),-- [bonebreaker]
(29001,189,1,1,0,55000),-- [life_stick]
(29001,188,1,1,0,55000),-- [ghost_staff]
(29001,225,1,1,0,55000),-- [mithril_dagger]
(29001,262,1,1,0,50000),-- [scallop_jamadhr]
(29001,280,1,1,0,55000),-- [cyclone_bow]
(29001,297,1,1,0,55000),-- [glaive]
(29001,851,1,2,1,350000),-- [onyxbeast'seye_earing]
(29001,914,1,2,1,300000),-- [necklace_of_darkness]
(29001,882,1,2,1,350000),-- [mithril_ring]
(29001,353,1,2,2,375000),-- [half_plate]
(29001,380,1,2,2,375000),-- [plate_gaiters]
(29001,396,1,2,3,425000),-- [slamander_skin_mail]
(29001,438,1,2,3,425000),-- [sage's_rag]
(29001,2412,1,3,4,200000),-- [plate_helmet]
(29001,1125,1,3,4,200000),-- [assault_boots]
(29001,607,1,3,4,200000),-- [ogre_power_gauntlet]
(29001,630,1,3,4,200000),-- [square_shield]
(29001,955,1,3,4,200000),-- [scrl_of_ench_wp_d]
(29001,57,140000,170000,5,1000000),-- [adena]
(29001,57,140000,170000,6,1000000),-- [adena]
(29001,57,140000,170000,7,1000000),-- [adena]
(29001,57,140000,170000,8,1000000),-- [adena]
(29001,57,140000,170000,9,1000000),-- [adena]
(29001,57,140000,170000,10,1000000),-- [adena]
(29001,57,120000,150000,11,1000000),-- [adena]
(29001,6660,1,1,12,300000),-- [ring_of_queen_ant]
(29006,75,1,1,0,48000),-- [caliburs]
(29006,84,1,1,0,40000),-- [homunkulus's_sword]
(29006,162,1,1,0,48000),-- [war_axe]
(29006,174,1,1,0,40000),-- [nirvana_axe]
(29006,200,1,1,0,40000),-- [sage's_staff]
(29006,233,1,1,0,48000),-- [dark_screamer]
(29006,265,1,1,0,40000),-- [fist_blade]
(29006,283,1,1,0,48000),-- [akat_long_bow]
(29006,301,1,1,0,48000),-- [scorpion]
(29006,60,1,1,1,120000),-- [composite_armor]
(29006,400,1,1,1,120000),-- [theca_leather_mail]
(29006,420,1,1,1,120000),-- [theca_leather_gaiters]
(29006,441,1,1,1,120000),-- [demon's_tunic]
(29006,472,1,1,1,120000),-- [demon's_hose]
(29006,517,1,1,2,140000),-- [composite_helmet]
(29006,2435,1,1,2,140000),-- [demon's_boots]
(29006,2459,1,1,2,140000),-- [demon's_gloves]
(29006,107,1,1,2,140000),-- [composite_shield]
(29006,951,1,1,2,140000),-- [scrl_of_ench_wp_c]
(29006,57,100000,150000,3,1000000),-- [adena]
(29006,57,100000,150000,4,1000000),-- [adena]
(29006,57,100000,150000,5,1000000),-- [adena]
(29006,57,100000,150000,6,1000000),-- [adena]
(29006,57,100000,150000,7,1000000),-- [adena]
(29006,8744,2,4,8,450000),-- [rare_49_c]
(29006,8745,2,4,8,400000),-- [rare_52_c]
(29006,8754,1,2,8,100000),-- [unique_49_c]
(29006,8755,1,2,8,50000),-- [unique_52_c]
(29006,6662,1,1,9,300000),-- [ring_of_core]
(29014,76,1,1,0,42000),-- [sword_of_delusion]
(29014,145,1,1,0,35000),-- [deathbreath_sword]
(29014,162,1,1,0,42000),-- [war_axe]
(29014,201,1,1,0,35000),-- [club_of_nature]
(29014,199,1,1,0,35000),-- [paagrio_hammer]
(29014,231,1,1,0,42000),-- [grace_dagger]
(29014,265,1,1,0,35000),-- [fist_blade]
(29014,283,1,1,0,42000),-- [akat_long_bow]
(29014,303,1,1,0,42000),-- [widow_maker]
(29014,854,1,2,1,350000),-- [earing_of_binding]
(29014,917,1,2,1,300000),-- [necklace_of_mermaid]
(29014,885,1,2,1,350000),-- [ring_of_ages]
(29014,60,1,1,2,100000),-- [composite_armor]
(29014,400,1,1,2,100000),-- [theca_leather_mail]
(29014,420,1,1,2,100000),-- [theca_leather_gaiters]
(29014,441,1,1,2,100000),-- [demon's_tunic]
(29014,472,1,1,2,100000),-- [demon's_hose]
(29014,517,1,2,3,100000),-- [composite_helmet]
(29014,64,1,2,3,100000),-- [composite_boots]
(29014,608,1,2,3,100000),-- [mithril_gauntlet]
(29014,103,1,2,3,100000),-- [tower_shield]
(29014,951,1,2,3,100000),-- [scrl_of_ench_wp_c]
(29014,57,110000,150000,4,1000000),-- [adena]
(29014,57,110000,150000,5,1000000),-- [adena]
(29014,57,110000,150000,6,1000000),-- [adena]
(29014,57,110000,150000,7,1000000),-- [adena]
(29014,57,110000,150000,8,1000000),-- [adena]
(29014,8744,2,4,9,450000),-- [rare_49_c]
(29014,8745,2,4,9,400000),-- [rare_52_c]
(29014,8754,1,2,9,100000),-- [unique_49_c]
(29014,8755,1,2,9,50000),-- [unique_52_c]
(29014,6661,1,1,10,300000),-- [earring_of_orfen]
(29019,80,1,2,0,250000),-- [tallum_blade]
(29019,98,1,2,0,250000),-- [halbard]
(29019,269,1,2,0,250000),-- [blood_tornado]
(29019,2504,1,2,0,250000),-- [meteor_shower]
(29019,235,1,2,1,250000),-- [bloody_orchid]
(29019,288,1,2,1,250000),-- [carnium_bow]
(29019,150,1,2,1,250000),-- [elemental_sword]
(29019,212,1,2,1,250000),-- [dasparion's_staff]
(29019,81,1,2,2,250000),-- [dragon_slayer]
(29019,151,1,2,2,250000),-- [sword_of_miracle]
(29019,2500,1,2,2,250000),-- [dark_legion's_edge]
(29019,164,1,2,2,250000),-- [elysian]
(29019,236,1,2,3,200000),-- [soul_separator]
(29019,270,1,2,3,200000),-- [dragon_grinder]
(29019,289,1,2,3,200000),-- [soul_bow]
(29019,213,1,2,3,200000),-- [worldtree's_branch]
(29019,305,1,2,3,200000),-- [tallum_glaive]
(29019,6364,1,1,4,170000),-- [forgotten_blade]
(29019,6365,1,1,4,170000),-- [basalt_battlehammer]
(29019,6369,1,1,4,170000),-- [dragon_hunter_axe]
(29019,6370,1,1,4,170000),-- [saint_spear]
(29019,6372,1,1,4,160000),-- [heavens_divider]
(29019,6580,1,1,4,160000),-- [tallum_blade*dark_legion's_edge]
(29019,7575,1,1,5,200000),-- [draconic_bow]
(29019,6366,1,1,5,200000);-- [imperial_staff]

INSERT INTO `droplist` VALUES
(29019,6367,1,1,5,200000),-- [angel_slayer]
(29019,6371,1,1,5,200000),-- [demon_splinter]
(29019,6579,1,1,5,200000),-- [arcana_mace]
(29019,6326,1,5,6,300000),-- [sealed_majestic_necklace]
(29019,6327,1,5,6,350000),-- [sealed_majestic_earing]
(29019,6328,1,5,6,350000),-- [sealed_majestic_ring]
(29019,6323,1,5,7,300000),-- [sealed_phoenix's_necklace]
(29019,6324,1,5,7,350000),-- [sealed_phoenix's_earing]
(29019,6325,1,5,7,350000),-- [sealed_phoenix's_ring]
(29019,6724,1,1,8,350000),-- [sealed_sanddragon's_earing]
(29019,6725,1,1,8,350000),-- [sealed_ring_of_aurakyria]
(29019,6726,1,1,8,300000),-- [sealed_dragon_necklace]
(29019,5287,1,3,9,500000),-- [sealed_dark_crystal_breastplate]
(29019,5297,1,3,9,250000),-- [sealed_dark_crystal_leather_mail]
(29019,5304,1,3,9,250000),-- [sealed_tallum_tunic]
(29019,5311,1,3,10,350000),-- [sealed_armor_of_nightmare]
(29019,5320,1,3,10,350000),-- [sealed_leather_mail_of_nightmare]
(29019,5326,1,3,10,300000),-- [sealed_robe_of_nightmare]
(29019,5293,1,3,11,250000),-- [sealed_tallum_plate_armor]
(29019,5301,1,3,11,250000),-- [sealed_tallum_leather_mail]
(29019,5308,1,3,11,250000),-- [sealed_dark_crystal_robe]
(29019,5316,1,3,11,80000),-- [sealed_majestic_platte_armor]
(29019,5323,1,3,11,80000),-- [sealed_majestic_leather_mail]
(29019,5329,1,3,11,90000),-- [sealed_majestic_robe]
(29019,5288,1,3,12,350000),-- [sealed_dark_crystal_gaiters]
(29019,5298,1,3,12,350000),-- [sealed_legging_of_dark_crystal]
(29019,5305,1,3,12,300000),-- [sealed_tallum_hose]
(29019,6674,1,1,13,150000),-- [sealed_imperial_crusader_armor]
(29019,6675,1,1,13,150000),-- [sealed_imperial_crusader_gaiters]
(29019,6680,1,1,13,350000),-- [sealed_draconic_leather_armor]
(29019,6684,1,1,13,350000),-- [sealed_major_arcana_robe]
(29019,5289,1,3,14,250000),-- [sealed_dark_crystal_helmet]
(29019,5294,1,3,14,250000),-- [sealed_tallum_bonnet]
(29019,5312,1,3,14,250000),-- [sealed_helm_of_nightmare]
(29019,5317,1,3,14,250000),-- [sealed_magestic_circlet]
(29019,5291,1,3,15,250000),-- [sealed_dark_crystal_boots]
(29019,5296,1,3,15,250000),-- [sealed_tallum_boots]
(29019,5314,1,3,15,250000),-- [sealed_boots_of_nightmare]
(29019,5319,1,3,15,250000),-- [sealed_magestic_boots]
(29019,5290,1,3,16,250000),-- [sealed_dark_crystal_gloves]
(29019,5295,1,3,16,250000),-- [sealed_tallum_gloves]
(29019,5313,1,3,16,250000),-- [sealed_gloves_of_nightmare]
(29019,5318,1,3,16,250000),-- [sealed_magestic_gloves]
(29019,5292,1,3,17,400000),-- [sealed_dark_crystal_shield]
(29019,5315,1,3,17,400000),-- [sealed_shield_of_nightmare]
(29019,6678,1,1,17,200000),-- [sealed_imperial_crusader_shield]
(29019,6676,1,1,18,340000),-- [sealed_imperial_crusader_gauntlet]
(29019,6681,1,1,18,330000),-- [sealed_draconic_leather_gloves]
(29019,6685,1,1,18,330000),-- [sealed_major_arcana_gloves]
(29019,6677,1,1,19,340000),-- [sealed_imperial_crusader_boots]
(29019,6682,1,1,19,330000),-- [sealed_draconic_leather_boots]
(29019,6686,1,1,19,330000),-- [sealed_major_arcana_boots]
(29019,6679,1,1,20,340000),-- [sealed_imperial_crusader_helmet]
(29019,6683,1,1,20,330000),-- [sealed_draconic_leather_helmet]
(29019,6687,1,1,20,330000),-- [sealed_major_arcana_hood]
(29019,729,1,19,21,1000000),-- [scrl_of_ench_wp_a]
(29019,1538,1,59,22,1000000),-- [blessed_scroll_of_escape]
(29019,3936,1,39,23,1000000),-- [blessed_scroll_of_resurrection]
(29019,57,14000000,18000000,24,1000000),-- [adena]
(29019,57,14000000,18000000,25,1000000),-- [adena]
(29019,57,14000000,18000000,26,1000000),-- [adena]
(29019,57,14000000,18000000,27,1000000),-- [adena]
(29019,57,14000000,18000000,28,1000000),-- [adena]
(29019,57,14000000,18000000,29,1000000),-- [adena]
(29019,57,9000000,13000000,30,1000000),-- [adena]
(29019,6656,1,1,31,1000000),-- [earring_of_antaras]
(29019,8620,10,30,32,500000),-- [sb_increase_of_divinity_s]
(29019,13893,1,2,32,500000),-- [sealed_holly_sprit's_cloak]
(29020,80,1,1,0,60000),-- [tallum_blade]
(29020,98,1,1,0,60000),-- [halbard]
(29020,288,1,1,0,60000),-- [carnium_bow]
(29020,150,1,1,0,60000),-- [elemental_sword]
(29020,6364,1,1,0,12000),-- [forgotten_blade]
(29020,6365,1,1,0,12000),-- [basalt_battlehammer]
(29020,6580,1,1,0,9000),-- [tallum_blade*dark_legion's_edge]
(29020,6367,1,1,0,9000),-- [angel_slayer]
(29020,6369,1,1,0,9000),-- [dragon_hunter_axe]
(29020,6370,1,1,0,9000),-- [saint_spear]
(29020,269,1,1,1,60000),-- [blood_tornado]
(29020,2504,1,1,1,60000),-- [meteor_shower]
(29020,235,1,1,1,60000),-- [bloody_orchid]
(29020,212,1,1,1,60000),-- [dasparion's_staff]
(29020,7575,1,1,1,12000),-- [draconic_bow]
(29020,6366,1,1,1,12000),-- [imperial_staff]
(29020,6371,1,1,1,12000),-- [demon_splinter]
(29020,6579,1,1,1,12000),-- [arcana_mace]
(29020,6372,1,1,1,12000),-- [heavens_divider]
(29020,8751,1,2,2,450000),-- [rare_70_a]
(29020,8752,1,2,2,400000),-- [rare_75_s]
(29020,8761,1,1,2,100000),-- [unique_70_a]
(29020,8762,1,1,2,50000),-- [unique_75_s]
(29020,6658,1,1,3,1000000),-- [ring_of_baium]
(29020,8620,5,15,4,1000000),-- [sb_increase_of_divinity_s]
(29022,135,1,1,0,48000),-- [samurai_longsword]
(29022,204,1,1,0,12000),-- [deadman's_staff]
(29022,205,1,1,0,12000),-- [ghoul's_staff]
(29022,206,1,1,0,15000),-- [demon's_staff]
(29022,228,1,1,0,48000),-- [crystal_dagger]
(29022,266,1,1,0,30000),-- [great_pata]
(29022,286,1,1,0,39000),-- [eminence_bow]
(29022,299,1,1,0,30000),-- [orcish_poleaxe]
(29022,2503,1,1,0,36000),-- [yaksa_mace]
(29022,5286,1,1,0,30000),-- [berserker_blade]
(29022,78,1,1,1,10000),-- [great_sword]
(29022,91,1,1,1,12000),-- [heavy_war_axe]
(29022,92,1,1,1,13000),-- [sprite's_staff]
(29022,142,1,1,1,8000),-- [kshanberk]
(29022,148,1,1,1,8000),-- [sword_of_valhalla]
(29022,229,1,1,1,8000),-- [kris]
(29022,243,1,1,1,8000),-- [hell_knife]
(29022,267,1,1,1,10000),-- [arthro_nail]
(29022,284,1,1,1,13000),-- [dark_elven_long_bow]
(29022,300,1,1,1,10000),-- [great_axe]
(29022,357,1,1,2,50000),-- [shrnoen's_breastplate]
(29022,2384,1,1,2,50000),-- [shrnoen's_leather_shirts]
(29022,2376,1,1,2,50000),-- [avadon_breastplate]
(29022,2397,1,1,2,50000),-- [tunic_of_shrnoen]
(29022,383,1,1,3,50000),-- [shrnoen's_gaiters]
(29022,2379,1,1,3,50000),-- [avadon_gaiters]
(29022,2388,1,1,3,50000),-- [shrnoen's_leather_gaiters]
(29022,2402,1,1,3,50000),-- [hose_of_shrnoen]
(29022,2390,1,1,4,100000),-- [avadon_leather_mail]
(29022,2406,1,1,4,100000),-- [avadon_robe]
(29022,503,1,1,5,30000),-- [shrnoen's_helmet]
(29022,554,1,1,5,30000),-- [shrnoen's_boots]
(29022,600,1,1,5,30000),-- [avadon_boots]
(29022,612,1,1,5,30000),-- [shrnoen's_gauntlet]
(29022,633,1,1,5,30000),-- [shrnoen's_shield]
(29022,673,1,1,5,30000),-- [avadon_shield]
(29022,2415,1,1,5,30000),-- [avadon_circlet]
(29022,2464,1,1,5,30000),-- [avadon_gloves]
(29022,947,1,1,5,60000),-- [scrl_of_ench_wp_b]
(29022,57,180000,220000,6,1000000),-- [adena]
(29022,57,180000,220000,7,1000000),-- [adena]
(29022,57,180000,220000,8,1000000),-- [adena]
(29022,57,180000,220000,9,1000000),-- [adena]
(29022,57,180000,220000,10,1000000),-- [adena]
(29022,57,180000,220000,11,1000000),-- [adena]
(29022,57,180000,220000,12,1000000),-- [adena]
(29022,6659,1,1,13,850000),-- [earring_of_zaken]
(29022,8747,2,4,14,450000),-- [rare_58_b]
(29022,8748,2,4,14,400000),-- [rare_61_b]
(29022,8757,1,2,14,100000),-- [unique_58_b]
(29022,8758,1,2,14,50000),-- [unique_61_b]
(29022,8922,1,1,15,10000),-- [sea_robber]
(29023,1061,4,8,0,200000),-- [healing_potion]
(29024,1061,4,8,0,200000),-- [healing_potion]
(29026,1061,4,8,0,200000),-- [healing_potion]
(29027,1061,4,8,0,200000),-- [healing_potion]
(29028,15560,1,1,0,63700),-- [vigwik_axe]
(29028,15561,1,1,0,63630),-- [evildeity_maul]
(29028,15562,1,1,0,63630),-- [feathereye_blade]
(29028,15563,1,1,0,63630),-- [octo_claw]
(29028,15564,1,1,0,63630),-- [doubletopa_spear]
(29028,15565,1,1,0,63630),-- [cuticle]
(29028,15566,1,1,0,63630),-- [blackvisage]
(29028,15567,1,1,0,63630),-- [veniplant_sword]
(29028,15568,1,1,0,63630),-- [skullcarnium_bow]
(29028,15558,1,1,0,63630),-- [peri_el_sword]
(29028,15559,1,1,0,63630),-- [skul_edge]
(29028,15544,1,1,1,45450),-- [incessantcore_sword]
(29028,15545,1,1,1,45450),-- [mamba_edge]
(29028,15546,1,1,1,45450),-- [expowder_mace]
(29028,15547,1,1,1,45450),-- [pereztear_hammer]
(29028,15548,1,1,1,45450),-- [lavamond_saw]
(29028,15549,1,1,1,45450),-- [jademice_claw]
(29028,15550,1,1,1,45450),-- [ghostcleaner]
(29028,15551,1,1,1,45450),-- [sacredumors]
(29028,15552,1,1,1,45450),-- [psyskilt_cane]
(29028,15553,1,1,1,45450),-- [archangel_sword]
(29028,15554,1,1,1,45450),-- [recurvethorne_bow]
(29028,15743,1,1,2,91000),-- [sealed_verpes_helmet]
(29028,15744,1,1,2,90900),-- [sealed_verpes_leather_helmet]
(29028,15745,1,1,2,90900),-- [sealed_verpes_circlet]
(29028,15752,1,1,2,90900),-- [sealed_verpes_gauntlet]
(29028,15753,1,1,2,90900),-- [sealed_verpes_leather_gloves]
(29028,15754,1,1,2,90900),-- [sealed_verpes_gloves]
(29028,15755,1,1,2,90900),-- [sealed_verpes_boots]
(29028,15756,1,1,2,90900),-- [sealed_verpes_leather_boots]
(29028,15757,1,1,2,90900),-- [sealed_verpes_shoes]
(29028,15758,1,1,2,90900),-- [sealed_verpes_shield]
(29028,15759,1,1,2,90900),-- [sealed_verpes_sigil]
(29028,15746,1,1,3,166600),-- [sealed_verpes_cuirass]
(29028,15747,1,1,3,166600),-- [sealed_verpes_houberk]
(29028,15748,1,1,3,166600),-- [sealed_verpes_jaket]
(29028,15749,1,1,3,167000),-- [sealed_verpes_gaiter]
(29028,15750,1,1,3,166600),-- [sealed_verpes_leather_legging]
(29028,15751,1,1,3,166600),-- [sealed_verpes_hose]
(29028,15763,1,1,4,167000),-- [sealed_verpes_ring]
(29028,15764,1,1,4,166500),-- [sealed_verpes_earring]
(29028,15765,1,1,4,166500),-- [sealed_verpes_necklace]
(29028,959,1,19,5,1000000),-- [scrl_of_ench_wp_s]
(29028,1538,1,59,6,1000000),-- [blessed_scroll_of_escape]
(29028,3936,1,39,7,1000000),-- [blessed_scroll_of_resurrection]
(29028,57,14000000,18000000,8,1000000),-- [adena]
(29028,57,2000000,6000000,9,1000000),-- [adena]
(29028,16162,2,4,10,450000),-- [rare_85_s]
(29028,16166,2,4,10,400000),-- [rare_86_s]
(29028,16163,1,2,10,100000),-- [unique_85_s]
(29028,16167,1,2,10,50000),-- [unique_86_s]
(29028,6657,1,1,11,1000000),-- [necklace_of_valakas]
(29028,8620,10,30,12,500000),-- [sb_increase_of_divinity_s]
(29028,13893,1,2,12,500000),-- [sealed_holly_sprit's_cloak]
(29030,6652,2,6,0,186738.633926),-- [blesscharm_ward_val]
(29030,6654,18,54,0,64839.713839),-- [aidcharm_cancel_valbreath]
(29030,6655,14,42,0,41682.652235),-- [blesscharm_slay_val]
(29033,6652,2,6,0,189406.0467),-- [blesscharm_ward_val]
(29033,6654,18,54,0,65765.89755),-- [aidcharm_cancel_valbreath]
(29033,6655,14,42,0,42278.05575),-- [blesscharm_slay_val]
(29036,6652,2,6,0,192246.02306),-- [blesscharm_ward_val]
(29036,6654,18,54,0,66751.99909),-- [aidcharm_cancel_valbreath]
(29036,6655,14,42,0,42911.97785),-- [blesscharm_slay_val]
(29037,6652,2,6,0,194986.027158),-- [blesscharm_ward_val]
(29037,6654,18,54,0,67703.388087),-- [aidcharm_cancel_valbreath]
(29037,6655,14,42,0,43523.584755),-- [blesscharm_slay_val]
(29040,6652,2,6,0,197625.422228),-- [blesscharm_ward_val]
(29040,6654,18,54,0,68619.843442),-- [aidcharm_cancel_valbreath]
(29040,6655,14,42,0,44112.73433),-- [blesscharm_slay_val]
(29047,15743,1,1,0,63700),-- [sealed_verpes_helmet]
(29047,15744,1,1,0,63630),-- [sealed_verpes_leather_helmet]
(29047,15745,1,1,0,63630),-- [sealed_verpes_circlet]
(29047,15752,1,1,0,63630),-- [sealed_verpes_gauntlet]
(29047,15753,1,1,0,63630),-- [sealed_verpes_leather_gloves]
(29047,15754,1,1,0,63630),-- [sealed_verpes_gloves]
(29047,15755,1,1,0,63630),-- [sealed_verpes_boots]
(29047,15756,1,1,0,63630),-- [sealed_verpes_leather_boots]
(29047,15757,1,1,0,63630),-- [sealed_verpes_shoes]
(29047,15758,1,1,0,63630),-- [sealed_verpes_shield]
(29047,15759,1,1,0,63630),-- [sealed_verpes_sigil]
(29047,15746,1,1,1,116900),-- [sealed_verpes_cuirass]
(29047,15747,1,1,1,116620),-- [sealed_verpes_houberk]
(29047,15748,1,1,1,116620),-- [sealed_verpes_jaket]
(29047,15749,1,1,1,116620),-- [sealed_verpes_gaiter]
(29047,15750,1,1,1,116620),-- [sealed_verpes_leather_legging]
(29047,15751,1,1,1,116620),-- [sealed_verpes_hose]
(29047,13457,1,1,2,45500),-- [vesper_cutter]
(29047,13458,1,1,2,45450),-- [vesper_slasher]
(29047,13459,1,1,2,45450),-- [vesper_burster]
(29047,13460,1,1,2,45450),-- [vesper_shaper]
(29047,13466,1,1,2,45450),-- [vesper_singer]
(29047,13461,1,1,2,45450),-- [vesper_fighter]
(29047,13462,1,1,2,45450),-- [vesper_stormer]
(29047,13463,1,1,2,45450),-- [vesper_avenger]
(29047,13464,1,1,2,45450),-- [vesper_retributer]
(29047,13465,1,1,2,45450),-- [vesper_caster]
(29047,13467,1,1,2,45450),-- [vesper_thrower]
(29047,1538,1,30,3,600000),-- [blessed_scroll_of_escape]
(29047,3936,1,10,4,600000),-- [blessed_scroll_of_resurrection]
(29047,57,9000000,11000000,5,1000000),-- [adena]
(29047,57,9000000,11000000,6,1000000),-- [adena]
(29047,16162,2,4,7,600000),-- [rare_85_s]
(29047,16166,2,4,7,400000),-- [rare_86_s]
(29047,8191,1,1,8,300000),-- [necklace_of_frintessa]
(29047,8620,5,25,9,600000),-- [sb_increase_of_divinity_s]
(29047,13893,1,1,9,400000),-- [sealed_holly_sprit's_cloak]
(29054,6674,1,1,0,17879.70348),-- [sealed_imperial_crusader_armor]
(29054,6675,1,1,0,28535.160216),-- [sealed_imperial_crusader_gaiters]
(29054,6701,8,22,0,453747.82434),-- [sealed_imperial_crusader_armor_part]
(29054,6702,24,72,0,182529.311964),-- [sealed_imperial_crusader_gaiters_pattern]
(29054,6364,1,1,1,7859.001768),-- [forgotten_blade]
(29054,6372,1,1,1,7859.001768),-- [heavens_divider]
(29054,6688,8,22,1,276328.943096),-- [forgotten_blade_edge]
(29054,6696,24,72,1,87725.053368),-- [heavens_divider_edge]
(29056,110,1,1,0,35857.45638),-- [doom_shield]
(29056,2416,1,1,0,25041.254796),-- [blue_wolve's_helmet]
(29056,2417,1,1,0,25041.254796),-- [doom_helmet]
(29056,4077,40,120,0,85188.686706),-- [doom_shield_fragment]
(29056,4088,9,27,0,318088.033974),-- [blue_wolve's_helmet_design]
(29056,4089,14,42,0,204485.313348),-- [doom_helmet_pattern]
(29056,171,1,1,1,2081.646216),-- [deadman's_glory]
(29056,175,1,1,1,2081.646216),-- [art_of_battle_axe]
(29056,210,1,1,1,2081.646216),-- [staff_of_evil_sprit]
(29056,7893,1,1,1,2081.646216),-- [bone_of_kaim_vanul]
(29056,7901,1,1,1,2081.646216),-- [star_buster]
(29056,4116,3,9,1,99302.728522),-- [deadman's_glory_stone]
(29056,4117,4,10,1,85116.69505),-- [art_of_battle_axe_blade]
(29056,4118,4,12,1,70562.469168),-- [staff_of_evil_sprit_head]
(29056,8340,36,108,1,39452.928722),-- [bone_of_kaim_vanul_head]
(29056,8348,8,22,1,189374.947458),-- [star_buster_head]
(29056,8180,1,1,2,200000),-- [ice_fairy_sirr_circlet]
(29056,1343,100,200,3,350689),-- [silver_arrow]
(29057,1344,20,60,0,928000),-- [mithril_arrow]
(29058,1539,1,1,0,227733),-- [greater_healing_potion]
(29060,2391,1,1,0,13946.16168),-- [blue_wolve's_leather_mail]
(29060,2392,1,1,0,13946.16168),-- [leather_mail_of_doom]
(29060,4082,4,12,0,347671.191024),-- [blue_wolve's_leather_mail_texture]
(29060,4083,8,22,0,185424.485616),-- [leather_mail_of_doom_design]
(29060,287,1,1,1,11274.0298),-- [hazard_bow]
(29060,4121,3,9,1,536008.9702),-- [hazard_bow_shaft]
(29060,4616,1,3,2,220057.143579),-- [dye_c4c4_c]
(29060,4617,2,4,2,146704.762386),-- [dye_d4s4_c]
(29060,4618,1,1,2,440115.094035),-- [dye_d4c4_c]
(29062,6684,1,1,0,17056.01052),-- [sealed_major_arcana_robe]
(29062,6711,12,36,0,306341.98948),-- [sealed_major_arcana_robe_part]
(29062,7575,1,1,1,10504.300392),-- [draconic_bow]
(29062,7579,12,36,1,233503.699608),-- [draconic_bow_shaft]
(29062,8921,1,1,2,320095.312935),-- [demon_circlet]
(29062,959,1,1,2,32009.46354),-- [scrl_of_ench_wp_s]
(29062,960,1,1,2,320095.312935),-- [scrl_of_ench_am_s]
(29062,6577,1,1,2,5334.91059),-- [blessed_scrl_of_ench_wp_s]
(29063,1344,60,180,0,384933),-- [mithril_arrow]
(29064,1344,60,180,0,376000),-- [mithril_arrow]
(29065,6680,1,1,0,7302.582144),-- [sealed_draconic_leather_armor]
(29065,6707,3,9,0,524645.417856),-- [sealed_draconic_leather_armor_part]
(29065,6367,1,1,1,4497.451441),-- [angel_slayer]
(29065,6691,3,9,1,395311.548559),-- [angel_slayer_blade]
(29065,959,1,1,2,18273.354256),-- [scrl_of_ench_wp_s]
(29065,960,1,1,2,182733.950666),-- [scrl_of_ench_am_s]
(29065,6577,1,1,2,3045.695078),-- [blessed_scrl_of_ench_wp_s]
(29066,80,1,2,0,250000),-- [tallum_blade]
(29066,98,1,2,0,250000),-- [halbard]
(29066,269,1,2,0,250000),-- [blood_tornado]
(29066,2504,1,2,0,250000),-- [meteor_shower]
(29066,235,1,2,1,250000),-- [bloody_orchid]
(29066,288,1,2,1,250000),-- [carnium_bow]
(29066,150,1,2,1,250000),-- [elemental_sword]
(29066,212,1,2,1,250000),-- [dasparion's_staff]
(29066,81,1,2,2,250000),-- [dragon_slayer]
(29066,151,1,2,2,250000),-- [sword_of_miracle]
(29066,2500,1,2,2,250000),-- [dark_legion's_edge]
(29066,164,1,2,2,250000),-- [elysian]
(29066,236,1,2,3,200000),-- [soul_separator]
(29066,270,1,2,3,200000),-- [dragon_grinder]
(29066,289,1,2,3,200000),-- [soul_bow]
(29066,213,1,2,3,200000),-- [worldtree's_branch]
(29066,305,1,2,3,200000),-- [tallum_glaive]
(29066,6364,1,1,4,170000),-- [forgotten_blade]
(29066,6365,1,1,4,170000),-- [basalt_battlehammer]
(29066,6369,1,1,4,170000),-- [dragon_hunter_axe]
(29066,6370,1,1,4,170000),-- [saint_spear]
(29066,6372,1,1,4,160000),-- [heavens_divider]
(29066,6580,1,1,4,160000),-- [tallum_blade*dark_legion's_edge]
(29066,7575,1,1,5,200000),-- [draconic_bow]
(29066,6366,1,1,5,200000),-- [imperial_staff]
(29066,6367,1,1,5,200000),-- [angel_slayer]
(29066,6371,1,1,5,200000),-- [demon_splinter]
(29066,6579,1,1,5,200000),-- [arcana_mace]
(29066,6326,1,5,6,300000),-- [sealed_majestic_necklace]
(29066,6327,1,5,6,350000),-- [sealed_majestic_earing]
(29066,6328,1,5,6,350000),-- [sealed_majestic_ring]
(29066,6323,1,5,7,300000),-- [sealed_phoenix's_necklace]
(29066,6324,1,5,7,350000),-- [sealed_phoenix's_earing]
(29066,6325,1,5,7,350000),-- [sealed_phoenix's_ring]
(29066,6724,1,1,8,350000),-- [sealed_sanddragon's_earing]
(29066,6725,1,1,8,350000),-- [sealed_ring_of_aurakyria]
(29066,6726,1,1,8,300000),-- [sealed_dragon_necklace]
(29066,5287,1,3,9,500000),-- [sealed_dark_crystal_breastplate]
(29066,5297,1,3,9,250000),-- [sealed_dark_crystal_leather_mail]
(29066,5304,1,3,9,250000),-- [sealed_tallum_tunic]
(29066,5311,1,3,10,350000),-- [sealed_armor_of_nightmare]
(29066,5320,1,3,10,350000),-- [sealed_leather_mail_of_nightmare]
(29066,5326,1,3,10,300000),-- [sealed_robe_of_nightmare]
(29066,5293,1,3,11,250000),-- [sealed_tallum_plate_armor]
(29066,5301,1,3,11,250000),-- [sealed_tallum_leather_mail]
(29066,5308,1,3,11,250000),-- [sealed_dark_crystal_robe]
(29066,5316,1,3,11,80000),-- [sealed_majestic_platte_armor]
(29066,5323,1,3,11,80000),-- [sealed_majestic_leather_mail]
(29066,5329,1,3,11,90000),-- [sealed_majestic_robe]
(29066,5288,1,3,12,350000),-- [sealed_dark_crystal_gaiters]
(29066,5298,1,3,12,350000),-- [sealed_legging_of_dark_crystal]
(29066,5305,1,3,12,300000),-- [sealed_tallum_hose]
(29066,6674,1,1,13,150000),-- [sealed_imperial_crusader_armor]
(29066,6675,1,1,13,150000),-- [sealed_imperial_crusader_gaiters]
(29066,6680,1,1,13,350000),-- [sealed_draconic_leather_armor]
(29066,6684,1,1,13,350000),-- [sealed_major_arcana_robe]
(29066,5289,1,3,14,250000),-- [sealed_dark_crystal_helmet]
(29066,5294,1,3,14,250000),-- [sealed_tallum_bonnet]
(29066,5312,1,3,14,250000),-- [sealed_helm_of_nightmare]
(29066,5317,1,3,14,250000),-- [sealed_magestic_circlet]
(29066,5291,1,3,15,250000),-- [sealed_dark_crystal_boots]
(29066,5296,1,3,15,250000),-- [sealed_tallum_boots]
(29066,5314,1,3,15,250000),-- [sealed_boots_of_nightmare]
(29066,5319,1,3,15,250000),-- [sealed_magestic_boots]
(29066,5290,1,3,16,250000),-- [sealed_dark_crystal_gloves]
(29066,5295,1,3,16,250000),-- [sealed_tallum_gloves]
(29066,5313,1,3,16,250000),-- [sealed_gloves_of_nightmare]
(29066,5318,1,3,16,250000),-- [sealed_magestic_gloves]
(29066,5292,1,3,17,400000),-- [sealed_dark_crystal_shield]
(29066,5315,1,3,17,400000),-- [sealed_shield_of_nightmare]
(29066,6678,1,1,17,200000),-- [sealed_imperial_crusader_shield]
(29066,6676,1,1,18,340000),-- [sealed_imperial_crusader_gauntlet]
(29066,6681,1,1,18,330000),-- [sealed_draconic_leather_gloves]
(29066,6685,1,1,18,330000),-- [sealed_major_arcana_gloves]
(29066,6677,1,1,19,340000),-- [sealed_imperial_crusader_boots]
(29066,6682,1,1,19,330000),-- [sealed_draconic_leather_boots]
(29066,6686,1,1,19,330000),-- [sealed_major_arcana_boots]
(29066,6679,1,1,20,340000),-- [sealed_imperial_crusader_helmet]
(29066,6683,1,1,20,330000),-- [sealed_draconic_leather_helmet]
(29066,6687,1,1,20,330000),-- [sealed_major_arcana_hood]
(29066,729,1,19,21,1000000),-- [scrl_of_ench_wp_a]
(29066,1538,1,59,22,1000000),-- [blessed_scroll_of_escape]
(29066,3936,1,39,23,1000000),-- [blessed_scroll_of_resurrection]
(29066,57,14000000,18000000,24,1000000),-- [adena]
(29066,57,14000000,18000000,25,1000000),-- [adena]
(29066,57,14000000,18000000,26,1000000),-- [adena]
(29066,57,14000000,18000000,27,1000000),-- [adena]
(29066,57,14000000,18000000,28,1000000),-- [adena]
(29066,57,14000000,18000000,29,1000000),-- [adena]
(29066,57,9000000,13000000,30,1000000),-- [adena]
(29066,8751,2,4,31,450000),-- [rare_70_a]
(29066,8752,2,4,31,400000),-- [rare_75_s]
(29066,8761,1,2,31,100000),-- [unique_70_a]
(29066,8762,1,2,31,50000),-- [unique_75_s]
(29066,6656,1,1,32,1000000),-- [earring_of_antaras]
(29066,8620,10,30,33,500000),-- [sb_increase_of_divinity_s]
(29066,13893,1,2,33,500000),-- [sealed_holly_sprit's_cloak]
(29067,80,1,2,0,250000),-- [tallum_blade]
(29067,98,1,2,0,250000),-- [halbard]
(29067,269,1,2,0,250000),-- [blood_tornado]
(29067,2504,1,2,0,250000),-- [meteor_shower]
(29067,235,1,2,1,250000),-- [bloody_orchid]
(29067,288,1,2,1,250000),-- [carnium_bow]
(29067,150,1,2,1,250000),-- [elemental_sword]
(29067,212,1,2,1,250000),-- [dasparion's_staff]
(29067,81,1,2,2,250000),-- [dragon_slayer]
(29067,151,1,2,2,250000),-- [sword_of_miracle]
(29067,2500,1,2,2,250000),-- [dark_legion's_edge]
(29067,164,1,2,2,250000),-- [elysian]
(29067,236,1,2,3,200000),-- [soul_separator]
(29067,270,1,2,3,200000),-- [dragon_grinder]
(29067,289,1,2,3,200000),-- [soul_bow]
(29067,213,1,2,3,200000),-- [worldtree's_branch]
(29067,305,1,2,3,200000),-- [tallum_glaive]
(29067,6364,1,1,4,170000),-- [forgotten_blade]
(29067,6365,1,1,4,170000),-- [basalt_battlehammer]
(29067,6369,1,1,4,170000),-- [dragon_hunter_axe]
(29067,6370,1,1,4,170000),-- [saint_spear]
(29067,6372,1,1,4,160000),-- [heavens_divider]
(29067,6580,1,1,4,160000),-- [tallum_blade*dark_legion's_edge]
(29067,7575,1,1,5,200000),-- [draconic_bow]
(29067,6366,1,1,5,200000),-- [imperial_staff]
(29067,6367,1,1,5,200000),-- [angel_slayer]
(29067,6371,1,1,5,200000),-- [demon_splinter]
(29067,6579,1,1,5,200000),-- [arcana_mace]
(29067,6326,1,5,6,300000),-- [sealed_majestic_necklace]
(29067,6327,1,5,6,350000),-- [sealed_majestic_earing]
(29067,6328,1,5,6,350000),-- [sealed_majestic_ring]
(29067,6323,1,5,7,300000),-- [sealed_phoenix's_necklace]
(29067,6324,1,5,7,350000),-- [sealed_phoenix's_earing]
(29067,6325,1,5,7,350000),-- [sealed_phoenix's_ring]
(29067,6724,1,1,8,350000),-- [sealed_sanddragon's_earing]
(29067,6725,1,1,8,350000),-- [sealed_ring_of_aurakyria]
(29067,6726,1,1,8,300000),-- [sealed_dragon_necklace]
(29067,5287,1,3,9,500000),-- [sealed_dark_crystal_breastplate]
(29067,5297,1,3,9,250000),-- [sealed_dark_crystal_leather_mail]
(29067,5304,1,3,9,250000),-- [sealed_tallum_tunic]
(29067,5311,1,3,10,350000),-- [sealed_armor_of_nightmare]
(29067,5320,1,3,10,350000),-- [sealed_leather_mail_of_nightmare]
(29067,5326,1,3,10,300000),-- [sealed_robe_of_nightmare]
(29067,5293,1,3,11,250000),-- [sealed_tallum_plate_armor]
(29067,5301,1,3,11,250000),-- [sealed_tallum_leather_mail]
(29067,5308,1,3,11,250000),-- [sealed_dark_crystal_robe]
(29067,5316,1,3,11,80000),-- [sealed_majestic_platte_armor]
(29067,5323,1,3,11,80000),-- [sealed_majestic_leather_mail]
(29067,5329,1,3,11,90000),-- [sealed_majestic_robe]
(29067,5288,1,3,12,350000),-- [sealed_dark_crystal_gaiters]
(29067,5298,1,3,12,350000),-- [sealed_legging_of_dark_crystal]
(29067,5305,1,3,12,300000),-- [sealed_tallum_hose]
(29067,6674,1,1,13,150000),-- [sealed_imperial_crusader_armor]
(29067,6675,1,1,13,150000),-- [sealed_imperial_crusader_gaiters]
(29067,6680,1,1,13,350000),-- [sealed_draconic_leather_armor]
(29067,6684,1,1,13,350000),-- [sealed_major_arcana_robe]
(29067,5289,1,3,14,250000),-- [sealed_dark_crystal_helmet]
(29067,5294,1,3,14,250000),-- [sealed_tallum_bonnet]
(29067,5312,1,3,14,250000),-- [sealed_helm_of_nightmare]
(29067,5317,1,3,14,250000),-- [sealed_magestic_circlet]
(29067,5291,1,3,15,250000),-- [sealed_dark_crystal_boots]
(29067,5296,1,3,15,250000),-- [sealed_tallum_boots]
(29067,5314,1,3,15,250000),-- [sealed_boots_of_nightmare]
(29067,5319,1,3,15,250000),-- [sealed_magestic_boots]
(29067,5290,1,3,16,250000),-- [sealed_dark_crystal_gloves]
(29067,5295,1,3,16,250000),-- [sealed_tallum_gloves]
(29067,5313,1,3,16,250000),-- [sealed_gloves_of_nightmare]
(29067,5318,1,3,16,250000),-- [sealed_magestic_gloves]
(29067,5292,1,3,17,400000),-- [sealed_dark_crystal_shield]
(29067,5315,1,3,17,400000),-- [sealed_shield_of_nightmare]
(29067,6678,1,1,17,200000),-- [sealed_imperial_crusader_shield]
(29067,6676,1,1,18,340000),-- [sealed_imperial_crusader_gauntlet]
(29067,6681,1,1,18,330000),-- [sealed_draconic_leather_gloves]
(29067,6685,1,1,18,330000),-- [sealed_major_arcana_gloves]
(29067,6677,1,1,19,340000),-- [sealed_imperial_crusader_boots]
(29067,6682,1,1,19,330000),-- [sealed_draconic_leather_boots]
(29067,6686,1,1,19,330000),-- [sealed_major_arcana_boots]
(29067,6679,1,1,20,340000),-- [sealed_imperial_crusader_helmet]
(29067,6683,1,1,20,330000),-- [sealed_draconic_leather_helmet]
(29067,6687,1,1,20,330000),-- [sealed_major_arcana_hood]
(29067,729,1,19,21,1000000),-- [scrl_of_ench_wp_a]
(29067,1538,1,59,22,1000000),-- [blessed_scroll_of_escape]
(29067,3936,1,39,23,1000000),-- [blessed_scroll_of_resurrection]
(29067,57,14000000,18000000,24,1000000),-- [adena]
(29067,57,14000000,18000000,25,1000000),-- [adena]
(29067,57,14000000,18000000,26,1000000),-- [adena]
(29067,57,14000000,18000000,27,1000000),-- [adena]
(29067,57,14000000,18000000,28,1000000),-- [adena]
(29067,57,14000000,18000000,29,1000000),-- [adena]
(29067,57,9000000,13000000,30,1000000),-- [adena]
(29067,8751,2,4,31,450000),-- [rare_70_a]
(29067,8752,2,4,31,400000),-- [rare_75_s]
(29067,8761,1,2,31,100000),-- [unique_70_a]
(29067,8762,1,2,31,50000),-- [unique_75_s]
(29067,959,8,12,32,1000000),-- [scrl_of_ench_wp_s]
(29067,6656,1,1,33,1000000),-- [earring_of_antaras]
(29067,8620,10,30,34,500000),-- [sb_increase_of_divinity_s]
(29067,13893,1,2,34,500000),-- [sealed_holly_sprit's_cloak]
(29068,15560,1,1,0,63700),-- [vigwik_axe]
(29068,15561,1,1,0,63630),-- [evildeity_maul]
(29068,15562,1,1,0,63630),-- [feathereye_blade]
(29068,15563,1,1,0,63630),-- [octo_claw]
(29068,15564,1,1,0,63630),-- [doubletopa_spear]
(29068,15565,1,1,0,63630),-- [cuticle]
(29068,15566,1,1,0,63630),-- [blackvisage]
(29068,15567,1,1,0,63630),-- [veniplant_sword]
(29068,15568,1,1,0,63630),-- [skullcarnium_bow]
(29068,15558,1,1,0,63630),-- [peri_el_sword]
(29068,15559,1,1,0,63630),-- [skul_edge]
(29068,15544,1,1,1,45500),-- [incessantcore_sword]
(29068,15545,1,1,1,45450),-- [mamba_edge]
(29068,15546,1,1,1,45450),-- [expowder_mace]
(29068,15547,1,1,1,45450),-- [pereztear_hammer]
(29068,15548,1,1,1,45450),-- [lavamond_saw]
(29068,15549,1,1,1,45450),-- [jademice_claw]
(29068,15550,1,1,1,45450),-- [ghostcleaner]
(29068,15551,1,1,1,45450),-- [sacredumors]
(29068,15552,1,1,1,45450),-- [psyskilt_cane]
(29068,15553,1,1,1,45450),-- [archangel_sword]
(29068,15554,1,1,1,45450),-- [recurvethorne_bow]
(29068,15743,1,1,2,91000),-- [sealed_verpes_helmet]
(29068,15744,1,1,2,90900),-- [sealed_verpes_leather_helmet]
(29068,15745,1,1,2,90900),-- [sealed_verpes_circlet]
(29068,15752,1,1,2,90900),-- [sealed_verpes_gauntlet]
(29068,15753,1,1,2,90900),-- [sealed_verpes_leather_gloves]
(29068,15754,1,1,2,90900),-- [sealed_verpes_gloves]
(29068,15755,1,1,2,90900),-- [sealed_verpes_boots]
(29068,15756,1,1,2,90900),-- [sealed_verpes_leather_boots]
(29068,15757,1,1,2,90900),-- [sealed_verpes_shoes]
(29068,15758,1,1,2,90900),-- [sealed_verpes_shield]
(29068,15759,1,1,2,90900),-- [sealed_verpes_sigil]
(29068,15746,1,1,3,167000),-- [sealed_verpes_cuirass]
(29068,15747,1,1,3,166600),-- [sealed_verpes_houberk]
(29068,15748,1,1,3,166600),-- [sealed_verpes_jaket]
(29068,15749,1,1,3,166600),-- [sealed_verpes_gaiter]
(29068,15750,1,1,3,166600),-- [sealed_verpes_leather_legging]
(29068,15751,1,1,3,166600),-- [sealed_verpes_hose]
(29068,15763,1,1,4,167000),-- [sealed_verpes_ring]
(29068,15764,1,1,4,166500),-- [sealed_verpes_earring]
(29068,15765,1,1,4,166500),-- [sealed_verpes_necklace]
(29068,959,1,19,5,1000000),-- [scrl_of_ench_wp_s]
(29068,1538,1,59,6,600000),-- [blessed_scroll_of_escape]
(29068,3936,1,39,7,600000),-- [blessed_scroll_of_resurrection]
(29068,57,14000000,18000000,8,1000000),-- [adena]
(29068,57,2000000,6000000,9,1000000),-- [adena]
(29068,16162,2,4,10,450000),-- [rare_85_s]
(29068,16166,2,4,10,400000),-- [rare_86_s]
(29068,16163,1,2,10,100000),-- [unique_85_s]
(29068,16167,1,2,10,50000),-- [unique_86_s]
(29068,6656,1,1,11,1000000),-- [earring_of_antaras]
(29068,8620,10,30,12,500000),-- [sb_increase_of_divinity_s]
(29068,13893,1,2,12,500000),-- [sealed_holly_sprit's_cloak]
(29095,6684,1,1,0,13184.94726),-- [sealed_major_arcana_robe]
(29095,6711,12,36,0,236814.05274),-- [sealed_major_arcana_robe_part]
(29095,6371,1,1,1,8120.219514),-- [demon_splinter]
(29095,6695,3,9,1,700326.780486),-- [demon_splinter_blade]
(29095,959,1,1,2,32992.74784),-- [scrl_of_ench_wp_s]
(29095,960,1,1,2,329928.21524),-- [scrl_of_ench_am_s]
(29095,6577,1,1,2,5499.03692),-- [blessed_scrl_of_ench_wp_s]
(29096,6674,1,1,0,8021.600769),-- [sealed_imperial_crusader_armor]
(29096,6675,1,1,0,12802.924329),-- [sealed_imperial_crusader_gaiters]
(29096,6701,8,22,0,203579.165907),-- [sealed_imperial_crusader_armor_part]
(29096,6702,4,12,0,491363.308995),-- [sealed_imperial_crusader_gaiters_pattern]
(29096,6370,1,1,1,8120.219545),-- [saint_spear]
(29096,6694,3,9,1,726674.780455),-- [saint_spear_blade]
(29096,959,1,1,2,24744.611928),-- [scrl_of_ench_wp_s]
(29096,960,1,1,2,247446.643042),-- [scrl_of_ench_am_s]
(29096,6577,1,1,2,4124.101988),-- [blessed_scrl_of_ench_wp_s]
(29096,8920,1,1,2,247446.643042),-- [angel_circlet]
(29097,1344,60,180,0,384933),-- [mithril_arrow]
(29098,1344,60,180,0,384933),-- [mithril_arrow]
(29116,6676,1,1,0,6937.637764),-- [sealed_imperial_crusader_gauntlet]
(29116,6677,1,1,0,6937.637764),-- [sealed_imperial_crusader_boots]
(29116,6681,1,1,0,6937.637764),-- [sealed_draconic_leather_gloves]
(29116,6682,1,1,0,6937.637764),-- [sealed_draconic_leather_boots]
(29116,6685,1,1,0,6937.637764),-- [sealed_major_arcana_gloves]
(29116,6686,1,1,0,6937.637764),-- [sealed_major_arcana_boots]
(29116,6703,8,24,0,110503.068942),-- [sealed_imperial_crusader_gauntlet_design]
(29116,6704,14,40,0,65483.236659),-- [sealed_imperial_crusader_boots_design]
(29116,6708,20,60,0,44201.456014),-- [sealed_draconic_leather_gloves_fabric]
(29116,6709,28,82,0,32146.253877),-- [sealed_draconic_leather_boots_design]
(29116,6712,36,108,0,24556.427907),-- [sealed_major_arcana_gloves_fabric]
(29116,6713,4,10,0,252576.730017),-- [sealed_major_arcana_boots_design]
(29116,9458,1,1,1,3332.282382),-- [dynasty_earring_trait_shock]
(29116,9461,1,1,1,3332.282382),-- [dynasty_earring_trait_poison]
(29116,9464,1,1,1,3332.282382),-- [dynasty_earring_trait_bleed]
(29116,9467,1,1,1,3332.282382),-- [dynasty_earring_trait_sleep]
(29116,9470,1,1,1,3332.282382),-- [dynasty_earring_trait_paralyze]
(29116,9473,1,1,1,3332.282382),-- [dynasty_earring_trait_hold]
(29116,9476,1,1,1,3332.305708),-- [dynasty_earring_trait_fear]
(29116,6577,1,1,2,5357.74806),-- [blessed_scrl_of_ench_wp_s]
(29116,6578,1,1,2,35718.25194),-- [blessed_scrl_of_ench_am_s]
(29117,6678,1,1,0,19816.558776),-- [sealed_imperial_crusader_shield]
(29117,6679,1,1,0,13875.533056),-- [sealed_imperial_crusader_helmet]
(29117,6683,1,1,0,13875.533056),-- [sealed_draconic_leather_helmet]
(29117,6687,1,1,0,13875.533056),-- [sealed_major_arcana_hood]
(29117,6705,23,67,0,115458.625912),-- [sealed_imperial_crusader_shield_part]
(29117,6706,60,180,0,50362.863411),-- [sealed_imperial_crusader_helmet_pattern]
(29117,6710,11,31,0,287787.79092),-- [sealed_draconic_leather_helmet_pattern]
(29117,6714,16,48,0,188860.561813),-- [sealed_major_arcana_hood_pattern]
(29117,10170,1,1,1,84497),-- [barler_earring]
(29117,6577,1,1,2,10715.365685),-- [blessed_scrl_of_ench_wp_s]
(29117,6578,1,1,2,71435.634315),-- [blessed_scrl_of_ench_am_s]
(29118,13457,1,1,0,37700),-- [vesper_cutter]
(29118,13458,1,1,0,37600),-- [vesper_slasher]
(29118,13459,1,1,0,37600),-- [vesper_burster]
(29118,13460,1,1,0,37700),-- [vesper_shaper]
(29118,13461,1,1,0,37700),-- [vesper_fighter]
(29118,13462,1,1,0,37600),-- [vesper_stormer]
(29118,13463,1,1,0,37700),-- [vesper_avenger]
(29118,13464,1,1,0,37600),-- [vesper_retributer]
(29118,13465,1,1,0,37600),-- [vesper_caster]
(29118,13467,1,1,0,37600),-- [vesper_thrower]
(29118,13466,1,1,0,37600),-- [vesper_singer]
(29118,10215,1,1,0,65200),-- [icarus_sowsword]
(29118,10216,1,1,0,65100),-- [icarus_disperser]
(29118,10217,1,1,0,65100),-- [icarus_spirits]
(29118,10218,1,1,0,65100),-- [icarus_heavy_arms]
(29118,10219,1,1,0,65100),-- [icarus_trident]
(29118,10220,1,1,0,65100),-- [icarus_chopper]
(29118,10221,1,1,0,65100),-- [icarus_knuckle]
(29118,10222,1,1,0,65100),-- [icarus_wand]
(29118,10223,1,1,0,65100),-- [icarus_accipiter]
(29118,13893,1,1,1,400000),-- [sealed_holly_sprit's_cloak]
(29118,10552,1,1,1,200000),-- [sb_fighter_will]
(29118,10553,1,1,1,200000),-- [sb_archer_will]
(29118,14219,1,1,1,200000),-- [sb_magicians_will1]
(29129,395,1,1,0,337099.912206),-- [manticor_skin_shirt]
(29129,417,4,12,0,67295.009586),-- [manticor_skin_gaiters]
(29129,1942,53,157,0,140832.078113),-- [manticor_skin_shirt_texture]
(29129,1943,216,648,0,53302.000095),-- [manticor_skin_gaiters_pattern]
(29129,279,1,1,1,161958.50522),-- [strengthening_long_bow]
(29129,2040,12,36,1,419277.49478),-- [strengthening_long_bow_shaft]
(29129,6576,3,9,2,375804),-- [blessed_scrl_of_ench_am_d]
(29132,439,1,1,0,267666.225638),-- [karmian_tunic]
(29132,471,5,13,0,47526.54886),-- [karmian_hose]
(29132,1962,53,157,0,118691.007036),-- [karmian_tunic_pattern]
(29132,1954,192,576,0,53918.218466),-- [karmian_hose_pattern]
(29132,71,1,1,1,66274.975998),-- [flamberge]
(29132,72,1,1,1,66274.975998),-- [stormbringer]
(29132,2059,8,22,1,289287.75304),-- [flamberge_blade]
(29132,2060,24,72,1,96636.294964),-- [stormbringer_blade]
(29132,4589,4,12,2,210353.377074),-- [dye_s2c2_c]
(29132,4590,8,22,2,112188.834389),-- [dye_s2d2_c]
(29132,6574,1,1,2,288484.788537),-- [blessed_scrl_of_ench_am_c]
(29135,119,1,1,0,168703.91343),-- [necklace_of_binding]
(29135,855,1,1,0,224938.354914),-- [nassen's_earing]
(29135,886,6,16,0,30673.385262),-- [ring_of_binding]
(29135,1920,140,420,0,44778.819384),-- [necklace_of_binding_chain]
(29135,1918,81,243,0,97959.409938),-- [nassen's_earing_gemstone]
(29135,2917,480,1440,0,21924.117072),-- [ring_of_binding_gemstone]
(29135,286,1,1,1,69965.61767),-- [eminence_bow]
(29135,2121,12,36,1,315949.38233),-- [eminence_bow_shaft]
(29135,4607,5,15,2,118748.903025),-- [dye_i3m3_c]
(29135,4608,2,4,2,395829.67675),-- [dye_i3w3_c]
(29135,4609,2,6,2,296871.834025),-- [dye_m3i3_c]
(29135,6573,1,1,2,35624.5862),-- [blessed_scrl_of_ench_wp_c]
(29138,864,1,1,0,139480.373196),-- [earing_of_black_ore]
(29138,895,1,1,0,209220.24888),-- [ring_of_black_ore]
(29138,926,1,1,0,104610.12444),-- [necklace_of_black_ore]
(29138,4052,81,243,0,108366.587388),-- [earing_of_black_ore_piece]
(29138,4053,280,840,0,37953.27198),-- [ring_of_black_ore_gemstone]
(29138,4054,220,660,0,22197.394116),-- [necklace_of_black_ore_beads]
(29138,171,1,1,1,14740.849444),-- [deadman's_glory]
(29138,175,1,1,1,14740.849444),-- [art_of_battle_axe]
(29138,210,1,1,1,14740.849444),-- [staff_of_evil_sprit]
(29138,4116,5,15,1,325017.190366),-- [deadman's_glory_stone]
(29138,4117,9,27,1,180565.179068),-- [art_of_battle_axe_blade]
(29138,4118,14,42,1,109977.082234),-- [staff_of_evil_sprit_head]
(29138,4616,5,15,2,99740.374792),-- [dye_c4c4_c]
(29138,4617,2,4,2,332469.081832),-- [dye_d4s4_c]
(29138,4618,2,6,2,249351.811374),-- [dye_d4c4_c]
(29138,6572,1,1,2,192832.732002),-- [blessed_scrl_of_ench_am_b]
(29141,5326,1,1,0,21869.181552),-- [sealed_robe_of_nightmare]
(29141,5329,1,1,0,21869.181552),-- [sealed_majestic_robe]
(29141,5487,4,12,0,406413.183306),-- [sealed_robe_of_nightmare_fabric]
(29141,5488,8,22,0,216754.45359),-- [sealed_majestic_robe_fabric]
(29141,289,1,1,1,20886.512123),-- [soul_bow]
(29141,5534,12,36,1,247774.487877),-- [soul_bow_shaft]
(29141,730,1,1,2,779949.88954),-- [scrl_of_ench_am_a]
(29141,6569,1,1,2,12479.090662),-- [blessed_scrl_of_ench_wp_a]
(29141,729,1,1,2,103993.019798),-- [scrl_of_ench_wp_a]
(29144,6680,1,1,0,33061.60415),-- [sealed_draconic_leather_armor]
(29144,6707,12,36,0,531611.39585),-- [sealed_draconic_leather_armor_part]
(29144,7575,1,1,1,18066.235968),-- [draconic_bow]
(29144,7579,12,36,1,351885.764032),-- [draconic_bow_shaft]
(29144,959,1,1,2,66759.404064),-- [scrl_of_ench_wp_s]
(29144,960,1,1,2,667595.531604),-- [scrl_of_ench_am_s]
(29144,6577,1,1,2,11127.064332),-- [blessed_scrl_of_ench_wp_s]
(29147,6678,1,1,0,36517.686153),-- [sealed_imperial_crusader_shield]
(29147,6679,1,1,0,25561.71483),-- [sealed_imperial_crusader_helmet]
(29147,6683,1,1,0,25561.71483),-- [sealed_draconic_leather_helmet]
(29147,6687,1,1,0,25561.71483),-- [sealed_major_arcana_hood]
(29147,6705,23,67,0,189847.307088),-- [sealed_imperial_crusader_shield_part]
(29147,6706,60,180,0,82810.491486),-- [sealed_imperial_crusader_helmet_pattern]
(29147,6710,116,346,0,43018.658001),-- [sealed_draconic_leather_helmet_pattern]
(29147,6714,16,48,0,310539.712782),-- [sealed_major_arcana_hood_pattern]
(29147,6371,1,1,1,17191.576038),-- [demon_splinter]
(29147,6695,12,36,1,324786.423962),-- [demon_splinter_blade]
(29147,959,1,1,2,63527.29328),-- [scrl_of_ench_wp_s]
(29147,960,1,1,2,635274.35158),-- [scrl_of_ench_am_s]
(29147,6577,1,1,2,10588.35514),-- [blessed_scrl_of_ench_wp_s]
(29150,13143,1,1,0,29400),-- [sealed_vesper_helmet]
(29150,13144,1,1,0,29400),-- [sealed_vesper_leather_helmet]
(29150,13145,1,1,0,29400),-- [sealed_vesper_circlet]
(29150,13887,1,1,0,29400),-- [sealed_vesper_sigil]
(29150,14105,1,1,0,29400),-- [sealed_vesper_cuirass]
(29150,14106,1,1,0,29400),-- [sealed_vesper_houberk]
(29150,14107,1,1,0,29400),-- [sealed_vesper_jaket]
(29150,14108,1,1,0,29400),-- [sealed_vesper_gaiter]
(29150,14109,1,1,0,29400),-- [sealed_vesper_gauntlet]
(29150,14110,1,1,0,29400),-- [sealed_vesper_boots]
(29150,14111,1,1,0,29400),-- [sealed_vesper_verteidiger]
(29150,14112,1,1,0,29400),-- [sealed_vesper_leather_legging]
(29150,14113,1,1,0,29400),-- [sealed_vesper_leather_gloves]
(29150,14114,1,1,0,29400),-- [sealed_vesper_leather_boots]
(29150,14115,1,1,0,29400),-- [sealed_vesper_hose]
(29150,14116,1,1,0,29400),-- [sealed_vesper_gloves]
(29150,14117,1,1,0,29400),-- [sealed_vesper_shoes]
(29150,13146,1,1,0,29400),-- [sealed_vesper_noble_helmet]
(29150,13147,1,1,0,29400),-- [sealed_vesper_noble_leather_helmet]
(29150,13148,1,1,0,29400),-- [sealed_vesper_noble_circlet]
(29150,13886,1,1,0,29400),-- [sealed_dynasty_sigil]
(29150,17006,1,1,0,29400),-- [sealed_vesper_noble_cuirass]
(29150,17007,1,1,0,29400),-- [sealed_vesper_noble_houberk]
(29150,17008,1,1,0,29400),-- [sealed_vesper_noble_jaket]
(29150,17009,1,1,0,29400),-- [sealed_vesper_noble_gaiter]
(29150,17010,1,1,0,29400),-- [sealed_vesper_noble_gauntlet]
(29150,17011,1,1,0,29400),-- [sealed_vesper_noble_boots]
(29150,9529,1,1,0,29400),-- [sealed_dynasty_shield]
(29150,17012,1,1,0,29400),-- [sealed_vesper_noble_leather_legging]
(29150,17013,1,1,0,29400),-- [sealed_vesper_noble_leather_gloves]
(29150,17014,1,1,0,29400),-- [sealed_vesper_noble_leather_boots]
(29150,17015,1,1,0,29400),-- [sealed_vesper_noble_hose]
(29150,17016,1,1,0,29400),-- [sealed_vesper_noble_gloves]
(29150,17017,1,1,0,29800),-- [sealed_vesper_noble_shoes]
(29150,14160,1,1,1,350000),-- [sealed_vesper_earring]
(29150,14161,1,1,1,300000),-- [sealed_vesper_necklace]
(29150,14162,1,1,1,350000),-- [sealed_vesper_ring]
(29163,13457,1,1,0,37700),-- [vesper_cutter]
(29163,13458,1,1,0,37600),-- [vesper_slasher]
(29163,13459,1,1,0,37600),-- [vesper_burster]
(29163,13460,1,1,0,37700),-- [vesper_shaper]
(29163,13461,1,1,0,37700),-- [vesper_fighter]
(29163,13462,1,1,0,37600),-- [vesper_stormer]
(29163,13463,1,1,0,37700),-- [vesper_avenger]
(29163,13464,1,1,0,37600),-- [vesper_retributer]
(29163,13465,1,1,0,37600),-- [vesper_caster]
(29163,13467,1,1,0,37600),-- [vesper_thrower]
(29163,13466,1,1,0,37600),-- [vesper_singer]
(29163,10215,1,1,0,65200),-- [icarus_sowsword]
(29163,10216,1,1,0,65100),-- [icarus_disperser]
(29163,10217,1,1,0,65100),-- [icarus_spirits]
(29163,10218,1,1,0,65100),-- [icarus_heavy_arms]
(29163,10219,1,1,0,65100),-- [icarus_trident]
(29163,10220,1,1,0,65100),-- [icarus_chopper]
(29163,10221,1,1,0,65100),-- [icarus_knuckle]
(29163,10222,1,1,0,65100),-- [icarus_wand]
(29163,10223,1,1,0,65100),-- [icarus_accipiter]
(29163,13893,1,1,1,200000),-- [sealed_holly_sprit's_cloak]
(29163,10550,1,1,1,400000),-- [sb_protection_of_elemental]
(29163,10552,1,1,1,400000),-- [sb_fighter_will]
(29175,7575,1,1,0,10599.273198),-- [draconic_bow]
(29175,7579,12,36,0,206447.726802),-- [draconic_bow_shaft]
(29175,6676,1,1,1,35463.073429),-- [sealed_imperial_crusader_gauntlet]
(29175,6677,1,1,1,35463.073429),-- [sealed_imperial_crusader_boots]
(29175,6681,1,1,1,35463.073429),-- [sealed_draconic_leather_gloves]
(29175,6682,1,1,1,35463.073429),-- [sealed_draconic_leather_boots]
(29175,6685,1,1,1,35463.073429),-- [sealed_major_arcana_gloves]
(29175,6686,1,1,1,35463.073429),-- [sealed_major_arcana_boots]
(29175,6703,112,336,1,36009.355506),-- [sealed_imperial_crusader_gauntlet_design]
(29175,6704,203,607,1,19916.350706),-- [sealed_imperial_crusader_boots_design]
(29175,6708,320,960,1,12603.463017),-- [sealed_draconic_leather_gloves_fabric]
(29175,6709,28,82,1,146656.935735),-- [sealed_draconic_leather_boots_design]
(29175,6712,36,108,1,112029.315563),-- [sealed_major_arcana_gloves_fabric]
(29175,6713,46,136,1,88639.138899),-- [sealed_major_arcana_boots_design]
(29175,6578,1,1,2,97917.478815),-- [blessed_scrl_of_ench_am_s]
(29175,3936,1,3,2,550787.521185),-- [blessed_scroll_of_resurrection]
(29176,80,1,1,0,21233.818352),-- [tallum_blade]
(29176,150,1,1,0,21233.818352),-- [elemental_sword]
(29176,5548,24,72,0,106089.540588),-- [tallum_blade_edge]
(29176,5547,8,22,0,339486.822708),-- [elemental_sword_edge]
(29176,729,1,1,1,86233.782033),-- [scrl_of_ench_wp_a]
(29176,730,1,1,1,646755.22359),-- [scrl_of_ench_am_a]
(29176,6569,1,1,1,10347.994377),-- [blessed_scrl_of_ench_wp_a]
(29176,6659,1,1,2,900),-- [earring_of_zaken]
(29176,8922,1,1,3,900),-- [sea_robber]
(29176,8619,1,1,4,1800),-- [sb_increase_of_divinity_a]
(29179,15560,1,1,0,13650),-- [vigwik_axe]
(29179,15561,1,1,0,13635),-- [evildeity_maul]
(29179,15562,1,1,0,13635),-- [feathereye_blade]
(29179,15563,1,1,0,13635),-- [octo_claw]
(29179,15564,1,1,0,13635),-- [doubletopa_spear]
(29179,15565,1,1,0,13635),-- [cuticle]
(29179,15566,1,1,0,13635),-- [blackvisage]
(29179,15567,1,1,0,13635),-- [veniplant_sword]
(29179,15568,1,1,0,13635),-- [skullcarnium_bow]
(29179,15558,1,1,0,13635),-- [peri_el_sword]
(29179,15559,1,1,0,13635),-- [skul_edge]
(29179,13143,1,1,1,45500),-- [sealed_vesper_helmet]
(29179,13144,1,1,1,45450),-- [sealed_vesper_leather_helmet]
(29179,13145,1,1,1,45450),-- [sealed_vesper_circlet]
(29179,14109,1,1,1,45450),-- [sealed_vesper_gauntlet]
(29179,14113,1,1,1,45450),-- [sealed_vesper_leather_gloves]
(29179,14116,1,1,1,45450),-- [sealed_vesper_gloves]
(29179,14110,1,1,1,45450),-- [sealed_vesper_boots]
(29179,14114,1,1,1,45450),-- [sealed_vesper_leather_boots]
(29179,14117,1,1,1,45450),-- [sealed_vesper_shoes]
(29179,14111,1,1,1,45450),-- [sealed_vesper_verteidiger]
(29179,13887,1,1,1,45450),-- [sealed_vesper_sigil]
(29179,14105,1,1,2,83500),-- [sealed_vesper_cuirass]
(29179,14106,1,1,2,83300),-- [sealed_vesper_houberk]
(29179,14107,1,1,2,83300),-- [sealed_vesper_jaket]
(29179,14108,1,1,2,83300),-- [sealed_vesper_gaiter]
(29179,14112,1,1,2,83300),-- [sealed_vesper_leather_legging]
(29179,14115,1,1,2,83300),-- [sealed_vesper_hose]
(29179,14162,1,1,3,167000),-- [sealed_vesper_ring]
(29179,14160,1,1,3,166500),-- [sealed_vesper_earring]
(29179,14161,1,1,3,166500),-- [sealed_vesper_necklace]
(29179,6577,1,1,4,5357.74806),-- [blessed_scrl_of_ench_wp_s]
(29179,6578,1,1,4,35718.25194),-- [blessed_scrl_of_ench_am_s]
(29179,16164,2,4,5,600000),-- [general_86_s]
(29179,16165,2,4,5,400000),-- [special_86_s]
(29179,16025,1,1,6,250000),-- [necklace_of_freya]
(29180,15560,1,1,0,27300),-- [vigwik_axe]
(29180,15561,1,1,0,27270),-- [evildeity_maul]
(29180,15562,1,1,0,27270),-- [feathereye_blade]
(29180,15563,1,1,0,27270),-- [octo_claw]
(29180,15564,1,1,0,27270),-- [doubletopa_spear]
(29180,15565,1,1,0,27270),-- [cuticle]
(29180,15566,1,1,0,27270),-- [blackvisage]
(29180,15567,1,1,0,27270),-- [veniplant_sword]
(29180,15568,1,1,0,27270),-- [skullcarnium_bow]
(29180,15558,1,1,0,27270),-- [peri_el_sword]
(29180,15559,1,1,0,27270),-- [skul_edge]
(29180,15726,1,1,1,45500),-- [sealed_elegia_helmet]
(29180,15727,1,1,1,45450),-- [sealed_elegia_leather_helmet]
(29180,15728,1,1,1,45450),-- [sealed_elegia_circlet]
(29180,15735,1,1,1,45450),-- [sealed_elegia_gauntlet]
(29180,15736,1,1,1,45450),-- [sealed_elegia_leather_gloves]
(29180,15737,1,1,1,45450),-- [sealed_elegia_gloves]
(29180,15738,1,1,1,45450),-- [sealed_elegia_boots]
(29180,15739,1,1,1,45450),-- [sealed_elegia_leather_boots]
(29180,15740,1,1,1,45450),-- [sealed_elegia_shoes]
(29180,15741,1,1,1,45450),-- [sealed_elegia_shield]
(29180,15742,1,1,1,45450),-- [sealed_elegia_sigil]
(29180,15729,1,1,2,83500),-- [sealed_elegia_cuirass]
(29180,15730,1,1,2,83300),-- [sealed_elegia_houberk]
(29180,15731,1,1,2,83300),-- [sealed_elegia_jaket]
(29180,15732,1,1,2,83300),-- [sealed_elegia_gaiter]
(29180,15733,1,1,2,83300),-- [sealed_elegia_leather_legging]
(29180,15734,1,1,2,83300),-- [sealed_elegia_hose]
(29180,15760,1,1,3,167000),-- [sealed_elegia_ring]
(29180,15761,1,1,3,166500),-- [sealed_elegia_earring]
(29180,15762,1,1,3,166500),-- [sealed_elegia_necklace]
(29180,6577,1,1,4,5357.74806),-- [blessed_scrl_of_ench_wp_s]
(29180,6578,1,1,4,35718.25194),-- [blessed_scrl_of_ench_am_s]
(29180,16026,1,1,5,300000),-- [blessed_necklace_of_freya]
(29180,16027,1,1,6,500000),-- [bottle_of_freya_soul]
(29181,13143,1,1,0,17760),-- [sealed_vesper_helmet]
(29181,13144,1,1,0,17640),-- [sealed_vesper_leather_helmet]
(29181,13145,1,1,0,17640),-- [sealed_vesper_circlet]
(29181,14109,1,1,0,17640),-- [sealed_vesper_gauntlet]
(29181,14113,1,1,0,17640),-- [sealed_vesper_leather_gloves]
(29181,14116,1,1,0,17640),-- [sealed_vesper_gloves]
(29181,14110,1,1,0,17640),-- [sealed_vesper_boots]
(29181,14114,1,1,0,17640),-- [sealed_vesper_leather_boots]
(29181,14117,1,1,0,17640),-- [sealed_vesper_shoes]
(29181,14111,1,1,0,17640),-- [sealed_vesper_verteidiger]
(29181,13887,1,1,0,17640),-- [sealed_vesper_sigil]
(29181,14105,1,1,0,17640),-- [sealed_vesper_cuirass]
(29181,14106,1,1,0,17640),-- [sealed_vesper_houberk]
(29181,14107,1,1,0,17640),-- [sealed_vesper_jaket]
(29181,14108,1,1,0,17640),-- [sealed_vesper_gaiter]
(29181,14112,1,1,0,17640),-- [sealed_vesper_leather_legging]
(29181,14115,1,1,0,17640),-- [sealed_vesper_hose]
(29181,15694,1,1,1,41440),-- [sealed_destino_helmet]
(29181,15695,1,1,1,41160),-- [sealed_destino_leather_helmet]
(29181,15696,1,1,1,41160),-- [sealed_destino_circlet]
(29181,15703,1,1,1,41160),-- [sealed_destino_gauntlet]
(29181,15704,1,1,1,41160),-- [sealed_destino_leather_gloves]
(29181,15705,1,1,1,41160),-- [sealed_destino_gloves]
(29181,15706,1,1,1,41160),-- [sealed_destino_boots]
(29181,15707,1,1,1,41160),-- [sealed_destino_leather_boots]
(29181,15708,1,1,1,41160),-- [sealed_destino_shoes]
(29181,15710,1,1,1,41160),-- [sealed_destino_shield]
(29181,15709,1,1,1,41160),-- [sealed_destino_sigil]
(29181,15697,1,1,1,41160),-- [sealed_destino_cuirass]
(29181,15698,1,1,1,41160),-- [sealed_destino_houberk]
(29181,15699,1,1,1,41160),-- [sealed_destino_jaket]
(29181,15700,1,1,1,41160),-- [sealed_destino_gaiter]
(29181,15701,1,1,1,41160),-- [sealed_destino_leather_legging]
(29181,15702,1,1,1,41160),-- [sealed_destino_hose]
(29181,14162,1,1,2,167000),-- [sealed_vesper_ring]
(29181,14160,1,1,2,166500),-- [sealed_vesper_earring]
(29181,14161,1,1,2,166500),-- [sealed_vesper_necklace]
(29181,1538,1,30,3,1000000),-- [blessed_scroll_of_escape]
(29181,3936,1,10,4,1000000),-- [blessed_scroll_of_resurrection]
(29181,57,9000000,11000000,5,1000000),-- [adena]
(29181,16162,2,4,6,600000),-- [rare_85_s]
(29181,16166,2,4,6,400000),-- [rare_86_s]
(29181,6659,1,1,7,900),-- [earring_of_zaken]
(29186,13143,1,1,0,83700),-- [sealed_vesper_helmet]
(29186,13144,1,1,0,83300),-- [sealed_vesper_leather_helmet]
(29186,13145,1,1,0,83300),-- [sealed_vesper_circlet]
(29186,14109,1,1,0,83300),-- [sealed_vesper_gauntlet]
(29186,14113,1,1,0,83300),-- [sealed_vesper_leather_gloves]
(29186,14116,1,1,0,83300),-- [sealed_vesper_gloves]
(29186,14110,1,1,0,83300),-- [sealed_vesper_boots]
(29186,14114,1,1,0,83300),-- [sealed_vesper_leather_boots]
(29186,14117,1,1,0,83300),-- [sealed_vesper_shoes]
(29186,14111,1,1,0,83300),-- [sealed_vesper_verteidiger]
(29186,13887,1,1,0,83300),-- [sealed_vesper_sigil]
(29186,10170,1,1,0,83300),-- [barler_earring]
(29186,6577,1,1,1,5357.74806),-- [blessed_scrl_of_ench_wp_s]
(29186,6578,1,1,1,35718.25194),-- [blessed_scrl_of_ench_am_s]
(18001,1806,1,1,-1,10868),-- [rp_soulshot_b]
(18001,57,765,1528,0,700000),-- [adena]
(18001,2397,1,1,1,11.433116),-- [tunic_of_shrnoen]
(18001,4069,1,1,1,2101.99852),-- [tunic_of_shrnoen_fabric]
(18001,2402,1,1,1,18.323548),-- [hose_of_shrnoen]
(18001,4070,1,1,1,3191.561972),-- [hose_of_shrnoen_fabric]
(18001,2406,1,1,1,7.821196),-- [avadon_robe]
(18001,4071,1,1,1,1614.861648),-- [avadon_robe_fabric]
(18001,1864,1,1,2,178348.515968),-- [stem]
(18001,1866,1,1,2,59449.60096),-- [suede]
(18001,1878,1,1,2,35669.760576),-- [braided_hemp]
(18001,1885,1,1,2,7431.307712),-- [high_grade_suede]
(18001,1889,1,1,2,5944.81664),-- [compound_braid]
(18001,4197,1,1,2,67.998144),-- [rp_demon's_sword]
(18001,1419,1,1,3,200000),-- [proof_of_blood]
(18003,1871,1,1,-1,9797),-- [charcoal]
(18012,57,148,293,0,700000),-- [adena]
(18013,57,148,293,0,700000),-- [adena]
(18014,57,228,455,0,700000),-- [adena]
(18015,57,194,387,0,700000),-- [adena]
(18017,57,194,387,0,700000),-- [adena]
(18018,57,253,504,0,700000),-- [adena]
(18022,57,265,529,0,700000),-- [adena]
(18023,57,265,529,0,700000),-- [adena]
(18024,57,381,761,0,700000),-- [adena]
(18025,57,335,669,0,700000),-- [adena]
(18027,57,335,669,0,700000),-- [adena]
(18028,57,414,829,0,700000),-- [adena]
(18032,57,431,863,0,700000),-- [adena]
(18033,57,431,863,0,700000),-- [adena]
(18034,57,585,1171,0,700000),-- [adena]
(18035,57,525,1049,0,700000),-- [adena]
(18037,57,525,1049,0,700000),-- [adena]
(18038,57,629,1257,0,700000),-- [adena]
(18042,57,651,1302,0,700000),-- [adena]
(18043,57,651,1302,0,700000),-- [adena]
(18044,57,848,1697,0,700000),-- [adena]
(18045,57,770,1541,0,700000),-- [adena]
(18047,57,770,1541,0,700000),-- [adena]
(18048,57,902,1804,0,700000),-- [adena]
(18052,57,902,1804,0,700000),-- [adena]
(18053,57,902,1804,0,700000),-- [adena]
(18054,57,902,1804,0,700000),-- [adena]
(18055,57,902,1804,0,700000),-- [adena]
(18057,57,902,1804,0,700000),-- [adena]
(18058,57,902,1804,0,700000),-- [adena]
(18062,57,148,293,0,700000),-- [adena]
(18063,57,148,293,0,700000),-- [adena]
(18064,57,228,455,0,700000),-- [adena]
(18065,57,194,387,0,700000),-- [adena]
(18067,57,194,387,0,700000),-- [adena]
(18068,57,253,504,0,700000),-- [adena]
(18072,57,265,529,0,700000),-- [adena]
(18073,57,265,529,0,700000),-- [adena]
(18074,57,381,761,0,700000),-- [adena]
(18075,57,335,669,0,700000),-- [adena]
(18077,57,335,669,0,700000),-- [adena]
(18078,57,414,829,0,700000),-- [adena]
(18082,57,431,863,0,700000),-- [adena]
(18083,57,431,863,0,700000),-- [adena]
(18084,57,585,1171,0,700000),-- [adena]
(18085,57,525,1049,0,700000),-- [adena]
(18087,57,525,1049,0,700000),-- [adena]
(18088,57,629,1257,0,700000),-- [adena]
(18092,57,651,1302,0,700000),-- [adena]
(18093,57,651,1302,0,700000),-- [adena]
(18094,57,848,1697,0,700000),-- [adena]
(18095,57,770,1541,0,700000),-- [adena]
(18097,57,770,1541,0,700000),-- [adena]
(18098,57,902,1804,0,700000),-- [adena]
(18102,57,902,1804,0,700000),-- [adena]
(18103,57,902,1804,0,700000),-- [adena]
(18104,57,902,1804,0,700000),-- [adena]
(18105,57,902,1804,0,700000),-- [adena]
(18107,57,902,1804,0,700000),-- [adena]
(18108,57,902,1804,0,700000),-- [adena]
(18109,8923,1,1,0,95.97756),-- [scar]
(18109,8913,1,1,0,95.97756),-- [butterfly_hearpin]
(18109,955,1,1,0,956.34783),-- [scrl_of_ench_wp_d]
(18109,956,1,1,0,7972.307466),-- [scrl_of_ench_am_d]
(18109,1060,1,1,0,531483.965148),-- [lesser_healing_potion]
(18109,1061,1,1,0,144949.424436),-- [healing_potion]
(18110,8923,1,1,0,146.753787),-- [scar]
(18110,8913,1,1,0,146.753787),-- [butterfly_hearpin]
(18110,951,1,1,0,665.075673),-- [scrl_of_ench_wp_c]
(18110,952,1,1,0,4879.303216),-- [scrl_of_ench_am_c]
(18110,1832,1,1,0,406595.417778),-- [advanced_antidote]
(18110,1061,1,1,0,221779.318788),-- [healing_potion]
(18110,1834,1,1,0,406594.376971),-- [emergency_dressing]
(18111,8923,1,1,0,231.639408),-- [scar]
(18111,8913,1,1,0,231.639408),-- [butterfly_hearpin]
(18111,951,1,1,0,1053.266368),-- [scrl_of_ench_wp_c]
(18111,952,1,1,0,7724.990416),-- [scrl_of_ench_am_c]
(18111,734,1,1,0,96561.390288),-- [quick_step_potion]
(18111,1539,1,1,0,128748.237552),-- [greater_healing_potion]
(18111,735,1,1,0,48280.83656),-- [swift_attack_potion]
(18112,8923,1,1,0,336.91392),-- [scar]
(18112,8913,1,1,0,336.91392),-- [butterfly_hearpin]
(18112,947,1,1,0,336.91392),-- [scrl_of_ench_wp_b]
(18112,948,1,1,0,2106.915264),-- [scrl_of_ench_am_b]
(18112,734,1,1,0,140459.814336),-- [quick_step_potion]
(18112,1539,1,1,0,187280.01984),-- [greater_healing_potion]
(18112,735,1,1,0,70230.5088),-- [swift_attack_potion]
(18113,8923,1,1,0,450.971144),-- [scar]
(18113,8913,1,1,0,450.971144),-- [butterfly_hearpin]
(18113,729,1,1,0,125.032284),-- [scrl_of_ench_wp_a]
(18113,730,1,1,0,939.345108),-- [scrl_of_ench_am_a]
(18113,734,1,1,0,187891.463292),-- [quick_step_potion]
(18113,1539,1,1,0,250521.951056),-- [greater_healing_potion]
(18113,735,1,1,0,93946.265972),-- [swift_attack_potion]
(18114,8923,1,1,0,95.97756),-- [scar]
(18114,8913,1,1,0,95.97756),-- [butterfly_hearpin]
(18114,955,1,1,0,956.34783),-- [scrl_of_ench_wp_d]
(18114,956,1,1,0,7972.307466),-- [scrl_of_ench_am_d]
(18114,1060,1,1,0,531483.965148),-- [lesser_healing_potion]
(18114,1061,1,1,0,144949.424436),-- [healing_potion]
(18115,8923,1,1,0,146.753787),-- [scar]
(18115,8913,1,1,0,146.753787),-- [butterfly_hearpin]
(18115,951,1,1,0,665.075673),-- [scrl_of_ench_wp_c]
(18115,952,1,1,0,4879.303216),-- [scrl_of_ench_am_c]
(18115,1832,1,1,0,406595.417778),-- [advanced_antidote]
(18115,1061,1,1,0,221779.318788),-- [healing_potion]
(18115,1834,1,1,0,406594.376971),-- [emergency_dressing]
(18116,8923,1,1,0,231.639408),-- [scar]
(18116,8913,1,1,0,231.639408),-- [butterfly_hearpin]
(18116,951,1,1,0,1053.266368),-- [scrl_of_ench_wp_c]
(18116,952,1,1,0,7724.990416),-- [scrl_of_ench_am_c]
(18116,734,1,1,0,96561.390288),-- [quick_step_potion]
(18116,1539,1,1,0,128748.237552),-- [greater_healing_potion]
(18116,735,1,1,0,48280.83656),-- [swift_attack_potion]
(18117,8923,1,1,0,336.91392),-- [scar]
(18117,8913,1,1,0,336.91392),-- [butterfly_hearpin]
(18117,947,1,1,0,336.91392),-- [scrl_of_ench_wp_b]
(18117,948,1,1,0,2106.915264),-- [scrl_of_ench_am_b]
(18117,734,1,1,0,140459.814336),-- [quick_step_potion]
(18117,1539,1,1,0,187280.01984),-- [greater_healing_potion]
(18117,735,1,1,0,70230.5088),-- [swift_attack_potion]
(18118,8923,1,1,0,450.971144),-- [scar]
(18118,8913,1,1,0,450.971144),-- [butterfly_hearpin]
(18118,729,1,1,0,125.032284),-- [scrl_of_ench_wp_a]
(18118,730,1,1,0,939.345108),-- [scrl_of_ench_am_a]
(18118,734,1,1,0,187891.463292),-- [quick_step_potion]
(18118,1539,1,1,0,250521.951056),-- [greater_healing_potion]
(18118,735,1,1,0,93946.265972),-- [swift_attack_potion]
(18256,57,1370,2743,0,700000),-- [adena]
(18256,81,1,1,1,1.185316),-- [dragon_slayer]
(18256,5529,1,1,1,439.07842),-- [dragon_slayer_edge]
(18256,151,1,1,1,1.185316),-- [sword_of_miracle]
(18256,5546,1,1,1,482.285848),-- [sword_of_miracle_edge]
(18256,2500,1,1,1,1.185316),-- [dark_legion's_edge]
(18256,5545,1,1,1,439.079784),-- [dark_legion's_edge_edge]
(18256,1895,1,1,2,54857.316515),-- [metallic_fiber]
(18256,4040,1,1,2,3840.038795),-- [mold_lubricant]
(18256,4042,1,1,2,3200.020945),-- [enria]
(18256,4043,1,1,2,6400.04189),-- [asofe]
(18256,959,1,1,2,7.581855),-- [scrl_of_ench_wp_s]
(18265,57,480,858,0,700000),-- [adena]
(18265,955,1,1,1,3739.397843),-- [scrl_of_ench_wp_d]
(18265,956,1,1,1,31161.602157),-- [scrl_of_ench_am_d]
(18266,57,483,891,0,700000),-- [adena]
(18266,955,1,1,1,3854.576568),-- [scrl_of_ench_wp_d]
(18266,956,1,1,1,32121.423432),-- [scrl_of_ench_am_d]
(18267,57,484,932,0,700000),-- [adena]
(18267,955,1,1,1,3904.826635),-- [scrl_of_ench_wp_d]
(18267,956,1,1,1,32540.173365),-- [scrl_of_ench_am_d]
(18268,57,708,1417,0,700000),-- [adena]
(18268,955,1,1,1,5803.93631),-- [scrl_of_ench_wp_d]
(18268,956,1,1,1,48366.06369),-- [scrl_of_ench_am_d]
(18269,57,732,1465,0,700000),-- [adena]
(18269,955,1,1,1,5939.043633),-- [scrl_of_ench_wp_d]
(18269,956,1,1,1,49491.956367),-- [scrl_of_ench_am_d]
(18270,57,758,1520,0,700000),-- [adena]
(18270,955,1,1,1,6162.758217),-- [scrl_of_ench_wp_d]
(18270,956,1,1,1,51356.241783),-- [scrl_of_ench_am_d]
(18271,57,789,1572,0,700000),-- [adena]
(18271,955,1,1,1,6337.829879),-- [scrl_of_ench_wp_d]
(18271,956,1,1,1,52815.170121),-- [scrl_of_ench_am_d]
(18272,57,1257,2519,0,700000),-- [adena]
(18272,951,1,1,1,4563),-- [scrl_of_ench_wp_c]
(18272,952,1,1,1,33462),-- [scrl_of_ench_am_c]
(18273,57,1293,2582,0,700000),-- [adena]
(18273,951,1,1,1,4603.08),-- [scrl_of_ench_wp_c]
(18273,952,1,1,1,33755.92),-- [scrl_of_ench_am_c]
(18274,57,1330,2656,0,700000),-- [adena]
(18274,951,1,1,1,4651.44),-- [scrl_of_ench_wp_c]
(18274,952,1,1,1,34110.56),-- [scrl_of_ench_am_c]
(18275,57,1952,3909,0,700000),-- [adena]
(18275,951,1,1,1,6717.72),-- [scrl_of_ench_wp_c]
(18275,952,1,1,1,49263.28),-- [scrl_of_ench_am_c]
(18276,57,1997,3995,0,700000),-- [adena]
(18276,947,1,1,1,1467.999633),-- [scrl_of_ench_wp_b]
(18276,948,1,1,1,9175.000367),-- [scrl_of_ench_am_b]
(18277,57,2049,4095,0,700000),-- [adena]
(18277,947,1,1,1,1432.965159),-- [scrl_of_ench_wp_b]
(18277,948,1,1,1,8956.034841),-- [scrl_of_ench_am_b]
(18278,57,2683,5361,0,700000),-- [adena]
(18278,947,1,1,1,1876.965048),-- [scrl_of_ench_wp_b]
(18278,948,1,1,1,11731.034952),-- [scrl_of_ench_am_b]
(18279,57,2736,5473,0,700000),-- [adena]
(18279,947,1,1,1,1915.034004),-- [scrl_of_ench_wp_b]
(18279,948,1,1,1,11968.965996),-- [scrl_of_ench_am_b]
(18280,57,2790,5576,0,700000),-- [adena]
(18280,729,1,1,1,542.235023),-- [scrl_of_ench_wp_a]
(18280,730,1,1,1,4066.764977),-- [scrl_of_ench_am_a]
(18281,57,2849,5701,0,700000),-- [adena]
(18281,729,1,1,1,554.235017),-- [scrl_of_ench_wp_a]
(18281,730,1,1,1,4156.764983),-- [scrl_of_ench_am_a]
(18282,57,4009,8028,0,700000),-- [adena]
(18282,729,1,1,1,780.470198),-- [scrl_of_ench_wp_a]
(18282,730,1,1,1,5853.529802),-- [scrl_of_ench_am_a]
(18283,57,4078,8168,0,700000),-- [adena]
(18283,959,1,1,1,285.908805),-- [scrl_of_ench_wp_s]
(18283,960,1,1,1,2859.091195),-- [scrl_of_ench_am_s]
(18284,57,4146,8295,0,700000),-- [adena]
(18284,959,1,1,1,290.363346),-- [scrl_of_ench_wp_s]
(18284,960,1,1,1,2903.636654),-- [scrl_of_ench_am_s]
(18285,57,5312,10638,0,700000),-- [adena]
(18285,959,1,1,1,372.363264),-- [scrl_of_ench_wp_s]
(18285,960,1,1,1,3723.636736),-- [scrl_of_ench_am_s]
(18286,57,5393,10798,0,700000),-- [adena]
(18286,959,1,1,1,377.908713),-- [scrl_of_ench_wp_s]
(18286,960,1,1,1,3779.091287),-- [scrl_of_ench_am_s]
(18287,57,186,372,0,700000),-- [adena]
(18287,955,1,1,1,1507.180581),-- [scrl_of_ench_wp_d]
(18287,956,1,1,1,12559.819419),-- [scrl_of_ench_am_d]
(18288,57,207,413,0,700000),-- [adena]
(18288,955,1,1,1,1679.573668),-- [scrl_of_ench_wp_d]
(18288,956,1,1,1,13996.426332),-- [scrl_of_ench_am_d]
(18289,57,308,617,0,700000),-- [adena]
(18289,951,1,1,1,1118.76),-- [scrl_of_ench_wp_c]
(18289,952,1,1,1,8204.24),-- [scrl_of_ench_am_c]
(18290,57,338,676,0,700000),-- [adena]
(18290,951,1,1,1,1204.44),-- [scrl_of_ench_wp_c]
(18290,952,1,1,1,8832.56),-- [scrl_of_ench_am_c]
(18291,57,472,944,0,700000),-- [adena]
(18291,947,1,1,1,346.758534),-- [scrl_of_ench_wp_b]
(18291,948,1,1,1,2167.241466),-- [scrl_of_ench_am_b]
(18292,57,519,1010,0,700000),-- [adena]
(18292,947,1,1,1,374.620596),-- [scrl_of_ench_wp_b]
(18292,948,1,1,1,2341.379404),-- [scrl_of_ench_am_b]
(18293,57,681,1361,0,700000),-- [adena]
(18293,729,1,1,1,132.352875),-- [scrl_of_ench_wp_a]
(18293,730,1,1,1,992.647125),-- [scrl_of_ench_am_a]
(18294,57,728,1457,0,700000),-- [adena]
(18294,729,1,1,1,141.646988),-- [scrl_of_ench_wp_a]
(18294,730,1,1,1,1062.353012),-- [scrl_of_ench_am_a]
(18295,57,938,1879,0,700000),-- [adena]
(18295,729,1,1,1,182.588144),-- [scrl_of_ench_wp_a]
(18295,730,1,1,1,1369.411856),-- [scrl_of_ench_am_a]
(18296,57,995,1993,0,700000),-- [adena]
(18296,959,1,1,1,69.727203),-- [scrl_of_ench_wp_s]
(18296,960,1,1,1,697.272797),-- [scrl_of_ench_am_s]
(18297,57,1239,2481,0,700000),-- [adena]
(18297,959,1,1,1,86.818095),-- [scrl_of_ench_wp_s]
(18297,960,1,1,1,868.181905),-- [scrl_of_ench_am_s]
(18298,57,1301,2604,0,700000),-- [adena]
(18298,959,1,1,1,91.181727),-- [scrl_of_ench_wp_s]
(18298,960,1,1,1,911.818273),-- [scrl_of_ench_am_s]
(18319,6529,1,1,0,1159),-- [fp_babyduck_rod]
(18319,6535,12,36,1,120767.548307),-- [fishing_shot_none]
(18319,6520,1,1,1,86952.648307),-- [green_lure_average]
(18319,6523,1,1,1,57968.544921),-- [violet_lure_average]
(18319,6526,1,1,1,72460.258465),-- [yellow_lure_average]
(18320,6530,1,1,0,527),-- [fp_albatros_rod]
(18320,6536,12,36,1,109760),-- [fishing_shot_d]
(18320,6520,1,1,1,131712),-- [green_lure_average]
(18320,6523,1,1,1,87808),-- [violet_lure_average]
(18320,6526,1,1,1,109760),-- [yellow_lure_average]
(18321,6531,1,1,0,200),-- [fp_pelican_rod]
(18321,6537,12,36,1,118752.3),-- [fishing_shot_c]
(18321,6520,2,6,1,33250.644),-- [green_lure_average]
(18321,6523,1,1,1,110835.48),-- [violet_lure_average]
(18321,6526,1,1,1,133002.576),-- [yellow_lure_average]
(18322,6532,1,1,0,108),-- [fp_kingfisher_rod]
(18322,6538,15,45,1,43231.999833),-- [fishing_shot_b]
(18322,6520,2,6,1,67550.347116),-- [green_lure_average]
(18322,6523,1,1,1,180133.823052),-- [violet_lure_average]
(18322,6526,3,9,1,36026.829999),-- [yellow_lure_average]
(18323,6533,1,1,0,41),-- [fp_cygnus_pole]
(18323,6539,3,9,1,169120.014807),-- [fishing_shot_a]
(18323,6520,2,6,1,67648.102885),-- [green_lure_average]
(18323,6523,1,1,1,202944.308655),-- [violet_lure_average]
(18323,6526,2,6,1,45098.573653),-- [yellow_lure_average]
(18324,6533,1,1,0,61),-- [fp_cygnus_pole]
(18324,6539,3,9,1,204003.714807),-- [fishing_shot_a]
(18324,6520,2,6,1,81601.602885),-- [green_lure_average]
(18324,6523,1,1,1,244804.808655),-- [violet_lure_average]
(18324,6526,2,6,1,54400.873653),-- [yellow_lure_average]
(18325,6534,1,1,0,17),-- [fp_triton_pole]
(18325,6540,3,9,1,141546.6),-- [fishing_shot_s]
(18325,6520,2,6,1,70773.3),-- [green_lure_average]
(18325,6523,1,1,1,212319.9),-- [violet_lure_average]
(18325,6526,2,6,1,47182.2),-- [yellow_lure_average]
(18326,6534,1,1,0,30),-- [fp_triton_pole]
(18326,6540,3,9,1,171546.6),-- [fishing_shot_s]
(18326,6520,2,6,1,85773.3),-- [green_lure_average]
(18326,6523,1,1,1,257319.9),-- [violet_lure_average]
(18326,6526,2,6,1,57182.2),-- [yellow_lure_average]
(18342,57,7,13,0,1000000),-- [adena]
(18345,960,1,1,-1,931),-- [scrl_of_ench_am_s]
(18345,1894,1,1,-1,81680),-- [crafted_leather]
(18345,4039,1,1,-1,77596),-- [mold_glue]
(18345,8787,1,1,0,397600),-- [fruit_of_genesis]
(18346,6701,1,1,-1,6885),-- [sealed_imperial_crusader_armor_part]
(18346,6901,1,1,-1,2328),-- [rp_shining_arrow]
(18346,6702,1,1,-1,8863),-- [sealed_imperial_crusader_gaiters_pattern]
(18346,8787,1,1,0,397600),-- [fruit_of_genesis]
(18352,9703,1,1,2,1000000),-- [key_nornildg_b]
(18353,9704,1,1,2,1000000),-- [key_nornildg_c]
(18354,9705,1,1,2,1000000),-- [key_nornildg_d]
(18355,9706,1,1,2,1000000),-- [key_nornildg_e]
(18356,9707,1,1,2,1000000),-- [key_nornildg_f]
(18357,9708,1,1,2,1000000),-- [key_nornildg_g]
(18358,9713,1,1,2,1000000),-- [detect_hide_door]
(18359,9709,1,1,2,1000000),-- [key_nornildg_i]
(18360,9710,1,1,2,1000000),-- [key_nornildg_j]
(18361,9711,1,1,2,1000000),-- [key_nornildg_k]
(18463,1895,1,27,-1,934652),-- [metallic_fiber]
(18463,4042,1,1,-1,763299),-- [enria]
(18463,6710,1,1,-1,495300),-- [sealed_draconic_leather_helmet_pattern]
(18463,57,23038,47020,0,700000),-- [adena]
(18463,236,1,1,1,62.628408),-- [soul_separator]
(18463,5537,1,1,1,23193.371592),-- [soul_separator_head]
(18463,1873,3,9,2,140916.6692),-- [silver_nugget]
(18463,1868,32,96,2,66054.82012),-- [thread]
(18463,1876,4,12,2,46972.082872),-- [mithril_ore]
(18463,1895,3,9,2,86275.657672),-- [metallic_fiber]
(18463,4042,1,1,2,35228.957008),-- [enria]
(18463,1808,1,1,2,939.584656),-- [rp_soulshot_s]
(18463,9675,5,15,2,28183.33384),-- [piece_of_prayer]
(18463,1344,1650,4950,2,16012.894632),-- [mithril_arrow]
(18464,6901,1,1,-1,44546),-- [rp_shining_arrow]
(18464,6711,1,1,-1,147144),-- [sealed_major_arcana_robe_part]
(18464,57,22408,45735,0,700000),-- [adena]
(18464,305,1,1,1,60.916728),-- [tallum_glaive]
(18464,5541,1,1,1,22551.083272),-- [tallum_glaive_edge]
(18464,1871,9,27,2,114219.291882),-- [charcoal]
(18464,1866,14,42,2,48951.283356),-- [suede]
(18464,1877,1,1,2,82237.993554),-- [admantite_nugget]
(18464,4041,1,1,2,17877.680184),-- [mold_hardener]
(18464,4040,1,1,2,41118.812136),-- [mold_lubricant]
(18464,6901,1,1,2,2055.792894),-- [rp_shining_arrow]
(18464,9675,4,12,2,34265.67678),-- [piece_of_prayer]
(18464,1344,900,2700,2,28555.469214),-- [mithril_arrow]
(18465,6714,1,5,-1,695358),-- [sealed_major_arcana_hood_pattern]
(18465,6901,1,1,-1,231473),-- [rp_shining_arrow]
(18465,7579,1,1,-1,281174),-- [draconic_bow_shaft]
(18465,57,116439,237651,0,700000),-- [adena]
(18465,5313,1,1,1,1214.018262),-- [sealed_gloves_of_nightmare]
(18465,5514,1,1,1,180416.481738),-- [sealed_gloves_of_nightmare_design]
(18465,5314,1,1,1,1214.018262),-- [sealed_boots_of_nightmare]
(18465,5502,1,1,1,180416.481738),-- [sealed_boots_of_nightmare_lining]
(18465,5318,1,1,1,1214.018262),-- [sealed_magestic_gloves]
(18465,5515,1,1,1,180416.481738),-- [sealed_magestic_gloves_design]
(18465,5319,1,1,1,1214.018262),-- [sealed_magestic_boots]
(18465,5503,1,1,1,180416.481738),-- [sealed_magestic_boots_lining]
(18465,1875,3,9,2,158272.236542),-- [stone_of_purity]
(18465,1879,32,96,2,37095.31798),-- [cokes]
(18465,1885,22,66,2,26378.626078),-- [high_grade_suede]
(18465,5550,1,1,2,189926.87588),-- [reinforcing_plate]
(18465,5549,10,30,2,67831.095682),-- [iron_thread]
(18465,959,1,1,2,569.847838),-- [scrl_of_ench_wp_s]
(18477,6684,1,1,0,12078.56754),-- [sealed_major_arcana_robe]
(18477,6711,12,36,0,216942.43246),-- [sealed_major_arcana_robe_part]
(18477,9460,1,1,1,7050.850092),-- [dynasty_ring_trait_shock]
(18477,9463,1,1,1,7050.850092),-- [dynasty_ring_trait_poison]
(18477,9466,1,1,1,7050.850092),-- [dynasty_ring_trait_bleed]
(18477,9469,1,1,1,7050.850092),-- [dynasty_ring_sleep_trait_sleep]
(18477,9472,1,1,1,7050.850092),-- [dynasty_ring_trait_paralyze]
(18477,9475,1,1,1,7050.850092),-- [dynasty_ring_trait_hold]
(18477,9478,1,1,1,7050.899448),-- [dynasty_ring_trait_fear]
(18490,57,5380,10776,0,700000),-- [adena]
(18490,164,1,1,1,4.187562),-- [elysian]
(18490,5533,1,1,1,1549.528413),-- [elysian_head]
(18490,213,1,1,1,4.187562),-- [worldtree's_branch]
(18490,5544,1,1,1,1548.000015),-- [worldtree's_branch_head]
(18490,7895,1,1,1,4.187562),-- [dragon_flame_head]
(18490,8342,1,1,1,1549.528413),-- [dragon_flame_head_piece]
(18490,7902,1,1,1,4.187562),-- [doom_crusher]
(18490,8349,1,1,1,1549.192911),-- [doom_crusher_head]
(18490,1873,2,6,2,64613.214492),-- [silver_nugget]
(18490,1868,15,45,2,43075.476328),-- [thread]
(18490,1876,1,1,2,129226.428984),-- [mithril_ore]
(18490,1895,1,1,2,184609.49369),-- [metallic_fiber]
(18490,4042,1,1,2,10768.869082),-- [enria]
(18490,960,1,1,2,258.619206),-- [scrl_of_ench_am_s]
(18490,6901,1,1,2,645.898218),-- [rp_shining_arrow]
(18545,1871,1,21,-1,877846),-- [charcoal]
(18545,4553,1,1,-1,38625),-- [dye_s1c1_c]
(18545,1908,1,1,-1,914423),-- [moonstone_earing_wire]
(18545,354,1,1,0,587.201116),-- [chain_mail_shirt]
(18545,1959,1,1,0,30730.634002),-- [chain_mail_shirt_material]
(18545,381,1,1,0,939.370152),-- [chain_gaiters]
(18545,1960,1,1,0,62513.79473),-- [chain_gaiters_part]
(18545,1871,4,12,1,95077.506048),-- [charcoal]
(18545,1866,1,3,1,169026.1776),-- [suede]
(18545,1877,1,1,1,30424.711968),-- [admantite_nugget]
(18545,4041,1,1,1,6614.100416),-- [mold_hardener]
(18545,4040,1,1,1,15212.355984),-- [mold_lubricant]
(18545,2164,1,1,1,58509.147984),-- [rp_ring_of_protection]
(18546,2163,1,7,-1,745273),-- [rp_earing_of_protection]
(18546,1909,1,17,-1,876726),-- [aquastone_ring_wire]
(18546,2164,1,9,-1,898914),-- [rp_ring_of_protection]
(18546,226,1,1,0,783.216815),-- [cursed_dagger]
(18546,2070,1,1,0,54819.283185),-- [cursed_dagger_blade]
(18546,232,1,1,0,783.216815),-- [darkelven_dagger]
(18546,2072,1,1,0,54819.283185),-- [darkelven_dagger_edge]
(18546,1870,24,72,1,95884.05276),-- [coal]
(18546,1865,52,156,1,43832.62608),-- [varnish]
(18546,1874,4,12,1,38353.54782),-- [oriharukon_ore]
(18546,4043,5,15,1,15341.63898),-- [asofe]
(18546,4039,1,1,1,153414.5577),-- [mold_glue]
(18546,2165,4,12,1,19593.57666),-- [rp_necklace_of_protection]
(18547,1910,1,17,-1,945042),-- [aquastone_necklace_chain]
(18547,1866,1,159,-1,941262),-- [suede]
(18547,1871,1,237,-1,949172),-- [charcoal]
(18547,71,1,1,0,1009.370349),-- [flamberge]
(18547,2059,1,1,0,66090.296364),-- [flamberge_blade]
(18547,72,1,1,0,1009.370349),-- [stormbringer]
(18547,2060,1,1,0,70647.928584),-- [stormbringer_blade]
(18547,7887,1,1,0,1009.370349),-- [mystery_sword]
(18547,8334,1,1,0,70650.664005),-- [mystery_sword_blade]
(18547,1866,60,180,1,49428.388719),-- [suede]
(18547,1871,240,720,1,18535.484916),-- [charcoal]
(18547,5220,4,12,1,39542.539398),-- [reinforcing_agent]
(18547,1885,3,9,1,105917.608161),-- [high_grade_suede]
(18547,4041,1,1,1,77365.875252),-- [mold_hardener]
(18547,2213,1,1,1,138153.103554),-- [rp_dwarven_chain_mail_shirt]
(18548,4554,1,1,-1,115844),-- [dye_s1d1_c]
(18548,1954,1,3,-1,769829),-- [karmian_hose_pattern]
(18548,2165,1,3,-1,554808),-- [rp_necklace_of_protection]
(18548,96,1,1,0,258.805603),-- [scythe]
(18548,2062,1,1,0,17891.50958),-- [scythe_edge]
(18548,298,1,1,0,258.805603),-- [orcish_glaive]
(18548,2075,1,1,0,17891.50958),-- [orcish_glaive_blade]
(18548,302,1,1,0,258.805603),-- [body_slasher]
(18548,2076,1,1,0,17891.564031),-- [body_slasher_blade]
(18548,1864,21,63,1,108630.218445),-- [stem]
(18548,1869,16,48,1,71288.62734),-- [iron_ore]
(18548,1878,3,9,1,152082.107485),-- [braided_hemp]
(18548,1884,22,66,1,31196.58402),-- [cord]
(18548,4039,1,1,1,76041.301665),-- [mold_glue]
(18548,2214,1,1,1,56606.161045),-- [rp_dwarven_chain_gaiters]
(18549,1958,1,1,-1,546211),-- [mithril_boots_design]
(18549,2213,1,1,-1,94357),-- [rp_dwarven_chain_mail_shirt]
(18549,1959,1,1,-1,163679),-- [chain_mail_shirt_material]
(18549,62,1,1,0,328.630137),-- [mithril_boots]
(18549,1958,1,1,0,14341.688526),-- [mithril_boots_design]
(18549,2429,1,1,0,328.630137),-- [chain_boots]
(18549,2937,1,1,0,14341.688526),-- [chain_boots_part]
(18549,2430,1,1,0,328.630137),-- [karmian_boots]
(18549,2938,1,1,0,14341.688526),-- [karmian_boots_fabric]
(18549,2431,1,1,0,328.630137),-- [plate_leather_boots]
(18549,2939,1,1,0,14341.688526),-- [plate_leather_boots_lining]
(18549,2432,1,1,0,328.630137),-- [dwarven_chain_boots]
(18549,2940,1,1,0,14341.688526),-- [dwarven_chain_boots_part]
(18549,2433,1,1,0,328.630137),-- [boots_of_seal]
(18549,2941,1,1,0,14341.688526),-- [boots_of_seal_pattern]
(18549,2452,1,1,0,328.630137),-- [reinforce_mithril_gloves]
(18549,2942,1,1,0,14341.688526),-- [reinforce_mithril_gloves_design]
(18549,2453,1,1,0,328.630137),-- [chain_gloves]
(18549,2943,1,1,0,14341.688526),-- [chain_gloves_design]
(18549,2454,1,1,0,328.630137),-- [karmian_gloves]
(18549,2944,1,1,0,14341.820559),-- [karmian_gloves_fabric]
(18549,1870,1,3,1,239324.368574),-- [coal]
(18549,1865,1,3,1,159549.735313),-- [varnish]
(18549,1874,1,1,1,31910.134579),-- [oriharukon_ore]
(18549,4043,1,1,1,15954.832894),-- [asofe]
(18549,4039,1,1,1,15954.832894),-- [mold_glue]
(18549,2215,1,1,1,6097.095746),-- [rp_robe_of_seal]
(18550,5220,1,9,-1,943019),-- [reinforcing_agent]
(18550,1885,1,21,-1,893011),-- [high_grade_suede]
(18550,4601,1,1,-1,261950),-- [dye_s3c3_c]
(18550,75,1,1,0,210.750709),-- [caliburs]
(18550,2089,1,1,0,18977.841077),-- [caliburs_edge]
(18550,76,1,1,0,210.750709),-- [sword_of_delusion]
(18550,2090,1,1,0,18977.841077),-- [sword_of_delusion_blade]
(18550,77,1,1,0,210.750709),-- [tsurugi]
(18550,2091,1,1,0,18977.841077),-- [tsurugi_blade]
(18550,84,1,1,0,210.750709),-- [homunkulus's_sword]
(18550,2092,1,1,0,18977.841077),-- [homunkulus's_sword_blade]
(18550,134,1,1,0,210.750709),-- [sword_of_nightmare]
(18550,2095,1,1,0,18977.841077),-- [sword_of_nightmare_blade]
(18550,145,1,1,0,210.750709),-- [deathbreath_sword]
(18550,2096,1,1,0,18977.841077),-- [deathbreath_sword_blade]
(18550,7882,1,1,0,210.750709),-- [sword_of_paagrio]
(18550,8329,1,1,0,18128.698575),-- [sword_of_paagrio_edge]
(18550,1866,60,180,1,45135.921911),-- [suede]
(18550,1871,240,720,1,16925.91955),-- [charcoal]
(18550,5220,4,12,1,36108.491929),-- [reinforcing_agent]
(18550,1885,3,9,1,96719.657238),-- [high_grade_suede]
(18550,4041,1,1,1,70647.191803),-- [mold_hardener]
(18550,2169,1,1,1,143795.817569),-- [rp_necklace_of_binding]
(18551,1539,1,55,-1,926751),-- [greater_healing_potion]
(18551,1914,1,13,-1,937164),-- [earing_of_binding_gemstone]
(18551,2169,1,5,-1,688912),-- [rp_necklace_of_binding]
(18551,162,1,1,0,162.37837),-- [war_axe]
(18551,2097,1,1,0,14366.862426),-- [war_axe_blade]
(18551,174,1,1,0,162.37837),-- [nirvana_axe]
(18551,2098,1,1,0,14366.862426),-- [nirvana_axe_blade]
(18551,196,1,1,0,162.37837),-- [stick_of_eternity]
(18551,2099,1,1,0,15119.97599),-- [stick_of_eternity_shaft]
(18551,197,1,1,0,162.37837),-- [paradia_staff]
(18551,2100,1,1,0,15119.97599),-- [paradia_staff_head]
(18551,199,1,1,0,162.37837),-- [paagrio_hammer]
(18551,2102,1,1,0,14577.685913),-- [paagrio_hammer_head]
(18551,200,1,1,0,162.37837),-- [sage's_staff]
(18551,2103,1,1,0,15119.97599),-- [sage's_staff_head]
(18551,201,1,1,0,162.37837),-- [club_of_nature]
(18551,2104,1,1,0,15119.97599),-- [club_of_nature_head]
(18551,202,1,1,0,162.37837),-- [mace_of_underworld]
(18551,2105,1,1,0,14366.862426),-- [mace_of_underworld_head]
(18551,7898,1,1,0,162.37837),-- [horn_of_karik]
(18551,8345,1,1,0,14577.417519),-- [horn_of_karik_piece]
(18551,1871,240,720,1,16767.050288),-- [charcoal]
(18551,1866,52,156,1,51099.959128),-- [suede]
(18551,1877,4,12,1,40241.13678),-- [admantite_nugget]
(18551,4041,1,1,1,69984.679656),-- [mold_hardener]
(18551,4040,1,1,1,160964.54712),-- [mold_lubricant]
(18551,2170,4,12,1,21090.627028),-- [rp_nassen's_earing]
(18552,1915,1,11,-1,827471),-- [ring_of_ages_gemstone]
(18552,2170,1,3,-1,664514),-- [rp_nassen's_earing]
(18552,1916,1,5,-1,799302),-- [necklace_of_mermaid_teardrop]
(18552,283,1,1,0,705.24312),-- [akat_long_bow]
(18552,2109,1,1,0,65328.75688),-- [akat_long_bow_shaft]
(18552,1867,28,84,1,92473.036317),-- [animal_skin]
(18552,1872,60,180,1,43153.98417),-- [animal_bone]
(18552,1882,3,9,1,143847.111123),-- [leather]
(18552,1894,1,1,1,136276.393725),-- [crafted_leather]
(18552,4042,1,1,1,64731.473478),-- [enria]
(18552,2231,1,1,1,16741.001187),-- [rp_full_plate_armor]
(18553,1865,1,123,-1,934946),-- [varnish]
(18553,1870,1,123,-1,934946),-- [coal]
(18553,4602,1,1,-1,128815),-- [dye_s3d3_c]
(18553,854,1,1,0,3526.248132),-- [earing_of_binding]
(18553,1914,1,1,0,224427.92216),-- [earing_of_binding_gemstone]
(18553,885,1,1,0,5287.477588),-- [ring_of_ages]
(18553,1915,1,1,0,351966.246764),-- [ring_of_ages_gemstone]
(18553,917,1,1,0,2644.87556),-- [necklace_of_mermaid]
(18553,1916,1,1,0,169991.229796),-- [necklace_of_mermaid_teardrop]
(18553,1865,28,84,1,71343.602305),-- [varnish]
(18553,1870,60,180,1,33293.56505),-- [coal]
(18553,1879,3,9,1,110979.130295),-- [cokes]
(18553,1875,4,12,1,29594.550771),-- [stone_of_purity]
(18553,4040,1,1,1,79904.904197),-- [mold_lubricant]
(18553,2232,1,1,1,22961.247382),-- [rp_drake_leather_mail]
(18554,25,1,1,0,209298.796681),-- [piece_bone_breastplate]
(18554,1926,8,22,0,172512.732353),-- [piece_bone_breastplate_fragment]
(18554,26,1,1,0,135474.075386),-- [bronze_breastplate]
(18554,32,4,10,0,47839.839814),-- [piece_bone_gaiters]
(18554,1928,24,72,0,77743.592238),-- [piece_bone_gaiters_fragment]
(18554,34,4,12,0,27137.963528),-- [bronze_gaiters]
(18554,25,5,13,1,34883.157192),-- [piece_bone_breastplate]
(18554,1926,8,22,1,258769.259268),-- [piece_bone_breastplate_fragment]
(18554,26,1,1,1,203211.159996),-- [bronze_breastplate]
(18554,32,4,10,1,71759.7621),-- [piece_bone_gaiters]
(18554,1928,24,72,1,116615.96544),-- [piece_bone_gaiters_fragment]
(18554,34,4,12,1,40706.696004),-- [bronze_gaiters]
(18554,955,1,1,2,298878.528135),-- [scrl_of_ench_wp_d]
(18554,956,3,9,2,415108.471865),-- [scrl_of_ench_am_d]
(18555,432,1,1,0,354880.951371),-- [cursed_tunic]
(18555,465,1,3,0,284140.048629),-- [cursed_hose]
(18555,432,2,4,1,177440.48714),-- [cursed_tunic]
(18555,465,1,3,1,426211.51286),-- [cursed_hose]
(18555,955,1,1,2,332602.184145),-- [scrl_of_ench_wp_d]
(18555,956,3,9,2,461946.815855),-- [scrl_of_ench_am_d]
(18557,432,1,1,0,354880.951371),-- [cursed_tunic]
(18557,465,1,3,0,284140.048629),-- [cursed_hose]
(18557,432,2,4,1,177440.48714),-- [cursed_tunic]
(18557,465,1,3,1,426211.51286),-- [cursed_hose]
(18557,955,1,1,2,332602.184145),-- [scrl_of_ench_wp_d]
(18557,956,3,9,2,461946.815855),-- [scrl_of_ench_am_d]
(18558,63,3,9,0,26632.283392),-- [gauntlet]
(18558,553,4,10,0,22828.191121),-- [iron_boots]
(18558,1940,60,180,0,38855.72159),-- [iron_boots_design]
(18558,2422,1,1,0,159795.882849),-- [reinforce_leather_boots]
(18558,2423,1,1,0,159795.882849),-- [boots_of_knowledge]
(18558,2446,1,1,0,159795.882849),-- [reinforce_leather_gloves]
(18558,2447,1,1,0,159795.15535),-- [gloves_of_knowledge]
(18558,63,3,9,1,39948.457824),-- [gauntlet]
(18558,553,4,10,1,34241.2488),-- [iron_boots]
(18558,1940,60,180,1,58283.318016),-- [iron_boots_design]
(18558,2422,4,12,1,29961.176256),-- [reinforce_leather_boots]
(18558,2423,5,13,1,26632.305216),-- [boots_of_knowledge]
(18558,2446,1,1,1,239690.746944),-- [reinforce_leather_gloves]
(18558,2447,1,1,1,239690.746944),-- [gloves_of_knowledge]
(18558,955,1,1,2,425206.739264),-- [scrl_of_ench_wp_d]
(18558,956,12,36,2,147641.260736),-- [scrl_of_ench_am_d]
(18559,47,1,1,0,413972.422365),-- [helmet]
(18559,628,1,3,0,295838.577635),-- [hoplon]
(18559,47,2,4,1,206986.048544),-- [helmet]
(18559,628,1,3,1,443757.951456),-- [hoplon]
(18559,955,1,1,2,471697.953176),-- [scrl_of_ench_wp_d]
(18559,956,12,36,2,163784.046824),-- [scrl_of_ench_am_d]
(18561,83,1,1,0,14680.9374),-- [sword_of_magic]
(18561,124,1,1,0,10875.74376),-- [two-handed_sword]
(18561,2026,1,1,0,486625.345305),-- [two-handed_sword_edge]
(18561,127,1,1,0,10875.74376),-- [crimson_sword]
(18561,130,1,1,0,10875.74376),-- [elven_sword]
(18561,144,1,1,0,14681.486015),-- [sword_of_occult]
(18561,83,1,1,1,22021.393563),-- [sword_of_magic]
(18561,124,1,1,1,16313.517227),-- [two-handed_sword]
(18561,2026,1,3,1,364965.661193),-- [two-handed_sword_edge]
(18561,127,1,1,1,16313.517227),-- [crimson_sword]
(18561,130,1,1,1,16313.517227),-- [elven_sword]
(18561,144,1,1,1,22021.393563),-- [sword_of_occult]
(18561,955,1,1,2,471697.953176),-- [scrl_of_ench_wp_d]
(18561,956,12,36,2,163784.046824),-- [scrl_of_ench_am_d]
(18562,353,1,1,0,49540.14856),-- [half_plate]
(18562,1950,8,22,0,161220.990448),-- [half_plate_temper]
(18562,380,1,1,0,79264.237696),-- [plate_gaiters]
(18562,1951,4,12,0,470142.623296),-- [plate_gaiters_part]
(18562,353,1,1,1,74310.286),-- [half_plate]
(18562,1950,8,22,1,241832.23845),-- [half_plate_temper]
(18562,380,1,1,1,118896.4576),-- [plate_gaiters]
(18562,1951,24,72,1,117536.01795),-- [plate_gaiters_part]
(18562,951,1,1,2,263413.35),-- [scrl_of_ench_wp_c]
(18562,952,3,9,2,321949.65),-- [scrl_of_ench_am_c]
(18564,281,1,1,0,19239.801579),-- [crystallized_ice_bow]
(18564,2074,1,3,0,600579.198421),-- [crystallized_ice_bow_shaft]
(18564,281,1,1,1,28859.675064),-- [crystallized_ice_bow]
(18564,2074,3,9,1,300284.324936),-- [crystallized_ice_bow_shaft]
(18564,951,1,1,2,299778.75),-- [scrl_of_ench_wp_c]
(18564,952,3,9,2,366396.25),-- [scrl_of_ench_am_c]
(18565,631,1,1,0,110842.592416),-- [eldarake]
(18565,1964,40,120,0,57101.028168),-- [eldarake_temper]
(18565,2413,1,1,0,77597.5498),-- [chain_hood]
(18565,2936,14,42,0,148178.142568),-- [chain_hood_pattern]
(18565,2495,1,1,0,110842.592416),-- [chain_shield]
(18565,2945,9,27,0,253782.094632),-- [chain_shield_fragment]
(18565,631,1,1,1,166263.857452),-- [eldarake]
(18565,1964,40,120,1,85650.811702),-- [eldarake_temper]
(18565,2413,1,1,1,116396.047976),-- [chain_hood]
(18565,2936,14,42,1,222265.850216),-- [chain_hood_pattern]
(18565,2495,1,1,1,166263.857452),-- [chain_shield]
(18565,2945,81,243,1,42297.575202),-- [chain_shield_fragment]
(18565,951,1,1,2,299778.75),-- [scrl_of_ench_wp_c]
(18565,952,3,9,2,366396.25),-- [scrl_of_ench_am_c]
(18566,266,1,1,0,8318.72104),-- [great_pata]
(18566,2120,1,3,0,470870.27896),-- [great_pata_blade]
(18566,266,1,1,1,12478.07288),-- [great_pata]
(18566,2120,1,3,1,706304.92712),-- [great_pata_blade]
(18566,947,1,1,2,76242.187836),-- [scrl_of_ench_wp_b]
(18566,948,1,1,2,476513.812164),-- [scrl_of_ench_am_b]
(18568,357,1,1,0,8370.795283),-- [shrnoen's_breastplate]
(18568,4056,16,48,0,37781.283302),-- [shrnoen's_breastplate_part]
(18568,383,1,1,0,13389.979323),-- [shrnoen's_gaiters]
(18568,4057,6,18,0,155704.286973),-- [shrnoen's_gaiters_material]
(18568,2376,1,1,0,8370.795283),-- [avadon_breastplate]
(18568,4064,3,7,0,241799.758908),-- [avadon_breastplate_part]
(18568,2379,1,1,0,13389.979323),-- [avadon_gaiters]
(18568,4065,11,31,0,88974.121605),-- [avadon_gaiters_material]
(18568,357,1,1,1,12556.180609),-- [shrnoen's_breastplate]
(18568,4056,16,48,1,56672.977225),-- [shrnoen's_breastplate_part]
(18568,383,1,1,1,20085.760567),-- [shrnoen's_gaiters]
(18568,4057,6,18,1,233561.472957),-- [shrnoen's_gaiters_material]
(18568,2376,1,1,1,12556.180609),-- [avadon_breastplate]
(18568,4064,23,67,1,40300.666186),-- [avadon_breastplate_part]
(18568,2379,1,1,1,20085.760567),-- [avadon_gaiters]
(18568,4065,11,31,1,133464.00128),-- [avadon_gaiters_material]
(18568,947,1,1,2,103909.353333),-- [scrl_of_ench_wp_b]
(18568,948,1,1,2,649433.646667),-- [scrl_of_ench_am_b]
(18570,78,1,1,0,2666.424),-- [great_sword]
(18570,4104,1,3,0,254821.2536),-- [great_sword_blade]
(18570,142,1,1,0,2666.424),-- [kshanberk]
(18570,4107,2,4,0,167248.667875),-- [kshanberk_blade]
(18570,148,1,1,0,2666.424),-- [sword_of_valhalla]
(18570,4108,2,6,0,125435.806525),-- [sword_of_valhalla_blade]
(18570,78,1,1,1,3999.633894),-- [great_sword]
(18570,4104,5,15,1,76452.511293),-- [great_sword_blade]
(18570,142,1,1,1,3999.633894),-- [kshanberk]
(18570,4107,2,4,1,250894.470438),-- [kshanberk_blade]
(18570,148,1,1,1,3999.633894),-- [sword_of_valhalla]
(18570,4108,2,6,1,188171.116587),-- [sword_of_valhalla_blade]
(18570,947,1,1,2,103909.353333),-- [scrl_of_ench_wp_b]
(18570,948,1,1,2,649433.646667),-- [scrl_of_ench_am_b]
(18571,2398,1,1,0,9540.4291),-- [blue_wolve's_tunic]
(18571,4084,16,48,0,48108.8423),-- [blue_wolve's_tunic_fabric]
(18571,2399,1,1,0,9540.4291),-- [tunic_of_doom]
(18571,4085,3,7,0,307896.59072),-- [tunic_of_doom_pattern]
(18571,2403,1,1,0,15268.753528),-- [blue_wolve's_hose]
(18571,4086,6,18,0,173220.978884),-- [blue_wolve's_hose_pattern]
(18571,2404,1,1,0,15268.753528),-- [hose_of_doom]
(18571,4087,11,31,0,98983.22284),-- [hose_of_doom_pattern]
(18571,2398,1,1,1,14310.641774),-- [blue_wolve's_tunic]
(18571,4084,16,48,1,72164.893931),-- [blue_wolve's_tunic_fabric]
(18571,2399,1,1,1,14310.641774),-- [tunic_of_doom]
(18571,4085,23,67,1,51317.28485),-- [tunic_of_doom_pattern]
(18571,2403,1,1,1,22903.937849),-- [blue_wolve's_hose]
(18571,4086,6,18,1,259838.236606),-- [blue_wolve's_hose_pattern]
(18571,2404,1,1,1,22903.937849),-- [hose_of_doom]
(18571,4087,11,31,1,148479.425367),-- [hose_of_doom_pattern]
(18571,729,1,1,2,38276.569097),-- [scrl_of_ench_wp_a]
(18571,730,1,1,2,287074.430903),-- [scrl_of_ench_am_a]
(18573,601,1,1,0,28834.965858),-- [doom_boots]
(18573,4099,60,180,0,33376.171267),-- [doom_boots_part]
(18573,2439,1,1,0,28834.965858),-- [blue_wolve's_boots]
(18573,4090,11,31,0,190722.323133),-- [blue_wolve's_boots_design]
(18573,2475,1,1,0,28834.965858),-- [doom_gloves]
(18573,4091,16,48,0,125161.334255),-- [doom_gloves_part]
(18573,2487,1,1,0,28834.965858),-- [blue_wolve's_gloves]
(18573,4096,23,67,0,89003.307913),-- [blue_wolve's_gloves_fabric]
(18573,601,1,1,1,43252.495395),-- [doom_boots]
(18573,4099,60,180,1,50065.14697),-- [doom_boots_part]
(18573,2439,1,1,1,43252.495395),-- [blue_wolve's_boots]
(18573,4090,116,346,1,26007.846335),-- [blue_wolve's_boots_design]
(18573,2475,1,1,1,43252.495395),-- [doom_gloves]
(18573,4091,16,48,1,187744.01597),-- [doom_gloves_part]
(18573,2487,1,1,1,43252.495395),-- [blue_wolve's_gloves]
(18573,4096,23,67,1,133508.009145),-- [blue_wolve's_gloves_fabric]
(18573,729,1,1,2,38549.863078),-- [scrl_of_ench_wp_a]
(18573,730,1,1,2,289124.136922),-- [scrl_of_ench_am_a]
(18575,171,1,1,0,1414.518996),-- [deadman's_glory]
(18575,4116,1,3,0,155937.89518),-- [deadman's_glory_stone]
(18575,175,1,1,0,1414.518996),-- [art_of_battle_axe]
(18575,4117,2,4,0,103958.362556),-- [art_of_battle_axe_blade]
(18575,210,1,1,0,1414.518996),-- [staff_of_evil_sprit]
(18575,4118,1,1,0,295484.094076),-- [staff_of_evil_sprit_head]
(18575,7893,1,1,0,1414.518996),-- [bone_of_kaim_vanul]
(18575,8340,2,6,0,77968.596244),-- [bone_of_kaim_vanul_head]
(18575,7901,1,1,0,1414.518996),-- [star_buster]
(18575,8348,3,7,0,62270.456964),-- [star_buster_head]
(18575,171,1,1,1,2121.776835),-- [deadman's_glory]
(18575,4116,1,3,1,233900.73462),-- [deadman's_glory_stone]
(18575,175,1,1,1,2121.776835),-- [art_of_battle_axe]
(18575,4117,2,4,1,155933.82308),-- [art_of_battle_axe_blade]
(18575,210,1,1,1,2121.776835),-- [staff_of_evil_sprit]
(18575,4118,3,9,1,73869.191515),-- [staff_of_evil_sprit_head]
(18575,7893,1,1,1,2121.776835),-- [bone_of_kaim_vanul]
(18575,8340,2,6,1,116950.36731),-- [bone_of_kaim_vanul_head]
(18575,7901,1,1,1,2121.776835),-- [star_buster]
(18575,8348,3,7,1,93401.9993),-- [star_buster_head]
(18575,729,1,1,2,38549.863078),-- [scrl_of_ench_wp_a]
(18575,730,1,1,2,289124.136922),-- [scrl_of_ench_am_a]
(18577,6323,1,1,0,17972.441864),-- [sealed_phoenix's_necklace]
(18577,6343,14,42,0,91949.975538),-- [sealed_phoenix's_necklace_beads]
(18577,6324,1,1,0,23963.118339),-- [sealed_phoenix's_earing]
(18577,6341,9,27,0,185027.559302),-- [sealed_phoenix's_earing_gemstone]
(18577,6325,1,1,0,35944.471289),-- [sealed_phoenix's_ring]
(18577,6345,40,120,0,57581.433668),-- [sealed_phoenix's_ring_gemstone]
(18577,6323,1,1,1,26958.684584),-- [sealed_phoenix's_necklace]
(18577,6343,14,42,1,137925.074778),-- [sealed_phoenix's_necklace_beads]
(18577,6324,1,1,1,35944.706559),-- [sealed_phoenix's_earing]
(18577,6341,9,27,1,277541.563262),-- [sealed_phoenix's_earing_gemstone]
(18577,6325,1,1,1,53916.750509),-- [sealed_phoenix's_ring]
(18577,6345,40,120,1,86372.220308),-- [sealed_phoenix's_ring_gemstone]
(18577,729,1,1,2,39023.5099),-- [scrl_of_ench_wp_a]
(18577,730,1,1,2,292676.4901),-- [scrl_of_ench_am_a]
(18678,14016,1,2,0,1000000),-- [water_energy_condensed_stone]
(18679,14015,1,2,0,1000000),-- [fire_energy_condensed_stone]
(18680,14017,1,2,0,1000000),-- [wind_energy_condensed_stone]
(18681,14018,1,2,0,1000000),-- [earth_energy_condensed_stone]
(18682,14020,1,2,0,1000000),-- [holy_energy_condensed_stone]
(18683,14019,1,2,0,1000000),-- [unholy_energy_condensed_stone]
(18684,14009,1,2,0,1000000),-- [red_star_stone]
(18685,14009,1,2,0,1000000),-- [red_star_stone]
(18686,14009,1,2,0,1000000),-- [red_star_stone]
(18687,14010,1,2,0,1000000),-- [blue_star_stone]
(18688,14010,1,2,0,1000000),-- [blue_star_stone]
(18689,14010,1,2,0,1000000),-- [blue_star_stone]
(18690,14011,1,2,0,1000000),-- [green_star_stone]
(18691,14011,1,2,0,1000000),-- [green_star_stone]
(18692,14011,1,2,0,1000000),-- [green_star_stone]
(18799,960,1,1,-1,5298),-- [scrl_of_ench_am_s]
(18799,1894,1,1,-1,464713),-- [crafted_leather]
(18799,9540,1,1,-1,23694),-- [sealed_dynasty_tunic_piece]
(18799,57,2420,4913,0,700000),-- [adena]
(18799,6371,1,1,1,11.436396),-- [demon_splinter]
(18799,6695,1,1,1,5184.563604),-- [demon_splinter_blade]
(18799,9628,1,1,2,12784.656007),-- [renad]
(18799,9630,1,1,2,8579.171442),-- [oricalcum]
(18799,9629,1,1,2,7087.172551),-- [adamantium]
(18800,960,1,1,-1,5298),-- [scrl_of_ench_am_s]
(18800,1894,1,1,-1,464713),-- [crafted_leather]
(18800,9540,1,1,-1,23694),-- [sealed_dynasty_tunic_piece]
(18800,57,2420,4913,0,700000),-- [adena]
(18800,6680,1,1,1,31.394825),-- [sealed_draconic_leather_armor]
(18800,6707,1,1,1,12113.605175),-- [sealed_draconic_leather_armor_part]
(18800,9628,1,1,2,12784.656007),-- [renad]
(18800,9630,1,1,2,8579.171442),-- [oricalcum]
(18800,9629,1,1,2,7087.172551),-- [adamantium]
(18801,960,1,1,-1,5298),-- [scrl_of_ench_am_s]
(18801,1894,1,1,-1,464713),-- [crafted_leather]
(18801,9540,1,1,-1,23694),-- [sealed_dynasty_tunic_piece]
(18801,57,2420,4913,0,700000),-- [adena]
(18801,6370,1,1,1,11.436432),-- [saint_spear]
(18801,6694,1,1,1,5380.563568),-- [saint_spear_blade]
(18801,9628,1,1,2,12784.656007),-- [renad]
(18801,9630,1,1,2,8579.171442),-- [oricalcum]
(18801,9629,1,1,2,7087.172551),-- [adamantium]
(18802,960,1,1,-1,5448),-- [scrl_of_ench_am_s]
(18802,1894,1,1,-1,477927),-- [crafted_leather]
(18802,9540,1,1,-1,24368),-- [sealed_dynasty_tunic_piece]
(18802,57,2540,5000,0,700000),-- [adena]
(18802,6674,1,1,1,19.674879),-- [sealed_imperial_crusader_armor]
(18802,6675,1,1,1,31.470591),-- [sealed_imperial_crusader_gaiters]
(18802,6701,1,1,1,6692.638173),-- [sealed_imperial_crusader_armor_part]
(18802,6702,1,1,1,8615.216357),-- [sealed_imperial_crusader_gaiters_pattern]
(18802,9628,1,1,2,13148.18582),-- [renad]
(18802,9630,1,1,2,8823.11892),-- [oricalcum]
(18802,9629,1,1,2,7288.69526),-- [adamantium]
(18803,960,1,1,-1,5448),-- [scrl_of_ench_am_s]
(18803,1894,1,1,-1,477927),-- [crafted_leather]
(18803,9540,1,1,-1,24368),-- [sealed_dynasty_tunic_piece]
(18803,57,2540,5000,0,700000),-- [adena]
(18803,6674,1,1,1,19.674879),-- [sealed_imperial_crusader_armor]
(18803,6675,1,1,1,31.470591),-- [sealed_imperial_crusader_gaiters]
(18803,6701,1,1,1,6692.638173),-- [sealed_imperial_crusader_armor_part]
(18803,6702,1,1,1,8615.216357),-- [sealed_imperial_crusader_gaiters_pattern]
(18803,9628,1,1,2,13148.18582),-- [renad]
(18803,9630,1,1,2,8823.11892),-- [oricalcum]
(18803,9629,1,1,2,7288.69526),-- [adamantium]
(18807,9544,1,1,-1,4497),-- [sealed_dynasty_shoes_piece]
(18807,9630,1,1,-1,4947),-- [oricalcum]
(18807,9619,1,1,-1,526),-- [dynasty_bow_piece]
(18807,5311,1,1,0,2.630522),-- [sealed_armor_of_nightmare]
(18807,5522,1,1,0,394.369478),-- [sealed_armor_of_nightmare_pattern]
(18807,5316,1,1,0,2.630522),-- [sealed_majestic_platte_armor]
(18807,5523,1,1,0,394.369478),-- [sealed_majestic_platte_armor_pattern]
(18807,1879,1,1,1,12861.832924),-- [cokes]
(18807,1885,1,1,1,6430.916462),-- [high_grade_suede]
(18807,9628,1,1,1,605.272698),-- [renad]
(18807,9630,1,1,1,406.161404),-- [oricalcum]
(18807,9629,1,1,1,335.518346),-- [adamantium]
(18807,5282,1,1,1,34.298166),-- [rp_adv_comp_bspiritshot_s]
(18808,9628,2,6,0,59214.703296),-- [renad]
(18808,9630,3,9,0,26490.574944),-- [oricalcum]
(18808,9629,3,9,0,18757.417344),-- [adamantium]
(18808,9573,2,6,0,41943.51168),-- [general_80_s]
(18808,9574,1,1,0,52429.3896),-- [special_80_s]
(18808,9575,1,1,0,5243.141664),-- [rare_80_s]
(18808,9550,1,3,0,120797.39472),-- [ore_of_unholy]
(18808,9551,1,3,0,80531.866752),-- [ore_of_holy]
(18816,9546,1,1,0,25050),-- [ore_of_fire]
(18816,9547,1,1,0,25050),-- [ore_of_water]
(18816,9548,1,1,0,25050),-- [ore_of_earth]
(18816,9549,1,1,0,25050),-- [ore_of_wind]
(18816,9550,1,1,0,24900),-- [ore_of_unholy]
(18816,9551,1,1,0,24900),-- [ore_of_holy]
(18863,57,285165,582813,0,700000),-- [adena]
(18863,10223,1,1,1,373.066462),-- [icarus_accipiter]
(18863,10405,1,1,1,123692.933538),-- [icarus_accipiter_piece]
(18863,1879,135,405,2,35731.17086),-- [cokes]
(18863,1885,144,432,2,16749.12722),-- [high_grade_suede]
(18863,9628,3,9,2,64856.87628),-- [renad]
(18863,9630,5,15,2,30465.66334),-- [oricalcum]
(18863,9629,5,15,2,22879.15728),-- [adamantium]
(18863,10483,4,12,2,50247.03488),-- [general_82_s]
(18863,10484,1,1,2,100494.06976),-- [special_82_s]
(18863,10485,1,1,2,10049.33762),-- [rare_82_s]
(18863,9554,1,1,2,11576.90352),-- [high_ore_of_earth]
(18863,10381,1,1,2,3730.65924),-- [rp_icarus_accipiter_i]
(18873,15772,1,1,-1,13393),-- [sealed_destino_ring_gem]
(18873,15773,1,1,-1,7527),-- [sealed_destino_earring_gem]
(18873,15774,1,1,-1,6495),-- [sealed_destino_necklace_gem]
(18873,15812,1,1,-1,1772),-- [rp_sealed_destino_ring_i]
(18873,15813,1,1,-1,1181),-- [rp_sealed_destino_earring_i]
(18873,15814,1,1,-1,886),-- [rp_sealed_destino_necklace_i]
(18873,57,475,959,0,700000),-- [adena]
(18873,15766,1,1,1,5.818546),-- [sealed_destino_ring]
(18873,15767,1,1,1,3.877526),-- [sealed_destino_earring]
(18873,15768,1,1,1,2.907016),-- [sealed_destino_necklace]
(18873,15772,1,1,1,2199.058296),-- [sealed_destino_ring_gem]
(18873,15773,1,1,1,1235.906116),-- [sealed_destino_earring_gem]
(18873,15774,1,1,1,1066.4325),-- [sealed_destino_necklace_gem]
(18873,9573,1,1,2,2214.118422),-- [general_80_s]
(18873,9574,1,1,2,553.528194),-- [special_80_s]
(18873,9575,1,1,2,55.353384),-- [rare_80_s]
(18874,15654,1,1,-1,13628),-- [sealed_destino_gauntlet_piece]
(18874,15655,1,1,-1,13628),-- [sealed_destino_leather_gloves_piece]
(18874,15656,1,1,-1,13628),-- [sealed_destino_gloves_piece]
(18874,15657,1,1,-1,13628),-- [sealed_destino_boots_piece]
(18874,15658,1,1,-1,13628),-- [sealed_destino_leather_boots_piece]
(18874,15659,1,1,-1,13628),-- [sealed_destino_shoes_piece]
(18874,15784,1,1,-1,1813),-- [rp_sealed_destino_gauntlet_i]
(18874,15785,1,1,-1,1813),-- [rp_sealed_destino_leather_gloves_i]
(18874,15786,1,1,-1,1813),-- [rp_sealed_destino_gloves_i]
(18874,15787,1,1,-1,1813),-- [rp_sealed_destino_boots_i]
(18874,15788,1,1,-1,1813),-- [rp_sealed_destino_leather_boots_i]
(18874,15789,1,1,-1,1813),-- [rp_sealed_destino_shoes_i]
(18874,57,1494,3016,0,700000),-- [adena]
(18874,15703,1,1,1,11.90856),-- [sealed_destino_gauntlet]
(18874,15704,1,1,1,11.90856),-- [sealed_destino_leather_gloves]
(18874,15705,1,1,1,11.90856),-- [sealed_destino_gloves]
(18874,15654,1,1,1,4473.433744),-- [sealed_destino_gauntlet_piece]
(18874,15655,1,1,1,4473.433744),-- [sealed_destino_leather_gloves_piece]
(18874,15656,1,1,1,4473.406832),-- [sealed_destino_gloves_piece]
(18874,1895,1,1,2,107409.360588),-- [metallic_fiber]
(18874,4040,1,1,2,7518.687308),-- [mold_lubricant]
(18874,9628,1,1,2,2948.545938),-- [renad]
(18874,9630,1,1,2,1978.647362),-- [oricalcum]
(18874,9573,1,1,2,2610.610778),-- [general_80_s]
(18874,9574,1,1,2,652.683528),-- [special_80_s]
(18874,9575,1,1,2,65.243686),-- [rare_80_s]
(18874,960,1,1,2,150.220812),-- [scrl_of_ench_am_s]
(18876,15649,1,1,-1,55084),-- [sealed_destino_houberk_piece]
(18876,1894,1,1,-1,602057),-- [crafted_leather]
(18876,15782,1,1,-1,10871),-- [rp_sealed_destino_leather_legging_i]
(18876,57,4199,8477,0,700000),-- [adena]
(18876,15698,1,1,1,33.4696),-- [sealed_destino_houberk]
(18876,15649,1,1,1,13566.5304),-- [sealed_destino_houberk_piece]
(18876,1879,1,1,2,100624.99375),-- [cokes]
(18876,1885,1,1,2,50312.395),-- [high_grade_suede]
(18876,9628,1,1,2,4735.35375),-- [renad]
(18876,9630,1,1,2,3177.685),-- [oricalcum]
(18876,9629,1,1,2,2624.91125),-- [adamantium]
(18876,5550,1,1,2,8049.95875),-- [reinforcing_plate]
(18876,1890,1,1,2,9217.44625),-- [mithirl_alloy]
(18876,1888,1,1,2,18295.5275),-- [synthesis_cokes]
(18876,17030,1,1,2,1006.32125),-- [sb_create_item_lv10]
(18876,9555,1,1,2,120.82375),-- [high_ore_of_wind]
(18876,10483,1,1,2,4192.7675),-- [general_82_s]
(18876,10484,1,1,2,1048.09),-- [special_82_s]
(18876,10485,1,1,2,104.7275),-- [rare_82_s]
(18876,15779,1,1,2,238.99875),-- [rp_sealed_destino_houberk_i]
(18878,10397,1,1,-1,2321),-- [icarus_sowsword_piece]
(18878,10399,1,1,-1,2321),-- [icarus_spirits_piece]
(18878,10400,1,1,-1,2313),-- [icarus_heavy_arms_piece]
(18878,9628,1,1,-1,42455),-- [renad]
(18878,10373,1,1,-1,349),-- [rp_icarus_sowsword_i]
(18878,10375,1,1,-1,349),-- [rp_icarus_spirits_i]
(18878,10376,1,1,-1,349),-- [rp_icarus_heavy_arms_i]
(18878,15801,1,1,-1,4640),-- [rp_sealed_vesper_gauntlet_i]
(18878,15802,1,1,-1,4640),-- [rp_sealed_vesper_leather_gloves_i]
(18878,15803,1,1,-1,4640),-- [rp_sealed_vesper_gloves_i]
(18878,57,4416,8914,0,700000),-- [adena]
(18878,10215,1,1,1,1.145718),-- [icarus_sowsword]
(18878,10217,1,1,1,1.145718),-- [icarus_spirits]
(18878,10397,1,1,1,380.590546),-- [icarus_sowsword_piece]
(18878,10399,1,1,1,380.590546),-- [icarus_spirits_piece]
(18878,14109,1,1,1,15.212589),-- [sealed_vesper_gauntlet]
(18878,14113,1,1,1,15.212589),-- [sealed_vesper_leather_gloves]
(18878,14116,1,1,1,15.212589),-- [sealed_vesper_gloves]
(18878,15667,1,1,1,6802.615757),-- [sealed_vesper_gauntlet_piece]
(18878,15671,1,1,1,6802.615757),-- [sealed_vesper_leather_gloves_piece]
(18878,15674,1,1,1,6802.658191),-- [sealed_vesper_gloves_piece]
(18878,1879,1,1,2,105812.854197),-- [cokes]
(18878,1885,1,1,2,52906.320585),-- [high_grade_suede]
(18878,9628,1,1,2,4979.506125),-- [renad]
(18878,9630,1,1,2,3341.541522),-- [oricalcum]
(18878,9629,1,1,2,2760.403866),-- [adamantium]
(18878,5550,1,1,2,8465.053899),-- [reinforcing_plate]
(18878,1890,1,1,2,9692.7285),-- [mithirl_alloy]
(18878,1888,1,1,2,19238.681397),-- [synthesis_cokes]
(18878,10483,1,1,2,4408.806792),-- [general_82_s]
(18878,10484,1,1,2,1102.201698),-- [special_82_s]
(18878,10485,1,1,2,110.134959),-- [rare_82_s]
(18878,10373,1,1,2,40.901184),-- [rp_icarus_sowsword_i]
(18878,10375,1,1,2,40.901184),-- [rp_icarus_spirits_i]
(18878,9553,1,1,2,126.964092),-- [high_ore_of_water]
(18880,15772,1,1,-1,13393),-- [sealed_destino_ring_gem]
(18880,15773,1,1,-1,7527),-- [sealed_destino_earring_gem]
(18880,15774,1,1,-1,6495),-- [sealed_destino_necklace_gem]
(18880,15812,1,1,-1,1772),-- [rp_sealed_destino_ring_i]
(18880,15813,1,1,-1,1181),-- [rp_sealed_destino_earring_i]
(18880,15814,1,1,-1,886),-- [rp_sealed_destino_necklace_i]
(18880,57,475,959,0,700000),-- [adena]
(18880,15766,1,1,1,5.818546),-- [sealed_destino_ring]
(18880,15767,1,1,1,3.877526),-- [sealed_destino_earring]
(18880,15768,1,1,1,2.907016),-- [sealed_destino_necklace]
(18880,15772,1,1,1,2199.058296),-- [sealed_destino_ring_gem]
(18880,15773,1,1,1,1235.906116),-- [sealed_destino_earring_gem]
(18880,15774,1,1,1,1066.4325),-- [sealed_destino_necklace_gem]
(18880,9573,1,1,2,2214.118422),-- [general_80_s]
(18880,9574,1,1,2,553.528194),-- [special_80_s]
(18880,9575,1,1,2,55.353384),-- [rare_80_s]
(18881,15654,1,1,-1,12579),-- [sealed_destino_gauntlet_piece]
(18881,15655,1,1,-1,12579),-- [sealed_destino_leather_gloves_piece]
(18881,15656,1,1,-1,12579),-- [sealed_destino_gloves_piece]
(18881,15657,1,1,-1,12579),-- [sealed_destino_boots_piece]
(18881,15658,1,1,-1,12579),-- [sealed_destino_leather_boots_piece]
(18881,15659,1,1,-1,12579),-- [sealed_destino_shoes_piece]
(18881,960,1,1,-1,564),-- [scrl_of_ench_am_s]
(18881,15784,1,1,-1,1674),-- [rp_sealed_destino_gauntlet_i]
(18881,15785,1,1,-1,1674),-- [rp_sealed_destino_leather_gloves_i]
(18881,15786,1,1,-1,1674),-- [rp_sealed_destino_gloves_i]
(18881,15787,1,1,-1,1674),-- [rp_sealed_destino_boots_i]
(18881,15788,1,1,-1,1674),-- [rp_sealed_destino_leather_boots_i]
(18881,15789,1,1,-1,1674),-- [rp_sealed_destino_shoes_i]
(18881,57,1494,3016,0,700000),-- [adena]
(18881,15706,1,1,1,11.90856),-- [sealed_destino_boots]
(18881,15707,1,1,1,11.90856),-- [sealed_destino_leather_boots]
(18881,15708,1,1,1,11.90856),-- [sealed_destino_shoes]
(18881,15657,1,1,1,4473.433744),-- [sealed_destino_boots_piece]
(18881,15658,1,1,1,4473.433744),-- [sealed_destino_leather_boots_piece]
(18881,15659,1,1,1,4473.406832),-- [sealed_destino_shoes_piece]
(18881,1895,1,1,2,107409.360588),-- [metallic_fiber]
(18881,4040,1,1,2,7518.687308),-- [mold_lubricant]
(18881,9628,1,1,2,2948.545938),-- [renad]
(18881,9630,1,1,2,1978.647362),-- [oricalcum]
(18881,9573,1,1,2,2610.610778),-- [general_80_s]
(18881,9574,1,1,2,652.683528),-- [special_80_s]
(18881,9575,1,1,2,65.243686),-- [rare_80_s]
(18881,960,1,1,2,150.220812),-- [scrl_of_ench_am_s]
(18883,15648,1,1,-1,20354),-- [sealed_destino_cuirass_piece]
(18883,15651,1,1,-1,34113),-- [sealed_destino_gaiter_piece]
(18883,959,1,1,-1,343),-- [scrl_of_ench_wp_s]
(18883,9630,1,1,-1,45154),-- [oricalcum]
(18883,15778,1,1,-1,2548),-- [rp_sealed_destino_cuirass_i]
(18883,15781,1,1,-1,4076),-- [rp_sealed_destino_gaiter_i]
(18883,57,4199,8477,0,700000),-- [adena]
(18883,15697,1,1,1,25.102341),-- [sealed_destino_cuirass]
(18883,15648,1,1,1,10027.897659),-- [sealed_destino_cuirass_piece]
(18883,1879,1,1,2,100625.187219),-- [cokes]
(18883,1885,1,1,2,50312.695455),-- [high_grade_suede]
(18883,9628,1,1,2,4735.408368),-- [renad]
(18883,9630,1,1,2,3177.5796),-- [oricalcum]
(18883,9629,1,1,2,2624.965917),-- [adamantium]
(18883,5550,1,1,2,8050.072011),-- [reinforcing_plate]
(18883,1890,1,1,2,9217.628823),-- [mithirl_alloy]
(18883,1888,1,1,2,18295.52562),-- [synthesis_cokes]
(18883,17030,1,1,2,1006.23354),-- [sb_create_item_lv10]
(18883,9555,1,1,2,120.788763),-- [high_ore_of_wind]
(18883,10483,1,1,2,4192.775544),-- [general_82_s]
(18883,10484,1,1,2,1048.193886),-- [special_82_s]
(18883,10485,1,1,2,104.900865),-- [rare_82_s]
(18883,15778,1,1,2,179.044389),-- [rp_sealed_destino_cuirass_i]
(18885,10404,1,1,-1,2892),-- [icarus_wand_piece]
(18885,10402,1,1,-1,2892),-- [icarus_chopper_piece]
(18885,9628,1,1,-1,53068),-- [renad]
(18885,10380,1,1,-1,436),-- [rp_icarus_wand_i]
(18885,10378,1,1,-1,436),-- [rp_icarus_chopper_i]
(18885,15804,1,1,-1,5799),-- [rp_sealed_vesper_boots_i]
(18885,15805,1,1,-1,5799),-- [rp_sealed_vesper_leather_boots_i]
(18885,15806,1,1,-1,5799),-- [rp_sealed_vesper_shoes_i]
(18885,57,4416,8914,0,700000),-- [adena]
(18885,10222,1,1,1,1.432145),-- [icarus_wand]
(18885,10404,1,1,1,474.144151),-- [icarus_wand_piece]
(18885,14110,1,1,1,19.00847),-- [sealed_vesper_boots]
(18885,14114,1,1,1,19.00847),-- [sealed_vesper_leather_boots]
(18885,14117,1,1,1,19.00847),-- [sealed_vesper_shoes]
(18885,15668,1,1,1,8502.124085),-- [sealed_vesper_boots_piece]
(18885,15672,1,1,1,8502.124085),-- [sealed_vesper_leather_boots_piece]
(18885,15675,1,1,1,8502.150124),-- [sealed_vesper_shoes_piece]
(18885,1879,1,1,2,113952.39222),-- [cokes]
(18885,1885,1,1,2,56976.19611),-- [high_grade_suede]
(18885,9628,1,1,2,5362.44123),-- [renad]
(18885,9630,1,1,2,3598.58593),-- [oricalcum]
(18885,9629,1,1,2,2972.6352),-- [adamantium]
(18885,5550,1,1,2,9116.08128),-- [reinforcing_plate]
(18885,1890,1,1,2,10438.39933),-- [mithirl_alloy]
(18885,1888,1,1,2,20718.53336),-- [synthesis_cokes]
(18885,10483,1,1,2,4747.959),-- [general_82_s]
(18885,10484,1,1,2,1186.98975),-- [special_82_s]
(18885,10485,1,1,2,118.81366),-- [rare_82_s]
(18885,10380,1,1,2,44.03904),-- [rp_icarus_wand_i]
(18885,9553,1,1,2,136.93389),-- [high_ore_of_water]
(18887,15772,1,1,-1,14529),-- [sealed_destino_ring_gem]
(18887,15773,1,1,-1,8165),-- [sealed_destino_earring_gem]
(18887,15774,1,1,-1,7046),-- [sealed_destino_necklace_gem]
(18887,15812,1,1,-1,1922),-- [rp_sealed_destino_ring_i]
(18887,15813,1,1,-1,1281),-- [rp_sealed_destino_earring_i]
(18887,15814,1,1,-1,961),-- [rp_sealed_destino_necklace_i]
(18887,57,511,1045,0,700000),-- [adena]
(18887,15766,1,1,1,6.312233),-- [sealed_destino_ring]
(18887,15767,1,1,1,4.206523),-- [sealed_destino_earring]
(18887,15768,1,1,1,3.153668),-- [sealed_destino_necklace]
(18887,15772,1,1,1,2385.642108),-- [sealed_destino_ring_gem]
(18887,15773,1,1,1,1340.769218),-- [sealed_destino_earring_gem]
(18887,15774,1,1,1,1156.91625),-- [sealed_destino_necklace_gem]
(18887,9573,1,1,2,1200.99072),-- [general_80_s]
(18887,9574,1,1,2,300.24768),-- [special_80_s]
(18887,9575,1,1,2,30.024325),-- [rare_80_s]
(18887,15812,1,1,2,315.58877),-- [rp_sealed_destino_ring_i]
(18887,15813,1,1,2,210.36741),-- [rp_sealed_destino_earring_i]
(18887,15814,1,1,2,157.781095),-- [rp_sealed_destino_necklace_i]
(18888,15654,1,1,-1,13453),-- [sealed_destino_gauntlet_piece]
(18888,15655,1,1,-1,13453),-- [sealed_destino_leather_gloves_piece]
(18888,15656,1,1,-1,13453),-- [sealed_destino_gloves_piece]
(18888,15657,1,1,-1,13453),-- [sealed_destino_boots_piece]
(18888,15658,1,1,-1,13453),-- [sealed_destino_leather_boots_piece]
(18888,15659,1,1,-1,13453),-- [sealed_destino_shoes_piece]
(18888,960,1,1,-1,603),-- [scrl_of_ench_am_s]
(18888,15784,1,1,-1,1790),-- [rp_sealed_destino_gauntlet_i]
(18888,15785,1,1,-1,1790),-- [rp_sealed_destino_leather_gloves_i]
(18888,15786,1,1,-1,1790),-- [rp_sealed_destino_gloves_i]
(18888,15787,1,1,-1,1790),-- [rp_sealed_destino_boots_i]
(18888,15788,1,1,-1,1790),-- [rp_sealed_destino_leather_boots_i]
(18888,15789,1,1,-1,1790),-- [rp_sealed_destino_shoes_i]
(18888,57,1585,3238,0,700000),-- [adena]
(18888,15703,1,1,1,12.736035),-- [sealed_destino_gauntlet]
(18888,15704,1,1,1,12.736035),-- [sealed_destino_leather_gloves]
(18888,15705,1,1,1,12.736035),-- [sealed_destino_gloves]
(18888,15654,1,1,1,4784.273559),-- [sealed_destino_gauntlet_piece]
(18888,15655,1,1,1,4784.273559),-- [sealed_destino_leather_gloves_piece]
(18888,15656,1,1,1,4784.244777),-- [sealed_destino_gloves_piece]
(18888,1895,1,1,2,70689.89797),-- [metallic_fiber]
(18888,4040,1,1,2,4948.314395),-- [mold_lubricant]
(18888,9628,1,1,2,1940.49271),-- [renad]
(18888,9630,1,1,2,1302.1662),-- [oricalcum]
(18888,9573,1,1,2,1718.16357),-- [general_80_s]
(18888,9574,1,1,2,429.499475),-- [special_80_s]
(18888,9575,1,1,2,42.991365),-- [rare_80_s]
(18888,15784,1,1,2,293.89858),-- [rp_sealed_destino_gauntlet_i]
(18888,15785,1,1,2,293.89858),-- [rp_sealed_destino_leather_gloves_i]
(18888,15786,1,1,2,293.89858),-- [rp_sealed_destino_gloves_i]
(18888,15787,1,1,2,293.89858),-- [rp_sealed_destino_boots_i]
(18888,15788,1,1,2,293.89858),-- [rp_sealed_destino_leather_boots_i]
(18888,15789,1,1,2,293.981415),-- [rp_sealed_destino_shoes_i]
(18890,15653,1,1,-1,95975),-- [sealed_destino_hose_piece]
(18890,959,1,1,-1,737),-- [scrl_of_ench_wp_s]
(18890,15783,1,1,-1,11675),-- [rp_sealed_destino_hose_i]
(18890,57,4472,9140,0,700000),-- [adena]
(18890,15699,1,1,1,35.942905),-- [sealed_destino_jaket]
(18890,15650,1,1,1,14569.057095),-- [sealed_destino_jaket_piece]
(18890,1879,1,1,2,108064.57611),-- [cokes]
(18890,1885,1,1,2,54032.178648),-- [high_grade_suede]
(18890,9628,1,1,2,5085.456174),-- [renad]
(18890,9630,1,1,2,3412.623144),-- [oricalcum]
(18890,9629,1,1,2,2818.980762),-- [adamantium]
(18890,5550,1,1,2,8645.122326),-- [reinforcing_plate]
(18890,1890,1,1,2,9898.926546),-- [mithirl_alloy]
(18890,1888,1,1,2,19648.184316),-- [synthesis_cokes]
(18890,17030,1,1,2,1080.722346),-- [sb_create_item_lv10]
(18890,9556,1,1,2,129.756702),-- [high_ore_of_unholy]
(18890,10483,1,1,2,4502.754492),-- [general_82_s]
(18890,10484,1,1,2,1125.579216),-- [special_82_s]
(18890,10485,1,1,2,112.470396),-- [rare_82_s]
(18890,15780,1,1,2,256.668822),-- [rp_sealed_destino_jaket_i]
(18892,10403,1,1,-1,6197),-- [icarus_knuckle_piece]
(18892,1894,1,1,-1,508785),-- [crafted_leather]
(18892,10379,1,1,-1,935),-- [rp_icarus_knuckle_i]
(18892,15819,1,1,-1,1011),-- [rp_vesper_fighter_i]
(18892,57,4692,9589,0,700000),-- [adena]
(18892,10221,1,1,1,2.455272),-- [icarus_knuckle]
(18892,10403,1,1,1,814.193856),-- [icarus_knuckle_piece]
(18892,13457,1,1,1,2.657448),-- [vesper_cutter]
(18892,13461,1,1,1,2.657448),-- [vesper_fighter]
(18892,15638,1,1,1,1122.035976),-- [vesper_fighter_piece]
(18892,1879,1,1,2,132278.345098),-- [cokes]
(18892,1885,1,1,2,66139.172549),-- [high_grade_suede]
(18892,9628,1,1,2,6224.853907),-- [renad]
(18892,9630,1,1,2,4177.222102),-- [oricalcum]
(18892,9629,1,1,2,3450.771832),-- [adamantium]
(18892,5550,1,1,2,10582.225032),-- [reinforcing_plate]
(18892,1890,1,1,2,12117.084064),-- [mithirl_alloy]
(18892,1888,1,1,2,24050.559818),-- [synthesis_cokes]
(18892,10483,1,1,2,5511.708587),-- [general_82_s]
(18892,10484,1,1,2,1377.860622),-- [special_82_s]
(18892,10485,1,1,2,137.839282),-- [rare_82_s]
(18892,10379,1,1,2,51.357107),-- [rp_icarus_knuckle_i]
(18894,15772,1,1,-1,14529),-- [sealed_destino_ring_gem]
(18894,15773,1,1,-1,8165),-- [sealed_destino_earring_gem]
(18894,15774,1,1,-1,7046),-- [sealed_destino_necklace_gem]
(18894,15812,1,1,-1,1922),-- [rp_sealed_destino_ring_i]
(18894,15813,1,1,-1,1281),-- [rp_sealed_destino_earring_i]
(18894,15814,1,1,-1,961),-- [rp_sealed_destino_necklace_i]
(18894,57,511,1045,0,700000),-- [adena]
(18894,15766,1,1,1,6.312233),-- [sealed_destino_ring]
(18894,15767,1,1,1,4.206523),-- [sealed_destino_earring]
(18894,15768,1,1,1,3.153668),-- [sealed_destino_necklace]
(18894,15772,1,1,1,2385.642108),-- [sealed_destino_ring_gem]
(18894,15773,1,1,1,1340.769218),-- [sealed_destino_earring_gem]
(18894,15774,1,1,1,1156.91625),-- [sealed_destino_necklace_gem]
(18894,9573,1,1,2,1200.99072),-- [general_80_s]
(18894,9574,1,1,2,300.24768),-- [special_80_s]
(18894,9575,1,1,2,30.024325),-- [rare_80_s]
(18894,15812,1,1,2,315.58877),-- [rp_sealed_destino_ring_i]
(18894,15813,1,1,2,210.36741),-- [rp_sealed_destino_earring_i]
(18894,15814,1,1,2,157.781095),-- [rp_sealed_destino_necklace_i]
(18895,15654,1,1,-1,13453),-- [sealed_destino_gauntlet_piece]
(18895,15655,1,1,-1,13453),-- [sealed_destino_leather_gloves_piece]
(18895,15656,1,1,-1,13453),-- [sealed_destino_gloves_piece]
(18895,15657,1,1,-1,13453),-- [sealed_destino_boots_piece]
(18895,15658,1,1,-1,13453),-- [sealed_destino_leather_boots_piece]
(18895,15659,1,1,-1,13453),-- [sealed_destino_shoes_piece]
(18895,960,1,1,-1,603),-- [scrl_of_ench_am_s]
(18895,15784,1,1,-1,1790),-- [rp_sealed_destino_gauntlet_i]
(18895,15785,1,1,-1,1790),-- [rp_sealed_destino_leather_gloves_i]
(18895,15786,1,1,-1,1790),-- [rp_sealed_destino_gloves_i]
(18895,15787,1,1,-1,1790),-- [rp_sealed_destino_boots_i]
(18895,15788,1,1,-1,1790),-- [rp_sealed_destino_leather_boots_i]
(18895,15789,1,1,-1,1790),-- [rp_sealed_destino_shoes_i]
(18895,57,1585,3238,0,700000),-- [adena]
(18895,15706,1,1,1,12.736035),-- [sealed_destino_boots]
(18895,15707,1,1,1,12.736035),-- [sealed_destino_leather_boots]
(18895,15708,1,1,1,12.736035),-- [sealed_destino_shoes]
(18895,15657,1,1,1,4784.273559),-- [sealed_destino_boots_piece]
(18895,15658,1,1,1,4784.273559),-- [sealed_destino_leather_boots_piece]
(18895,15659,1,1,1,4784.244777),-- [sealed_destino_shoes_piece]
(18895,1895,1,1,2,70689.89797),-- [metallic_fiber]
(18895,4040,1,1,2,4948.314395),-- [mold_lubricant]
(18895,9628,1,1,2,1940.49271),-- [renad]
(18895,9630,1,1,2,1302.1662),-- [oricalcum]
(18895,9573,1,1,2,1718.16357),-- [general_80_s]
(18895,9574,1,1,2,429.499475),-- [special_80_s]
(18895,9575,1,1,2,42.991365),-- [rare_80_s]
(18895,15784,1,1,2,293.89858),-- [rp_sealed_destino_gauntlet_i]
(18895,15785,1,1,2,293.89858),-- [rp_sealed_destino_leather_gloves_i]
(18895,15786,1,1,2,293.89858),-- [rp_sealed_destino_gloves_i]
(18895,15787,1,1,2,293.89858),-- [rp_sealed_destino_boots_i]
(18895,15788,1,1,2,293.89858),-- [rp_sealed_destino_leather_boots_i]
(18895,15789,1,1,2,293.981415),-- [rp_sealed_destino_shoes_i]
(18897,10398,1,1,-1,7900),-- [icarus_disperser_piece]
(18897,959,1,1,-1,737),-- [scrl_of_ench_wp_s]
(18897,10374,1,1,-1,1188),-- [rp_icarus_disperser_i]
(18897,57,4472,9140,0,700000),-- [adena]
(18897,10216,1,1,1,5.849098),-- [icarus_disperser]
(18897,10398,1,1,1,1945.150902),-- [icarus_disperser_piece]
(18897,1879,1,1,2,108064.41565),-- [cokes]
(18897,1885,1,1,2,54032.207825),-- [high_grade_suede]
(18897,9628,1,1,2,5085.487136),-- [renad]
(18897,9630,1,1,2,3412.548989),-- [oricalcum]
(18897,9629,1,1,2,2819.052704),-- [adamantium]
(18897,5550,1,1,2,8645.153252),-- [reinforcing_plate]
(18897,1890,1,1,2,9899.037116),-- [mithirl_alloy]
(18897,1888,1,1,2,19648.115318),-- [synthesis_cokes]
(18897,17030,1,1,2,1080.753456),-- [sb_create_item_lv10]
(18897,9556,1,1,2,129.629207),-- [high_ore_of_unholy]
(18897,10483,1,1,2,4502.702202),-- [general_82_s]
(18897,10484,1,1,2,1125.566251),-- [special_82_s]
(18897,10485,1,1,2,112.578485),-- [rare_82_s]
(18897,10374,1,1,2,41.752409),-- [rp_icarus_disperser_i]
(18899,10405,1,1,-1,4957),-- [icarus_accipiter_piece]
(18899,1894,1,1,-1,407028),-- [crafted_leather]
(18899,9628,1,1,-1,90983),-- [renad]
(18899,10381,1,1,-1,748),-- [rp_icarus_accipiter_i]
(18899,15825,1,1,-1,809),-- [rp_vesper_thrower_i]
(18899,57,4692,9589,0,700000),-- [adena]
(18899,10223,1,1,1,3.069664),-- [icarus_accipiter]
(18899,10405,1,1,1,1017.466528),-- [icarus_accipiter_piece]
(18899,13467,1,1,1,3.321396),-- [vesper_thrower]
(18899,15644,1,1,1,1420.142412),-- [vesper_thrower_piece]
(18899,1879,1,1,2,132278.345098),-- [cokes]
(18899,1885,1,1,2,66139.172549),-- [high_grade_suede]
(18899,9628,1,1,2,6224.853907),-- [renad]
(18899,9630,1,1,2,4177.222102),-- [oricalcum]
(18899,9629,1,1,2,3450.771832),-- [adamantium]
(18899,5550,1,1,2,10582.225032),-- [reinforcing_plate]
(18899,1890,1,1,2,12117.084064),-- [mithirl_alloy]
(18899,1888,1,1,2,24050.559818),-- [synthesis_cokes]
(18899,10483,1,1,2,5511.708587),-- [general_82_s]
(18899,10484,1,1,2,1377.860622),-- [special_82_s]
(18899,10485,1,1,2,137.839282),-- [rare_82_s]
(18899,10381,1,1,2,51.357107),-- [rp_icarus_accipiter_i]
(18906,15654,1,1,-1,5826),-- [sealed_destino_gauntlet_piece]
(18906,15655,1,1,-1,5826),-- [sealed_destino_leather_gloves_piece]
(18906,15656,1,1,-1,5826),-- [sealed_destino_gloves_piece]
(18906,15657,1,1,-1,5826),-- [sealed_destino_boots_piece]
(18906,15658,1,1,-1,5826),-- [sealed_destino_leather_boots_piece]
(18906,15659,1,1,-1,5826),-- [sealed_destino_shoes_piece]
(18906,9630,1,1,-1,3434),-- [oricalcum]
(18906,15784,1,1,-1,775),-- [rp_sealed_destino_gauntlet_i]
(18906,15785,1,1,-1,775),-- [rp_sealed_destino_leather_gloves_i]
(18906,15786,1,1,-1,775),-- [rp_sealed_destino_gloves_i]
(18906,15787,1,1,-1,775),-- [rp_sealed_destino_boots_i]
(18906,15788,1,1,-1,775),-- [rp_sealed_destino_leather_boots_i]
(18906,15789,1,1,-1,775),-- [rp_sealed_destino_shoes_i]
(18906,57,686,1402,0,700000),-- [adena]
(18906,15703,1,1,1,2.757638),-- [sealed_destino_gauntlet]
(18906,15704,1,1,1,2.757638),-- [sealed_destino_leather_gloves]
(18906,15705,1,1,1,2.757638),-- [sealed_destino_gloves]
(18906,15706,1,1,1,2.757638),-- [sealed_destino_boots]
(18906,15707,1,1,1,2.757638),-- [sealed_destino_leather_boots]
(18906,15708,1,1,1,2.757638),-- [sealed_destino_shoes]
(18906,15654,1,1,1,1037.071536),-- [sealed_destino_gauntlet_piece]
(18906,15655,1,1,1,1037.071536),-- [sealed_destino_leather_gloves_piece]
(18906,15656,1,1,1,1037.071536),-- [sealed_destino_gloves_piece]
(18906,15657,1,1,1,1037.071536),-- [sealed_destino_boots_piece]
(18906,15658,1,1,1,1037.071536),-- [sealed_destino_leather_boots_piece]
(18906,15659,1,1,1,1037.096492),-- [sealed_destino_shoes_piece]
(18906,1879,1,1,2,29016.503055),-- [cokes]
(18906,1885,1,1,2,14508.227475),-- [high_grade_suede]
(18906,9628,1,1,2,1365.460425),-- [renad]
(18906,9630,1,1,2,916.30404),-- [oricalcum]
(18906,9629,1,1,2,756.932175),-- [adamantium]
(18906,10483,1,1,2,1209.022965),-- [general_82_s]
(18906,10484,1,1,2,302.243715),-- [special_82_s]
(18906,10485,1,1,2,30.30615),-- [rare_82_s]
(18907,15645,1,1,-1,5317),-- [sealed_destino_helmet_piece]
(18907,15646,1,1,-1,5317),-- [sealed_destino_leather_helmet_piece]
(18907,15647,1,1,-1,5317),-- [sealed_destino_circlet_piece]
(18907,15693,1,1,-1,9532),-- [sealed_destino_shield_piece]
(18907,15692,1,1,-1,9532),-- [sealed_destino_sigil_piece]
(18907,15775,1,1,-1,710),-- [rp_sealed_destino_helmet_i]
(18907,15776,1,1,-1,710),-- [rp_sealed_destino_leather_helmet_i]
(18907,15777,1,1,-1,710),-- [rp_sealed_destino_circlet_i]
(18907,15791,1,1,-1,1014),-- [rp_sealed_destino_shield_i]
(18907,15790,1,1,-1,1014),-- [rp_sealed_destino_sigil_i]
(18907,57,725,1481,0,700000),-- [adena]
(18907,15694,1,1,1,2.330272),-- [sealed_destino_helmet]
(18907,15695,1,1,1,2.330272),-- [sealed_destino_leather_helmet]
(18907,15696,1,1,1,2.330272),-- [sealed_destino_circlet]
(18907,15710,1,1,1,3.333904),-- [sealed_destino_shield]
(18907,15709,1,1,1,3.333904),-- [sealed_destino_sigil]
(18907,15645,1,1,1,873.840464),-- [sealed_destino_helmet_piece]
(18907,15646,1,1,1,873.840464),-- [sealed_destino_leather_helmet_piece]
(18907,15647,1,1,1,873.840464),-- [sealed_destino_circlet_piece]
(18907,15693,1,1,1,1566.409992),-- [sealed_destino_shield_piece]
(18907,15692,1,1,1,1566.409992),-- [sealed_destino_sigil_piece]
(18907,1879,1,1,2,30649.944283),-- [cokes]
(18907,1885,1,1,2,15324.946735),-- [high_grade_suede]
(18907,9628,1,1,2,1442.327005),-- [renad]
(18907,9630,1,1,2,967.886024),-- [oricalcum]
(18907,9629,1,1,2,799.542555),-- [adamantium]
(18907,10483,1,1,2,1277.083129),-- [general_82_s]
(18907,10484,1,1,2,319.258079),-- [special_82_s]
(18907,10485,1,1,2,32.01219),-- [rare_82_s]
(18908,15492,1,2,0,250000),-- [salmon_soup]
(18909,15667,1,1,-1,8451),-- [sealed_vesper_gauntlet_piece]
(18909,15671,1,1,-1,8451),-- [sealed_vesper_leather_gloves_piece]
(18909,15674,1,1,-1,8451),-- [sealed_vesper_gloves_piece]
(18909,15668,1,1,-1,8451),-- [sealed_vesper_boots_piece]
(18909,15672,1,1,-1,8451),-- [sealed_vesper_leather_boots_piece]
(18909,15675,1,1,-1,8451),-- [sealed_vesper_shoes_piece]
(18909,9630,1,1,-1,5805),-- [oricalcum]
(18909,15801,1,1,-1,945),-- [rp_sealed_vesper_gauntlet_i]
(18909,15802,1,1,-1,945),-- [rp_sealed_vesper_leather_gloves_i]
(18909,15803,1,1,-1,945),-- [rp_sealed_vesper_gloves_i]
(18909,15804,1,1,-1,945),-- [rp_sealed_vesper_boots_i]
(18909,15805,1,1,-1,945),-- [rp_sealed_vesper_leather_boots_i]
(18909,15806,1,1,-1,945),-- [rp_sealed_vesper_shoes_i]
(18909,57,1170,2361,0,700000),-- [adena]
(18909,14109,1,1,1,3.363252),-- [sealed_vesper_gauntlet]
(18909,14113,1,1,1,3.363252),-- [sealed_vesper_leather_gloves]
(18909,14116,1,1,1,3.363252),-- [sealed_vesper_gloves]
(18909,14110,1,1,1,3.363252),-- [sealed_vesper_boots]
(18909,14114,1,1,1,3.363252),-- [sealed_vesper_leather_boots]
(18909,14117,1,1,1,3.363252),-- [sealed_vesper_shoes]
(18909,15667,1,1,1,1503.473095),-- [sealed_vesper_gauntlet_piece]
(18909,15671,1,1,1,1503.473095),-- [sealed_vesper_leather_gloves_piece]
(18909,15674,1,1,1,1503.473095),-- [sealed_vesper_gloves_piece]
(18909,15668,1,1,1,1503.473095),-- [sealed_vesper_boots_piece]
(18909,15672,1,1,1,1503.473095),-- [sealed_vesper_leather_boots_piece]
(18909,15675,1,1,1,1503.455013),-- [sealed_vesper_shoes_piece]
(18909,1879,1,1,2,28026.766601),-- [cokes]
(18909,1885,1,1,2,14013.406965),-- [high_grade_suede]
(18909,9628,1,1,2,1318.917243),-- [renad]
(18909,9630,1,1,2,885.0523),-- [oricalcum]
(18909,9629,1,1,2,731.138392),-- [adamantium]
(18909,9573,1,1,2,1167.795746),-- [general_80_s]
(18909,9574,1,1,2,291.925272),-- [special_80_s]
(18909,9575,1,1,2,29.201993),-- [rare_80_s]
(18909,15801,1,1,2,144.116805),-- [rp_sealed_vesper_gauntlet_i]
(18909,15802,1,1,2,144.116805),-- [rp_sealed_vesper_leather_gloves_i]
(18909,15803,1,1,2,144.116805),-- [rp_sealed_vesper_gloves_i]
(18909,15804,1,1,2,144.116805),-- [rp_sealed_vesper_boots_i]
(18909,15805,1,1,2,144.116805),-- [rp_sealed_vesper_leather_boots_i]
(18909,15806,1,1,2,144.211463),-- [rp_sealed_vesper_shoes_i]
(18910,15667,1,1,-1,13541),-- [sealed_vesper_gauntlet_piece]
(18910,15671,1,1,-1,13541),-- [sealed_vesper_leather_gloves_piece]
(18910,15674,1,1,-1,13541),-- [sealed_vesper_gloves_piece]
(18910,15668,1,1,-1,13541),-- [sealed_vesper_boots_piece]
(18910,15672,1,1,-1,13541),-- [sealed_vesper_leather_boots_piece]
(18910,15675,1,1,-1,13541),-- [sealed_vesper_shoes_piece]
(18910,15801,1,1,-1,1515),-- [rp_sealed_vesper_gauntlet_i]
(18910,15802,1,1,-1,1515),-- [rp_sealed_vesper_leather_gloves_i]
(18910,15803,1,1,-1,1515),-- [rp_sealed_vesper_gloves_i]
(18910,15804,1,1,-1,1515),-- [rp_sealed_vesper_boots_i]
(18910,15805,1,1,-1,1515),-- [rp_sealed_vesper_leather_boots_i]
(18910,15806,1,1,-1,1515),-- [rp_sealed_vesper_shoes_i]
(18910,57,1730,3492,0,700000),-- [adena]
(18910,14109,1,1,1,4.974012),-- [sealed_vesper_gauntlet]
(18910,14113,1,1,1,4.974012),-- [sealed_vesper_leather_gloves]
(18910,14116,1,1,1,4.974012),-- [sealed_vesper_gloves]
(18910,14110,1,1,1,4.974012),-- [sealed_vesper_boots]
(18910,14114,1,1,1,4.974012),-- [sealed_vesper_leather_boots]
(18910,14117,1,1,1,4.974012),-- [sealed_vesper_shoes]
(18910,15667,1,1,1,2223.530445),-- [sealed_vesper_gauntlet_piece]
(18910,15671,1,1,1,2223.530445),-- [sealed_vesper_leather_gloves_piece]
(18910,15674,1,1,1,2223.530445),-- [sealed_vesper_gloves_piece]
(18910,15668,1,1,1,2223.530445),-- [sealed_vesper_boots_piece]
(18910,15672,1,1,1,2223.530445),-- [sealed_vesper_leather_boots_piece]
(18910,15675,1,1,1,2223.503703),-- [sealed_vesper_shoes_piece]
(18910,1895,1,1,2,142118.63211),-- [metallic_fiber]
(18910,4040,1,1,2,9948.240778),-- [mold_lubricant]
(18910,4042,1,1,2,8290.230872),-- [enria]
(18910,4043,1,1,2,16580.461744),-- [asofe]
(18910,10483,1,1,2,3454.202416),-- [general_82_s]
(18910,10484,1,1,2,863.550604),-- [special_82_s]
(18910,10485,1,1,2,86.681476),-- [rare_82_s]
(18911,730,1,1,0,600000),-- [scrl_of_ench_am_a]
(18911,960,1,1,0,400000),-- [scrl_of_ench_am_s]
(18917,57,361,738,0,700000),-- [adena]
(18917,9546,1,1,1,1767.836869),-- [ore_of_fire]
(18917,9547,1,1,1,1767.836869),-- [ore_of_water]
(18917,9548,1,1,1,1767.836869),-- [ore_of_earth]
(18917,9549,1,1,1,1767.836869),-- [ore_of_wind]
(18917,9550,1,1,1,1767.836869),-- [ore_of_unholy]
(18917,9551,1,1,1,1767.815655),-- [ore_of_holy]
(18934,960,1,1,0,1000000),-- [scrl_of_ench_am_s]
(35665,9579,1,1,0,56706.1815),-- [silk_tshirt]
(35665,1538,1,1,0,30243.8185),-- [blessed_scroll_of_escape]
(35665,9912,40,80,1,1000000),-- [shoulder_strap_of_knight]
(35670,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35670,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35670,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35671,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(35672,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(35673,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35674,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(35676,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(35677,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(35679,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35680,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35681,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35682,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35683,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35684,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35697,9589,1,1,0,44791.4136),-- [silk_bracelet]
(35697,1538,1,1,0,64498.5864),-- [blessed_scroll_of_escape]
(35697,9912,80,160,1,1000000),-- [shoulder_strap_of_knight]
(35702,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35702,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35702,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35703,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(35704,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(35705,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35706,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(35711,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(35711,10014,1,1,0,463464.96),-- [key_of_controller]
(35712,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(35713,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35715,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35716,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35717,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35718,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35719,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35720,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35721,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35722,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35734,9580,1,1,0,53538.489),-- [leather_tshirt]
(35734,1538,1,1,0,92801.511),-- [blessed_scroll_of_escape]
(35734,9912,120,240,1,1000000),-- [shoulder_strap_of_knight]
(35739,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35739,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35739,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35740,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(35741,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(35742,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35743,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(35745,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(35746,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(35748,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35749,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35750,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35751,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35752,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35753,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35766,9580,1,1,0,71384.652),-- [leather_tshirt]
(35766,1538,1,1,0,123735.348),-- [blessed_scroll_of_escape]
(35766,9912,160,320,1,1000000),-- [shoulder_strap_of_knight]
(35771,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35771,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35771,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35772,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(35773,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(35774,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35775,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(35780,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(35780,10014,1,1,0,463464.96),-- [key_of_controller]
(35781,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(35782,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35784,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35785,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35786,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35787,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35788,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35789,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35790,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35791,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35803,9590,1,1,0,51572.1084),-- [leather_bracelet]
(35803,3936,1,1,0,61886.757),-- [blessed_scroll_of_resurrection]
(35803,9912,200,400,1,1000000),-- [shoulder_strap_of_knight]
(35808,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35808,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35808,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35809,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(35810,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(35811,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35812,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(35814,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(35815,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(35817,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35818,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35819,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35820,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35821,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35822,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35834,9590,1,1,0,61981.0744),-- [leather_bracelet]
(35834,3936,1,1,0,74377.562),-- [blessed_scroll_of_resurrection]
(35834,9912,240,480,1,1000000),-- [shoulder_strap_of_knight]
(35839,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35839,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35839,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35840,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(35841,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(35842,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35843,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(35845,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(35846,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(35848,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35849,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35850,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35851,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35852,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35853,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35871,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35871,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35871,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35872,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(35873,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(35874,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35875,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(35880,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(35880,10014,1,1,0,463464.96),-- [key_of_controller]
(35881,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(35882,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35884,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35885,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35886,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35887,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35888,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35889,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35890,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35891,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35908,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35908,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35908,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35909,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(35910,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(35911,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35912,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(35914,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(35915,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(35917,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35918,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35919,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35920,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35921,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35922,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35940,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35940,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35940,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35941,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(35942,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(35943,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35944,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(35949,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(35949,10014,1,1,0,463464.96),-- [key_of_controller]
(35950,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(35951,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35953,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35954,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35955,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35956,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35957,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35958,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35959,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35960,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35978,9581,1,1,0,91018.0024),-- [iron_tshirt]
(35978,9591,1,1,0,46781.9976),-- [iron_bracelet]
(35978,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(35979,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(35980,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(35981,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(35982,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(35987,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(35987,10014,1,1,0,463464.96),-- [key_of_controller]
(35988,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(35989,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35991,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(35992,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(35993,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(35994,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(35995,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(35996,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(35997,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(35998,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36015,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36015,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36015,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36016,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(36017,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(36018,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36019,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(36021,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(36022,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(36024,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36025,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36026,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36027,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36028,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36029,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36047,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36047,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36047,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36048,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36049,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36050,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36051,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36056,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36056,10014,1,1,0,463464.96),-- [key_of_controller]
(36057,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36058,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36060,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36061,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36062,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36063,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36064,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36065,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36066,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36067,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36085,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36085,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36085,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36086,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36087,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36088,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36089,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36094,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36094,10014,1,1,0,463464.96),-- [key_of_controller]
(36095,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36096,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36098,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36099,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36100,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36101,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36102,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36103,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36104,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36105,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36122,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36122,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36122,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36123,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(36124,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(36125,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36126,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(36128,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(36129,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(36131,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36132,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36133,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36134,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36135,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36136,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36153,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36153,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36153,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36154,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(36155,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(36156,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36157,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(36159,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(36160,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(36162,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36163,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36164,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36165,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36166,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36167,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36185,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36185,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36185,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36186,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36187,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36188,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36189,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36194,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36194,10014,1,1,0,463464.96),-- [key_of_controller]
(36195,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36196,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36198,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36199,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36200,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36201,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36202,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36203,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36204,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36205,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36223,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36223,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36223,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36224,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36225,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36226,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36227,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36232,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36232,10014,1,1,0,463464.96),-- [key_of_controller]
(36233,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36234,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36236,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36237,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36238,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36239,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36240,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36241,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36242,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36243,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36261,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36261,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36261,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36262,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36263,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36264,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36265,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36270,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36270,10014,1,1,0,463464.96),-- [key_of_controller]
(36271,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36272,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36274,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36275,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36276,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36277,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36278,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36279,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36280,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36281,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36298,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36298,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36298,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36299,9912,4,16,0,781650),-- [shoulder_strap_of_knight]
(36300,9912,4,12,0,718570),-- [shoulder_strap_of_knight]
(36301,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36302,9912,4,12,0,672110),-- [shoulder_strap_of_knight]
(36304,9912,4,12,0,617370),-- [shoulder_strap_of_knight]
(36305,9912,140,300,0,841370),-- [shoulder_strap_of_knight]
(36307,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36308,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36309,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36310,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36311,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36312,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36330,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36330,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36330,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36331,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36332,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36333,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36334,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36339,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36339,10014,1,1,0,463464.96),-- [key_of_controller]
(36340,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36341,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36343,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36344,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36345,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36346,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36347,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36348,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36349,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36350,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36368,9581,1,1,0,91018.0024),-- [iron_tshirt]
(36368,9591,1,1,0,46781.9976),-- [iron_bracelet]
(36368,9912,40,200,1,900000),-- [shoulder_strap_of_knight]
(36369,9912,4,16,0,780050),-- [shoulder_strap_of_knight]
(36370,9912,4,12,0,719570),-- [shoulder_strap_of_knight]
(36371,9912,4,12,0,662800),-- [shoulder_strap_of_knight]
(36372,9912,4,12,0,662110),-- [shoulder_strap_of_knight]
(36377,9912,24,72,0,19311.04),-- [shoulder_strap_of_knight]
(36377,10014,1,1,0,463464.96),-- [key_of_controller]
(36378,9912,4,6,0,460000),-- [shoulder_strap_of_knight]
(36379,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36381,9912,4,16,0,730100),-- [shoulder_strap_of_knight]
(36382,9912,140,300,0,841571),-- [shoulder_strap_of_knight]
(36383,9912,4,16,0,775740),-- [shoulder_strap_of_knight]
(36384,9912,4,16,0,823820),-- [shoulder_strap_of_knight]
(36385,9912,140,300,0,842235),-- [shoulder_strap_of_knight]
(36386,9912,4,16,0,710000),-- [shoulder_strap_of_knight]
(36387,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(36388,9912,40,154,0,704766),-- [shoulder_strap_of_knight]
(13031,9142,1,2,0,1000000),-- [pig_coin]
(13034,9142,4,6,0,1000000),-- [pig_coin]
(13034,9144,1,1,1,500000),-- [pig_box]
(13035,9142,1,3,0,1000000),-- [pig_coin]
(13035,9144,1,1,1,1000000),-- [pig_box]
(13036,9170,1,4,0,1000000),-- [reagent_event]
(13036,9168,1,2,1,1000000),-- [wise_man_stone_piece_event]
(13036,9169,1,1,2,100000),-- [translation_formular_event]
(13036,9162,1,1,3,16500),-- [magic_sign_event_1]
(13036,9163,1,1,3,16500),-- [magic_sign_event_2]
(13036,9164,1,1,3,16500),-- [magic_sign_event_3]
(13036,9165,1,1,3,16500),-- [magic_sign_event_4]
(13036,9166,1,1,3,16500),-- [magic_sign_event_5]
(13036,9167,1,1,3,17500),-- [magic_sign_event_6]
(13098,10272,3,7,0,1000000),-- [treasure_sack_flagment]
(13120,10639,1,2,0,1000000),-- [mouse_coin]
(13123,10639,4,6,0,1000000),-- [mouse_coin]
(13123,9140,1,1,1,50000),-- [qupid_bow]
(13124,10639,1,3,0,1000000),-- [mouse_coin]
(13124,9140,1,1,1,100000);-- [qupid_bow]
